/* DUPLICATOR-LITE (PHP BUILD MODE) MYSQL SCRIPT CREATED ON : 2024-01-19 03:31:22 */

/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;

SET FOREIGN_KEY_CHECKS = 0;

CREATE TABLE `wp_commentmeta` (
  `meta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `comment_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `meta_key` varchar(255) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `meta_value` longtext COLLATE utf8mb4_unicode_520_ci,
  PRIMARY KEY (`meta_id`),
  KEY `comment_id` (`comment_id`),
  KEY `meta_key` (`meta_key`(191))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_comments` (
  `comment_ID` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `comment_post_ID` bigint(20) unsigned NOT NULL DEFAULT '0',
  `comment_author` tinytext COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `comment_author_email` varchar(100) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `comment_author_url` varchar(200) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `comment_author_IP` varchar(100) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `comment_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `comment_date_gmt` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `comment_content` text COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `comment_karma` int(11) NOT NULL DEFAULT '0',
  `comment_approved` varchar(20) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '1',
  `comment_agent` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `comment_type` varchar(20) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT 'comment',
  `comment_parent` bigint(20) unsigned NOT NULL DEFAULT '0',
  `user_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`comment_ID`),
  KEY `comment_post_ID` (`comment_post_ID`),
  KEY `comment_approved_date_gmt` (`comment_approved`,`comment_date_gmt`),
  KEY `comment_date_gmt` (`comment_date_gmt`),
  KEY `comment_parent` (`comment_parent`),
  KEY `comment_author_email` (`comment_author_email`(10))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_duplicator_packages` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(250) NOT NULL,
  `hash` varchar(50) NOT NULL,
  `status` int(11) NOT NULL,
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `owner` varchar(60) NOT NULL,
  `package` longtext NOT NULL,
  PRIMARY KEY (`id`),
  KEY `hash` (`hash`)
) ENGINE=InnoDB AUTO_INCREMENT=12 DEFAULT CHARSET=utf8;

CREATE TABLE `wp_links` (
  `link_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `link_url` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `link_name` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `link_image` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `link_target` varchar(25) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `link_description` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `link_visible` varchar(20) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT 'Y',
  `link_owner` bigint(20) unsigned NOT NULL DEFAULT '1',
  `link_rating` int(11) NOT NULL DEFAULT '0',
  `link_updated` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `link_rel` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `link_notes` mediumtext COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `link_rss` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  PRIMARY KEY (`link_id`),
  KEY `link_visible` (`link_visible`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_options` (
  `option_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `option_name` varchar(191) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `option_value` longtext COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `autoload` varchar(20) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT 'yes',
  PRIMARY KEY (`option_id`),
  UNIQUE KEY `option_name` (`option_name`),
  KEY `autoload` (`autoload`)
) ENGINE=InnoDB AUTO_INCREMENT=1130 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_postmeta` (
  `meta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `post_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `meta_key` varchar(255) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `meta_value` longtext COLLATE utf8mb4_unicode_520_ci,
  PRIMARY KEY (`meta_id`),
  KEY `post_id` (`post_id`),
  KEY `meta_key` (`meta_key`(191))
) ENGINE=InnoDB AUTO_INCREMENT=1050 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_posts` (
  `ID` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `post_author` bigint(20) unsigned NOT NULL DEFAULT '0',
  `post_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_date_gmt` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_content` longtext COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `post_title` text COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `post_excerpt` text COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `post_status` varchar(20) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT 'publish',
  `comment_status` varchar(20) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT 'open',
  `ping_status` varchar(20) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT 'open',
  `post_password` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `post_name` varchar(200) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `to_ping` text COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `pinged` text COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `post_modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_modified_gmt` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_content_filtered` longtext COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `post_parent` bigint(20) unsigned NOT NULL DEFAULT '0',
  `guid` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `menu_order` int(11) NOT NULL DEFAULT '0',
  `post_type` varchar(20) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT 'post',
  `post_mime_type` varchar(100) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `comment_count` bigint(20) NOT NULL DEFAULT '0',
  PRIMARY KEY (`ID`),
  KEY `post_name` (`post_name`(191)),
  KEY `type_status_date` (`post_type`,`post_status`,`post_date`,`ID`),
  KEY `post_parent` (`post_parent`),
  KEY `post_author` (`post_author`)
) ENGINE=InnoDB AUTO_INCREMENT=407 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_term_relationships` (
  `object_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `term_taxonomy_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `term_order` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`object_id`,`term_taxonomy_id`),
  KEY `term_taxonomy_id` (`term_taxonomy_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_term_taxonomy` (
  `term_taxonomy_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `term_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `taxonomy` varchar(32) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `description` longtext COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `parent` bigint(20) unsigned NOT NULL DEFAULT '0',
  `count` bigint(20) NOT NULL DEFAULT '0',
  PRIMARY KEY (`term_taxonomy_id`),
  UNIQUE KEY `term_id_taxonomy` (`term_id`,`taxonomy`),
  KEY `taxonomy` (`taxonomy`)
) ENGINE=InnoDB AUTO_INCREMENT=22 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_termmeta` (
  `meta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `term_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `meta_key` varchar(255) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `meta_value` longtext COLLATE utf8mb4_unicode_520_ci,
  PRIMARY KEY (`meta_id`),
  KEY `term_id` (`term_id`),
  KEY `meta_key` (`meta_key`(191))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_terms` (
  `term_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(200) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `slug` varchar(200) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `term_group` bigint(10) NOT NULL DEFAULT '0',
  PRIMARY KEY (`term_id`),
  KEY `slug` (`slug`(191)),
  KEY `name` (`name`(191))
) ENGINE=InnoDB AUTO_INCREMENT=22 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_usermeta` (
  `umeta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `meta_key` varchar(255) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `meta_value` longtext COLLATE utf8mb4_unicode_520_ci,
  PRIMARY KEY (`umeta_id`),
  KEY `user_id` (`user_id`),
  KEY `meta_key` (`meta_key`(191))
) ENGINE=InnoDB AUTO_INCREMENT=89 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_users` (
  `ID` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `user_login` varchar(60) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `user_pass` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `user_nicename` varchar(50) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `user_email` varchar(100) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `user_url` varchar(100) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `user_registered` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `user_activation_key` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `user_status` int(11) NOT NULL DEFAULT '0',
  `display_name` varchar(250) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  PRIMARY KEY (`ID`),
  KEY `user_login_key` (`user_login`),
  KEY `user_nicename` (`user_nicename`),
  KEY `user_email` (`user_email`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

/***** TABLE CREATION END *****/


/* INSERT TABLE DATA: wp_duplicator_packages */
INSERT INTO `wp_duplicator_packages` VALUES("11", "20230118_miyazaki_exercise", "a809340ab5e3e60d1342_20240119033118", "22", "2024-01-19 03:31:22", "kevinmcmillan", "O:11:\"DUP_Package\":23:{s:7:\"Created\";s:19:\"2024-01-19 03:31:18\";s:7:\"Version\";s:5:\"1.5.8\";s:9:\"VersionWP\";s:5:\"6.4.2\";s:9:\"VersionDB\";s:6:\"5.7.39\";s:10:\"VersionPHP\";s:6:\"7.4.33\";s:9:\"VersionOS\";s:6:\"Darwin\";s:2:\"ID\";i:11;s:4:\"Name\";s:26:\"20230118_miyazaki_exercise\";s:4:\"Hash\";s:35:\"a809340ab5e3e60d1342_20240119033118\";s:8:\"NameHash\";s:62:\"20230118_miyazaki_exercise_a809340ab5e3e60d1342_20240119033118\";s:4:\"Type\";i:0;s:5:\"Notes\";s:0:\"\";s:8:\"ScanFile\";s:72:\"20230118_miyazaki_exercise_a809340ab5e3e60d1342_20240119033118_scan.json\";s:10:\"TimerStart\";i:-1;s:7:\"Runtime\";N;s:7:\"ExeSize\";N;s:7:\"ZipSize\";N;s:6:\"Status\";s:4:\"21.5\";s:6:\"WPUser\";s:13:\"kevinmcmillan\";s:7:\"Archive\";O:11:\"DUP_Archive\":26:{s:10:\"FilterDirs\";s:0:\"\";s:11:\"FilterFiles\";s:0:\"\";s:10:\"FilterExts\";s:0:\"\";s:13:\"FilterDirsAll\";a:0:{}s:14:\"FilterFilesAll\";a:0:{}s:13:\"FilterExtsAll\";a:0:{}s:8:\"FilterOn\";i:0;s:12:\"ExportOnlyDB\";i:0;s:4:\"File\";s:74:\"20230118_miyazaki_exercise_a809340ab5e3e60d1342_20240119033118_archive.zip\";s:6:\"Format\";s:3:\"ZIP\";s:7:\"PackDir\";s:70:\"/Applications/MAMP/htdocs/UpdatingDuplicatorVersions/miyazaki-wp-php82\";s:4:\"Size\";i:0;s:4:\"Dirs\";a:0:{}s:9:\"dirsCount\";i:602;s:5:\"Files\";a:0:{}s:10:\"filesCount\";i:4419;s:10:\"FilterInfo\";O:23:\"DUP_Archive_Filter_Info\":8:{s:4:\"Dirs\";O:34:\"DUP_Archive_Filter_Scope_Directory\":6:{s:7:\"Warning\";a:0:{}s:10:\"Unreadable\";a:0:{}s:10:\"AddonSites\";a:0:{}s:4:\"Core\";a:0:{}s:6:\"Global\";a:0:{}s:8:\"Instance\";a:0:{}}s:5:\"Files\";O:29:\"DUP_Archive_Filter_Scope_File\":7:{s:4:\"Size\";a:0:{}s:7:\"Warning\";a:0:{}s:10:\"Unreadable\";a:0:{}s:10:\"AddonSites\";a:0:{}s:4:\"Core\";a:0:{}s:6:\"Global\";a:0:{}s:8:\"Instance\";a:0:{}}s:4:\"Exts\";O:29:\"DUP_Archive_Filter_Scope_Base\":3:{s:4:\"Core\";a:0:{}s:6:\"Global\";a:0:{}s:8:\"Instance\";a:0:{}}s:9:\"UDirCount\";i:0;s:10:\"UFileCount\";i:0;s:9:\"UExtCount\";i:0;s:8:\"TreeSize\";a:0:{}s:11:\"TreeWarning\";a:0:{}}s:14:\"RecursiveLinks\";a:0:{}s:10:\"file_count\";i:-1;s:10:\"\0*\0Package\";O:11:\"DUP_Package\":23:{s:7:\"Created\";s:19:\"2024-01-19 03:31:18\";s:7:\"Version\";s:5:\"1.5.8\";s:9:\"VersionWP\";s:5:\"6.4.2\";s:9:\"VersionDB\";s:6:\"5.7.39\";s:10:\"VersionPHP\";s:6:\"7.4.33\";s:9:\"VersionOS\";s:6:\"Darwin\";s:2:\"ID\";N;s:4:\"Name\";s:26:\"20230118_miyazaki_exercise\";s:4:\"Hash\";s:35:\"a809340ab5e3e60d1342_20240119033118\";s:8:\"NameHash\";s:62:\"20230118_miyazaki_exercise_a809340ab5e3e60d1342_20240119033118\";s:4:\"Type\";i:0;s:5:\"Notes\";s:0:\"\";s:8:\"ScanFile\";N;s:10:\"TimerStart\";i:-1;s:7:\"Runtime\";N;s:7:\"ExeSize\";N;s:7:\"ZipSize\";N;s:6:\"Status\";i:0;s:6:\"WPUser\";N;s:7:\"Archive\";r:21;s:9:\"Installer\";O:13:\"DUP_Installer\":15:{s:4:\"File\";s:80:\"20230118_miyazaki_exercise_a809340ab5e3e60d1342_20240119033118_installer.php.bak\";s:4:\"Size\";i:0;s:10:\"OptsDBHost\";s:0:\"\";s:10:\"OptsDBPort\";s:0:\"\";s:10:\"OptsDBName\";s:0:\"\";s:10:\"OptsDBUser\";s:0:\"\";s:13:\"OptsDBCharset\";s:0:\"\";s:15:\"OptsDBCollation\";s:0:\"\";s:12:\"OptsSecureOn\";i:0;s:14:\"OptsSecurePass\";s:0:\"\";s:13:\"numFilesAdded\";i:0;s:12:\"numDirsAdded\";i:0;s:10:\"\0*\0Package\";r:65;s:17:\"\0*\0origFileManger\";N;s:32:\"\0DUP_Installer\0configTransformer\";O:44:\"Duplicator\\Libs\\WpConfig\\WPConfigTransformer\":3:{s:17:\"\0*\0wp_config_path\";s:84:\"/Applications/MAMP/htdocs/UpdatingDuplicatorVersions/miyazaki-wp-php82/wp-config.php\";s:16:\"\0*\0wp_config_src\";N;s:13:\"\0*\0wp_configs\";a:0:{}}}s:8:\"Database\";O:12:\"DUP_Database\":15:{s:4:\"Type\";s:5:\"MySQL\";s:4:\"Size\";N;s:4:\"File\";s:75:\"20230118_miyazaki_exercise_a809340ab5e3e60d1342_20240119033118_database.sql\";s:4:\"Path\";N;s:12:\"FilterTables\";s:0:\"\";s:8:\"FilterOn\";i:0;s:4:\"Name\";N;s:10:\"Compatible\";s:0:\"\";s:8:\"Comments\";s:28:\"MySQL Community Server (GPL)\";s:19:\"sameNameTableExists\";b:0;s:4:\"info\";O:16:\"DUP_DatabaseInfo\":23:{s:9:\"buildMode\";s:3:\"PHP\";s:11:\"charSetList\";a:0:{}s:13:\"collationList\";a:0:{}s:10:\"engineList\";a:0:{}s:17:\"isTablesUpperCase\";b:0;s:15:\"isNameUpperCase\";b:0;s:4:\"name\";s:0:\"\";s:15:\"tablesBaseCount\";i:0;s:16:\"tablesFinalCount\";i:0;s:20:\"muFilteredTableCount\";i:0;s:14:\"tablesRowCount\";i:0;s:16:\"tablesSizeOnDisk\";i:0;s:10:\"tablesList\";a:0:{}s:19:\"lowerCaseTableNames\";i:0;s:8:\"dbEngine\";s:0:\"\";s:7:\"version\";i:0;s:14:\"versionComment\";i:0;s:9:\"viewCount\";i:0;s:9:\"procCount\";i:0;s:9:\"funcCount\";i:0;s:11:\"triggerList\";a:0:{}s:33:\"\0DUP_DatabaseInfo\0intFieldsStruct\";a:0:{}s:42:\"\0DUP_DatabaseInfo\0indexProcessedSchemaSize\";a:0:{}}s:10:\"\0*\0Package\";r:1;s:24:\"\0DUP_Database\0tempDbPath\";s:163:\"/Applications/MAMP/htdocs/UpdatingDuplicatorVersions/miyazaki-wp-php82/wp-snapshots/tmp/20230118_miyazaki_exercise_a809340ab5e3e60d1342_20240119033118_database.sql\";s:23:\"\0DUP_Database\0EOFMarker\";s:0:\"\";s:26:\"\0DUP_Database\0networkFlush\";b:0;}s:13:\"BuildProgress\";O:18:\"DUP_Build_Progress\":12:{s:17:\"thread_start_time\";N;s:11:\"initialized\";b:0;s:15:\"installer_built\";b:0;s:15:\"archive_started\";b:0;s:20:\"archive_has_database\";b:0;s:13:\"archive_built\";b:0;s:21:\"database_script_built\";b:0;s:6:\"failed\";b:0;s:7:\"retries\";i:0;s:14:\"build_failures\";a:0:{}s:19:\"validation_failures\";a:0:{}s:27:\"\0DUP_Build_Progress\0package\";r:65;}}s:29:\"\0DUP_Archive\0tmpFilterDirsAll\";a:0:{}s:24:\"\0DUP_Archive\0wpCorePaths\";a:3:{i:0;s:79:\"/Applications/MAMP/htdocs/UpdatingDuplicatorVersions/miyazaki-wp-php82/wp-admin\";i:1;s:82:\"/Applications/MAMP/htdocs/UpdatingDuplicatorVersions/miyazaki-wp-php82/wp-includes\";i:2;s:91:\"/Applications/MAMP/htdocs/UpdatingDuplicatorVersions/miyazaki-wp-php82/wp-content/languages\";}s:29:\"\0DUP_Archive\0wpCoreExactPaths\";a:7:{i:0;s:70:\"/Applications/MAMP/htdocs/UpdatingDuplicatorVersions/miyazaki-wp-php82\";i:1;s:70:\"/Applications/MAMP/htdocs/UpdatingDuplicatorVersions/miyazaki-wp-php82\";i:2;s:81:\"/Applications/MAMP/htdocs/UpdatingDuplicatorVersions/miyazaki-wp-php82/wp-content\";i:3;s:89:\"/Applications/MAMP/htdocs/UpdatingDuplicatorVersions/miyazaki-wp-php82/wp-content/uploads\";i:4;s:89:\"/Applications/MAMP/htdocs/UpdatingDuplicatorVersions/miyazaki-wp-php82/wp-content/plugins\";i:5;s:92:\"/Applications/MAMP/htdocs/UpdatingDuplicatorVersions/miyazaki-wp-php82/wp-content/mu-plugins\";i:6;s:88:\"/Applications/MAMP/htdocs/UpdatingDuplicatorVersions/miyazaki-wp-php82/wp-content/themes\";}s:31:\"\0DUP_Archive\0relativeFiltersDir\";a:2:{i:0;s:87:\"/Applications/MAMP/htdocs/UpdatingDuplicatorVersions/miyazaki-wp-php82/wp-snapshots/tmp\";i:1;s:15:\"backups-dup-pro\";}s:24:\"\0DUP_Archive\0listFileObj\";N;s:23:\"\0DUP_Archive\0listDirObj\";N;}s:9:\"Installer\";r:86;s:8:\"Database\";r:105;s:13:\"BuildProgress\";r:144;}");

/* INSERT TABLE DATA: wp_options */
INSERT INTO `wp_options` VALUES("1", "siteurl", "http://localhost:8888/UpdatingDuplicatorVersions/miyazaki-wp-php82", "yes");
INSERT INTO `wp_options` VALUES("2", "home", "http://localhost:8888/UpdatingDuplicatorVersions/miyazaki-wp-php82", "yes");
INSERT INTO `wp_options` VALUES("3", "blogname", "Miyazaki Exercise", "yes");
INSERT INTO `wp_options` VALUES("4", "blogdescription", "Just another WordPress site", "yes");
INSERT INTO `wp_options` VALUES("5", "users_can_register", "0", "yes");
INSERT INTO `wp_options` VALUES("6", "admin_email", "kevinmc@shaw.ca", "yes");
INSERT INTO `wp_options` VALUES("7", "start_of_week", "1", "yes");
INSERT INTO `wp_options` VALUES("8", "use_balanceTags", "0", "yes");
INSERT INTO `wp_options` VALUES("9", "use_smilies", "1", "yes");
INSERT INTO `wp_options` VALUES("10", "require_name_email", "1", "yes");
INSERT INTO `wp_options` VALUES("11", "comments_notify", "1", "yes");
INSERT INTO `wp_options` VALUES("12", "posts_per_rss", "10", "yes");
INSERT INTO `wp_options` VALUES("13", "rss_use_excerpt", "1", "yes");
INSERT INTO `wp_options` VALUES("14", "mailserver_url", "mail.example.com", "yes");
INSERT INTO `wp_options` VALUES("15", "mailserver_login", "login@example.com", "yes");
INSERT INTO `wp_options` VALUES("16", "mailserver_pass", "password", "yes");
INSERT INTO `wp_options` VALUES("17", "mailserver_port", "110", "yes");
INSERT INTO `wp_options` VALUES("18", "default_category", "17", "yes");
INSERT INTO `wp_options` VALUES("19", "default_comment_status", "open", "yes");
INSERT INTO `wp_options` VALUES("20", "default_ping_status", "open", "yes");
INSERT INTO `wp_options` VALUES("21", "default_pingback_flag", "0", "yes");
INSERT INTO `wp_options` VALUES("22", "posts_per_page", "10", "yes");
INSERT INTO `wp_options` VALUES("23", "date_format", "F j, Y", "yes");
INSERT INTO `wp_options` VALUES("24", "time_format", "g:i a", "yes");
INSERT INTO `wp_options` VALUES("25", "links_updated_date_format", "F j, Y g:i a", "yes");
INSERT INTO `wp_options` VALUES("26", "comment_moderation", "0", "yes");
INSERT INTO `wp_options` VALUES("27", "moderation_notify", "1", "yes");
INSERT INTO `wp_options` VALUES("28", "permalink_structure", "/%category%/%postname%/", "yes");
INSERT INTO `wp_options` VALUES("29", "rewrite_rules", "a:97:{s:11:\"^wp-json/?$\";s:22:\"index.php?rest_route=/\";s:14:\"^wp-json/(.*)?\";s:33:\"index.php?rest_route=/$matches[1]\";s:21:\"^index.php/wp-json/?$\";s:22:\"index.php?rest_route=/\";s:24:\"^index.php/wp-json/(.*)?\";s:33:\"index.php?rest_route=/$matches[1]\";s:17:\"^wp-sitemap\\.xml$\";s:23:\"index.php?sitemap=index\";s:17:\"^wp-sitemap\\.xsl$\";s:36:\"index.php?sitemap-stylesheet=sitemap\";s:23:\"^wp-sitemap-index\\.xsl$\";s:34:\"index.php?sitemap-stylesheet=index\";s:48:\"^wp-sitemap-([a-z]+?)-([a-z\\d_-]+?)-(\\d+?)\\.xml$\";s:75:\"index.php?sitemap=$matches[1]&sitemap-subtype=$matches[2]&paged=$matches[3]\";s:34:\"^wp-sitemap-([a-z]+?)-(\\d+?)\\.xml$\";s:47:\"index.php?sitemap=$matches[1]&paged=$matches[2]\";s:47:\"category/(.+?)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:52:\"index.php?category_name=$matches[1]&feed=$matches[2]\";s:42:\"category/(.+?)/(feed|rdf|rss|rss2|atom)/?$\";s:52:\"index.php?category_name=$matches[1]&feed=$matches[2]\";s:23:\"category/(.+?)/embed/?$\";s:46:\"index.php?category_name=$matches[1]&embed=true\";s:35:\"category/(.+?)/page/?([0-9]{1,})/?$\";s:53:\"index.php?category_name=$matches[1]&paged=$matches[2]\";s:17:\"category/(.+?)/?$\";s:35:\"index.php?category_name=$matches[1]\";s:44:\"tag/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?tag=$matches[1]&feed=$matches[2]\";s:39:\"tag/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?tag=$matches[1]&feed=$matches[2]\";s:20:\"tag/([^/]+)/embed/?$\";s:36:\"index.php?tag=$matches[1]&embed=true\";s:32:\"tag/([^/]+)/page/?([0-9]{1,})/?$\";s:43:\"index.php?tag=$matches[1]&paged=$matches[2]\";s:14:\"tag/([^/]+)/?$\";s:25:\"index.php?tag=$matches[1]\";s:45:\"type/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?post_format=$matches[1]&feed=$matches[2]\";s:40:\"type/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?post_format=$matches[1]&feed=$matches[2]\";s:21:\"type/([^/]+)/embed/?$\";s:44:\"index.php?post_format=$matches[1]&embed=true\";s:33:\"type/([^/]+)/page/?([0-9]{1,})/?$\";s:51:\"index.php?post_format=$matches[1]&paged=$matches[2]\";s:15:\"type/([^/]+)/?$\";s:33:\"index.php?post_format=$matches[1]\";s:48:\".*wp-(atom|rdf|rss|rss2|feed|commentsrss2)\\.php$\";s:18:\"index.php?feed=old\";s:20:\".*wp-app\\.php(/.*)?$\";s:19:\"index.php?error=403\";s:18:\".*wp-register.php$\";s:23:\"index.php?register=true\";s:32:\"feed/(feed|rdf|rss|rss2|atom)/?$\";s:27:\"index.php?&feed=$matches[1]\";s:27:\"(feed|rdf|rss|rss2|atom)/?$\";s:27:\"index.php?&feed=$matches[1]\";s:8:\"embed/?$\";s:21:\"index.php?&embed=true\";s:20:\"page/?([0-9]{1,})/?$\";s:28:\"index.php?&paged=$matches[1]\";s:41:\"comments/feed/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?&feed=$matches[1]&withcomments=1\";s:36:\"comments/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?&feed=$matches[1]&withcomments=1\";s:17:\"comments/embed/?$\";s:21:\"index.php?&embed=true\";s:44:\"search/(.+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:40:\"index.php?s=$matches[1]&feed=$matches[2]\";s:39:\"search/(.+)/(feed|rdf|rss|rss2|atom)/?$\";s:40:\"index.php?s=$matches[1]&feed=$matches[2]\";s:20:\"search/(.+)/embed/?$\";s:34:\"index.php?s=$matches[1]&embed=true\";s:32:\"search/(.+)/page/?([0-9]{1,})/?$\";s:41:\"index.php?s=$matches[1]&paged=$matches[2]\";s:14:\"search/(.+)/?$\";s:23:\"index.php?s=$matches[1]\";s:47:\"author/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?author_name=$matches[1]&feed=$matches[2]\";s:42:\"author/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?author_name=$matches[1]&feed=$matches[2]\";s:23:\"author/([^/]+)/embed/?$\";s:44:\"index.php?author_name=$matches[1]&embed=true\";s:35:\"author/([^/]+)/page/?([0-9]{1,})/?$\";s:51:\"index.php?author_name=$matches[1]&paged=$matches[2]\";s:17:\"author/([^/]+)/?$\";s:33:\"index.php?author_name=$matches[1]\";s:69:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/feed/(feed|rdf|rss|rss2|atom)/?$\";s:80:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&feed=$matches[4]\";s:64:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/(feed|rdf|rss|rss2|atom)/?$\";s:80:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&feed=$matches[4]\";s:45:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/embed/?$\";s:74:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&embed=true\";s:57:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/page/?([0-9]{1,})/?$\";s:81:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&paged=$matches[4]\";s:39:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/?$\";s:63:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]\";s:56:\"([0-9]{4})/([0-9]{1,2})/feed/(feed|rdf|rss|rss2|atom)/?$\";s:64:\"index.php?year=$matches[1]&monthnum=$matches[2]&feed=$matches[3]\";s:51:\"([0-9]{4})/([0-9]{1,2})/(feed|rdf|rss|rss2|atom)/?$\";s:64:\"index.php?year=$matches[1]&monthnum=$matches[2]&feed=$matches[3]\";s:32:\"([0-9]{4})/([0-9]{1,2})/embed/?$\";s:58:\"index.php?year=$matches[1]&monthnum=$matches[2]&embed=true\";s:44:\"([0-9]{4})/([0-9]{1,2})/page/?([0-9]{1,})/?$\";s:65:\"index.php?year=$matches[1]&monthnum=$matches[2]&paged=$matches[3]\";s:26:\"([0-9]{4})/([0-9]{1,2})/?$\";s:47:\"index.php?year=$matches[1]&monthnum=$matches[2]\";s:43:\"([0-9]{4})/feed/(feed|rdf|rss|rss2|atom)/?$\";s:43:\"index.php?year=$matches[1]&feed=$matches[2]\";s:38:\"([0-9]{4})/(feed|rdf|rss|rss2|atom)/?$\";s:43:\"index.php?year=$matches[1]&feed=$matches[2]\";s:19:\"([0-9]{4})/embed/?$\";s:37:\"index.php?year=$matches[1]&embed=true\";s:31:\"([0-9]{4})/page/?([0-9]{1,})/?$\";s:44:\"index.php?year=$matches[1]&paged=$matches[2]\";s:13:\"([0-9]{4})/?$\";s:26:\"index.php?year=$matches[1]\";s:27:\".?.+?/attachment/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:37:\".?.+?/attachment/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:57:\".?.+?/attachment/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:52:\".?.+?/attachment/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:52:\".?.+?/attachment/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:33:\".?.+?/attachment/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:16:\"(.?.+?)/embed/?$\";s:41:\"index.php?pagename=$matches[1]&embed=true\";s:20:\"(.?.+?)/trackback/?$\";s:35:\"index.php?pagename=$matches[1]&tb=1\";s:40:\"(.?.+?)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:47:\"index.php?pagename=$matches[1]&feed=$matches[2]\";s:35:\"(.?.+?)/(feed|rdf|rss|rss2|atom)/?$\";s:47:\"index.php?pagename=$matches[1]&feed=$matches[2]\";s:28:\"(.?.+?)/page/?([0-9]{1,})/?$\";s:48:\"index.php?pagename=$matches[1]&paged=$matches[2]\";s:35:\"(.?.+?)/comment-page-([0-9]{1,})/?$\";s:48:\"index.php?pagename=$matches[1]&cpage=$matches[2]\";s:24:\"(.?.+?)(?:/([0-9]+))?/?$\";s:47:\"index.php?pagename=$matches[1]&page=$matches[2]\";s:31:\".+?/[^/]+/attachment/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:41:\".+?/[^/]+/attachment/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:61:\".+?/[^/]+/attachment/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:56:\".+?/[^/]+/attachment/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:56:\".+?/[^/]+/attachment/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:37:\".+?/[^/]+/attachment/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:22:\"(.+?)/([^/]+)/embed/?$\";s:63:\"index.php?category_name=$matches[1]&name=$matches[2]&embed=true\";s:26:\"(.+?)/([^/]+)/trackback/?$\";s:57:\"index.php?category_name=$matches[1]&name=$matches[2]&tb=1\";s:46:\"(.+?)/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:69:\"index.php?category_name=$matches[1]&name=$matches[2]&feed=$matches[3]\";s:41:\"(.+?)/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:69:\"index.php?category_name=$matches[1]&name=$matches[2]&feed=$matches[3]\";s:34:\"(.+?)/([^/]+)/page/?([0-9]{1,})/?$\";s:70:\"index.php?category_name=$matches[1]&name=$matches[2]&paged=$matches[3]\";s:41:\"(.+?)/([^/]+)/comment-page-([0-9]{1,})/?$\";s:70:\"index.php?category_name=$matches[1]&name=$matches[2]&cpage=$matches[3]\";s:30:\"(.+?)/([^/]+)(?:/([0-9]+))?/?$\";s:69:\"index.php?category_name=$matches[1]&name=$matches[2]&page=$matches[3]\";s:20:\".+?/[^/]+/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:30:\".+?/[^/]+/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:50:\".+?/[^/]+/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:45:\".+?/[^/]+/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:45:\".+?/[^/]+/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:26:\".+?/[^/]+/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:38:\"(.+?)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:52:\"index.php?category_name=$matches[1]&feed=$matches[2]\";s:33:\"(.+?)/(feed|rdf|rss|rss2|atom)/?$\";s:52:\"index.php?category_name=$matches[1]&feed=$matches[2]\";s:14:\"(.+?)/embed/?$\";s:46:\"index.php?category_name=$matches[1]&embed=true\";s:26:\"(.+?)/page/?([0-9]{1,})/?$\";s:53:\"index.php?category_name=$matches[1]&paged=$matches[2]\";s:33:\"(.+?)/comment-page-([0-9]{1,})/?$\";s:53:\"index.php?category_name=$matches[1]&cpage=$matches[2]\";s:8:\"(.+?)/?$\";s:35:\"index.php?category_name=$matches[1]\";}", "yes");
INSERT INTO `wp_options` VALUES("30", "hack_file", "0", "yes");
INSERT INTO `wp_options` VALUES("31", "blog_charset", "UTF-8", "yes");
INSERT INTO `wp_options` VALUES("32", "moderation_keys", "", "no");
INSERT INTO `wp_options` VALUES("33", "active_plugins", "a:1:{i:0;s:25:\"duplicator/duplicator.php\";}", "yes");
INSERT INTO `wp_options` VALUES("34", "category_base", "", "yes");
INSERT INTO `wp_options` VALUES("35", "ping_sites", "http://rpc.pingomatic.com/", "yes");
INSERT INTO `wp_options` VALUES("36", "comment_max_links", "2", "yes");
INSERT INTO `wp_options` VALUES("37", "gmt_offset", "0", "yes");
INSERT INTO `wp_options` VALUES("38", "default_email_category", "20", "yes");
INSERT INTO `wp_options` VALUES("39", "recently_edited", "a:2:{i:0;s:126:\"/Applications/MAMP/htdocs/UpdatingDuplicatorVersions/miyazaki-wp-php82/wp-content/themes/metonymic-revised-commented/style.css\";i:1;s:0:\"\";}", "no");
INSERT INTO `wp_options` VALUES("40", "template", "twentytwentythree", "yes");
INSERT INTO `wp_options` VALUES("41", "stylesheet", "twentytwentythree", "yes");
INSERT INTO `wp_options` VALUES("44", "comment_registration", "0", "yes");
INSERT INTO `wp_options` VALUES("45", "html_type", "text/html", "yes");
INSERT INTO `wp_options` VALUES("46", "use_trackback", "0", "yes");
INSERT INTO `wp_options` VALUES("47", "default_role", "subscriber", "yes");
INSERT INTO `wp_options` VALUES("48", "db_version", "56657", "yes");
INSERT INTO `wp_options` VALUES("49", "uploads_use_yearmonth_folders", "1", "yes");
INSERT INTO `wp_options` VALUES("50", "upload_path", "", "yes");
INSERT INTO `wp_options` VALUES("51", "blog_public", "0", "yes");
INSERT INTO `wp_options` VALUES("52", "default_link_category", "0", "yes");
INSERT INTO `wp_options` VALUES("53", "show_on_front", "posts", "yes");
INSERT INTO `wp_options` VALUES("54", "tag_base", "", "yes");
INSERT INTO `wp_options` VALUES("55", "show_avatars", "1", "yes");
INSERT INTO `wp_options` VALUES("56", "avatar_rating", "G", "yes");
INSERT INTO `wp_options` VALUES("57", "upload_url_path", "", "yes");
INSERT INTO `wp_options` VALUES("58", "thumbnail_size_w", "150", "yes");
INSERT INTO `wp_options` VALUES("59", "thumbnail_size_h", "150", "yes");
INSERT INTO `wp_options` VALUES("60", "thumbnail_crop", "1", "yes");
INSERT INTO `wp_options` VALUES("61", "medium_size_w", "300", "yes");
INSERT INTO `wp_options` VALUES("62", "medium_size_h", "300", "yes");
INSERT INTO `wp_options` VALUES("63", "avatar_default", "mystery", "yes");
INSERT INTO `wp_options` VALUES("64", "large_size_w", "1024", "yes");
INSERT INTO `wp_options` VALUES("65", "large_size_h", "1024", "yes");
INSERT INTO `wp_options` VALUES("66", "image_default_link_type", "none", "yes");
INSERT INTO `wp_options` VALUES("67", "image_default_size", "", "yes");
INSERT INTO `wp_options` VALUES("68", "image_default_align", "", "yes");
INSERT INTO `wp_options` VALUES("69", "close_comments_for_old_posts", "0", "yes");
INSERT INTO `wp_options` VALUES("70", "close_comments_days_old", "14", "yes");
INSERT INTO `wp_options` VALUES("71", "thread_comments", "1", "yes");
INSERT INTO `wp_options` VALUES("72", "thread_comments_depth", "5", "yes");
INSERT INTO `wp_options` VALUES("73", "page_comments", "0", "yes");
INSERT INTO `wp_options` VALUES("74", "comments_per_page", "50", "yes");
INSERT INTO `wp_options` VALUES("75", "default_comments_page", "newest", "yes");
INSERT INTO `wp_options` VALUES("76", "comment_order", "asc", "yes");
INSERT INTO `wp_options` VALUES("77", "sticky_posts", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("78", "widget_categories", "a:2:{i:2;a:4:{s:5:\"title\";s:0:\"\";s:5:\"count\";i:0;s:12:\"hierarchical\";i:0;s:8:\"dropdown\";i:0;}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("79", "widget_text", "a:2:{i:1;a:0:{}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("80", "widget_rss", "a:2:{i:1;a:0:{}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("81", "uninstall_plugins", "a:0:{}", "no");
INSERT INTO `wp_options` VALUES("82", "timezone_string", "", "yes");
INSERT INTO `wp_options` VALUES("83", "page_for_posts", "0", "yes");
INSERT INTO `wp_options` VALUES("84", "page_on_front", "0", "yes");
INSERT INTO `wp_options` VALUES("85", "default_post_format", "0", "yes");
INSERT INTO `wp_options` VALUES("86", "link_manager_enabled", "0", "yes");
INSERT INTO `wp_options` VALUES("87", "finished_splitting_shared_terms", "1", "yes");
INSERT INTO `wp_options` VALUES("88", "site_icon", "0", "yes");
INSERT INTO `wp_options` VALUES("89", "medium_large_size_w", "768", "yes");
INSERT INTO `wp_options` VALUES("90", "medium_large_size_h", "0", "yes");
INSERT INTO `wp_options` VALUES("91", "wp_page_for_privacy_policy", "3", "yes");
INSERT INTO `wp_options` VALUES("92", "initial_db_version", "38590", "yes");
INSERT INTO `wp_options` VALUES("93", "wp_user_roles", "a:5:{s:13:\"administrator\";a:2:{s:4:\"name\";s:13:\"Administrator\";s:12:\"capabilities\";a:62:{s:13:\"switch_themes\";b:1;s:11:\"edit_themes\";b:1;s:16:\"activate_plugins\";b:1;s:12:\"edit_plugins\";b:1;s:10:\"edit_users\";b:1;s:10:\"edit_files\";b:1;s:14:\"manage_options\";b:1;s:17:\"moderate_comments\";b:1;s:17:\"manage_categories\";b:1;s:12:\"manage_links\";b:1;s:12:\"upload_files\";b:1;s:6:\"import\";b:1;s:15:\"unfiltered_html\";b:1;s:10:\"edit_posts\";b:1;s:17:\"edit_others_posts\";b:1;s:20:\"edit_published_posts\";b:1;s:13:\"publish_posts\";b:1;s:10:\"edit_pages\";b:1;s:4:\"read\";b:1;s:8:\"level_10\";b:1;s:7:\"level_9\";b:1;s:7:\"level_8\";b:1;s:7:\"level_7\";b:1;s:7:\"level_6\";b:1;s:7:\"level_5\";b:1;s:7:\"level_4\";b:1;s:7:\"level_3\";b:1;s:7:\"level_2\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:17:\"edit_others_pages\";b:1;s:20:\"edit_published_pages\";b:1;s:13:\"publish_pages\";b:1;s:12:\"delete_pages\";b:1;s:19:\"delete_others_pages\";b:1;s:22:\"delete_published_pages\";b:1;s:12:\"delete_posts\";b:1;s:19:\"delete_others_posts\";b:1;s:22:\"delete_published_posts\";b:1;s:20:\"delete_private_posts\";b:1;s:18:\"edit_private_posts\";b:1;s:18:\"read_private_posts\";b:1;s:20:\"delete_private_pages\";b:1;s:18:\"edit_private_pages\";b:1;s:18:\"read_private_pages\";b:1;s:12:\"delete_users\";b:1;s:12:\"create_users\";b:1;s:17:\"unfiltered_upload\";b:1;s:14:\"edit_dashboard\";b:1;s:14:\"update_plugins\";b:1;s:14:\"delete_plugins\";b:1;s:15:\"install_plugins\";b:1;s:13:\"update_themes\";b:1;s:14:\"install_themes\";b:1;s:11:\"update_core\";b:1;s:10:\"list_users\";b:1;s:12:\"remove_users\";b:1;s:13:\"promote_users\";b:1;s:18:\"edit_theme_options\";b:1;s:13:\"delete_themes\";b:1;s:6:\"export\";b:1;s:10:\"copy_posts\";b:1;}}s:6:\"editor\";a:2:{s:4:\"name\";s:6:\"Editor\";s:12:\"capabilities\";a:35:{s:17:\"moderate_comments\";b:1;s:17:\"manage_categories\";b:1;s:12:\"manage_links\";b:1;s:12:\"upload_files\";b:1;s:15:\"unfiltered_html\";b:1;s:10:\"edit_posts\";b:1;s:17:\"edit_others_posts\";b:1;s:20:\"edit_published_posts\";b:1;s:13:\"publish_posts\";b:1;s:10:\"edit_pages\";b:1;s:4:\"read\";b:1;s:7:\"level_7\";b:1;s:7:\"level_6\";b:1;s:7:\"level_5\";b:1;s:7:\"level_4\";b:1;s:7:\"level_3\";b:1;s:7:\"level_2\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:17:\"edit_others_pages\";b:1;s:20:\"edit_published_pages\";b:1;s:13:\"publish_pages\";b:1;s:12:\"delete_pages\";b:1;s:19:\"delete_others_pages\";b:1;s:22:\"delete_published_pages\";b:1;s:12:\"delete_posts\";b:1;s:19:\"delete_others_posts\";b:1;s:22:\"delete_published_posts\";b:1;s:20:\"delete_private_posts\";b:1;s:18:\"edit_private_posts\";b:1;s:18:\"read_private_posts\";b:1;s:20:\"delete_private_pages\";b:1;s:18:\"edit_private_pages\";b:1;s:18:\"read_private_pages\";b:1;s:10:\"copy_posts\";b:1;}}s:6:\"author\";a:2:{s:4:\"name\";s:6:\"Author\";s:12:\"capabilities\";a:10:{s:12:\"upload_files\";b:1;s:10:\"edit_posts\";b:1;s:20:\"edit_published_posts\";b:1;s:13:\"publish_posts\";b:1;s:4:\"read\";b:1;s:7:\"level_2\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:12:\"delete_posts\";b:1;s:22:\"delete_published_posts\";b:1;}}s:11:\"contributor\";a:2:{s:4:\"name\";s:11:\"Contributor\";s:12:\"capabilities\";a:5:{s:10:\"edit_posts\";b:1;s:4:\"read\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:12:\"delete_posts\";b:1;}}s:10:\"subscriber\";a:2:{s:4:\"name\";s:10:\"Subscriber\";s:12:\"capabilities\";a:2:{s:4:\"read\";b:1;s:7:\"level_0\";b:1;}}}", "yes");
INSERT INTO `wp_options` VALUES("94", "fresh_site", "0", "yes");
INSERT INTO `wp_options` VALUES("95", "widget_search", "a:2:{i:2;a:1:{s:5:\"title\";s:0:\"\";}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("96", "widget_recent-posts", "a:2:{i:2;a:2:{s:5:\"title\";s:0:\"\";s:6:\"number\";i:5;}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("97", "widget_recent-comments", "a:2:{i:2;a:2:{s:5:\"title\";s:0:\"\";s:6:\"number\";i:5;}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("98", "widget_archives", "a:2:{i:2;a:3:{s:5:\"title\";s:0:\"\";s:5:\"count\";i:0;s:8:\"dropdown\";i:0;}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("99", "widget_meta", "a:2:{i:2;a:1:{s:5:\"title\";s:0:\"\";}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("100", "sidebars_widgets", "a:3:{s:19:\"wp_inactive_widgets\";a:0:{}s:9:\"sidebar-1\";a:6:{i:0;s:8:\"search-2\";i:1;s:14:\"recent-posts-2\";i:2;s:17:\"recent-comments-2\";i:3;s:10:\"archives-2\";i:4;s:12:\"categories-2\";i:5;s:6:\"meta-2\";}s:13:\"array_version\";i:3;}", "yes");
INSERT INTO `wp_options` VALUES("101", "widget_pages", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("102", "widget_calendar", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("103", "widget_media_audio", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("104", "widget_media_image", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("105", "widget_media_gallery", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("106", "widget_media_video", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("107", "widget_tag_cloud", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("108", "widget_nav_menu", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("109", "widget_custom_html", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("110", "cron", "a:10:{i:1705636465;a:1:{s:34:\"wp_privacy_delete_old_export_files\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:6:\"hourly\";s:4:\"args\";a:0:{}s:8:\"interval\";i:3600;}}}i:1705668373;a:3:{s:16:\"wp_version_check\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}s:17:\"wp_update_plugins\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}s:16:\"wp_update_themes\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}}i:1705678070;a:1:{s:21:\"wp_update_user_counts\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}}i:1705711805;a:2:{s:19:\"wp_scheduled_delete\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}s:25:\"delete_expired_transients\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1705712544;a:1:{s:30:\"wp_scheduled_auto_draft_delete\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1705719201;a:2:{s:32:\"recovery_mode_clean_expired_keys\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}s:30:\"wp_site_health_scheduled_check\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:6:\"weekly\";s:4:\"args\";a:0:{}s:8:\"interval\";i:604800;}}}i:1705932000;a:1:{s:29:\"duplicator_email_summary_cron\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:22:\"duplicator_weekly_cron\";s:4:\"args\";a:0:{}s:8:\"interval\";i:604800;}}}i:1706128103;a:1:{s:30:\"duplicator_usage_tracking_cron\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:22:\"duplicator_weekly_cron\";s:4:\"args\";a:0:{}s:8:\"interval\";i:604800;}}}i:1706239689;a:1:{s:30:\"wp_delete_temp_updater_backups\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:6:\"weekly\";s:4:\"args\";a:0:{}s:8:\"interval\";i:604800;}}}s:7:\"version\";i:2;}", "yes");
INSERT INTO `wp_options` VALUES("111", "theme_mods_twentyseventeen", "a:2:{s:18:\"custom_css_post_id\";i:-1;s:16:\"sidebars_widgets\";a:2:{s:4:\"time\";i:1531618129;s:4:\"data\";a:4:{s:19:\"wp_inactive_widgets\";a:0:{}s:9:\"sidebar-1\";a:6:{i:0;s:8:\"search-2\";i:1;s:14:\"recent-posts-2\";i:2;s:17:\"recent-comments-2\";i:3;s:10:\"archives-2\";i:4;s:12:\"categories-2\";i:5;s:6:\"meta-2\";}s:9:\"sidebar-2\";a:0:{}s:9:\"sidebar-3\";a:0:{}}}}", "yes");
INSERT INTO `wp_options` VALUES("124", "auto_core_update_notified", "a:4:{s:4:\"type\";s:7:\"success\";s:5:\"email\";s:15:\"kevinmc@shaw.ca\";s:7:\"version\";s:5:\"5.8.8\";s:9:\"timestamp\";i:1705634843;}", "no");
INSERT INTO `wp_options` VALUES("210", "current_theme", "Twenty Twenty-Three", "yes");
INSERT INTO `wp_options` VALUES("211", "theme_mods_metonymic", "a:4:{i:0;b:0;s:18:\"nav_menu_locations\";a:1:{s:6:\"menu-1\";i:15;}s:18:\"custom_css_post_id\";i:-1;s:16:\"sidebars_widgets\";a:2:{s:4:\"time\";i:1533054322;s:4:\"data\";a:2:{s:19:\"wp_inactive_widgets\";a:0:{}s:9:\"sidebar-1\";a:6:{i:0;s:8:\"search-2\";i:1;s:14:\"recent-posts-2\";i:2;s:17:\"recent-comments-2\";i:3;s:10:\"archives-2\";i:4;s:12:\"categories-2\";i:5;s:6:\"meta-2\";}}}}", "yes");
INSERT INTO `wp_options` VALUES("212", "theme_switched", "", "yes");
INSERT INTO `wp_options` VALUES("213", "nav_menu_options", "a:2:{i:0;b:0;s:8:\"auto_add\";a:0:{}}", "yes");
INSERT INTO `wp_options` VALUES("359", "duplicator_version_plugin", "1.5.8", "yes");
INSERT INTO `wp_options` VALUES("360", "recently_activated", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("364", "duplicator_exe_safe_mode", "0", "yes");
INSERT INTO `wp_options` VALUES("461", "WPLANG", "", "yes");
INSERT INTO `wp_options` VALUES("462", "new_admin_email", "kevinmc@shaw.ca", "yes");
INSERT INTO `wp_options` VALUES("472", "duplicate_post_copytitle", "1", "yes");
INSERT INTO `wp_options` VALUES("473", "duplicate_post_copydate", "0", "yes");
INSERT INTO `wp_options` VALUES("474", "duplicate_post_copystatus", "0", "yes");
INSERT INTO `wp_options` VALUES("475", "duplicate_post_copyslug", "0", "yes");
INSERT INTO `wp_options` VALUES("476", "duplicate_post_copyexcerpt", "1", "yes");
INSERT INTO `wp_options` VALUES("477", "duplicate_post_copycontent", "1", "yes");
INSERT INTO `wp_options` VALUES("478", "duplicate_post_copythumbnail", "1", "yes");
INSERT INTO `wp_options` VALUES("479", "duplicate_post_copytemplate", "1", "yes");
INSERT INTO `wp_options` VALUES("480", "duplicate_post_copyformat", "1", "yes");
INSERT INTO `wp_options` VALUES("481", "duplicate_post_copyauthor", "0", "yes");
INSERT INTO `wp_options` VALUES("482", "duplicate_post_copypassword", "0", "yes");
INSERT INTO `wp_options` VALUES("483", "duplicate_post_copyattachments", "0", "yes");
INSERT INTO `wp_options` VALUES("484", "duplicate_post_copychildren", "0", "yes");
INSERT INTO `wp_options` VALUES("485", "duplicate_post_copycomments", "0", "yes");
INSERT INTO `wp_options` VALUES("486", "duplicate_post_copymenuorder", "1", "yes");
INSERT INTO `wp_options` VALUES("487", "duplicate_post_taxonomies_blacklist", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("488", "duplicate_post_blacklist", "", "yes");
INSERT INTO `wp_options` VALUES("489", "duplicate_post_types_enabled", "a:2:{i:0;s:4:\"post\";i:1;s:4:\"page\";}", "yes");
INSERT INTO `wp_options` VALUES("490", "duplicate_post_show_row", "1", "yes");
INSERT INTO `wp_options` VALUES("491", "duplicate_post_show_adminbar", "1", "yes");
INSERT INTO `wp_options` VALUES("492", "duplicate_post_show_submitbox", "1", "yes");
INSERT INTO `wp_options` VALUES("493", "duplicate_post_show_bulkactions", "1", "yes");
INSERT INTO `wp_options` VALUES("494", "duplicate_post_version", "3.2.2", "yes");
INSERT INTO `wp_options` VALUES("495", "duplicate_post_show_notice", "0", "no");
INSERT INTO `wp_options` VALUES("563", "bm_row_amount", "100", "yes");
INSERT INTO `wp_options` VALUES("849", "theme_mods_metonymic-revised-commented", "a:4:{i:0;b:0;s:18:\"nav_menu_locations\";a:1:{s:6:\"menu-1\";i:15;}s:18:\"custom_css_post_id\";i:-1;s:16:\"sidebars_widgets\";a:2:{s:4:\"time\";i:1533063152;s:4:\"data\";a:2:{s:19:\"wp_inactive_widgets\";a:0:{}s:9:\"sidebar-1\";a:6:{i:0;s:8:\"search-2\";i:1;s:14:\"recent-posts-2\";i:2;s:17:\"recent-comments-2\";i:3;s:10:\"archives-2\";i:4;s:12:\"categories-2\";i:5;s:6:\"meta-2\";}}}}", "yes");
INSERT INTO `wp_options` VALUES("869", "category_children", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("878", "theme_mods_twentyfifteen", "a:4:{i:0;b:0;s:18:\"nav_menu_locations\";a:1:{s:7:\"primary\";i:0;}s:18:\"custom_css_post_id\";i:-1;s:16:\"sidebars_widgets\";a:2:{s:4:\"time\";i:1705634974;s:4:\"data\";a:2:{s:19:\"wp_inactive_widgets\";a:0:{}s:9:\"sidebar-1\";a:6:{i:0;s:8:\"search-2\";i:1;s:14:\"recent-posts-2\";i:2;s:17:\"recent-comments-2\";i:3;s:10:\"archives-2\";i:4;s:12:\"categories-2\";i:5;s:6:\"meta-2\";}}}}", "yes");
INSERT INTO `wp_options` VALUES("897", "duplicator_settings", "a:19:{s:7:\"version\";s:5:\"1.5.8\";s:18:\"uninstall_settings\";b:1;s:15:\"uninstall_files\";b:1;s:13:\"package_debug\";b:0;s:23:\"email_summary_frequency\";s:6:\"weekly\";s:9:\"amNotices\";b:1;s:17:\"package_mysqldump\";b:1;s:22:\"package_mysqldump_path\";s:0:\"\";s:24:\"package_phpdump_qrylimit\";s:3:\"100\";s:17:\"package_zip_flush\";b:0;s:19:\"installer_name_mode\";s:6:\"simple\";s:16:\"storage_position\";s:6:\"legacy\";s:20:\"storage_htaccess_off\";b:0;s:18:\"archive_build_mode\";i:2;s:17:\"skip_archive_scan\";b:0;s:21:\"unhook_third_party_js\";b:0;s:22:\"unhook_third_party_css\";b:0;s:17:\"active_package_id\";i:11;s:14:\"usage_tracking\";b:0;}", "yes");
INSERT INTO `wp_options` VALUES("909", "show_comments_cookies_opt_in", "0", "yes");
INSERT INTO `wp_options` VALUES("910", "db_upgraded", "", "yes");
INSERT INTO `wp_options` VALUES("930", "duplicator_package_active", "O:11:\"DUP_Package\":23:{s:7:\"Created\";s:19:\"2024-01-19 03:31:18\";s:7:\"Version\";s:5:\"1.5.8\";s:9:\"VersionWP\";s:5:\"6.4.2\";s:9:\"VersionDB\";s:6:\"5.7.39\";s:10:\"VersionPHP\";s:6:\"7.4.33\";s:9:\"VersionOS\";s:6:\"Darwin\";s:2:\"ID\";N;s:4:\"Name\";s:26:\"20230118_miyazaki_exercise\";s:4:\"Hash\";s:35:\"a809340ab5e3e60d1342_20240119033118\";s:8:\"NameHash\";s:62:\"20230118_miyazaki_exercise_a809340ab5e3e60d1342_20240119033118\";s:4:\"Type\";i:0;s:5:\"Notes\";s:0:\"\";s:8:\"ScanFile\";s:72:\"20230118_miyazaki_exercise_a809340ab5e3e60d1342_20240119033118_scan.json\";s:10:\"TimerStart\";i:-1;s:7:\"Runtime\";N;s:7:\"ExeSize\";N;s:7:\"ZipSize\";N;s:6:\"Status\";i:0;s:6:\"WPUser\";N;s:7:\"Archive\";O:11:\"DUP_Archive\":26:{s:10:\"FilterDirs\";s:0:\"\";s:11:\"FilterFiles\";s:0:\"\";s:10:\"FilterExts\";s:0:\"\";s:13:\"FilterDirsAll\";a:0:{}s:14:\"FilterFilesAll\";a:0:{}s:13:\"FilterExtsAll\";a:0:{}s:8:\"FilterOn\";i:0;s:12:\"ExportOnlyDB\";i:0;s:4:\"File\";N;s:6:\"Format\";s:3:\"ZIP\";s:7:\"PackDir\";s:70:\"/Applications/MAMP/htdocs/UpdatingDuplicatorVersions/miyazaki-wp-php82\";s:4:\"Size\";i:0;s:4:\"Dirs\";a:0:{}s:9:\"dirsCount\";i:602;s:5:\"Files\";a:0:{}s:10:\"filesCount\";i:4419;s:10:\"FilterInfo\";O:23:\"DUP_Archive_Filter_Info\":8:{s:4:\"Dirs\";O:34:\"DUP_Archive_Filter_Scope_Directory\":6:{s:7:\"Warning\";a:0:{}s:10:\"Unreadable\";a:0:{}s:10:\"AddonSites\";a:0:{}s:4:\"Core\";a:0:{}s:6:\"Global\";a:0:{}s:8:\"Instance\";a:0:{}}s:5:\"Files\";O:29:\"DUP_Archive_Filter_Scope_File\":7:{s:4:\"Size\";a:0:{}s:7:\"Warning\";a:0:{}s:10:\"Unreadable\";a:0:{}s:10:\"AddonSites\";a:0:{}s:4:\"Core\";a:0:{}s:6:\"Global\";a:0:{}s:8:\"Instance\";a:0:{}}s:4:\"Exts\";O:29:\"DUP_Archive_Filter_Scope_Base\":3:{s:4:\"Core\";a:0:{}s:6:\"Global\";a:0:{}s:8:\"Instance\";a:0:{}}s:9:\"UDirCount\";i:0;s:10:\"UFileCount\";i:0;s:9:\"UExtCount\";i:0;s:8:\"TreeSize\";a:0:{}s:11:\"TreeWarning\";a:0:{}}s:14:\"RecursiveLinks\";a:0:{}s:10:\"file_count\";i:-1;s:10:\"\0*\0Package\";O:11:\"DUP_Package\":23:{s:7:\"Created\";s:19:\"2024-01-19 03:31:18\";s:7:\"Version\";s:5:\"1.5.8\";s:9:\"VersionWP\";s:5:\"6.4.2\";s:9:\"VersionDB\";s:6:\"5.7.39\";s:10:\"VersionPHP\";s:6:\"7.4.33\";s:9:\"VersionOS\";s:6:\"Darwin\";s:2:\"ID\";N;s:4:\"Name\";s:26:\"20230118_miyazaki_exercise\";s:4:\"Hash\";s:35:\"a809340ab5e3e60d1342_20240119033118\";s:8:\"NameHash\";s:62:\"20230118_miyazaki_exercise_a809340ab5e3e60d1342_20240119033118\";s:4:\"Type\";i:0;s:5:\"Notes\";s:0:\"\";s:8:\"ScanFile\";N;s:10:\"TimerStart\";i:-1;s:7:\"Runtime\";N;s:7:\"ExeSize\";N;s:7:\"ZipSize\";N;s:6:\"Status\";i:0;s:6:\"WPUser\";N;s:7:\"Archive\";r:21;s:9:\"Installer\";O:13:\"DUP_Installer\":15:{s:4:\"File\";N;s:4:\"Size\";i:0;s:10:\"OptsDBHost\";s:0:\"\";s:10:\"OptsDBPort\";s:0:\"\";s:10:\"OptsDBName\";s:0:\"\";s:10:\"OptsDBUser\";s:0:\"\";s:13:\"OptsDBCharset\";s:0:\"\";s:15:\"OptsDBCollation\";s:0:\"\";s:12:\"OptsSecureOn\";i:0;s:14:\"OptsSecurePass\";s:0:\"\";s:13:\"numFilesAdded\";i:0;s:12:\"numDirsAdded\";i:0;s:10:\"\0*\0Package\";r:65;s:17:\"\0*\0origFileManger\";N;s:32:\"\0DUP_Installer\0configTransformer\";O:44:\"Duplicator\\Libs\\WpConfig\\WPConfigTransformer\":3:{s:17:\"\0*\0wp_config_path\";s:84:\"/Applications/MAMP/htdocs/UpdatingDuplicatorVersions/miyazaki-wp-php82/wp-config.php\";s:16:\"\0*\0wp_config_src\";N;s:13:\"\0*\0wp_configs\";a:0:{}}}s:8:\"Database\";O:12:\"DUP_Database\":15:{s:4:\"Type\";s:5:\"MySQL\";s:4:\"Size\";N;s:4:\"File\";N;s:4:\"Path\";N;s:12:\"FilterTables\";s:0:\"\";s:8:\"FilterOn\";i:0;s:4:\"Name\";N;s:10:\"Compatible\";s:0:\"\";s:8:\"Comments\";s:28:\"MySQL Community Server (GPL)\";s:19:\"sameNameTableExists\";N;s:4:\"info\";O:16:\"DUP_DatabaseInfo\":23:{s:9:\"buildMode\";s:3:\"PHP\";s:11:\"charSetList\";a:0:{}s:13:\"collationList\";a:0:{}s:10:\"engineList\";a:0:{}s:17:\"isTablesUpperCase\";b:0;s:15:\"isNameUpperCase\";b:0;s:4:\"name\";s:0:\"\";s:15:\"tablesBaseCount\";i:0;s:16:\"tablesFinalCount\";i:0;s:20:\"muFilteredTableCount\";i:0;s:14:\"tablesRowCount\";i:0;s:16:\"tablesSizeOnDisk\";i:0;s:10:\"tablesList\";a:0:{}s:19:\"lowerCaseTableNames\";i:0;s:8:\"dbEngine\";s:0:\"\";s:7:\"version\";i:0;s:14:\"versionComment\";i:0;s:9:\"viewCount\";i:0;s:9:\"procCount\";i:0;s:9:\"funcCount\";i:0;s:11:\"triggerList\";a:0:{}s:33:\"\0DUP_DatabaseInfo\0intFieldsStruct\";a:0:{}s:42:\"\0DUP_DatabaseInfo\0indexProcessedSchemaSize\";a:0:{}}s:10:\"\0*\0Package\";r:65;s:24:\"\0DUP_Database\0tempDbPath\";N;s:23:\"\0DUP_Database\0EOFMarker\";s:0:\"\";s:26:\"\0DUP_Database\0networkFlush\";b:0;}s:13:\"BuildProgress\";O:18:\"DUP_Build_Progress\":12:{s:17:\"thread_start_time\";N;s:11:\"initialized\";b:0;s:15:\"installer_built\";b:0;s:15:\"archive_started\";b:0;s:20:\"archive_has_database\";b:0;s:13:\"archive_built\";b:0;s:21:\"database_script_built\";b:0;s:6:\"failed\";b:0;s:7:\"retries\";i:0;s:14:\"build_failures\";a:0:{}s:19:\"validation_failures\";a:0:{}s:27:\"\0DUP_Build_Progress\0package\";r:65;}}s:29:\"\0DUP_Archive\0tmpFilterDirsAll\";a:0:{}s:24:\"\0DUP_Archive\0wpCorePaths\";a:3:{i:0;s:79:\"/Applications/MAMP/htdocs/UpdatingDuplicatorVersions/miyazaki-wp-php82/wp-admin\";i:1;s:82:\"/Applications/MAMP/htdocs/UpdatingDuplicatorVersions/miyazaki-wp-php82/wp-includes\";i:2;s:91:\"/Applications/MAMP/htdocs/UpdatingDuplicatorVersions/miyazaki-wp-php82/wp-content/languages\";}s:29:\"\0DUP_Archive\0wpCoreExactPaths\";a:7:{i:0;s:70:\"/Applications/MAMP/htdocs/UpdatingDuplicatorVersions/miyazaki-wp-php82\";i:1;s:70:\"/Applications/MAMP/htdocs/UpdatingDuplicatorVersions/miyazaki-wp-php82\";i:2;s:81:\"/Applications/MAMP/htdocs/UpdatingDuplicatorVersions/miyazaki-wp-php82/wp-content\";i:3;s:89:\"/Applications/MAMP/htdocs/UpdatingDuplicatorVersions/miyazaki-wp-php82/wp-content/uploads\";i:4;s:89:\"/Applications/MAMP/htdocs/UpdatingDuplicatorVersions/miyazaki-wp-php82/wp-content/plugins\";i:5;s:92:\"/Applications/MAMP/htdocs/UpdatingDuplicatorVersions/miyazaki-wp-php82/wp-content/mu-plugins\";i:6;s:88:\"/Applications/MAMP/htdocs/UpdatingDuplicatorVersions/miyazaki-wp-php82/wp-content/themes\";}s:31:\"\0DUP_Archive\0relativeFiltersDir\";a:2:{i:0;s:87:\"/Applications/MAMP/htdocs/UpdatingDuplicatorVersions/miyazaki-wp-php82/wp-snapshots/tmp\";i:1;s:15:\"backups-dup-pro\";}s:24:\"\0DUP_Archive\0listFileObj\";N;s:23:\"\0DUP_Archive\0listDirObj\";N;}s:9:\"Installer\";r:86;s:8:\"Database\";r:105;s:13:\"BuildProgress\";r:144;}", "yes");
INSERT INTO `wp_options` VALUES("984", "admin_email_lifespan", "1721186842", "yes");
INSERT INTO `wp_options` VALUES("988", "recovery_keys", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("991", "duplicator_lite_inst_hash_notice", "1", "yes");
INSERT INTO `wp_options` VALUES("1011", "duplicator_new_storage_position", "1", "yes");
INSERT INTO `wp_options` VALUES("1014", "disallowed_keys", "", "no");
INSERT INTO `wp_options` VALUES("1015", "comment_previously_approved", "1", "yes");
INSERT INTO `wp_options` VALUES("1016", "auto_plugin_theme_update_emails", "a:0:{}", "no");
INSERT INTO `wp_options` VALUES("1017", "auto_update_core_dev", "enabled", "yes");
INSERT INTO `wp_options` VALUES("1018", "auto_update_core_minor", "enabled", "yes");
INSERT INTO `wp_options` VALUES("1019", "auto_update_core_major", "unset", "yes");
INSERT INTO `wp_options` VALUES("1020", "finished_updating_comment_type", "1", "yes");
INSERT INTO `wp_options` VALUES("1046", "wpdg_specific_version_name", "5.8.3", "yes");
INSERT INTO `wp_options` VALUES("1047", "wpdg_download_url", "https://downloads.wordpress.org/release/wordpress-5.8.3.zip", "yes");
INSERT INTO `wp_options` VALUES("1048", "wpdg_edit_download_url", "", "yes");
INSERT INTO `wp_options` VALUES("1054", "widget_block", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("1058", "https_detection_errors", "a:1:{s:20:\"https_request_failed\";a:1:{i:0;s:21:\"HTTPS request failed.\";}}", "yes");
INSERT INTO `wp_options` VALUES("1059", "wp_force_deactivated_plugins", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("1084", "_site_transient_timeout_theme_roots", "1705636792", "no");
INSERT INTO `wp_options` VALUES("1085", "_site_transient_theme_roots", "a:5:{s:12:\"twentytwenty\";s:7:\"/themes\";s:16:\"twentytwentyfour\";s:7:\"/themes\";s:15:\"twentytwentyone\";s:7:\"/themes\";s:17:\"twentytwentythree\";s:7:\"/themes\";s:15:\"twentytwentytwo\";s:7:\"/themes\";}", "no");
INSERT INTO `wp_options` VALUES("1091", "_site_transient_timeout_php_check_990bfacb848fa087bcfc06850f5e4447", "1706239643", "no");
INSERT INTO `wp_options` VALUES("1092", "_site_transient_php_check_990bfacb848fa087bcfc06850f5e4447", "a:5:{s:19:\"recommended_version\";s:3:\"7.4\";s:15:\"minimum_version\";s:3:\"7.0\";s:12:\"is_supported\";b:1;s:9:\"is_secure\";b:1;s:13:\"is_acceptable\";b:1;}", "no");
INSERT INTO `wp_options` VALUES("1093", "_transient_health-check-site-status-result", "{\"good\":13,\"recommended\":5,\"critical\":1}", "yes");
INSERT INTO `wp_options` VALUES("1095", "wp_attachment_pages_enabled", "1", "yes");
INSERT INTO `wp_options` VALUES("1096", "user_count", "6", "no");
INSERT INTO `wp_options` VALUES("1098", "_site_transient_update_core", "O:8:\"stdClass\":4:{s:7:\"updates\";a:1:{i:0;O:8:\"stdClass\":10:{s:8:\"response\";s:6:\"latest\";s:8:\"download\";s:59:\"https://downloads.wordpress.org/release/wordpress-6.4.2.zip\";s:6:\"locale\";s:5:\"en_US\";s:8:\"packages\";O:8:\"stdClass\":5:{s:4:\"full\";s:59:\"https://downloads.wordpress.org/release/wordpress-6.4.2.zip\";s:10:\"no_content\";s:70:\"https://downloads.wordpress.org/release/wordpress-6.4.2-no-content.zip\";s:11:\"new_bundled\";s:71:\"https://downloads.wordpress.org/release/wordpress-6.4.2-new-bundled.zip\";s:7:\"partial\";s:0:\"\";s:8:\"rollback\";s:0:\"\";}s:7:\"current\";s:5:\"6.4.2\";s:7:\"version\";s:5:\"6.4.2\";s:11:\"php_version\";s:5:\"7.0.0\";s:13:\"mysql_version\";s:3:\"5.0\";s:11:\"new_bundled\";s:3:\"6.4\";s:15:\"partial_version\";s:0:\"\";}}s:12:\"last_checked\";i:1705634935;s:15:\"version_checked\";s:5:\"6.4.2\";s:12:\"translations\";a:0:{}}", "no");
INSERT INTO `wp_options` VALUES("1100", "can_compress_scripts", "1", "yes");
INSERT INTO `wp_options` VALUES("1101", "_site_transient_update_plugins", "O:8:\"stdClass\":4:{s:12:\"last_checked\";i:1705634942;s:8:\"response\";a:0:{}s:12:\"translations\";a:0:{}s:9:\"no_update\";a:1:{s:25:\"duplicator/duplicator.php\";O:8:\"stdClass\":10:{s:2:\"id\";s:24:\"w.org/plugins/duplicator\";s:4:\"slug\";s:10:\"duplicator\";s:6:\"plugin\";s:25:\"duplicator/duplicator.php\";s:11:\"new_version\";s:5:\"1.5.8\";s:3:\"url\";s:41:\"https://wordpress.org/plugins/duplicator/\";s:7:\"package\";s:59:\"https://downloads.wordpress.org/plugin/duplicator.1.5.8.zip\";s:5:\"icons\";a:2:{s:2:\"2x\";s:63:\"https://ps.w.org/duplicator/assets/icon-256x256.png?rev=2906985\";s:2:\"1x\";s:63:\"https://ps.w.org/duplicator/assets/icon-128x128.png?rev=2906985\";}s:7:\"banners\";a:2:{s:2:\"2x\";s:66:\"https://ps.w.org/duplicator/assets/banner-1544x500.png?rev=2906985\";s:2:\"1x\";s:65:\"https://ps.w.org/duplicator/assets/banner-772x250.png?rev=2906985\";}s:11:\"banners_rtl\";a:0:{}s:8:\"requires\";s:3:\"4.9\";}}}", "no");
INSERT INTO `wp_options` VALUES("1105", "duplicator_install_info", "a:3:{s:7:\"version\";s:5:\"1.5.8\";s:4:\"time\";i:1705634921;s:10:\"updateTime\";i:1705634921;}", "no");
INSERT INTO `wp_options` VALUES("1106", "duplicator_uninstall_package", "1", "yes");
INSERT INTO `wp_options` VALUES("1107", "duplicator_uninstall_settings", "1", "yes");
INSERT INTO `wp_options` VALUES("1108", "duplicator_plugin_data_stats", "{\n    \"lastSendTime\": 0,\n    \"identifier\": \"z,rS+p9grVNq-P_N4v7jJUBHq2h7gQIrkL+Mg+J2OY8r\",\n    \"plugin\": \"dup-lite\",\n    \"pluginStatus\": \"active\",\n    \"buildCount\": 0,\n    \"buildLastDate\": 0,\n    \"buildFailedCount\": 0,\n    \"buildFailedLastDate\": 0,\n    \"siteSizeMB\": 106.61,\n    \"siteNumFiles\": 5021,\n    \"siteDbSizeMB\": 3.78,\n    \"siteDbNumTables\": 13\n}", "yes");
INSERT INTO `wp_options` VALUES("1109", "duplicator_notifications", "a:4:{s:6:\"update\";i:1705634921;s:4:\"feed\";a:0:{}s:6:\"events\";a:0:{}s:9:\"dismissed\";a:0:{}}", "yes");
INSERT INTO `wp_options` VALUES("1110", "_site_transient_timeout_browser_821789b99f9168330b06379c53813800", "1706239722", "no");
INSERT INTO `wp_options` VALUES("1111", "_site_transient_browser_821789b99f9168330b06379c53813800", "a:10:{s:4:\"name\";s:6:\"Chrome\";s:7:\"version\";s:9:\"120.0.0.0\";s:8:\"platform\";s:9:\"Macintosh\";s:10:\"update_url\";s:29:\"https://www.google.com/chrome\";s:7:\"img_src\";s:43:\"http://s.w.org/images/browsers/chrome.png?1\";s:11:\"img_src_ssl\";s:44:\"https://s.w.org/images/browsers/chrome.png?1\";s:15:\"current_version\";s:2:\"18\";s:7:\"upgrade\";b:0;s:8:\"insecure\";b:0;s:6:\"mobile\";b:0;}", "no");
INSERT INTO `wp_options` VALUES("1112", "_site_transient_timeout_community-events-d41d8cd98f00b204e9800998ecf8427e", "1705678123", "no");
INSERT INTO `wp_options` VALUES("1113", "_site_transient_community-events-d41d8cd98f00b204e9800998ecf8427e", "a:4:{s:9:\"sandboxed\";b:0;s:5:\"error\";N;s:8:\"location\";a:1:{s:2:\"ip\";b:0;}s:6:\"events\";a:1:{i:0;a:10:{s:4:\"type\";s:6:\"meetup\";s:5:\"title\";s:75:\"Vancouver WordPress Talks: Open Source AI & Career Switching to Development\";s:3:\"url\";s:72:\"https://www.meetup.com/vancouver-wordpress-meetup-group/events/298577164\";s:6:\"meetup\";s:36:\"The Vancouver WordPress Meetup Group\";s:10:\"meetup_url\";s:56:\"https://www.meetup.com/vancouver-wordpress-meetup-group/\";s:4:\"date\";s:19:\"2024-01-30 18:00:00\";s:8:\"end_date\";s:19:\"2024-01-30 20:00:00\";s:20:\"start_unix_timestamp\";i:1706666400;s:18:\"end_unix_timestamp\";i:1706673600;s:8:\"location\";a:4:{s:8:\"location\";s:21:\"Vancouver, BC, Canada\";s:7:\"country\";s:2:\"ca\";s:8:\"latitude\";d:49.28345;s:9:\"longitude\";d:-123.11526;}}}}", "no");
INSERT INTO `wp_options` VALUES("1114", "_transient_timeout_feed_9bbd59226dc36b9b26cd43f15694c5c3", "1705678123", "no");
INSERT INTO `wp_options` VALUES("1115", "_transient_feed_9bbd59226dc36b9b26cd43f15694c5c3", "a:4:{s:5:\"child\";a:1:{s:0:\"\";a:1:{s:3:\"rss\";a:1:{i:0;a:6:{s:4:\"data\";s:3:\"\n\n\n\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:7:\"version\";s:3:\"2.0\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:0:\"\";a:1:{s:7:\"channel\";a:1:{i:0;a:6:{s:4:\"data\";s:52:\"\n	\n	\n	\n	\n	\n	\n	\n	\n	\n\n \n	\n		\n		\n		\n		\n		\n		\n		\n		\n		\n	\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:8:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"WordPress News\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:26:\"https://wordpress.org/news\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:59:\"The latest news about WordPress and the WordPress community\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:13:\"lastBuildDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 12 Jan 2024 16:58:53 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"language\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"en-US\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:9:\"generator\";a:1:{i:0;a:5:{s:4:\"data\";s:40:\"https://wordpress.org/?v=6.5-alpha-57309\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:5:\"image\";a:1:{i:0;a:6:{s:4:\"data\";s:11:\"\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:0:\"\";a:5:{s:3:\"url\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://s.w.org/favicon.ico?2\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"WordPress News\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:26:\"https://wordpress.org/news\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:5:\"width\";a:1:{i:0;a:5:{s:4:\"data\";s:2:\"32\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:6:\"height\";a:1:{i:0;a:5:{s:4:\"data\";s:2:\"32\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}s:4:\"item\";a:10:{i:0;a:6:{s:4:\"data\";s:57:\"\n		\n		\n		\n		\n		\n				\n		\n\n					\n										\n					\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:23:\"Data Liberation in 2024\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:59:\"https://wordpress.org/news/2024/01/data-liberation-in-2024/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 12 Jan 2024 16:58:53 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:7:\"General\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://wordpress.org/news/?p=16736\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:314:\"Imagine a more open web where people can switch between any platform of their choosing. A web where being locked into a system is a thing of the past. This is the web I’ve always wanted to see. That’s why I announced a new initiative called Data Liberation for 2024. Migrating your site to WordPress, [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Matt Mullenweg\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:2885:\"\n<p>Imagine a more open web where people can switch between any platform of their choosing. A web where being locked into a system is a thing of the past. This is the web I’ve always wanted to see. That’s why I announced a new initiative called <a href=\"https://wordpress.org/data-liberation/\" target=\"_blank\" rel=\"noreferrer noopener\">Data Liberation</a> for 2024. Migrating your site to WordPress, or exporting all your content from WordPress, should be possible in one click. I want WordPress’ export format to become the lingua franca of CMSes, whether coming to WordPress or moving within WordPress. </p>\n\n\n\n<p>I often hear about folks across the WordPress community duplicating efforts when creating scripts and workflows to move users to WordPress. Imagine if we shared those resources instead and built community-owned plugins that anyone could use! </p>\n\n\n\n<p>But it should be more than plugins; workflows, tutorials, and helper scripts should be shared, too. I want this resource to have space to include moving from social networks, moving from a page builder to core blocks, switching from classic to blocks, and improving WordPress current canonical plugins for importing. </p>\n\n\n\n<h2 class=\"wp-block-heading\">You can help!</h2>\n\n\n\n<p>Of course, the heart of any open source project is the community that shows up to build it. My hope is that this marks the start of a new contribution pathway, separate from core teams, that allows folks to contribute what they’ve learned and what they’ve created to help others move to WordPress. I expect this emphasis on migration will also influence future development, both in core and with recommended community or canonical plugins.</p>\n\n\n\n<p>There are a few things that I think will be key to making this project a success:</p>\n\n\n\n<ul>\n<li>A dedicated landing page on WordPress.org following a WordPress.org/and/[platform-name] format.</li>\n\n\n\n<li>A forum used for non-review user feedback and general discussion.</li>\n\n\n\n<li>A dedicated Slack channel.</li>\n\n\n\n<li>Moderation within hours rather than days.</li>\n\n\n\n<li>Listed on <a href=\"https://github.com/WordPress\">WordPress GitHub</a> with syncing for individual commits to SVN for history in both places.</li>\n</ul>\n\n\n\n<p>By complementing the community’s existing efforts—the <a href=\"https://wordpress.org/five-for-the-future/\">Five for the Future program</a>, the <a href=\"https://learn.wordpress.org/\">Learn WordPress initiative</a>, a focus on internationalization, etc.—my hope is that this will help even more people see themselves in the WordPress project, providing fresh momentum for <a href=\"https://events.wordpress.org/\">WordCamps and meetups</a>. </p>\n\n\n\n<p>It’s never been more crucial to champion openness on the web. Bringing focused attention to improved portability will untether users and increase their freedom like never before.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"16736\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:1;a:6:{s:4:\"data\";s:61:\"\n		\n		\n		\n		\n		\n				\n		\n		\n\n					\n										\n					\n		\n		\n\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:58:\"WP Briefing: Episode 70: A Look Ahead at WordPress in 2024\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:80:\"https://wordpress.org/news/2024/01/episode-70-a-look-ahead-at-wordpress-in-2024/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 08 Jan 2024 13:00:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:2:{i:0;a:5:{s:4:\"data\";s:7:\"Podcast\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:11:\"wp-briefing\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:53:\"https://wordpress.org/news/?post_type=podcast&p=16677\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:264:\"Curious about WordPress\'s big-picture items for 2024? Phase 3, Data Liberation, new meetups, and more, get the spotlight in this episode. Join Executive Director Josepha Haden Chomphosy for all this, plus a small list of big things coming up in the next two weeks.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:9:\"enclosure\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:3:{s:3:\"url\";s:50:\"https://wordpress.org/news/files/2024/01/WP070.mp3\";s:6:\"length\";s:1:\"0\";s:4:\"type\";s:0:\"\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Brett McSherry\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:8342:\"\n<p>Curious about WordPress&#8217;s big-picture items for 2024? Phase 3, Data Liberation, new meetups, and more, get the spotlight in this episode. Join Executive Director Josepha Haden Chomphosy for all this, plus a small list of big things coming up in the next two weeks.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Credits</h2>\n\n\n\n<p>Host:&nbsp;<a href=\"https://profiles.wordpress.org/chanthaboune/\">Josepha Haden Chomphosy</a><br>Editor:&nbsp;<a href=\"https://profiles.wordpress.org/dustinhartzler/\">Dustin Hartzler</a><br>Logo:&nbsp;<a href=\"https://profiles.wordpress.org/javiarce/\">Javier Arce</a><br>Production:&nbsp;<a href=\"https://profiles.wordpress.org/bjmcsherry/\">Brett McSherry</a><br>Song: Fearless First by Kevin MacLeod</p>\n\n\n\n<h2 class=\"wp-block-heading\">Show Notes</h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/07/03/real-time-collaboration/\">Real-Time Collaboration</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/\">Make WordPress Core</a></li>\n\n\n\n<li><a href=\"https://wordpress.org/data-liberation/\">Data Liberation</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/plugins/\">Make WordPress Plugins</a></li>\n\n\n\n<li><a href=\"https://events.wordpress.org/\">WordCamp Events</a></li>\n\n\n\n<li><strong>Small List of Big Things</strong>\n<ul>\n<li><a href=\"https://make.wordpress.org/project/2023/12/12/overflow-questions-from-state-of-the-word-2023/\">Overflow Questions from State of the Word 2023 in Madrid, Spain</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/community/2023/11/17/announcing-the-2023-annual-meetup-survey/\" target=\"_blank\" rel=\"noreferrer noopener\">Annual Meetup Survey</a>&nbsp;&#8211; This is the final chance to share your feedback on WordPress meetups for 2024 and how we can improve the program in the future.&nbsp;</li>\n</ul>\n</li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\">Transcripts</h2>\n\n\n\n<span id=\"more-16677\"></span>\n\n\n\n<p>[00:00:00] <strong>Josepha:</strong> Hello, everyone, and welcome to the WordPress Briefing, the podcast where you can catch quick explanations of the ideas behind the WordPress open source project, some insight into the community that supports it, and get a small list of big things coming up in the next two weeks. I&#8217;m your host, Josepha Haden Chomphosy. Here we go.&nbsp;</p>\n\n\n\n<p>[00:00:28] (Intro music)&nbsp;</p>\n\n\n\n<p>[00:00:40] <strong>Josepha:</strong> Hello, my dears, and welcome to 2024. I hope you&#8217;ve had a lovely break. At the top of the year, I like to look around and gather the projects that the community is interested in. We can&#8217;t always commit to everything, and sometimes even the things we plan to do can&#8217;t make it across the finish line. In the next few weeks, I&#8217;ll be publishing kind of the big picture goals for the year, but I wanted to share a little bit about what I&#8217;ve collected so far.</p>\n\n\n\n<p>[00:01:05] <strong>Josepha:</strong> Firstly, we&#8217;ve got Phase 3. This has been called a few things over the years: collaborative editing, multiplayer, co-editing. But whatever it&#8217;s been called, the biggest changes to writing and design workflows are likely to happen in this phase. A redesigned workflow can be a bit of a shock. But fortunately, we already have a prototype out there.</p>\n\n\n\n<p>I&#8217;ll include a link to some resources in the show notes, or of course, you can always stop by make.WordPress.org/core for some insights. But I would encourage you to, at the very least, get your hands on that prototype to see what it looks like is coming in Phase 3 so that you can be aware and provide your feedback.</p>\n\n\n\n<p>The next thing on our list is Data Liberation. This is a new-to-us project that was introduced at State of the Word. Fortunately, though, it&#8217;s not a new concept overall. Data Liberation is actually one of the earliest ideas that sold me on WordPress. The idea that you could set up a site for a client, or yourself, and that hard work wasn&#8217;t lost if something went wrong, was really important to me. It&#8217;s been a long time since we put any effort into our importers and exporters, and I think this will be a good focus for the year.</p>\n\n\n\n<p>[00:02:14] <strong>Josepha:</strong> The next thing that I&#8217;ve picked up, kind of a list of three things, but there are three mid-sized areas that I want us to pay attention to this year: plugins, old tickets, and new meetups.&nbsp;</p>\n\n\n\n<p>Plugins, because they really have turned a corner on where they ended 2023. A lot of work has been done to make sure that they&#8217;ve streamlined some efforts, gotten some better onboarding for folks as they&#8217;re going in, and we could really use a hand to keep that momentum going.</p>\n\n\n\n<p>Old tickets, because it&#8217;s something that we hope for year after year when we&#8217;re talking to people about what they want in new releases. So often, part of what they say is some way to work through all of these old things that have been around forever, some with patches. And why not, after all?</p>\n\n\n\n<p>And then new meetups, because I really still think that meetups are the best intro to WordPress. No matter whether you&#8217;re wanting to become a developer eventually or, like, the community-building aspect is the thing that hooks you forever. Meetups are the place to encourage those and discover those.&nbsp;</p>\n\n\n\n<p>[00:03:20] <strong>Josepha:</strong> The next thing on my list is also two things. It&#8217;s two things, but kind of a guess at the moment. There are two summit items that I want us to try to consider this year.</p>\n\n\n\n<p>So the first one is contributor recognition. Acknowledgment and recognition, I think, are two different things, and there was an entire series of sessions at the summit where we talked about it. And so I think that it&#8217;s worth us digging in on that.</p>\n\n\n\n<p>The other thing from the summit that I would really like us to all kind of dig in on is accessibility, how we do it, how we confirm it, what we think we should do versus what we actually do, and see what we can move on the needle there.</p>\n\n\n\n<p>And the last thing is sort of a personal wish. I think it&#8217;s about time that we take a look at the way that we kind of manage ourselves as a project, the way that we do our meetings and report on our successes, things like that. And I realize that this is a big thing, and it might be a little bit scary. But, I mean, we&#8217;ve been doing this for a really long time, and it&#8217;s probably as good a time as any, frankly, to look at what we&#8217;re doing by habit or tradition and see if it still suits us.</p>\n\n\n\n<p>So, that&#8217;s my back of the napkin set of notes so far. Keep an eye out in the next couple of weeks for the annual Big Picture post so you can get some context, notes, and discussion opportunities. And, of course, anything that has shown up that&#8217;s a bit bigger, a bit more final will be in there as well.&nbsp;</p>\n\n\n\n<p>But first, our small list of big things. </p>\n\n\n\n<p>[00:04:52] (Music interlude)&nbsp;</p>\n\n\n\n<p>[00:05:00] <strong>Josepha:</strong> Firstly, State of the Word had nearly 200 questions submitted, and Matt has been answering the overflow on make.WordPress.org/project. So, I&#8217;ll include a link, but head on over there to that post if you would like to catch up on those.</p>\n\n\n\n<p>And then the second item, and last item, is that you&#8217;ve got a few more days left to give us feedback on WordPress meetups in 2023, and give us an idea of what we can do to improve those. I believe those close on January 14th. I really love my local meetup, and I hope that we can get some of that same sort of feeling going in all of yours, too.</p>\n\n\n\n<p>[00:05:33] <strong>Josepha:</strong> And that, my friends, is your small list of big things. Don&#8217;t forget to follow us on your favorite podcast app or subscribe directly on WordPress.org/news. You&#8217;ll get a friendly reminder whenever there&#8217;s a new episode. If you liked what you heard today, share it with a fellow WordPresser, or if you had questions about what you heard, you can share those with me at wpbriefing@WordPress.org.</p>\n\n\n\n<p>I&#8217;m your host, Josepha Haden Chomphosy. Thanks again for tuning in for the WordPress Briefing, and I&#8217;ll see you again in a couple of weeks.&nbsp;</p>\n\n\n\n<p>[00:06:02] (Music outro)&nbsp;</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"16677\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:2;a:6:{s:4:\"data\";s:60:\"\n		\n		\n		\n		\n		\n				\n		\n		\n\n					\n										\n					\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:40:\"The Month in WordPress – December 2023\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:72:\"https://wordpress.org/news/2024/01/the-month-in-wordpress-december-2023/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 05 Jan 2024 10:10:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:2:{i:0;a:5:{s:4:\"data\";s:18:\"Month in WordPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:18:\"month in wordpress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://wordpress.org/news/?p=16680\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:331:\"As 2023 came to a close, WordPress bid farewell with the much-anticipated annual State of the Word and the 6.5 roadmap, among other exciting updates. Read on to learn more about the community’s end-of-year celebrations and catch a sneak peek of what’s in store for the year ahead. Highlights from State of the Word On [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:15:\"Reyes Martínez\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:11236:\"\n<p>As 2023 came to a close, WordPress bid farewell with the much-anticipated annual State of the Word and the 6.5 roadmap, among other exciting updates.</p>\n\n\n\n<p>Read on to learn more about the community’s end-of-year celebrations and catch a sneak peek of what’s in store for the year ahead.</p>\n\n\n\n<div style=\"height:3px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<h2 class=\"wp-block-heading\">Highlights from State of the Word</h2>\n\n\n\n<p>On December 11, WordPress co-founder Matt Mullenweg delivered his annual <strong><a href=\"https://wordpress.org/state-of-the-word/\">State of the Word</a> keynote in Madrid, Spain</strong>, marking the first international edition of the event. Nearly 200 WordPress enthusiasts and tech industry leaders gathered in person to hear what’s next for WordPress—with a large audience joining online or from one of the 47 watch parties held across 18 countries.</p>\n\n\n\n<p>The keynote <a href=\"https://wordpress.org/news/2023/12/state-of-the-word-2023-recap/\">highlighted</a> last year’s milestones and showcased compelling demos, providing a glimpse into the upcoming developments for the Site Editor, Collaboration phase, and Admin redesign. Matt also introduced 2024’s focus on <a href=\"https://wordpress.org/data-liberation/\">Data Liberation</a>, aiming to unlock digital barriers and frictionless migrations into WordPress for a more open web.</p>\n\n\n\n<figure class=\"wp-block-embed is-type-video is-provider-youtube wp-block-embed-youtube wp-embed-aspect-16-9 wp-has-aspect-ratio\"><div class=\"wp-block-embed__wrapper\">\n<iframe class=\"youtube-player\" width=\"600\" height=\"338\" src=\"https://www.youtube.com/embed/c7M4mBVgP3Y?version=3&#038;rel=1&#038;showsearch=0&#038;showinfo=1&#038;iv_load_policy=1&#038;fs=1&#038;hl=en-US&#038;autohide=2&#038;wmode=transparent\" allowfullscreen=\"true\" style=\"border:0;\" sandbox=\"allow-scripts allow-same-origin allow-popups allow-presentation allow-popups-to-escape-sandbox\"></iframe>\n</div></figure>\n\n\n\n<p>The event concluded with a <a href=\"https://www.youtube.com/watch?v=S01uBD2pyQY\">Q&amp;A session</a> and <a href=\"https://make.wordpress.org/project/2023/12/12/overflow-questions-from-state-of-the-word-2023/\">this follow-up post</a>.</p>\n\n\n\n<div style=\"height:3px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<h2 class=\"wp-block-heading\">Roadmap to WordPress 6.5</h2>\n\n\n\n<p>WordPress 6.5 is <a href=\"https://make.wordpress.org/core/6-5/\">scheduled</a> for release on <strong>March 26, 2024</strong>. This major release is set to introduce a new Font Library for easy global font management, support for Appearance Tools in Classic Themes, Data Views for templates and patterns, and more robust revisions across the editing experience, among other highlights.</p>\n\n\n\n<p>6.5 will also include new APIs like Interactivity, Custom Fields, and Block Binding that expand block capabilities and underpin features like Synced Pattern Overrides.</p>\n\n\n\n<p>Learn more about the features planned for WordPress 6.5 in <a href=\"https://make.wordpress.org/core/2023/12/07/roadmap-to-6-5/\">this roadmap post</a>.</p>\n\n\n\n<blockquote class=\"wp-block-quote has-extra-large-font-size\">\n<p>Don’t wait for the next release to optimize your creative workflows with <a href=\"https://wordpress.org/news/2023/12/leap-into-2024-with-these-site-editor-tools/\">these powerful Site Editor tools</a>.</p>\n</blockquote>\n\n\n\n<div style=\"height:3px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<h2 class=\"wp-block-heading\">New in the Gutenberg plugin</h2>\n\n\n\n<p>Two new versions of Gutenberg shipped in December:</p>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/12/06/whats-new-in-gutenberg-17-2-6-december/\"><strong>Gutenberg 17.2</strong></a> introduced improvements to the site editing experience, including the ability to drag and drop blocks to the top and bottom of documents and sticky table headers. The update also enhanced the Interactivity API docs and addressed numerous bug fixes.</li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/12/20/whats-new-in-gutenberg-17-3-20-december/\"><strong>Gutenberg 17.3</strong></a> featured a summary of changes in the global styles revision history, an updated preferences panel, and a new social icon for the Gravatar service, along with the ongoing development of Phase 3 features.</li>\n</ul>\n\n\n\n<div style=\"height:3px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<a class=\"wp-block-jetpack-podcast-player jetpack-podcast-player__direct-link\" href=\"https://wordpress.org/news/2023/10/episode-64-patterns-in-wordpress/\">https://wordpress.org/news/2023/10/episode-64-patterns-in-wordpress/</a>\n\n\n\n<div style=\"height:3px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<h2 class=\"wp-block-heading\">Team updates</h2>\n\n\n\n<ul>\n<li>Openverse <a href=\"https://make.wordpress.org/openverse/2023/12/11/introducing-enhanced-content-safety-features-on-openverse/\">introduced new features to filter sensitive content</a>, aiming for a more accessible and safer browsing experience. This update marks the beginning of a significant initiative to enhance content safety tools.</li>\n\n\n\n<li>Matrix contributors <a href=\"https://make.wordpress.org/project/2023/12/12/update-on-matrix-migration-pausing-the-transition/\">announced</a> the decision to pause the Making WordPress Slack migration to Matrix and the factors contributing to it.</li>\n\n\n\n<li>The <a href=\"https://make.wordpress.org/meta/2023/12/15/developer-resources-gets-a-refresh/\">redesign of the Developer Resources section</a> went live last month.</li>\n\n\n\n<li>Are you searching for events in your local community? Explore the recently launched <a href=\"https://make.wordpress.org/community/2023/12/13/announcing-the-new-wordpress-events-page/\">WordPress.org Events page</a>—your new central hub for discovering upcoming events or applying to organize one.</li>\n\n\n\n<li>In 2023, WordPress significantly <a href=\"https://make.wordpress.org/core/2023/12/19/wordpress-performance-impact-on-core-web-vitals-in-2023/\">improved Core Web Vitals (CWV) across sites</a>. The overall passing rates went up from 28.31% to 36.44% on mobile and from 32.55% to 40.80% on desktop, making both WordPress and the whole web perform better.</li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/12/22/call-to-action-2024-major-releases-call-for-volunteers/\">Volunteers are needed</a> for 2024’s WordPress major releases. If you’re interested, now’s the time to get involved!</li>\n\n\n\n<li>Check out all the community <a href=\"https://make.wordpress.org/project/2023/12/22/wordpress-end-of-year-celebrations/\">achievements and contributions</a> that moved the WordPress project closer to its goals in 2023.</li>\n</ul>\n\n\n\n<div style=\"height:3px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<a class=\"wp-block-jetpack-podcast-player jetpack-podcast-player__direct-link\" href=\"https://wordpress.org/news/2023/10/episode-64-patterns-in-wordpress/\">https://wordpress.org/news/2023/10/episode-64-patterns-in-wordpress/</a>\n\n\n\n<div style=\"height:3px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<h2 class=\"wp-block-heading\">Requests for feedback &amp; testing</h2>\n\n\n\n<ul>\n<li>Complete the <a href=\"https://make.wordpress.org/community/2023/11/17/announcing-the-2023-annual-meetup-survey/\">2023 Annual Meetup Survey</a> before January 14, 2024, and help strengthen WordPress meetups in the future.</li>\n</ul>\n\n\n\n<div style=\"height:3px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<h2 class=\"wp-block-heading\">WordPress events</h2>\n\n\n\n<ul>\n<li><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f1f9-1f1fc.png\" alt=\"🇹🇼\" class=\"wp-smiley\" style=\"height: 1em; max-height: 1em;\" /> WordCamp Asia has opened <a href=\"https://asia.wordcamp.org/2024/contributor-day-registration/\">registrations for its Contributor Day</a>. The conference will be held in Taipei, Taiwan, on March 7-9, 2024.</li>\n\n\n\n<li><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f1ea-1f1fa.png\" alt=\"🇪🇺\" class=\"wp-smiley\" style=\"height: 1em; max-height: 1em;\" /> WordCamp Europe’s <a href=\"https://europe.wordcamp.org/2024/speakers/call-for-speakers/\">call for speakers</a> is open until January 15, 2024. Don’t miss the chance to be part of this event by either submitting your speaking proposals or <a href=\"https://europe.wordcamp.org/2024/sponsors/call-for-sponsors/\">supporting it as a sponsor</a>.</li>\n\n\n\n<li>Mark your calendars! <a href=\"https://us.wordcamp.org/2024/\">WordCamp US 2024</a> is headed to Portland, Oregon, from September 17 to 20, as revealed during the State of the Word.</li>\n\n\n\n<li>Check out these WordPress events happening soon:\n<ul>\n<li><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f1ee-1f1f3.png\" alt=\"🇮🇳\" class=\"wp-smiley\" style=\"height: 1em; max-height: 1em;\" /> <a href=\"https://events.wordpress.org/kolkata/2024/careercamp/\">Kolkata CareerCamp</a>, India on January 6, 2024</li>\n\n\n\n<li><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f1f3-1f1f5.png\" alt=\"🇳🇵\" class=\"wp-smiley\" style=\"height: 1em; max-height: 1em;\" /> <a href=\"https://nepal.wordcamp.org/2024/\">WordCamp Nepal</a> on January 12-13, 2024</li>\n\n\n\n<li><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f1ea-1f1f8.png\" alt=\"🇪🇸\" class=\"wp-smiley\" style=\"height: 1em; max-height: 1em;\" /> <a href=\"https://zaragoza.wordcamp.org/2024/\">WordCamp Zaragoza</a>, Spain on January 19-20, 2024</li>\n\n\n\n<li><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f1ee-1f1e9.png\" alt=\"🇮🇩\" class=\"wp-smiley\" style=\"height: 1em; max-height: 1em;\" /> <a href=\"https://events.wordpress.org/jakarta/2024/web-challenge/\">WordPress Web Challenge</a>, Indonesia on January 27, 2024</li>\n</ul>\n</li>\n</ul>\n\n\n\n<div style=\"height:1px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity\" />\n\n\n\n<p><em><strong>Have a story we should include in the next issue of The Month in WordPress? Fill out </strong></em><a href=\"https://make.wordpress.org/community/month-in-wordpress-submissions/\"><strong><em>this quick form</em></strong></a><em><strong> to let us know.</strong></em></p>\n\n\n\n<p><em>Thank you to <a href=\"https://profiles.wordpress.org/bernard0omnisend/\">Bernard Meyer</a>, <a href=\"https://profiles.wordpress.org/eidolonnight/\">Nicholas Garofalo</a>, and <a href=\"https://profiles.wordpress.org/laurlittle/\">Lauren Stein</a></em> <em>for contributing to this edition of The Month in WordPress.</em></p>\n\n\n\n<div class=\"wp-block-group is-layout-constrained wp-block-group-is-layout-constrained\">\n<h3 class=\"wp-block-heading\">Subscribe to WordPress News</h3>\n\n\n\n<p>Join other subscribers and receive WordPress news directly in your inbox.</p>\n\n\n<div class=\"wp-block-jetpack-subscriptions__supports-newline is-style-split wp-block-jetpack-subscriptions\">\n		<div>\n			<div>\n				<div>\n					<p >\n						<a href=\"https://wordpress.org/news/?post_type=post&#038;p=16680\" style=\"text-decoration: none; font-size: 16px;padding: 15px 23px 15px 23px;margin: 0px; margin-left: 10px;border-radius: 0px;border-width: 1px; background-color: #113AF5; color: #FFFFFF;\">Subscribe</a>\n					</p>\n				</div>\n			</div>\n		</div>\n	</div></div>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"16680\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:3;a:6:{s:4:\"data\";s:75:\"\n		\n		\n		\n		\n		\n				\n		\n		\n		\n		\n		\n\n					\n										\n					\n		\n		\n\n\n\n\n\n\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:45:\"Leap into 2024 with these Site Editor Tools\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:79:\"https://wordpress.org/news/2023/12/leap-into-2024-with-these-site-editor-tools/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 28 Dec 2023 18:35:53 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:5:{i:0;a:5:{s:4:\"data\";s:6:\"Design\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:11:\"Development\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:8:\"Features\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:3;a:5:{s:4:\"data\";s:9:\"Gutenberg\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:4;a:5:{s:4:\"data\";s:11:\"Site editor\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://wordpress.org/news/?p=16658\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:297:\"The Site Editor gives you a powerful way to visually create every part of your site and tell your story. It lets you handle everything from big stylistic changes to simple copy updates all in a single place. To help you make the most of this new way to WordPress, here are a few standout [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:9:\"enclosure\";a:6:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:3:{s:3:\"url\";s:70:\"https://wordpress.org/news/files/2023/12/Command-Palette-news-post.mp4\";s:6:\"length\";s:7:\"5553759\";s:4:\"type\";s:9:\"video/mp4\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:3:{s:3:\"url\";s:70:\"https://wordpress.org/news/files/2023/12/Style-book-news-post-demo.mp4\";s:6:\"length\";s:8:\"30842905\";s:4:\"type\";s:9:\"video/mp4\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:3:{s:3:\"url\";s:75:\"https://wordpress.org/news/files/2023/12/Styling-options-news-post-demo.mp4\";s:6:\"length\";s:8:\"27873396\";s:4:\"type\";s:9:\"video/mp4\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:3;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:3:{s:3:\"url\";s:88:\"https://wordpress.org/news/files/2023/12/Distraction-free-and-preview-news-post-demo.mp4\";s:6:\"length\";s:8:\"24659305\";s:4:\"type\";s:9:\"video/mp4\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:4;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:3:{s:3:\"url\";s:68:\"https://wordpress.org/news/files/2023/12/Patterns-news-post-demo.mp4\";s:6:\"length\";s:7:\"3617911\";s:4:\"type\";s:9:\"video/mp4\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:5;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:3:{s:3:\"url\";s:69:\"https://wordpress.org/news/files/2023/12/List-View-news-post-demo.mp4\";s:6:\"length\";s:7:\"2163970\";s:4:\"type\";s:9:\"video/mp4\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:8:\"annezazu\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:9352:\"\n<p>The Site Editor gives you a powerful way to visually create every part of your site and tell your story. It lets you handle everything from big stylistic changes to simple copy updates all in a single place. To help you make the most of this new way to WordPress, here are a few standout tools and features you’ll want to try.&nbsp;</p>\n\n\n\n<h3 class=\"wp-block-heading\">Command Palette</h3>\n\n\n\n<p>Think of the Command Palette as the ultimate shortcut tool, letting you do more with less clicks and without needing to remember where each option might be. It’s available across the editing experience, whether you’re switching between templates in the Site Editor or toggling open settings in the Post Editor, with specific contextual options depending on where you are.<strong> </strong>You can use the keyboard shortcut Cmd+K on Mac or Ctrl+K on Windows to activate it and get started.&nbsp;</p>\n\n\n\n<p>If you think of a command that doesn’t exist yet that would help with your workflow, open a <a href=\"https://github.com/WordPress/gutenberg/issues/new/choose\">feature request issue</a> so we can consider adding it.</p>\n\n\n\n<figure class=\"wp-block-video\"><video controls src=\"https://wordpress.org/news/files/2023/12/Command-Palette-news-post.mp4\"></video></figure>\n\n\n\n<p class=\"is-style-default\"><a href=\"https://make.wordpress.org/core/2023/09/12/core-editor-improvement-commanding-the-command-palette/\"><em>Read more</em></a><em> about everything you can do with the Command Palette, including a </em><a href=\"https://wordpress.org/documentation/article/site-editor-command-palette/#list-of-available-commands\"><em>list of available commands</em></a><em>.&nbsp;</em></p>\n\n\n\n<h3 class=\"wp-block-heading\">Style Book</h3>\n\n\n\n<p>The Style Book helps you see all the blocks on your site as you style them. It’s built into the Styles section and can be toggled on/off as you’d like. This is especially useful when you’re aiming for design consistency for a client, trying to see how a change might impact a block that might not be visible, or wanting to get a different look at how a style variation will switch things up.</p>\n\n\n\n<p>Work is also underway for the next WordPress release to <a href=\"https://github.com/WordPress/gutenberg/pull/56800\">integrate the Style Book into Style revisions</a> to allow for an at-a-glance view of changes made. </p>\n\n\n\n<figure class=\"wp-block-video\"><video controls src=\"https://wordpress.org/news/files/2023/12/Style-book-news-post-demo.mp4\"></video></figure>\n\n\n\n<p><a href=\"https://learn.wordpress.org/tutorial/how-to-use-the-wordpress-stylebook-with-your-block-theme/\"><em>Learn more</em></a><em> about how best to use the Style Book.</em></p>\n\n\n\n<h3 class=\"wp-block-heading\">Styling shortcuts</h3>\n\n\n\n<p>Sometimes you get a design just right—the color contrast, the perfect padding, the exact font size. Instead of needing to manually recreate the design or copy/paste the block to fill in with new content, you have two powerful options built into the editing experience: copy/paste styles and apply styles globally for all instances of the desired block.&nbsp;</p>\n\n\n\n<p>Copying and pasting styles is perfect for more nuanced and smaller changes, like headings on a landing page that you intentionally want to be distinct. Applying changes globally is best for blocks like buttons and for changes that are likely to work well across layouts, like setting a specific border radius and color. This helps keep the creativity flowing and makes achieving design consistency across your site much easier.</p>\n\n\n\n<figure class=\"wp-block-video\"><video controls src=\"https://wordpress.org/news/files/2023/12/Styling-options-news-post-demo.mp4\"></video></figure>\n\n\n\n<p><a href=\"https://make.wordpress.org/core/2023/02/01/core-editor-improvement-strengthening-style-options/\"><em>Read more</em></a><em> about the various styling options available.&nbsp;</em></p>\n\n\n\n<h3 class=\"wp-block-heading\">Distraction free mode</h3>\n\n\n\n<p>Just like an artist might need to take a few steps back to view their in-progress artwork, sometimes we need to get a different view of our site before diving back in. Distraction free offers you that alternate perspective with a pared-down experience that lets you focus purely on creating, like:</p>\n\n\n\n<ul>\n<li>Hiding the top toolbar until one intentionally hovers over where it typically sits.</li>\n\n\n\n<li>Removing many of the top toolbar buttons.</li>\n\n\n\n<li>Automatically closing any open sidebars, like block settings and list view.&nbsp;</li>\n\n\n\n<li>Hiding the insertion point indicator, reducing visual clutter.&nbsp;</li>\n\n\n\n<li>Hiding the block toolbar for individual blocks.</li>\n</ul>\n\n\n\n<p>It’s worth noting that this mode can be used when writing posts and pages too! For an added bonus and more views of your site, you can use the preview options to see how your site might look across different devices.</p>\n\n\n\n<figure class=\"wp-block-video\"><video controls src=\"https://wordpress.org/news/files/2023/12/Distraction-free-and-preview-news-post-demo.mp4\"></video></figure>\n\n\n\n<p><a href=\"https://wordpress.org/documentation/article/distraction-free-mode/\"><em>Learn more</em></a><em> about making the most out of Distraction free mode.&nbsp;</em></p>\n\n\n\n<h3 class=\"wp-block-heading\">Patterns</h3>\n\n\n\n<p>Patterns are a collection of blocks that make it simple to add complex layouts and designs to any WordPress site without starting from scratch. They save time by reducing duplication and ensuring consistency. You can create your own, use theme-provided patterns, or <a href=\"https://wordpress.org/patterns/\">lean on the Pattern Directory</a>.&nbsp;</p>\n\n\n\n<p>You can also specify whether to sync your patterns so that one change applies to all parts of your site, or to keep them unsynced so you can customize each instance. For any patterns you create, you can assign categories to make them easy to find and organize. Use the Inserter with easy filtering options to add patterns to your content, and head to the dedicated Patterns section in the Site Editor to create or edit patterns to your liking.&nbsp;</p>\n\n\n\n<figure class=\"wp-block-video\"><video controls src=\"https://wordpress.org/news/files/2023/12/Patterns-news-post-demo.mp4\"></video></figure>\n\n\n\n<p><a href=\"https://learn.wordpress.org/tutorial/creating-your-own-custom-synced-or-non-synced-patterns/\"><em>Learn more</em></a><em> about creating patterns.&nbsp;</em></p>\n\n\n\n<h3 class=\"wp-block-heading\">List View</h3>\n\n\n\n<p>List View is the go-to tool for navigating between layers of your content, selecting exactly what you need, and getting a sense of how everything fits together. Similar to the Style Book and Distraction free mode, you can toggle it on/off as you’d like. It’s currently visible in the Top Toolbar and will remain open as you navigate through your site. Beyond providing a simple view of the layers of your site, there are more recent additions to List View that makes the tool even more powerful:</p>\n\n\n\n<ul>\n<li>See previews of your images for Image and Gallery blocks reflected in List View to make it easier to find what you need.</li>\n\n\n\n<li>The Escape key deselects blocks to make it easier to purely preview your content without any blocks selected.&nbsp;</li>\n\n\n\n<li>Lean on a keyboard shortcut for duplicating blocks quickly: CMD+Shift+D for Mac or Control + Shift + D for Windows.&nbsp;</li>\n\n\n\n<li>Drag and drop blocks at any level directly within List View.</li>\n\n\n\n<li>Rename Group blocks and have the custom name reflected in List View for improved organization.</li>\n</ul>\n\n\n\n<p>Here’s how a few of these improvements come together:</p>\n\n\n\n<figure class=\"wp-block-video\"><video controls src=\"https://wordpress.org/news/files/2023/12/List-View-news-post-demo.mp4\"></video></figure>\n\n\n\n<p><a href=\"https://wordpress.org/documentation/article/list-view/\"><em>Learn more</em></a><em> about using List View. </em></p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity\" />\n\n\n\n<p>As you explore these tools, remember that, except for the Style Book, you can use these features when writing posts and pages too. Expect the Site Editor and other tools to evolve with each release. To get a sneak peek at what’s planned for the next major WordPress release in March, <a href=\"https://make.wordpress.org/core/2023/12/07/roadmap-to-6-5/\">check out the roadmap</a> and stay tuned. </p>\n\n\n\n<h3 class=\"wp-block-heading\">Subscribe to WordPress News</h3>\n\n\n\n<p>Join other subscribers and receive WordPress news directly in your inbox. </p>\n\n\n<div class=\"wp-block-jetpack-subscriptions__supports-newline wp-block-jetpack-subscriptions\">\n		<div>\n			<div>\n				<div>\n					<p >\n						<a href=\"https://wordpress.org/news/?post_type=post&#038;p=16658\" style=\"text-decoration: none; font-size: 16px;padding: 15px 23px 15px 23px;margin: 0px; margin-left: 10px;border-radius: 0px;border-width: 1px; background-color: #113AF5; color: #FFFFFF;\">Subscribe</a>\n					</p>\n				</div>\n			</div>\n		</div>\n	</div>\n\n\n<p><em>Thank you to the contributors who collaborated on this post: <a href=\"https://profiles.wordpress.org/eidolonnight/\">Nicholas Garofalo</a>, <a href=\"https://profiles.wordpress.org/laurlittle/\">Lauren Stein</a>, <a href=\"https://profiles.wordpress.org/joen/\" data-type=\"link\" data-id=\"https://profiles.wordpress.org/joen/\">Joen Asmussen</a></em>.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"16658\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:4;a:6:{s:4:\"data\";s:61:\"\n		\n		\n		\n		\n		\n				\n		\n		\n\n					\n										\n					\n		\n		\n\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:57:\"WP Briefing: Episode 69: Reflections on State of the Word\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:79:\"https://wordpress.org/news/2023/12/episode-69-reflections-on-state-of-the-word/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 26 Dec 2023 12:00:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:2:{i:0;a:5:{s:4:\"data\";s:7:\"Podcast\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:11:\"wp-briefing\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:53:\"https://wordpress.org/news/?post_type=podcast&p=16654\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:232:\"In this episode, WordPress Executive Director Josepha Haden Chomphosy reflects on the recent 2023 State of the Word, which took place in Madrid, Spain, and some of the highlights of the work across the WordPress open source project.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:9:\"enclosure\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:3:{s:3:\"url\";s:51:\"https://wordpress.org/news/files/2023/12/WPB069.mp3\";s:6:\"length\";s:1:\"0\";s:4:\"type\";s:0:\"\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Brett McSherry\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:10686:\"\n<p>In this episode, WordPress Executive Director Josepha Haden Chomphosy reflects on the recent 2023 State of the Word, which took place in Madrid, Spain, and some of the highlights of the work across the WordPress open source project.</p>\n\n\n\n<p><em><strong>Have a question you’d like answered? You can submit them to&nbsp;<a href=\"mailto:wpbriefing@wordpress.org\">wpbriefing@WordPress.org</a>, either written or as a voice recording.</strong></em></p>\n\n\n\n<h2 class=\"wp-block-heading\">Credits</h2>\n\n\n\n<p>Host:&nbsp;<a href=\"https://profiles.wordpress.org/chanthaboune/\">Josepha Haden Chomphosy</a><br>Editor:&nbsp;<a href=\"https://profiles.wordpress.org/dustinhartzler/\">Dustin Hartzler</a><br>Logo:&nbsp;<a href=\"https://profiles.wordpress.org/javiarce/\">Javier Arce</a><br>Production:&nbsp;<a href=\"https://profiles.wordpress.org/bjmcsherry/\">Brett McSherry</a><br>Song: Fearless First by Kevin MacLeod</p>\n\n\n\n<h2 class=\"wp-block-heading\">Show Notes</h2>\n\n\n\n<ul>\n<li><a href=\"https://wordpress.org/news/2023/12/state-of-the-word-2023-recap/\">State of the Word Recap</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/project/2023/05/17/wordpress-contributor-mentorship-program-pilot-program-proposal/\">WordPress Contributor Mentorship Program: Pilot Program Proposal</a></li>\n\n\n\n<li><a href=\"https://developer.wordpress.org/news/\">WordPress Developer Blog</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/project/2023/12/22/wordpress-end-of-year-celebrations/\">WordPress End of Year Celebrations!</a></li>\n\n\n\n<li><strong>Small List of Big Things</strong>\n<ul>\n<li><a href=\"https://make.wordpress.org/openverse/2023/12/11/introducing-enhanced-content-safety-features-on-openverse/\" target=\"_blank\" rel=\"noreferrer noopener\">Introducing Enhanced Content Safety Features on Openverse</a>&nbsp;&#8211; Introducing new features for enhanced content safety on Openverse. </li>\n\n\n\n<li><a href=\"https://wordpress.org/news/2023/12/alert-wordpress-security-team-impersonation-scams/\" target=\"_blank\" rel=\"noreferrer noopener\">Alert: WordPress Security Team Impersonation Scams</a>.</li>\n\n\n\n<li><a href=\"https://make.wordpress.org/plugins/2023/12/02/join-the-plugin-review-team/\" target=\"_blank\" rel=\"noreferrer noopener\">Join the Plugin Review Team!</a> &#8211; The Plugin Review Team is looking for new members; the deadline to apply is on December 31, 2023.</li>\n</ul>\n</li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\">Transcripts</h2>\n\n\n\n<span id=\"more-16654\"></span>\n\n\n\n<p>[00:00:00] <strong>Josepha:</strong> Hello everyone, and welcome to the WordPress Briefing. The podcast where you can catch quick explanations of the ideas behind the WordPress open source project, some insight into the community that supports it, and get a small list of big things coming up in the next two weeks. I’m your host, Josepha Haden Chomphosy. Here we go.</p>\n\n\n\n<p>[00:00:28] (Intro music)&nbsp;</p>\n\n\n\n<p>[00:00:40]&nbsp;<strong>Josepha:</strong> We wrapped up State of the Word earlier this month, and while I was sitting there being the only person to clap for the love of cake, I realized just how much we have been able to accomplish this year. And on the one hand, I shouldn&#8217;t be surprised.</p>\n\n\n\n<p>After all, progress is radical over time yet incremental in time. But all told, 2023 has been a big year for WordPress. There&#8217;s been some radical progress in a few places. There are the things you know because you&#8217;ve heard them all year. You heard them in State of the Word.</p>\n\n\n\n<p>We turned 20, for instance. We shipped three on-time releases. We had three well-organized flagship events, and we prototyped essential parts of phase 3. But there&#8217;s a lot of work that happens outside of flagship events and software releases, and I&#8217;d like to highlight a few examples of operational excellence in our community and ecosystem.</p>\n\n\n\n<p>[00:01:31] <strong>Josepha:</strong> First highlight goes to the contributors who are building community. Going back to 2021, we&#8217;ve been working to bring people back together in person.</p>\n\n\n\n<p>And in that year, we had 19 events. In 2022, we had 24 events, so a modest increase of just over 30%. But then, in 2023, the WordPress community banded together on a campaign to reignite passion in our Meetup groups and encourage playfulness in our WordCamp planning. And not only did we see a 57% increase in active Meetup groups, But we also saw a 116% increase in WordCamps, 54 WordCamps in all. That&#8217;s about a third of the way to our all-time annual high of 142.</p>\n\n\n\n<p>And to complement these in-person opportunities, Learn also shipped 104 pieces of new content and hosted 258 online workshops because location should never be a barrier to entry for joining WordPress.&nbsp;</p>\n\n\n\n<p>[00:02:32] <strong>Josepha:</strong> Second highlight goes to the contributors who are managing our directories. We do have a lot of directories. We have Plugins, Themes, Photos, Block plugins. We got a lot.</p>\n\n\n\n<p>And I&#8217;m sure that everyone saw the consistent and borderline pleading calls to join the Plugin team this year. And for folks who&#8217;ve been around a bit, you probably recall a similar set of consistent and pleading calls to join the Theme team a few years back. Concurrent with the work to refill that contribution pipeline, folks over in Meta and across the project generally, were working on automating as many checks as possible, loosening guidelines where it was reasonable, and modernizing as many processes as we could.</p>\n\n\n\n<p>I&#8217;m happy to share that the theme wait time is at a historic low, with their longest wait sometimes just at a week. And as anxious as I am about the plugin wait times, we&#8217;re actually seeing a lot of progress there as well. As we follow a process similar to the one that we did on themes, I imagine it&#8217;s only gonna get better. So, in 2023, we&#8217;ve onboarded six new team members. And since September, the number of plugins awaiting initial review has been cut in half.</p>\n\n\n\n<p>And then coming up in Q1 of 2024, we&#8217;ll have a project focused entirely on automating as many checks as possible. So I still need you, but I also need you to know that your work there matters and is having an impact.</p>\n\n\n\n<p>[00:03:55] <strong>Josepha:</strong> The third highlight goes to the contributors who are doing outreach. This year, we launched a mentorship program with an 89% completion rate because we&#8217;ve seen time and again that our most prolific contributors had someone at the start that they felt safe asking dumb questions with. We launched and nurtured the developer blog, which was a need identified by the community because there was no place for intermediate and advanced developers to get excited about their cool explorations. And there were 53 posts there this year with thirteen thousand views, which is a 251% increase for the record, which is a ridiculous increase, but it&#8217;s a lot. Thirteen thousand views is a lot.</p>\n\n\n\n<p>We have focused on documentation as we suggested in Porto of 2022. And marketing, I know not always our favorite topic, but marketing, our ability to talk about ourselves to more than just ourselves, has increased dramatically this year.&nbsp;</p>\n\n\n\n<p>Not only have we started rolling out a modern design across our website, but we also are present and engaged on eight different platforms with 20-plus episodes of this very podcast and also video content that netted us seven and a half million views this year. That&#8217;s a lot of numbers, and there&#8217;s a post that goes with it.</p>\n\n\n\n<p>[00:05:10] <strong>Josepha:</strong> Check out the show notes. But if you&#8217;re not gonna check out the show notes because you listen to this on Pocket Casts or Google or something, go to make.WordPress.org/project, and it&#8217;ll be over there. But the point is, it&#8217;s been a banner year for the software, and I am grateful for every tester, designer, and developer that showed up for it. But I also know that what makes WordPress truly irreplaceable is our ecosystem, and it&#8217;s contributions like this and the contributors who do them that make our ecosystem vibrant and responsive and thriving on into the future.</p>\n\n\n\n<p>So, thank you all for the contributions you make to WordPress. Thank you for the shining example of how to do open source at scale, and thank you for another great year together.&nbsp;</p>\n\n\n\n<p>[00:06:04] <strong>Josepha:</strong> Which brings us now to our small list of big things. It is indeed a small this time. First up, I would like to introduce our enhanced content safety features on Openverse. By default, search results now exclude openly licensed media containing sensitive textual content. But this new feature adds additional filtering based on titles, tags, and descriptions of the work as well.</p>\n\n\n\n<p>[00:06:27] <strong>Josepha:</strong> The second thing on our small list of big things is that there is just a general alert. There&#8217;s a WordPress security team impersonation scam that&#8217;s going on out there. The team is aware of multiple ongoing phishing scams impersonating both the WordPress team and the WordPress security team in an attempt to convince administrators to install a plugin on their website which contains malware. I&#8217;ll include a link to that post just in case you have anyone that you think might need to be aware of that, but also all of our site administrators know. Like, WordPress is not gonna email you asking for passwords or anything ever. </p>\n\n\n\n<p>[00:07:02] <strong>Josepha:</strong> And item number three, I would like you to join the Plugin review team. I know I just said it in the body of the episode. But, the Plugin review team is looking for new members still who believe in our mission of guiding plugin authors in responsibly transforming their innovative ideas into reality and ensuring a great WordPress plugin experience for end users. There is a deadline to apply; it&#8217;s December 31st. And so you can get that done over the holidays, over a glass of eggnog if that&#8217;s how you choose to celebrate whatever it is that you do. </p>\n\n\n\n<p>And that&#8217;s it for your small list of big things.&nbsp;</p>\n\n\n\n<p>Don&#8217;t forget to follow us on your favorite podcast app or subscribe directly on WordPress.org/news. You&#8217;ll get a friendly reminder whenever there&#8217;s a new episode. If you liked what you heard today, share it with a fellow WordPresser. Or, if you had questions about what you heard, you can share those with me at wpbriefing@WordPress.org. I&#8217;m your host, Josepha Haden Chomphosy. See you again in a couple of weeks.&nbsp;</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"16654\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:5;a:6:{s:4:\"data\";s:60:\"\n		\n		\n		\n		\n		\n				\n		\n		\n\n					\n										\n					\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"State of the Word 2023 Recap\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:64:\"https://wordpress.org/news/2023/12/state-of-the-word-2023-recap/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 11 Dec 2023 22:55:46 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:2:{i:0;a:5:{s:4:\"data\";s:6:\"Events\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:17:\"state of the word\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://wordpress.org/news/?p=16617\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:384:\"On December 11, WordPress co-founder Matt Mullenweg traveled to beautiful Madrid, Spain, to deliver his annual State of the Word keynote. It was the first time this event took place outside the United States. Against the backdrop of Palacio Neptuno—an iconic architectural gem and UNESCO World Heritage site—nearly 200 contributors, developers, extenders, and friends of [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:17:\"Nicholas Garofalo\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:20461:\"\n<p>On December 11, WordPress co-founder <a href=\"https://profiles.wordpress.org/matt/\">Matt Mullenweg</a> traveled to beautiful Madrid, Spain, to deliver his annual <a href=\"https://wordpress.org/state-of-the-word/\">State of the Word</a> keynote. It was the first time this event took place outside the United States. Against the backdrop of <a href=\"https://www.palacioneptuno.com/\">Palacio Neptuno</a>—an iconic architectural gem and UNESCO World Heritage site—nearly 200 contributors, developers, extenders, and friends of the project came together to hear from Matt, with millions more joining online.</p>\n\n\n\n<figure class=\"wp-block-embed is-type-video is-provider-youtube wp-block-embed-youtube wp-embed-aspect-16-9 wp-has-aspect-ratio\"><div class=\"wp-block-embed__wrapper\">\n<iframe class=\"youtube-player\" width=\"600\" height=\"338\" src=\"https://www.youtube.com/embed/c7M4mBVgP3Y?version=3&#038;rel=1&#038;showsearch=0&#038;showinfo=1&#038;iv_load_policy=1&#038;fs=1&#038;hl=en-US&#038;autohide=2&#038;wmode=transparent\" allowfullscreen=\"true\" style=\"border:0;\" sandbox=\"allow-scripts allow-same-origin allow-popups allow-presentation allow-popups-to-escape-sandbox\"></iframe>\n</div></figure>\n\n\n\n<h2 class=\"wp-block-heading\">An introduction from the Executive Director</h2>\n\n\n\n<p>Kicking off the event, <a href=\"https://profiles.wordpress.org/chanthaboune/\" target=\"_blank\" rel=\"noreferrer noopener\">Josepha Haden Chomphosy</a>, Executive Director of the WordPress project, spoke about the community’s heart and spirit as what fuels hope for the future, ensuring the freedoms of the open web for all. She invited Matt on stage with a closing statement of confidence that such values and characteristics will move the project forward into the next 20 years as it has for the last 20.</p>\n\n\n\n<figure class=\"wp-block-image size-large\"><img fetchpriority=\"high\" decoding=\"async\" width=\"1024\" height=\"682\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/12/IMAGE-2023-12-11-13_36_35.jpg?resize=1024%2C682&#038;ssl=1\" alt=\"Josepha Haden Chomphosy, Executive Director of the WordPress project, speaking at a podium \" class=\"wp-image-16627\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2023/12/IMAGE-2023-12-11-13_36_35.jpg?resize=1024%2C682&amp;ssl=1 1024w, https://i0.wp.com/wordpress.org/news/files/2023/12/IMAGE-2023-12-11-13_36_35.jpg?resize=300%2C200&amp;ssl=1 300w, https://i0.wp.com/wordpress.org/news/files/2023/12/IMAGE-2023-12-11-13_36_35.jpg?resize=768%2C512&amp;ssl=1 768w, https://i0.wp.com/wordpress.org/news/files/2023/12/IMAGE-2023-12-11-13_36_35.jpg?w=1280&amp;ssl=1 1280w\" sizes=\"(max-width: 1000px) 100vw, 1000px\" data-recalc-dims=\"1\" /></figure>\n\n\n\n<h2 class=\"wp-block-heading\">Looking back at 2023</h2>\n\n\n\n<p>Taking the stage, Matt shared his excitement about the event being the first international State of the Word. He honored the Spanish WordPress community for hosting, citing their past WordCamp accomplishments. From there, Matt jumped right into a reflection of this year’s notable moments. He recalled the project’s 20th-anniversary celebrations, how the software has evolved, and how much more the community came together this year—doubling the number of WordCamps to 70, taking place in 33 countries.</p>\n\n\n\n<div class=\"wp-block-group has-off-white-2-background-color has-background is-layout-flow wp-block-group-is-layout-flow\" style=\"padding-top:var(--wp--preset--spacing--40);padding-right:0;padding-bottom:var(--wp--preset--spacing--40);padding-left:0\">\n<p class=\"has-text-align-center\">We’re always aiming to learn and improve. Tell us how to make meetups better.</p>\n\n\n\n<div class=\"wp-block-buttons is-content-justification-center is-layout-flex wp-container-2 wp-block-buttons-is-layout-flex\">\n<div class=\"wp-block-button has-custom-width wp-block-button__width-50\"><a class=\"wp-block-button__link wp-element-button\" href=\"https://wordpressdotorg.survey.fm/2023-meetup-annual-survey?p=1\" target=\"_blank\" rel=\"noreferrer noopener\">Take the 2023 Meetup Survey</a></div>\n</div>\n</div>\n\n\n\n<p>Matt continued with callouts to several resources on <a href=\"https://wordpress.org/\">WordPress.org</a>: the all-new <a href=\"https://events.wordpress.org/\">Events</a> page, the redesigned <a href=\"https://wordpress.org/showcase/\">Showcase</a>, a new <a href=\"https://wordpress.org/remembers/\">WordPress Remembers memorial</a>, and the <a href=\"https://wordpress.org/news/2023/09/openverse-wins-the-2023-oeg-open-infrastructure-award/\">award-winning Openverse</a>. He also demoed <a href=\"https://developer.wordpress.org/playground/\">WordPress Playground</a>, a tool allowing users to experiment with WordPress directly in their browsers, as well as the versatile <a href=\"https://wordpress.org/themes/twentytwentyfour/\">Twenty Twenty-Four default theme</a>.</p>\n\n\n\n<figure class=\"wp-block-image size-large\"><img loading=\"lazy\" decoding=\"async\" width=\"1024\" height=\"682\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/12/IMAGE-2023-12-11-13_35_53.jpg?resize=1024%2C682&#038;ssl=1\" alt=\"Matías Ventura, Lead Architect of Gutenberg, speaking on stage at State of the Word\" class=\"wp-image-16621\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2023/12/IMAGE-2023-12-11-13_35_53.jpg?resize=1024%2C682&amp;ssl=1 1024w, https://i0.wp.com/wordpress.org/news/files/2023/12/IMAGE-2023-12-11-13_35_53.jpg?resize=300%2C200&amp;ssl=1 300w, https://i0.wp.com/wordpress.org/news/files/2023/12/IMAGE-2023-12-11-13_35_53.jpg?resize=768%2C512&amp;ssl=1 768w, https://i0.wp.com/wordpress.org/news/files/2023/12/IMAGE-2023-12-11-13_35_53.jpg?w=1280&amp;ssl=1 1280w\" sizes=\"(max-width: 1000px) 100vw, 1000px\" data-recalc-dims=\"1\" /></figure>\n\n\n\n<h2 class=\"wp-block-heading\">Collaborative editing and more</h2>\n\n\n\n<p>Matt recapped the four phases of the Gutenberg project, noting that work has begun on Phase 3: Collaboration before passing the microphone to <a href=\"https://profiles.wordpress.org/matveb/\">Matías Ventura</a>, Lead Architect of Gutenberg.&nbsp;</p>\n\n\n\n<p>After a quick interlude in Spanish, Matías acknowledged how much progress had been made on the software this year. He spoke about the aim of the Site Editor to become both an exemplary writing environment and a superior design tool while noting improvements to the&nbsp;<a href=\"https://wordpress.org/documentation/article/footnotes-block/\" target=\"_blank\" rel=\"noreferrer noopener\">Footnotes Block</a>&nbsp;and the ease of&nbsp;<a href=\"https://wordpress.org/documentation/article/distraction-free-mode/\" target=\"_blank\" rel=\"noreferrer noopener\">Distraction Free mode</a>.</p>\n\n\n\n<p>While there was no set timeline for collaboration and workflows, Matías was excited to share a working prototype in the Editor. He showcased some of the most interesting aspects of collaborative editing, including establishing a sync engine that allows real-time edits to be visible across sessions. He invited contributors to test the prototype in the <a href=\"https://wordpress.org/plugins/gutenberg/\">Gutenberg plugin</a> and <a href=\"https://github.com/WordPress/gutenberg/issues/52593\">share their feedback in Github</a>.</p>\n\n\n\n<p>From there, Matías highlighted other exciting developments, including the emphasis on Patterns and their continued evolution as a powerful tool for workflows, and the ability to connect blocks to custom fields. He was thrilled to speak about performance improvements, noting that work is in progress to make the Editor <a href=\"https://www.codevitals.run/project/gutenberg\">at least twice as fast</a>. Speaking about front-end performance, he shared what’s to come with a <a href=\"https://wpmovies.dev/\">demo of the Interactivity API</a>, showcasing how it can make transitions, search, and other interactions instant—all with standard WordPress blocks and features.&nbsp;</p>\n\n\n\n<p>Matías concluded with a look at how the Admin redesign will take cues from the Site Editor, eventually allowing users to shape their WordPress Admin experience based on their unique needs.</p>\n\n\n\n<figure class=\"wp-block-image size-large\"><img loading=\"lazy\" decoding=\"async\" width=\"1024\" height=\"684\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/12/IMAGE-2023-12-11-13_36_09.jpg?resize=1024%2C684&#038;ssl=1\" alt=\"WordPress co-founder Matt Mullenweg speaking at a podium\" class=\"wp-image-16624\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2023/12/IMAGE-2023-12-11-13_36_09.jpg?resize=1024%2C684&amp;ssl=1 1024w, https://i0.wp.com/wordpress.org/news/files/2023/12/IMAGE-2023-12-11-13_36_09.jpg?resize=300%2C200&amp;ssl=1 300w, https://i0.wp.com/wordpress.org/news/files/2023/12/IMAGE-2023-12-11-13_36_09.jpg?resize=768%2C513&amp;ssl=1 768w, https://i0.wp.com/wordpress.org/news/files/2023/12/IMAGE-2023-12-11-13_36_09.jpg?w=1280&amp;ssl=1 1280w\" sizes=\"(max-width: 1000px) 100vw, 1000px\" data-recalc-dims=\"1\" /></figure>\n\n\n\n<h2 class=\"wp-block-heading\">AI and Data Liberation</h2>\n\n\n\n<p>Matt returned to the stage to expand on the future of WordPress, reinforcing his past advice to <em>learn AI deeply</em>. He expressed his excitement about what can be accomplished with the wealth of AI tools available, how contributors are already experimenting with natural language processing and WordPress Playground to create and build.</p>\n\n\n\n<p>Finally, Matt introduced an additional focus for the project in 2024: <a href=\"https://wordpress.org/data-liberation/\">Data Liberation</a>, with the goal to make importing from other platforms into WordPress as frictionless as possible. He spoke about the tendency of content management systems to keep users locked in as part of his motivation to <em>unlock digital barriers</em>. The Data Liberation initiative will work on one-click migration and the export format from WordPress.&nbsp;</p>\n\n\n\n<p>More than just tools, Data Liberation reflects the project’s ethos to allow seamless contributions. With that, Matt invited anyone interested to jump into the action, noting a new <a href=\"https://github.com/wordpress/data-liberation\">Data Liberation GitHub repository</a> and forthcoming <a href=\"https://make.wordpress.org/chat/\">Making WordPress Slack</a> channels as places to get started.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Questions and answers</h2>\n\n\n\n<p>Following the presentation, Matt fielded questions from the live-stream and in-person audiences during an interactive question-and-answer session hosted by <a href=\"https://profiles.wordpress.org/monchomad/\">Jose Ramón Padrón (Moncho)</a>.</p>\n\n\n\n<figure class=\"wp-block-embed is-type-video is-provider-youtube wp-block-embed-youtube wp-embed-aspect-16-9 wp-has-aspect-ratio\"><div class=\"wp-block-embed__wrapper\">\n<iframe loading=\"lazy\" class=\"youtube-player\" width=\"600\" height=\"338\" src=\"https://www.youtube.com/embed/S01uBD2pyQY?version=3&#038;rel=1&#038;showsearch=0&#038;showinfo=1&#038;iv_load_policy=1&#038;fs=1&#038;hl=en-US&#038;autohide=2&#038;wmode=transparent\" allowfullscreen=\"true\" style=\"border:0;\" sandbox=\"allow-scripts allow-same-origin allow-popups allow-presentation allow-popups-to-escape-sandbox\"></iframe>\n</div></figure>\n\n\n\n<p>Additional questions from the live session will be answered in a follow-up post on <a href=\"https://make.wordpress.org/project\">make.WordPress.org/project</a>. Subscribe to our blog notifications to be sure you don’t miss it. And don’t forget to mark your calendars for next year’s <a href=\"https://asia.wordcamp.org/2024/\">WordCamp Asia</a> (Taipei, Taiwan), <a href=\"https://europe.wordcamp.org/2024/\">WordCamp Europe</a> (Torino, Italy), and WordCamp US (Portland, Oregon, United States).</p>\n\n\n\n<div style=\"height:20px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-jetpack-tiled-gallery aligncenter is-style-rectangular\"><div class=\"tiled-gallery__gallery\"><div class=\"tiled-gallery__row\"><div class=\"tiled-gallery__col\" style=\"flex-basis:34.98661%\"><figure class=\"tiled-gallery__item\"><img decoding=\"async\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2023/12/IMAGE-2023-12-11-13_37_04-1024x576.jpg?strip=info&#038;w=600&#038;ssl=1 600w,https://i0.wp.com/wordpress.org/news/files/2023/12/IMAGE-2023-12-11-13_37_04-1024x576.jpg?strip=info&#038;w=900&#038;ssl=1 900w,https://i0.wp.com/wordpress.org/news/files/2023/12/IMAGE-2023-12-11-13_37_04-1024x576.jpg?strip=info&#038;w=1200&#038;ssl=1 1200w,https://i0.wp.com/wordpress.org/news/files/2023/12/IMAGE-2023-12-11-13_37_04-1024x576.jpg?strip=info&#038;w=1280&#038;ssl=1 1280w\" alt=\"\" data-height=\"720\" data-id=\"16628\" data-link=\"https://wordpress.org/news/?attachment_id=16628\" data-url=\"https://wordpress.org/news/files/2023/12/IMAGE-2023-12-11-13_37_04-1024x576.jpg\" data-width=\"1280\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/12/IMAGE-2023-12-11-13_37_04-1024x576.jpg?ssl=1\" data-amp-layout=\"responsive\" /></figure><figure class=\"tiled-gallery__item\"><img decoding=\"async\" srcset=\"https://i1.wp.com/wordpress.org/news/files/2023/12/IMAGE-2023-12-11-13_36_22-1024x682.jpg?strip=info&#038;w=600&#038;ssl=1 600w,https://i1.wp.com/wordpress.org/news/files/2023/12/IMAGE-2023-12-11-13_36_22-1024x682.jpg?strip=info&#038;w=900&#038;ssl=1 900w,https://i1.wp.com/wordpress.org/news/files/2023/12/IMAGE-2023-12-11-13_36_22-1024x682.jpg?strip=info&#038;w=1200&#038;ssl=1 1200w,https://i1.wp.com/wordpress.org/news/files/2023/12/IMAGE-2023-12-11-13_36_22-1024x682.jpg?strip=info&#038;w=1280&#038;ssl=1 1280w\" alt=\"\" data-height=\"853\" data-id=\"16618\" data-link=\"https://wordpress.org/news/?attachment_id=16618\" data-url=\"https://wordpress.org/news/files/2023/12/IMAGE-2023-12-11-13_36_22-1024x682.jpg\" data-width=\"1280\" src=\"https://i1.wp.com/wordpress.org/news/files/2023/12/IMAGE-2023-12-11-13_36_22-1024x682.jpg?ssl=1\" data-amp-layout=\"responsive\" /></figure></div><div class=\"tiled-gallery__col\" style=\"flex-basis:65.01339%\"><figure class=\"tiled-gallery__item\"><img decoding=\"async\" srcset=\"https://i1.wp.com/wordpress.org/news/files/2023/12/IMAGE-2023-12-11-13_36_31-1024x682.jpg?strip=info&#038;w=600&#038;ssl=1 600w,https://i1.wp.com/wordpress.org/news/files/2023/12/IMAGE-2023-12-11-13_36_31-1024x682.jpg?strip=info&#038;w=900&#038;ssl=1 900w,https://i1.wp.com/wordpress.org/news/files/2023/12/IMAGE-2023-12-11-13_36_31-1024x682.jpg?strip=info&#038;w=1200&#038;ssl=1 1200w,https://i1.wp.com/wordpress.org/news/files/2023/12/IMAGE-2023-12-11-13_36_31-1024x682.jpg?strip=info&#038;w=1280&#038;ssl=1 1280w\" alt=\"\" data-height=\"853\" data-id=\"16626\" data-link=\"https://wordpress.org/news/?attachment_id=16626\" data-url=\"https://wordpress.org/news/files/2023/12/IMAGE-2023-12-11-13_36_31-1024x682.jpg\" data-width=\"1280\" src=\"https://i1.wp.com/wordpress.org/news/files/2023/12/IMAGE-2023-12-11-13_36_31-1024x682.jpg?ssl=1\" data-amp-layout=\"responsive\" /></figure></div></div><div class=\"tiled-gallery__row\"><div class=\"tiled-gallery__col\" style=\"flex-basis:75.87343%\"><figure class=\"tiled-gallery__item\"><img decoding=\"async\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2023/12/sotw-2023-final.006-1024x576.png?strip=info&#038;w=600&#038;ssl=1 600w,https://i0.wp.com/wordpress.org/news/files/2023/12/sotw-2023-final.006-1024x576.png?strip=info&#038;w=900&#038;ssl=1 900w,https://i0.wp.com/wordpress.org/news/files/2023/12/sotw-2023-final.006-1024x576.png?strip=info&#038;w=1200&#038;ssl=1 1200w,https://i0.wp.com/wordpress.org/news/files/2023/12/sotw-2023-final.006-1024x576.png?strip=info&#038;w=1500&#038;ssl=1 1500w,https://i0.wp.com/wordpress.org/news/files/2023/12/sotw-2023-final.006-1024x576.png?strip=info&#038;w=1800&#038;ssl=1 1800w,https://i0.wp.com/wordpress.org/news/files/2023/12/sotw-2023-final.006-1024x576.png?strip=info&#038;w=1920&#038;ssl=1 1920w\" alt=\"\" data-height=\"1080\" data-id=\"16632\" data-link=\"https://wordpress.org/news/?attachment_id=16632\" data-url=\"https://wordpress.org/news/files/2023/12/sotw-2023-final.006-1024x576.png\" data-width=\"1920\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/12/sotw-2023-final.006-1024x576.png?ssl=1\" data-amp-layout=\"responsive\" /></figure></div><div class=\"tiled-gallery__col\" style=\"flex-basis:24.12657%\"><figure class=\"tiled-gallery__item\"><img decoding=\"async\" srcset=\"https://i1.wp.com/wordpress.org/news/files/2023/12/IMAGE-2023-12-11-13_34_38-576x1024.jpg?strip=info&#038;w=600&#038;ssl=1 600w,https://i1.wp.com/wordpress.org/news/files/2023/12/IMAGE-2023-12-11-13_34_38-576x1024.jpg?strip=info&#038;w=720&#038;ssl=1 720w\" alt=\"\" data-height=\"1280\" data-id=\"16630\" data-link=\"https://wordpress.org/news/?attachment_id=16630\" data-url=\"https://wordpress.org/news/files/2023/12/IMAGE-2023-12-11-13_34_38-576x1024.jpg\" data-width=\"720\" src=\"https://i1.wp.com/wordpress.org/news/files/2023/12/IMAGE-2023-12-11-13_34_38-576x1024.jpg?ssl=1\" data-amp-layout=\"responsive\" /></figure></div></div><div class=\"tiled-gallery__row\"><div class=\"tiled-gallery__col\" style=\"flex-basis:63.00314%\"><figure class=\"tiled-gallery__item\"><img decoding=\"async\" srcset=\"https://i2.wp.com/wordpress.org/news/files/2023/12/IMAGE-2023-12-11-13_35_11-1024x682.jpg?strip=info&#038;w=600&#038;ssl=1 600w,https://i2.wp.com/wordpress.org/news/files/2023/12/IMAGE-2023-12-11-13_35_11-1024x682.jpg?strip=info&#038;w=900&#038;ssl=1 900w,https://i2.wp.com/wordpress.org/news/files/2023/12/IMAGE-2023-12-11-13_35_11-1024x682.jpg?strip=info&#038;w=1200&#038;ssl=1 1200w,https://i2.wp.com/wordpress.org/news/files/2023/12/IMAGE-2023-12-11-13_35_11-1024x682.jpg?strip=info&#038;w=1280&#038;ssl=1 1280w\" alt=\"\" data-height=\"853\" data-id=\"16620\" data-link=\"https://wordpress.org/news/?attachment_id=16620\" data-url=\"https://wordpress.org/news/files/2023/12/IMAGE-2023-12-11-13_35_11-1024x682.jpg\" data-width=\"1280\" src=\"https://i2.wp.com/wordpress.org/news/files/2023/12/IMAGE-2023-12-11-13_35_11-1024x682.jpg?ssl=1\" data-amp-layout=\"responsive\" /></figure></div><div class=\"tiled-gallery__col\" style=\"flex-basis:36.99686%\"><figure class=\"tiled-gallery__item\"><img decoding=\"async\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2023/12/IMAGE-2023-12-11-13_34_45-1024x576.jpg?strip=info&#038;w=600&#038;ssl=1 600w,https://i0.wp.com/wordpress.org/news/files/2023/12/IMAGE-2023-12-11-13_34_45-1024x576.jpg?strip=info&#038;w=900&#038;ssl=1 900w,https://i0.wp.com/wordpress.org/news/files/2023/12/IMAGE-2023-12-11-13_34_45-1024x576.jpg?strip=info&#038;w=1200&#038;ssl=1 1200w,https://i0.wp.com/wordpress.org/news/files/2023/12/IMAGE-2023-12-11-13_34_45-1024x576.jpg?strip=info&#038;w=1280&#038;ssl=1 1280w\" alt=\"\" data-height=\"720\" data-id=\"16619\" data-link=\"https://wordpress.org/news/?attachment_id=16619\" data-url=\"https://wordpress.org/news/files/2023/12/IMAGE-2023-12-11-13_34_45-1024x576.jpg\" data-width=\"1280\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/12/IMAGE-2023-12-11-13_34_45-1024x576.jpg?ssl=1\" data-amp-layout=\"responsive\" /></figure><figure class=\"tiled-gallery__item\"><img decoding=\"async\" srcset=\"https://i1.wp.com/wordpress.org/news/files/2023/12/IMAGE-2023-12-11-13_38_08-1024x576.jpg?strip=info&#038;w=600&#038;ssl=1 600w,https://i1.wp.com/wordpress.org/news/files/2023/12/IMAGE-2023-12-11-13_38_08-1024x576.jpg?strip=info&#038;w=900&#038;ssl=1 900w,https://i1.wp.com/wordpress.org/news/files/2023/12/IMAGE-2023-12-11-13_38_08-1024x576.jpg?strip=info&#038;w=1200&#038;ssl=1 1200w,https://i1.wp.com/wordpress.org/news/files/2023/12/IMAGE-2023-12-11-13_38_08-1024x576.jpg?strip=info&#038;w=1280&#038;ssl=1 1280w\" alt=\"\" data-height=\"720\" data-id=\"16629\" data-link=\"https://wordpress.org/news/?attachment_id=16629\" data-url=\"https://wordpress.org/news/files/2023/12/IMAGE-2023-12-11-13_38_08-1024x576.jpg\" data-width=\"1280\" src=\"https://i1.wp.com/wordpress.org/news/files/2023/12/IMAGE-2023-12-11-13_38_08-1024x576.jpg?ssl=1\" data-amp-layout=\"responsive\" /></figure></div></div></div></div>\n\n\n\n<p><em><em>Thank you to <a href=\'https://profiles.wordpress.org/laurlittle/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>laurlittle</a>, <a href=\'https://profiles.wordpress.org/eidolonnight/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>eidolonnight</a>, <a href=\'https://profiles.wordpress.org/nilovelez/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>nilovelez</a>, <a href=\'https://profiles.wordpress.org/fepr/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>fepr</a>, <a href=\'https://profiles.wordpress.org/cbringmann/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>cbringmann</a>, and the many others who made this event and post possible.</em></em></p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"16617\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:6;a:6:{s:4:\"data\";s:61:\"\n		\n		\n		\n		\n		\n				\n		\n		\n\n					\n										\n					\n		\n		\n\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:57:\"WP Briefing: Episode 68: Toward a More Interconnected Web\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:79:\"https://wordpress.org/news/2023/12/episode-68-toward-a-more-interconnected-web/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 11 Dec 2023 12:00:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:2:{i:0;a:5:{s:4:\"data\";s:7:\"Podcast\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:11:\"wp-briefing\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:53:\"https://wordpress.org/news/?post_type=podcast&p=16569\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:235:\"In this episode, WordPress Executive Director, Josepha Haden Chomphosy articulates the vision for a collaborative ecosystem where knowledge sharing and contributions to open source tools lead to a more interconnected and empowered web.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:9:\"enclosure\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:3:{s:3:\"url\";s:51:\"https://wordpress.org/news/files/2023/12/WPB068.mp3\";s:6:\"length\";s:1:\"0\";s:4:\"type\";s:0:\"\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Brett McSherry\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:14552:\"\n<p>In this episode, WordPress Executive Director, Josepha Haden Chomphosy articulates the vision for a collaborative ecosystem where knowledge sharing and contributions to open source tools lead to a more interconnected and empowered web.</p>\n\n\n\n<p><em><strong>Have a question you&#8217;d like answered? You can submit them to&nbsp;<a href=\"mailto:wpbriefing@wordpress.org\">wpbriefing@WordPress.org</a>, either written or as a voice recording.</strong></em></p>\n\n\n\n<h2 class=\"wp-block-heading\">Credits</h2>\n\n\n\n<p>Host:&nbsp;<a href=\"https://profiles.wordpress.org/chanthaboune/\">Josepha Haden Chomphosy</a><br>Editor:&nbsp;<a href=\"https://profiles.wordpress.org/dustinhartzler/\">Dustin Hartzler</a><br>Logo:&nbsp;<a href=\"https://profiles.wordpress.org/javiarce/\">Javier Arce</a><br>Production:&nbsp;<a href=\"https://profiles.wordpress.org/bjmcsherry/\">Brett McSherry</a><br>Song: Fearless First by Kevin MacLeod</p>\n\n\n\n<h2 class=\"wp-block-heading\">Show Notes</h2>\n\n\n\n<ul>\n<li><a href=\"https://wordpress.org/news/2022/11/state-of-the-word-2022/\">State of the Word 2022</a></li>\n\n\n\n<li><a href=\"https://thephp.foundation/\">PHP Foundation</a></li>\n\n\n\n<li>Josepha&#8217;s <a href=\"https://make.wordpress.org/project/2022/01/21/big-picture-goals-2022/\">Big Picture Goals 2022</a></li>\n\n\n\n<li><strong>Small List of Big Things</strong>\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/11/22/whats-new-in-gutenberg-17-1-22-november/\">Gutenberg 17.1</a> has been released and is <a href=\"https://wordpress.org/plugins/gutenberg/\" target=\"_blank\" rel=\"noreferrer noopener\">available for download</a>! The latest release includes new enhancements, bug fixes, and continued work on Phase 3 features.</li>\n\n\n\n<li><a href=\"https://make.wordpress.org/community/2023/11/17/announcing-the-2023-annual-meetup-survey/\" target=\"_blank\" rel=\"noreferrer noopener\">Announcing the 2023 Annual Meetup Survey</a> &#8211; The Community team proposed a survey for all meetup members and organizers. Please complete the <a href=\"https://wordpressdotorg.survey.fm/2023-meetup-annual-survey\" target=\"_blank\" rel=\"noreferrer noopener\">Annual Meetup Survey</a>  by January 14, 2024– even if you haven&#8217;t participated in a meetup recently!</li>\n\n\n\n<li><a href=\"https://make.wordpress.org/training/2023/11/29/request-for-feedback-lesson-handbook-pages/\" target=\"_blank\" rel=\"noreferrer noopener\">Request for feedback: Lesson Handbook pages</a> &#8211; As the Training team progresses towards the 2024 launch of <a href=\"https://make.wordpress.org/training/2023/07/07/project-thread-learning-pathways-on-learn-wordpress/\">Learning Pathways</a>, they&#8217;re developing a set of content creation guidelines to streamline and scale the process. These guidelines will focus on efficient methods for developing, reviewing, and updating content. To gather input, a <a href=\"https://docs.google.com/document/d/1twvDGmVZsyjBZbi9abiqoA_a2G7O_WNis_iGL2Sccg0/edit#heading=h.srkdcrt4k0v8\">Google Doc</a> has been created where you can share your ideas. Please provide your feedback and comments on this document by Tuesday, December 19, 2023.</li>\n\n\n\n<li><a href=\"https://playground.wordpress.net/\">WordPress Playground</a> makes WordPress instantly accessible for users, learners, extenders, and contributors.</li>\n\n\n\n<li><a href=\"https://make.wordpress.org/project/2023/11/30/embracing-matrix-for-enhanced-communication/\">Embracing Matrix for Enhanced Communication</a></li>\n</ul>\n</li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\">Transcripts</h2>\n\n\n\n<span id=\"more-16569\"></span>\n\n\n\n<p>[00:00:00] <strong>Josepha:</strong> Hello everyone. And welcome to the WordPress Briefing. The podcast where you can catch quick explanations of the ideas behind the WordPress open source project, some insight into the community that supports it, and get a small list of big things coming up in the next two weeks. I&#8217;m your host, Josepha Haden Chomphosy. Here we go.</p>\n\n\n\n<p>[00:00:28] (Intro music)&nbsp;</p>\n\n\n\n<p>[00:00:40] <strong>Josepha:</strong> If you&#8217;re already familiar with the WordPress project, and if you&#8217;re listening to this podcast, I feel like it&#8217;s a safe assumption that you&#8217;re probably also familiar with the fact that we are what&#8217;s considered a free and open source software project. We adhere to the four freedoms of open source. We track bugs in the open, and we believe that knowledge sharing can only improve our products. </p>\n\n\n\n<p>But you might not be aware of the other open source projects that are foundational to ours and otherwise are integral to our commitment to the open web. At last year&#8217;s State of the Word, Matt mentioned that one of the coolest things about being a plugin or theme author in WordPress is that you get to run your open source project on the same infrastructure that WordPress runs on. So, no matter whether you have five installs or five thousand, you&#8217;re getting the benefits of our bug trackers, messaging, and network of project sites. But beyond those, which are, of course, near and dear to us, we also support projects like PHP and its foundation. Openverse and its founding organization Creative Commons, and of course, the two that we&#8217;re hearing a lot about this year and next, Playground and Matrix.</p>\n\n\n\n<p>[00:01:52] <strong>Josepha:</strong> That&#8217;s a lot of projects and not even a comprehensive list. And honestly, it can seem, I don&#8217;t know, a little weird. Like, we&#8217;re a FOSS CMS, right? You probably know why we contribute back to PHP. It&#8217;s the same reason we ask people to contribute to WordPress. But why are we giving so much time to a media search engine, or a Web Assembly implementation, or even a messaging protocol?</p>\n\n\n\n<p>At first glance, there are, of course, a lot of quick and easy answers. For instance, like, open source is open source. Any open source contribution is going to be a good contribution. All open source in the world increases good and freedom in the world. Like, open source is open source. Makes sense, right?</p>\n\n\n\n<p>Another quick and easy answer is, you know, they&#8217;re part of us. And that&#8217;s true, definitely, for PHP, like, they&#8217;re part of us, and so we should be contributing back to them. Because we rely on them so much. And then a third quick and easy answer is that we, as the biggest open source CMS on the planet, basically, we can, spare a lending hand. We can offer a little bit of help to those around us.&nbsp;</p>\n\n\n\n<p>[00:03:03] <strong>Josepha:</strong> And those are all true. I don&#8217;t think that anyone would disagree with any of that. But the thing that ties it all together for me is something that&#8217;s a little harder to see. In the 2022 goals that I posted, I said that my second goal for our year was to support open source alternatives for all site-building necessities.</p>\n\n\n\n<p>At the time, I was primarily talking about Openverse and the directory of photos that was being created as a CC-first source. But that also applies to all of our directories. It did then, just as it does now. And Trac, and our vast network of WordPress sites. All the tools we use in order to collaborate with, and lead for, and learn from each other.</p>\n\n\n\n<p>I want us to be able to do everything it takes to build an online presence using open source tools and methods because WordPress is just a glorious little microcosm of the interconnected web. It reminds me of this art installation I had the privilege of experiencing. It&#8217;s called Meow Wolf. I went to the one in Denver, but there are a few different installations across the U.S.&nbsp;The one that I went to is this massive art installation, and it is designed to be interactive, but it wasn&#8217;t until you started sharing your experience sharing your knowledge with other people that you realized it was also collaborative, a set of buttons you pushed in one room would cause a light show in some other room.</p>\n\n\n\n<p>[00:04:34] <strong>Josepha:</strong> So you were enhancing the experience of strangers in some completely disconnected room to yours, and they couldn&#8217;t distinguish it from an automation or something they did, or just plain old magic. And that&#8217;s what we&#8217;re doing by supporting these other open source tools. Yes, every new open source contribution results in more freedom in the world. Yes, we owe support to the components that got us where we are today. And yes, we absolutely can and should pay it forward. But more importantly than all that, we&#8217;re creating the opportunity for new interactions, new brilliance, and new defenders of the open web every time that we work on these open source products.</p>\n\n\n\n<p>[00:05:20] <strong>Josepha:</strong> And it doesn&#8217;t matter if we will ever see any of those people. And it doesn&#8217;t matter if they will ever thank us. What matters is that we see that knowledge like this is worth preserving and worth sharing. Because knowledge shared, information shared is like light. The more you share it, the more there is.</p>\n\n\n\n<p>And I want you to be able to take that sharing and use it to light the world. I want you to be able to go out and tell people how open source has changed your life, how WordPress has opened doors for you, or how much these tools have empowered your clients. I want you to remember why you came to WordPress in the first place, and I need you to hear me when I say that I need you here in WordPress today because every little ripple of good that we create makes the world a little more good.</p>\n\n\n\n<p>[00:06:12] (Music interlude)&nbsp;</p>\n\n\n\n<p>[00:06:20] <strong>Josepha:</strong> (SLBT) And now, my friends, that brings us to our time for the small list of big things. I&#8217;ve got a kind of a big list because I always kind of have a big list anymore, but the first thing on my list is Gutenberg 17.1. That has been released and is available for download. It includes several new enhancements, loads of bug fixes, and continues that work on phase three features that we are starting to see come through. If you don&#8217;t have it already, go out and grab it, test it, break it, and tell us what you tested and how it broke things.&nbsp;</p>\n\n\n\n<p>[00:06:52] <strong>Josepha:</strong> The second thing on my small list of big things is that there is currently an annual meetup survey out. So, we&#8217;ve had an increase in our meetup events, and certainly an increase in the active number of meetup groups that we have, but the community team is proposing a unified survey for all meetup members and organizers, and if you haven&#8217;t participated in it yet go and fill it out. You don&#8217;t have to have actually gone to a meetup event recently in order to take it, but, you know, it might be helpful. Either way, you have until January 14, 2024, to fill that out.</p>\n\n\n\n<p>[00:07:30] <strong>Josepha:</strong> The third thing on my small list of big things is a request for feedback. The training team is working toward launching Learning Pathways in 2024. They&#8217;re looking to create a new set of content creation guidelines that enables the learning pathways to scale with a straightforward process for developing, reviewing, and updating that content. There&#8217;s a Google doc for you where you can contribute your ideas, and that doc will be open for feedback through this week and into next week. I believe it closes on Tuesday, the 19th of December, 2023.</p>\n\n\n\n<p>[00:08:04] <strong>Josepha:</strong> And then the final thing on my small list of big things is actually, it&#8217;s a dual call-in. I already said with my first one about the Gutenberg plugin: get in there and test it and break it, and then tell us how it broke and what you were doing when you were testing it and broke it. And I encourage you to do that also for Matrix and Playground.</p>\n\n\n\n<p>So Playground has been a really big deal all year long. It was a big deal at the end of last year. It showed up for us in November 2022 and has been really just growing in surprising ways all the way through 2023. So if you have not yet seen it, you haven&#8217;t gotten your hands on it yet, it&#8217;s a WordPress installation that is loaded entirely in the browser, totally server-free, and we&#8217;re looking at a couple of new implementations that make it easier for users who are trying to, like, kick the tires of WordPress before they decide, and developers who are wanting to test new pull requests and things like that.</p>\n\n\n\n<p>So keep an eye out if it sounds interesting; it is interesting. And wander over and figure out how that&#8217;s working. And the other thing in that last call for collective testing is Matrix. So Matrix is an open source federated messaging protocol, and like so many technology projects out there at the moment, we are trying to make sure that we are preparing ourselves for the future arrival of Web 3 and all of the things that are coming along with current advancements in federated everything and AI and etc., etc.</p>\n\n\n\n<p>And so, Matrix is an open source messaging protocol. There are a lot of different ways to get connected. I&#8217;ll share a link to one of the posts in the show notes over on WordPress.org/news. But if you&#8217;re interested in learning a bit about it and you don&#8217;t really want to like figure out what sort of client is comfortable for you to use. There&#8217;s also on-site chat implementations for, I want to say, like 10 or 12 of our largest or most regularly meeting groups that we have. You can go to parts of the website like make.WordPress.org/core/chat and check those out. If you have a WordPress.org account, then you can have access to that on-site chat, and that is it.</p>\n\n\n\n<p>That&#8217;s the whole low barrier to entryway of figuring that out with us. Come and break stuff with us, everyone, and tell us how to make it better.&nbsp;</p>\n\n\n\n<p>[00:10:33] <strong>Josepha:</strong> And that, my friends, is your small list of big things. Don&#8217;t forget to follow us on your favorite podcast app or subscribe directly on WordPress.org/news. You&#8217;ll get a friendly reminder whenever there&#8217;s a new episode. If you liked what you heard today, share it with a fellow WordPresser. Or, if you had questions about what you heard, you can share those with me at wpbriefing@WordPress.org. I&#8217;m your host, Josepha Haden Chomphosy. Thank you for tuning in today for the WordPress Briefing, and I&#8217;ll see you again in a couple of weeks.</p>\n\n\n\n<p>[00:11:00] (Music outro)&nbsp;</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"16569\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:7;a:6:{s:4:\"data\";s:60:\"\n		\n		\n		\n		\n		\n				\n		\n		\n\n					\n										\n					\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:40:\"The Month in WordPress – November 2023\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:72:\"https://wordpress.org/news/2023/12/the-month-in-wordpress-november-2023/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 08 Dec 2023 11:20:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:2:{i:0;a:5:{s:4:\"data\";s:18:\"Month in WordPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:18:\"month in wordpress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://wordpress.org/news/?p=16575\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:251:\"November is usually a busy month for the WordPress project, and this year is no different. Following the empowering release of WordPress 6.4, the energy continues to build, setting the stage for the anticipated State of the Word and upcoming projects.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:15:\"Reyes Martínez\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:11827:\"\n<p>November is usually a busy month for the WordPress project, and this year is no different. Following the empowering release of WordPress 6.4, the energy continues to build, setting the stage for the anticipated State of the Word and upcoming projects.&nbsp;</p>\n\n\n\n<p>Read on for all the exciting updates that marked the past month.</p>\n\n\n\n<div style=\"height:3px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<h2 class=\"wp-block-heading\">Get ready for State of the Word</h2>\n\n\n\n<figure class=\"wp-block-image size-large\"><img loading=\"lazy\" decoding=\"async\" width=\"1024\" height=\"683\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/11/SOTW-Blue.png?resize=1024%2C683&#038;ssl=1\" alt=\"State of the Word 2023\" class=\"wp-image-16438\" style=\"object-fit:cover\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2023/11/SOTW-Blue.png?resize=1024%2C683&amp;ssl=1 1024w, https://i0.wp.com/wordpress.org/news/files/2023/11/SOTW-Blue.png?resize=300%2C200&amp;ssl=1 300w, https://i0.wp.com/wordpress.org/news/files/2023/11/SOTW-Blue.png?resize=768%2C512&amp;ssl=1 768w, https://i0.wp.com/wordpress.org/news/files/2023/11/SOTW-Blue.png?resize=1536%2C1024&amp;ssl=1 1536w, https://i0.wp.com/wordpress.org/news/files/2023/11/SOTW-Blue.png?resize=2048%2C1365&amp;ssl=1 2048w\" sizes=\"(max-width: 1000px) 100vw, 1000px\" data-recalc-dims=\"1\" /></figure>\n\n\n\n<p>Mark your calendars—State of the Word 2023 is approaching fast. In this annual keynote, WordPress co-founder Matt Mullenweg celebrates the progress of the open source project and offers a glimpse into its future.</p>\n\n\n\n<p>For the first time in WordPress history, the event will be held outside North America, in the vibrant city of <a href=\"https://wordpress.org/news/2023/11/state-of-the-word-2023-madrid-spain/\">Madrid, Spain, on December 11, 2023</a>.</p>\n\n\n\n<p>If you’re unable to attend the State of the Word in person, you can watch it live on the <a href=\"https://www.youtube.com/live/1MwT9EEkguE?si=TYwAe5qnKA3DlRMX\">WordPress YouTube channel</a> or join one of the many community-led watch parties. <a href=\"https://wordpress.org/state-of-the-word\">Find one near you</a> or <a href=\"https://make.wordpress.org/community/handbook/meetup-organizer/event-formats/state-of-the-word-watch-parties/\">organize one</a>.</p>\n\n\n\n<div class=\"wp-block-buttons is-content-justification-center is-layout-flex wp-container-4 wp-block-buttons-is-layout-flex\">\n<div class=\"wp-block-button\"><a class=\"wp-block-button__link has-white-color has-dark-strokes-grey-background-color has-text-color has-background has-link-color wp-element-button\" href=\"https://wordpress.org/state-of-the-word/\">Learn more about State of the Word 2023</a></div>\n</div>\n\n\n\n<div style=\"height:3px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<h2 class=\"wp-block-heading\">Meet Twenty Twenty-Four</h2>\n\n\n\n<p>Along with the release of <a href=\"https://wordpress.org/download/releases/6-4/\">WordPress 6.4</a> “Shirley,” the new default <a href=\"https://wordpress.org/news/2023/11/introducing-twenty-twenty-four/\">Twenty Twenty-Four theme was introduced</a>.</p>\n\n\n\n<p>This theme breaks away from the tradition of previous default themes that focused on a specific topic or style. Instead, Twenty Twenty-Four was created to fit any website and explore different use cases for entrepreneurs, artists, and writers.</p>\n\n\n\n<p>You’ll find more than 35 beautiful patterns, including full-page patterns for templates like homepage, search, and more. Twenty Twenty-Four boasts the latest site editing capabilities and a sophisticated aesthetic inspired by contemporary design trends.</p>\n\n\n\n<div class=\"wp-block-buttons is-content-justification-center is-layout-flex wp-container-5 wp-block-buttons-is-layout-flex\">\n<div class=\"wp-block-button\"><a class=\"wp-block-button__link has-white-color has-dark-strokes-grey-background-color has-text-color has-background has-link-color wp-element-button\" href=\"https://playground.wordpress.net/?theme=twentytwentyfour\">Check out Twenty Twenty-Four now</a></div>\n</div>\n\n\n\n<div style=\"height:3px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<h2 class=\"wp-block-heading\">New in the Gutenberg plugin</h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/11/10/whats-new-in-gutenberg-17-0-9-november/\">Gutenberg 17.0</a> was released on November 9, 2023. It introduced improvements to the Command Palette, an alternative implementation of the DropdownMenu component, additional visual cues for LinkControl, and various accessibility and performance iterations.</li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/11/22/whats-new-in-gutenberg-17-1-22-november/\">Gutenberg 17.1</a> shipped on November 22, 2023. In addition to several accessibility and writing flow enhancements, this version brought a new block spacing control in the Quote block.</li>\n</ul>\n\n\n\n<div style=\"height:3px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<a class=\"wp-block-jetpack-podcast-player jetpack-podcast-player__direct-link\" href=\"https://wordpress.org/news/2023/10/episode-64-patterns-in-wordpress/\">https://wordpress.org/news/2023/10/episode-64-patterns-in-wordpress/</a>\n\n\n\n<div style=\"height:3px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<h2 class=\"wp-block-heading\">Team updates</h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/project/2023/11/30/embracing-matrix-for-enhanced-communication/\">WordPress is switching to Matrix</a> in replacement of the Making WordPress Slack. The move stems from the project&#8217;s commitment to implementing a new chat system aligned with WordPress&#8217;s open source values. If you haven&#8217;t already, now is the time to explore Matrix and share your questions.</li>\n\n\n\n<li>With phishing scams on the rise, the WordPress Security team is actively monitoring the current threat and has posted <a href=\"https://wordpress.org/news/2023/12/alert-wordpress-security-team-impersonation-scams/\">an advisory to help you protect your site</a>.</li>\n\n\n\n<li>The Plugin Review team is now <a href=\"https://make.wordpress.org/plugins/2023/12/02/join-the-plugin-review-team/\">reopening applications to join their team</a>. They’re looking for three new members who can improve the state of the plugin review queue and help create a diverse and inclusive team.</li>\n\n\n\n<li>Over the past few months, contributors have been working on <a href=\"https://make.wordpress.org/meta/2023/11/22/redesigning-developer-resources-and-a-call-for-testing/\">redesigning the WordPress.org Developer Resources</a> section.</li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/11/06/proposal-2024-major-release-timing/\">This post</a> outlines proposed dates for major WordPress releases in 2024.</li>\n\n\n\n<li>The Meta team shared an <a href=\"https://make.wordpress.org/meta/2023/11/22/plugin-directory-preview-button-revisited/\">improved version of the plugin preview feature</a>. This version builds on feedback and allows plugin developers to safely test the preview experience for their plugins in a <a href=\"https://developer.wordpress.org/playground/\">WordPress Playground</a> environment.</li>\n\n\n\n<li>Polyglots and Meta contributors introduced <a href=\"https://make.wordpress.org/meta/2023/11/29/create-tours-for-make-p2s/\">a new plugin called Tour</a>, which enables the creation of tours to guide contributors through a Make WordPress blog.</li>\n\n\n\n<li>Are you looking to broaden your knowledge and improve your WordPress skills? See <a href=\"https://make.wordpress.org/updates/2023/12/01/whats-new-on-learn-wordpress-in-november-2023/\">what’s new on Learn WordPress in November 2023</a>.</li>\n\n\n\n<li>The latest edition of People of WordPress features back-end web developer <a href=\"https://wordpress.org/news/2023/12/people-of-wordpress-artemy-kaydash/\">Artemy Kaydash</a> from Ukraine.</li>\n</ul>\n\n\n\n<div style=\"height:3px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<a class=\"wp-block-jetpack-podcast-player jetpack-podcast-player__direct-link\" href=\"https://wordpress.org/news/2023/10/episode-64-patterns-in-wordpress/\">https://wordpress.org/news/2023/10/episode-64-patterns-in-wordpress/</a>\n\n\n\n<div style=\"height:3px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<h2 class=\"wp-block-heading\">Requests for feedback &amp; testing</h2>\n\n\n\n<ul>\n<li>The Community team announced the <a href=\"https://make.wordpress.org/community/2023/11/17/announcing-the-2023-annual-meetup-survey/\">2023 Annual Meetup Survey</a>. Both event attendees and organizers are encouraged to provide feedback in this 5-minute survey to help strengthen WordPress meetups in the future.</li>\n\n\n\n<li><a href=\"https://make.wordpress.org/updates/2023/11/23/mobile-team-update-november-22nd/\">Version 23.7</a> of the WordPress mobile app for iOS and Android is ready for testing.</li>\n</ul>\n\n\n\n<div style=\"height:3px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<h2 class=\"wp-block-heading\">WordPress events</h2>\n\n\n\n<ul>\n<li><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f1f9-1f1fc.png\" alt=\"🇹🇼\" class=\"wp-smiley\" style=\"height: 1em; max-height: 1em;\" /> WordCamp Asia opened the <a href=\"https://asia.wordcamp.org/2024/the-third-batch-of-tickets-on-sale-now/\">third round of ticket sales</a> and announced that <a href=\"https://asia.wordcamp.org/2024/announcing-our-first-speaker-matt-mullenweg/\">their first speaker is WordPress co-founder Matt Mullenweg</a>. The conference will be held in Taipei, Taiwan, on March 7-9, 2024.</li>\n\n\n\n<li><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f1ea-1f1fa.png\" alt=\"🇪🇺\" class=\"wp-smiley\" style=\"height: 1em; max-height: 1em;\" /> WordCamp Europe <a href=\"https://europe.wordcamp.org/2024/call-for-sponsors/\">opened its call for sponsors</a> and <a href=\"https://europe.wordcamp.org/2024/speakers/call-for-speakers/\">speakers</a> for their conference slated to take place in Torino, Italy, on June 13-15, 2024.&nbsp;</li>\n\n\n\n<li>Don’t miss these upcoming WordCamps:\n<ul>\n<li><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f1ee-1f1f3.png\" alt=\"🇮🇳\" class=\"wp-smiley\" style=\"height: 1em; max-height: 1em;\" /> <a href=\"https://ahmedabad.wordcamp.org/2023/\">WordCamp Ahmedabad 2023</a>, India on December 9, 2023</li>\n\n\n\n<li><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f1f5-1f1f0.png\" alt=\"🇵🇰\" class=\"wp-smiley\" style=\"height: 1em; max-height: 1em;\" /> <a href=\"https://lahore.wordcamp.org/2023/\">WordCamp Lahore 2023</a>, Pakistan on December 9-10, 2023</li>\n</ul>\n</li>\n</ul>\n\n\n\n<div style=\"height:3px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity\" />\n\n\n\n<p><em><strong>Have a story we should include in the next issue of The Month in WordPress? Fill out </strong></em><a href=\"https://make.wordpress.org/community/month-in-wordpress-submissions/\"><strong><em>this quick form</em></strong></a><em><strong> to let us know.</strong></em></p>\n\n\n\n<p><em>Thank you to <a href=\"https://profiles.wordpress.org/bernard0omnisend/\">Bernard Meyer</a> for contributing to this edition of The Month in WordPress.</em></p>\n\n\n\n<div class=\"wp-block-group is-layout-constrained wp-block-group-is-layout-constrained\">\n<h3 class=\"wp-block-heading\">Subscribe to WordPress News</h3>\n\n\n\n<p>Join other subscribers and receive WordPress news directly in your inbox.</p>\n\n\n<div class=\"wp-block-jetpack-subscriptions__supports-newline is-style-split wp-block-jetpack-subscriptions\">\n		<div>\n			<div>\n				<div>\n					<p >\n						<a href=\"https://wordpress.org/news/?post_type=post&#038;p=16575\" style=\"text-decoration: none; font-size: 16px;padding: 15px 23px 15px 23px;margin: 0px; margin-left: 10px;border-radius: 0px;border-width: 1px; background-color: #113AF5; color: #FFFFFF;\">Subscribe</a>\n					</p>\n				</div>\n			</div>\n		</div>\n	</div></div>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"16575\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:8;a:6:{s:4:\"data\";s:60:\"\n		\n		\n		\n		\n		\n				\n		\n		\n\n					\n										\n					\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:50:\"WordPress 6.4.2 Maintenance &amp; Security Release\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:80:\"https://wordpress.org/news/2023/12/wordpress-6-4-2-maintenance-security-release/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 06 Dec 2023 17:03:48 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:2:{i:0;a:5:{s:4:\"data\";s:8:\"Releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:8:\"Security\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://wordpress.org/news/?p=16562\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:352:\"WordPress 6.4.2 is now available! This minor release features 7 bug fixes in Core. The fixes include a bug fix for an issue causing stylesheet and theme directories to sometimes return incorrect results. This release also features one security fix. Because this is a security release, it is recommended that you update your sites immediately. [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:12:\"Aaron Jorbin\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:6255:\"\n<h2 class=\"wp-block-heading\">WordPress 6.4.2 is now available!</h2>\n\n\n\n<p>This minor release features <a href=\"https://core.trac.wordpress.org/query?status=closed&amp;milestone=6.4.2&amp;groupdesc=1&amp;group=resolution&amp;col=id&amp;col=summary&amp;col=status&amp;col=milestone&amp;col=owner&amp;col=type&amp;col=priority&amp;col=keywords&amp;order=priority\">7 bug fixes</a> in Core. The fixes include a bug fix for an issue causing stylesheet and theme directories to sometimes return incorrect results.</p>\n\n\n\n<p>This release also features one security fix. Because this is a security release, <strong>it is recommended that you update your sites immediately</strong><strong>.</strong></p>\n\n\n\n<p>You can <a href=\"https://wordpress.org/wordpress-6.4.2.zip\">download WordPress 6.4.2 from WordPress.org</a>, or visit your WordPress Dashboard, click “Updates”, and then click “Update Now”. If you have sites that support automatic background updates, the update process will begin automatically.</p>\n\n\n\n<p>WordPress 6.4.2 is a short-cycle release. The next major release will be version 6.5 released in early 2024.</p>\n\n\n\n<p>For more information on this release, please visit the <a href=\"https://wordpress.org/documentation/wordpress-version/version-6-4-2/\">HelpHub site</a>.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Security updates included in this release</h2>\n\n\n\n<p>The security team addressed the following vulnerability in this release.</p>\n\n\n\n<ul>\n<li>A Remote Code Execution vulnerability that is not directly exploitable in core, however the security team feels that there is a potential for high severity when combined with some plugins, especially in multisite installs.</li>\n</ul>\n\n\n\n<p>To help the security team and WordPressers around the world, you are encouraged to <a href=\"https://hackerone.com/wordpress?type=team\">responsibly report vulnerabilities</a>. This allows vulnerabilities to be fixed in future releases.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Thank you to these WordPress contributors</h2>\n\n\n\n<p>This release was led by <a href=\"https://profiles.wordpress.org/jorbin/\">Aaron Jorbin</a>.</p>\n\n\n\n<p>WordPress 6.4.2 would not have been possible without the contributions of the following people. Their asynchronous coordination to deliver maintenance and security fixes into a stable release is a testament to the power and capability of the WordPress community.</p>\n\n\n\n<p class=\"is-style-wporg-props-long\"><a href=\"https://profiles.wordpress.org/jorbin\">Aaron Jorbin</a>, <a href=\"https://profiles.wordpress.org/wildworks\">Aki Hamano</a>, <a href=\"https://profiles.wordpress.org/atachibana\">Akira Tachibana</a>, <a href=\"https://profiles.wordpress.org/xknown\">Alex Concha</a>, <a href=\"https://profiles.wordpress.org/angelasjin\">Angela Jin</a>, <a href=\"https://profiles.wordpress.org/antonvlasenko\">Anton Vlasenko</a>, <a href=\"https://profiles.wordpress.org/barry\">Barry</a>, <a href=\"https://profiles.wordpress.org/Bernhard%20Reiter\">bernhard-reiter</a>, <a href=\"https://profiles.wordpress.org/icaleb\">Caleb Burks</a>, <a href=\"https://profiles.wordpress.org/coreyw\">Corey Worrell</a>, <a href=\"https://profiles.wordpress.org/crstauf\">crstauf</a>, <a href=\"https://profiles.wordpress.org/nerrad\">Darren Ethier (nerrad)</a>, <a href=\"https://profiles.wordpress.org/davidbaumwald/\">David Baumwald</a>, <a href=\"https://profiles.wordpress.org/dmsnell\">Dennis Snell</a>, <a href=\"https://profiles.wordpress.org/dd32\">Dion Hulse</a>, <a href=\"https://profiles.wordpress.org/kebbet\">Erik</a>, <a href=\"https://profiles.wordpress.org/gaambo\">Fabian Todt</a>, <a href=\"https://profiles.wordpress.org/flixos90\">Felix Arntz</a>, <a href=\"https://profiles.wordpress.org/priethor\">Héctor Prieto</a>, <a href=\"https://profiles.wordpress.org/ironprogrammer\">ironprogrammer</a>, <a href=\"https://profiles.wordpress.org/isabel_brison\">Isabel Brison</a>, <a href=\"https://profiles.wordpress.org/audrasjb\">Jb Audras</a>, <a href=\"https://profiles.wordpress.org/jeffpaul\">Jeffrey Paul</a>, <a href=\"https://profiles.wordpress.org/luminuu\">Jessica Lyschik</a>, <a href=\"https://profiles.wordpress.org/joemcgill\">Joe McGill</a>, <a href=\"https://profiles.wordpress.org/johnbillion\">John Blackbourn</a>, <a href=\"https://profiles.wordpress.org/desrosj/\">Jonathan Desrosiers</a>, <a href=\"https://profiles.wordpress.org/kharisblank\">Kharis Sulistiyono</a>, <a href=\"https://profiles.wordpress.org/krupalpanchal\">Krupal Panchal</a>, <a href=\"https://profiles.wordpress.org/kdowns\">Kylen Downs</a>, <a href=\"https://profiles.wordpress.org/meta4\">meta4</a>, <a href=\"https://profiles.wordpress.org/mikeschroder\">Mike Schroder</a>, <a href=\"https://profiles.wordpress.org/mukesh27\">Mukesh Panchal</a>, <a href=\"https://profiles.wordpress.org/partyfrikadelle\">partyfrikadelle</a>, <a href=\"https://profiles.wordpress.org/peterwilsoncc\">Peter Wilson</a>, <a href=\"https://profiles.wordpress.org/NekoJonez\">Pieterjan Deneys</a>, <a href=\"https://profiles.wordpress.org/rawrly\">rawrly</a>, <a href=\"https://profiles.wordpress.org/rebasaurus\">rebasaurus</a>, <a href=\"https://profiles.wordpress.org/SergeyBiryukov\">Sergey Biryukov</a>, <a href=\"https://profiles.wordpress.org/hellofromTonya\">Tonya Mork</a>, <a href=\"https://profiles.wordpress.org/vortfu\">vortfu</a></p>\n\n\n\n<h2 class=\"wp-block-heading\">How to contribute</h2>\n\n\n\n<p>To get involved in WordPress core development, head over to Trac, <a href=\"https://core.trac.wordpress.org/report/6\">pick a ticket</a>, and join the conversation in the <a href=\"https://wordpress.slack.com/archives/C02RQBWTW\">#core</a>. Need help? Check out the <a href=\"https://make.wordpress.org/core/handbook/tutorials/faq-for-new-contributors/\">Core Contributor Handbook</a>.</p>\n\n\n\n<p>As a final reminder, The WordPress Security Team will never email you requesting that you install a plugin or theme on your site, and will never ask for an administrator username and password. <a href=\"https://wordpress.org/news/2023/12/alert-wordpress-security-team-impersonation-scams/\">Please stay vigilant against phishing attacks</a>.</p>\n\n\n\n<p><em>Thanks to <a href=\"https://profiles.wordpress.org/angelasjin/\">@angelasjin</a> and <a href=\"https://wordpress.slack.com/team/U02SVSW3U\">@desrosj</a> for proofreading.</em></p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"16562\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:9;a:6:{s:4:\"data\";s:60:\"\n		\n		\n		\n		\n		\n				\n		\n		\n\n					\n										\n					\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:50:\"Alert: WordPress Security Team Impersonation Scams\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:85:\"https://wordpress.org/news/2023/12/alert-wordpress-security-team-impersonation-scams/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 04 Dec 2023 23:13:35 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:2:{i:0;a:5:{s:4:\"data\";s:8:\"Security\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:7:\"Updates\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://wordpress.org/news/?p=16547\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:368:\"The WordPress Security Team is aware of multiple ongoing phishing scams impersonating both the “WordPress team” and the “WordPress Security Team“ in an attempt to convince administrators to install a plugin on their website which contains malware. The WordPress Security Team will never email you requesting that you install a plugin or theme on your [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:12:\"Peter Wilson\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:4939:\"\n<p>The WordPress Security Team is aware of multiple ongoing phishing scams impersonating both the “WordPress team” and the “WordPress Security Team“ in an attempt to convince administrators to install a plugin on their website which contains malware.</p>\n\n\n\n<p><strong>The WordPress Security Team will never email you requesting that you install a plugin or theme on your site, and will never ask for an administrator username and password.</strong></p>\n\n\n\n<p>If you receive an unsolicited email claiming to be from WordPress with instructions similar to those described above, please disregard the emails and indicate that the email is a scam to your email provider.</p>\n\n\n\n<p>These emails link to a phishing site that appears to be the WordPress plugin repository on a domain that is not owned by WordPress or an associated entity. Both <a href=\"https://patchstack.com/articles/fake-cve-phishing-campaign-tricks-wordpress-users-to-install-malware/\">Patchstack</a> and <a href=\"https://www.wordfence.com/blog/2023/12/psa-fake-cve-2023-45124-phishing-scam-tricks-users-into-installing-backdoor-plugin/\">Wordfence</a> have written articles that go in to further detail.</p>\n\n\n\n<p>Official emails from the WordPress project will always:</p>\n\n\n\n<ul>\n<li>Come from a <code>@wordpress.org</code> or <code>@wordpress.net</code> domain.</li>\n\n\n\n<li>Should also say “Signed by: wordpress.org” in the email details section.</li>\n</ul>\n\n\n\n<figure class=\"wp-block-image size-large\"><img loading=\"lazy\" decoding=\"async\" width=\"1024\" height=\"450\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/12/email-details-signed-by-wordpressdotorg.png?resize=1024%2C450&#038;ssl=1\" alt=\"Screenshot of email sent by a WordPress.org email account. The details include &quot;mailed-by wordpress.org&quot; and &quot;signed-by wordpress.org&quot;.\" class=\"wp-image-16548\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2023/12/email-details-signed-by-wordpressdotorg.png?resize=1024%2C450&amp;ssl=1 1024w, https://i0.wp.com/wordpress.org/news/files/2023/12/email-details-signed-by-wordpressdotorg.png?resize=300%2C132&amp;ssl=1 300w, https://i0.wp.com/wordpress.org/news/files/2023/12/email-details-signed-by-wordpressdotorg.png?resize=768%2C337&amp;ssl=1 768w, https://i0.wp.com/wordpress.org/news/files/2023/12/email-details-signed-by-wordpressdotorg.png?w=1202&amp;ssl=1 1202w\" sizes=\"(max-width: 1000px) 100vw, 1000px\" data-recalc-dims=\"1\" /></figure>\n\n\n\n<p>The WordPress Security Team will only communicate with WordPress users in the following locations:</p>\n\n\n\n<ul>\n<li>the Making WordPress Secure blog at <a href=\"https://make.wordpress.org/security\">make.wordpress.org/security</a></li>\n\n\n\n<li>the main WordPress News site at <a href=\"https://wordpress.org/news\">wordpress.org/news</a></li>\n</ul>\n\n\n\n<p>The WordPress Plugin team will never communicate directly with a plugin’s users but may email plugin support staff, owners and contributors. These emails will be sent from <a href=\"mailto:plugins@wordpress.org\">plugins@wordpress.org</a> and be signed as indicated above.</p>\n\n\n\n<p>The official WordPress plugin repository is located at <a href=\"https://wordpress.org/plugins\">wordpress.org/plugins</a> with internationalized versions on subdomains, such as <a href=\"https://fr.wordpress.org/plugins\">fr.wordpress.org/plugins</a>, <a href=\"https://en-au.wordpress.org/plugins\">en-au.wordpress.org/plugins</a>, etc. A subdomain may contain a hyphen, however a dot will always appear before wordpress.org.</p>\n\n\n\n<p>A WordPress site’s administrators can also access the plugin repository via the plugins menu in the WordPress dashboard.</p>\n\n\n\n<p>As WordPress is the most used CMS, these types of phishing scams will happen occasionally. Please be vigilant for unexpected emails asking you to install a theme, plugin or linking to a login form.</p>\n\n\n\n<p>The Scamwatch website has some tips for <a href=\"https://www.scamwatch.gov.au/protect-yourself/ways-to-spot-and-avoid-scams\">identifying emails and text messages that are likely to be scams</a>.</p>\n\n\n\n<p>As always, if you believe that you have discovered a security vulnerability in WordPress, please <a href=\"https://wordpress.org/about/security/\">follow the project’s Security policies</a> by privately and responsibly disclosing the issue directly to the WordPress Security team through the project’s official <a href=\"https://hackerone.com/wordpress\">HackerOne page</a>.</p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity\" />\n\n\n\n<p><em>Thank you <a href=\"https://profiles.wordpress.org/jorbin/\">Aaron Jorbin</a>, <a href=\"https://profiles.wordpress.org/otto/\">Otto</a>, <a href=\"https://profiles.wordpress.org/dd32/\">Dion Hulse</a>, <a href=\"https://profiles.wordpress.org/chanthaboune/\">Josepha Haden Chomphosy</a>, and <a href=\"https://profiles.wordpress.org/desrosj/\">Jonathan Desrosiers</a> for their collaboration on and review of this post.</em></p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"16547\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}}s:27:\"http://www.w3.org/2005/Atom\";a:1:{s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:3:{s:4:\"href\";s:32:\"https://wordpress.org/news/feed/\";s:3:\"rel\";s:4:\"self\";s:4:\"type\";s:19:\"application/rss+xml\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:44:\"http://purl.org/rss/1.0/modules/syndication/\";a:2:{s:12:\"updatePeriod\";a:1:{i:0;a:5:{s:4:\"data\";s:9:\"\n	hourly	\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:15:\"updateFrequency\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"\n	1	\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:4:\"site\";a:1:{i:0;a:5:{s:4:\"data\";s:8:\"14607090\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}}}}}}}s:4:\"type\";i:128;s:7:\"headers\";O:48:\"WpOrg\\Requests\\Utility\\CaseInsensitiveDictionary\":1:{s:7:\"\0*\0data\";a:12:{s:6:\"server\";s:5:\"nginx\";s:4:\"date\";s:29:\"Fri, 19 Jan 2024 03:28:43 GMT\";s:12:\"content-type\";s:34:\"application/rss+xml; charset=UTF-8\";s:4:\"vary\";s:15:\"Accept-Encoding\";s:25:\"strict-transport-security\";s:12:\"max-age=3600\";s:6:\"x-olaf\";s:3:\"⛄\";s:13:\"last-modified\";s:29:\"Fri, 12 Jan 2024 16:58:53 GMT\";s:4:\"link\";s:63:\"<https://wordpress.org/news/wp-json/>; rel=\"https://api.w.org/\"\";s:15:\"x-frame-options\";s:10:\"SAMEORIGIN\";s:16:\"content-encoding\";s:4:\"gzip\";s:7:\"alt-svc\";s:19:\"h3=\":443\"; ma=86400\";s:4:\"x-nc\";s:9:\"HIT ord 1\";}}s:5:\"build\";s:14:\"20240119032747\";}", "no");
INSERT INTO `wp_options` VALUES("1116", "_transient_timeout_feed_mod_9bbd59226dc36b9b26cd43f15694c5c3", "1705678123", "no");
INSERT INTO `wp_options` VALUES("1117", "_transient_feed_mod_9bbd59226dc36b9b26cd43f15694c5c3", "1705634923", "no");
INSERT INTO `wp_options` VALUES("1118", "_transient_timeout_feed_d117b5738fbd35bd8c0391cda1f2b5d9", "1705678124", "no");
INSERT INTO `wp_options` VALUES("1119", "_transient_feed_d117b5738fbd35bd8c0391cda1f2b5d9", "a:4:{s:5:\"child\";a:1:{s:0:\"\";a:1:{s:3:\"rss\";a:1:{i:0;a:6:{s:4:\"data\";s:3:\"\n\n\n\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:7:\"version\";s:3:\"2.0\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:0:\"\";a:1:{s:7:\"channel\";a:1:{i:0;a:6:{s:4:\"data\";s:61:\"\n	\n	\n	\n	\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:16:\"WordPress Planet\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"http://planet.wordpress.org/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"language\";a:1:{i:0;a:5:{s:4:\"data\";s:2:\"en\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:47:\"WordPress Planet - http://planet.wordpress.org/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"item\";a:50:{i:0;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:73:\"WordCamp Central: Thanks to Woo for sponsoring community events worldwide\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:39:\"https://central.wordcamp.org/?p=5109963\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:98:\"https://central.wordcamp.org/news/2024/01/thanks-to-woo-for-sponsoring-community-events-worldwide/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:1012:\"<p>We couldn’t be happier to welcome Woo to the <a href=\"https://central.wordcamp.org/sponsor-multiple-wordcamps/\">WordPress global community sponsorship program</a> in 2024! This year, they’re sponsoring at the Gold level in all regions, supporting official WordPress community events across the globe.</p>\n\n\n<div class=\"wp-block-image\">\n<a href=\"https://central.wordcamp.org/files/2024/01/Woo-logo-color.png\"><img width=\"1024\" height=\"704\" src=\"https://central.wordcamp.org/files/2024/01/Woo-logo-color-1024x704.png\" alt=\"Woo logo 2024\" class=\"wp-image-5129983\" /></a>WooCommerce logo</div>\n\n\n<p><a href=\"https://woo.com/\">Woo</a> is the leading open-source ecommerce platform, powering 31.4% of the top million online stores.* Built on WordPress, Woo empowers anyone, anywhere, to sell anything with truly unlimited extensibility, flexibility, and control over how they build and evolve their business.</p>\n\n\n\n<p>* StoreLeads, <a href=\"https://storeleads.app/reports\">StoreLeads.app, January 2024</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 18 Jan 2024 15:00:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:6:\"Isotta\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:1;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:92:\"Do The Woo Community: AI, Accessibility, Security and Privacy in 2024 with Robbie and Robert\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"https://dothewoo.io/?p=78883\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:48:\"https://dothewoo.io/woo-agencychat-look-at-2024/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:415:\"<p>Hosts Robbie Adair and Robert Jacobi discuss their predictions for 2024, focusing on the acronym ASP: Accessibility, Security, and Privacy</p>\n<p>&gt;&gt; The post <a href=\"https://dothewoo.io/woo-agencychat-look-at-2024/\">AI, Accessibility, Security and Privacy in 2024 with Robbie and Robert</a> appeared first on <a href=\"https://dothewoo.io\">Do the Woo - a WooCommerce and WordPress Builder Podcast</a>	.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 18 Jan 2024 10:39:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"BobWP\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:2;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:75:\"Akismet: Version 5.3.1 of the Akismet WordPress plugin is ready to download\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"http://akismet.com/?p=283692\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:92:\"https://akismet.com/blog/version-5-3-1-of-the-akismet-wordpress-plugin-is-ready-to-download/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:1004:\"<p>Version 5.3.1 of <a href=\"http://wordpress.org/plugins/akismet/\">the Akismet plugin for WordPress</a> is now&nbsp;available.</p>\n\n<p>In this release, we&#8217;ve added a quick link to get to your <a href=\"https://akismet.com/account/\">Akismet.com account overview</a>. This enables you to see summary of activity across all sites using your API key, and manage your Akismet&nbsp;subscription.</p>\n\n\n<img width=\"1024\" height=\"320\" src=\"https://akismet455732288.files.wordpress.com/2024/01/screenshot-2024-01-16-at-14.41.58.png?w=1024\" alt=\"\" class=\"wp-image-283696\" />\n\n\n<p>There are also a number of bug fixes and improvements and we recommend upgrading if you&#8217;re using an earlier version of the&nbsp;plugin.</p>\n\n<p>To upgrade, visit the Updates page of your WordPress dashboard and follow the instructions. If you need to download the plugin zip file directly, links to all versions are available in <a href=\"http://wordpress.org/plugins/akismet/\">the WordPress plugins&nbsp;directory</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 18 Jan 2024 00:36:17 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:17:\"Chris Rosser 🏔\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:3;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:81:\"WordCamp Central: Automattic sponsors WordPress community events across the globe\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:39:\"https://central.wordcamp.org/?p=5109965\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:106:\"https://central.wordcamp.org/news/2024/01/automattic-sponsors-wordpress-community-events-across-the-globe/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2763:\"<p>We&#8217;d like to welcome <a href=\"https://automattic.com/about/\">Automattic</a> to the 2024 Global Sponsorship program! By sponsoring at the Gold level across the globe, Automattic helps make local community events better for WordPress enthusiasts and easier to organize for our wonderful group of hardworking volunteers.</p>\n\n\n<div class=\"wp-block-image\">\n<a href=\"https://central.wordcamp.org/files/2023/03/automattic-logotype-color.png\"><img width=\"1024\" height=\"341\" src=\"https://central.wordcamp.org/files/2023/03/automattic-logotype-color-1024x341.png\" alt=\"Automattic logo\" class=\"wp-image-3163599\" /></a>Automattic logo</div>\n\n\n<p>At <a href=\"https://automattic.com/about/\" target=\"_blank\" rel=\"noreferrer noopener\">Automattic</a>, <em>we are</em> passionate about making <em>the web</em> a better place.</p>\n\n\n\n<p>We are the people behind <a href=\"https://wordpress.com/\">WordPress.com</a>, <a href=\"https://woocommerce.com/\">WooCommerce</a>, <a href=\"https://jetpack.com/\">Jetpack</a>, <a href=\"https://wpvip.com/\">WordPress VIP</a>, <a href=\"https://simplenote.com/\">Simplenote</a>, <a href=\"https://longreads.com/\">Longreads</a>, <a href=\"http://wpscan.com/\">WPScan</a>, <a href=\"https://akismet.com/\">Akismet</a>, <a href=\"https://en.gravatar.com/\">Gravatar</a>, <a href=\"https://crowdsignal.com/\">Crowdsignal</a>, <a href=\"https://cloudup.com/\">Cloudup</a>, <a href=\"https://www.tumblr.com/\">Tumblr</a>, <a href=\"https://dayoneapp.com/\">Day One</a>, <a href=\"https://www.pocketcasts.com/\">Pocket Casts</a>, and more. We believe in making the web a better place.</p>\n\n\n\n<p><a href=\"https://distributed.blog/\">We’re a distributed company</a> with 2,007 Automatticians in 97 countries speaking 123 different languages. We’re committed to <a href=\"https://automattic.com/diversity-and-inclusion/\">diversity, equity, and inclusion</a>, and our common goal is to democratize publishing and commerce so that anyone with a story can tell it, and anyone with a product can sell it, regardless of income, gender, politics, language, or where they live in the world.</p>\n\n\n\n<p><a href=\"https://github.com/Automattic\">We believe in Open Source</a> and the vast majority of our work is available under the GPL.</p>\n\n\n\n<p>We strive to live by the <a href=\"https://automattic.com/creed/\">Automattic Creed</a>.</p>\n\n\n\n<p>Automattic is a <a href=\"https://mostlovedworkplace.com/companies/automattic-inc/\">Most Loved Company</a> and <a href=\"https://disabilityconfident.campaign.gov.uk/\">Disability Confident Committed</a>. (Here’s <a href=\"https://happinessengineer.blog/2022/09/08/happiness-for-everyone-working-with-a-disability-at-automattic/\">what that might mean for you</a>.) Come <a href=\"https://automattic.com/work-with-us/\">work with us</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 17 Jan 2024 15:00:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:6:\"Isotta\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:4;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:89:\"WPTavern: #106 – Anil Gupta on the Challenges Posed by Multi Collaboration in WordPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:48:\"https://wptavern.com/?post_type=podcast&p=152488\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:103:\"https://wptavern.com/podcast/106-anil-gupta-on-the-challenges-posed-by-multi-collaboration-in-wordpress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:52438:\"Transcript<div>\n<p>[00:00:00] <strong>Nathan Wrigley:</strong> Welcome to the Jukebox podcast from WP Tavern. My name is Nathan Wrigley.</p>\n\n\n\n<p>Jukebox is a podcast which is dedicated to all things WordPress. The people, the events, the plugins, the blocks, the themes, and in this case, the challenges posed by multi collaboration in WordPress.</p>\n\n\n\n<p>If you&#8217;d like to subscribe to the podcast, you could do that by searching for WP Tavern in your podcast player of choice. Or by going to WPTavern.com forward slash feed forward slash podcast, and you can use that URL in most podcast players.</p>\n\n\n\n<p>If you have a topic that you&#8217;d like us to feature on the podcast, I&#8217;m keen to hear from you, and hopefully get you, or your idea featured on the show. Head to WPTavern.com forward slash contact forward slash jukebox, and use the form there.</p>\n\n\n\n<p>So on the podcast today, we have Anil Gupta. Anil is the CEO and co-founder of Multidots, Multicollab, and DotStore. His companies serve a wide range of customers, from large publishers and news companies to WordPress users.</p>\n\n\n\n<p>Of specific interest to this episode of the podcast is Multicollab, which offers a WordPress plugin that allows for Google docs style collaboration, including commenting, suggestions, and real time editing.</p>\n\n\n\n<p>When Google docs was first brought to the market, it was a pretty big deal. Perhaps not the first to offer a real time collaborative interface, it was certainly the first to gain widespread adoption.</p>\n\n\n\n<p>Fast-forward to today, and it&#8217;s more or less inconceivable that you&#8217;d create documents which were not editable by multiple people at the same time. Most modern online software ships with this built in. The extraordinary became the norm and the expectation.</p>\n\n\n\n<p>But what&#8217;s about WordPress? As the largest CMS, WordPress still lacks this functionality, but hopefully not for long.</p>\n\n\n\n<p>Phase three of the Gutenberg project, the phase that we&#8217;re in at the moment, aims to make it possible for many users to amend content at the same time. The beguiling simplicity of the Google docs interface makes it seem like this would be a trivial feature to add into WordPress, but this is not the case. Unlike proprietary software, in which the vendor owns and manages the whole stack, WordPress is used by many different people, in many different ways. They might have a shared server, or a range of plugins, and this all complicates the picture.</p>\n\n\n\n<p>Anil talks about how his team decided to tackle this problem for their own plugin, and he explains some of the hurdles that they&#8217;ve experienced along the way. They&#8217;ve taken a cautious approach, developing different features one at a time, working through the technical challenges with commenting before moving on to real time editing.</p>\n\n\n\n<p>Anil paints a picture of a bright future for WordPress, once this new feature set is completed. But it&#8217;s also interesting to see how many challenges the developers will need to overcome before it can be shipped in a future WordPress update.</p>\n\n\n\n<p>If you&#8217;re interested in finding out about the future of editing content in WordPress, this episode is for you.</p>\n\n\n\n<p>If you want to find out more, you can find all of the links in the show notes by heading to WPTavern.com forward slash podcast.</p>\n\n\n\n<p>And so without further delay, I bring you Anil Gupta.</p>\n\n\n\n<p>I am joined on the podcast today by Anil Gupta. Hello Anil.</p>\n\n\n\n<p>[00:03:56] <strong>Anil Gupta:</strong> Hey Nathan, how are you?</p>\n\n\n\n<p>[00:03:58] <strong>Nathan Wrigley:</strong> Yeah, great. It is an absolute pleasure to have you on the podcast. Anil and I have spoken on various occasions before, but we&#8217;ve never had a one-to-one conversation, certainly not about this subject. But we&#8217;re going to be talking today about phase three of the Gutenberg project, and in particular, about the ability to collaborate on documents inside of WordPress. How that might come about. What some of the technical barriers might be.</p>\n\n\n\n<p>Now in order for Anil to be a credible person on this podcast, it&#8217;s probably a good idea to give him the opportunity to introduce himself, and let him talk briefly about the projects that he&#8217;s working on, or worked on which overlap what we&#8217;re going to talk about.</p>\n\n\n\n<p>So Anil, this is just an opportunity really to give your bio, so that our audience know that you know what you&#8217;re talking about. So over to you.</p>\n\n\n\n<p>[00:04:42] <strong>Anil Gupta:</strong> Absolutely. So I&#8217;m a CEO and co-founder of Multidots, Multicollab and Dotstore. So these three brands serve very different group of customers. Multidots is more like our WordPress agency side of the business, where we help large publishers, news and media companies for their WordPress migration. So whatever CMS they&#8217;re using, we help them to migrate to WordPress.</p>\n\n\n\n<p>Our second brand Multicollab, which is a WordPress plugin, a Google Doc style collaboration, that doesn&#8217;t exist at this moment in WordPress. But with this plugin, you can use commenting, suggestions and real time editing. And that&#8217;s one of the topics that we are going to talk about today.</p>\n\n\n\n<p>And the third brand is called Dotstore, which serves small e-commerce business owners. So if you have a WooCommerce store, we provide bunch of different WooCommerce plugins that helps you to get more sales and better performance, and all those good stuff.</p>\n\n\n\n<p>Apart from these three brands, I also have a podcast called Peaceful Growth, where we talk about some of the strategies on how to grow in life and business, in a more peaceful and balanced way.</p>\n\n\n\n<p>[00:05:43] <strong>Nathan Wrigley:</strong> Well, thank you so much. That&#8217;s great. So now we know all about you, well, not all about you, but some things about you. Let&#8217;s get into the subject at hand, which is going to be multi collaboration inside of WordPress. And I think really, to begin with, let&#8217;s imagine in the conversation that we&#8217;re going to have, that we are just creating posts and pages. Let&#8217;s leave it at that for now, because that will mean that the conversation is easier to understand. And I guess I&#8217;m just going to hand it over to you to ask why we need this kind of feature inside of WordPress.</p>\n\n\n\n<p>And just before you begin answering that, I&#8217;ll say, if you&#8217;ve never used Google Docs or Office 365, then it may be that you don&#8217;t even know what we&#8217;re talking about. So this is the ability for a variety of people to log into something at the same time, the same document, and be editing it synchronously. So if you were to edit something, I would see your edits the moment that you made them, and in that way we can collaborate.</p>\n\n\n\n<p>It is still a mystery to me how this actually happens on the backend, but it certainly isn&#8217;t a part of WordPress. At the moment if somebody&#8217;s editing something, you are locked out, if it&#8217;s not you. And you have to wait until they&#8217;re finished, and that might even mean a phone call or an email to tell them, are you finished yet? And this all seems a little bit Victorian, you might say. It&#8217;s really from a different era, now that everybody&#8217;s got collaborative editing. But, why do we need it in WordPress? What&#8217;s wrong with what we&#8217;ve got right now?</p>\n\n\n\n<p>[00:07:04] <strong>Anil Gupta:</strong> Good question. I would say there are multiple reasons, as well as benefits, of collaboration. But let&#8217;s start with the reasons. Traditionally if we go back, when WordPress was launched 18, 20 years ago, the sole purpose of the WordPress was to provide a platform where content creators, publishers, or bloggers, they can create the content easily and quickly, right? And it solved the purpose.</p>\n\n\n\n<p>But, in the last 10 years we have observed that anything that we do digitally now, it&#8217;s not a single or solo creation. You collaborate, we collaborate with others in regards to creating and producing stuff. Now, if you look at the content publishing, content creation applications, I think Google Docs or Microsoft Word, or any application for that sake, you know, if you look, they kind of like already saw this need, as the internet bandwidth and infrastructure got better. The need to collaborate together and create content together, actually increased, right?</p>\n\n\n\n<p>So 10 years ago, when Google Doc and all other content creation app, they already kind of started working on adding the collaboration as a part of their content creation platform. And in last five years, all the modern content creation platform, whether it&#8217;s Canva or Notion, they kind of all also have started introducing the collaboration.</p>\n\n\n\n<p>And unfortunately, WordPress doesn&#8217;t have collaboration. And why we need a collaboration, you know, the one reason I see is like, now we are not creating the content alone. You know, like even if you are a blogger, you have at least someone you know, that you would like to share your piece of content before you publish it. And then they will share some of the ideas like, okay, you know we should add some graphics here. And just that collaborative communication.</p>\n\n\n\n<p>And now, yes, there are other apps that we use, maybe Slack, Zoom, Loom. Like a lot of different other communication apps that we might be using, in order to achieve this feature. But because all other content creation apps has all these features inbuilt, now it has become an expectation for anyone who is either using WordPress or switching to WordPress, that I would have the same collaborative tools that I was using in my previous content creation apps.</p>\n\n\n\n<p>Last thing I would say is since pandemic, you know, that like earlier a lot of people were kind of like working from the same office, so they will be more collaborating over the floor, and just like, you know, or the tea and coffee conversation. Now, as we all are virtual, working from remote places and all that. So then it&#8217;s not real time, where like, you know, two people can be available. The time zone differences, and a lot of things actually creates that space, where the need for async communication has also been increased. And that is where also, if we have all the collaboration features in the WordPress, that will be helpful.</p>\n\n\n\n<p>[00:09:54] <strong>Nathan Wrigley:</strong> Yeah, it&#8217;s interesting because I am of a certain age, and I started using WordPress at a time when, well, not necessarily WordPress, but I started using CMSs at a time where there was absolutely no expectation that anything was collaborative. And so I&#8217;m kind of okay with it. It&#8217;s not perfect, I would love for collaboration to be in there, but I&#8217;m used to it, and this is just how WordPress works. I understand that if somebody&#8217;s editing something, I have to wait a little bit.</p>\n\n\n\n<p>But I&#8217;m thinking in particular about my children, and the fact that they&#8217;ve been brought up in an era where this is the bare minimum of what a document workflow would be like. You begin creating it, you put a title in, and then maybe even the next step, rather than writing the content, is to click the share icon, wherever that may be, and to get your fellow collaborators in.</p>\n\n\n\n<p>So I know, for example, that schools throughout the UK are using all the different suites that you mentioned, to enable them to hand homework in. And their staff can edit things, and modify things, and correct their work and all of that. And it&#8217;s just the bare essentials. And so somebody like me, it&#8217;s fine. I&#8217;m used to it. But the next generation, the people that are growing up, the people who are, let&#8217;s say, I don&#8217;t know, 20 or below, there&#8217;s no way that it&#8217;s acceptable to not have collaborative editing. It&#8217;s just too strange, alien. And if that&#8217;s the case, it will probably not be used.</p>\n\n\n\n<p>You know, you log into WordPress for the first time, see it cannot do that, and then think, well, I&#8217;ll go to somewhere that can. And as we know, WordPress is in a competitive landscape. We&#8217;ve got the SaaS apps out there, the Wixs and the Squarespaces, and I don&#8217;t actually know if they can do these features.</p>\n\n\n\n<p>[00:11:36] <strong>Anil Gupta:</strong> I think Wix does, yeah.</p>\n\n\n\n<p>[00:11:37] <strong>Nathan Wrigley:</strong> Right, okay. So we think that some of them do, and the fact that they&#8217;ve got their own architecture, you know, they own all of the infrastructure, and they can put the resources into place for that. It&#8217;s probably more straightforward to them to do that. So that leads us to the next thing really, which is, when we&#8217;re talking about this, are you able to just flesh out the landscape a little bit?</p>\n\n\n\n<p>Do you have any insight into what specifically is in the proposal for sharing within WordPress? Because Google Docs, you share a doc. Google spreadsheets, you share a spreadsheet, and it&#8217;s fairly constrained. We&#8217;d be sharing something, which can be filled up with a myriad of different things, little blocks. You know, it might be a paragraph block, or a YouTube block, or a image block, or goodness knows what array of blocks you may put in. Do you have some insight into exactly what&#8217;s inside the spec for Gutenberg phase three, this collaborative era?</p>\n\n\n\n<p>[00:12:30] <strong>Anil Gupta:</strong> Yeah. So Matías, lead architecture of Gutenberg, he kind of shared a full roadmap of what we can expect in phase three, which is a collaboration phase of Gutenberg. It has workflows. So the one thing is, as soon as you have this, all the collaboration features, you know, we need to also control the workflow. Like who will approve, who will publish, because multiple people are on the document. You know, where we want to control, or design a workflow in a way so that, if somebody&#8217;s still drafting, someone else doesn&#8217;t just publish it accidentally, right? So there are like a lot of, I would say, some workflows.</p>\n\n\n\n<p>And then second I would say, which is their async communication. So async is where multiple people can update, contribute to a piece of content, without need of being online. All the changes are synced. And then, it also has some inline commenting. So we can provide some, select any piece of content, a block, a text, table or image, and leave some comments that like, hey, I don&#8217;t like this image. Can we change that? Or, what do you think? Like, ask someone else&#8217;s opinion.</p>\n\n\n\n<p>And then, specifically talking about the phase three, I think they also have the whole admin panel. So I think they&#8217;re working on the admin panel. I&#8217;m not sure if directly related to collaboration, but as a part of the phase three, they are working on revamping the admin interface.</p>\n\n\n\n<p>If we look at the focus only on the collaboration, I would say async communication, inline commenting, and some level of workflows. You know, those are the three big things that I see will be there in phase three.</p>\n\n\n\n<p>[00:14:00] <strong>Nathan Wrigley:</strong> Yeah, there&#8217;s an awful lot packaged into that, isn&#8217;t there? Just as you were speaking there, a whole myriad of things were coming into my head. And I should probably rewind and say, if this is achieved, it will be in a vanilla version of WordPress. I know that you have a solution where you can add a plugin, and we&#8217;ll come to that later. You can talk about some of the hurdles that you&#8217;ve had to overcome.</p>\n\n\n\n<p>But in a vanilla version of WordPress, everybody will have this functionality, should it be achieved. And at the moment, in a vanilla version of WordPress, the publishing flow is really, pretty straightforward. You log in, and you basically click publish. But you&#8217;ve just introduced a whole raft of different things.</p>\n\n\n\n<p>So workflows, let&#8217;s take that. You know, if you&#8217;ve got seven people, eight people, a hundred, who knows. Any number of people who are editing in there, there may be a myriad of different permissions. This person is able to do this, and this person is able to do that. But finally, only these three people can publish things.</p>\n\n\n\n<p>So we need to come up with a visual way of surfacing that inside the UI so that, I don&#8217;t know, if six people have been in, and they&#8217;ve edited this, is everything that they&#8217;ve done okay? Can we just have a quick scan through it? None of that exists, really, at the moment. Third party solutions can bring that to bear, but none of that really exists.</p>\n\n\n\n<p>The whole async thing, well, that&#8217;s removed entirely at the moment, because you just click either update or, you know, you click publish, and whatever you&#8217;ve got on the page or the post is what is saved. And it&#8217;s as simple as that. Where, you&#8217;re saying that maybe if somebody, I don&#8217;t know, it goes offline temporarily. We have to have some way to keep their content, so that when they come back online, it somehow gets synced.</p>\n\n\n\n<p>And anybody that&#8217;s been involved in building or developing realises, you know, if things get outta sync pretty quickly, it&#8217;s a hot mess. And trying to untangle, well, when did that happen? Who put that in, and when did they do it? That&#8217;s going to be interesting.</p>\n\n\n\n<p>And then yes, of course, the whole inline commenting thing. You forget, don&#8217;t you? If you don&#8217;t use the comments in a, let&#8217;s say a Google Doc again, you forget that there&#8217;s that whole interface, which doesn&#8217;t come to bear unless you use it, which enables you to give commentary on things. To say, I think you should modify this, this is fine. And you can tick things off, and it&#8217;s almost like a little task management system.</p>\n\n\n\n<p>And then it sends out a slew of emails to say, oh, somebody&#8217;s edited this, that, and the other thing. And, you know, it makes decisions about how many emails to send out based upon the rapidity of the changes going on. So there really, really is a lot in there that needs to be, first of all, figured out, and then made visible to us in a way which is intuitive, and that the next generation can understand without having to think too hard. That&#8217;s a lot, isn&#8217;t it?</p>\n\n\n\n<p>[00:16:42] <strong>Anil Gupta:</strong> It is, yeah. And I think, all these little things, if we keep it into account, like email notification that you mentioned, and if somebody&#8217;s already editing a document, there are some changes which are not approved, you know, whether we should be able to publish it or not. There are a lot of little things that we need to think about when we are creating this solution.</p>\n\n\n\n<p>But most importantly, people who used to use WordPress, you know, the way as we talked about, you know, you go on a post and start drafting the content, and select some blocks here and there, and then you go ahead and publish it. So now when multiple people are collaborating, yeah, you need to pay attention to all those different things.</p>\n\n\n\n<p>Permissions that you mentioned, yeah, I think that&#8217;s something that, even in our plugin, we are kind of getting a lot. That the default WordPress roles, we kind of think a little bit more about on that too, in regards to like, hey, I don&#8217;t want this person to approve any changes, you know. It should be this person. Though that person can edit anything, but they will not be able to accept any changes, or close the comments.</p>\n\n\n\n<p>So those are like a lot of little things that need to be there. And user experience, I think will be a very big thing that we need to pay attention to as well, so that we don&#8217;t overwhelm the people who love WordPress, simplicity of the WordPress, and when they see all this stuff, is like, why? What&#8217;s going on?</p>\n\n\n\n<p>[00:17:55] <strong>Nathan Wrigley:</strong> I do wonder on what level the granularity of permissions works. So, is it all done by the role-based system? So, you know, if you have a certain role, you can go in and edit any post or any page. Or, would it be nice to have it on a more granular level? So, okay, although this person has this particular role, which would preclude them from editing this, I want to allow them to edit this one special thing, because it&#8217;s right in their wheelhouse. So, okay, even though they&#8217;ve got this role, I want them to adopt a different role, just for this one post.</p>\n\n\n\n<p>And then maybe even delving deeper inside the post or the page itself. What about the ability to just edit certain blocks? So paragraph blocks, yes, go for it. But the YouTube block, no, no, no, that&#8217;s not for you to be editing. Or the images, no, you can&#8217;t do that. You know what I mean? You can get really granular. And I guess it&#8217;s a question of how granular we want that to be, and how do you surface that in a way which is easy to understand?</p>\n\n\n\n<p>And then you mentioned also, the visual cues that you&#8217;re getting inside of these third party solutions, like Google Docs. You can really see what somebody is doing. So you get this little icon, which is within the document, it kind of stays out the way a little bit. You know, it&#8217;s a very thin, little couple of pixels wide icon with a color. But you can see, okay, that&#8217;s where somebody&#8217;s cursor is, and if they highlight a portion of text, because they want to delete it or something, you can see that that&#8217;s highlighted.</p>\n\n\n\n<p>In WordPress that might span several blocks. Whereas in a Google Doc it&#8217;s just, it&#8217;s all one thing so it doesn&#8217;t really matter. But it may be that it highlights, you know, you highlight two paragraph blocks and a heading block, then you&#8217;re going to delete those. How does that all get done? How does it get saved? How can you revert changes that are made? Boy, there really is a lot going on in here.</p>\n\n\n\n<p>[00:19:34] <strong>Anil Gupta:</strong> It&#8217;s a massive technical problem that we need to solve, in order to provide this feature, as well as offer that in a way so that it still is helpful. You know, to help them to create and published content faster, not slowing them down.</p>\n\n\n\n<p>[00:19:47] <strong>Nathan Wrigley:</strong> The thing about this is, you can&#8217;t really release something that isn&#8217;t working perfectly, in the scenario that it&#8217;s been created for. I don&#8217;t know, we tackle, user permissions first. That has to be perfect before it&#8217;s released. It can&#8217;t be kind of, okay, just test this out a little bit and see how it goes.</p>\n\n\n\n<p>It has to be bulletproof, the moment it ships into WordPress Core. And I think that some of the things that came into Gutenberg, and went out of Gutenberg, and got changed in Gutenberg, that was more or less okay, because it didn&#8217;t interrupt the publishing workflow. It just, maybe things surfaced on the front end slightly differently. Or there was a block that was suddenly now available, which wasn&#8217;t available there before. And all of that was okay. But if we&#8217;ve suddenly got things which mean, well, no I can&#8217;t publish anymore, that&#8217;s not working for me. Oh, okay, that&#8217;s not so good.</p>\n\n\n\n<p>So in the background, what are you thinking ought to be in view here? You know, are you thinking that it should just be core blocks at the beginning, the blocks which WordPress ships with? Should they be the things that are tackled? Should it be attached to just posts and pages and custom post types, leave all of that. Templates, leave all of that. Patterns, leave all of that. Do you have any intuition as to how deep it should go at the beginning, to make it even feasible to get off the ground?</p>\n\n\n\n<p>[00:21:00] <strong>Anil Gupta:</strong> Yeah, so I think that&#8217;s a really good question. The reason is, as we talked about, like collaboration is a massive problem. And you can&#8217;t try to change everything in one go, you know. So you need to take a different part of the collaboration, and slowly build it in a way so that, yeah, you don&#8217;t basically put the whole house down, right?</p>\n\n\n\n<p>I&#8217;m not sure what&#8217;s the WordPress Core&#8217;s approach is, but when we started working on Multicollab, our approach was, let&#8217;s focus on the one feature at that time. So what we did is, we first launched only inline commenting, so no real time editing, so we don&#8217;t have to worry about the permissions and all that. No real time editing, just inline commenting.</p>\n\n\n\n<p>So in any piece of content, you can select it, whether it&#8217;s a blog, whether it&#8217;s media, whether it&#8217;s a text. You select it, and it&#8217;ll give you little comment box, where you can add a comment like, hey, I need some feedback on this, or changes here. And you can also mention anyone who is a WordPress user. So you type in at, then you can select a user, and they will be notified, and they can see and come back to the WordPress post. And they will see like, oh, somebody wants my feedback and opinion on that, and they can reply there.</p>\n\n\n\n<p>So that was the first thing we launched. And we perfected that inline commenting almost for like a two years. So we focused on that, to make sure that works. And what you mentioned, one of the big challenge with the WordPress is, everyone has themes, plugins, and blocks, right? So, what sort of blocks are they using in Gutenberg setup, or what sort of plugins are they using?</p>\n\n\n\n<p>Like Yoast SEO also manipulates the page editing interface and workflow. So that&#8217;s why we decided like, alright, we&#8217;ll just start with the inline commenting. We slowly increased it. We still have a compatibility metrics where we continue to tell them like, hey, at this moment, this 20, 25, or 30, or 60, however many blocks are like, this is what it supports.</p>\n\n\n\n<p>And then we slowly started focusing on more popular plugins, and their blocks. So then, slowly, we are increasing the compatibility to more blocks. But that&#8217;s something that it&#8217;s very hard to do it in a day one.</p>\n\n\n\n<p>[00:22:59] <strong>Nathan Wrigley:</strong> Do you mind if I just interrupt there? So, that&#8217;s really interesting. So, did you have to take each of the Core blocks one at a time, and provide some engineering in the background that made it so that that block was available to be editable in a Multicollab setup? So you had to do the paragraph block, and then the heading block and then, okay, aspects of the group block, which might break something else, we had to deal with that.</p>\n\n\n\n<p>So you had to do that first. And then, because all the third party vendors who&#8217;ve got the blocks and the block suites and, you know, there&#8217;s a lot of those now. You&#8217;re having to tackle those because they don&#8217;t necessarily work. So immediately my head is this multiplying problem of, how do we reign that back in? How do we get it so that everything is engineered, so that it will be collaborative? So let me just ask that question again. Did you have to do the blocks one at a time, is basically what I&#8217;m asking?</p>\n\n\n\n<p>[00:23:51] <strong>Anil Gupta:</strong> So the approach that we took, first, we actually, instead of blocks, we were focusing on the type of content. So whether it&#8217;s a text, whether it&#8217;s media, you know, or whether it&#8217;s a dynamic content. Dynamic content is, you know, where you are not typing it in, but it&#8217;s just pulling in from, let&#8217;s say, from the database, and pulling in like featured post, right? Or let&#8217;s say testimonials. So you don&#8217;t type in and it&#8217;s already coming in from somewhere else like, you know, and then you just curating that.</p>\n\n\n\n<p>So we kind of started that like, okay, how should we actually treat a text? And it doesn&#8217;t matter whether it&#8217;s a custom block, native block, or someone else&#8217;s block. As long as there is a text in that, how we should treat that. If there is a media, how we should treat that. We kind of started that. And that was our phase one. So it doesn&#8217;t matter what block you have, as long as you have text media and like couple of things, it will work.</p>\n\n\n\n<p>Later on, once we achieved that, the second phase was how we make sure that we don&#8217;t have to edit anything in the code, but still our inline commenting works for whatever the blocks are. Our developer observed that, if blocks are custom blocks, are designed and developed based on following the Gutenberg&#8217;s guideline then our plugin was working. But if they don&#8217;t follow the Gutenberg guideline, if you just kind of, you know, do on your own thing, that&#8217;s where our inline commenting, and some of the things that we were doing was not functioning.</p>\n\n\n\n<p>So now in our phase three. So right now we have, as long as your Gutenberg blocks is following, custom blocks, they&#8217;re following Gutenberg guideline, doesn&#8217;t matter what kind of blocks you have, it will work. And we also did an approach where, if for some reason your block is very complex, then instead of the content inside the block, you can highlight the entire block.</p>\n\n\n\n<p>So that&#8217;s where we started with like, okay, we can&#8217;t actually do much about what is in the block, but you can still give a comment on entire block. It&#8217;s working, like most of the blocks where we doesn&#8217;t support, you can still select the entire block, and leave a comment on the block. Like, hey, there&#8217;s something needs to look in there. But they will not be able to select a particular text, or image inside the block and highlight that.</p>\n\n\n\n<p>In our phase three, that is where we are working on. Doesn&#8217;t matter what blocks you have, but how we can manipulate the HTML DOM model. So it&#8217;s called Document Object Model, right? So the entire page is basically a DOM structure. So now we are working on how we can use the DOM JavaScript and HTML manipulation, so that you don&#8217;t need to worry about any block compatibility, it will automatically work with all the blocks. That&#8217;s our phase three.</p>\n\n\n\n<p>[00:26:20] <strong>Nathan Wrigley:</strong> It does sound like there is going to be a lot of work for the Core WordPress team, to tackle this from some of the experiences that you&#8217;ve just highlighted. It is very much an iterative approach. And I guess time will tell how they decide to tackle that.</p>\n\n\n\n<p>Do you have any intuition on the, backend I guess is the wrong word. But there are some people who are able to afford really complicated server setups and, you know, they&#8217;ve got powerful hosting and all of that. And you kind of get the impression that a lot of this is going to be calling back and forth to the server, constantly. Because if you imagine that there&#8217;s seven people editing a document at once, that&#8217;s seven bits of information that needs to be flying, more or less in real time, the entire time.</p>\n\n\n\n<p>Whilst that might be possible to have, if you&#8217;ve got an expensive hosting set up, which is configured for this. Do you have any intuitions that if you&#8217;re on more affordable hosting, like a shared host and you&#8217;ve just got a basic plan, do you see this becoming a problem, because of the amount of data that&#8217;s going to be flying back and forth, and the power of that computer, acting as a server? What do you think?</p>\n\n\n\n<p>[00:27:21] <strong>Anil Gupta:</strong> So when it comes to collaboration, and as we talked about, inline commenting, suggestions, like any edits that you make becomes suggestion, and then the real time editing. So I feel like these three are the big pillars of collaboration. Now when we launched Multicollab, you know, we launched with inline commenting, and then we launched suggestion mode, and now recently we launched the real time editing. The third piece of the collaboration.</p>\n\n\n\n<p>First two piece, inline commenting and suggestion mode. So that&#8217;s something that we tested, and we found that it doesn&#8217;t require any fancy server configuration. Whatever server or hosting that you&#8217;re using right now, that will be sufficient. Because in that we are not using any peer to peer connection, because we haven&#8217;t introduced the real time editing yet. As long as you&#8217;re using those two features for the collaboration, you&#8217;ll be good with pretty much whatever server you have right now.</p>\n\n\n\n<p>But the moment you introduce real time editing, that is where the server and the whole performance thing actually becomes very critical. And that&#8217;s where the challenge with the WordPress is, that all other content creation apps, and the platform, they are cloud. They&#8217;re hosted in cloud, so they have a control on the computing power, and the cloud infrastructure. They can scale the cloud infrastructure because everyone sign in and access the same cloud. One other way, they don&#8217;t go and take a piece of source code and install and use it on their own server, right?</p>\n\n\n\n<p>So for that, especially this real time editing, where multiple users simultaneously can edit, and all those things that we talked about. That you highlight the cursor where other users are in the post, and if they make any changes, the changes also sync with the other people who are editing, or working on right now.</p>\n\n\n\n<p>That is where a server comes into the picture, and our team actually put together a server requirement. Like, what&#8217;s the minimum level of server configuration that we need in order for real time editing to work? And that is actually a challenge that we are still working on, and finding a way to see that, what are those major hosting companies, like managed hosting, the big hosting companies. And if their current server infrastructure meets the realtime editing or not.</p>\n\n\n\n<p>And that&#8217;s why we launched the realtime editing, at this moment. But it&#8217;s still on a beta and it&#8217;s by default off. One way we are handling this problem, is we are giving them an option like, hey, if you want to use the realtime editing, it requires certain level of server performance and power. If you have it, then here is the instruction that you can follow, and then you can use the real time editing. If you don&#8217;t have it, then you can use our server. So we have created our own server, you know, a massive server where all these async communication happens. The data is encrypted and all of that, but yes, we are giving the choice that, hey, if your server doesn&#8217;t support it, then you can use our server. So it&#8217;s kind of like cloud, so we have created our own little cloud, which they can use for this async communication.</p>\n\n\n\n<p>[00:30:19] <strong>Nathan Wrigley:</strong> So, is that a fairly seamless experience? So firstly, that answer is fascinating. So there is a roadblock, there is a server configuration, at least in your experience, which renders the whole enterprise of synchronous editing painful, impossible, perhaps. And if you are prepared to read the documentation, and get yourself onto a server which you have determined is suitable, then it&#8217;ll work. Otherwise, here&#8217;s a button for you to press.</p>\n\n\n\n<p>Is it as straightforward as that? You just sort of click a button and you are taking over that heavy lifting on the server. But it&#8217;s purely just for those sync transactions. It&#8217;s not for anything else. It&#8217;s not for keeping the content of the post, it&#8217;s just the bits and pieces that are firing to do the synchronous work, right?</p>\n\n\n\n<p>[00:31:00] <strong>Anil Gupta:</strong> That&#8217;s very true, yeah. So the way we have done is, right now, if you download multi collab, it&#8217;s default, set it to our server, because we want to have them try it and test it. And then they can change it like, no, I don&#8217;t want to use your server, I want to, let&#8217;s say, configure my own server. Then you just turn that feature off, and you can take over.</p>\n\n\n\n<p>But if you want to use our server, you don&#8217;t have to do anything. It&#8217;s just built in, and it&#8217;s already all the server variables, and everything we have already put into the plugin. So when you go, you just turn on the real time editing, and you can start using the real time editing without making any changes in your server.</p>\n\n\n\n<p>[00:31:35] <strong>Nathan Wrigley:</strong> It&#8217;s kind of an interesting idea because, on the one hand, it creates a marketplace for people such as yourself to offer that service. You know, if you want to have synchronous editing for a hundred people, and for it to be absolutely bulletproof, here&#8217;s a plugin which connects to a service, which will give you the horsepower in order to do that.</p>\n\n\n\n<p>But at the same time, the way that it&#8217;s been described, phase three feels like the enterprise is to get this working for everybody, out of the box. And from what you are saying, obviously, you know, maybe technology will improve, and browser capabilities will improve, and all sorts of things will improve. Maybe this will be possible.</p>\n\n\n\n<p>But it does feel like the offering is, this is going to be available to everybody. And it would be strange for a Core feature like that to have some kind of paywall attached to it. Now, I know that we&#8217;ve got examples throughout the ecosystem of obviously extra things that you can add in. But if it&#8217;s going to be available in Core, it seems odd to then be saying, well actually, your version of Core on that server isn&#8217;t going to cut it. I&#8217;m sorry, you&#8217;re going to have to part with some money.</p>\n\n\n\n<p>That feels almost like straying away from what the promise of it is. Do you understand what I&#8217;m trying to say? It feels odd to offer something in Core, which then you have to pay for because your server doesn&#8217;t live up to it. But then again, that&#8217;s just the way it might have to be, I suppose.</p>\n\n\n\n<p>[00:32:57] <strong>Anil Gupta:</strong> Yeah. I think that&#8217;s where I&#8217;m also curious to see how WordPress Core is going to address this problem. Because, based on our research, for last one and a half year we have been working on async and real time editing. We tried WebSocket, WebRTC, pretty much like bunch of different, all of the protocols, we tested it out.</p>\n\n\n\n<p>And one thing that we are seeing repeatedly is that, yeah, the server plays a very, very big role, hosting, specifically plays a big role. And the WebSocket needs to be enabled, and also depending on how many requests, and all of that. So there are like a lot of things that needs to be happen, before even you can turn on and use the real time editing.</p>\n\n\n\n<p>And if WordPress Core is targeting that it will work seamlessly out of the box as you install the plugin. And especially like, you know, if you don&#8217;t have all this WebRTC, WebSocket, or whatever the server infrastructure is required. It&#8217;s a big question for me, how they&#8217;re going to tackle that problem, because at this moment we don&#8217;t have a solution.</p>\n\n\n\n<p>And that&#8217;s why we created this. Like we bought this massive server computing power so that it can support that. The people who are using our plugin, they&#8217;re paying for that services, and they&#8217;re aware about it. But WordPress Core, I think the goal is to kind of like have that for free, so that you can use and install it. And I&#8217;m not sure how they&#8217;re going to solve this problem.</p>\n\n\n\n<p>[00:34:13] <strong>Nathan Wrigley:</strong> Yeah and, what does graceful failure look like in that scenario? So if a modest server can cope with one or two people, what happens when you reach the limit of that? So you&#8217;ve added in another five people, and suddenly everything&#8217;s under strain, it&#8217;s no longer working. How do you inform, or how do you encourage the user to do things differently?</p>\n\n\n\n<p>Because the last thing you want to do is lock people out of the editor, or something goes wrong in the editor, and it all becomes a problem, I can no longer publish things. Three of us are locked out, and now we can no longer get back in, or we couldn&#8217;t collaborate in the way that we thought we could. It was working better yesterday than it&#8217;s working today. Those kind of things.</p>\n\n\n\n<p>And that seems an almost insurmountable technical challenge to at the moment anyway. We&#8217;re recording this at the end of 2023. It seems like an almost insurmountable challenge to be able to do that and provide it for everybody out of the box, even on the most straightforward, modest hosting package. So, yeah, I guess only time will tell.</p>\n\n\n\n<p>Are there any other things that you&#8217;ve had to tackle, trying to get this done, that you would like to share? Is there any technical challenges that you&#8217;ve faced, or quirky experiences that you&#8217;ve had and things that you didn&#8217;t anticipate on the road that you now look back and think, oh, oh boy, I wish we&#8217;d thought of that in advance.</p>\n\n\n\n<p>[00:35:32] <strong>Anil Gupta:</strong> Yeah, I think the big piece, what I see is the inline commenting, suggestion, and real time editing like beside this server configuration for the real time editing. I think one is, it&#8217;s whole new learning curve. You know, so let&#8217;s say when you&#8217;re using the WordPress and now when you introduce all these features, there is a learning curve for the content creators.</p>\n\n\n\n<p>It&#8217;s not a technical challenge, but I think it&#8217;s more like adaptation challenge. And one thing that I think we did good and it was a decision, like a very deliberate decision that we want to keep the interface as close to Google Doc. Because Google Doc, I believe, is something that has already set a bar, you know. So when people are very familiar with like how to use the share button, how to invite someone, and leave the inline commenting. And if you kind of like try to introduce completely new interface for the collaboration, then that will also be a big learning curve.</p>\n\n\n\n<p>So that&#8217;s kind of like feedback that we got initially, when we try to be a little bit more innovative, like, let&#8217;s try to, you know, provide the best collaboration interface. It didn&#8217;t go well. We were like no, we want Google Doc. We want Google Doc style and that kind of like become our roadmap.. So if you are using MultiCollab right now, using the share button, the sidebar activities, inline commenting, suggestion mode, pretty much like all those features works very similar to how you use the Google Doc.</p>\n\n\n\n<p>So you will not see that big difference when you come to WordPress, that you will feel like it&#8217;s Google doc style interface. And challenge for us was to build that on the top of Gutenberg. I think that was a big, both technical, as well as a UI and user experience challenge.</p>\n\n\n\n<p>[00:37:13] <strong>Nathan Wrigley:</strong> Given that this is coming down the road and, let&#8217;s imagine a future where everything works and the team that are behind this managed to pull everything off, and it&#8217;s absolutely perfectly working and everything&#8217;s fine. How did you decide that you wanted to get into this business?</p>\n\n\n\n<p>Because before we hit record, I asked you that question. I said, did you decide to have this business knowing that it was coming into Core? And if that&#8217;s the case, why did you do that? Because it seems almost like you&#8217;re setting yourself up to have a business which is going to be replaced by something that&#8217;s free.</p>\n\n\n\n<p>But you&#8217;ve got intuitions around that. I guess it&#8217;s around what you can package, which may exceed what the endeavor of Core is. We&#8217;ve been assuming that it would try to do everything all at once for everybody, and of course that may not be the case. It may be a very, a slim implementation. So just talk us through that. How anxious are you about phase three eating your company&#8217;s lunch?</p>\n\n\n\n<p>[00:38:11] <strong>Anil Gupta:</strong> So when we started working on MultiCollab, I already was aware the phase three was already announced. They already mentioned that we are going to focus on collaboration. So it wasn&#8217;t a surprise in the beginning. The way I saw that as an opportunity, I feel like even where we know that when WordPress Core built or design anything, they try to focus on the 48% of the web. You know, it&#8217;s like a lot of small, medium businesses, bloggers. So basically they have to kind of like put it to together, something that&#8217;s targeting for a very wide audience.</p>\n\n\n\n<p>On the other side, we focus, a lot of our features, like real time editing, inline commenting, these are all free, so you don&#8217;t have to pay for using those features. There are some pro level features while custom roles and permissions is concerned, Slack integration. So some of our publishers who use collaboration, they also like integrate that with their Slack and some enterprise tools they use.</p>\n\n\n\n<p>So that&#8217;s where we see an opportunity that we can provide the tailored, custom solutions, to this 20, 30% of the pro users who wants things a little bit differently and more customizations.</p>\n\n\n\n<p>Also by design, you know, the WordPress Core is going to be slow because, you know, everything they have to build, they have to do. It&#8217;s a massive force. And on the other side, like we have only one thing, this is the only project that we have. We don&#8217;t have like bunch of other phases that we have to worry about. So, that&#8217;s something that we, in last two years, we had made a new release every month. You know, so every month we have a new release, fix a bunch of different things, improve different things.</p>\n\n\n\n<p>So I think that turn around is something that we were able to do much faster than probably WordPress Core can do. And the support is something that I feel like that is the only focus that we have. And I think we have seen that again and again in the WordPress and all other economy where, we have so many page builders, right?</p>\n\n\n\n<p>Like still they&#8217;re thriving, despite Gutenberg is free. It&#8217;s in built and all that, but still, Elementor. And same goes for the bunch of other features like commenting for example. There are like bunch of different commenting solutions because what WordPress offer, post commenting is not enough, or not the way other people wants it.</p>\n\n\n\n<p>[00:40:20] <strong>Nathan Wrigley:</strong> Yeah, I think it&#8217;s really interesting, and my guess is that the conversation in the WordPress space for the next 18 months at least will be highly focused on this topic. And the fact that people are talking about it, and the fact that you&#8217;ve already done a lot of work inside that space. Actually, when I think about it a little bit more, maybe it puts you in a kind of a pole position to have those conversations.</p>\n\n\n\n<p>And also you can build on top of what Core produces. And it may be that there&#8217;s parts of the code that you&#8217;ve already written that can be removed or replaced by what&#8217;s in Core, and you can build on top of that. So yeah, that&#8217;s an interesting approach, and WordPress&#8217; history does show that, doesn&#8217;t it?</p>\n\n\n\n<p>And the page builder example is perfect. There isn&#8217;t just space for one. The audience inside the WordPress community is so vast that you can have myriad different solutions to the same problem. And although WordPress might be tackling collaboration in some form, it may be that other people wish to have a different form of collaboration, or an extended feature set in the collaboration space. So yeah, that&#8217;s a nice answer and it, certainly implies that you&#8217;ll be around for the foreseeable future.</p>\n\n\n\n<p>Anil, before we wrap it up, I just want to give you an opportunity to tell us where people can find you if they want to reach out to you, where would be the best place to do that?</p>\n\n\n\n<p>[00:41:41] <strong>Anil Gupta:</strong> For me personally, I have a newsletter slash blog, where I write a lot about different things that I&#8217;m experimenting, and talk a lot about my businesses and podcast and all that. So that place would be my blog, that is anilg.substack.com. But for MultiCollab, it&#8217;s very simple, we have actually very good advantage if you search for WordPress collaboration or just multi collab, you&#8217;ll see a lot of resources that we have published and our website comes because we don&#8217;t have a competition at this moment.</p>\n\n\n\n<p>[00:42:10] <strong>Nathan Wrigley:</strong> Google is your best friend, and probably will be for the foreseeable future. So Anil, thank you so much for sharing your insights into multi collaboration in the WordPress space. We&#8217;ll see how this all develops, but thank you so much for chatting to me today, I really appreciate it.</p>\n\n\n\n<p>[00:42:24] <strong>Anil Gupta:</strong> Thanks for having me. And uh, yeah, it was a blast.</p>\n</div>\n\n\n\n<p>On the podcast today we have <a href=\"https://anilg.substack.com/\">Anil Gupta</a>.</p>\n\n\n\n<p>Anil is the CEO and co-founder of <a href=\"https://www.multidots.com/\">Multidots</a>, <a href=\"https://www.multicollab.com/\">Multicollab</a>, and <a href=\"https://www.thedotstore.com/\">DotStore</a>. His companies serve a wide range of customers, from large publishers and news companies to WordPress users.</p>\n\n\n\n<p>Of specific interest to this episode of the podcast is Multicollab, which offers a WordPress plugin that allows for Google Doc-style collaboration, including commenting, suggestions, and real-time editing.</p>\n\n\n\n<p>When Google Docs was first brought to the market, it was a pretty big deal. Perhaps not the first to offer a real time collaborative interface, it was certainly the first to gain widespread adoption. Fast forward to today and it’s more or less inconceivable that you’d create documents which were not editable by multiple people at the same time. Most modern online software ships with this built in. The extraordinary became the norm, and the expectation.</p>\n\n\n\n<p>By what about WordPress? As the largest CMS, WordPress still lacks this functionality, but hopefully not for long. Phase 3 of the Gutenberg project, the phase that we are in at the moment, aims to make it possible for many users to amend content at the same time.</p>\n\n\n\n<p>The beguiling simplicity of the Google Docs interface makes it seem that this would be a trivial feature to add into WordPress, but this is not the case. Unlike proprietary software in which the vendor owns and manages the whole stack, WordPress is used by many different people, in many different ways. They might have a shared server, or a range of plugins, and this all complicates the picture.</p>\n\n\n\n<p>Anil talks about how his team decided to tackle this problem for their own plugin, and he explains some of the hurdles they’ve experienced along the way. They’ve taken a cautious approach, developing different features one at a time, working through the technical challenges with commenting, before moving onto real time editing.</p>\n\n\n\n<p>Anil paints a picture of a bright future for WordPress, once this new feature set is completed, but it’s also interesting to see how many challenges the developers will need to overcome before it can be shipped in a future WordPress update.</p>\n\n\n\n<p>If you’re interested in finding out about the future of editing content in WordPress, this episode is for you.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Useful links</h2>\n\n\n\n<p><a href=\"https://www.peacefulgrowth.com/\">Peaceful Growth podcast</a></p>\n\n\n\n<p><a href=\"https://anilg.substack.com/\">Anil&#8217;s blog</a></p>\n\n\n\n<p><a href=\"https://www.multidots.com/\">Multidots</a></p>\n\n\n\n<p><a href=\"https://www.multicollab.com/\">Multicollab</a></p>\n\n\n\n<p><a href=\"https://www.thedotstore.com/\">DotStore</a></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 17 Jan 2024 15:00:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Nathan Wrigley\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:5;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:86:\"Do The Woo Community: Gutenberg, the Beginning to the Present with Tammie and Jonathan\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"https://dothewoo.io/?p=78854\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:52:\"https://dothewoo.io/gutenberg-present-to-beginnings/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:371:\"<p>Hosts Jonathan and Tammie reflect on their experiences with the Gutenberg project in WordPress. </p>\n<p>&gt;&gt; The post <a href=\"https://dothewoo.io/gutenberg-present-to-beginnings/\">Gutenberg, the Beginning to the Present with Tammie and Jonathan</a> appeared first on <a href=\"https://dothewoo.io\">Do the Woo - a WooCommerce and WordPress Builder Podcast</a>	.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 17 Jan 2024 09:23:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"BobWP\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:6;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:89:\"HeroPress: With WordPress Another Life Is Possible – Con WordPress otra vida es posible\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:56:\"https://heropress.com/?post_type=heropress-essays&p=6397\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:152:\"https://heropress.com/essays/with-wordpress-another-life-is-possible/#utm_source=rss&utm_medium=rss&utm_campaign=with-wordpress-another-life-is-possible\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:19748:\"<img width=\"1024\" height=\"512\" src=\"https://heropress.com/wp-content/uploads/2024/01/011624.webp\" class=\"attachment-large size-large wp-post-image\" alt=\"Pull Quote: I came for the software and stayed for the people.\" /><p><a href=\"https://heropress.com/feed/#espanol\">Este ensayo también está disponible en español.</a></p>\n\n\n\n<p>December 11, 2023, Palacio Neptuno (Madrid). I am sitting, surrounded by many people, we are all looking towards a stage with a screen that reads &#8220;State of the Word 2023&#8221;. I look at the clock, it reads 16:05, and two thoughts come to my mind: the first one is &#8220;It seems that Matt is late&#8221;; the second one is caused by having seen the date that read &#8220;11 Dec&#8221;, my brain wants to remind me something&#8230; &#8220;Holy moly! It was 15 years ago today that I read my doctoral thesis in neuroscience&#8221;.</p>\n\n\n\n<p>I hope this resource of starting &#8220;in media res&#8221; has caught your attention and you have some interest in knowing how I got there.</p>\n\n\n\n<h2 class=\"kt-adv-heading6397_494ea8-e7 wp-block-kadence-advancedheading\"><strong>My life before WordPress</strong></h2>\n\n\n\n<p>I have always been a curious person and a career in biology seemed like a good candidate where I could apply that trait. During my college years I got pretty good grades that allowed me to apply for a fellowship to develop a doctoral thesis.&nbsp;</p>\n\n\n\n<p>During the years I spent on that thesis, among other things, I became an expert in the molecular mechanisms involved in programmed cell death in cerebral ischemia. You didn&#8217;t think you were going to read that combination of words in a post related to WordPress, did you? And I didn&#8217;t want to use more technical words like &#8220;apoptosis&#8221;, which is the &#8220;cool&#8221; way we scientists refer to programmed cell death.</p>\n\n\n\n<p>After submitting the thesis (yes, indeed, on December 11, 2008, I like you to keep your attention) I continued researching neurodegenerative diseases in several postdocs. My trajectory was not aiming for Nobel (nor was it my intention), but I was &#8220;progressing adequately&#8221; within the &#8220;scientific career&#8221;.</p>\n\n\n\n<p>So what happened, Nahuai?&nbsp;</p>\n\n\n\n<p>What went wrong to make you stop practicing as a scientist and start building websites with WordPress?</p>\n\n\n\n<h2 class=\"kt-adv-heading6397_b4c5cc-21 wp-block-kadence-advancedheading\"><strong>Looking for a kinder lifestyle</strong></h2>\n\n\n\n<p>What happened is that I had an unpleasant work experience in the postdoc I was doing in a research center in Italy (back in 2014).</p>\n\n\n\n<p>The reason is not as important as the reflection it forced me to make. I realized that, although I loved doing research, the researcher&#8217;s lifestyle was not aligned with how I wanted to live.&nbsp;</p>\n\n\n\n<p>Thus began another investigation, one in which I intended to find a job that would allow me to have more freedom of schedule and location.</p>\n\n\n\n<h2 class=\"kt-adv-heading6397_7be7c0-c5 wp-block-kadence-advancedheading\"><strong>Finding WordPress</strong></h2>\n\n\n\n<p>You can imagine that the start of that new research, which meant putting aside around 15 years of training as a neuroscientist, was not easy.</p>\n\n\n\n<p>The general concept was to be a freelance and work on something online. Indeed, it was very general, but it fulfilled the requirements to achieve the freedom I was looking for. Luckily, WordPress came fairly early into the equation (in the same 2014) and I immediately felt comfortable with the tool.</p>\n\n\n\n<p>I started training myself in the CMS. I created a technology website and a travel website to apply what I was learning. I did part of this process while I was still working as a scientist and another with unemployment benefits and the support of my partner.</p>\n\n\n\n<p>Years later, when I felt able to create websites for clients and I managed to shake off the &#8220;imposter syndrome&#8221;, I started to offer my services on my personal website (created with WordPress, logically). The first clients were &#8220;friends, fools and family&#8221; and then I started to get clients thanks to the articles about WordPress and photography that I wrote in my blog.</p>\n\n\n\n<h2 class=\"kt-adv-heading6397_8c1ba5-d6 wp-block-kadence-advancedheading\"><strong>Discovering the community (&#8220;the secret ingredient&#8221; of WordPress)</strong></h2>\n\n\n\n<p>When I was in Italy I started following WordPress news, mainly through podcasts, and I was surprised to hear how many events were taking place in Spain. So, as soon as I returned to Spain I started attending Meetups in and around Barcelona.</p>\n\n\n\n<p>That was followed by several WordCamps around the peninsula and by the time I realized it I was totally in love with the community. I soon realized that it was the &#8220;secret ingredient&#8221; behind the popularity of WordPress.</p>\n\n\n\n<p>Taking advantage of the &#8220;falling in love phase&#8221;, I started participating in the community by giving talks, volunteering and later creating a WordPress Meetup in Terrassa, the city where I live now, and where I will soon celebrate 5 years as an organizer.&nbsp;</p>\n\n\n\n<p>At WordCamp Barcelona 2018 I met Esther Solà, a web developer I was following online (because she had a fantastic blog about WordPress) and we quickly made friends. A few months later we launched the podcast <a href=\"https://freelandev.com/\">Freelandev</a>, where we have been telling for almost 5 years how we make a living as WordPress developers (and many more things). The podcast served as an incubator to launch another common project, <a href=\"https://osompress.com/\">OsomPress</a>, where we have been creating plugins and themes for WordPress for more than 3 years.</p>\n\n\n\n<p>Once I realized my love for the Spanish WordPress community, I also wanted to get to know the international community better (part of which I read and listened to), and that&#8217;s why I went to WordCamp Europe 2019 as a volunteer. The experience was so good that since then it&#8217;s an annual appointment that I don&#8217;t miss (conditions permitting).</p>\n\n\n\n<p>I could go on for hours writing about the goodness of the community, but if I had to sum it up, I would say that it has given me many intangible things, but others that are tangible:</p>\n\n\n\n<ul>\n<li>Friends (and good ones)</li>\n\n\n\n<li>A network of professionals to trust</li>\n\n\n\n<li>Clients</li>\n\n\n\n<li>The creation of a podcast</li>\n\n\n\n<li>The creation of a plugin and theme development company</li>\n\n\n\n<li>Aligning my work with my life purpose</li>\n</ul>\n\n\n\n<p>I think this sentiment, with personal variations, is shared by quite a few members of the WordPress community. There&#8217;s a phrase that gets repeated quite a bit, with different variations, but it goes something like &#8220;I came for the software and stayed for the people.&#8221;&nbsp;</p>\n\n\n\n<h2 class=\"kt-adv-heading6397_ec1e50-72 wp-block-kadence-advancedheading\"><strong>Towards a way of life more aligned with my principles</strong></h2>\n\n\n\n<p>Once I proved to myself that I could make a living as a freelance WordPress developer, I put the focus on how I could contribute to &#8220;a better world&#8221;, within my modest means, of course.</p>\n\n\n\n<p>On the one hand, I started to be more selective with the projects I accepted, prioritizing those that were going to have a positive impact, and on the other hand I started to create content about web sustainability.</p>\n\n\n\n<p>I owe the inspiration for the latter to <a href=\"https://wordpress.tv/2019/09/22/roberto-vazquez-desarrollo-sostenible/\">a talk by Roberto Vazquez at WordCamp Pontevedra 2019</a>, in which he talked about the environmental impact of websites. Another example of the &#8220;snowball&#8221; effect that comes driven by being part of the community.</p>\n\n\n\n<p>And speaking of snowballs. Thanks to meeting Hannah Smith at WordCamp Europe 2019, I discovered the Green Web Foundation fellowship I got last year. Thanks to it I was able to create the limited series podcast <a href=\"https://sustainwp.com/\">Sustain WP</a>, which is all about digital sustainability and WordPress, which allowed me to interview a lot of interesting people in the community.</p>\n\n\n\n<p>Hannah was also involved in the creation of the WordPress sustainability initiative which months later became the official Sustainability Team. If you&#8217;re interested in learning more about the process and what we&#8217;re doing on the team I invite you to listen to <a href=\"https://sustainwp.com/podcast/episode-7-wordpress-sustainability-team/\">the episode where we explain it in detail</a>.</p>\n\n\n\n<p>As a culmination of 2023, I was honored to be elected, along with 3 other fantastic colleagues, as a representative of the Sustainability Team.&nbsp;</p>\n\n\n\n<h2 class=\"kt-adv-heading6397_c911a5-a5 wp-block-kadence-advancedheading\"><strong>Disclaimer</strong></h2>\n\n\n\n<p>These types of articles are always difficult for me to write (I don&#8217;t do it often either). The intention is to inspire others, but I am also aware that we all start from different circumstances. In that sense, I feel privileged and can&#8217;t help but worry that the small personal &#8220;successes&#8221; I share will have the opposite effect to the one I&#8217;m looking for.</p>\n\n\n\n<p>Maybe it&#8217;s an unfounded fear and I&#8217;ve managed to convey my enthusiasm for life in general and the WordPress community in particular. Hopefully it inspires you to apply it in your own way.&nbsp;</p>\n\n\n\n<p>Whether I&#8217;ve achieved one thing or the other, I&#8217;ll be happy to read you in the comments. :)</p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity\" />\n\n\n\n<p></p>\n\n\n\n<h1 id=\"espanol\" class=\"kt-adv-heading6397_5884c3-b1 wp-block-kadence-advancedheading\">Con WordPress otra vida es posible</h1>\n\n\n\n<p>11 de diciembre de 2023, Palacio Neptuno (Madrid). Estoy sentado, rodeado de mucha gente, todos estamos mirando hacia un escenario con una pantalla donde se lee &#8220;State of the Word 2023&#8221;. Miro el reloj, marca las 16:05, y me vienen dos pensamientos a la cabeza: el primero es &#8220;Parece que Matt llega tarde&#8221;; el segundo viene provocado por haber visto la fecha que indicaba &#8220;11 dic&#8221;,&nbsp; mi cerebro quiere recordarme algo&#8230; &#8220;¡Leche! Que hoy hace justo 15 años que leí mi tesis doctoral en neurociencia&#8221;.</p>\n\n\n\n<p>Espero que este recurso de empezar &#8220;in media res&#8221; haya captado tu atención y tengas cierto interés en saber cómo he llegado hasta ahí.</p>\n\n\n\n<h2 class=\"kt-adv-heading6397_fea921-46 wp-block-kadence-advancedheading\"><strong>Mi vida antes de WordPress</strong></h2>\n\n\n\n<p>Siempre he sido una persona curiosa y la carrera de biología me pareció una buena candidata donde poder aplicar ese rasgo. Durante los años de universidad obtuve calificaciones bastante buenas que me permitieron optar a una beca para desarrollar una tesis doctoral.&nbsp;</p>\n\n\n\n<p>Durante los años que dediqué a esa tesis, entre otras cosas, me convertí en un experto en los mecanismos moleculares implicados en la muerte celular programada en la isquemia cerebral. ¿A que no pensabas que ibas a leer esa combinación de palabras en un post relacionado con WordPress, eh? Y eso que no he querido usar palabras más técnicas como &#8220;apoptosis&#8221;, que es la forma &#8220;cool&#8221; con la que nos referimos los científicos a la muerte celular programada.</p>\n\n\n\n<p>Después de presentar la tesis (sí, efectivamente, el 11 de diciembre de 2008, me gusta que mantengas la atención) continué investigando enfermedades neurodegenerativas en varios postdocs. Mi trayectoria no apuntaba al Nobel (ni era mi intención), pero sí &#8220;progresaba adecuadamente&#8221; dentro de la &#8220;carrera científica&#8221;.</p>\n\n\n\n<p>Entonces ¿qué pasó, Nahuai?&nbsp;</p>\n\n\n\n<p>¿Qué se torció para que dejaras de ejercer como científico y empezaras a montar webs con WordPress?</p>\n\n\n\n<h2 class=\"kt-adv-heading6397_0ae430-d4 wp-block-kadence-advancedheading\"><strong>Buscando un modo de vida más amable</strong></h2>\n\n\n\n<p>Lo que ocurrió es que tuve una experiencia laboral desagradable en el postdoc que estaba realizando en un centro de investigación en Italia (allá por 2014).</p>\n\n\n\n<p>El motivo no es tan importante como lo es la reflexión que me obligó a realizar. Me di cuenta de que, aunque me encantaba investigar, el modo de vida del investigador no estaba alineado con cómo quería vivir.&nbsp;</p>\n\n\n\n<p>Así empezó otra investigación, una en la que pretendía encontrar un trabajo que me permitiera tener más libertad de horario y ubicación.</p>\n\n\n\n<h2 class=\"kt-adv-heading6397_e0c3be-03 wp-block-kadence-advancedheading\"><strong>Encontrando WordPress</strong></h2>\n\n\n\n<p>Te puedes imaginar que el comienzo de esa nueva investigación, que suponía dejar de lado unos 15 años de formación como neurocientífico, no fue fácil.</p>\n\n\n\n<p>El concepto general era hacerme freelance y trabajar en algo online. Efectivamente, era muy general, pero cumplía los requisitos para ganar esa libertad que buscaba. Por suerte, WordPress apareció bastante pronto en la ecuación (el mismo 2014) y en seguida me sentí cómodo con la herramienta.</p>\n\n\n\n<p>Empecé a formarme en el CMS. Creé una web de tecnología y otra de viajes para aplicar lo que iba aprendiendo. Parte de este proceso lo hice mientras seguía trabajando como científico y otro con la prestación de desempleo y el apoyo de mi pareja.</p>\n\n\n\n<p>Años más tarde, cuando me sentí capaz de crear webs para clientes y conseguí sacudirme un poco el &#8220;síndrome del impostor&#8221;, empecé a ofrecer mis servicios en mi web personal (creada con WordPress, lógicamente). Los primeros clientes fueron &#8220;friends, fools and family&#8221; y después me empezaron a llegar clientes gracias a los artículos sobre WordPress y fotografía que escribía en mi blog.</p>\n\n\n\n<h2 class=\"kt-adv-heading6397_577274-80 wp-block-kadence-advancedheading\"><strong>Descubriendo la comunidad (&#8220;el ingrediente secreto&#8221; de WordPress)</strong></h2>\n\n\n\n<p>Cuando estaba en Italia empecé a seguir noticias sobre WordPress, principalmente a través de podcasts, y me sorprendía escuchar la cantidad de eventos que tenían lugar en España. Por eso, en cuanto regresé a España empecé a acudir a las Meetups de Barcelona y sus alrededores.</p>\n\n\n\n<p>A eso le siguieron varias WordCamps por la península y para cuando me quise dar cuenta ya estaba totalmente enamorado de la comunidad. Pronto me di cuenta de que era el &#8220;ingrediente secreto&#8221; detrás de la popularidad de WordPress.</p>\n\n\n\n<p>Aprovechando la &#8220;fase de enamoramiento&#8221;, empecé a participar en la comunidad dando ponencias, acudiendo como voluntario y más adelante creando la Meetup Terrassa, cuidad donde resido ahora, y donde pronto cumpliré 5 años como organizador.&nbsp;</p>\n\n\n\n<p>En la WordCamp Barcelona de 2018 conocí a Esther Solà, una desarrolladora web que seguía online (porque tenía un fantástico blog sobre WordPress) y rápidamente hicimos migas. Pocos meses después lanzamos el podcast <a href=\"https://freelandev.com/\">Freelandev</a>, en el que llevamos casi 5 años contando cómo nos ganamos la vida como desarrolladores WordPress (y muchas más cosas). El podcast sirvió de incubadora para sacar otro proyecto común, <a href=\"https://osompress.com/\">OsomPress</a>, donde creamos plugins y temas para WordPress desde hace más de 3 años.</p>\n\n\n\n<p>Una vez constatado mi amor por la comunidad española de WordPress, quise conocer mejor también a la comunidad internacional (parte de la cual leía y escuchaba), y por eso fui a la WordCamp Europe 2019 como voluntario. La experiencia fue tan buena que desde entonces es una cita anual que no me pierdo (siempre que las condiciones lo permitan).</p>\n\n\n\n<p>Podría, seguir durante horas escribiendo sobre las bondades de la comunidad, pero&nbsp;si tuviera que resumirlo diría que me ha aportado muchas cosas intangibles, pero otras que sí lo son:</p>\n\n\n\n<ul>\n<li>Amigos (y de los buenos)</li>\n\n\n\n<li>Una red de profesionales en los que confiar</li>\n\n\n\n<li>Clientes</li>\n\n\n\n<li>La creación de un podcast</li>\n\n\n\n<li>La creación de un empresa de desarrollo de plugins y temas</li>\n\n\n\n<li>Alinear mi trabajo con mi propósito vital</li>\n</ul>\n\n\n\n<p>Creo que este sentimiento, con variaciones personales, lo comparten bastantes miembros de la comunidad de WordPress. Hay una frase que se repite bastante, con distintas variaciones, pero dice algo así como &#8220;Llegué por el software y me quedé por la gente&#8221;.&nbsp;</p>\n\n\n\n<h2 class=\"kt-adv-heading6397_dcbc41-c7 wp-block-kadence-advancedheading\"><strong>Hacia un modo de vida más alineado con mis principios</strong></h2>\n\n\n\n<p>Una vez que me demostré a mí mismo que podía ganarme la vida como desarrollador WordPress freelance, puse el foco en cómo podía contribuir a &#8220;un mundo mejor&#8221;, dentro de mis modestas posibilidades, claro.</p>\n\n\n\n<p>Por un lado, empecé a ser más selectivo con los proyectos que aceptaba, priorizando los que iban a tener un impacto positivo, y por otro empecé a crear contenido sobre sostenibilidad web.</p>\n\n\n\n<p>La inspiración de esto último se lo debo a <a href=\"https://wordpress.tv/2019/09/22/roberto-vazquez-desarrollo-sostenible/\">una charla de Roberto Vazquez en la WordCamp de Pontevedra 2019</a>, en la que habló del impacto medioambiental de las páginas web. Otro ejemplo del efecto &#8220;bola de nieve&#8221; que viene impulsada por ser parte de la comunidad.</p>\n\n\n\n<p>Y hablando de bolas de nieve. Gracias a haber conocido a Hannah Smith en la WordCamp Europe 2019, descubrí la beca de Green Web Foundation que obtuve el año pasado. Gracias a ella pude crear el podcast de serie limitada <a href=\"https://sustainwp.com/\">Sustain WP</a>, que trata sobre sostenibilidad digital y WordPress, el cual me permitió entrevistar a un montón de personas interesantes de la comunidad.</p>\n\n\n\n<p>Hannah también estuvo involucrada en la creación de la iniciativa de sostenibilidad de WordPress que meses más tarde se convirtió en el equipo oficial de sostenibilidad. Si estás interesado en conocer más sobre el proceso y lo que estamos haciendo en el equipo te invito a escuchar <a href=\"https://sustainwp.com/podcast/episode-7-wordpress-sustainability-team/\">el episodio donde lo explicamos con detalle.</a></p>\n\n\n\n<p>Como colofón de 2023, tuve el honor de ser elegido, junto a otros 3 fantásticos compañeros, como representante del equipo de sostenibilidad. &nbsp;</p>\n\n\n\n<h2 class=\"kt-adv-heading6397_ffe359-dd wp-block-kadence-advancedheading\"><strong>Disclaimer</strong></h2>\n\n\n\n<p>Este tipo de artículos siempre me resultan difíciles de escribir (tampoco lo hago a menudo). La intención es inspirar a otras personas, pero también soy consciente de que todos partimos de circunstancias distintas. En ese sentido, me siento un privilegiado y no puedo evitar preocuparme de que los pequeños &#8220;éxitos&#8221; personales que comparto tengan el efecto contrario al que busco.</p>\n\n\n\n<p>Igual es un temor infundado y he conseguido trasmitir mi entusiasmo por la vida en general y la comunidad WordPress en particular. Ojalá te inspire para aplicarlo a tu manera.&nbsp;</p>\n\n\n\n<p>Tanto si he conseguido una cosa como otra, estaré encantado de leerte en los comentarios. :)</p>\n<p>The post <a href=\"https://heropress.com/essays/with-wordpress-another-life-is-possible/\">With WordPress Another Life Is Possible &#8211; Con WordPress otra vida es posible</a> appeared first on <a href=\"https://heropress.com\">HeroPress</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 17 Jan 2024 08:00:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Nahuai Badiola\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:7;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:64:\"BuddyPress: BuddyPress 12.1.1 Maintenance &amp; Security release\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"https://buddypress.org/?p=332779\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:78:\"https://buddypress.org/2024/01/buddypress-12-1-1-maintenance-security-release/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2603:\"<p><a href=\"https://downloads.wordpress.org/plugin/buddypress.12.1.1.zip\">BuddyPress 12.1.1</a> is now available. This is a security and maintenance release. <strong>Please update your BuddyPress as soon as possible</strong>.</p>\n\n\n\n<p>The 12.1.1 release addresses the following minor security issue:</p>\n\n\n\n<ul>\n<li>Using the Cover Image group&#8217;s REST API Endpoints, it was possible to a non member of private/hidden group to get the corresponding group Cover Image URL. Discovered by <a href=\"https://au.linkedin.com/in/colin-xu-31a547134\" target=\"_blank\" rel=\"noreferrer noopener\">Colin Xu</a>.</li>\n</ul>\n\n\n\n<p>This vulnerability was reported privately to the BuddyPress team, in accordance with&nbsp;<a href=\"https://make.wordpress.org/core/handbook/testing/reporting-security-vulnerabilities/\">WordPress’s security policies</a>. Our thanks to the reporter for practicing coordinated disclosure.</p>\n\n\n\n<p>BuddyPress 12.1.1 also fixes 10 bugs. For complete details, visit the <a href=\"https://codex.buddypress.org/releases/version-12.1.1/\">12.1.1 changelog</a>.</p>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-buttons is-horizontal is-content-justification-center is-layout-flex wp-container-core-buttons-is-layout-1 wp-block-buttons-is-layout-flex\">\n<div class=\"wp-block-button is-style-outline\"><a class=\"wp-block-button__link has-white-background-color has-text-color has-background no-border-radius wp-element-button\" href=\"https://downloads.wordpress.org/plugin/buddypress.12.1.1.zip\">Get BuddyPress 12.1.1</a></div>\n</div>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<p>You can get the latest version by clicking on the above button, downloading it from the&nbsp;<a href=\"https://wordpress.org/plugins/buddypress/\">WordPress.org plugin directory</a>&nbsp;or checking it out from our&nbsp;<a href=\"https://buddypress.trac.wordpress.org/browser/branches/11.0\">Subversion repository.</a></p>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"many-thanks-to-11-1-0-contributors\">Many thanks to 12.1.1 contributors <span class=\"dashicons dashicons-heart\"></span></h2>\n\n\n\n<p> <a href=\"https://profiles.wordpress.org/sabernhardt\">sabernhardt</a>, <a href=\"https://profiles.wordpress.org/emaralive\">emaralive</a>, <a href=\"https://profiles.wordpress.org/shawfactor\">shawfactor</a>, <a href=\"https://profiles.wordpress.org/strategio\">strategio</a>, <a href=\"https://profiles.wordpress.org/vapvarun/\">vapvarun</a>, <a href=\"https://profiles.wordpress.org/perchenet\">perchenet</a> &amp; <a href=\"https://profiles.wordpress.org/imath/\">imath</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 16 Jan 2024 23:43:59 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:12:\"Mathieu Viet\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:8;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:93:\"WordCamp Central: WPBeginner joins the WordPress global community sponsorship program in 2024\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:39:\"https://central.wordcamp.org/?p=5109967\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:118:\"https://central.wordcamp.org/news/2024/01/wpbeginner-joins-the-wordpress-global-community-sponsorship-program-in-2024/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:3704:\"<p>Please join us in welcoming WPBeginner to the <a href=\"https://central.wordcamp.org/sponsor-multiple-wordcamps/\">2024 WordPress global community sponsorship program</a>! WPBeginner’s pledge to sponsor all official WordPress community events (WordCamps, Meetups, and more) all around the world provides support and stability to our hardworking crew of volunteer event organizers. Thanks for everything, WPBeginner!</p>\n\n\n<div class=\"wp-block-image\">\n<a href=\"https://central.wordcamp.org/files/2024/01/wpbeginner-logo-wpcentral.png\"><img width=\"900\" height=\"312\" src=\"https://central.wordcamp.org/files/2024/01/wpbeginner-logo-wpcentral.png\" alt=\"\" class=\"wp-image-5109968\" /></a>WPBeginner logo</div>\n\n\n<p>At <a href=\"https://www.wpbeginner.com/\">WPBeginner</a>, we provide cutting-edge, helpful WordPress tutorials that are easy to understand for small businesses, bloggers, and non-techy WordPress website owners. Since 2009, our <a href=\"https://videos.wpbeginner.com/\">free WordPress video courses</a> and tutorials are watched by over 56 millions WordPress users worldwide.</p>\n\n\n\n<p>Whether you&#8217;re looking to learn how to build a WordPress website, decide which WordPress plugins to pick, or just learn the WordPress best practices to grow your website, WPBeginner&#8217;s free resources can help:</p>\n\n\n\n<ul>\n<li><a href=\"https://www.wpbeginner.com/blog/\">WPBeginner Blog</a> – The central place for all our WordPress tutorials.</li>\n\n\n\n<li><a href=\"https://www.wpbeginner.com/solutions/\">WPBeginner Solution Center</a> – Detailed reviews of recommended WordPress plugins, tools, themes, agencies, and more curated by our WordPress experts.</li>\n\n\n\n<li><a href=\"https://www.wpbeginner.com/glossary/\">WPBeginner Dictionary</a> – WordPress lingo and terminology explained in plain english for non-techy users.</li>\n\n\n\n<li><a href=\"https://videos.wpbeginner.com/\">WPBeginner Videos</a> – Learn from our free WordPress video courses including <a href=\"https://videos.wpbeginner.com/courses/wordpress-101/\">WordPress 101</a>, <a href=\"https://videos.wpbeginner.com/courses/wordpress-seo-for-beginners/\">WordPress SEO for Beginners</a>, and hundreds more.</li>\n\n\n\n<li><a href=\"https://www.wpbeginner.com/deals/\">WPBeginner Deals</a> – Exclusive discounts on WordPress products and services for WPBeginner users.&nbsp;</li>\n\n\n\n<li><a href=\"https://www.wpbeginner.com/tools/\">WPBeginner Tools</a> &#8211; Free business tools created by the WPBeginner team for small business owners.</li>\n</ul>\n\n\n\n<p>Over the last 14 years working closely with WordPress users and listening to their feedback, we have also created some of the most popular WordPress plugins including <a href=\"https://wpforms.com/\">WPForms</a>, <a href=\"https://aioseo.com/\">AIOSEO</a> (All in One SEO for WordPress), <a href=\"https://optinmonster.com/\">OptinMonster</a>, <a href=\"https://www.monsterinsights.com/\">MonsterInsights</a>, and dozens more. Collectively over 25 million websites are using our free and <a href=\"https://www.wpbeginner.com/wordpress-plugins/\">premium WordPress plugins</a>.</p>\n\n\n\n<p>WPBeginner is part of the <a href=\"https://awesomemotive.com/\">Awesome Motive</a> family, and we&#8217;re on a mission to help small businesses grow &amp; compete with the big guys using the power of open source.&nbsp;</p>\n\n\n\n<p>If you&#8217;re a WordPress professional looking for a remote role, <a href=\"https://awesomemotive.com/careers/\">we&#8217;re hiring</a>. Come join our team.</p>\n\n\n\n<p>If you&#8217;re a WordPress product owner looking for an investment or selling your WordPress business, check out the <a href=\"https://www.wpbeginner.com/wpbeginner-growth-fund/\">WPBeginner Growth Fund</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 16 Jan 2024 15:00:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:6:\"Isotta\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:9;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:70:\"Do The Woo Community: The Future of SEO, Content and AI with Alex Moss\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"https://dothewoo.io/?p=78837\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:42:\"https://dothewoo.io/future-seo-content-ai/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:370:\"<p>Discover how AI SEO and content creation impacts the future of WordPress and WooCommerce with Dave Lockie and Alex Moss. </p>\n<p>&gt;&gt; The post <a href=\"https://dothewoo.io/future-seo-content-ai/\">The Future of SEO, Content and AI with Alex Moss</a> appeared first on <a href=\"https://dothewoo.io\">Do the Woo - a WooCommerce and WordPress Builder Podcast</a>	.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 16 Jan 2024 09:46:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"BobWP\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:10;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:71:\"WordCamp Central: GoDaddy sponsors WordPress community events worldwide\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:39:\"https://central.wordcamp.org/?p=5109971\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:96:\"https://central.wordcamp.org/news/2024/01/godaddy-sponsors-wordpress-community-events-worldwide/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:3636:\"<p>What would we do without our sponsors? We&#8217;re so grateful to <a href=\"https://www.godaddy.com/pro?utm_source=wcglobal_2023_sponsorship&utm_medium=events&utm_campaign=en-us_events_prg_awa_partners_part_wcsponsordesc_001\">GoDaddy</a> for <a href=\"https://central.wordcamp.org/sponsor-multiple-wordcamps/\">sponsoring WordPress community events all around the globe</a> at the Gold level in 2024! GoDaddy&#8217;s support enhances local community events, such as WordPress meetup and WordCamps, improving the experience for WordPress enthusiasts and simplifying the organization process for our dedicated team of volunteers.</p>\n\n\n<div class=\"wp-block-image\">\n<a href=\"https://central.wordcamp.org/files/2023/02/Copy-of-gd-logo-480x360-1.png\"><img width=\"480\" height=\"360\" src=\"https://central.wordcamp.org/files/2023/02/Copy-of-gd-logo-480x360-1.png\" alt=\"GoDaddy logo global sponsorship \" class=\"wp-image-3160920\" /></a>GoDaddy logo</div>\n\n\n<p>At&nbsp;<a href=\"https://www.godaddy.com/pro?utm_source=wcglobal_2023_sponsorship&utm_medium=events&utm_campaign=en-us_events_prg_awa_partners_part_wcsponsordesc_001\">GoDaddy</a>, our&nbsp;mission&nbsp;is&nbsp;to empower&nbsp;a&nbsp;worldwide community of&nbsp;entrepreneurs&nbsp;by giving them all the help and tools they need to grow online&nbsp;— including a simpler, safer WordPress experience.&nbsp;</p>\n\n\n\n<p>We champion&nbsp;our&nbsp;Makers of the Web&nbsp;by delivering&nbsp;a suite of WordPress solutions that enable fast and easy setup and then&nbsp;enables users&nbsp;to&nbsp;harness all the power of the world’s most popular CMS.&nbsp;</p>\n\n\n\n<p>The <a href=\"https://community.godaddy.com/s/group/0F93t000000I7EfCAK/godaddy-pro?utm_source=wcglobal_2023_sponsorship&utm_medium=events&utm_campaign=en-us_events_prg_awa_partners_part_wcsponsordesc_001\">GoDaddy Pro Community</a> was built by and for website designers and developers.&nbsp;Whether you’re new to web design or growing your existing business, you’ll find free tools, products, education, and expert support to help you more efficiently create and maintain beautiful sites — and wow clients.</p>\n\n\n\n<p>We provide a&nbsp;<a href=\"https://www.godaddy.com/hosting/wordpress-hosting?utm_source=wcglobal_2023_sponsorship&utm_medium=events&utm_campaign=en-us_events_prg_awa_partners_part_wcsponsordesc_001\">Managed WordPress experience</a> that is as easy as it is effective. The latest version of WordPress comes pre-installed with exclusive themes, plugins, and tools to get you up and running quickly, with automated backups, updates, and malware removal so our Pros can spend less time on monotonous maintenance, and more time building their businesses.GoDaddy Pro works tirelessly to foster an active, nurturing community, with initiatives including the sponsorship of WordCamps globally, weekly <a href=\"https://events.godaddy.com/godaddy-pro-online?utm_source=wcglobal_2023_sponsorship&utm_medium=events&utm_campaign=en-us_events_prg_awa_partners_part_wcsponsordesc_001\">GoDaddy Pro Meetups</a>, our free <a href=\"https://www.godaddy.com/pro/academy?utm_source=wcglobal_2023_sponsorship&utm_medium=events&utm_campaign=en-us_events_prg_awa_partners_part_wcsponsordesc_001\">GoDaddy Pro Academy</a> courses, and our <a href=\"https://community.godaddy.com/s/group/0F93t000000I7EfCAK/godaddy-pro?utm_source=wcglobal_2023_sponsorship&utm_medium=events&utm_campaign=en-us_events_prg_awa_partners_part_wcsponsordesc_001\">GoDaddy Pro Discussions Group</a>. We’re proud to be a partner of the WordPress community and look forward to witnessing all the individual greatness that our efforts help support.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 15 Jan 2024 15:00:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:6:\"Isotta\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:11;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:94:\"Gutenberg Times: Quick Tip: How to use a classic menu in the navigation block of a block theme\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://gutenbergtimes.com/?p=27030\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:104:\"https://gutenbergtimes.com/quick-tip-how-to-use-a-classic-menu-in-the-navigation-block-of-a-block-theme/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:1883:\"<p>There was a question in the forums, if one needs to rebuild all the menus when switching from a classic theme to a block theme. In other words, how can you add an existing menu to the Navigation block. </p>\n\n\n\n<p>If there is only one classic menu, it will be displayed in the navigation block. But if there are multiple classic menus on the site, it doesn&#8217;t automatically convert it to a navigation block. In that case, it takes a manual step after you switched the theme, but you don&#8217;t have to recreate the menus. </p>\n\n\n\n<p>Here are the steps to follow along with a separate test environment. </p>\n\n\n\n<ul>\n<li>Open a new website via <a href=\"https://playground.wordpress.net/?theme=twentytwentyone\">WordPress Playground and included the Twenty-Twenty-One Theme. </a></li>\n\n\n\n<li><a href=\"https://codex.wordpress.org/Theme_Unit_Test\" target=\"_blank\" rel=\"noreferrer noopener\">Imported the theme test data file</a>&nbsp;(more specifically,&nbsp;<a href=\"https://raw.githubusercontent.com/WPTT/theme-unit-test/master/themeunittestdata.wordpress.xml\" target=\"_blank\" rel=\"noreferrer noopener\">this</a>)</li>\n\n\n\n<li>Set Display Location of imported menu to Primary Menu to ensure Twenty Twenty One has a menu on top of the landing page</li>\n\n\n\n<li>Switch to Twenty Twenty-Four</li>\n\n\n\n<li>The menu disappeared, only the social link menu showed. </li>\n</ul>\n\n\n\n<p>Now the steps on how to get the classic menu back into the template? </p>\n\n\n\n<ul>\n<li>Click on the Template header, </li>\n\n\n\n<li>Click on the Navigation block</li>\n\n\n\n<li>The sidebar with the setting for the navigation block should open. </li>\n\n\n\n<li>Use the 3-dot menu to select the classic menu &#8220;All pages&#8221; </li>\n\n\n\n<li>Click on the Save button. </li>\n</ul>\n\n\n\n<p>And here is the video of the whole process: </p>\n\n\n\n\n\n\n\n<p><em>Thank you to JuanMa Garrido for the testing instructions. </em></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 15 Jan 2024 12:13:59 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:18:\"Birgit Pauli-Haack\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:12;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:122:\"Gutenberg Times: Call for testing WordPress 6.5, page builders yes or no, Data Liberation and more — Weekend Edition 280\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://gutenbergtimes.com/?p=26964\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:127:\"https://gutenbergtimes.com/call-for-testing-wordpress-6-5-page-builders-yes-or-no-data-liberation-and-more-weekend-edition-280/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:13922:\"<p>Howdy, </p>\n\n\n\n<p>We are 31 days away from WordPress 6.5 Beta 1, the version that closes the new version for new features. In so far it&#8217;s early, lots of work can still go into the next major upgrade. On the other hand, we are only three Gutenberg plugin versions away from WordPress beta 1.  Gutenberg 17.5 RC is available for testing. If you have some time, it would be wonderful if you can use <strong>Anne McCarthy</strong>&#8216;s instructions to take <a href=\"https://make.wordpress.org/test/2024/01/13/early-opportunities-to-test-wordpress-6-5/\">early opportunities to test WordPress 6.5</a>. If you would rather not set up a local test site, you can also use the <a href=\"https://playground.wordpress.net/?blueprint-url=https://gutenbergtimes.com/wp-content/uploads/2020/11/playnightly.json\">Gutenberg Nightly via WordPress playground</a> for your early test. </p>\n\n\n\n<p>Munich is again powered by snow and it freezing once more. Hubby and I are getting used to it; somewhat. Definitely longing for warmer weather. </p>\n\n\n\n<p>I hope you stay warm and have a joyful weekend! </p>\n\n\n\n<p>Yours, 💕<br /><em>Birgit</em></p>\n\n\n\n<p>PS: If you intend to go to WordCamp Asia, I again <a href=\"https://calendly.com/pauli-haack/wcasia\"><strong>opened up my calendar so we can schedule a 1:1 meeting</strong></a>, to chat about your products, what you need to be successful as a developer or how to contribute to WordPress or just catch up on life. And if you are not going to make it to WordCamp Asia, we can always get together at WordCamp Europe in June. 🤗</p>\n\n\n\n\n<div class=\"wp-block-group has-light-background-background-color has-background\"><div class=\"wp-block-group__inner-container is-layout-flow wp-block-group-is-layout-flow\">\n<p><strong>Table of Contents</strong></p>\n\n\n\n<div class=\"wp-block-sortabrilliant-guidepost\"><ul><li><a href=\"https://gutenbergtimes.com/feed/#0-word-press-release-information\">Developing Gutenberg and WordPress</a></li><li><a href=\"https://gutenbergtimes.com/feed/#1-p\">Page builders discussions</a></li><li><a href=\"https://gutenbergtimes.com/feed/#0-p\">Plugins, Themes, and Tools for #nocode site builders and owners</a></li><li><a href=\"https://gutenbergtimes.com/feed/#2-word-press-6-0-1-and-6-1-scheduled\">Theme Development for Full Site Editing and Blocks</a></li><li><a href=\"https://gutenbergtimes.com/feed/#3-building-themes-for-fse-and-word-press\">Building Blocks and Tools for the Block editor. </a></li></ul></div>\n</div></div>\n\n\n\n\n<h2 class=\"wp-block-heading\" id=\"0-word-press-release-information\">Developing Gutenberg and WordPress</h2>\n\n\n\n<p>WordPress co-founder, <strong>Matt Mullenweg</strong>, elaborated on the WordPress blog the <a href=\"https://wordpress.org/news/2024/01/data-liberation-in-2024/\"><strong>Data Liberation in 2024</strong></a> project, he announced during State of the Word in Madrid. &#8220;Migrating your site to WordPress, or exporting all your content from WordPress, should be possible in one click. I want WordPress’ export format to become the lingua franca of CMSs, whether coming to WordPress or moving within WordPress. &#8220;, he wrote. </p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p><strong>Justin Tadlock</strong> has again compiles the list of changes in Core and Gutenberg in <a href=\"https://developer.wordpress.org/news/2024/01/10/whats-new-for-developers-january-2024/\"><strong>What’s new for developers? (January 2024)</strong></a>. &#8220;It’s a new year and time for exciting new things happening in the WordPress world. Catch the latest monthly roundup aimed at extenders.&#8221; he wrote. It&#8217;s a list of updates interesting for plugin, and theme authors as well as freelance and agency developers. </p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p class=\"has-accent-color has-light-background-background-color has-text-color has-background has-link-color wp-elements-b21294d93d10468b5f9c6136fdd74073\">🎙️ Latest episode:  <a href=\"https://gutenbergtimes.com/podcast/gutenberg-changelog-94-state-of-the-word-gutenberg-17-2-17-3-and-17-4-wordpress-6-5-migrating-from-classic-theme-to-block-theme/\">Gutenberg Changelog #94 – State of the Word, Gutenberg 17.2, 17.3 and 17.4, WordPress 6.5, Migrating from Classic Theme to Block Theme</a> with Sarah Norris</p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p><strong>Joen Asmussen</strong>, summarize the work of the WordPress design team in his post: <a href=\"https://make.wordpress.org/design/2024/01/02/design-share-dec-1-dec-29/\"><strong>Design Share: Dec 1-Dec 29</strong></a>. The team worked on</p>\n\n\n\n<ul>\n<li>WP.org Data Liberation</li>\n\n\n\n<li>WP.org: Learning Pathways</li>\n\n\n\n<li>Thumbnail design</li>\n\n\n\n<li>Missing Fonts</li>\n\n\n\n<li>Safari Text-Selection Fix</li>\n\n\n\n<li>Responsive tables for Openverse’s source page</li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"1-p\">Page builders discussions</h2>\n\n\n\n<p><strong><a href=\"https://twitter.com/karks88\">Eric Karkovack</a></strong> wondered in his post <strong><a href=\"https://thewpminute.com/can-gutenberg-and-wordpress-page-builders-coexist/\">Can Gutenberg and WordPress Page Builders Coexist?</a></strong> </p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p><strong><a href=\"https://twitter.com/mattmedeiros\">Matt Medeiros</a></strong> asks: <a href=\"https://thewpminute.com/is-2024-the-year-of-page-builders/\"><strong>Is 2024 the Year of Page Builders?</strong></a> on the WPMinute episode 198. </p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p>In his post, <a href=\"https://geary.co/wordpress-block-editor-first-look/\"><strong>I Tried Building a Layout With the WordPress Block Editor And it Didn’t Go Very Well,</strong></a> <strong><a href=\"https://twitter.com/thekevingeary\">Kevin Geary</a></strong> walks us through his learnings, trying the site editor for the first time. </p>\n\n\n\n<p>On YouTube, <a href=\"https://geary.co/wordpress-block-editor-first-look/#comment-593\"><strong>Anne McCarth</strong>y</a> and <a href=\"https://geary.co/wordpress-block-editor-first-look/#comment-590\"><strong>Riad Benguella</strong></a>, Gutenberg Core Developer,  chimed in with additional links and information</p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p>Using Geary&#8217;s video and post as inspiration, <strong>Brian Coords</strong> walks us through how he would solve the layout problem Geary struggled with. <a href=\"https://www.youtube.com/watch?v=xCWUaLc7gvM&t=5s\">Building an example layout in Gutenberg (response video)</a>. He covers this &#8220;demo layout using core blocks and a few lines of CSS (via register_block_style). Along the way, I discuss alignments and widths in Gutenberg, semantic elements, flex box tools for layout, custom CSS, and whether the block editor is a &#8220;page builder&#8221;.</p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"0-p\">Plugins, Themes, and Tools for #nocode site builders and owners</h2>\n\n\n\n<p><strong>Jamie Marsland</strong>, PootlePress, created a tutorial to help Beginners understand  the core concept around  WordPress Block Themes:  <a href=\"https://www.pootlepress.com/2024/01/mastering-wordpress-block-themes-3-key-principles-for-beginners/\"><strong>Three Key Principles for Beginners</strong></a>. &#8220;WordPress block themes revolutionize the way websites are built and designed, simplifying the process down to three core elements: <strong>Blocks Templates and Styles</strong>.&#8221; he wrote. </p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<h2 class=\"wp-block-heading\" id=\"2-word-press-6-0-1-and-6-1-scheduled\">Theme Development for Full Site Editing and Blocks</h2>\n\n\n\n<p>For the WordPress themes team, Justin Tadlock updated the community of contributors on <strong><a href=\"https://make.wordpress.org/themes/2024/01/11/new-block-focused-theme-handbook-docs-and-whats-coming-in-2024/\">New Block-Focused Theme Handbook Docs and What’s Coming in 2024</a>.</strong> After the revamp of the theme handbook, and publishing five new chapters, with eight still in draft. The next steps are the documentation of Patterns, Advanced topics and Classic Themes. </p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p><strong>Jacob Martella</strong> has some sound advice when you are on the quest of Converting<a href=\"https://crosswindsframework.com/blog/2023/12/18/converting-your-website-to-the-block-editor/\"><strong> Your Website to the Block Editor</strong></a>. &#8220;The biggest thing is that the site editor gives you so much control over how your website looks. You can customize the fonts and colors, change how your header and footer look and edit any template you want right from your dashboard. You don’t need to know CSS or PHP or have to worry about editing any files to do it&#8221; he wrote. </p>\n\n\n\n\n<p><strong> <a href=\"https://make.wordpress.org/core/handbook/references/keeping-up-with-gutenberg-index/\" target=\"_blank\" rel=\"noreferrer noopener\">&#8220;Keeping up with Gutenberg &#8211; Index 2022&#8221;</a> </strong><br />A chronological list of the WordPress Make Blog posts from various teams involved in Gutenberg development: Design, Theme Review Team, Core Editor, Core JS, Core CSS, Test, and Meta team from Jan. 2021 on. Updated by yours truly.  <a href=\"https://make.wordpress.org/core/handbook/references/keeping-up-with-gutenberg-index/keeping-up-with-gutenberg-index-2020/\"><em>The index 2020 is here</em></a></p>\n\n\n\n\n<h2 class=\"wp-block-heading\" id=\"3-building-themes-for-fse-and-word-press\">Building Blocks and Tools for the Block editor. </h2>\n\n\n\n<p>Reminder! You are invited to the January <strong>Developers Hours for January 16th, 2024 at 15:00 UTC (10 am EDT)</strong> to <strong><a href=\"https://www.meetup.com/learn-wordpress-online-workshops/events/298191982/\">Build your first WordPress block</a></strong>. In this online event, you’ll be on a walk-through <a href=\"https://developer.wordpress.org/block-editor/getting-started/tutorial/\">the new tutorial in the Block editor handbook</a>, and you will also learn more about the<a href=\"https://github.com/WordPress/block-development-examples\"> block development examples</a> on GitHub.</p>\n\n\n\n<a href=\"https://www.meetup.com/learn-wordpress-online-workshops/events/298191982/\"><img width=\"600\" height=\"338\" src=\"https://i0.wp.com/gutenbergtimes.com/wp-content/uploads/2024/01/build-your-first-block.webp?resize=600%2C338&ssl=1\" alt=\"\" class=\"wp-image-26925\" /></a>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p>The page in the Block Editor Handbook experienced a rewrite: &#8220;<a href=\"https://developer.wordpress.org/block-editor/getting-started/fundamentals/static-dynamic-rendering/\"><strong>Static or Dynamic rendering of a block</strong></a>&#8221; With the help of diagrams and new code examples, developers learn the main differences, advantages, and disadvantages of each approach of block development.</p>\n\n\n\n<img width=\"652\" height=\"379\" src=\"https://i0.wp.com/gutenbergtimes.com/wp-content/uploads/2024/01/static-rendering.webp?resize=652%2C379&ssl=1\" alt=\"\" class=\"wp-image-27006\" />\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p><strong>Ryan Welcher</strong> released a new version  of his <a href=\"https://wordpress.org/plugins/advanced-query-loop/\"><strong>Advance Query Loop</strong></a> plugin. Now ACF developer will see their meta keys in the auto-complete list for Post Meta queries. </p>\n\n\n\n\n<p><strong><a href=\"https://gutenbergtimes.com/need-a-zip-from-master/\">Need a plugin .zip from Gutenberg&#8217;s master branch?</a></strong><br />Gutenberg Times provides daily build for testing and review. <br />Have you been using it? Hit reply and let me know.</p>\n\n\n\n<p><img alt=\"GitHub all releases\" src=\"https://img.shields.io/github/downloads/bph/gutenberg/total?style=for-the-badge\" /></p>\n\n\n\n\n<p class=\"has-text-align-right has-small-font-size\"><em>Questions? Suggestions? Ideas? Don&#8217;t hesitate to send <a href=\"mailto:pauli@gutenbergtimes.com\">them via email</a> or send me a message on WordPress Slack or Twitter @bph</em>. </p>\n\n\n\n<p class=\"has-text-align-right has-small-font-size\">For questions to be answered on the <a href=\"http://gutenbergtimes.com/podcast\">Gutenberg Changelog</a>, send them to <a href=\"mailto:changelog@gutenbergtimes.com\">changelog@gutenbergtimes.com</a></p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n\n<p>Featured Image: Building blocks game. Free public domain CC0 image.</p>\n\n\n\n<hr class=\"wp-block-separator has-css-opacity is-style-wide\" />\n\n\n\n<p class=\"has-text-align-left\"><strong>Don&#8217;t want to miss the next Weekend Edition? </strong></p>\n\n\n\n<form class=\"wp-block-newsletterglue-form ngl-form ngl-portrait\" action=\"https://gutenbergtimes.com/feed/\" method=\"post\"><div class=\"ngl-form-container\"><div class=\"ngl-form-field\"><label class=\"ngl-form-label\" for=\"ngl_email\"><br />Type in your Email address to subscribe.</label><div class=\"ngl-form-input\"><input type=\"email\" class=\"ngl-form-input-text\" name=\"ngl_email\" id=\"ngl_email\" /></div></div><button type=\"submit\" class=\"ngl-form-button\">Subscribe</button><p class=\"ngl-form-text\">We hate spam, too, and won&#8217;t give your email address to anyone except Mailchimp to send out our Weekend Edition</p></div><div class=\"ngl-message-overlay\"><div class=\"ngl-message-svg-wrap\"></div><div class=\"ngl-message-overlay-text\">Thanks for subscribing.</div></div><input type=\"hidden\" name=\"ngl_list_id\" id=\"ngl_list_id\" value=\"26f81bd8ae\" /><input type=\"hidden\" name=\"ngl_double_optin\" id=\"ngl_double_optin\" value=\"yes\" /></form>\n\n\n\n<hr class=\"wp-block-separator has-css-opacity is-style-wide\" />\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sat, 13 Jan 2024 13:00:32 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:18:\"Birgit Pauli-Haack\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:13;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:43:\"WordPress.org blog: Data Liberation in 2024\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://wordpress.org/news/?p=16736\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:59:\"https://wordpress.org/news/2024/01/data-liberation-in-2024/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2883:\"<p>Imagine a more open web where people can switch between any platform of their choosing. A web where being locked into a system is a thing of the past. This is the web I’ve always wanted to see. That’s why I announced a new initiative called <a href=\"https://wordpress.org/data-liberation/\" target=\"_blank\" rel=\"noreferrer noopener\">Data Liberation</a> for 2024. Migrating your site to WordPress, or exporting all your content from WordPress, should be possible in one click. I want WordPress’ export format to become the lingua franca of CMSes, whether coming to WordPress or moving within WordPress. </p>\n\n\n\n<p>I often hear about folks across the WordPress community duplicating efforts when creating scripts and workflows to move users to WordPress. Imagine if we shared those resources instead and built community-owned plugins that anyone could use! </p>\n\n\n\n<p>But it should be more than plugins; workflows, tutorials, and helper scripts should be shared, too. I want this resource to have space to include moving from social networks, moving from a page builder to core blocks, switching from classic to blocks, and improving WordPress current canonical plugins for importing. </p>\n\n\n\n<h2 class=\"wp-block-heading\">You can help!</h2>\n\n\n\n<p>Of course, the heart of any open source project is the community that shows up to build it. My hope is that this marks the start of a new contribution pathway, separate from core teams, that allows folks to contribute what they’ve learned and what they’ve created to help others move to WordPress. I expect this emphasis on migration will also influence future development, both in core and with recommended community or canonical plugins.</p>\n\n\n\n<p>There are a few things that I think will be key to making this project a success:</p>\n\n\n\n<ul>\n<li>A dedicated landing page on WordPress.org following a WordPress.org/and/[platform-name] format.</li>\n\n\n\n<li>A forum used for non-review user feedback and general discussion.</li>\n\n\n\n<li>A dedicated Slack channel.</li>\n\n\n\n<li>Moderation within hours rather than days.</li>\n\n\n\n<li>Listed on <a href=\"https://github.com/WordPress\">WordPress GitHub</a> with syncing for individual commits to SVN for history in both places.</li>\n</ul>\n\n\n\n<p>By complementing the community’s existing efforts—the <a href=\"https://wordpress.org/five-for-the-future/\">Five for the Future program</a>, the <a href=\"https://learn.wordpress.org/\">Learn WordPress initiative</a>, a focus on internationalization, etc.—my hope is that this will help even more people see themselves in the WordPress project, providing fresh momentum for <a href=\"https://events.wordpress.org/\">WordCamps and meetups</a>. </p>\n\n\n\n<p>It’s never been more crucial to champion openness on the web. Bringing focused attention to improved portability will untether users and increase their freedom like never before.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 12 Jan 2024 16:58:53 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Matt Mullenweg\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:14;a:6:{s:4:\"data\";s:11:\"\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:42:\"HeroPress: Foundational Pillars From Tokyo\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://heropress.com/?p=6380\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:129:\"https://heropress.com/foundational-pillars-from-tokyo/#utm_source=rss&utm_medium=rss&utm_campaign=foundational-pillars-from-tokyo\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:11551:\"<img width=\"1024\" height=\"768\" src=\"https://heropress.com/wp-content/uploads/2024/01/90465a09dc845c615.66816362-1024x768.jpeg\" class=\"attachment-large size-large wp-post-image\" alt=\"Floral delight with a scenic snowy Annapurna panorama\" /><div class=\"kb-row-layout-wrap kb-row-layout-id6380_650854-0a alignnone kt-row-has-bg wp-block-kadence-rowlayout\"><div class=\"kt-row-column-wrap kt-has-1-columns kt-row-layout-equal kt-tab-layout-inherit kt-mobile-layout-row kt-row-valign-top kb-theme-content-width\">\n\n<div class=\"wp-block-kadence-column kadence-column6380_445699-93 inner-column-1\"><div class=\"kt-inside-inner-col\">\n<h2 class=\"kt-adv-heading6380_f58919-63 wp-block-kadence-advancedheading\"><a href=\"https://nomad.blog/2023/12/26/what-parts-of-wordpress-would-you-like-to-explore-more-if-you-could/\">What parts of WordPress would you like to explore more if you could?</a></h2>\n\n\n\n\n\n<div class=\"wp-block-image is-style-default\">\n<a href=\"https://nomad.blog/2023/12/26/what-parts-of-wordpress-would-you-like-to-explore-more-if-you-could/\"><img width=\"300\" height=\"199\" src=\"https://heropress.com/wp-content/uploads/2024/01/pexels-photo-296324-300x199.jpeg\" alt=\"Old time lightbulb\" class=\"wp-image-6382\" /></a></div>\n\n\n\n<p>HeroPresser <a href=\"https://heropress.com/contributors/anne-mccarthy/\">Anne McCarthy</a> wrote an excellent <a href=\"https://nomad.blog/2023/12/26/what-parts-of-wordpress-would-you-like-to-explore-more-if-you-could/\">article</a> pointing out how much is different in WordPress these days, and asks the question above.</p>\n\n\n\n<p>What&#8217;s your answer?</p>\n</div></div>\n\n</div></div>\n\n\n<div class=\"wp-block-kadence-spacer aligncenter kt-block-spacer-6380_e8718e-f3\"><div class=\"kt-block-spacer kt-block-spacer-halign-center\"><hr class=\"kt-divider\" /></div></div>\n\n\n<div class=\"kb-row-layout-wrap kb-row-layout-id6380_82bd3f-6e alignnone kt-row-has-bg wp-block-kadence-rowlayout\"><div class=\"kt-row-column-wrap kt-has-1-columns kt-row-layout-equal kt-tab-layout-inherit kt-mobile-layout-row kt-row-valign-top kb-theme-content-width\">\n\n<div class=\"wp-block-kadence-column kadence-column6380_f9eb45-43 inner-column-1\"><div class=\"kt-inside-inner-col\">\n<h2 class=\"kt-adv-heading6380_656922-69 wp-block-kadence-advancedheading\"><a href=\"https://heropress.com/\">HeroPress.com</a> &#8211; <a href=\"https://heropress.com/essays/reflecting-on-my-3-foundational-pillars/\">Reflecting on My 3 Foundational Pillars</a></h2>\n\n\n\n\n\n<div class=\"wp-block-image is-style-default\">\n<a href=\"https://heropress.com/essays/reflecting-on-my-3-foundational-pillars/\"><img width=\"300\" height=\"300\" src=\"https://heropress.com/wp-content/uploads/2023/01/Destiny-Fox-Kanno-scaled-1-300x300.jpg\" alt=\"Destiny Kanno\" class=\"wp-image-5035\" /></a></div>\n\n\n\n<p>Destiny Kanno is from Tokyo, Japan, and works in Education about WordPress.</p>\n\n\n\n<p><em>As a Community Education Manager I work to break down perceived barriers for folks who want to contribute to the Make WordPress Training Team’s goals, and work as a close partner with the Training Team Representatives and members to empower them to excel in their leadership, goals, and strategy.</em></p>\n\n\n\n<p>Destiny&#8217;s essay is <a href=\"https://heropress.com/essays/reflecting-on-my-3-foundational-pillars/\">available</a> on <a href=\"https://heropress.com\">HeroPress.com</a>.</p>\n</div></div>\n\n</div></div>\n\n\n<div class=\"wp-block-kadence-spacer aligncenter kt-block-spacer-6380_ed362f-f9\"><div class=\"kt-block-spacer kt-block-spacer-halign-center\"><hr class=\"kt-divider\" /></div></div>\n\n\n<div class=\"kb-row-layout-wrap kb-row-layout-id6380_9e53fd-e2 alignnone kt-row-has-bg wp-block-kadence-rowlayout\"><div class=\"kt-row-column-wrap kt-has-1-columns kt-row-layout-equal kt-tab-layout-inherit kt-mobile-layout-row kt-row-valign-top kb-theme-content-width\">\n\n<div class=\"wp-block-kadence-column kadence-column6380_1b8a39-b9 inner-column-1\"><div class=\"kt-inside-inner-col\">\n<h2 class=\"kt-adv-heading6380_108792-6f wp-block-kadence-advancedheading\"><a href=\"https://wppodcasts.com\">WP Podcasts</a></h2>\n\n\n\n\n\n\n<a href=\"https://wppodcasts.com\"><img src=\"https://heropressnetwork.com/wp-content/uploads/2024/01/pocket_casts_single_315.png\" alt=\"Pocket Casts image\" class=\"wp-image-4316\" /></a>\n\n\n\n\n<p>There were <em>twenty-three</em> WordPress podcast episodes released this week!</p>\n\n\n\n<ul>\n<li><a href=\"https://potencia.pro/274-como-mejorar-la-seguridad-de-wordpress-con-cloudflare/#new_tab\">Potencia Pro 274: Cómo mejorar la seguridad de WordPress con CloudFlare</a> from <a href=\"https://wppodcasts.com/podcast/potencia-pro-wordpress-y-cozas/\">Potencia Pro, WordPress y cozas</a></li>\n\n\n\n<li><a href=\"https://dothewoo.io/make-wordpress-happy/#new_tab\">Make. WordPress. Happy.</a> from <a href=\"https://wppodcasts.com/podcast/do-the-woo-a-woocommerce-podcast/\">Do the Woo &#8211; A WooCommerce Podcast</a></li>\n\n\n\n<li><a href=\"https://share.transistor.fm/s/94234c51#new_tab\">3 Predictions for WordPress in 2024</a> from <a href=\"https://wppodcasts.com/podcast/the-wp-minute/\">The WP Minute</a></li>\n\n\n\n<li><a href=\"https://accessibilitycraft.com/048#new_tab\">$2 Million Settlement Against Web Developer for Failing to Deliver Accessible Website | Surely Sparkling Rose</a> from <a href=\"https://wppodcasts.com/podcast/accessibility-craft/\">Accessibility Craft</a></li>\n\n\n\n<li><a href=\"https://wpbuilds.com/2024/01/11/356-whats-the-state-of-teams-in-the-wordpress-space/#new_tab\">356 – What’s the state of teams in the WordPress space?</a> from <a href=\"https://wppodcasts.com/podcast/wp-builds/\">WP Builds</a></li>\n\n\n\n<li><a href=\"https://share.transistor.fm/s/64cca4dd#new_tab\">Is 2024 the Year of Page Builders?</a> from <a href=\"https://wppodcasts.com/podcast/the-wp-minute/\">The WP Minute</a></li>\n</ul>\n\n\n\n<p>There are new episodes every single day, so be sure to stop by <a href=\"https://wppodcasts.com\">WPPodcasts.com</a> and search for things that interest you!</p>\n</div></div>\n\n</div></div>\n\n\n<div class=\"wp-block-kadence-spacer aligncenter kt-block-spacer-6380_1b11d4-1a\"><div class=\"kt-block-spacer kt-block-spacer-halign-center\"><hr class=\"kt-divider\" /></div></div>\n\n\n<div class=\"kb-row-layout-wrap kb-row-layout-id6380_053b78-6f alignnone kt-row-has-bg wp-block-kadence-rowlayout\"><div class=\"kt-row-column-wrap kt-has-1-columns kt-row-layout-equal kt-tab-layout-inherit kt-mobile-layout-row kt-row-valign-top kb-theme-content-width\">\n\n<div class=\"wp-block-kadence-column kadence-column6380_7faa55-92 inner-column-1\"><div class=\"kt-inside-inner-col\">\n<h2 id=\"wpphotos\" class=\"kt-adv-heading6380_59bee3-ee wp-block-kadence-advancedheading\"><a href=\"https://wordpress.org/photos\">WP Photos</a></h2>\n\n\n\n<p>Here are some of the great photos submitted to the <a href=\"https://wordpress.org/photos\">WPPhotos</a> project this week!</p>\n\n\n\n\n<a href=\"https://heropress.com/wp-content/uploads/2024/01/35865a105148eab35.43520179-scaled.jpg\"><img width=\"1024\" height=\"683\" src=\"https://heropress.com/wp-content/uploads/2024/01/35865a105148eab35.43520179-1024x683.jpg\" alt=\"Old house at nuwakot, an ancient house sits nestled in the middle of rolling hills, its timeworn facade telling tales of years gone by. Surrounded by nature\'s embrace, the old structure exudes a quiet charm, standing as a silent witness to the passage of time.\" class=\"wp-image-6383\" /></a><a href=\"https://creativecommons.org/share-your-work/public-domain/cc0/\">CC0</a> licensed <a href=\"https://wordpress.org/photos/photo/35865a1051/\">photo</a> by <a href=\"https://wordpress.org/photos/author/theanupambista/\">Anupam Bista</a> from the <a href=\"https://wordpress.org/photos/\">WordPress Photo Directory</a>.\n\n\n\n<a href=\"https://heropress.com/wp-content/uploads/2024/01/48965a0bad9c44bc9.64532989-scaled.jpg\"><img width=\"683\" height=\"1024\" src=\"https://heropress.com/wp-content/uploads/2024/01/48965a0bad9c44bc9.64532989-683x1024.jpg\" alt=\"Green leafs\" class=\"wp-image-6384\" /></a><a href=\"https://creativecommons.org/share-your-work/public-domain/cc0/\">CC0</a> licensed <a href=\"https://wordpress.org/photos/photo/48965a0bad/\">photo</a> by <a href=\"https://wordpress.org/photos/author/sharankrishna/\">Sharankrishna VP</a> from the <a href=\"https://wordpress.org/photos/\">WordPress Photo Directory</a>.\n\n\n\n<a href=\"https://wordpress.org/photos/photo/63065a0d26/\"><img width=\"1024\" height=\"768\" src=\"https://heropress.com/wp-content/uploads/2024/01/63065a0d2692a7860.59169135-1024x768.jpg\" alt=\"Crocodile in royal chitwan national park, Nepal\" class=\"wp-image-6385\" /></a><a href=\"https://creativecommons.org/share-your-work/public-domain/cc0/\">CC0</a> licensed <a href=\"https://wordpress.org/photos/photo/63065a0d26/\">photo</a> by <a href=\"https://wordpress.org/photos/author/keshavsamarpan/\">keshavsamarpan</a> from the <a href=\"https://wordpress.org/photos/\">WordPress Photo Directory</a>.\n\n\n\n<a href=\"https://wordpress.org/photos/photo/91765a001e/\"><img width=\"1024\" height=\"768\" src=\"https://heropress.com/wp-content/uploads/2024/01/91765a001ef1ac553.14603097-1024x768.jpeg\" alt=\"A wide angle shot from the very top of Panathenaic Stadium in Athens, Greece.\" class=\"wp-image-6386\" /></a><a href=\"https://creativecommons.org/share-your-work/public-domain/cc0/\">CC0</a> licensed <a href=\"https://wordpress.org/photos/photo/91765a001e/\">photo</a> by <a href=\"https://wordpress.org/photos/author/desrosj/\">Jonathan Desrosiers</a> from the <a href=\"https://wordpress.org/photos/\">WordPress Photo Directory</a>.\n\n\n\n<a href=\"https://heropress.com/wp-content/uploads/2024/01/97659fc0c4dac781.13250590-scaled.jpeg\"><img width=\"1024\" height=\"803\" src=\"https://heropress.com/wp-content/uploads/2024/01/97659fc0c4dac781.13250590-1024x803.jpeg\" alt=\"Black dog napping in the morning sun with snowy mountains as a backdrop!\" class=\"wp-image-6387\" /></a><a href=\"https://creativecommons.org/share-your-work/public-domain/cc0/\">CC0</a> licensed <a href=\"https://wordpress.org/photos/photo/97659fc0c4/\">photo</a> by <a href=\"https://wordpress.org/photos/author/bhuwanroka/\">Bhuwan Bdr. Rokaha</a> from the <a href=\"https://wordpress.org/photos/\">WordPress Photo Directory</a>.\n\n\n\n<a href=\"https://wordpress.org/photos/photo/894659fd7e/\"><img width=\"683\" height=\"1024\" src=\"https://heropress.com/wp-content/uploads/2024/01/894659fd7e22ee227.42435147-683x1024.jpg\" alt=\"Beautiful yellow blossom\" class=\"wp-image-6388\" /></a><a href=\"https://creativecommons.org/share-your-work/public-domain/cc0/\">CC0</a> licensed <a href=\"https://wordpress.org/photos/photo/894659fd7e/\">photo</a> by <a href=\"https://wordpress.org/photos/author/sharankrishna/\">Sharankrishna VP</a> from the <a href=\"https://wordpress.org/photos/\">WordPress Photo Directory</a>.\n\n\n\n\n<p>Be sure to check out the <a href=\"https://wordpress.org/photos/\">hundreds of other great photos</a>!</p>\n</div></div>\n\n</div></div>\n\n\n<p></p>\n\n\n\n<p>The header photo for this post is a <a href=\"https://creativecommons.org/share-your-work/public-domain/cc0/\">CC0</a> licensed <a href=\"https://wordpress.org/photos/photo/90465a09dc/\">photo</a> by <a href=\"https://wordpress.org/photos/author/bhuwanroka/\">Bhuwan Bdr. Rokaha</a> from the <a href=\"https://wordpress.org/photos/\">WordPress Photo Directory</a>.</p>\n\n\n\n\n\n\n<p>That&#8217;s it for this week! If you&#8217;d like to get this post in your email every week, <a href=\"https://heropressnetwork.com/newsletter\">make sure you sign up</a>!</p>\n\n<p>The post <a href=\"https://heropress.com/foundational-pillars-from-tokyo/\">Foundational Pillars From Tokyo</a> appeared first on <a href=\"https://heropress.com\">HeroPress</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 12 Jan 2024 16:39:25 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:15;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:12:\"Matt: Forty!\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:23:\"https://ma.tt/?p=110348\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"https://ma.tt/2024/01/forty/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:5122:\"<p>Birthdays are so great because they&#8217;re about generosity.</p>\n\n\n\n<p>The act of giving, helping, is so generative.</p>\n\n\n\n<p>It&#8217;s what we can all do for ourselves and each other.</p>\n\n\n\n<p>But accepting is really hard, too! Gosh! Let it in.</p>\n\n\n\n<p>Sometimes we don&#8217;t let the gifts in.</p>\n\n\n\n<p>Approaching forty has felt impossibly light and heavy at the same time for me.</p>\n\n\n\n<p>It&#8217;s so cool to be typing this into something <strong>we made together</strong>. I want you to <em>really</em> think about that. Ponder the enormity of all that came before that allowed you to be here today, and I want you to get a little bit excited, in that sacred hidden part of your heart that yearns for more.</p>\n\n\n\n<p>Let&#8217;s keep doing that. And let&#8217;s make it better and share it so everyone can enjoy it. We make the world.</p>\n\n\n\n<p>I&#8217;ve been enjoying <a href=\"https://ma.tt/2024/01/birthday-gift/\">so much all the posts coming in for the birthday gift</a>. I&#8217;m reading them as fast as I can.</p>\n\n\n\n<p>Specifically, my failure mode is I share too much. I&#8217;m too generous. I like to err on the side of open. <em>Here&#8217;s some amazing code I wrote that you have a legal license to use however you like</em>. If you ask those closest to me how I mess up, it&#8217;s that I over-extend myself and try to do too much.</p>\n\n\n\n<p>I&#8217;ve never shared this publicly, but when the Bay Lights wasn&#8217;t going to make it the first time, I mortgaged my apartment and used that money to get it over the line. My personal finances were messy for years after that. I think a lot about being <a href=\"https://www.thefouragreements.com/the-first-agreement-be-impeccable-with-your-word/\">impeccable with my word</a>. </p>\n\n\n\n<p>I want people <a href=\"https://crowdfundr.com/TheBayLights360\">to give the smallest $10 donation to the Bay Lights</a> and encourage others to do the same so that we can all share in feeling that together, we can build things. And every time you see the light or bridge or think of San Francisco, you&#8217;ll think of that sacred hidden part of your heart that yearns for more, wants to leave everything better than you found it.</p>\n\n\n\n<p>Add some light.</p>\n\n\n\n<p>Let the gift in.</p>\n\n\n\n<p>This is the part where the sounds come in and you hear <em>it&#8217;s the remix</em>.</p>\n\n\n\n<p>I find myself returning, again and again, to the <a href=\"https://automattic.com/creed/\">Automattic Creed</a>, especially the first line:</p>\n\n\n\n<blockquote class=\"wp-block-quote is-layout-flow wp-block-quote-is-layout-flow\">\n<p>I will never stop learning. I won’t just work on things that are assigned to me. I know there’s no such thing as a status quo. I will build our business sustainably through passionate and loyal customers. I will never pass up an opportunity to help out a colleague, and I’ll remember the days before I knew everything. I am more motivated by impact than money, and I know that Open Source is one of the most powerful ideas of our generation. I will communicate as much as possible, because it’s the oxygen of a distributed company. I am in a marathon, not a sprint, and no matter how far away the goal is, the only way to get there is by putting one foot in front of another every day. Given time, there is no problem that’s&nbsp;insurmountable.</p>\n</blockquote>\n\n\n\n<p>I&#8217;m having the most amazing day reading everything that people are sharing. I want to re-share the quote I shared on <a href=\"https://tim.blog/2023/12/29/matt-mullenweg-2/\">Tim&#8217;s podcast</a> from Will Durant: </p>\n\n\n\n<blockquote class=\"wp-block-quote is-layout-flow wp-block-quote-is-layout-flow\">\n<p>Health lies in action, and so it graces youth. To be busy is the secret of grace, and half the secret of content. Let us ask the gods not for possessions, but for things to do; happiness is in making things rather than in consuming them.</p>\n</blockquote>\n\n\n\n<p>All birthday posts: <a href=\"https://ma.tt/2003/01/bday/\">19</a>, <a href=\"https://ma.tt/2004/01/so-im-20/\">20</a>, <a href=\"https://ma.tt/2005/01/hot-barely-legal-matt/\">21</a>, <a href=\"https://ma.tt/2006/01/matt-22/\">22</a>, <a href=\"https://ma.tt/2007/01/twenty-three/\">23</a>, <a href=\"https://ma.tt/2008/01/twenty-four/\">24</a>, <a href=\"https://ma.tt/2009/01/twenty-five/\">25</a>, <a href=\"https://ma.tt/2010/01/twenty-six/\">26</a>, <a href=\"https://ma.tt/2011/01/twenty-seven/\">27</a>, <a href=\"https://ma.tt/2012/01/twenty-eight/\">28</a>, <a href=\"https://ma.tt/2013/01/twenty-nine/\">29</a>, <a href=\"https://ma.tt/2014/01/matt-3-0/\">30</a>, <a href=\"https://ma.tt/2015/01/thirty-one/\">31</a>, <a href=\"https://ma.tt/2016/01/thirty-two/\">32</a>, <a href=\"https://ma.tt/2017/01/thirty-three/\">33</a>, <a href=\"https://ma.tt/2018/01/thirty-four/\">34</a>, <a href=\"https://ma.tt/2019/01/thirty-five/\">35</a>, <a href=\"https://ma.tt/2020/01/thirty-six/\">36</a>, <a href=\"https://ma.tt/2021/01/thirty-seven/\">37</a>, <a href=\"https://ma.tt/2022/01/thirty-eight/\">38</a>, <a href=\"https://ma.tt/2023/01/thirty-nine/\">39</a>, <a href=\"https://ma.tt/2024/01/forty/\">40</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 11 Jan 2024 21:57:31 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"Matt\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:16;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:90:\"Do The Woo Community: Share Your Do the Woo Experience with a Guest Post on the BobWP Blog\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"https://dothewoo.io/?p=78794\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:89:\"https://dothewoo.io/share-your-do-the-woo-experience-with-a-guest-post-on-the-bobwp-blog/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:438:\"<p>If you have been a past sponsor, guest or guest host on our shows, consider a follow-up guest blog post on BobWP.com blog.</p>\n<p>&gt;&gt; The post <a href=\"https://dothewoo.io/share-your-do-the-woo-experience-with-a-guest-post-on-the-bobwp-blog/\">Share Your Do the Woo Experience with a Guest Post on the BobWP Blog</a> appeared first on <a href=\"https://dothewoo.io\">Do the Woo - a WooCommerce and WordPress Builder Podcast</a>	.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 11 Jan 2024 10:28:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"BobWP\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:17;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:70:\"Akismet: The Top Six CAPTCHA Alternatives That Won’t Frustrate Users\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"http://akismet.com/?p=283673\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:84:\"https://akismet.com/blog/the-top-six-captcha-alternatives-that-wont-frustrate-users/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:16458:\"<p>You know the drill. You’re super excited about a new purchase, commenting on a thrilling discussion in a forum, or providing feedback to an organization. You spend your time completing forms, writing thoughtful comments, or customizing your order only to find yourself trying to “check all the boxes with a stoplight in them” before actually submitting your&nbsp;information.</p>\n\n<p>Everyone hates CAPTCHA puzzles, yet businesses continue to use them to filter out spam. Today, we’re going to explore the six best alternatives to CAPTCHA, all of which can protect you from spam activities without frustrating your prospects and customers. Finally, we’ll show you how <a href=\"https://akismet.com/features/\">Akismet</a> uses machine learning to get progressively smarter about permanent spam&nbsp;removal.</p>\n\n\n<span id=\"more-283673\"></span>\n\n\n<h2 class=\"wp-block-heading\">The downsides of CAPTCHA and why alternatives are&nbsp;needed</h2>\n\n<p>For years, users have been patient with CAPTCHA, which was one of the first solutions that helped pave the way to spam&#8209;free websites. It stands for “Completely Automated Public Turing test to tell Computers and Humans Apart.” But like all solutions, there’s always room for improvement, and in today’s day and age, we need to find a better way to fight&nbsp;spam.</p>\n\n<p>First, CAPTCHA puzzles are problematic for those with visual impairments, requiring not only the ability to see the CAPTCHA challenge but often to decipher extremely nuanced details within the images. Tests that require the user to type a string of characters can be difficult for dyslexic individuals, and some may be unfamiliar with cultural icons or graphics in visual&nbsp;ones.</p>\n\n\n<p>Second, with so many technologies focused on enhancing user experience, frustrations like the inability to solve a CAPTCHA puzzle will stand out more, negatively affecting your conversion and engagement rates. Typically, CAPTCHA puzzles can take ten seconds or more to solve and interrupt your user at a critical point in their engagement journey — right before they check out, submit a comment, or request more information.&nbsp;</p>\n\n\n\n<p>One <a href=\"https://moz.com/blog/captchas-affect-on-conversion-rates\" target=\"_blank\" rel=\"noreferrer noopener\">study by SEO software company, Moz</a>, found that many users abandon forms when they encounter a CAPTCHA —&nbsp;resulting in an overall conversion rate drop of three percent. Another <a href=\"https://web.stanford.edu/~jurafsky/burszstein_2010_captcha.pdf\" target=\"_blank\" rel=\"noreferrer noopener\">study by Stanford</a> found that only 71 percent of users even attempt to solve a CAPTCHA before abandoning the page altogether.</p>\n\n\n\n<p>If that’s not enough, a CAPTCHA may incorrectly identify a real human being as a bot, blocking further interaction with a site, while allowing more sophisticated, advanced bots through.&nbsp;</p>\n\n\n<p>Researchers at the University of California in Irvine recently conducted <a href=\"https://arxiv.org/abs/2307.12108\" target=\"_blank\" rel=\"noreferrer noopener\">a study testing both humans and bots</a> on popular CAPTCHA puzzles. The study found that bots solved distorted&#8209;text CAPTCHA tests almost perfectly in less than a second, while human beings had an accuracy rate of between 50 percent and 84 percent, spending up to 15 seconds per&nbsp;puzzle.</p>\n\n<p>Finally, it takes some significant computing power for CAPTCHAs to work properly, slowing down load times for web pages and adding to user&nbsp;frustration.</p>\n\n<p>Unfortunately, efforts to improve CAPTCHA puzzles are still lacking. Audio versions were supposed to be a solid solution, but <a href=\"https://ieeexplore.ieee.org/document/5504799\" target=\"_blank\" rel=\"noreferrer noopener\">analysis</a> shows that they’re more time intensive and significantly more difficult for certain users depending on their native language. <a href=\"https://web.stanford.edu/~jurafsky/burszstein_2010_captcha.pdf\" target=\"_blank\" rel=\"noreferrer noopener\">Another study</a> noted a 50 percent failure rate with audio&nbsp;options.</p>\n\n\n<p>Forcing people to complete any kind of test is simply not the best option if you want to maximize engagement and conversions.&nbsp;</p>\n\n\n<h2 class=\"wp-block-heading\">What to look for in bot and spam&nbsp;protection</h2>\n\n<p>Before jumping into the six alternatives to CAPTCHA puzzles, here are some key things you’ll want to look for when choosing your bot&#8209;detecting&nbsp;solution.</p>\n\n<p>First, you’ll want to be sure that your solution can successfully block bots and spam while allowing prospects and customers easy access to your site and offerings. Unfortunately, a static software solution won’t work, as bad actors are continuously trying to up their game with more sophisticated, human&#8209;like bots all the time. Be sure your selected alternative can stay ahead of the bot&nbsp;creators.</p>\n\n<p>Second, be sure your alternative is either much easier to complete, or, better yet, invisible to your prospects, customers, and visitors. Your goal is to reduce or eliminate friction to create a more positive overall user&nbsp;experience.</p>\n\n\n<p>Along the same lines, look for a cloud-based solution so that your page load times are unaffected by the bot-catching activities.&nbsp;</p>\n\n\n\n<p>Finally, you must ensure that your solution complies with global and local government data privacy rules and regulations. Remember that CAPTCHA alternatives cannot protect your site alone; instead, they must be one component of an <a href=\"https://jetpack.com/features/security/\" target=\"_blank\" rel=\"noreferrer noopener\">overall security program</a> to protect your site from malicious activity and threats.&nbsp;</p>\n\n\n<h2 class=\"wp-block-heading\">What are the best alternatives to&nbsp;CAPTCHA?</h2>\n\n<p>Fortunately, several alternatives to CAPTCHA are available on the market today, working to block spam effectively, without negatively affecting your user experience. Here are the top six to&nbsp;consider:</p>\n\n\n<img width=\"1600\" height=\"733\" src=\"https://akismet455732288.files.wordpress.com/2024/01/image.png\" alt=\"\" class=\"wp-image-283675\" />\n\n\n\n<h3 class=\"wp-block-heading\">1. <a href=\"https://akismet.com/\">Akismet</a></h3>\n\n\n<p>Founded in 2005, Akismet has been on a mission to rid the world of spam for nearly two decades. Its solution is different from CAPTCHA, primarily because it works completely in the background of a website and does not rely on user input to identify bot or spam attacks. As a result, it protects sites from unwanted bot activity without relying on prospects, customers, or visitors to prove they’re&nbsp;human.</p>\n\n<p>More than 100 million <a href=\"https://akismet.com/blog/convertkit-customerstory/\">customer websites</a> rely on Akismet, which has successfully removed more than 500 billion pieces of online spam from the web. Used by both WordPress sites and others, Akismet has generated one of the largest databases of spam activity in the&nbsp;world.</p>\n\n<p>In addition, the solution relies on advanced machine learning technology to continuously improve, staying ahead of the bad actors who are always looking for new ways to break through site&nbsp;protections.</p>\n\n<p>Self&#8209;hosted spam&#8209;fighting solutions can negatively affect the performance of the site itself, slowing down page load speeds. Akismet is a cloud&#8209;based solution, removing the operating activity from your site while delivering the protection you&nbsp;desire.</p>\n\n<h3 class=\"wp-block-heading\">2. A&nbsp;honeypot</h3>\n\n<p>A honeypot anti&#8209;spam trap is designed to trick harmful bots and spam generation programs into identifying themselves as spam. Like a real honeypot that attracts various people, animals, and insects, a honeypot anti&#8209;spam trap lures bots and spam programs with something that’s not visible to human&nbsp;beings.</p>\n\n<p>One of the most common honeypot anti&#8209;spam traps is to incorporate a field within the code that is not required or even seen by a human completing the real contact, order, or comment form. A bot, however, will scan that field and complete it, revealing its identity as a robot&nbsp;spammer.</p>\n\n<p>The honeypot then filters out and deletes that submission. While this method of spam detection can be effective for some basic bots, the honeypot anti&#8209;spam trap can be circumvented by more sophisticated spam&nbsp;efforts.</p>\n\n<h3 class=\"wp-block-heading\">3. Time&#8209;based form&nbsp;submissions</h3>\n\n<p>Another CAPTCHA alternative is time&#8209;based form submissions. The idea is that humans will take a certain amount of time to complete a form, submit an order, or write a comment, while bots typically submit spam responses much&nbsp;faster.</p>\n\n<p>Although time&#8209;based form submissions can work in theory to weed out the most basic bots, bad actors who are set on spam attacks can easily program a bot to slow down its activity. So companies that use this method are hoping that spammers targeting their site will be too unsophisticated to slow down their bot submissions and will just move on to other targets. This is, frankly, a fairly weak form of&nbsp;protection.</p>\n\n\n<img width=\"1600\" height=\"744\" src=\"https://akismet455732288.files.wordpress.com/2024/01/image-1.png\" alt=\"Google reCAPTCHA landing page\" class=\"wp-image-283677\" />\n\n\n<h3 class=\"wp-block-heading\">4. reCAPTCHA&nbsp;v3</h3>\n\n<p>reCAPTCHA v3 is a more advanced bot detection solution, helping site owners identify spam activity on their website and customize the level of protection to suit their risk&nbsp;tolerance.</p>\n\n\n<p>Like the other CAPTCHA alternatives, version three doesn’t rely on user interaction to make the bot or spam determination, but works in the background of a website. It uses adaptive risk analysis to alert site owners of suspicious behaviors and should be placed on multiple pages so that patterns of abusive activities are more accurate.&nbsp;</p>\n\n\n<p>While this sounds pretty lovely, there are a fair number of downsides to using reCAPTCHA v3. First, though it allows for more customized control by site owners, it also requires advanced setup and integration with Google’s API, which could be difficult for the average site&nbsp;owner.</p>\n\n<p>There’s some <a href=\"https://www.fastcompany.com/90369697/googles-new-recaptcha-has-a-dark-side\" target=\"_blank\" rel=\"noreferrer noopener\">pushback around privacy</a>, as it provides Google with <em>a lot</em> of data, and it can also prevent the functioning of certain positive bots, like SEO&nbsp;crawlers.</p>\n\n\n<p>And while it’s good at detecting spammers, it’s known to falsely label real user interactions as spam without providing recourse for these individuals.&nbsp;</p>\n\n\n<h3 class=\"wp-block-heading\">5. Reimagined CAPTCHA&nbsp;puzzles</h3>\n\n<p>With reducing friction is the number one reason businesses want to find a CAPTCHA alternative, there have been developments in simplifying the puzzles themselves. For example, instead of presenting blurry pictures and asking users to identify some random item in each of them, organizations have added a field at the end of their form asking for the solution to a simple math&nbsp;problem.</p>\n\n<p>Similar solutions require checking a box to indicate that visitors are human, using a slider bar before completing the submission, or playing a short drag&#8209;and&#8209;drop game to&nbsp;continue.</p>\n\n\n<p>All of these function very much like popular CAPTCHA puzzles, but may be less frustrating for the user. Unfortunately, more sophisticated bots may be able to find ways to complete these tasks as easily or better than human beings. And any barrier, even if it’s quick to get through, will deter some positive activity.&nbsp;</p>\n\n\n<h3 class=\"wp-block-heading\">6. General web security&nbsp;protections</h3>\n\n<p>If you run a site, you already know the importance of site security and probably have some general protections like <a href=\"https://jetpack.com/features/security/\" target=\"_blank\" rel=\"noreferrer noopener\">firewalls</a>, <a href=\"https://jetpack.com/features/security/secure-authentication/\" target=\"_blank\" rel=\"noreferrer noopener\">multifactor authentication</a>, and <a href=\"https://jetpack.com/upgrade/scan/\" target=\"_blank\" rel=\"noreferrer noopener\">malware detection</a> in place.&nbsp;</p>\n\n\n<p>While these can protect your site from a wide variety of cybersecurity threats and may prevent some spammy behavior in the process, they aren’t really designed to specifically address spam.&nbsp;</p>\n\n\n<p>It’s important for every website to find a solution for this specific problem to keep your comment sections, form submissions, and order process free from spam and bot&nbsp;activity.</p>\n\n<h2 class=\"wp-block-heading\">Why Akismet is the best CAPTCHA&nbsp;alternative</h2>\n\n<p>Whether you’re a WordPress user or rely on another website platform, Akismet is the best alternative to CAPTCHA. First and foremost, its ability to work completely behind the scenes means that your website visitors are released from the task of solving time&#8209;consuming, frustrating puzzles before completing an order, leaving a comment, or filling out a&nbsp;form.</p>\n\n<p>This fact alone means that you’ll improve your user experience, reduce friction in engaging with your organization, and increase conversions. All of those benefits ultimately lead to higher profits and long&#8209;term&nbsp;success.</p>\n\n<p>In addition, because Akismet has been on a mission to remove spam from the web for nearly 20 years, it has amassed a significant database of spam information and taken advantage of machine learning technology to stay ahead of spam creators. This experience and massive database means that Akismet is incredibly effective at identifying spam and is continuously improving its&nbsp;performance.</p>\n\n<p>With 99.9% accuracy, though, it’s already at the top of the&nbsp;game.</p>\n\n<p>Finally, Akismet doesn’t negatively affect the performance of your website because it operates in the cloud. This means that page load times don’t decrease, even as Akismet is busy protecting your organization from bot attacks and&nbsp;spam.</p>\n\n<p>To learn more about how <a href=\"https://akismet.com/enterprise/\">Akismet can protect your business</a>, reach out&nbsp;today.</p>\n\n<h2 class=\"wp-block-heading\">Frequently asked&nbsp;questions</h2>\n\n<h3 class=\"wp-block-heading\">What is&nbsp;CAPTCHA?</h3>\n\n<p>A CAPTCHA is a computer&#8209;generated test used to differentiate humans from bots. It became a popular way to block spam attacks automatically in the early 2000s. CAPTCHA tests may include checking a box, typing a series of characters, or solving a visual puzzle before comments, forms, or orders are&nbsp;submitted.</p>\n\n<h3 class=\"wp-block-heading\">Why is there a need to find alternatives to&nbsp;CAPTCHA?</h3>\n\n<p>CAPTCHA tasks can be extremely frustrating to users, especially when they’re difficult to solve or incorrectly identify a human as a bot. They create a poor user experience, reduce conversions, and can leave a negative brand impression. They also limit engagement with visually impaired&nbsp;visitors.</p>\n\n<h3 class=\"wp-block-heading\">Is it possible to stop spam without&nbsp;CAPTCHA?</h3>\n\n<p>Yes, fortunately, there are alternatives to fight spam effectively without using CAPTCHA puzzles. The most effective is <a href=\"https://akismet.com/pricing/\">Akismet</a>, which not only successfully removes and blocks spam from websites, but continuously improves its performance through machine&nbsp;learning.</p>\n\n<h3 class=\"wp-block-heading\">What is&nbsp;Akismet?</h3>\n\n<p>Akismet is a cloud&#8209;based, spam&#8209;fighting solution that works completely in the background to rid your site of malicious activity. It requires no interaction from your users, which means no added friction in your user experience. Akismet has successfully removed more than 500 billion pieces of spam from the&nbsp;web.</p>\n\n<h3 class=\"wp-block-heading\">Why is Akismet the best alternative to&nbsp;CAPTCHA?</h3>\n\n<p>Akismet is the best alternative to CAPTCHA because it successfully blocks spam by working behind the scenes, freeing your visitors from frustrating puzzles. With nearly two decades of experience, Akismet has one of the largest spam databases available and continues to improve its detection capabilities through machine learning&nbsp;technology.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 10 Jan 2024 15:16:59 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:11:\"Jen Swisher\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:18;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:97:\"WPTavern: #105 – Pascal Birchler on Revolutionizing Image and Video Processing Within WordPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:48:\"https://wptavern.com/?post_type=podcast&p=152160\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:111:\"https://wptavern.com/podcast/105-pascal-birchler-on-revolutionizing-image-and-video-processing-within-wordpress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:45214:\"Transcript<div>\n<p>[00:00:00] <strong>Nathan Wrigley:</strong> Welcome to the Jukebox podcast from WP Tavern. My name is Nathan Wrigley.</p>\n\n\n\n<p>Jukebox is a podcast which is dedicated to all things WordPress. The people, the events, the plugins, the blocks, the themes, and in this case, new ways to interact with your media within WordPress.</p>\n\n\n\n<p>If you&#8217;d like to subscribe to the podcast, you can do that by searching for WP Tavern in your podcast player of choice, or by going to WPTavern.com forward slash feed forward slash podcast, and you can copy that URL into most podcast players.</p>\n\n\n\n<p>If you have a topic that you&#8217;d like us to feature on the podcast, I&#8217;m keen to hear from you and hopefully get you, or your idea, featured on the show. Head to WPTavern.com forward slash contact forward slash jukebox, and use the form there.</p>\n\n\n\n<p>So on the podcast today, we have Pascal Birchler. Pascal is a longstanding WordPress community member, and Core committer, with a focus on internationalization, WP-CLI, and performance.</p>\n\n\n\n<p>He&#8217;s been working on a project for the past six months to enhance the media capabilities of the WordPress block editor. His work includes client side image optimization, image compression, video enhancements, and speech to text features such as subtitle generation.</p>\n\n\n\n<p>It&#8217;s unlike anything that I&#8217;ve ever seen, you upload media into the block editor and it&#8217;s manipulated right there inside the editor, by the browser, not by some remote server.</p>\n\n\n\n<p>This is all achieved by harnessing the power of WebAssembly, and we discover what Pascal has managed to achieve thus far, and how he thinks that there&#8217;s going to be so much more to come.</p>\n\n\n\n<p>We talk about how you can change images from legacy formats, like JPEG and GIF, into other, more modern formats, such as WebP and AVIF. Pascal explains how this is actually achieved, and why the new format so desirable. It&#8217;s all about reducing file sizes, server resource consumption, and the speed boost your site will gain as a result.</p>\n\n\n\n<p>We also get into the conversion of animated GIFs into videos, and creating videos with transcripts on the fly. And remember, this is all done in the block editor, with the browser itself as the workhorse.</p>\n\n\n\n<p>Pascal seems to be onto something here, and it&#8217;s really compelling listening to him argue that something like his plugin might be worthy of inclusion into WordPress Core at some point.</p>\n\n\n\n<p>He explained some other projects, which he&#8217;s been working on inspired by the high volume of feedback he received after releasing his plugin.</p>\n\n\n\n<p>If you&#8217;re interested in pushing the boundaries of user experience, performance optimization, and compliance with evolving web standards this episode is for you.</p>\n\n\n\n<p>If you want to find out more, you can find all of the links in the show notes by heading to WPTavern.com forward slash podcast, where you&#8217;ll find all the other episodes as well. And so without further delay, I bring you Pascal Birchler.</p>\n\n\n\n<p>I am joined on the podcast today by Pascal Birchler. Hello, Pascal.</p>\n\n\n\n<p>[00:03:42] <strong>Pascal Birchler:</strong> Hello. Hi there.</p>\n\n\n\n<p>[00:03:43] <strong>Nathan Wrigley:</strong> Very, very nice to have you with us. We&#8217;re going to talk today, well, I think it&#8217;s broadly, we&#8217;re going to be talking about images. But there&#8217;s an awful lot of different technologies that Pascal has been working on over the, well, I don&#8217;t know how long. But I&#8217;ve only recently caught sight of the projects that you&#8217;ve been working on.</p>\n\n\n\n<p>Pascal, just before we begin that, would you just tell us a little bit about yourself? Perhaps what your day job is, what your relationship is with WordPress, and so on. Just a little bio time really.</p>\n\n\n\n<p>[00:04:10] <strong>Pascal Birchler:</strong> Sure, yeah. So my name is Pascal, and I&#8217;ve been a WordPress community member for, I don&#8217;t know, 15 years now or so. So I&#8217;ve been doing a lot of contributions around internationalisation, so like anything multilingual. But recently also performance, and day-to-day, that&#8217;s really what I&#8217;m focusing on.</p>\n\n\n\n<p>So I started as a WordPress contributor. Then I joined Google, as part of a team that is trying to make the web faster, that includes making WordPress faster.</p>\n\n\n\n<p>[00:04:36] <strong>Nathan Wrigley:</strong> Yeah, the performance team have been doing great work over the last, well, I&#8217;m going to say about 18 months it feels like they&#8217;ve been in existence. But WordPress itself has been made significantly quicker, over the various iterations of the project recently.</p>\n\n\n\n<p>But I know that the browsers themselves have become better at doing an awful lot of things. And so I think what we&#8217;re going to talk about today will probably involve conversations around what the browsers can handle, and things like that.</p>\n\n\n\n<p>But it&#8217;s very rare, Pascal, that I watch something online to do with WordPress, or technology, and I am actually having to lift my jaw away from the floor. But a little video that Pascal posted onto Twitter, not that long ago, maybe 10 days ago or something like that, really did make my jaw hit the floor. Because you were showing things that you&#8217;ve been working on that I had never seen before.</p>\n\n\n\n<p>Not just that, I had no intuition that it was even possible. It&#8217;s going to make your WordPress life much better in the future, let&#8217;s hope.</p>\n\n\n\n<p>Do you want to tell us a little bit about the project that you&#8217;ve been working on? And then we&#8217;ll get into the weeds of all of the different things that it can do, and yeah, just tell us how long you&#8217;ve been working on it, and what it really does.</p>\n\n\n\n<p>[00:05:42] <strong>Pascal Birchler:</strong> Sure. Absolutely. First of all, that&#8217;s exactly the reaction that I hoped to get from people, as I&#8217;ve been working on this project, or these media experiments, how I would like to call them, for maybe half a year or so. Like I occasionally started working on it and didn&#8217;t stop, and start again.</p>\n\n\n\n<p>It&#8217;s basically a collection of things that enhance the media capabilities of WordPress, or specifically the block editor. Most of the things are around like client side image optimisation, image compression. But also anything related to videos or speech to text, like subtitle generation.</p>\n\n\n\n<p>[00:06:18] <strong>Nathan Wrigley:</strong> So you just swept it to one side, really, how impressive it is. But the key component there, that was so amazing to me, was the fact that it&#8217;s all done client side. So perhaps, dear listener, the best thing to do would be to pause this episode, go and search for it over on WP Tavern, and watch from the links, the two little Twitter videos that Pascal put together, and you&#8217;ll be in a much better position.</p>\n\n\n\n<p>But what you&#8217;re going to see is truly remarkable. So it&#8217;s block editor based, so you&#8217;re in the Gutenberg editor. I don&#8217;t know if it&#8217;ll work in any other scenario of WordPress, with page builders or what have you. But that&#8217;s the paradigm that we&#8217;re talking about.</p>\n\n\n\n<p>And Pascal is sitting there, and he decides that he wants to have an image which is currently a jpeg, and he doesn&#8217;t want it to be a jpeg. He wants to reduce the size of it, so that it consumes less resources on the server, but also can be served up to the end user. He wants to pass Core Web Vitals, because he&#8217;s a good Googler.</p>\n\n\n\n<p>And so he throws it into Gutenberg, and Gutenberg seemingly converts it. Now I&#8217;m obviously doing it injustice. Please tell me what&#8217;s happening, because I haven&#8217;t the faintest idea how you&#8217;ve achieved this. So you put an image directly onto the Gutenberg canvas, and it&#8217;s no longer a jpeg. It&#8217;s been converted in some way, in the background, disconnected from the internet. This could be on a computer, completely disconnected from the internet. So it&#8217;s happening in the browser. How is it happening?</p>\n\n\n\n<p>[00:07:40] <strong>Pascal Birchler:</strong> So first of all, browsers are extremely capable of doing image compression, or even image conversion. But they&#8217;re also a little bit limited in like to what extent they can do that. So to overcome those limits, I&#8217;m using a technology called WebAssembly. Which allows basically like regular software that you would otherwise install on a computer, and bring that to the browser.</p>\n\n\n\n<p>And in this case, this is an image processing library that I&#8217;m using. For example, I&#8217;m using the VIPS, or libvips image library. And using WebAssembly I can do all sorts of image rotation, thumbnail generation, directly in the browser. And then from there I will upload it to WordPress.</p>\n\n\n\n<p>[00:08:19] <strong>Nathan Wrigley:</strong> So is this, therefore a plugin, that you have pre-installed into the version of WordPress that you were using for the demo there. So this is a plugin that you&#8217;ve built, you&#8217;ve installed it, and I don&#8217;t if there are any settings in there. But even if you just activate it, as soon as you begin throwing images, there is the option to convert them to different formats, right out of the box. You don&#8217;t have to do anything else.</p>\n\n\n\n<p>[00:08:42] <strong>Pascal Birchler:</strong> Correct. It&#8217;s a plugin that I started. It works without any additional configuration, but of course, if you prefer not changing the image format, but just want to compress images. Or if you prefer, let&#8217;s say WebP or AVIF over jpeg, you can say so as well. And there are a few more settings that I added, but mostly for like testing and like, trying different things out.</p>\n\n\n\n<p>[00:09:04] <strong>Nathan Wrigley:</strong> Yeah. I mean, it&#8217;s a first run at this project, so maybe we&#8217;ll see some things in the future. We&#8217;re recording this at the end of 2023, so it&#8217;s still really hot off the press.</p>\n\n\n\n<p>But just to digress a little bit, and move away from the technology. Why have you done this? What is the purpose of it? Now I&#8217;m guessing that there&#8217;s maybe some sort of environmental impact here. There&#8217;s the cost of storage, and all of those kind of things. What&#8217;s the point? Why would you even want to convert images from one format to another? After all, it looks the same, broadly, once you&#8217;re viewing it. What&#8217;s the purpose?</p>\n\n\n\n<p>[00:09:36] <strong>Pascal Birchler:</strong> Doing this has many advantages. So one is that if you want to do this, but you&#8217;re limited in server resources, now this allows anyone to use this technology and compress their images. And compressing images, or using a different file format, as you say, has like good impact on file size. Which means less bandwidth used, has a nice side effect of like images loading faster on your website, which is great for passing all these Core Web Vitals.</p>\n\n\n\n<p>But it&#8217;s also a user experience benefit. Your visitors will see the images faster. And I think that&#8217;s the nice thing about this project, is that it has some performance aspects, but in the end it&#8217;s a lot about user experience.</p>\n\n\n\n<p>[00:10:18] <strong>Nathan Wrigley:</strong> So the modern versions of image formats, it may be that some of the listeners aren&#8217;t really familiar with those. I&#8217;m pretty sure that if you&#8217;ve been on the internet for any length of time, you&#8217;re familiar with jpegs, and pngs, and GIFs, or GIFs, however you wish to pronounce it. But you&#8217;re trying, well, in the video at least, you are converting them into an image format, which maybe people haven&#8217;t heard of before.</p>\n\n\n\n<p>It&#8217;s called AVIF, but also I think you mentioned WebP as well. I know it&#8217;s maybe not in your wheelhouse directly, but can you just give us an idea of what&#8217;s going on there? What kind of reduction could we have? Let&#8217;s say if we took a, I don&#8217;t know, a two megabyte jpeg and pushed it through to be an AVIF. Roughly speaking, and I know it&#8217;s dependent upon what is in the image, but broadly speaking, what kind of benefits can you get in terms of percentages that are cut away?</p>\n\n\n\n<p>[00:11:04] <strong>Pascal Birchler:</strong> Oh, that&#8217;s a great question. I think in my test video, I saw a reduction of like maybe 40% or so in file size.</p>\n\n\n\n<p>[00:11:11] <strong>Nathan Wrigley:</strong> Good grief. Right.</p>\n\n\n\n<p>[00:11:12] <strong>Pascal Birchler:</strong> And there was like no noticeable differences to the eye. But there are like quality settings that you can change. Depending on the level of quality that you like for your use case, you can get it even further down.</p>\n\n\n\n<p>[00:11:24] <strong>Nathan Wrigley:</strong> So really significant amounts of data. You know, if your website is image heavy, then doing this, and there&#8217;s no noticeable loss to the viewer. Perhaps there is some sort of degradation, if you were to expand it, and you were a professional photographer, who knows? But something in the region of a 40% decrease.</p>\n\n\n\n<p>Do you know if, at this point, so again we&#8217;re in December 2023. Is it possible for all browsers to be able to show these images back to us? So it&#8217;d be fabulous to be able to use AVIFs, but then obviously if a significant proportion of the internet out there can&#8217;t actually see them, because their browsers don&#8217;t support that, that would be troublesome. So do you have any inclination as to what the compatibility is with browsers, displaying WebPs and AVIFs?</p>\n\n\n\n<p>[00:12:08] <strong>Pascal Birchler:</strong> I think last I checked, WebP is supported by all browsers. So that includes Chrome, Firefox, Safari, Edge, and so on. And AVIF is not currently supported by default in Edge. All the other browsers support it. And in Edge, it needs to be enabled with a flag.</p>\n\n\n\n<p>[00:12:25] <strong>Nathan Wrigley:</strong> Oh, so there is support, it just merely isn&#8217;t enabled. So if you&#8217;re an Edge user, you can make it available.</p>\n\n\n\n<p>So really there&#8217;s no reason not to do this if pretty much every browser is able to support this, why wouldn&#8217;t you do this? And I guess the beauty of your system that you&#8217;ve built, is that there&#8217;s no, there&#8217;s literally no thing to do. You just put the image onto the page, or the post, or whatever it may be, in the same way that you would always do, and it just happens on the fly.</p>\n\n\n\n<p>Is there a little bit of a wait there? So let&#8217;s say, again, my image of two megabytes, something like that, jpeg uploaded. Is this happening more or less instantly in a typical modern computer, or do I have to sit there and twiddle my thumbs for a little while, as I might have done in the past if I was using a server side technology to do this?</p>\n\n\n\n<p>[00:13:13] <strong>Pascal Birchler:</strong> It&#8217;s pretty much instantly, but only because you don&#8217;t see what&#8217;s going on in the background. So when you drop the image in the editor, you can already see it, you can already, you know, add some gradients in the block editor, or continue writing your post. And in the background, the image is compressed, and all the thumbnails are being generated, and finally uploaded to WordPress. But you can already continue editing.</p>\n\n\n\n<p>[00:13:37] <strong>Nathan Wrigley:</strong> Okay. So really you can just carry on with your day, keep editing as normal, and in the background this will happen.</p>\n\n\n\n<p>So what&#8217;s the flow in terms of where this is getting saved? So, again, we&#8217;ll use my example, I&#8217;m using a jpeg. Will the jpeg be saved in the media library, ultimately, as well? Or will just the converted image get kept? Because I know that a lot of the other server side solutions, some commercial solutions and what have you, which compress images, they have loads of options and many of them are, for example, keep the original. We&#8217;ll convert it for you, we&#8217;ll compress it for you, but we&#8217;ll also keep the original. And it may not be that that&#8217;s what your plugin does. So how does it handle the original? Where does it put that?</p>\n\n\n\n<p>[00:14:15] <strong>Pascal Birchler:</strong> Right now it keeps uploading the original to WordPress, in case you want to restore that or use that for, I don&#8217;t know, downloads or something. But this can be made optional, because everyone has different needs. For example, photographers prefer to have the full size images available, just in case, maybe for their clients. But this can be turned off if you prefer to save resources.</p>\n\n\n\n<p>[00:14:37] <strong>Nathan Wrigley:</strong> Okay. So that, I guess, brings me to the next question. What are the settings that you have at the moment? So, you&#8217;ve mentioned that you know, you can keep the original, or delete the original, or what have you. Are you able to specify, okay, every time I upload a jpeg, turn it into an AVIF, every time I upload a WebP, turn it into an AVIF? Are there different settings in the backend there that I can configure, so that it just meets my exact requirements?</p>\n\n\n\n<p>[00:14:58] <strong>Pascal Birchler:</strong> You pretty much nailed it. Right now the setting is limited, like you can choose your preferred format, and it uses that. But the next step is to provide a setting per file type, so that you can really specify what you want to be for every type of file that you upload.</p>\n\n\n\n<p>The settings are really fine grained in that regard. I hope them to be fine grained. There are also more settings, for example, for thumbnail generation. You can choose whether the thumbnail should be generated on the server, or in the browser as well, which is the default.</p>\n\n\n\n<p>And the third option is to have the client side thumbnail generation, but make it smarter. So for example, if you have a photo of a person somewhere, right now WordPress just crops like these 150 by 150 thumbnails from the center of the image. But with the smart option, it will focus on the person&#8217;s face to be in the center, just so much more useful.</p>\n\n\n\n<p>[00:15:50] <strong>Nathan Wrigley:</strong> Wait, it makes a decision about what to crop, based upon the content of the picture. So it&#8217;s intelligent enough to know that there&#8217;s an object over here which is of significance, crop around that. That&#8217;s great.</p>\n\n\n\n<p>How would that work for other things? This is going to go off in a strange direction. Let&#8217;s say I had a, I don&#8217;t know, a cat or something like that in the picture, but there was nothing else. There was just this singular cat, and it was top right. Is it able to intuit that there&#8217;s an object in this picture which needs focus?</p>\n\n\n\n<p>[00:16:16] <strong>Pascal Birchler:</strong> Yeah, so the image library that I&#8217;m using tries to detect the most prominent object in a photo. So there could be an animal, or something else. Of course it&#8217;s not perfect when it&#8217;s, I don&#8217;t know, a photo of like a group of people or something, but it&#8217;s better than nothing.</p>\n\n\n\n<p>[00:16:30] <strong>Nathan Wrigley:</strong> Yeah, it has to make a decision about which person is more important in that picture. But again, just to emphasise, if you&#8217;re listening to this, we&#8217;re not talking about this data leaving your computer, getting crunched on somebody else&#8217;s machine, and then being sent back. This is all happening inside the browser, right before your eyes, or not before your eyes. It&#8217;s really just happening, and the result comes out before your eyes.</p>\n\n\n\n<p>You may not know the answer to this, I hope that you do. But, why do browsers have all of this technology baked into them? What&#8217;s the reason for that? I mean, I could guess what some of the reasons would be, but I&#8217;m interested to know if you&#8217;ve got more concrete data on that. Why would a browser ship with all of these image conversion, formatting options, all the other things you&#8217;ve described?</p>\n\n\n\n<p>[00:17:14] <strong>Pascal Birchler:</strong> Well, as I said, the browser does have some image formatting or conversion options, but they&#8217;re limited. That&#8217;s why I&#8217;m able to use external libraries, through Web Assembly. And the reason that Web Assembly is a thing is it just, it makes the web so much more powerful. It allows things like Photoshop to run on the web, which previously wasn&#8217;t possible. I think for the web to still matter in years to come, browsers and websites and web technologies need to evolve, support use cases like that.</p>\n\n\n\n<p>[00:17:41] <strong>Nathan Wrigley:</strong> Yeah, I have this intuition, I could be wrong. But I have this intuition that in a decade from now, more and more of the things that I&#8217;m still holding out on my computer at home, will have gone over to the browser. And it feels like video and images are still in the domain of the desktop computer often, just because of, well, the amount of data that has to fly around for a start.</p>\n\n\n\n<p>But also, if you&#8217;ve got an hour long video and you&#8217;re trying to edit little bits, it does seem that online solutions don&#8217;t quite make the grade yet boy, it&#8217;s changing quickly. And if we stare into our crystal ball, a year into the future, two years, five years, I feel that a lot of this will have been taken over by online tools.</p>\n\n\n\n<p>So we talked about the fact that you can upload an image, but it goes a lot further than that, because you can take a bunch of images. Now I don&#8217;t know how much you&#8217;ve battle tested this, whether or not you&#8217;ve put in 500, 1,000, 10,000 images. But in the example you used, I think you put three images in, and it did the same thing.</p>\n\n\n\n<p>So if you were a photographer, or you had a post that was heavy with images, this can all be done. You don&#8217;t have to do one at a time, wait for it to happen. It&#8217;ll just put them all into a queue, I&#8217;m guessing, and tackle them one at a time.</p>\n\n\n\n<p>[00:18:43] <strong>Pascal Birchler:</strong> That&#8217;s exactly right. Yeah, I have this sort of queuing system that I built. It can do multiple images at a time, or only one. That depends on a lot of factors. For example, like how many CPU cores that you have on your machine.</p>\n\n\n\n<p>The good thing is that everything happens in the background in so-called Web Workers. And these are separate threads from the main website, which means even if you throw more than one image at it, it will be separate from the main thread, so you&#8217;re not blocked from writing any more content. I don&#8217;t have 10,000 images on my computer to test it with, but maybe I should.</p>\n\n\n\n<p>[00:19:15] <strong>Nathan Wrigley:</strong> But it will cue them, and so we&#8217;re expecting it to work in the normal way. But certainly for a normal amount of images, it&#8217;s going to handle it correctly. Let&#8217;s say though, that I did throw 100 images at it, which is going to consume a little bit of time. I&#8217;m imagining, you know, there would be some human noticeable amount of time for that to happen.</p>\n\n\n\n<p>And then I was to stray away from that post. Close it down, for example, or go to a different screen inside a WordPress. Does the browser continue that operation? What is the connection? How is it bound? Does the post need to be open for all of this to happen? And also, what about just failure? If something fails to happen, do we get a notification to say, whoops, it didn&#8217;t do what it was anticipating to do?</p>\n\n\n\n<p>[00:19:55] <strong>Pascal Birchler:</strong> So yes, you definitely need to stay in the editor while the upload is in progress. There will be a warning if you try to navigate away. Of course, if this were like a single page application, where you&#8217;re not actually like changing origins, going to another website that could continue to upload. But for the upload to finish, you need to stay in the editor.</p>\n\n\n\n<p>If an upload errors, there will be notifications of course. Thanks to this queuing system, it&#8217;s even possible to change your mind and cancel uploads, if you prefer. For example, if you notice, oh dang, I uploaded wrong image. You don&#8217;t have to wait for the upload to finish to fix that mistake, so you can just cancel it.</p>\n\n\n\n<p>[00:20:29] <strong>Nathan Wrigley:</strong> Yeah, that&#8217;s great. Now, it&#8217;s not just images though, it will handle a whole load of other things. And there&#8217;s a couple that you demonstrate. The first one is something which is, obviously something that irritates you a little bit. Animated GIFs or GIFs, however you wish to pronounce them. You&#8217;d rather that they were made into videos, and so it will do that as well.</p>\n\n\n\n<p>If you were to throw an animated GIF into it, it will recycle that as an actual image, with a play and stop button, so that you&#8217;ve got some agency about what&#8217;s actually happening on the screen there. Again, so that&#8217;s presumably just for GIFs. I can&#8217;t think of any other image format off the top of my head, which has that animation possibility. But that will create a video of the same dimensions or, what&#8217;s it doing there?</p>\n\n\n\n<p>[00:21:11] <strong>Pascal Birchler:</strong> So yeah, animated GIFs or GIFs are painful. WebP also supports animation, but it&#8217;s not that common. But for animated GIFs, they&#8217;re really bad for, not just performance, but also user experience, because you can&#8217;t stop them. They just autoplay, they&#8217;re super heavy in file size usually. And if you, for example, prefer reduced motion, which is like a setting in most operating systems and browsers. A GIF won&#8217;t stop. But a video can be stopped, but it can also be preloaded, can have a poster image. So it&#8217;s just way better from a user experience.</p>\n\n\n\n<p>And the plugin converts GIF or GIF to a video with the same size. Creates a poster image as well. So if the video is stopped, or still being loaded, you will see a preview image as well. You can have either the controls to play, pause, or it just loops and autoplays, like a GIF. You don&#8217;t see the difference.</p>\n\n\n\n<p>[00:21:59] <strong>Nathan Wrigley:</strong> It&#8217;s what we need. Agency over animated GIFs, that&#8217;s for sure. And it just all happens seamlessly. But again, another jaw off the floor moment was when I saw that you were creating video content inside the post editor. So, you know, imagine, dear listener, that you are in a post, you&#8217;ve clicked add new post, and there you are.</p>\n\n\n\n<p>Shoot video from the webcam, or I&#8217;m guessing any camera that might be attached to the machine. Shoot it, save it into the media library inside the post. As if that wasn&#8217;t enough, also transcribe it in real time. Now, I don&#8217;t know if that transcription gets burned onto the video, or if it&#8217;s just something that&#8217;s happening as you are watching it.</p>\n\n\n\n<p>But that&#8217;s truly remarkable as well. And it leads me to all sorts of thoughts about being able to, I don&#8217;t know, communicate with other people, with synchronous video, a bit like we have with Zoom, or something like that, inside of a post. I&#8217;m not entirely sure why you would wish to do that, but those kind of possibilities becoming available. How did you do that? How does that work?</p>\n\n\n\n<p>[00:23:05] <strong>Pascal Birchler:</strong> You bring something interesting up, because there&#8217;s like this collaboration feature being worked on in the block editor. So just imagine having a video call, and maybe saving that video afterwards, who knows?</p>\n\n\n\n<p>So for this particular feature I&#8217;m again, using the powers of Web Assembly to use the FFmpeg video library in the browser. So FFmpeg is a really powerful tool set. It can do video conversion, all sort of things. And I use that in a browser to basically record the video, or take the recorded video and convert it to like a MP4, whatever is a good format for you.</p>\n\n\n\n<p>And for the subtitles, I&#8217;m using a different solution, which is based on an open source machine learning models, that do transcription, like speech to text. And that generates a vtt captions file. Similar to srt, it&#8217;s a separate file, it&#8217;s not burned into the video. And you can use other tools to then edit the captions, or you could even build a caption editor directly in WordPress.</p>\n\n\n\n<p>[00:24:04] <strong>Nathan Wrigley:</strong> Most video solutions allow you to upload and combine the two, don&#8217;t they? So it&#8217;s got timestamping in, so it knows when a particular word is about to appear on the screen. And so it can handle all of that. But it creates that file on the fly. So it not only creates the video file, stores that into the media library, but if you have the option set for the vtt file, it will also save that. And presumably, because of the time that they were saved, there&#8217;s a very high probability they&#8217;ll end up right next to each other in the media library. So you could associate the two.</p>\n\n\n\n<p>That is truly impressive. I can only imagine what could be possible with that. Because all you are doing is showing that it can be done, and it can be saved right there. But yeah, I kind of feel that once that gets out into the wild, other developers will have intuitions as to what to do with that, aside from you, and may well wish to do something.</p>\n\n\n\n<p>But you&#8217;re right, you know, can you imagine a scenario where, I don&#8217;t know, a graphic designer wants to talk to another graphic designer about a particular post, or a particular page that they&#8217;re working on and, well, let&#8217;s just hop in, and actually work on it together whilst we&#8217;re in the page. We don&#8217;t need another third party solution. I don&#8217;t know, maybe that&#8217;s a bit extreme. But absolutely fascinating how you&#8217;ve managed to pull all of this off.</p>\n\n\n\n<p>You mentioned the libraries that you were using there to do the video transcoding. Again, is all of that bundled in with the plugin, or is any of this going out of our computer, out of our browser somewhere, and getting converted, and then being sent back? Or is it all happening on our machine?</p>\n\n\n\n<p>[00:25:27] <strong>Pascal Birchler:</strong> It&#8217;s all happening on your machine. I know it&#8217;s sometimes crazy to believe, but yeah.</p>\n\n\n\n<p>[00:25:32] <strong>Nathan Wrigley:</strong> I mean, really, truly crazy. One thing that you own that I don&#8217;t own is you have an iPhone, which it turns out also has an unusual, well not unusual because there&#8217;s a lot of iPhones out there. But it&#8217;s not a web friendly image format. I didn&#8217;t even know what it was called until you showed it on the screen, it&#8217;s HEIC or HEIF. And it&#8217;s simply for Apple devices.</p>\n\n\n\n<p>So I&#8217;m guessing if you&#8217;ve got a Mac or an iPhone, it will show it just fine. But if you&#8217;re trying to upload that to the media library, you&#8217;re going to have a problem. So conversion has to happen there. And you&#8217;ve got a nice, another nice little option there. If you throw that in, that will also get converted, again to your preferred one. So it could be, I don&#8217;t know, AVIF or WebP, whatever you&#8217;d like.</p>\n\n\n\n<p>[00:26:13] <strong>Pascal Birchler:</strong> Yeah. So it&#8217;s a super annoying format to use on the web. Right now, it will convert to WebP or AVIF, whatever you have set. The file format itself also supports like multiple frames, because on iPhone, you have this feature called live photos, where the photo is sort of like a video. So you could technically even convert this image to a video when you upload it. So you have this live photo effect also on the web.</p>\n\n\n\n<p>[00:26:36] <strong>Nathan Wrigley:</strong> But it&#8217;ll do all of that out of the box. So all of that is absolutely fascinating, and we&#8217;ll get to something else that you showed in a slightly different video in a moment. The purpose of this, obviously, you&#8217;re scratching your own itch, you&#8217;ve done something which will definitely be helpful in the future. It does strike me that a lot of this is definitely within the scope of being put into core.</p>\n\n\n\n<p>Now, I know that an awful lot of stuff comes through the news outlets each and every week about amazing WordPress products, and some of it clearly is really out of the scope of core. But do you have an intuition that some of this really could be baked into core, would be useful in core? Is that something you are going to be trying to push for in 2024?</p>\n\n\n\n<p>[00:27:19] <strong>Pascal Birchler:</strong> Well based on the reactions of people to the demos I&#8217;ve shared, there&#8217;s definitely interest. Seems to be useful for many people. Be that the HEIC conversion or the thumbnail generation. So I definitely see potential for this to be in core, and it&#8217;s something that I want to strive for in the next year. But it will be definitely limited in scope. Like, you won&#8217;t see fancy video recording or something in core, I would say. So I would want to start small, focus on like an M.V.P. solution, and bring that into core and then we can go from there.</p>\n\n\n\n<p>[00:27:51] <strong>Nathan Wrigley:</strong> Yeah. That&#8217;ll be an interesting thing to see. One last thing, just before we move on to your upload an image with your friend idea. Another thing which you do is, and this is curious because we had a chat about this before we clicked record. If you upload an image and that image is going to take a few moments, an opaque, hazy version of the image is shown. And it almost looks like you&#8217;re squinting your eye or something, you know, it&#8217;s gone a little bit blurred.</p>\n\n\n\n<p>But the technical side of how you&#8217;ve done that is really interesting, because I was anticipating it was just another image, but it&#8217;s not, there&#8217;s some really interesting work going in the background there, and gradients and CSS. Just explain what&#8217;s going on whilst we have the image load. You show us something, which kind of looks like a faded out version of the image. What&#8217;s happening?</p>\n\n\n\n<p>[00:28:33] <strong>Pascal Birchler:</strong> So the itch that I wanted to scratch there, is that the experience when you have to wait for images to load is really not great. Let&#8217;s say if you&#8217;re on a 3G connection on a train, or something. So what I wanted to do is have like a blurred version of the image showing. So as soon as you open the page you immediately see something. You know, oh, there&#8217;s an image that might be loaded here, and it looks interesting.</p>\n\n\n\n<p>And what I&#8217;m using for that is a technology, or an algorithm called BlurHash, which generates these blurry placeholders. And usually to display that placeholder on the website, you would need JavaScript. But I&#8217;m converting this blurriness to simple CSS gradients instead. So that when you load the page, you&#8217;re not seeing another image while the main image is loaded, it&#8217;s just all CSS gradients.</p>\n\n\n\n<p>[00:29:18] <strong>Nathan Wrigley:</strong> So no JavaScript in sight, it&#8217;s just CSS, which obviously has its benefits. So upon successful completion of that image, what are you doing with the CSS that you&#8217;ve created there? Where is that data going when it&#8217;s no longer needed? Do you just expunge it and get rid of it?</p>\n\n\n\n<p>[00:29:33] <strong>Pascal Birchler:</strong> Well, you will still need it for like the next page load, right? So it&#8217;s always there, it&#8217;s always in the database. And it&#8217;s super small, like even for a larger image. The amount of gradients is not that big, so it doesn&#8217;t really impact performance.</p>\n\n\n\n<p>[00:29:47] <strong>Nathan Wrigley:</strong> Yeah it&#8217;s a really nice experience, because it just gives you, well, you&#8217;ve all been there where an image hasn&#8217;t even begun to load, and you get all this cumulative layout shift where things are being pushed around, and buttons go further down and everything moves. It kind of gets rid of that, because right away you get this block, which is going to be the same size and shape as the image, which will eventually load.</p>\n\n\n\n<p>I think in most cases these days, certainly in the part of the world where I live, we&#8217;re really not faced with those problems too much these days. But as you said, if you&#8217;re in a place where there&#8217;s a slower network or a, let&#8217;s say a 3G network or something like that, then having that as an option is great. So yeah, fascinating solution to that problem, I really like that.</p>\n\n\n\n<p>Now, I think you probably got a little bit of interest, and I don&#8217;t know if the second Twitter video came along after the first one that I saw. So we&#8217;ve just discussed what I believe is probably the first one, and we&#8217;ll discuss the second one. And I&#8217;m hoping, Pascal, in the days and weeks to come, we&#8217;ve got Christmas in the way, I realise that. But in the days and weeks to come we&#8217;re going to see many more such videos.</p>\n\n\n\n<p>You&#8217;ve got this really interesting idea of being able to upload images into a post, with a link, or a QR code, which I guess is a link of a different kind. But you could send it to a friend, who could then upload an image into a post, without being logged into the WordPress website. Where did that need arise? What was the scenario that you were thinking, okay, I need people to upload images into my posts, which they don&#8217;t have access to edit, and so on? What&#8217;s going on there? It&#8217;s fascinating.</p>\n\n\n\n<p>[00:31:13] <strong>Pascal Birchler:</strong> I have to admit, I did not come up with this idea actually. So after I published the first demo on Twitter, John Blackburn, I actually opened an issue on GitHub and he was like, hey, you know, on apps like eBay or online banking apps, for example. There&#8217;s the option to upload your receipts or something from your phone. So why not make that possible in WordPress? And I was like, oh, that&#8217;s interesting. So I built it.</p>\n\n\n\n<p>It&#8217;s really cool because, I think the scenario is, you&#8217;re editing a blog post, you want to add this nice picture and you realise, oh, it&#8217;s on the phone. Maybe it&#8217;s on your friend&#8217;s phone, or like colleague&#8217;s phone. So you can scan the QR code, or send the link for that code to someone else. And then they&#8217;re able to upload the image to WordPress. And after that is done, and you&#8217;re still in the editor, so once they&#8217;re done uploading the image, you&#8217;ll immediately see the image in your editor, you can continue editing.</p>\n\n\n\n<p>[00:32:04] <strong>Nathan Wrigley:</strong> So you wouldn&#8217;t need to refresh that post and come back to it, it would just appear. So let&#8217;s say, for example, that I send you that link, and I&#8217;ve got my post, it&#8217;s half completed, but I just know that I need that image to finish it off. And I know that you, Pascal, have got your hands on it. I could send you the link. You click on the link, select the image in question, and there it is, right inside my post, immediately without a need for a refresh or anything.</p>\n\n\n\n<p>That&#8217;s so great. That&#8217;s just such a curious thing. But now I get the point, and I guess the idea of being able to send it to somebody else is quite interesting. But the idea, certainly for me, you are right, there&#8217;s a lot which is held on my phone, there&#8217;s a lot which is held on other computers. I have a detachable hard disc over there, and quite often the computer that it&#8217;s attached to is, you know, in no way connected to this one. So being able to send myself another link over there, that&#8217;s really curious.</p>\n\n\n\n<p>It feels to me, Pascal, as if you are just getting your feet wet here. You&#8217;ve just got yourself all excited about images and what you can do with them inside of WordPress. So that&#8217;s the next question. Do you have any intuition as to what&#8217;s coming next? What fun projects you might work on.</p>\n\n\n\n<p>[00:33:09] <strong>Pascal Birchler:</strong> Well, you know, just talking about this with you, gives me a lot of ideas. And sharing these demos with people also sparks ideas in them. And you mentioned that holidays are coming up, so maybe, I don&#8217;t know, over the holidays I&#8217;ll build something new. We&#8217;ll see.</p>\n\n\n\n<p>[00:33:22] <strong>Nathan Wrigley:</strong> Well, I would very much like to see the outcome of your endeavors. Yeah, I&#8217;ve definitely got a few ideas of what I would like. For example, being able to record a podcast directly inside the editor. I know that, obviously, video and audio are very similar, it may well already be possible with everything that you&#8217;ve done.</p>\n\n\n\n<p>But the ability to do things like that inside the post editor, and not have to save it elsewhere, would be kind of interesting. You know, what we&#8217;re doing right now, we&#8217;re using a third party SaaS app to record this. I can&#8217;t see any reason why all of this couldn&#8217;t potentially happen inside the block editor as well.</p>\n\n\n\n<p>Anyway, exciting times. And Pascal, I do thank you for piquing my curiosity. It really was quite a moment when I saw that video.</p>\n\n\n\n<p>If anybody wants to contact you, if anybody has been intrigued by what you&#8217;ve said, and they want to reach out, where are the best places? We know that you&#8217;re on Twitter, but tell us what your handle is, and where else we can find you.</p>\n\n\n\n<p>[00:34:10] <strong>Pascal Birchler:</strong> So my Twitter handle, or WordPress.org, everywhere else is swissspidy with three S&#8217;s in the middle. That&#8217;s the best place to reach me.</p>\n\n\n\n<p>[00:34:19] <strong>Nathan Wrigley:</strong> Alright. Well, thank you so much. And Pascal, I really appreciate you coming on the podcast and chatting to us today. Thank you so much.</p>\n\n\n\n<p>[00:34:25] <strong>Pascal Birchler:</strong> Thanks for having me.</p>\n</div>\n\n\n\n<p>On the podcast today we have <a href=\"https://twitter.com/swissspidy/\">Pascal Birchler</a>.</p>\n\n\n\n<p>Pascal is a long-standing WordPress community member and Core committer, with a focus on internationalisation, WP-CLI, and performance.</p>\n\n\n\n<p>He’s been working on a project for the past six months to enhance the media capabilities of the WordPress block editor. His work includes client-side image optimisation, image compression, video enhancements, and speech-to-text features, such as subtitle generation. It’s unlike anything that I’ve ever seen. You upload media into the block editor, and it’s manipulated right there, inside the editor, by the browser, not by some remote server.</p>\n\n\n\n<p>This is all achieved by harnessing the power of WebAssembly, and we discover what Pascal has managed to achieve thus far, and how he thinks that there’s going to be so much more to come.</p>\n\n\n\n<p>We talk about how you can change images from legacy formats like jpg and gif, into other, more modern formats such as WebP and Avif. Pascal explains how this is actually achieved, and why the new formats are desirable. It’s all about reducing file sizes, server resource consumption, and the speed boost your site will gain as a result.</p>\n\n\n\n<p>We also get into the conversion of animated Gifs into videos, and creating videos with transcripts on-the-fly, and remember, this is all done in the block editor with the browser itself as the workhorse.</p>\n\n\n\n<p>Pascal seems to be onto something here, and it’s really compelling listening to him argue that something like his plugin might be worthy of inclusion into WordPress Core at some point.</p>\n\n\n\n<p>He explains some other projects which he’s been working on, inspired by the high volume of feedback he received after releasing his plugin.</p>\n\n\n\n<p>If you’re interested in pushing the boundaries of user experience, performance optimisation, and compliance with evolving web standards, this episode is for you.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Useful links</h2>\n\n\n\n<p><a href=\"https://twitter.com/swissspidy/status/1733138082591912154\">Pascal&#8217;s Twitter video #1</a></p>\n\n\n\n<p><a href=\"https://twitter.com/swissspidy/status/1735019049686368342\">Pascal&#8217;s Twitter video #2</a></p>\n\n\n\n<p><a href=\"https://webassembly.org/\">WebAssembly website</a></p>\n\n\n\n<p><a href=\"https://github.com/libvips/libvips\">libvips on GitHub</a></p>\n\n\n\n<p><a href=\"https://ffmpeg.org/\">FFmpeg website</a></p>\n\n\n\n<p><a href=\"https://blurha.sh/\">BlurHash website</a></p>\n\n\n\n<p><a href=\"https://twitter.com/swissspidy/\">Pascal&#8217;s Twitter</a></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 10 Jan 2024 15:00:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Nathan Wrigley\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:19;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:15:\"Matt: Sonos Tip\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:23:\"https://ma.tt/?p=110280\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"https://ma.tt/2024/01/sonos-tip/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:1204:\"<p>If you&#8217;re obsessed with <a href=\"https://www.sonos.com/\">Sonos</a> like I am, a nice MacOS utility is the <a href=\"https://mbc-for-sonos.app/\">Menu Bar Controller</a>. <cite>Hat tip to <a href=\"https://www.linkedin.com/in/miketatum/\">Mike Tatum</a></cite>, who happened to be the gentleman who convinced my parents it was okay for me to drop out of college and move to San Francisco to take a job at <a href=\"https://en.wikipedia.org/wiki/CNET\">CNET</a>. Mike&#8217;s now at Sonos and in October arranged for some top execs at <a href=\"https://automattic.com/\">Automattic</a> to go to Santa Barbara to meet with their peers at Sonos, and <a href=\"https://twitter.com/Patrick_Spence\">Patrick Spence</a> and I did a joint CEO town hall that was broadcast to both of our companies. It was I think fascinating for both sides because of a shared passion for craft, design, culture, and execution, but our companies are in no way competitive, so it allowed for a lot of transparency. I learned a ton, and I think that kind of sharing is what increases the mimetic evolutionary speed of companies. </p>\n\n\n\n<p><a href=\"https://atoms.com/\">Atoms</a> are hard! I think I&#8217;ll stick mostly to bits.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 10 Jan 2024 01:50:34 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"Matt\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:20;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:86:\"Do The Woo Community: Do the Woo is a Sponsor and Media Partner for WordCamp Asia 2024\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"https://dothewoo.io/?p=78784\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:65:\"https://dothewoo.io/sponsor-and-media-partner-wordcamp-asia-2024/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:402:\"<p>We are returning to WordCamp Asia again, and proud to be a Media Partner again as well as a sponsor for the event.</p>\n<p>&gt;&gt; The post <a href=\"https://dothewoo.io/sponsor-and-media-partner-wordcamp-asia-2024/\">Do the Woo is a Sponsor and Media Partner for WordCamp Asia 2024</a> appeared first on <a href=\"https://dothewoo.io\">Do the Woo - a WooCommerce and WordPress Builder Podcast</a>	.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 09 Jan 2024 08:09:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"BobWP\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:21;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:78:\"WordPress.org blog: WP Briefing: Episode 70: A Look Ahead at WordPress in 2024\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:53:\"https://wordpress.org/news/?post_type=podcast&p=16677\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:80:\"https://wordpress.org/news/2024/01/episode-70-a-look-ahead-at-wordpress-in-2024/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:8348:\"<p>Curious about WordPress&#8217;s big-picture items for 2024? Phase 3, Data Liberation, new meetups, and more, get the spotlight in this episode. Join Executive Director Josepha Haden Chomphosy for all this, plus a small list of big things coming up in the next two weeks.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Credits</h2>\n\n\n\n<p>Host:&nbsp;<a href=\"https://profiles.wordpress.org/chanthaboune/\">Josepha Haden Chomphosy</a><br />Editor:&nbsp;<a href=\"https://profiles.wordpress.org/dustinhartzler/\">Dustin Hartzler</a><br />Logo:&nbsp;<a href=\"https://profiles.wordpress.org/javiarce/\">Javier Arce</a><br />Production:&nbsp;<a href=\"https://profiles.wordpress.org/bjmcsherry/\">Brett McSherry</a><br />Song: Fearless First by Kevin MacLeod</p>\n\n\n\n<h2 class=\"wp-block-heading\">Show Notes</h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/07/03/real-time-collaboration/\">Real-Time Collaboration</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/\">Make WordPress Core</a></li>\n\n\n\n<li><a href=\"https://wordpress.org/data-liberation/\">Data Liberation</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/plugins/\">Make WordPress Plugins</a></li>\n\n\n\n<li><a href=\"https://events.wordpress.org/\">WordCamp Events</a></li>\n\n\n\n<li><strong>Small List of Big Things</strong>\n<ul>\n<li><a href=\"https://make.wordpress.org/project/2023/12/12/overflow-questions-from-state-of-the-word-2023/\">Overflow Questions from State of the Word 2023 in Madrid, Spain</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/community/2023/11/17/announcing-the-2023-annual-meetup-survey/\" target=\"_blank\" rel=\"noreferrer noopener\">Annual Meetup Survey</a>&nbsp;&#8211; This is the final chance to share your feedback on WordPress meetups for 2024 and how we can improve the program in the future.&nbsp;</li>\n</ul>\n</li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\">Transcripts</h2>\n\n\n\n<span id=\"more-16677\"></span>\n\n\n\n<p>[00:00:00] <strong>Josepha:</strong> Hello, everyone, and welcome to the WordPress Briefing, the podcast where you can catch quick explanations of the ideas behind the WordPress open source project, some insight into the community that supports it, and get a small list of big things coming up in the next two weeks. I&#8217;m your host, Josepha Haden Chomphosy. Here we go.&nbsp;</p>\n\n\n\n<p>[00:00:28] (Intro music)&nbsp;</p>\n\n\n\n<p>[00:00:40] <strong>Josepha:</strong> Hello, my dears, and welcome to 2024. I hope you&#8217;ve had a lovely break. At the top of the year, I like to look around and gather the projects that the community is interested in. We can&#8217;t always commit to everything, and sometimes even the things we plan to do can&#8217;t make it across the finish line. In the next few weeks, I&#8217;ll be publishing kind of the big picture goals for the year, but I wanted to share a little bit about what I&#8217;ve collected so far.</p>\n\n\n\n<p>[00:01:05] <strong>Josepha:</strong> Firstly, we&#8217;ve got Phase 3. This has been called a few things over the years: collaborative editing, multiplayer, co-editing. But whatever it&#8217;s been called, the biggest changes to writing and design workflows are likely to happen in this phase. A redesigned workflow can be a bit of a shock. But fortunately, we already have a prototype out there.</p>\n\n\n\n<p>I&#8217;ll include a link to some resources in the show notes, or of course, you can always stop by make.WordPress.org/core for some insights. But I would encourage you to, at the very least, get your hands on that prototype to see what it looks like is coming in Phase 3 so that you can be aware and provide your feedback.</p>\n\n\n\n<p>The next thing on our list is Data Liberation. This is a new-to-us project that was introduced at State of the Word. Fortunately, though, it&#8217;s not a new concept overall. Data Liberation is actually one of the earliest ideas that sold me on WordPress. The idea that you could set up a site for a client, or yourself, and that hard work wasn&#8217;t lost if something went wrong, was really important to me. It&#8217;s been a long time since we put any effort into our importers and exporters, and I think this will be a good focus for the year.</p>\n\n\n\n<p>[00:02:14] <strong>Josepha:</strong> The next thing that I&#8217;ve picked up, kind of a list of three things, but there are three mid-sized areas that I want us to pay attention to this year: plugins, old tickets, and new meetups.&nbsp;</p>\n\n\n\n<p>Plugins, because they really have turned a corner on where they ended 2023. A lot of work has been done to make sure that they&#8217;ve streamlined some efforts, gotten some better onboarding for folks as they&#8217;re going in, and we could really use a hand to keep that momentum going.</p>\n\n\n\n<p>Old tickets, because it&#8217;s something that we hope for year after year when we&#8217;re talking to people about what they want in new releases. So often, part of what they say is some way to work through all of these old things that have been around forever, some with patches. And why not, after all?</p>\n\n\n\n<p>And then new meetups, because I really still think that meetups are the best intro to WordPress. No matter whether you&#8217;re wanting to become a developer eventually or, like, the community-building aspect is the thing that hooks you forever. Meetups are the place to encourage those and discover those.&nbsp;</p>\n\n\n\n<p>[00:03:20] <strong>Josepha:</strong> The next thing on my list is also two things. It&#8217;s two things, but kind of a guess at the moment. There are two summit items that I want us to try to consider this year.</p>\n\n\n\n<p>So the first one is contributor recognition. Acknowledgment and recognition, I think, are two different things, and there was an entire series of sessions at the summit where we talked about it. And so I think that it&#8217;s worth us digging in on that.</p>\n\n\n\n<p>The other thing from the summit that I would really like us to all kind of dig in on is accessibility, how we do it, how we confirm it, what we think we should do versus what we actually do, and see what we can move on the needle there.</p>\n\n\n\n<p>And the last thing is sort of a personal wish. I think it&#8217;s about time that we take a look at the way that we kind of manage ourselves as a project, the way that we do our meetings and report on our successes, things like that. And I realize that this is a big thing, and it might be a little bit scary. But, I mean, we&#8217;ve been doing this for a really long time, and it&#8217;s probably as good a time as any, frankly, to look at what we&#8217;re doing by habit or tradition and see if it still suits us.</p>\n\n\n\n<p>So, that&#8217;s my back of the napkin set of notes so far. Keep an eye out in the next couple of weeks for the annual Big Picture post so you can get some context, notes, and discussion opportunities. And, of course, anything that has shown up that&#8217;s a bit bigger, a bit more final will be in there as well.&nbsp;</p>\n\n\n\n<p>But first, our small list of big things. </p>\n\n\n\n<p>[00:04:52] (Music interlude)&nbsp;</p>\n\n\n\n<p>[00:05:00] <strong>Josepha:</strong> Firstly, State of the Word had nearly 200 questions submitted, and Matt has been answering the overflow on make.WordPress.org/project. So, I&#8217;ll include a link, but head on over there to that post if you would like to catch up on those.</p>\n\n\n\n<p>And then the second item, and last item, is that you&#8217;ve got a few more days left to give us feedback on WordPress meetups in 2023, and give us an idea of what we can do to improve those. I believe those close on January 14th. I really love my local meetup, and I hope that we can get some of that same sort of feeling going in all of yours, too.</p>\n\n\n\n<p>[00:05:33] <strong>Josepha:</strong> And that, my friends, is your small list of big things. Don&#8217;t forget to follow us on your favorite podcast app or subscribe directly on WordPress.org/news. You&#8217;ll get a friendly reminder whenever there&#8217;s a new episode. If you liked what you heard today, share it with a fellow WordPresser, or if you had questions about what you heard, you can share those with me at wpbriefing@WordPress.org.</p>\n\n\n\n<p>I&#8217;m your host, Josepha Haden Chomphosy. Thanks again for tuning in for the WordPress Briefing, and I&#8217;ll see you again in a couple of weeks.&nbsp;</p>\n\n\n\n<p>[00:06:02] (Music outro)&nbsp;</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 08 Jan 2024 13:00:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Brett McSherry\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:22;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:153:\"Gutenberg Times: Gutenberg Changelog #94 – State of the Word, Gutenberg 17.2, 17.3 and 17.4, WordPress 6.5, Migrating from Classic Theme to Block Theme\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:53:\"https://gutenbergtimes.com/?post_type=podcast&p=26968\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:163:\"https://gutenbergtimes.com/podcast/gutenberg-changelog-94-state-of-the-word-gutenberg-17-2-17-3-and-17-4-wordpress-6-5-migrating-from-classic-theme-to-block-theme/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:61310:\"<p>In this episode, Sarah Norris and Birgit discuss State of the Word, Gutenberg 17.2, 17.3 and 17.4. They take a sneak peek at the WordPress 6.5 roadmap, and they discuss steps on migrating from a classic theme to a block theme.</p>\n\n\n\n<p><a href=\"https://gutenbergtimes.com/podcast/gutenberg-changelog-94-state-of-the-word-gutenberg-17-2-17-3-and-17-4-wordpress-6-5-migrating-from-classic-theme-to-block-theme/#shownotes\">Show Notes</a> / <a href=\"https://gutenbergtimes.com/podcast/gutenberg-changelog-69-gutenberg-releases-wordpress-6-0-1-the-create-block-theme/#transcript\">Transcript</a></p>\n\n\n\n<ul>\n<li>Music:&nbsp;<a href=\"https://soundcloud.com/xirclebox\">Homer Gaines</a></li>\n\n\n\n<li>Editor:&nbsp;<a href=\"https://www.linkedin.com/in/sandy-reed/\">Sandy Reed</a></li>\n\n\n\n<li>Logo:&nbsp;<a href=\"https://markuraine.com/\">Mark Uraine</a></li>\n\n\n\n<li>Production:&nbsp;<a href=\"https://icodeforapurpose.com\">Birgit Pauli-Haack</a></li>\n</ul>\n\n\n\n<p class=\"has-larger-font-size\" id=\"shownotes\"><strong>Show Notes</strong></p>\n\n\n\n<h2 class=\"wp-block-heading\">Special Guest:&nbsp;<strong>Sarah Norris</strong></h2>\n\n\n\n<p>JavaScript Developer 6.4 editor tech co-lead</p>\n\n\n\n<ul>\n<li><a href=\"https://profiles.wordpress.org/mikachan/\">WordPress Profile @mikachan</a></li>\n\n\n\n<li><a href=\"https://sekai.co.uk/\">Personal website: sekai.co.uk</a></li>\n\n\n\n<li><a href=\"https://twitter.com/mikachan_\">Twitter: @mikachan_</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\">State of the Word</h2>\n\n\n\n<ul>\n<li><a href=\"https://gutenbergtimes.com/state-of-the-word-redesign-developer-resources-block-theme-updates-weekend-edition-278/\">State of the Word, (and more) — Weekend Edition 278</a></li>\n\n\n\n<li><strong><a href=\"https://wordpress.org/data-liberation/\">Data Liberation</a> </strong>&#8211; <a href=\"https://github.com/wordpress/data-liberation\">GitHub repository</a>&nbsp;| Slack channel: <a href=\"https://wordpress.slack.com/archives/C069AKUBPHB\" target=\"_blank\" rel=\"noreferrer noopener\">#data-liberation</a>.</li>\n\n\n\n<li><a href=\"https://events.wordpress.org/\">New WordPress events page</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\">WordPress 6.5 </h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/12/07/roadmap-to-6-5/\">Roadmap to 6.5</a></li>\n\n\n\n<li>Tracking issues of features already in Gutenberg plugin and ready for testing\n<ul>\n<li><a href=\"https://github.com/WordPress/gutenberg/issues/55277\">Font Library</a></li>\n\n\n\n<li><a href=\"https://github.com/WordPress/gutenberg/issues/53705\">Syncing specific blocks and attributes of patterns</a></li>\n\n\n\n<li>&nbsp;<a href=\"https://github.com/WordPress/gutenberg/issues/55083\">New data views for templates, template parts, and patterns in the Site Editor</a></li>\n\n\n\n<li><a href=\"https://github.com/WordPress/gutenberg/issues/55776\">Robust revisions</a></li>\n\n\n\n<li><a href=\"https://github.com/WordPress/gutenberg/issues/54336\">background image support for the Group block</a>,</li>\n\n\n\n<li><a href=\"https://github.com/WordPress/gutenberg/issues/52632#top\">aligning page edit features in Site Editor and Post Editor</a></li>\n</ul>\n</li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\">Gutenberg plugin releases</h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/12/06/whats-new-in-gutenberg-17-2-6-december/\">What’s new in Gutenberg 17.2? (6 December)</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/12/20/whats-new-in-gutenberg-17-3-20-december/\">What’s new in Gutenberg 17.3? (20 December)</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2024/01/04/whats-new-in-gutenberg-17-4-03-january/\">What’s new in Gutenberg 17.4? (03 January)</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\">Migrate classic to block theme</h2>\n\n\n\n<ul>\n<li><a href=\"https://wordpress.org/plugins/health-check/\">Health Check &amp; Troubleshooting</a>&nbsp;</li>\n\n\n\n<li><a href=\"https://wordpress.org/plugins/create-block-theme/\">Create a Block Theme</a></li>\n</ul>\n\n\n\n<p class=\"has-large-font-size\">Stay in Touch</p>\n\n\n\n<div class=\"wp-block-group\"><div class=\"wp-block-group__inner-container is-layout-flow wp-block-group-is-layout-flow\">\n<ul>\n<li>Did you like this episode? <a href=\"https://lovethepodcast.com/gutenbergchangelog\"><strong>Please write us a review </strong></a></li>\n\n\n\n<li>Ping us on Twitter or send DMs with questions. <a href=\"https://twitter.com/gutenbergtimes\">@gutenbergtimes </a>and <a href=\"https://twitter.com/bph\">@bph</a>.</li>\n\n\n\n<li><em>If you have questions or suggestions, or news you want us to include, send them to <a href=\"mailto:changelog@gutenbergtimes.com\">changelog@gutenbergtimes.com</a>. </em></li>\n\n\n\n<li><em>Please write us a review on iTunes! <a href=\"https://gutenbergtimes.com/itunes/\">(Click here to learn how)</a></em></li>\n</ul>\n</div></div>\n\n\n\n<p class=\"has-large-font-size\" id=\"transcript\"><strong>Transcript</strong></p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Hello, and welcome to our 94th episode of the Gutenberg Changelog Podcast and a happy New Year, dear listeners. I hope you all had a great time off during the holidays and a great start to the year 2024. I like the year 2024. 2023 wasn&#8217;t so good, but 2024 was good. In today&#8217;s episode, we will talk about State of the Word, Gutenberg 17.2, 3 and 4, and we take a sneak peek at the 6.5 WordPress roadmap, and we also discuss steps on migrating from a classic theme to a block theme.&nbsp;</p>\n\n\n\n<p>I&#8217;m your host, Birgit Pauli-Haack, curator at the Gutenberg Times and a full-time core contributor for WordPress open source project sponsored by Automattic&#8217;s Five for the Future program. And I&#8217;m thrilled to have as a guest today, Sarah Norris, JavaScript developer, theme builder and core contributor and editor core tech lead for WordPress 6.4, also sponsored by Automattic. Happy New Year to you too, Sarah. How are you today?</p>\n\n\n\n<p><em>Sarah Norris</em>: Happy New Year. I&#8217;m really good, thank you. I&#8217;m very ready to talk about all the work that&#8217;s been happening over the last few weeks, especially as we lead up to a fast approaching 6.5.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Yes, it&#8217;s fast approaching and we are going to talk about that. But yeah, catching up on everything. The year-end vacation kind of always puts a little bit of a dent in being up-to-date with Gutenberg and the block editor and this is your chance to catch up on it. We have a big show, so it might go over the hour limit, but I hope we can get it brief.&nbsp;</p>\n\n\n\n<h3 class=\"wp-block-heading\">Announcements &#8211; State of the Word</h3>\n\n\n\n<p>So State of the Word, there was a lot of celebration around 2023 in the State of the Word and brought it to the WordPress community. And if you haven&#8217;t watched the keynote yet, there is a YouTube video. There&#8217;s also a YouTube video about the Q&amp;A afterwards and I&#8217;ll share the link to the Weekend Edition 228. That&#8217;s the last one on Good Work Times where I shared a ton of links, so this will be in the show notes, but it was the first State of the Word outside of US, a huge success with livestream on multiple channels. And is there anything that stood out for you, Sarah?</p>\n\n\n\n<p><em>Sarah Norris</em>: Yes. Yeah, so much fun. It was such a good State of the Word. So it was discussed how many&#8230; the number of WordCamps that&#8217;s increased. So I think we&#8217;ve doubled the number of WordCamps and Meetups, and that has to come in more and more countries as well. I attended the first UK WordCamp, so the first UK WordCamp since the pandemic last September. It was so much fun. It was held in Whitley Bay, which is in the northeast of England, and I&#8217;d just love for everyone in the WordPress community to experience this, and as the number of meets and word camps grow, I hope everyone is able to attend. It&#8217;s almost like&#8230; unable to put it into words how good it is attending local events and being part of your local community as well.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Yeah, I agree with that. Yeah, it&#8217;s the live, the person-to-person interaction. It&#8217;s kind of how relationships are built and it&#8217;s such a richer experience than just doing it online. And I just happened to think of it, but there is a new page on wordpress.org, it&#8217;s called Events, it&#8217;s <a href=\"https://events.wordpress.org/\">wordpress.org/events</a> and it has a big map with all the events happening and a list and you can filter down to location or what type of events. And so you learn about all the local Meetups, so if there isn&#8217;t one near you, there is the chance that you could actually start one. Yeah, it&#8217;s a lot of work and it&#8217;s a ton of fun. For about four years, I organized the meetup in Florida when I was still living there and I had so much fun with the local community, and I was always up-to-date on WordPress because I had to do a little intro every time and&#8230; Great speakers. So it&#8217;s a ton of fun.</p>\n\n\n\n<p>So if you want to do that, the make.community&#8230; No, <a href=\"https://make.wordpress.org/community/\">make.wordpress.org/community</a>, that&#8217;s a handbook for meetup organizers and work group organizers, and out of the small cell of a local meetup will grow the bigger one. That&#8217;s the WordCamp. Yeah, thank you for letting me rant on about this. I&#8217;m by heart a community organizer, so I&#8217;m kind of really happy about&#8230; That those come back. Although we doubled the number of WordCamps, there is still a lot of work to be done to get on the level of pre-pandemic. So 2018 and &#8217;19, we had about 140 WordCamps around the world, which is double the number that we had last year. So we are on the way because it&#8217;s going to be maybe a hockey stick growth rate there with all the local Meetups coming back. All right, so back to State of the Word, what else stood out for you?</p>\n\n\n\n<p><em>Sarah Norris</em>: I&#8217;d also like to give Playground a shout-out. It&#8217;s become one of my absolute favorite tools to use when developing and testing for Gutenberg and also when building themes and plugins. I&#8217;m just so excited for what the future holds for this tool and just well done to everyone involved in building such an amazing tool as well. Yeah, I&#8217;d recommend everyone check it out if you haven&#8217;t already.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Yeah, check it out. WordPress Playground. It&#8217;s actually WordPress in a browser. You don&#8217;t need a local server and you can have a plugin, can use it for demos as can themes, but it&#8217;s also&#8230; Some of the tutorial educational content will have some Playground links as well so you can see how it actually works and&#8230; Without having you setting up all your local development and all that, so it&#8217;s really cool. Yeah. I think they&#8217;re also working on a VS Code extension, so you get a little WordPress button in your left taskbar and then you click on it, and then from the directory you can call up the Playground instance. So that would be really cool. It&#8217;s still in the works, but I think that&#8217;s the goal for it, yeah. Anything else that stood out from State of the Word?</p>\n\n\n\n<p><em>Sarah Norris</em>: Yes. Yeah, I&#8217;m also excited about the admin redesign, so yeah, I&#8217;m just looking forward to&#8230; I think this is another maybe long anticipated feature. Yeah, like anything, any big redesign of any long-standing tool is always exciting and I think this is&#8230; Yeah, it&#8217;s just going to be incredible.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Yeah, it is. Yeah. And that&#8217;s the unification of all the list views on&#8230; List of posts, list of pages, list of categories that I haven&#8217;t tackled yet, but the list of templates. So it&#8217;s all a unified kind of system. So I really excited about that too. And it looks so modern. It looks so&#8230; Like, &#8220;Oh, this is from the 21st century.&#8221; Yeah.</p>\n\n\n\n<p><em>Sarah Norris</em>: Exactly.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Well, what stood out for me was kind of a little bit a higher level thing from State of the Word. There was a data liberation project that Matt Mullenweg announced. That&#8217;s a community initiative to bring all the tools that agencies and hosting companies put together for migration in and out of WordPress. So in and out of&#8230; From Wix to WordPress, from Squarespace to WordPress, from Google Docs to WordPress and all that. And I think that is a really good step forward to the open web, that a user or a site owner can take a hold of their own data and they&#8217;re not beholden to a centralized kind of system that doesn&#8217;t let you get out of it once you have signed up for it because the switching costs are too high or not possible at all and you have to start all over again.</p>\n\n\n\n<p>So I think that is a really good initiative. We&#8217;ll see how it plays out in the next year of course, but there are some&#8230; So I&#8217;ll share a few links in the show notes about that. And the other thing that stood out for me was everybody was waiting for the date of WordCamp US, which is September 20&#8230; No, what is it?</p>\n\n\n\n<p><em>Sarah Norris</em>: September 17th to September 20th. Yeah, September next&#8230; This year.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: September was good. So September 17th through the 20th, and if you count the dates right, there are two days&#8230; Contributor day and two-day conference. So this is kind of a new format and I&#8217;m excited to see that and how that plays out. So that&#8217;s it from the State of the Word. Anything else?</p>\n\n\n\n<p><em>Sarah Norris</em>: No, I think that&#8217;s it from the State of the Word.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Yeah. Of course, we also have a lot of recap posts if you&#8217;re not into video watching, it&#8217;s also on the link then.&nbsp;</p>\n\n\n\n<h3 class=\"wp-block-heading\">WordPress 6.5</h3>\n\n\n\n<p>So next up, WordPress 6.5, that&#8217;s the release coming now and it&#8217;s fast approaching. We have a schedule, so Beta 1 is scheduled for February 13th, 2024. That is feature freeze kind of thing. And I did a calculation, 38 days from today, and today&#8217;s January 5th. And the last Gutenberg release that&#8217;s going to make it new, feature-wise, will be 17.7, which is actually only three Gutenberg releases away. It&#8217;s fast approaching. After Beta 1 comes weekly Beta 2 and Beta 3 with bug fixes after testing and then brings us to release candidate one for March 5th, though in exactly two months, March 5th, 2024. That is the deadline for string freeze and also for developer notes to be published and collected in the field guide that accompanies every major release release candidate is actually right before WordCamp Asia, which takes place on March 7th through ninth.</p>\n\n\n\n<p>So this is great timing because everybody who wants to go to WordCamp Asia already has a release candidate. Whoever is on the release squad can&#8230; Oh, release candidate&#8217;s done. So the major work for the release is probably done by that time and that&#8217;s a good thing. You don&#8217;t want to be on a WordCamp and have to deal with releases at all. Yeah. Final release is scheduled for March 26th, 2024. So here is your schedule for that. That seems to be a pretty good schedule in terms of spacing out the betas and release candidate, that&#8217;s some kind of tradition with WordPress release. You were on 6.4. How is the weekly kind of updates and what goes into next beta and all that? Is it particularly important?</p>\n\n\n\n<p><em>Sarah Norris</em>: Yeah, yeah, the dates are important. It&#8217;s almost like time&#8230; If you didn&#8217;t think time went quick enough already, being part of a WordPress release. Yeah, I think one of my ways to deal with the release dates is usually I have a deadline for myself that&#8217;s just ahead of the important dates. So usually the Friday before a date, but also that reduces the time, because I don&#8217;t know if I&#8217;m stressing myself out more. No, it&#8217;s all good.</p>\n\n\n\n<p><em>Birgit Pauli-Haack:</em> No, it&#8217;s all good. I think you need the Monday to do all the backboards and then&#8230; The beta releases and release candidates are all on Tuesdays because Wednesday is too late, and if you want to move it, you could move it to Wednesdays, but you don&#8217;t want to release anything on Thursday or Friday because then the whole weekend is kind of full with anxiety and communication and feedback, kind of that.&nbsp;</p>\n\n\n\n<h3 class=\"wp-block-heading\">Roadmap 6.5</h3>\n\n\n\n<p>Yeah, so early December, Anne McCarthy has published the roadmap for 6.4, and it&#8217;s a very long post and we are certainly not going to&#8230; We would need to have another two-hour show to go through it in detail, but let&#8217;s look at the highlights for it.</p>\n\n\n\n<p>So it has four major topics from the editor part, that&#8217;s design tools, that&#8217;s adoption pathways, the foundational experience, which is some of the redesign, and new APIs. And I think the first three are really interesting for users and those who build interfaces for others but not&#8230; Or do site builders that are no-code. So the fonts library, we are waiting for that for quite a while now, but I think it&#8217;s coming into 6.5 eventually, right?</p>\n\n\n\n<p><em>Sarah Norris</em>: Yes. Yeah, a long anticipated feature coming to core. Yeah, so this brings font management directly to core, allowing users to edit and remove custom fonts all within the editor. It has been available from Gutenberg 16.7, so there&#8217;s some underlying changes currently going on, but if you do want to test it, you can already test it using the Gutenberg plugin. But yes, a brand new redesigned API and the UI will be coming to 6.5 and yes, it&#8217;s extremely exciting. I know I&#8217;ve spoken to so many users who are looking forward to this.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: And the waiting was really hard on those users that are looking forward to them because it got pulled from the 6.4 release at pretty much last minute, like Beta 2 or something like that, because it wasn&#8217;t ready for the REST API kind of thing. What&#8217;s also coming is sync specific blocks and patterns. We have sync patterns, but it&#8217;s the partially synced patterns where you can change layout and styling of a pattern, but not the content. Right now, synced patterns are when you change something on the pattern and it changes through all the instances that it was synced, but if you have partially synced, you can kind of have a little bit&#8230; You have a granular control on what should be synced, a role of the pattern instance that it was used, and what shouldn&#8217;t, and I think that is pretty much, as of this week, ready for testing. We probably need to wait for 17.5 to get it into Gutenberg plugin, but look out for that release to start testing on this.</p>\n\n\n\n<p>And the third item in the design tools was the section specific theme.json and Colorways. So you have multiple palettes that introduce some of the sections that you use in your theme and have a different color palette that you can style it with. I think that&#8217;s the idea there. I think the work is on the Group Block right now.</p>\n\n\n\n<p><em>Sarah Norris</em>: Yeah, that&#8217;s right. Yeah, it&#8217;s like sectioning off the theme.json&#8230; Well, specifically at the moment just for colors, but I think this will be great. It&#8217;s kind of like a great gateway into expanding the design tools, especially for theme builders. And like you say, this is only going to apply to the Group Block, but it&#8217;s a good example, for instance, of a theme author being able to provide colors that work well together, but in a specific instance, so just for the Group Block. So you could make sure that text is accessible in that specific instance. I think it plays a really exciting future for splitting up theme.json, also because theme.json can get really long as well and that file can get big. So yeah, I think it&#8217;s heading in the right direction with this as well, to splitting it all.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: I think it also bridges the gaps between&#8230; I don&#8217;t know if that&#8217;s part of it, I need to test it out, but when you have styling for certain blocks or block styles, those don&#8217;t have the design tools to further style them later on. And I think this will be one that&#8217;s built out, not just for the group log or for a certain instance, it could help with the additional styles that theme developers offer their users to also give additional styling to them.</p>\n\n\n\n<p><em>Sarah Norris</em>: Yeah.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: All right. And then on the roadmap, there&#8217;s a section adoption pathways, and that is to make certain features available for classic themes or make them easier to handle support for appearance tools and classic themes. So I think we have one of the change log items that we discussed further is about colors and dual tone and color settings, and then also improved pattern management for classic themes. Yeah. You wanted to say?</p>\n\n\n\n<p><em>Sarah Norris</em>: I was just saying yes to the features that are coming up in the Gutenberg releases we&#8217;re talking about. Yeah, I noticed there was a lot in relation to the appearance but also the classic themes. Yeah.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Yeah. And then for the foundational experience, that&#8217;s the part where the data views come in on the roadmap and they will come in for templates, template parts and patterns in the site editor. At least that&#8217;s on the roadmap, but they are also&#8230; You can already test those, but you need to open up the experiments tab for that to switch them on and then you can see them for pages, you can see them for&#8230; Patterns? No, not patterns. Patterns is the only one that doesn&#8217;t work yet, but for templates and template parts, and definitely a feature that needs feedback, that needs definitely testing and bug fixing, especially for backwards compatibility for the previous versions. That&#8217;s definitely something, if you want to dive into how things are going. The next one, it&#8217;s called robust revisions. Do you know what that is about, Sarah?</p>\n\n\n\n<p><em>Sarah Norris</em>: So this is improving revisions but across multiple places. So I think we&#8217;ve started templates and template parts, so they&#8217;ll now show revisions alongside style revisions and you can also compare this revision side-by-side as well, which I think is brand new. And we&#8217;ve also added pagination. So yeah, a whole ton of improvements for revisions.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Right. Yeah, definitely.</p>\n\n\n\n<p><em>Sarah Norris</em>: We&#8217;re also integrated with the style book now. This may be coming up as well, I think in the change log, but yeah, we integrated with the style book.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Yeah, it&#8217;s definitely something you need to test, you want to test and it&#8217;s a part of the bigger project also to have revisions for any post metadata, which hasn&#8217;t happened in WordPress before. So a lot of plugins probably will be happy to use those revisions screen when they&#8217;re ready and available for extensions as well. And then one thing I&#8217;m pretty excited about, but it has also seemed to be quite a complex issue to actually have a customizable Navigation Block for mobile headings or navigation, the little hamburger, what goes in and what goes out because it&#8217;s never going&#8230;</p>\n\n\n\n<p>Most of the time it&#8217;s not one-to-one with the normal site navigation, but there will be an overlay that you can switch in and out, but it seems to be quite complicated. I looked at some of the issues, one of the issues exactly, and it has a long discussion on which way to go on it. So it&#8217;s still in the design phase, I believe. Not sure if it&#8217;s going to make it to 6.5, but maybe it&#8217;s easy once the design questions are all answered to then dive into the development. But yeah, computers are involved, so nothing is really easy. I don&#8217;t know how you see that, if you have some insight into that.</p>\n\n\n\n<p><em>Sarah Norris</em>: I know it&#8217;s a lot. So I think on the face of it, especially because it sounds like it&#8217;s a section of the Navigation Block, but I think when if&#8230; Anyone who&#8217;s built a responsive navigation knows it&#8217;s not simple, so then as soon as you start trying to do it, to cater for so many of the people to be able to build this kind of tool. Yeah, it&#8217;s pretty complicated, but there&#8217;s some really good work going into this, some good conversations. Yeah, we&#8217;ll get there. And I think all the discussions and a long design discussion, it always ends up with a good first pass.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: And then there are three new APIs coming with different outlooks, kind of, or goals. The Interactivity API we have been talking about for about a year now, and some of the Core Blocks are using it in a private API, but for 6.5 it&#8217;s coming out of experimental and will be a public API for everybody who develops blocks to be able to use the custom fields API and binding API, I&#8217;m not quite sure how far along they are. They haven&#8217;t been released yet in a private API kind of setting. I&#8217;m not sure they&#8217;re actually going to make it. There will be underlying&#8230; They will support some of the new features but in a private API to see if they all work as they&#8217;re supposed to be working. I think that&#8217;s pretty much the high level idea about that. And then lastly there will be some&#8230; There&#8217;s PHB compatibility work.</p>\n\n\n\n<p>There&#8217;s a rollback between plugin and themes, updates with automatic updates. That has been testing also for quite a few months and is supposed to come also a better handling of plugin dependencies. And of course, the performance team does a fantastic job in going after all those performance improvements that are possible with WordPress, be it for the block editor or for PHP or for the backend as well. So those are also coming to 6.5. But as Matias and Matt said, just because we say phase two is done, doesn&#8217;t mean the work is done. So there will be UX iterations and quite a few listview background image support for Group Block, some of it is already there. Then revisiting template versus content editing modes. That kind of confuses a lot of people. &#8220;Are we adding a template or am I adding a page or what am I doing here?&#8221;</p>\n\n\n\n<p>Those questions come up with testing quite a bit. And then what has been progressed quite a while is to align the edit features that are available in the site editor and the post editor. So it can be reused is pretty much&#8230; That&#8217;s one thing. And users, the advantage of it is that users don&#8217;t have to relearn what&#8217;s available in which editor because they&#8230; Maybe that&#8217;s also part of the confusion that we have on, are we editing templates or content. And so the background image support and the aligning the features are ready for testing. I think there has been some great progress made in the Gutenberg releases. And then the last point is adding box shadow component. There is box shadow support, but I think it&#8217;s only made available for theme.json level but not for user interfaces. Is that right?</p>\n\n\n\n<p><em>Sarah Norris</em>: Yeah, that&#8217;s right. Yeah. So the work for 6.5 will expose this to the UI as well, so end users can use the box shadow component as well.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Yeah. We&#8217;ll see how that all&#8230; And then the last thing that&#8217;s on the roadmap is that the minimum version for MySQL is going to be raised from 5.0 to 5.5.5. Very specific, but look out for it and talk to your hosting company to make sure that there is an upgrade path if you&#8217;re still on an older MySQL version. All right, so anything else about the roadmap that you want to add?</p>\n\n\n\n<p><em>Sarah Norris</em>: No, I think that was everything. It&#8217;s a very long roadmap.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Yeah, it&#8217;s ambitious. Yeah. Roadmaps are always quite ambitious. And then you see on Gutenberg 17.6, we&#8217;ll see how we wiggle down that ambition a little bit and kind of what&#8217;s realistic and then we&#8217;ll see what&#8217;s coming into 17.7. Yeah, that&#8217;s the last one.&nbsp;</p>\n\n\n\n<h3 class=\"wp-block-heading\">What’s Released &#8211; Gutenberg 17.2</h3>\n\n\n\n<p>All right, so let&#8217;s go into the weeds. And we start with Gutenberg 17.2, it was released on December 6th. Wow, that&#8217;s a month ago. And there were a few things that stand out and one was the data views, and that added extra context to&#8230; So the data views are the ones that are in the admin section, the list of things, list of properties or entities or whatever you call it, I call them things.</p>\n\n\n\n<p>And so there are quite a few features in the old admin screen that needed to come in a better way into the new admin screen. And there was kind of a filter row, the table header pagination and there&#8217;s extra&#8230; You can now scroll down and have the larger data sets. You don&#8217;t have to scroll up and down. So there&#8217;s a sticky table header that&#8217;s really good. That wasn&#8217;t available in the old one. So that&#8217;s the first&#8230; Yay.</p>\n\n\n\n<p><em>Sarah Norris</em>: Yeah, it&#8217;s very helpful, especially when the scroll bar is really long, so you don&#8217;t have to remember&#8230; The pagination is also sticky as well.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Oh yeah, that&#8217;s great.</p>\n\n\n\n<p><em>Sarah Norris</em>: Same with that, you don&#8217;t have to scroll&#8230; Yeah.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Good. And then one of the things is that drag and drop is now a little bit more refined. There was a problem to drag and drop to the beginning of a post or page and to the end, and contributors have figured out how to make this better and actually functioning. And so it kind of virtually enlarges the area. It was really irritating that you could do it in the second one. You can drag into between the first one and the second one, and then you had to move it up if you wanted to get a block to the beginning of something. So it&#8217;s really good.</p>\n\n\n\n<p><em>Sarah Norris</em>: Yeah, yeah, it was really finicky. It was like you were fighting with the top on the blocks. It was just like it wants to drag you into this, but yeah, and now you don&#8217;t have to fight.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Yeah, yeah. I also think that the drop zones are better marked now than at the previous versions of the block editor. So I&#8217;m really grateful for that. I just it saw, that the list view&#8230; You can also now drag into a collapse block in the list view, which is really cool. So you don&#8217;t have to just first expand a block to put additional blocks into a Group Block or a Columns Block or something like that. So you can just drag it there. Of course, the order of that, that&#8217;s random. But yeah, once you get them in, you can organize it.</p>\n\n\n\n<p><em>Sarah Norris</em>: Yeah, that&#8217;s cool. It&#8217;s less clicks, it should be less clicks.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Do you want to take the next one?</p>\n\n\n\n<p><em>Sarah Norris</em>: Yeah, what else have we got? So we&#8217;ve also got the adding the toolbar for distraction free mode. So distraction free mode removes all of the UI? All the UI. So you are only looking at your content and you&#8217;re only&#8230; So you can write a long blog post hopefully. The problem with this is that it could be hard to format some of the content. So this brings in the toolbar when you mouse over the top of the editor, it&#8217;ll bring in toolbar when you&#8217;re in distraction free mode. So yeah, I recommend checking that out as well, if you haven&#8217;t checked that distraction free one.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Yeah, I really like it. And it should be actually a default setting for the writers of the users that still like the white box from the old classic block editor that&#8230; And there is no distraction, every time you move the mouse or you move the keyword, there&#8217;s something popping up and coming down and you don&#8217;t remember where it was and what it was and it kind of totally gets you out of the flow for your writing session. So distraction free mode is a really&#8230; Extension there, and refinement definitely helps with all the writing tools in the block editor.</p>\n\n\n\n<p>So the Gallery Block now has styled scroll bars for the image captions, which is really an additional design tool because the image captions were always a little bit randomly placed on the Gallery Block. Yeah. The Interactivity API, they add&#8230; Luis Herranz, I think, did the proposal to have the Interactivity API use modals instead of scripts on the front end, which kind of makes it native JavaScript&#8230; A little bit closer to native JavaScript. So I think that&#8217;s for the developers amongst us to check out. And do you have any thoughts about that?</p>\n\n\n\n<p><em>Sarah Norris</em>: I&#8217;m really excited about the Interactivity API going out into the world. I think it really opens up&#8230; Well, so I&#8217;m from a front-end development background, so if I wasn&#8217;t already working at Gutenberg and I was building WordPress sites, I would be really excited about this. I&#8217;d be looking forward to using it so much. Yeah, it&#8217;s basically&#8230; I don&#8217;t want to say it&#8217;s React and you can look under the hood, what it actually is, but yeah, it basically surfaces so much functionality to the WordPress front end.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: There wasn&#8217;t before.</p>\n\n\n\n<p><em>Sarah Norris</em>: Especially you&#8217;re building custom block.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: So check it out as it&#8217;s coming to 6.5 as a public API, so let&#8217;s definitely start checking it out. There are efforts to bring introductions to the Interactivity API as well as case studies to the developer blog. I&#8217;m not quite sure they will be ready by March, but definitely subscribe to the WordPress developer blog on developer.org&#8230; <a href=\"https://wordpress.org/news/\">wordpress.org/news</a>. So you get notifications when there&#8217;s a new post coming up, and it actually has some great additional tutorials in there.</p>\n\n\n\n<p>Talking about documentation, there was an initiative to put the fundamentals of block development, rewrite some of that or put it in a different order. So when you&#8217;re trying to learn more about block development, that the official documentation in the block editor handbook helps you get started and learn all the concepts about the file structure, registration of a block, the block wrapper, working with JavaScript and the block, what block.json can do for you, landing and first pages and the landing pages and all. And they&#8217;re all kind of getting a revamp.</p>\n\n\n\n<p>At the same time, Riad, I think it&#8217;s mainly Riad Benguella who is also writing the documentation for using Gutenberg as a framework, as a platform outside the WordPress context. It hasn&#8217;t been published yet, but if you fork the Gutenberg repo and you can start reading it. And he has some great tutorials on attributes, definitions, transform pages and blocks, and also the block supports for the framework, which is a little bit&#8230; Works a little bit differently than in the WordPress context, of course. So this is pretty new on the&#8230; And then, of course, there&#8217;s always some work to be done on the documentation with the new components, theme.json, and also template names and web pack options and all that. So this is highly technical and I would suggest you read the change log on the documentation part, if you&#8217;re interested in that and learning about new things.</p>\n\n\n\n<p>And I think, yeah, it&#8217;s also the Create Block scaffolding. I don&#8217;t know if you have used it, Sarah, but I&#8217;m a big fan of that scaffolding tool since the beginning because I don&#8217;t have to remember all the things I need for a plugin that has a block. And you can also use an interactive template that makes the new block ready-to-use Interactivity API. And because there&#8217;s a new Store API for the Interactivity API, the Create Block scaffolding tool has already been updated to use that. So this is pretty cool.</p>\n\n\n\n<p><em>Sarah Norris</em>: Yeah, it&#8217;s very cool.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Very cool. And I think that&#8217;s it from Gutenberg 17.2, and we go right headfirst into 17.3. Do you want to start us off?</p>\n\n\n\n<h3 class=\"wp-block-heading\">Gutenberg 17.3</h3>\n\n\n\n<p><em>Sarah Norris</em>: Yeah, sure. So this also included many improvements to the revision changes like we highlighted before 6.5. So 17.3 included adding a brief summary of the revision changes to global styles. So when you view the revisions in global styles and you click on the dates, it&#8217;ll now give you a brief summary of the blocks that would change and the styles&#8230; Yeah, the blocks that would change with the style changes. Yeah, it&#8217;s very good.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Yeah, that&#8217;s excellent. And there&#8217;s also enhancement of the social icons that is now using or adding the Gravatar service and it&#8217;s also updated. Well, sometimes I&#8217;m really cool. I&#8217;m really excited when I see consistency be applied to all the controls. So the default typography controls are now consistent across all the blocks, because different contributors write the different pieces of it, and then once you have the pieces you kind of need to see, okay, how can it make this a little bit more consistent, because then it&#8217;s easier on the eye end. You don&#8217;t have to worry, why is that distance longer than the other one, or whatever. So that is really good work. It&#8217;s God&#8217;s work, but it&#8217;s not always appreciated or seen that much. So I wanted to point that out. The same is also&#8230; Or the color dimensions of the List items Block, I think that&#8217;s new. That&#8217;s an enhancement for the List Block. So you can do the margins and the padding around list items. You can also have controls over it. It&#8217;s really cool.</p>\n\n\n\n<p><em>Sarah Norris</em>: The preference is modal as well. It&#8217;s also had a nice update, maybe something you wouldn&#8217;t expect to see updates for, but in 17.3, it&#8217;s had an organization update with the introduction of some new panels for appearance and accessibility settings.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Yeah, that&#8217;s really cool.</p>\n\n\n\n<p><em>Sarah Norris</em>: Nice UX enhancement.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Oh yeah, there were also some updates to the external&#8230; Have you ever noticed the external images panel in the Post publish sidebar?</p>\n\n\n\n<p><em>Sarah Norris</em>: Yes. Yeah, right.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: That&#8217;s such a cool feature. So what does it do? And it kind of seems to be unnoticed, but it helps you. So if you copy paste from a different webpage or from Google Docs into your block editor canvas, out of the box or automatically, it links the images from the original space. So once you publish it and you delete the Google doc where&#8230; Yeah, all of a sudden your images go away or if you migrated from a different webpage, those external images don&#8217;t come automatically over. So each of the images in the toolbar has an upload to your own media library. But if you have 10 images, you don&#8217;t want to do it one at a time. And when you publish the post, the pre-published view has kind of thumbnails of all the images that are external and gives you a button to upload them all at once into your media library before you publish your post. I think that&#8217;s genius.</p>\n\n\n\n<p><em>Sarah Norris</em>: It is.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Because in the preview you see the images because the original place still has them, and all of a sudden the post goes away. We actually have met the developer blog quite a bit when&#8230; So it&#8217;s a really cool feature.</p>\n\n\n\n<p><em>Sarah Norris</em>: Yeah, it is. It&#8217;s something that&#8217;s maybe easily forgotten about as well because like you say, if you&#8217;re copying and pasting, like a lot of people do, and then you&#8217;re just like, &#8220;Yeah, they&#8217;re showing, they&#8217;re fine,&#8221; and you can just easily forget about them. Yeah, so really good feature.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Yeah, really good. Well done, Ella. So was that all that we had? I think there wasn&#8217;t a whole lot of&#8230; In that release, but I like all the accessibility improvements that are listed in there and the performance as well. There&#8217;s quite a few performance improvements, just because improving the code quality and having not so many calls to the same feature or same store kind of reduces that load times and the reloading of things. The experiments, I&#8217;m pretty much done with that. Are we? 17.3?</p>\n\n\n\n<p><em>Sarah Norris</em>: I think there&#8217;s one about the update for matching the front-end layout class names between the editor and the front end. So it&#8217;s a minor change, but I think anyone who&#8217;s working with CSS, especially with WordPress, will appreciate any updates like this where the generated layout class name in the editor will now match to the front end.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Yay.</p>\n\n\n\n<p><em>Sarah Norris</em>: So yeah, it&#8217;s a nice little enhancement.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: So those who have dealt with that before, they need to revisit the code to not&#8230; Are there compatibility issues with that or&#8230;?</p>\n\n\n\n<p><em>Sarah Norris</em>: No, I don&#8217;t think so. I think just going forward the class names will match. So I guess previously there would be a lot more work involved, so things should be more simple going forward. So I don&#8217;t think there&#8217;s any backwards compatibility.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Good, good, good. Yeah, sometimes I wonder when CSS changes come. And we had a few hiccups with releases there as well. Yeah. All right, well, we are really good.</p>\n\n\n\n<h3 class=\"wp-block-heading\">Gutenberg 17.4</h3>\n\n\n\n<p>We are through 17.3, and then this week Gutenberg 17.4 was released and also had a few highlights, and definitely the unification between site and post editor has progressed rapidly. So now we have Page Attributes panel, post taxonomies panel, the view link thing, panel. Discussion panel and feature image panels are now available also in the site editor. And that&#8217;s really good. So when you create pages and edit pages, you have all the tools that you need there.</p>\n\n\n\n<p><em>Sarah Norris</em>: Next one, there&#8217;s so many improvements to the DataViews as well with this release. So we&#8217;ve stabilized the experience of the template screen, making it available outside the experiments flag and without the additional views options, but templates have been marked as stable. Yeah.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Yeah. So DataViews testing is now on. If you install, you can use the plugin also on the test site or on Playground and install it there and test those template pages. So the DataViews of that is really&#8230; You can start now. For the design tools, the 17.4 has the first iteration of support background image in the Group&#8230; Well, we had background image in the Group Block before, but now it also has some tools, controls for the background size and also for tiling or repeat feature on the background image. So there&#8217;s a cover option there that means it covers the whole size of the Group Block, or you could have a contains option that it contains the aspect ratio and the Group Block can display something on top or below. But with that you can also enable the repeat feature and then it would only repeat in one dimension.</p>\n\n\n\n<p>So if the block is longer than the image, then it would repeat in the height of it and if the Group Block is wider than the background image, then it would tile it in the width of it. And then there&#8217;s a custom size. So you can say, &#8220;Okay, use that background image but only in the size of 200 width and then repeat it.&#8221; And then it gives you the repetition over the full set of the Group Block. Did I explain this right?</p>\n\n\n\n<p><em>Sarah Norris</em>: Yeah, I think so. Yeah, expanding the background image options to include cover and contain, and then with all those options you just described. Yeah.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: And I think that&#8217;s pretty cool because then you can have some great&#8230; Well, some people say it reminds them of GeoCities, but that&#8217;s not a bad thing. Giving more controls to the user and to designers to make some interesting layouts and interesting designs for the websites.</p>\n\n\n\n<p><em>Sarah Norris</em>: And I think anything that reminds me of GeoCities can only be a good thing. Maybe that&#8217;s just my age showing.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Or mine. I love it. Played quite a bit of a part. The next step?</p>\n\n\n\n<p><em>Sarah Norris</em>: We&#8217;ve also got some updates&#8230; Yeah, the global Styles revision. So we mentioned these as part of the 6.5 roadmap, but as part of 17.4 we&#8217;ve got some updates to the revisions for adding pagination and the integration into the Style Book. So global Styles revisions, you can now navigate between lots of different revisions over multiple pages of revisions and you can also see them from the Style Book itself as well. And I think that that really highlights the Style Book as such a useful tool as well, especially for styling. It&#8217;s in the name, Style Book, but especially for styling many blocks, many blocks at a different&#8230; Sorry, at the same time, rather than&#8230; I don&#8217;t know if maybe some people who are new to the editor may feel that they have to edit certain sections in different places because things feel new and they&#8217;re all over the place. If you start with the style book and you can see all the blocks in one place, I think it may help understand how they all interact with the different styling and how they interact with each other as well.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: And the Style Book is actually something that I, at the beginning of the block editor when I was trying to figure out if they&#8230; In 2018 actually, trying to figure out if we should enable the block editor for certain websites, and I was putting all the blocks in one post and then make them available for that particular site. And then we were able to look through it, how do the blocks behave? Whereas the styles need to be adjusted so they actually show the cover block and all that. And the Style Book is really replacing that totally. But it&#8217;s really helpful for&#8230; As you said, you have so many places where you can change the appearance of a block, of an element, more of a&#8230; That, or of a section, that it&#8230; Or in a post or globally on the style IU, you sometimes have a hard time figuring out, &#8220;Where did I change that or where is that red line coming from?&#8221; So the Style Book really helps you with that, to kind of track that down.</p>\n\n\n\n<p><em>Sarah Norris</em>: We&#8217;ve also got the right-click for blocks. So yeah. So in the list view, yeah. So you can now right-click blocks in the list view, so on the left-hand side when you&#8217;re in the editor, and it&#8217;ll open the block settings panel for that block. And I think this is super cool because it makes Gutenberg feel a lot more like an app. It already feels like an app. And then we&#8217;ve got the admin redesign coming as well, and now we&#8217;re going to have right-click menus. Yeah.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Yeah, right-click menus. Yay.</p>\n\n\n\n<p><em>Sarah Norris</em>: Right, yeah. Right-click menus, yeah.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Yeah. And that&#8217;s the block settings menu that will come up. That&#8217;s where you have add, before and after, copy things, create patterns. Those are the menu items that are in the block settings menu that shows up when you right-click on a block in the list view. It also makes you streamline the whole process quite a bit because you only have one list view and you don&#8217;t have to scroll up and down the canvas, you can just kind of collapse and expand on the list view and do some fine-tuning there. What&#8217;s also quite interesting here is in 17.4, all the performance enhancements or improvements that people are working on as well, most of them, again, also store subscriptions and improvements that take down the load times and the reload times. So that is definitely yay to the performance improvements. There are quite&#8230; I don&#8217;t know, I haven&#8217;t counted them, but it might be 40 or so items that are concerning the data view.</p>\n\n\n\n<p>So that experiment is really progressing quite a bit. So even if that&#8217;s the template part, you can enable the experiment and then get all the other data views as well to test things. Yeah, list view, the sync patterns is kind of working. Yeah, the documentation updates, one is that there is a new build your first block tutorial in the Getting Started section of the block editor handbook. And I&#8217;m not quite sure how finished that is, but it&#8217;s definitely something to keep an eye out for that, as it made the start of your block development experience easier than before. At least, that&#8217;s the hope. And if it doesn&#8217;t, yell at us. It&#8217;s good to get your frustrations out because that&#8217;s how we learn, we&#8217;ve got to get over it, then we need to get back to it. I did one of the courses, the data layer introduction course on <a href=\"https://learn.wordpress.org/\">learn.wordpress.org</a>, and I&#8217;ve really found it quite interesting to go through that.</p>\n\n\n\n<p>And I learned so much about using the components also for plugin outside the block editor context and a plugin settings page, and also how to interact with the WordPress data. And I shared my enthusiasm for that course on Twitter. And then someone who also went through that said, &#8220;Well, it&#8217;s not always quite clear which code examples need to be changed to get to the next step.&#8221; And I said, &#8220;Yeah, you&#8217;re not alone.&#8221; And I definitely have a set of notes for that, for the faculty member who created the course, but I also found it quite satisfying that I actually figured out what needs to happen. And that&#8217;s part of the learning piece, that you cement the learning so much better when you figure it out yourself than somebody spoon feeding that to you. So I&#8217;m in two minds about that. But yeah.</p>\n\n\n\n<p><em>Sarah Norris</em>: You can fall into the trap of just copying and pasting everything, if everything is there. But I also understand examples are amazing to be in docs. So yeah, we need a good balance of just enough examples to get people to figure out the next thing on their own so they feel like they&#8217;ve learned something too.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: And I think it&#8217;s also&#8230; It might be the experience of a web developer that we had to figure out so much before on our own that it&#8217;s kind of part of the habit, too. &#8220;Yeah, it&#8217;s not working the first time.&#8221; That expectation is not there, so we always have to figure it out. Same with using different scripts and all that. As I said, computers are involved, easy is not always easy as it seems. But if you are on the developer path and you&#8217;re listening and want to learn something, they have some great courses on the learn.wordpress.org site, and they&#8217;re relatively fast to get through. Not always easy, as we said, but yeah. And speaking of which, the easy part, I think we are through with Gutenberg 17.4, right? So this time you got it, three Gutenberg releases in one hour, just about.</p>\n\n\n\n<h3 class=\"wp-block-heading\">What’s in Active Development or Discussed <strong>&nbsp;&nbsp;&nbsp;&nbsp;</strong></h3>\n\n\n\n<p>Yeah. But I sat down on a quest during the holidays&#8230; Or between the holidays or between the year, as we say in Germany, between the year, I sat on a quest to migrate the Gutenberg Times to block theme, and I now take the opportunity to have discussed that with Sarah, who&#8217;s the professional theme developer and builder of tools, to see if I&#8217;m on the right track. So I migrated Gutenberg Times off to a different hosting to Pressable. They&#8217;re very impressive. It&#8217;s a really great hosting company, but that was the first part of it. So now I wanted to scope out what needs to change visibly, and I thought, &#8220;Okay, how can I look at 2024 without changing my front end and without getting all my site door mixed up?&#8221; And I remembered there is this site health and troubleshooting plugin from the WordPress community where you can kind of switch to a different theme for the admin, but the front end stays the same.</p>\n\n\n\n<p>The visitor sees what they see and you don&#8217;t change it. So I enabled the 2024 and the necessary plugins that I needed for content, like the plugin&#8230; The podcast plugin or the blocks that I have from a different plugin. I use the Post Grid block from the Genesis Blocks for a long time. So I needed to enable that. And then I navigated the site like I was the visitor and took notes. I have a list of to-do items, and so I get the scope for that. And now, but how do I execute that? So I was thinking, and I wanted to check with you, Sarah, if that&#8217;s the right approach or if there&#8217;s a better way to do this. So I would create a clone of my site, then install the Create Block Theme plugin, which is in the repository. Then I would activate for real the 2024 theme and then make the changes to the template, create new templates, change the styles of things, and then, what? I export the new theme and then upload it to the live site? Would that be a good place? Good way to do it?</p>\n\n\n\n<p><em>Sarah Norris</em>: Yes, I think so. A really good shout out to the Site Health plugin as well, I never would&#8217;ve thought of it. Yeah, it&#8217;s a good starting point. Yes, I think&#8230; So you&#8217;ve already created a clone of the site, so you&#8217;ve isolated a copy of your site, you&#8217;re working on that as a separate theme and then you&#8217;re going to export that as the new theme in order to activate it on your live site. So yeah, I think that sounds like a perfect workflow. The only other option I was thinking was that&#8230; But I don&#8217;t think in your specific case&#8230; I&#8217;m not sure how much it&#8217;d help, but just to put another option out there, Create Block Theme also has the option to start from scratch, so create a blank theme rather than starting with an existing theme.</p>\n\n\n\n<p>But I definitely would recommend starting with 2024, but I know that some people, especially if you&#8217;re used to designing from scratch or a blank canvas, some people might like to start from a blank theme and you do have that option with Create Block Theme. So yeah, you&#8217;ll get completely empty templates, empty pages, but it will be a block theme starting point, so you don&#8217;t have to figure out how to actually get started.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Oh, good. Yeah.</p>\n\n\n\n<p><em>Sarah Norris</em>: In the theme technical terms. But yeah, you&#8217;re ready to start inserting things into the page templates and creating new menus. So yeah, probably if you&#8217;ve got an existing site. I guess it depends on the layout, and you could also choose another existing block theme that maybe matches the current classic theme more closely. But yeah, so it depends on your use case. I guess the biggest thing to decide is where your starting point is going to be, whether it&#8217;s an existing theme, a default theme, or the blank theme that comes with Create Block Theme. But yeah, the approach you suggested sounds perfect. Yeah, export a new theme and then you can upload it somewhere. Yeah.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Okay. Yeah. All right. Okay. Yeah, so I&#8217;m not missing any step and then be surprised, like, &#8220;Oh no, that doesn&#8217;t work.&#8221; And start from scratch again. No, I think I want to start from an existing theme. So with the step on the Site Health and troubleshooting plugin, you could install&#8230; Or before you enable the troubleshooting mode on the plugin, install other plug themes. So I would think maybe Brian Gardner has some&#8230; Two block themes, the Frost and the Powder. Then Ellen Bauer has two great themes. One is the AinoBlock and the other of the Aino theme, but I think it was an earlier block theme. And then the latest one is MOOC, which is actually for magazine sites, which I am going to review again to see if that matches up. It&#8217;s quite a nice theme. And then my classic theme is Excel from&#8230; And there&#8217;s Norén, who also has quite a few block themes, and is actually an early adopter of block themes. And he has, I think, four or five block themes in there.</p>\n\n\n\n<p>So I&#8217;m not yet quite sure on my decision on the 2024 theme, but Eat Your Own Dog Food is probably&#8230; That&#8217;s where I&#8217;m going to end up. But I like exploring the different themes. And the troubleshooting mode on the plugin, SiteHealth plugin, is definitely helping quite easily because you don&#8217;t have to set up a new site and all that to just test out some of the themes. And of course I could do Playground&#8230; No, I can&#8217;t. Well, there are ideas around Playground to actually create a copy of your site and then you can test things out. But I think that&#8217;s not that far yet. But keep out, watch out for Playground, it can really help you with things.</p>\n\n\n\n<p><em>Sarah Norris</em>: At the moment, with Playground, you could install the Create Block Theme plugin in a Playground instance and then build a theme in that instance and then export it from there. So again, maybe not a hundred percent for your use case, but just to know there&#8217;s another option, yet another option out there. It&#8217;s good for isolating the WordPress instance, and you don&#8217;t have to worry about all the other things that come with it, like hosting and setting up WordPress, obviously all the benefits of Playground. So you can just start from Create Block Theme, basically.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: That&#8217;s so true. So any designer could just use Playground, click on one button on the Playground site and then install the plugin. And then once you&#8230; The Create Block Theme and then create from scratch or use the 2024 one and then export it and use it on any other site. But it goes away, right? Playground goes away again, when you close the browser, right?</p>\n\n\n\n<p><em>Sarah Norris</em>: You can now change the option so it will persist. So yeah, there are other options. So if you&#8217;re looking for these options, they&#8217;re in the top right when you visit the Playground site. But yeah, so not everything disappears now when you close the Playground, you can persist it in the browser, in the browser history.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Wow, that&#8217;s fantastic. You don&#8217;t even need anything, any websites. Yeah, you can just use Playground to persist it. All right, well, this has been such a great show to talk to you about and chat about. Thank you so much, Sarah. So when people want to reach you, where do they find you?</p>\n\n\n\n<p><em>Sarah Norris</em>: I am mikachan or mikachan underscore. Someone else has already taken my username on everywhere, basically, on wordpress.org and Twitter and yeah. Yeah.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: All right.</p>\n\n\n\n<p><em>Sarah Norris</em>: Please reach out. Yeah.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Yeah. And I will share the contact information in the show notes so you can follow up with them. Well, this was the first show of 2024. Thank you so much, Sarah, for being here and being my&#8230; Keep me straight on the straight and narrow here. And as always, the show notes will be published on the <a href=\"https://gutenbergtimes.com/podcast/\">gutenbergtimes.com/podcast</a>. This is episode 94, and if you have questions or suggestions or news, just send them to <a href=\"mailto:changelog@gutenbergtimes.com\">changelog@gutenbergtimes.com</a>. That&#8217;s <a href=\"mailto:changelog@gutenbergtimes.com\">changelog@gutenbergtimes.com</a>. So thank you all for listening. Hope you all have a great 2024, and until the next time. Bye. Bye, Sarah.</p>\n\n\n\n<p><em>Sarah Norris</em>: Bye.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 08 Jan 2024 11:48:16 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:18:\"Birgit Pauli-Haack\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:23;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:119:\"Gutenberg Times: Happy New Year, WordPress Enterprise, Developer Hours and an Interactive Game –  Weekend Edition 279\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://gutenbergtimes.com/?p=26820\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:83:\"https://gutenbergtimes.com/happy-new-year-wordpress-enterprise-weekend-edition-279/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:21801:\"<p>Howdy, </p>\n\n\n\n<p>Wishing you and yours a prosperous, happy and healthy 2024, with a lot of success, lots of laughter and a lot of love. &nbsp;🤗 </p>\n\n\n\n<p>After two weeks of vacation, it&#8217;s been inspiring to catch up. Many developers, freelancers, and site builders use the downtime around the holidays to work on their side projects or sit down to write about their learnings. What was your side or writing project? I want to know! </p>\n\n\n\n<p>For me, it meant moving the Gutenberg Times to a new hosting space.  I feared it to be difficult going from a very opinionated hosting environment to <a href=\"https://pressable.com/\">Pressable</a>. I was pleasantly surprised how, with the help of customer service, we got it done in a matter of minutes. What took the longest was the propagation of the DNS server changes over the Internet, that took roughly an hour. The main reasons for the switch was that using <a href=\"https://wordpress.github.io/wordpress-playground/\">WordPress Playground</a> with <a href=\"https://gutenbergtimes.com/need-a-zip-from-master/\">Gutenberg Nightly</a> didn&#8217;t work at the old host. After testing various configuration also on other hosting spaces, I am excited that it worked out of the box on Pressable.  </p>\n\n\n\n<p>Now, let&#8217;s see what others published in the WordPress editor space in the past three weeks. </p>\n\n\n\n<p>Yours, 💕<br /><em>Birgit</em></p>\n\n\n\n<p>PS: The sixth anniversary of the start of Gutenberg Times is coming up this week, and I just wanted to say, it has been a great pleasure curating all the things around Gutenberg for you. So glad you are here with me. </p>\n\n\n\n\n<div class=\"wp-block-group has-light-background-background-color has-background\"><div class=\"wp-block-group__inner-container is-layout-flow wp-block-group-is-layout-flow\">\n<p><strong>Table of Contents</strong></p>\n\n\n\n<div class=\"wp-block-sortabrilliant-guidepost\"><ul><li><a href=\"https://gutenbergtimes.com/feed/#0-word-press-release-information\">Developing Gutenberg and WordPress</a><ul><li><a href=\"https://gutenbergtimes.com/feed/#1-gutenberg-plugin-releases\">Gutenberg plugin releases </a></li></ul></li><li><a href=\"https://gutenbergtimes.com/feed/#0-p\">Plugins, Themes, and Tools for #nocode site builders and owners</a></li><li><a href=\"https://gutenbergtimes.com/feed/#3-building-themes-for-fse-and-word-press\">Building Blocks and Tools for the Block editor. </a></li></ul></div>\n</div></div>\n\n\n\n\n<p><strong>Updates on Gutenberg Times</strong></p>\n\n\n\n<p>🆕  As mentioned above, you can now use the <a href=\"https://gutenbergtimes.com/need-a-zip-from-master/\"><strong>Gutenberg Nightly</strong></a> plugin built with WordPress Playground and land right in the site editor screen. If you are interested in the blueprint, <a href=\"https://150387569.v2.pressablecdn.com/wp-content/uploads/2020/11/playnightly.json\" target=\"_blank\" rel=\"noreferrer noopener nofollow\">it&#8217;s available here</a></p>\n\n\n\n<div class=\"wp-block-buttons is-layout-flex wp-block-buttons-is-layout-flex\">\n<div class=\"wp-block-button\"><a class=\"wp-block-button__link has-text-align-center wp-element-button\" href=\"https://playground.wordpress.net/?blueprint-url=https://gutenbergtimes.com/wp-content/uploads/2020/11/playnightly.json\" target=\"_blank\" rel=\"noreferrer noopener\">Click to launch WordPress Playground</a></div>\n</div>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"0-word-press-release-information\">Developing Gutenberg and WordPress</h2>\n\n\n\n<p>Anne McCarthy invites you to <a href=\"https://wordpress.org/news/2023/12/leap-into-2024-with-these-site-editor-tools/\"><strong>Leap into 2024 with these&nbsp;Site Editor&nbsp;Tools</strong></a> and gives you a list of features and tools, that might have slipped your mind, or you haven&#8217;t had a chance to explore. This is an excellent run-down of use cases and update on the current state of the site editor.  Learn more about the Command Palette, the Style Book, styling short-cuts, Distraction-free mode, Patterns,  and the List view. </p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p>Once you are ready to dive deeper into any of the topics, the WordPress Developer Blog covered quite a few topics this year. <strong>Justin Tadlock</strong> published <strong><a href=\"https://developer.wordpress.org/news/2024/01/05/2023-year-in-review/\">2023 Year in Review</a>,</strong> citing some numbers and listing all the articles in a sorted way. It&#8217;s the best way to catch-up on things you might have missed. And if you don&#8217;t want to miss any more articles on the Developer blog, it&#8217;s time to subscribe  to it. Scroll down on any post of page and enter your email address 🙂 Or <a href=\"https://developer.wordpress.org/news/feed/\">subscribe to the RSS feed</a> with your favorite reader.  </p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<h3 class=\"wp-block-heading\" id=\"1-gutenberg-plugin-releases\">Gutenberg plugin releases </h3>\n\n\n\n<p>In his post <a href=\"https://make.wordpress.org/core/2023/12/20/whats-new-in-gutenberg-17-3-20-december/\"><strong>What’s new in Gutenberg 17.3? (20 December</strong></a>),release lead <strong><a href=\"https://twitter.com/madhudollu\">Madhu Dollu</a></strong>, highlighted: </p>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/12/20/whats-new-in-gutenberg-17-3-20-december/#global-style-revision-change-summary\">Summary of changes in global styles revision history</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/12/20/whats-new-in-gutenberg-17-3-20-december/#updated-preferences-panel\">Updated preferences panel</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/12/20/whats-new-in-gutenberg-17-3-20-december/#integration-of-gravatar-service-for-social-icons\">Integration of Gravatar Service for Social Icons</a></li>\n</ul>\n\n\n\n<p>In total, the release included 184 merged PRs by 56 contributors, 6 of them contributed for the first time. Congratulations to the team. </p>\n\n\n\n<a href=\"https://make.wordpress.org/core/2023/12/20/whats-new-in-gutenberg-17-3-20-december/\"><img width=\"652\" height=\"315\" src=\"https://i0.wp.com/gutenbergtimes.com/wp-content/uploads/2023/12/Preferences.jpg?resize=652%2C315&ssl=1\" alt=\"\" class=\"wp-image-26829\" /></a>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p>On January 3rd, 2024, Gutenberg 17.4 was released. <a href=\"https://make.wordpress.org/core/2024/01/04/whats-new-in-gutenberg-17-4-03-january/\"><strong>What’s new in Gutenberg 17.4? (03 January)</strong></a>. As release lead, I highlighted the following features: </p>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2024/01/04/whats-new-in-gutenberg-17-4-03-january/#data-views-list-of-templates-stable\">Data Views: List of Templates stable</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2024/01/04/whats-new-in-gutenberg-17-4-03-january/#style-revisions-stylebook-integration-and-pagination\">Style revisions: Stylebook integration and pagination</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2024/01/04/whats-new-in-gutenberg-17-4-03-january/#background-images-size-and-repeat-controls\">Background Images: size and repeat controls.</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2024/01/04/whats-new-in-gutenberg-17-4-03-january/#list-view-right-click-access-to-block-setting\">List View: Right click access to Block Setting</a></li>\n</ul>\n\n\n\n<p><strong><a href=\"https://twitter.com/mikachan_\">Sarah Norris</a></strong> joined me on the recording for the Gutenberg Changelog episode 94, and it was a lovely chat about the past three Gutenberg plugin releases and the upcoming roadmap for WordPress 6.5.</p>\n\n\n\n<img width=\"652\" height=\"186\" src=\"https://i0.wp.com/gutenbergtimes.com/wp-content/uploads/2024/01/Screenshot-2024-01-06-at-11.34.15.png?resize=652%2C186&ssl=1\" alt=\"\" class=\"wp-image-26916\" />\n\n\n\n<p>We also covered the process of how to migrate a site from a classic theme to a block theme, something, that&#8217;s on my to-do list for the Gutenberg Times in the upcoming weeks. Spoiler:  The plugin <a href=\"https://wordpress.org/plugins/health-check/\">Health Check &amp; Troubleshooting</a> and<a href=\"https://wordpress.org/plugins/create-block-theme/\"> Create a Block Theme</a>  will play big roles. Did you move a site from a classic theme to a block theme? How did you go about it, and what were the greatest challenges? Please let us know in the comments or email me, <a href=\"mailto:pauli@gutenbergtimes.com\">pauli@gutenbergtimes.com</a>. </p>\n\n\n\n<p>The podcast episode will drop in your favorite podcast app over the weekend. </p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p class=\"has-accent-color has-light-background-background-color has-text-color has-background has-link-color wp-elements-b21294d93d10468b5f9c6136fdd74073\">🎙️ Latest episode:  <a href=\"https://gutenbergtimes.com/podcast/gutenberg-changelog-94-state-of-the-word-gutenberg-17-2-17-3-and-17-4-wordpress-6-5-migrating-from-classic-theme-to-block-theme/\">Gutenberg Changelog #94 – State of the Word, Gutenberg 17.2, 17.3 and 17.4, WordPress 6.5, Migrating from Classic Theme to Block Theme</a> with Sarah Norris</p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"0-p\">Plugins, Themes, and Tools for #nocode site builders and owners</h2>\n\n\n\n<p><strong>HumanMade</strong> and <strong>BigBite</strong> invite you to a <em>WordPress for Enterprise</em> event on <strong>January 18th, 2024</strong> to <a href=\"https://hello.humanmade.com/wordpress-for-enterprise\"><strong>Hear from the global brands doing incredible things with WordPress</strong></a>. It&#8217;ll start at 16:00 UTC and will take until about 21:00 UTC &#8220;Over the course of 6 sessions, we’ll be sharing the stories behind these amazing projects. Expect case studies, deep dives, and behind-the-scenes access on topics such as security, performance, editorial optimization, AI, and how open source is making a difference in the enterprise setting.&#8221; with speaker such as Adam Silverstein, Google, Brian Alvey, WordPress VIP, or Luke Sikkema, The Times, and a few more. </p>\n\n\n\n<a href=\"https://hello.humanmade.com/wordpress-for-enterprise\"><img width=\"652\" height=\"341\" src=\"https://i0.wp.com/gutenbergtimes.com/wp-content/uploads/2024/01/WordPress-Enterprise-1024x535.jpeg?resize=652%2C341&ssl=1\" alt=\"\" class=\"wp-image-26940\" /></a>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p>In her post <a href=\"https://nomad.blog/2023/12/21/joyful-flow-state/\"><strong>joyful flow state</strong></a>, <strong>Anne McCarthy</strong> shares her creative process and musing about creating block patterns for the <em>Museum of Block Art.</em> &#8220;Using the same software I spend my days toiling over in a creative, unserious way expands my relationship to the work, both energy and perspective wise.&#8221; she wrote. </p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p><strong>Munir Kamal</strong> did some research and shares with the world in this post: <a href=\"https://gutenberghub.com/discover-the-best-block-slider-plugins-for-wordpress/\"><strong>Discover the Best Block Slider Plugins for WordPress</strong></a>. A block that has been missing from the core blocks, several plugins offer their variation of the slider. It&#8217;s not always the best user experience and there is a school of web developer who like to dissuade site owners from using sliders and <a href=\"https://shouldiuseacarousel.com/\">even built a slider site</a> with some good reasons why you shouldn&#8217;t use a carousel, which is just another word for slider. </p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p>Lifter LMS updated their documentation and showcase their <a href=\"https://lifterlms.com/docs/lifterlms-blocks/\"><strong>Lifter LMS Blocks</strong></a> with videos and instructions on how to use them. Now one of the leading Learning Management systems, built on top of WordPress, enters the next product phase and allows for faster content creation with the already known Block interface built into WordPress. </p>\n\n\n\n<img width=\"652\" height=\"324\" src=\"https://i0.wp.com/gutenbergtimes.com/wp-content/uploads/2024/01/LifterLMS-Courses-Block-Settings.png?resize=652%2C324&ssl=1\" alt=\"\" class=\"wp-image-26931\" />\n\n\n\n<h2 class=\"wp-block-heading\" id=\"2-word-press-6-0-1-and-6-1-scheduled\"></h2>\n\n\n\n\n<p><strong>&nbsp;<a href=\"https://make.wordpress.org/core/handbook/references/keeping-up-with-gutenberg-index/\" target=\"_blank\" rel=\"noreferrer noopener\">&#8220;Keeping up with Gutenberg &#8211; Index 2022&#8221;</a>&nbsp;</strong><br />A chronological list of the WordPress Make Blog posts from various teams involved in Gutenberg development: Design, Theme Review Team, Core Editor, Core JS, Core CSS, Test, and Meta team from Jan. 2021 on. Updated by yours truly.  <a href=\"https://make.wordpress.org/core/handbook/references/keeping-up-with-gutenberg-index/keeping-up-with-gutenberg-index-2020/\"><em>The index 2020 is here</em></a></p>\n\n\n\n\n<h2 class=\"wp-block-heading\" id=\"3-building-themes-for-fse-and-word-press\">Building Blocks and Tools for the Block editor. </h2>\n\n\n\n<p>For the Developer Hours in December, <strong>Nick Diego</strong> and <strong>Ryan Welcher</strong> selected the topic: <a href=\"https://youtu.be/cakxgM2UgbE?si=sGIfKU7kLtpVEifM\"><strong>Modern WordPress development with the wp-scripts package</strong></a>. The recording is available on YouTube, and they shared the mentioned resources as <a href=\"https://docs.google.com/document/d/1GMKxjxdFqwCg3ESC337eNvA6FmaokW9Zlkjm-mhSroU/edit#heading=h.d22cu7925a4z\">a Google Doc. </a> They wrote: &#8220;We explored how the wp-scripts package has become an essential tool for modern WordPress development, such as when building blocks and block themes. If you are looking to streamline your development process, harness the power of build tools, and simplify tasks such as checking for compliance with WordPress coding standards, this session recording is for you.&#8221;</p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p>You are invited to the January <strong>Developers Hours for January 16th, 2024 at 15:00 UTC (10 am EDT)</strong> to <strong><a href=\"https://www.meetup.com/learn-wordpress-online-workshops/events/298191982/\">Build your first WordPress block</a></strong>. In this online event, you&#8217;ll be on a walk-through <a href=\"https://developer.wordpress.org/block-editor/getting-started/tutorial/\">the new tutorial in the Block editor handbook</a>, and you will also learn more about the<a href=\"https://github.com/WordPress/block-development-examples\"> block development examples</a> on GitHub. </p>\n\n\n\n<a href=\"https://www.meetup.com/learn-wordpress-online-workshops/events/298191982/\"><img width=\"600\" height=\"338\" src=\"https://i0.wp.com/gutenbergtimes.com/wp-content/uploads/2024/01/build-your-first-block.webp?resize=600%2C338&ssl=1\" alt=\"\" class=\"wp-image-26925\" /></a>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p><strong>Jonathan Desrosiers</strong> informed developers about <a href=\"https://make.wordpress.org/core/2023/12/20/updating-wordpress-to-use-more-modern-versions-of-node-js-npm-2/\">Updating WordPress to use more modern versions of Node.js/npm: Part 2</a>. </p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p>In his tutorial, <a href=\"https://developer.wordpress.org/news/2023/12/22/extending-plugins-using-custom-slotfills/\"><strong>Extending plugins using custom SlotFills</strong></a>, <strong>Ryan Welcher</strong> explains how you can use custom SlotFills to extend both an internal and external codebase.</p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p><strong>Jonathan Bossenger</strong> experimented with the Interactivity API and used  <a href=\"https://jonathanbossenger.com/2023/12/wordpress-as-a-game-development-platform/\"><strong>WordPress as a game development platform.</strong></a> It&#8217;s a fun game, where the logos of other web development platform chase after the WordPress logo. I lasted 25 seconds. How long did you last? &#8220;There is still a lot of work to be done to turn this into a working game, but I’m excited about the possibilities. Stay tuned because I can see this turning into a bit of a series of posts&#8221;. Bossenger wrote. If you would rather not wait so long, you can take a sneak peek at the code via the GitHub repository: <a href=\"https://github.com/jonathanbossenger/wp-interactive-game\">WP-Interactive Game</a>.</p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p><strong><a href=\"https://twitter.com/danielpost\">Daniel Post</a></strong> created a two-part tutorial on <strong><a href=\"https://danielpost.com/part-1-creating-a-wordpress-options-page-using-react-and-gutenberg/\">Creating a WordPress options page using React and Gutenberg</a></strong>. &#8220;This guide is primarily aimed at people who have some WordPress experience but have never tried “the React way”, but it should be useful for anyone trying to get into into modern WordPress development.” It&#8217;s a very thorough tutorial. Post explains all the basic pieces other tutorials might assume prior knowledge of, and steps through almost every line of the code, in PHP as well as in JavaScript, he uses to build this example. </p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p>On YouTube, <strong>Ryan Welcher</strong> posted his latest stream in the Block Developer Cookbook series, <a href=\"https://www.youtube.com/watch?v=dnpy6vGObx4\"><strong>Block Developer Cookbook Recipe: Command Palette</strong></a>. &#8220;In this flavorful cooking demonstration, initially aired on November 16, we whip up a special culinary command for the all-new Command Palette. Our goal? To deftly toggle the custom fields meta box in the post editor, just like a chef skillfully adjusting the seasoning levels in a signature dish. Let&#8217;s embark on this culinary coding adventure together!&#8221; he wrote. </p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p><a href=\"https://twitter.com/Ny_The_Creator\"><strong>Nyasha Green</strong></a> just published her <a href=\"https://www.linkedin.com/learning/wordpress-introduction-to-custom-block-building/learning-custom-block-building-in-wordpress\"><strong>WordPress: Introduction to Custom Block Building</strong></a> on the LinkedIn Learning Network. The course starts with a brief introduction to the Block editor and how to add blocks to a post&#8217;s canvas and explain block attributes. In the second module you&#8217;ll learn to set up your local environment with LocalWP, 2021 default theme and Node.js. In the chapter Custom Blocks without code, Green explains how to create patterns and synched patterns, and you&#8217;ll learn about the Pattern Directory. The fourth chapter, Green, covers Custom Block Building with code, and introduces the learner to the <a href=\"https://developer.wordpress.org/block-editor/reference-guides/packages/packages-create-block/\">create-block scaffolding tool</a>. The topic covers creating a card with three blocks and some InnerBlocks rules and how to modify the styles for the custom block. It&#8217;s a great starting point. The LinkedIn Learning space is a subscription-based learning environment, but you can use a free trial for the first month. </p>\n\n\n\n\n<p><strong><a href=\"https://gutenbergtimes.com/need-a-zip-from-master/\">Need a plugin .zip from Gutenberg&#8217;s master branch?</a></strong><br />Gutenberg Times provides daily build for testing and review. <br />Have you been using it? Hit reply and let me know.</p>\n\n\n\n<p><img alt=\"GitHub all releases\" src=\"https://img.shields.io/github/downloads/bph/gutenberg/total?style=for-the-badge\" /></p>\n\n\n\n\n<p class=\"has-text-align-right has-small-font-size\"><em>Questions? Suggestions? Ideas? Don&#8217;t hesitate to send <a href=\"mailto:pauli@gutenbergtimes.com\">them via email</a> or send me a message on WordPress Slack or Twitter @bph</em>. </p>\n\n\n\n<p class=\"has-text-align-right has-small-font-size\">For questions to be answered on the <a href=\"http://gutenbergtimes.com/podcast\">Gutenberg Changelog</a>, send them to <a href=\"mailto:changelog@gutenbergtimes.com\">changelog@gutenbergtimes.com</a></p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n\n<p>Featured Image:</p>\n\n\n\n<hr class=\"wp-block-separator has-css-opacity is-style-wide\" />\n\n\n\n<p class=\"has-text-align-left\"><strong>Don&#8217;t want to miss the next Weekend Edition? </strong></p>\n\n\n\n<form class=\"wp-block-newsletterglue-form ngl-form ngl-portrait\" action=\"https://gutenbergtimes.com/feed/\" method=\"post\"><div class=\"ngl-form-container\"><div class=\"ngl-form-field\"><label class=\"ngl-form-label\" for=\"ngl_email\"><br />Type in your Email address to subscribe.</label><div class=\"ngl-form-input\"><input type=\"email\" class=\"ngl-form-input-text\" name=\"ngl_email\" id=\"ngl_email\" /></div></div><button type=\"submit\" class=\"ngl-form-button\">Subscribe</button><p class=\"ngl-form-text\">We hate spam, too, and won&#8217;t give your email address to anyone except Mailchimp to send out our Weekend Edition</p></div><div class=\"ngl-message-overlay\"><div class=\"ngl-message-svg-wrap\"></div><div class=\"ngl-message-overlay-text\">Thanks for subscribing.</div></div><input type=\"hidden\" name=\"ngl_list_id\" id=\"ngl_list_id\" value=\"26f81bd8ae\" /><input type=\"hidden\" name=\"ngl_double_optin\" id=\"ngl_double_optin\" value=\"yes\" /></form>\n\n\n\n<hr class=\"wp-block-separator has-css-opacity is-style-wide\" />\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sat, 06 Jan 2024 15:15:31 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:18:\"Birgit Pauli-Haack\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:24;a:6:{s:4:\"data\";s:11:\"\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:63:\"HeroPress: Is Open Source Good For WordPress? See Who Says Yes!\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://heropress.com/?p=6354\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:167:\"https://heropress.com/is-open-source-good-for-wordpress-see-who-says-yes/#utm_source=rss&utm_medium=rss&utm_campaign=is-open-source-good-for-wordpress-see-who-says-yes\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:11290:\"<img width=\"1024\" height=\"768\" src=\"https://heropress.com/wp-content/uploads/2024/01/165659692de83cc02.32224370-1024x768.jpeg\" class=\"attachment-large size-large wp-post-image\" alt=\"A white cat sits on a wooden balcony porch.\" /><div class=\"kb-row-layout-wrap kb-row-layout-id6354_6f1157-a8 alignnone kt-row-has-bg wp-block-kadence-rowlayout\"><div class=\"kt-row-column-wrap kt-has-1-columns kt-row-layout-equal kt-tab-layout-inherit kt-mobile-layout-row kt-row-valign-top kb-theme-content-width\">\n\n<div class=\"wp-block-kadence-column kadence-column6354_f14888-a7 inner-column-1\"><div class=\"kt-inside-inner-col\">\n<h2 class=\"kt-adv-heading6354_a667d9-c2 wp-block-kadence-advancedheading\"><a href=\"https://heropress.com/\">HeroPress.com</a> &#8211; <a href=\"https://heropress.com/essays/the-good-and-the-bad-of-open-source-wordpress/\">The good and the bad of open source WordPress</a></h2>\n\n\n\n\n\n<div class=\"wp-block-image is-style-default\">\n<a href=\"https://heropress.com/essays/the-good-and-the-bad-of-open-source-wordpress/\"><img width=\"300\" height=\"300\" src=\"https://heropress.com/wp-content/uploads/2022/10/lesley_sim-300x300.jpg\" alt=\"Lesley Sim\" class=\"wp-image-4881\" /></a></div>\n\n\n\n<p>Lesley Sim is a WordPress product owner, and has navigated the waters of whether to offer a free version and has struggled with the idea of whether Open Source is even a good idea.</p>\n\n\n\n<p><em>[WordPress] helps so many people grow their businesses, communicate, and simply share their thoughts with everyone on the internet. There is no such thing as only good without the bad. And I’m glad WordPress exists.</em></p>\n\n\n\n<p>Lesley&#8217;s essay is <a href=\"https://heropress.com/essays/the-good-and-the-bad-of-open-source-wordpress/\">available</a> on <a href=\"https://heropress.com\">HeroPress.com</a>.</p>\n</div></div>\n\n</div></div>\n\n\n<div class=\"wp-block-kadence-spacer aligncenter kt-block-spacer-6354_2bc5ad-a5\"><div class=\"kt-block-spacer kt-block-spacer-halign-center\"><hr class=\"kt-divider\" /></div></div>\n\n\n<div class=\"kb-row-layout-wrap kb-row-layout-id6354_e8d5d7-78 alignnone kt-row-has-bg wp-block-kadence-rowlayout\"><div class=\"kt-row-column-wrap kt-has-1-columns kt-row-layout-equal kt-tab-layout-inherit kt-mobile-layout-row kt-row-valign-top kb-theme-content-width\">\n\n<div class=\"wp-block-kadence-column kadence-column6354_fac933-6c inner-column-1\"><div class=\"kt-inside-inner-col\">\n<h2 class=\"kt-adv-heading6354_848a6f-1d wp-block-kadence-advancedheading\"><a href=\"https://hallwaychats.com\">WPPhotos.Info</a></h2>\n\n\n\n\n\n<div class=\"wp-block-image\">\n<a href=\"https://wpphotos.info/ganjala-range/\"><img width=\"300\" height=\"169\" src=\"https://heropress.com/wp-content/uploads/2024/01/3665812bf57207d5.16252734-scaled-1-300x169.jpg\" alt=\"Langtang Trek, standing above the clouds looking at the mountains with a snowy summit\" class=\"wp-image-6356\" /></a></div>\n\n\n\n<p>This week&#8217;s <a href=\"https://wpphotos.info\">WPPhotos Info</a> is called &#8220;<a href=\"https://wpphotos.info/ganjala-range/\">The snowy peaks</a>&#8220;. </p>\n\n\n\n<p>Amazing view captured by <a href=\"https://wordpress.org/photos/author/trinisha/\">Trinisha</a>. This is Ganjala Range seen from Kyanjin Ri Peak (4773m/15655 ft).</p>\n\n\n\n<p><a href=\"https://wpphotos.info/ganjala-range/\">Read more of the story at WPPhotos.info!</a></p>\n</div></div>\n\n</div></div>\n\n\n<div class=\"wp-block-kadence-spacer aligncenter kt-block-spacer-6354_250a5b-91\"><div class=\"kt-block-spacer kt-block-spacer-halign-center\"><hr class=\"kt-divider\" /></div></div>\n\n\n<div class=\"kb-row-layout-wrap kb-row-layout-id6354_665474-78 alignnone kt-row-has-bg wp-block-kadence-rowlayout\"><div class=\"kt-row-column-wrap kt-has-1-columns kt-row-layout-equal kt-tab-layout-inherit kt-mobile-layout-row kt-row-valign-top kb-theme-content-width\">\n\n<div class=\"wp-block-kadence-column kadence-column6354_ac2882-92 inner-column-1\"><div class=\"kt-inside-inner-col\">\n<h2 class=\"kt-adv-heading6354_3db9b3-5f wp-block-kadence-advancedheading\"><a href=\"https://wppodcasts.com\">WP Podcasts</a></h2>\n\n\n\n\n\n\n<a href=\"https://wppodcasts.com\"><img src=\"https://heropressnetwork.com/wp-content/uploads/2024/01/pocket_casts_single_315.png\" alt=\"Pocket Casts image\" class=\"wp-image-4316\" /></a>\n\n\n\n\n<p>There were <em>fourteen</em> WordPress podcast episodes released this week!</p>\n\n\n\n<ul>\n<li><a href=\"https://potencia.pro/273-wordpress-no-esta-pensando-actualmente-para-webs-grandes/#new_tab\">Potencia Pro 273: ¿WordPress no está pensando actualmente para webs grandes?</a> from <a href=\"https://wppodcasts.com/podcast/potencia-pro-wordpress-y-cozas/\">Potencia Pro, WordPress y cozas</a></li>\n\n\n\n<li><a href=\"https://remkusdevries.com/podcast/understanding-tech-changes-and-agency-evolution-with-steve-zehngut/#new_tab\">Understanding Tech Changes and Agency Evolution with Steve Zehngut</a> from <a href=\"https://wppodcasts.com/podcast/within-wordpress/\">Within WordPress</a></li>\n\n\n\n<li><a href=\"https://rethink.fm/podcast/episode-37-stakeholder-relationships-and-ux-research-operations-with-jessica-ivins/#new_tab\">Episode 37: Stakeholder Relationships and UX Research Operations with Jessica Ivins</a> from <a href=\"https://wppodcasts.com/podcast/rethink-fm/\">rethink.fm</a></li>\n\n\n\n<li><a href=\"https://unbilleteachattanooga.com/episodio-243/#new_tab\">Episodio 243: Más de 100 proyectos en un año</a> from <a href=\"https://wppodcasts.com/podcast/un-billete-a-chattanooga/\">Un billete a Chattanooga</a></li>\n\n\n\n<li><a href=\"https://www.wppodcast.cat/podcast/obrint-pas-al-2024/#new_tab\">9. Obrint pas al 2024</a> from <a href=\"https://wppodcasts.com/podcast/wordpress-podcast-catala/\">WordPress Pòdcast (català)</a></li>\n</ul>\n\n\n\n<p>There are new episodes every single day, so be sure to stop by <a href=\"https://wppodcasts.com\">WPPodcasts.com</a> and search for things that interest you!</p>\n</div></div>\n\n</div></div>\n\n\n<div class=\"wp-block-kadence-spacer aligncenter kt-block-spacer-6354_a8a32f-bf\"><div class=\"kt-block-spacer kt-block-spacer-halign-center\"><hr class=\"kt-divider\" /></div></div>\n\n\n<div class=\"kb-row-layout-wrap kb-row-layout-id6354_b38388-00 alignnone kt-row-has-bg wp-block-kadence-rowlayout\"><div class=\"kt-row-column-wrap kt-has-1-columns kt-row-layout-equal kt-tab-layout-inherit kt-mobile-layout-row kt-row-valign-top kb-theme-content-width\">\n\n<div class=\"wp-block-kadence-column kadence-column6354_c96c47-b7 inner-column-1\"><div class=\"kt-inside-inner-col\">\n<h2 id=\"wpphotos\" class=\"kt-adv-heading6354_5fa872-f7 wp-block-kadence-advancedheading\"><a href=\"https://wordpress.org/photos\">WP Photos</a></h2>\n\n\n\n<p>Here are some of the great photos submitted to the <a href=\"https://wordpress.org/photos\">WPPhotos</a> project this week!</p>\n\n\n\n\n<a href=\"https://wordpress.org/photos/photo/2056596f50/\"><img width=\"570\" height=\"1024\" src=\"https://heropress.com/wp-content/uploads/2024/01/2056596f5029bef23.62087568-570x1024.jpg\" alt=\"Toy truck for kids.\" class=\"wp-image-6358\" /></a><a href=\"https://creativecommons.org/share-your-work/public-domain/cc0/\">CC0</a> licensed <a href=\"https://wordpress.org/photos/photo/2056596f50/\">photo</a> by <a href=\"https://wordpress.org/photos/author/balub/\">Balu B</a> from the <a href=\"https://wordpress.org/photos/\">WordPress Photo Directory</a>.\n\n\n\n<a href=\"https://wordpress.org/photos/photo/4186596d78/\"><img width=\"1024\" height=\"473\" src=\"https://heropress.com/wp-content/uploads/2024/01/4186596d78833c5c9.61199387-1024x473.jpg\" alt=\"Jatayu rock sculpture - the world’s largest bird sculpture in Jatayu Earth Center at Chadayamangalam in Kollam district of Kerala, India.\" class=\"wp-image-6359\" /></a><a href=\"https://creativecommons.org/share-your-work/public-domain/cc0/\">CC0</a> licensed <a href=\"https://wordpress.org/photos/photo/4186596d78/\">photo</a> by <a href=\"https://wordpress.org/photos/author/balub/\">Balu B</a> from the <a href=\"https://wordpress.org/photos/\">WordPress Photo Directory</a>.\n\n\n\n<a href=\"https://wordpress.org/photos/photo/4516597a4a/\"><img width=\"1024\" height=\"768\" src=\"https://heropress.com/wp-content/uploads/2024/01/4516597a4a668dc30.03720898-1024x768.jpeg\" alt=\"A lady enjoying the park, basking in beautiful sunlight, surrounded by vibrant stones!\" class=\"wp-image-6357\" /></a><a href=\"https://creativecommons.org/share-your-work/public-domain/cc0/\">CC0</a> licensed <a href=\"https://wordpress.org/photos/photo/4516597a4a/\">photo</a> by <a href=\"https://wordpress.org/photos/author/bhuwanroka/\">Bhuwan Bdr. Rokaha</a> from the <a href=\"https://wordpress.org/photos/\">WordPress Photo Directory</a>.\n\n\n\n<a href=\"https://wordpress.org/photos/photo/5236596f3e/\"><img width=\"567\" height=\"1024\" src=\"https://heropress.com/wp-content/uploads/2024/01/5236596f3ee9b6317.37447566-567x1024.jpg\" alt=\"Thirteen Kannara Bridge - The Pathimoonnu Kannara Bridge, also called the \" /></a><a href=\"https://creativecommons.org/share-your-work/public-domain/cc0/\">CC0</a> licensed <a href=\"https://wordpress.org/photos/photo/5236596f3e/\">photo</a> by <a href=\"https://wordpress.org/photos/author/balub/\">Balu B</a> from the <a href=\"https://wordpress.org/photos/\">WordPress Photo Directory</a>.\n\n\n\n<a href=\"https://wordpress.org/photos/photo/27765965bc/\"><img width=\"1024\" height=\"683\" src=\"https://heropress.com/wp-content/uploads/2024/01/27765965bc4a79d04.54687103-1024x683.jpg\" alt=\"Frost covered fence post with clearly visible ice crystals, sky as a backdrop tinged with sunrise tones\" class=\"wp-image-6360\" /></a><a href=\"https://creativecommons.org/share-your-work/public-domain/cc0/\">CC0</a> licensed <a href=\"https://wordpress.org/photos/photo/27765965bc/\">photo</a> by <a href=\"https://wordpress.org/photos/author/smhsmh/\">Sadie-Michaela Harris</a> from the <a href=\"https://wordpress.org/photos/\">WordPress Photo Directory</a>.\n\n\n\n<a href=\"https://wordpress.org/photos/photo/62465965c3/\"><img width=\"1024\" height=\"683\" src=\"https://heropress.com/wp-content/uploads/2024/01/62465965c314f7ed4.60537373-1024x683.jpg\" alt=\"Female Blackbird standing on the edge of a frozen water filled wooden half barrel\" class=\"wp-image-6361\" /></a><a href=\"https://creativecommons.org/share-your-work/public-domain/cc0/\">CC0</a> licensed <a href=\"https://wordpress.org/photos/photo/62465965c3/\">photo</a> by <a href=\"https://wordpress.org/photos/author/smhsmh/\">Sadie-Michaela Harris</a> from the <a href=\"https://wordpress.org/photos/\">WordPress Photo Directory</a>.\n\n\n\n\n<p>Be sure to check out the <a href=\"https://wordpress.org/photos/\">hundreds of other great photos</a>!</p>\n</div></div>\n\n</div></div>\n\n\n<p></p>\n\n\n\n<p>The header photo for this post is a <a href=\"https://creativecommons.org/share-your-work/public-domain/cc0/\">CC0</a> licensed <a href=\"https://wordpress.org/photos/photo/165659692d/\">photo</a> by <a href=\"https://wordpress.org/photos/author/mahfuznafi/\">mahfuznafi</a> from the <a href=\"https://wordpress.org/photos/\">WordPress Photo Directory</a>.</p>\n\n\n\n\n\n\n<p>That&#8217;s it for this week! If you&#8217;d like to get this post in your email every week, <a href=\"https://heropressnetwork.com/newsletter\">make sure you sign up</a>!</p>\n\n<p>The post <a href=\"https://heropress.com/is-open-source-good-for-wordpress-see-who-says-yes/\">Is Open Source Good For WordPress? See Who Says Yes!</a> appeared first on <a href=\"https://heropress.com\">HeroPress</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 05 Jan 2024 18:25:37 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:25;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:60:\"WordPress.org blog: The Month in WordPress – December 2023\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://wordpress.org/news/?p=16680\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:72:\"https://wordpress.org/news/2024/01/the-month-in-wordpress-december-2023/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:9933:\"<p>As 2023 came to a close, WordPress bid farewell with the much-anticipated annual State of the Word and the 6.5 roadmap, among other exciting updates.</p>\n\n\n\n<p>Read on to learn more about the community’s end-of-year celebrations and catch a sneak peek of what’s in store for the year ahead.</p>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<h2 class=\"wp-block-heading\">Highlights from State of the Word</h2>\n\n\n\n<p>On December 11, WordPress co-founder Matt Mullenweg delivered his annual <strong><a href=\"https://wordpress.org/state-of-the-word/\">State of the Word</a> keynote in Madrid, Spain</strong>, marking the first international edition of the event. Nearly 200 WordPress enthusiasts and tech industry leaders gathered in person to hear what’s next for WordPress—with a large audience joining online or from one of the 47 watch parties held across 18 countries.</p>\n\n\n\n<p>The keynote <a href=\"https://wordpress.org/news/2023/12/state-of-the-word-2023-recap/\">highlighted</a> last year’s milestones and showcased compelling demos, providing a glimpse into the upcoming developments for the Site Editor, Collaboration phase, and Admin redesign. Matt also introduced 2024’s focus on <a href=\"https://wordpress.org/data-liberation/\">Data Liberation</a>, aiming to unlock digital barriers and frictionless migrations into WordPress for a more open web.</p>\n\n\n\n<div class=\"wp-block-embed__wrapper\">\n\n</div>\n\n\n\n<p>The event concluded with a <a href=\"https://www.youtube.com/watch?v=S01uBD2pyQY\">Q&amp;A session</a> and <a href=\"https://make.wordpress.org/project/2023/12/12/overflow-questions-from-state-of-the-word-2023/\">this follow-up post</a>.</p>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<h2 class=\"wp-block-heading\">Roadmap to WordPress 6.5</h2>\n\n\n\n<p>WordPress 6.5 is <a href=\"https://make.wordpress.org/core/6-5/\">scheduled</a> for release on <strong>March 26, 2024</strong>. This major release is set to introduce a new Font Library for easy global font management, support for Appearance Tools in Classic Themes, Data Views for templates and patterns, and more robust revisions across the editing experience, among other highlights.</p>\n\n\n\n<p>6.5 will also include new APIs like Interactivity, Custom Fields, and Block Binding that expand block capabilities and underpin features like Synced Pattern Overrides.</p>\n\n\n\n<p>Learn more about the features planned for WordPress 6.5 in <a href=\"https://make.wordpress.org/core/2023/12/07/roadmap-to-6-5/\">this roadmap post</a>.</p>\n\n\n\n<blockquote class=\"wp-block-quote has-extra-large-font-size\">\n<p>Don’t wait for the next release to optimize your creative workflows with <a href=\"https://wordpress.org/news/2023/12/leap-into-2024-with-these-site-editor-tools/\">these powerful Site Editor tools</a>.</p>\n</blockquote>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<h2 class=\"wp-block-heading\">New in the Gutenberg plugin</h2>\n\n\n\n<p>Two new versions of Gutenberg shipped in December:</p>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/12/06/whats-new-in-gutenberg-17-2-6-december/\"><strong>Gutenberg 17.2</strong></a> introduced improvements to the site editing experience, including the ability to drag and drop blocks to the top and bottom of documents and sticky table headers. The update also enhanced the Interactivity API docs and addressed numerous bug fixes.</li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/12/20/whats-new-in-gutenberg-17-3-20-december/\"><strong>Gutenberg 17.3</strong></a> featured a summary of changes in the global styles revision history, an updated preferences panel, and a new social icon for the Gravatar service, along with the ongoing development of Phase 3 features.</li>\n</ul>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<a class=\"wp-block-jetpack-podcast-player jetpack-podcast-player__direct-link\" href=\"https://wordpress.org/news/2023/10/episode-64-patterns-in-wordpress/\">https://wordpress.org/news/2023/10/episode-64-patterns-in-wordpress/</a>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<h2 class=\"wp-block-heading\">Team updates</h2>\n\n\n\n<ul>\n<li>Openverse <a href=\"https://make.wordpress.org/openverse/2023/12/11/introducing-enhanced-content-safety-features-on-openverse/\">introduced new features to filter sensitive content</a>, aiming for a more accessible and safer browsing experience. This update marks the beginning of a significant initiative to enhance content safety tools.</li>\n\n\n\n<li>Matrix contributors <a href=\"https://make.wordpress.org/project/2023/12/12/update-on-matrix-migration-pausing-the-transition/\">announced</a> the decision to pause the Making WordPress Slack migration to Matrix and the factors contributing to it.</li>\n\n\n\n<li>The <a href=\"https://make.wordpress.org/meta/2023/12/15/developer-resources-gets-a-refresh/\">redesign of the Developer Resources section</a> went live last month.</li>\n\n\n\n<li>Are you searching for events in your local community? Explore the recently launched <a href=\"https://make.wordpress.org/community/2023/12/13/announcing-the-new-wordpress-events-page/\">WordPress.org Events page</a>—your new central hub for discovering upcoming events or applying to organize one.</li>\n\n\n\n<li>In 2023, WordPress significantly <a href=\"https://make.wordpress.org/core/2023/12/19/wordpress-performance-impact-on-core-web-vitals-in-2023/\">improved Core Web Vitals (CWV) across sites</a>. The overall passing rates went up from 28.31% to 36.44% on mobile and from 32.55% to 40.80% on desktop, making both WordPress and the whole web perform better.</li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/12/22/call-to-action-2024-major-releases-call-for-volunteers/\">Volunteers are needed</a> for 2024’s WordPress major releases. If you’re interested, now’s the time to get involved!</li>\n\n\n\n<li>Check out all the community <a href=\"https://make.wordpress.org/project/2023/12/22/wordpress-end-of-year-celebrations/\">achievements and contributions</a> that moved the WordPress project closer to its goals in 2023.</li>\n</ul>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<a class=\"wp-block-jetpack-podcast-player jetpack-podcast-player__direct-link\" href=\"https://wordpress.org/news/2023/10/episode-64-patterns-in-wordpress/\">https://wordpress.org/news/2023/10/episode-64-patterns-in-wordpress/</a>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<h2 class=\"wp-block-heading\">Requests for feedback &amp; testing</h2>\n\n\n\n<ul>\n<li>Complete the <a href=\"https://make.wordpress.org/community/2023/11/17/announcing-the-2023-annual-meetup-survey/\">2023 Annual Meetup Survey</a> before January 14, 2024, and help strengthen WordPress meetups in the future.</li>\n</ul>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<h2 class=\"wp-block-heading\">WordPress events</h2>\n\n\n\n<ul>\n<li><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f1f9-1f1fc.png\" alt=\"🇹🇼\" class=\"wp-smiley\" /> WordCamp Asia has opened <a href=\"https://asia.wordcamp.org/2024/contributor-day-registration/\">registrations for its Contributor Day</a>. The conference will be held in Taipei, Taiwan, on March 7-9, 2024.</li>\n\n\n\n<li><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f1ea-1f1fa.png\" alt=\"🇪🇺\" class=\"wp-smiley\" /> WordCamp Europe’s <a href=\"https://europe.wordcamp.org/2024/speakers/call-for-speakers/\">call for speakers</a> is open until January 15, 2024. Don’t miss the chance to be part of this event by either submitting your speaking proposals or <a href=\"https://europe.wordcamp.org/2024/sponsors/call-for-sponsors/\">supporting it as a sponsor</a>.</li>\n\n\n\n<li>Mark your calendars! <a href=\"https://us.wordcamp.org/2024/\">WordCamp US 2024</a> is headed to Portland, Oregon, from September 17 to 20, as revealed during the State of the Word.</li>\n\n\n\n<li>Check out these WordPress events happening soon:\n<ul>\n<li><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f1ee-1f1f3.png\" alt=\"🇮🇳\" class=\"wp-smiley\" /> <a href=\"https://events.wordpress.org/kolkata/2024/careercamp/\">Kolkata CareerCamp</a>, India on January 6, 2024</li>\n\n\n\n<li><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f1f3-1f1f5.png\" alt=\"🇳🇵\" class=\"wp-smiley\" /> <a href=\"https://nepal.wordcamp.org/2024/\">WordCamp Nepal</a> on January 12-13, 2024</li>\n\n\n\n<li><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f1ea-1f1f8.png\" alt=\"🇪🇸\" class=\"wp-smiley\" /> <a href=\"https://zaragoza.wordcamp.org/2024/\">WordCamp Zaragoza</a>, Spain on January 19-20, 2024</li>\n\n\n\n<li><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f1ee-1f1e9.png\" alt=\"🇮🇩\" class=\"wp-smiley\" /> <a href=\"https://events.wordpress.org/jakarta/2024/web-challenge/\">WordPress Web Challenge</a>, Indonesia on January 27, 2024</li>\n</ul>\n</li>\n</ul>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity\" />\n\n\n\n<p><em><strong>Have a story we should include in the next issue of The Month in WordPress? Fill out </strong></em><a href=\"https://make.wordpress.org/community/month-in-wordpress-submissions/\"><strong><em>this quick form</em></strong></a><em><strong> to let us know.</strong></em></p>\n\n\n\n<p><em>Thank you to <a href=\"https://profiles.wordpress.org/bernard0omnisend/\">Bernard Meyer</a>, <a href=\"https://profiles.wordpress.org/eidolonnight/\">Nicholas Garofalo</a>, and <a href=\"https://profiles.wordpress.org/laurlittle/\">Lauren Stein</a></em> <em>for contributing to this edition of The Month in WordPress.</em></p>\n\n\n\n<div class=\"wp-block-group is-layout-constrained wp-block-group-is-layout-constrained\">\n<h3 class=\"wp-block-heading\">Subscribe to WordPress News</h3>\n\n\n\n<p>Join other subscribers and receive WordPress news directly in your inbox.</p>\n\n\n<div class=\"wp-block-jetpack-subscriptions__supports-newline is-style-split wp-block-jetpack-subscriptions\">\n		<div>\n			<div>\n				<div>\n					<p>\n						<a href=\"https://wordpress.org/news/?post_type=post&p=16680\">Subscribe</a>\n					</p>\n				</div>\n			</div>\n		</div>\n	</div></div>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 05 Jan 2024 10:10:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:15:\"Reyes Martínez\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:26;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:45:\"Do The Woo Community: Make. WordPress. Happy.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"https://dothewoo.io/?p=78771\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:41:\"https://dothewoo.io/make-wordpress-happy/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:353:\"<p>Starting 2024 on an optimistic note as I noticed more of my fellow WordPressers feeling more optimistic and happy about WordPress.</p>\n<p>&gt;&gt; The post <a href=\"https://dothewoo.io/make-wordpress-happy/\">Make. WordPress. Happy.</a> appeared first on <a href=\"https://dothewoo.io\">Do the Woo - a WooCommerce and WordPress Builder Podcast</a>	.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 05 Jan 2024 09:31:55 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"BobWP\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:27;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:26:\"Matt: Fred Again Tiny Desk\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:23:\"https://ma.tt/?p=110139\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:43:\"https://ma.tt/2024/01/fred-again-tiny-desk/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:140:\"<p>You think you&#8217;ve seen Tiny Desk performances, but you haven&#8217;t seen this.</p>\n\n\n\n<div class=\"wp-block-embed__wrapper\">\n\n</div>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 05 Jan 2024 06:50:44 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"Matt\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:28;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:17:\"Matt: On Mastodon\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:23:\"https://ma.tt/?p=110133\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"https://ma.tt/2024/01/on-mastodon/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:177:\"<p><a href=\"https://mastodon.social/@photomatt\" rel=\"me\">This is me on Mastodon</a>, it&#8217;s really me, also <a href=\"https://gravatar.com/matt\">added to my Gravatar</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 05 Jan 2024 02:31:01 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"Matt\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:29;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:65:\"Akismet: What is a Honeypot in Spam Protection and Cybersecurity?\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"http://akismet.com/?p=283657\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:44:\"https://akismet.com/blog/what-is-a-honeypot/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:21927:\"<p>If your enterprise handles large volumes of sensitive content, cybersecurity should be a top priority. You likely already have measures in place to block hacking attempts. But did you know that you can also create honeypots to further protect your&nbsp;business?</p>\n\n\n<p>What is a honeypot? In a nutshell, this is a web app or system that mimics your company’s network. It’s designed to lure in hackers so that the security team can study their tactics and identify weak areas in your organization.&nbsp;</p>\n\n\n<p>In this post, we’ll take a closer look at how honeypots work and the different ways you can implement them. We’ll also discuss the benefits of honeypots in cybersecurity and spam protection. So, let’s dive right&nbsp;in!</p>\n\n\n<span id=\"more-283657\"></span>\n\n\n<h2 class=\"wp-block-heading\">What are&nbsp;honeypots?</h2>\n\n<p>Let’s start by answering the most important question: what is a&nbsp;honeypot?</p>\n\n\n<p>Essentially, a honeypot is a network that’s designed to serve as a decoy for hackers. It’s made to appear as part of an organization’s IT infrastructure, but in fact, it’s completely isolated from it.&nbsp;</p>\n\n\n\n<p>The primary purpose of honeypots is to attract cyber threats. This way, security experts can get a close look at the attackers’ tactics and behavior in a safe and controlled environment. Using this information, they can then enhance the overall security of the actual infrastructure.&nbsp;&nbsp;</p>\n\n\n<p>This technique is usually deployed by enterprises that handle large amounts of data. By being proactive, your organization can identify vulnerabilities in its network before they’re discovered by hackers. This ultimately helps prevent serious hacking events that can negatively impact your revenue or damage your&nbsp;reputation.</p>\n\n<p>Plus, creating a honeypot can help you test the effectiveness of pre&#8209;existing security measures against cyber threats. Your enterprise can then use these findings to fortify its&nbsp;system.</p>\n\n<h2 class=\"wp-block-heading\">The different types of&nbsp;honeypots</h2>\n\n<p>Now that we’ve answered the basic question on what a honeypot is, let’s look at the different types of decoys you can&nbsp;use:</p>\n\n\n<h3 class=\"wp-block-heading\">1. Form honeypot&nbsp;</h3>\n\n\n\n<p>Bots will often fill out forms on your site to send spam or attempt to inject malicious code into your site. No, that fishy-sounding company didn’t really find “30 SEO errors on your site!” They used a bot to send spam to thousands of site owners hoping to catch someone off guard.&nbsp;</p>\n\n\n\n<p>Since bots typically fill out any available field, you can trick them into identifying themselves by essentially creating an invisible field that the bot can read in the code, but that won’t appear to users. If one fills it out, you know it’s a fake submission.&nbsp;</p>\n\n\n<p>While this is a decent way to catch spam, it’s not without its faults as bots can increasingly decipher these traps and work around them.&nbsp;</p>\n\n<h3 class=\"wp-block-heading\">2. Email or spam&nbsp;trap</h3>\n\n<p>As you might have guessed, email or spam trap honeypots are designed to catch malicious emails that are sent to your organization. The way they work is quite&nbsp;simple.</p>\n\n<p>A spam trap honeypot would consist of “fake” email addresses linked to your organization. You might place these contact details on your website or any other online platform to lure in&nbsp;spammers.</p>\n\n<p>Your security team can then review and examine any unsolicited emails that come into the honeypot. This will help them design effective filters and spam protection measures for the “real” email addresses, thus protecting employees against phishing attacks and other malicious&nbsp;activities.</p>\n\n\n<p>To avoid any confusion, we’d like to mention that you may have also heard about these in the context of email marketing or email deliverability. That’s because email <a href=\"https://www.mailgun.com/blog/deliverability/spam-traps/#subchapter-1\">spam trap honeypots</a> are also used by blocklists and inbox service providers to catch mass email senders who acquire email lists via unauthorized methods. However, this isn’t something the cybersecurity division of your organization typically needs to worry about.&nbsp;&nbsp;</p>\n\n\n<h3 class=\"wp-block-heading\">3. Spider&nbsp;honeypot</h3>\n\n\n<p>You already know about web crawlers or “spiders” —&nbsp;the bots that scan the contents of a website. Google uses these web crawlers to index the pages of your website and display them in relevant search results.&nbsp;</p>\n\n\n<p>But web crawlers are also used by hackers to discover vulnerabilities in websites. Spider honeypots are therefore designed to attract these bots to identify weaknesses in a web application or&nbsp;website.</p>\n\n\n<p>By simulating your web application and inviting these crawlers to do their work, you can study their behavior as they try to find a way in. This will help your team identify any specific attack patterns or common exploits, and take the necessary measures to protect your enterprise against web-based attacks.&nbsp;</p>\n\n\n<h3 class=\"wp-block-heading\">4. Malware&nbsp;honeypot</h3>\n\n\n<p>If your organization has a malware problem, this type of honeypot can help you get to the bottom of it.&nbsp;</p>\n\n\n\n<p>Malware honeypots are designed to emulate systems or services that are usually affected by malicious software. Your security team can use this system to study the origins and workings of the malware in a controlled environment.&nbsp;</p>\n\n\n<p>This will enable them to implement effective measures against this threat. For example, they might develop a sturdier and more intelligent antivirus program for your&nbsp;enterprise.</p>\n\n<h3 class=\"wp-block-heading\">5. Decoy&nbsp;database</h3>\n\n<p>One of the most common threats for enterprises is a data breach. If your company stores sensitive information, like customer details and financial records, it could be an attractive target among&nbsp;hackers.</p>\n\n\n<p>A decoy database is a type of honeypot that entices attackers who are looking to steal your data. It mimics your organization’s database but, of course, the information it contains would be fake.&nbsp;</p>\n\n\n<p>This type of honeypot can help you spot vulnerabilities in your database and study the techniques hackers use to access your data. This way, you’ll be able to implement stricter access controls in your database and develop more effective protection&nbsp;solutions.</p>\n\n<h3 class=\"wp-block-heading\">6. Client&nbsp;honeypot</h3>\n\n<p>Client honeypots are another popular decoy. These mimic client&#8209;side applications and personal&nbsp;devices.</p>\n\n<p>For example, you might set up a client honeypot to find security flaws in your company’s applications and software. This can be particularly useful if you have a large number of employees or customers using an online app. For instance, you might create a client honeypot for a learning management system (LMS) or an ecommerce app for loyal&nbsp;shoppers.</p>\n\n\n<p>A client honeypot serves as a trap for hackers that target enterprise software or web applications. Plus, it enables you to find better ways to protect your users from potential exploits.&nbsp;</p>\n\n\n\n<h3 class=\"wp-block-heading\">7. Honeynet</h3>\n\n\n\n<p>This is possibly the most advanced decoy you could opt for. Basically, a honeynet is a large network of interconnected honeypots. It’s meant to emulate a complete enterprise network.&nbsp;</p>\n\n\n\n<p>Honeynets can be very useful in studying sophisticated cyberattacks and testing your company’s overall security. By implementing this strategy, your security team can gain a deeper understanding of the evolving techniques used by cyber criminals.&nbsp;</p>\n\n\n<p>These insights will then help them develop a comprehensive security strategy for your&nbsp;enterprise.</p>\n\n<h2 class=\"wp-block-heading\">The different tiers of honeypot&nbsp;deployment</h2>\n\n<p>Each type of honeypot that we outlined above can be implemented on different levels. With this in mind, let’s take a look at the main tiers of honeypot&nbsp;deployment.</p>\n\n<h3 class=\"wp-block-heading\">1. Pure&nbsp;honeypots</h3>\n\n<p>Pure honeypots are designed to appear as real as possible, so they can attract highly skilled attackers. They are a form of high&#8209;interaction honeypots (which we’ll be looking at more closely in a minute) and are deployed with minimal interaction&nbsp;capabilities.</p>\n\n<p>Security professionals use pure honeypots to gather in&#8209;depth information about the strategies employed by sophisticated attackers. In particular, they&#8217;re concerned with tactics that can affect an organization’s entire system. For example, they can gain valuable insights into previously unknown vulnerabilities in your&nbsp;network.</p>\n\n\n<h3 class=\"wp-block-heading\">2. Low-interaction</h3>\n\n\n\n<p>Low-interaction honeypots have limited interaction capabilities and only emulate specific parts of a real system. This makes them easier to deploy and manage compared to high-interaction honeypots. As such, they’re mostly ideal for analyzing common attacks.&nbsp;</p>\n\n\n\n<p>Low-interaction honeypots simulate services and applications at a basic level. This enables your security team to capture basic data without exposing your real (and potentially vulnerable) systems.&nbsp;</p>\n\n\n\n<p>While these honeypots do not provide the same level of depth as more advanced systems, they can be quite effective in detecting known threats and preventing attacks.&nbsp;</p>\n\n\n\n<h3 class=\"wp-block-heading\">3. Mid-interaction</h3>\n\n\n\n<p>Mid-interaction honeypots offer a moderate level of realism and interaction. They’re built to emulate different services and applications, providing more “exploit opportunities” for attackers.&nbsp;</p>\n\n\n<p>With these honeypots, your security team can observe malicious activities in a relatively realistic setting. This enables them to collect more detailed data and fine&#8209;tune your company’s existing security&nbsp;measures.</p>\n\n\n<h3 class=\"wp-block-heading\">4. High-interaction</h3>\n\n\n\n<p>High-interaction honeypots provide the most authentic simulation of real-world systems and applications. Unlike low or mid-interaction honeypots, they allow attackers to interact with a full-fledged, genuine environment.&nbsp;</p>\n\n\n\n<p>These honeypots are set up with real operating systems and applications. This makes them highly attractive to attackers seeking valuable targets.&nbsp;</p>\n\n\n<p>As you can probably tell, these high&#8209;interaction honeypots carry a higher risk as they use a legitimate environment, but they offer unparalleled insights into advanced attacks. Plus, they enable your team to study zero&#8209;day vulnerabilities (more on this in a minute) and develop effective strategies to counter these sophisticated&nbsp;threats.</p>\n\n<h2 class=\"wp-block-heading\">The benefits of honeypots in&nbsp;cybersecurity</h2>\n\n\n<p>We’ve already touched upon the benefits of honeypots for your company’s cybersecurity. But let’s take a closer look at how they can help protect your organization.&nbsp;</p>\n\n\n<h3 class=\"wp-block-heading\">1. Identifying zero&#8209;day exploits and&nbsp;vulnerabilities</h3>\n\n\n<p>A zero-day vulnerability is a flaw in software that is discovered by hackers before developers become aware of it. Therefore, attackers that target zero-day exploits do not give organizations or developers time to patch these vulnerabilities.&nbsp;</p>\n\n\n<p>As we have seen, honeypots (particularly high&#8209;interaction ones) create a controlled environment where attackers engage with authentic applications. By analyzing the tactics used in these attacks, you can uncover unknown vulnerabilities in your company’s software. This will enable you to develop patches proactively or reach out to the software’s developers for an immediate&nbsp;fix.</p>\n\n<h3 class=\"wp-block-heading\">2. Early threat detection and&nbsp;identification</h3>\n\n\n<p>As we mentioned earlier, honeypots are completely isolated from the real system. This means that any attack on the simulated environment will not affect your company’s operations.&nbsp;</p>\n\n\n\n<p>Additionally, since they have no legitimate purpose, any activity in these environments will immediately spark suspicion. This means that your security team can detect threats at an early stage and respond to them swiftly.&nbsp;</p>\n\n\n<p>Early threat detection can prevent attacks from spreading to other parts of the&nbsp;network.</p>\n\n<h3 class=\"wp-block-heading\">3. Real&#8209;time attack monitoring and&nbsp;visualization</h3>\n\n\n<p>Honeypots also provide real-time attack monitoring. This means security professionals can observe the hackers&#8217; movements and activities as they happen.&nbsp;</p>\n\n\n\n<p>You might use real-time visualization tools like graphs and heatmaps so that it’s easier to identify attack patterns and targets. Plus, these visualization tools can enable you to comprehend the scope and impact of the threats. This way, you can ensure that you implement a solution that encompasses all possible vulnerabilities.&nbsp;</p>\n\n\n<h3 class=\"wp-block-heading\">4. Intruder profiling and&nbsp;attribution</h3>\n\n<p>When implemented effectively, honeypots can tell you a lot about the individuals behind the attack. This includes information about the attackers&#8217; methods, preferred targets, and geographic&nbsp;locations.</p>\n\n<p>Your security team can then use this data to create intruder profiles. Such information is essential for understanding the motives behind the&nbsp;attacks.</p>\n\n<p>If you have accurate intruder profiles, you can collaborate with law enforcement agencies or other security organizations to track down cyber&nbsp;criminals.</p>\n\n<h2 class=\"wp-block-heading\">The benefits of honeypots in spam&nbsp;detection</h2>\n\n<p>Honeypots can also be an effective measure in identifying and blocking spam. Here are a few different ways to use them for spam&nbsp;detection:</p>\n\n<h3 class=\"wp-block-heading\">1. Combating contact form&nbsp;spam</h3>\n\n\n<p>Contact form spam affects many businesses and can be very annoying. When it occurs, emails from genuine customers can be easily lost in a sea of spammy ones.&nbsp;</p>\n\n\n<p>Your organization can integrate honeypot fields within <a href=\"https://akismet.com/blog/how-to-add-wordpress-contact-form/\">contact forms</a> to trap automated bots. This way, you can automatically filter out spammy submissions and make it easier for your company’s administrators to manage their&nbsp;inboxes.</p>\n\n<h3 class=\"wp-block-heading\">2. Preventing comment&nbsp;spam</h3>\n\n\n<p>Likewise, honeypots can be used to prevent comment spam. This can be particularly useful if you have a blog on your company website.&nbsp;</p>\n\n\n\n<p>When bots attempt to fill out the honeypot fields, their submissions will instantly be recognized as spam. <a href=\"https://akismet.com/blog/how-to-stop-comment-spam-in-wordpress/\">Stopping comment spam</a> can help you maintain a professional community.&nbsp;</p>\n\n\n<h3 class=\"wp-block-heading\">3. Blocking malicious user&nbsp;registrations</h3>\n\n\n<p>Bots can also take over your user registration process. If you have an online store or membership site, these fake and malicious entries can make it nearly impossible to effectively manage your users.&nbsp;&nbsp;</p>\n\n\n<p>Honeypots can be integrated into <a href=\"https://akismet.com/blog/how-to-create-a-custom-wordpress-user-registration-form/\">user registration forms</a> to thwart malicious registrations. By taking a proactive approach, you can find an effective way to <a href=\"https://akismet.com/blog/how-to-stop-user-spam-registrations-in-wordpress/\">prevent fake accounts</a> and hackers from infiltrating your user&nbsp;database.</p>\n\n<h3 class=\"wp-block-heading\">4. Preventing link spam and SEO&nbsp;manipulation</h3>\n\n\n<p>Spammers might also try to insert links into your content. Typically, they do this to <a href=\"https://akismet.com/blog/what-is-seo-spam-how-to-protect-your-wordpress-site/\">manipulate their search engine rankings</a> or drive users to harmful websites.&nbsp;</p>\n\n\n<p>Honeypots can be instrumental in preventing link spam. You can use honeypots strategically to attract spammers, study their behavior, and design more effective security solutions that guard access to edit permissions for your&nbsp;content.</p>\n\n<h3 class=\"wp-block-heading\">5. Strengthening CAPTCHA and challenge&#8209;response&nbsp;mechanisms</h3>\n\n\n<p>You might already be <a href=\"https://akismet.com/blog/wordpress-captcha/\">using CAPTCHA</a> and challenge-response mechanisms on your website. These make it more difficult for automated bots to submit spammy content, but they’re not always effective.&nbsp;</p>\n\n\n\n<p>Honeypots act as an additional layer of defense. They make it nearly impossible for malicious actors to interact with your forms undetected.&nbsp;</p>\n\n\n<p>But, you don’t need to implement CAPTCHAs to prevent spam on your website, and these kinds of tests are distracting for users and are likely negatively impacting your&nbsp;conversions.</p>\n\n<p>A comprehensive <a href=\"https://akismet.com/features/\">anti&#8209;spam solution like Akismet</a> can provide a better way to defend your site against&nbsp;spam.</p>\n\n\n<img width=\"1314\" height=\"630\" src=\"https://akismet455732288.files.wordpress.com/2023/12/image-19.png\" alt=\"Akismet homepage with the text \" />\n\n\n\n<p>This tool can identify spammy behavior without the need for a challenge-response mechanism. It does this with an AI-powered system that detects spam signals utilizing things like blocklists, IP addresses, names, and emails associated with suspicious activities.&nbsp;</p>\n\n\n\n<p>And it works with nearly 100% accuracy.&nbsp;</p>\n\n\n<p>Additionally, Akismet offers a better user experience for visitors, as it doesn&#8217;t require them to solve any puzzles. Instead, it analyzes their behavior and blocks any suspicious&nbsp;entries.</p>\n\n<p>By combining honeypots with powerful tools like Akismet, you can ensure that only genuine human users can engage with your&nbsp;website.</p>\n\n<h2 class=\"wp-block-heading\">Akismet: Taking spam protection to a new&nbsp;level</h2>\n\n\n<p>Akismet is a spam prevention plugin for WordPress websites. To date, it has blocked more than 525,000,000,000 spam comments. This is thanks to its powerful and advanced AI technology.&nbsp;</p>\n\n\n\n<p>Akismet is free for personal use and affordable for every level of commercial organization. The improved user experience and resulting boost in conversion rates will more than justify the investment in this valuable tool. If you’re ready to try it out, you can <a href=\"https://wordpress.org/plugins/akismet/\" target=\"_blank\" rel=\"noreferrer noopener\">download it from the WordPress plugin directory</a>.&nbsp;</p>\n\n\n\n<img width=\"945\" height=\"423\" src=\"https://akismet455732288.files.wordpress.com/2023/12/image-20.png\" alt=\"Akismet plugin on WordPress.org \" class=\"wp-image-283660\" />\n\n\n<p>Alternatively, if you’re dealing with a larger volume of sensitive user data, you might want to request <a href=\"https://akismet.com/enterprise/\">a custom enterprise plan</a>. This will be tailored to your company’s needs and will give you access to personalized&nbsp;support.</p>\n\n<h3 class=\"wp-block-heading\">What are the benefits of using&nbsp;Akismet?</h3>\n\n<p>Akismet offers an automated spam protection solution. It checks all submissions on your site and filters out spammy entries. This enables your admin team to handle queries more&nbsp;efficiently.</p>\n\n<p>Additionally, Akismet is a cloud‑based solution. This means that it doesn’t store any data on your website. As a result, it won’t have any impact on your website’s speed and&nbsp;performance.</p>\n\n\n<p>But perhaps the best thing about Akismet is that it integrates with a wide variety of tools. These include popular plugins like <a href=\"https://jetpack.com/\" target=\"_blank\" rel=\"noreferrer noopener\">Jetpack</a>, Contact Form 7, Gravity Forms, and Formidable Forms.&nbsp;</p>\n\n\n<h3 class=\"wp-block-heading\">Why choose Akismet over other spam protection&nbsp;solutions?</h3>\n\n\n<p>You might be wondering what makes Akismet a good alternative to other spam protection solutions.&nbsp;</p>\n\n\n<p>Unlike most anti&#8209;spam tools, Akismet does not use CAPTCHA to block bots. This is typically a puzzle or challenge that users must complete to submit their entries. Its purpose is to make it more difficult for automated bots to submit spammy&nbsp;content.</p>\n\n<p>But CAPTCHA can be off&#8209;putting for human users. It adds friction to the form submission process, and users with certain physical or cognitive disabilities might struggle to complete certain CAPTCHA prompts. This can cause people to abandon the entire process, and lead to fewer queries and conversions for your&nbsp;business.</p>\n\n\n<p>With Akismet, you won’t need to worry about CAPTCHAs creating a poor user experience for legitimate visitors. This plugin is powered by machine learning, which enables it to automatically spot spam through suspicious behavior. It does all of this in the background, without interfering with the experience of real users.&nbsp;</p>\n\n\n\n<p>That means you’ll be able to provide a smoother user registration process. Plus, site visitors won’t need to complete a challenge just to send a quick message through your contact form or subscribe to your newsletter.&nbsp;</p>\n\n\n<h3 class=\"wp-block-heading\">Try Akismet today. You’ll be in good&nbsp;company</h3>\n\n<p>Akismet is a leading spam protection tool, used across 100 million sites. These include popular companies like WordPress.com, Bluehost, and&nbsp;ConvertKit.</p>\n\n\n<p>Are you ready to block spam with Akismet? <a href=\"https://akismet.com/talk-to-sales/\">Get in touch today</a> for a tailored enterprise solution.&nbsp;</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 03 Jan 2024 14:00:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:11:\"Jen Swisher\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:30;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:19:\"Matt: Back With Tim\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:23:\"https://ma.tt/?p=110059\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:36:\"https://ma.tt/2024/01/back-with-tim/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:1592:\"<p>I <a href=\"https://tim.blog/2023/12/29/matt-mullenweg-2/\">returned on the podcast with my good friend Tim Ferriss</a>, by my count the sixth time we&#8217;ve recorded together, but the very first time we did it in video! Tim asked me to bring five things I&#8217;m excited about, five things I&#8217;ve changed my mind on in the past few years, and five things that are absurd or ridiculous but I still do, and that ended up being a pretty fun anchor for a two-and-a-half hour conversation, which you can watch here:</p>\n\n\n\n<div class=\"wp-block-embed__wrapper\">\n\n</div>\n\n\n\n<p>Or listen to on <a href=\"https://pocketcasts.com/\">Pocket Casts</a> or any podcast player, thanks to open standards:</p>\n\n\n\n<div class=\"wp-block-embed__wrapper\">\n<div>    <div></div>    </div>\n</div>\n\n\n\n<p>I ended up having more than five things for each list, especially the excited one, but tried to edit it down. This was a very vulnerable and personal conversation for me, which I think was possible because we&#8217;ve known each other so long at this point and Tim made it really easy and fun to open up. We discuss everything from open source to kids to my upcoming sabbatical.</p>\n\n\n\n<p>Coincidentally, this was episode 713, <a href=\"https://en.wikipedia.org/wiki/Area_codes_713,_281,_832,_and_346\">which is the original area code for Houston</a>! We didn&#8217;t plan that but I think that&#8217;s so cool. I&#8217;m also going to <a href=\"https://www.youtube.com/watch?v=bYXa5RCGLiM\">watch his episode with Kevin Rose</a> who he&#8217;s also very close with, I always learn new stuff from those two.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 03 Jan 2024 08:36:07 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"Matt\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:31;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:19:\"Matt: Birthday Gift\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:23:\"https://ma.tt/?p=110005\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:36:\"https://ma.tt/2024/01/birthday-gift/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:1775:\"<p>It&#8217;s true, it&#8217;s true, I turn forty years old in ten days.</p>\n\n\n\n<p>What do you get the guy who has everything?</p>\n\n\n\n<p>I admit I&#8217;m not the easiest to shop for, I can be quite particular in my preferences of <a href=\"https://ma.tt/2023/12/the-bag-post/\">this cable versus that one</a>, but the good news is the gift I most want for my 40<sup>th</sup> is something everyone can do.</p>\n\n\n\n<p><strong>I want you to blog.</strong></p>\n\n\n\n<p>Publish a post. About anything! It can be long or short, a photo or a video, maybe a quote or a link to something you found interesting. Don&#8217;t sweat it. Just blog. Share something you created, or amplify something you enjoyed. It doesn&#8217;t take much. The act of publishing will be a gift for you and me. </p>\n\n\n\n<p>That&#8217;s what I want for my birthday. If you link to this post and use <a href=\"https://wordpress.org/\">WordPress</a> the <a href=\"https://en.wikipedia.org/wiki/Pingback\">Pingback</a> system will notify me about your post and it will show up in the comment stream, but I&#8217;m okay even if you don&#8217;t use WordPress, just post something and send me a link. You can start <a href=\"https://www.tumblr.com/\">a free site on Tumblr</a> or <a href=\"https://wordpress.com/\">get a domain that can be your home on the internet with WP.com</a>.</p>\n\n\n\n<p>You&#8217;ve got ten days! After the 11th I&#8217;ll close the comments and pingbacks on this post. But I&#8217;m so curious to read what people write.</p>\n\n\n\n<p>That&#8217;s it! No wrapping paper or bows. Just blogs and blogs and blogs, each unique and beautiful in its own way. (Oh! <a href=\"https://crowdfundr.com/TheBayLights360\">And put $10 toward the Bay Lights so we can get the contributor number as high as possible</a>.)</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 02 Jan 2024 01:49:34 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"Matt\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:32;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:23:\"Matt: Books 2020–2023\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:23:\"https://ma.tt/?p=109958\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:38:\"https://ma.tt/2023/12/books-2020-2023/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:6451:\"<p>I&#8217;m a few years behind in posting my book lists, and past few years a good amount of my book reading time shifted to other mediums. I have been rediscovering the joy of books so here&#8217;s what I read the past few years as a motivation to myself to pick it up more in 2024.</p>\n\n\n\n<h2 class=\"wp-block-heading\">2020</h2>\n\n\n\n<ol>\n<li><a href=\"https://www.amazon.com/gp/product/B002DMZ9WW/\"><strong>The Gift by Hafiz</strong></a></li>\n\n\n\n<li><a href=\"https://www.amazon.com/gp/product/B078GTFGJN/\">I hope this reaches her in time by r.h. Sin</a> </li>\n\n\n\n<li><a href=\"https://www.amazon.com/gp/product/B00G1J1D28/\">Essentialism: The Disciplined Pursuit of Less by Greg McKeown</a></li>\n\n\n\n<li><a href=\"https://www.amazon.com/gp/product/B07GD46PQZ/\">Exhalation by Ted Chiang</a></li>\n\n\n\n<li><a href=\"https://www.amazon.com/gp/product/B07FZ683NB/\">Deceiving the Sky: Inside Communist China&#8217;s Drive for Global Supremacy</a></li>\n\n\n\n<li><a href=\"https://www.amazon.com/gp/product/B000QUEHLM/\">Zero: The Biography of a Dangerous Idea by Charles Seife</a></li>\n\n\n\n<li><a href=\"https://www.amazon.com/gp/product/B004JHYRAO/\">Caves of Steel by Isaac Asimov</a></li>\n\n\n\n<li><a href=\"https://www.amazon.com/gp/product/B07DRPGGQ7/\"><strong>High Growth Handbook by Elad Gil</strong></a></li>\n\n\n\n<li><a href=\"https://www.amazon.com/gp/product/B004JHYRDQ/\">The Naked Sun by Isaac Asimov</a></li>\n\n\n\n<li><a href=\"https://www.amazon.com/gp/product/B07NVN4QCM/\">What You Do Is Who You Are by Ben Horowitz</a></li>\n\n\n\n<li><a href=\"https://www.amazon.com/gp/product/B07GL6KYHM/\">Gideon Falls 1: The Black Barn by Jeff Lemire</a></li>\n\n\n\n<li><a href=\"https://www.amazon.com/gp/product/B07NDKTJJ2/\">Gideon Falls 2: Original Sins by Jeff Lemire</a></li>\n\n\n\n<li><a href=\"https://www.amazon.com/gp/product/B07W6KB77N/\">Gideon Falls 3: Stations of the Cross by Jeff Lemire</a></li>\n\n\n\n<li><a href=\"https://www.amazon.com/gp/product/B00NYCE44O/\">What if I Say the Wrong Thing? 25 Habits for Culturally Effective People by Vernā Myers</a></li>\n\n\n\n<li><a href=\"https://www.amazon.com/gp/product/B004U5Q1O0/\"><strong>The Most Important Thing: Uncommon Sense for the Thoughtful Investor by Howard Marks</strong></a></li>\n\n\n\n<li><a href=\"https://www.amazon.com/gp/product/B0071XO8RA/\"><strong>Wool by Hugh Howey</strong></a></li>\n\n\n\n<li><a href=\"https://www.amazon.com/gp/product/B076ZHG3H3/\">Trillion Dollar Coach by Eric Schmidt and Jonathan Rosenberg</a></li>\n\n\n\n<li><a href=\"https://www.amazon.com/gp/product/B077Y4WVPT/\">Powerful: Building a Culture of Freedom and Responsibility by Patty McCord</a></li>\n\n\n\n<li><a href=\"https://www.amazon.com/gp/product/0385249373/\">Awareness: The Perils and Opportunities of Reality by Anthony de Mello</a></li>\n\n\n\n<li><a href=\"https://www.amazon.com/gp/product/B0029XFF6U/\">How to Know Higher Worlds by Rudolf Steiner</a></li>\n\n\n\n<li><a href=\"https://www.amazon.com/gp/product/B081Y3R657/\"><strong>No Rules Rules by Reed Hastings and Erin Meyer</strong></a></li>\n</ol>\n\n\n\n<h2 class=\"wp-block-heading\">2021</h2>\n\n\n\n<ol>\n<li><a href=\"https://www.amazon.com/dp/B07C75GLGK/\">Broken Stars by Ken Liu</a></li>\n\n\n\n<li><a href=\"https://www.amazon.com/dp/B00G3L1C2K/\"><strong>The Body Keeps Score by Bessel van der Kolk</strong></a></li>\n\n\n\n<li><a href=\"https://www.amazon.com/dp/B000W7XN3C/\">Broadbandits by Om Malik</a></li>\n\n\n\n<li><a href=\"https://www.amazon.com/dp/B07D2364N5/\">How to be Antiracist by Ibram X Kendi</a></li>\n\n\n\n<li><a href=\"https://www.amazon.com/dp/B00BVJG3CS/\"><strong>The Reason I Jump by Naoki Higashida</strong></a></li>\n\n\n\n<li><a href=\"https://www.amazon.com/dp/B07YQCNN4N/\">Billionaire Wilderness by Justin Farrell</a></li>\n\n\n\n<li><a href=\"https://www.amazon.com/dp/B07NYT9F8L/\">Antarctica: What Everyone Needs to Know by David Day</a></li>\n\n\n\n<li><a href=\"https://www.amazon.com/dp/B08SMFSL5M/\">San Fransicko by Michael Shellenberger</a></li>\n\n\n\n<li><a href=\"https://www.amazon.com/dp/B006R8PHW0/\">Antarctica: An Intimate Portrait of a Mysterious Continent by Gabrielle Walker</a></li>\n\n\n\n<li><a href=\"https://www.amazon.com/dp/B002WN354G/\">At the Mountains of Madness by H. P. Lovecraft</a></li>\n\n\n\n<li><a href=\"https://www.amazon.com/dp/1885254008\">Delirious New York by Rem Koolhaas</a></li>\n\n\n\n<li><a href=\"https://www.amazon.com/dp/B07MNG496J/\"><strong>This Is How You Lose the Time War by Amal El-Mohtar and Max Gladstone</strong></a></li>\n\n\n\n<li><a href=\"https://www.amazon.com/dp/B00IWTWLQC/\"><strong>Fallen Leaves: Last Words on Life, Love, War, and God by Will Durant</strong></a></li>\n</ol>\n\n\n\n<h2 class=\"wp-block-heading\">2022</h2>\n\n\n\n<p>This year I ended up mostly reading AI and machine learning academic papers, attempting to &#8220;learn AI deeply&#8221; as I asked people at <a href=\"https://ma.tt/2023/01/state-of-the-word-2/\">the State of the Word that year</a>. Started a bunch of other books but these were the only two I finished.</p>\n\n\n\n<ol>\n<li><a href=\"https://www.amazon.com/dp/B08FGV64B1/\">4000 weeks by Oliver Burkeman</a></li>\n\n\n\n<li><a href=\"https://www.amazon.com/dp/B008T9L6AM/\">A Wizard of Earthsea by Ursula K. Guin</a></li>\n</ol>\n\n\n\n<h2 class=\"wp-block-heading\">2023</h2>\n\n\n\n<ol>\n<li><a href=\"https://www.amazon.com/dp/B09JBCGQB8/\"><strong>Tomorrow and Tomorrow and Tomorrow by Gabrielle Zevin</strong></a></li>\n\n\n\n<li><a href=\"https://www.amazon.com/dp/B075G4W7MV/\">Belong by Radha Agrawal</a></li>\n\n\n\n<li><a href=\"https://www.amazon.com/dp/B0BCF78T14/\"><strong>Excellent Advice for Living by Kevin Kelly</strong></a></li>\n\n\n\n<li><a href=\"https://www.amazon.com/dp/B09YDBJV2Q/\">On That Note by Michael Wolff</a></li>\n\n\n\n<li><a href=\"https://www.amazon.com/dp/B0B13W5GPT/\"><strong>Unreasonable Hospitality by Will Guidara</strong></a></li>\n\n\n\n<li><a href=\"https://www.amazon.com/dp/B077J7F78Z/\"><strong>Surely You’re Joking, Mr Feynman by Richard Feynman</strong></a></li>\n\n\n\n<li><a href=\"https://www.amazon.com/dp/B00FDWCPV2/\">Permutation City by Greg Egan</a></li>\n\n\n\n<li><a href=\"https://www.amazon.com/dp/B00Z8VTMYG/\"><strong>Seven Brief Lessons on Physics by Carlo Rovelli</strong></a></li>\n\n\n\n<li><a href=\"https://www.amazon.com/dp/B0BSSH8MQ9/\"><strong>Damn Good Advice by George Lois</strong></a></li>\n</ol>\n\n\n\n<p>All book years: <a href=\"https://ma.tt/2017/12/books-in-2017/\">2017</a>, <a href=\"https://ma.tt/2019/01/39-books-in-2018/\">2018</a>, <a href=\"https://ma.tt/2020/01/29-books-in-2019/\">2019</a>, <a href=\"https://ma.tt/?p=109958\">2020–2023</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 01 Jan 2024 05:58:24 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"Matt\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:33;a:6:{s:4:\"data\";s:11:\"\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:67:\"HeroPress: Surfing In France, Podcasts, Photos, and Press Releases!\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://heropress.com/?p=6332\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:101:\"https://heropress.com/surfing-in-france/#utm_source=rss&utm_medium=rss&utm_campaign=surfing-in-france\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:11511:\"<img width=\"683\" height=\"1024\" src=\"https://heropress.com/wp-content/uploads/2023/12/99265232ded267133.95673942-683x1024.jpg\" class=\"attachment-large size-large wp-post-image\" alt=\"Rock cairns in focus against a backdrop of the rocky, Oregon coast with giant logs.\" /><p>It was a quiet week this week, between Christmas and New Year, so this newsletter will be a little different.</p>\n\n\n\n<p>We had 23 essays this year, from a very pleasantly diverse group of people. We began the work of merging the larger HeroPress Network back into this site, HeroPress.com. Life was chaotic, but moved ever onward.</p>\n\n\n\n<p>This year more than ever we had people other than Topher working on HeroPress. Mostly little things, but more and more every month.  This is great for the long term viability of the project.</p>\n\n\n\n<p>I greatly appreciate the support of every single one of you over the last nine (9!) years of HeroPress.  I hope we&#8217;ll have a great time together in the years to come.</p>\n\n\n<div class=\"kb-row-layout-wrap kb-row-layout-id6332_7129cc-0f alignnone kt-row-has-bg wp-block-kadence-rowlayout\"><div class=\"kt-row-column-wrap kt-has-1-columns kt-row-layout-equal kt-tab-layout-inherit kt-mobile-layout-row kt-row-valign-top kb-theme-content-width\">\n\n<div class=\"wp-block-kadence-column kadence-column6332_ca547f-e6 inner-column-1\"><div class=\"kt-inside-inner-col\">\n<h2 class=\"kt-adv-heading6332_ab6de5-f2 wp-block-kadence-advancedheading\"><a href=\"https://heropress.com/\">HeroPress.com</a> &#8211; <a href=\"https://heropress.com/essays/being-useful-to-people-with-wordpress/\">Being useful to people, with WordPress – Être utile aux autres, avec WordPress</a></h2>\n\n\n\n\n\n\n\n<p>Quentin Le Duff is from Saint-Malo, France. He taught himself web development and got a job, but soon questioned what he was doing with his life and why.</p>\n\n\n\n<p><em>Over time, I felt less connected to the agency’s decisions and the kind of clients they had. I wondered about the meaning and impact of my work. Was I making things better for people? Was what I did ethical? In the end, did it really matter?</em></p>\n\n\n\n<p>Quentin&#8217;s essay is <a href=\"https://heropress.com/essays/being-useful-to-people-with-wordpress/\">available</a> on <a href=\"https://heropress.com\">HeroPress.com</a>.</p>\n</div></div>\n\n</div></div>\n\n\n<div class=\"wp-block-kadence-spacer aligncenter kt-block-spacer-6332_6a9d40-be\"><div class=\"kt-block-spacer kt-block-spacer-halign-center\"><hr class=\"kt-divider\" /></div></div>\n\n\n<div class=\"kb-row-layout-wrap kb-row-layout-id6332_f63ef3-eb alignnone kt-row-has-bg wp-block-kadence-rowlayout\"><div class=\"kt-row-column-wrap kt-has-1-columns kt-row-layout-equal kt-tab-layout-inherit kt-mobile-layout-row kt-row-valign-top kb-theme-content-width\">\n\n<div class=\"wp-block-kadence-column kadence-column6332_37e0ac-dd inner-column-1\"><div class=\"kt-inside-inner-col\">\n<h2 class=\"kt-adv-heading6332_e666af-94 wp-block-kadence-advancedheading\"><a href=\"https://heropress.com/\">Press Releases!</a></h2>\n\n\n<div class=\"wp-block-image is-style-default\">\n<img src=\"https://heropressnetwork.com/wp-content/uploads/2024/03/pressitwp_logo-300x130.jpg\" alt=\"Press It WP\" class=\"wp-image-4736\" /></div>\n\n\n<p><a href=\"https://pressitwp.com\">PressItWP.com</a> has been a part of the <a href=\"https://heropressnetwork.com\">HeroPress Network</a> for almost a year now, if you ever release Press Releases, please consider <a href=\"https://pressitwp.com\">PressItWP</a>!</p>\n\n\n\n<p></p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-advice-by-renowned-founders-of-100-wordpress-businesses\"><a href=\"https://wpfounders.com/news-updates/advice-by-100-wordpress-business-founders/#new_tab\"><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f389.png\" alt=\"🎉\" class=\"wp-smiley\" /> Advice by Renowned Founders of 100 WordPress Businesses</a></h2>\n\n\n\n<p>We at WPfounders recently hit a major milestone, securing 100 stories from various WordPress business founders. To celebrate, we’ve compiled key advice from each story to inspire young entrepreneurs venturing into the WordPress ecosystem. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f447.png\" alt=\"👇\" class=\"wp-smiley\" /> Advice by Renowned Founders of 100 WordPress Businesses</p>\n</div></div>\n\n</div></div>\n\n\n<p> </p>\n\n\n<div class=\"kb-row-layout-wrap kb-row-layout-id6332_ad80f5-78 alignnone kt-row-has-bg wp-block-kadence-rowlayout\"><div class=\"kt-row-column-wrap kt-has-1-columns kt-row-layout-equal kt-tab-layout-inherit kt-mobile-layout-row kt-row-valign-top kb-theme-content-width\">\n\n<div class=\"wp-block-kadence-column kadence-column6332_a41078-e2 inner-column-1\"><div class=\"kt-inside-inner-col\">\n<h2 class=\"kt-adv-heading6332_511208-ef wp-block-kadence-advancedheading\"><a href=\"https://wppodcasts.com\">WP Podcasts</a></h2>\n\n\n\n<a href=\"https://wppodcasts.com\"><img src=\"https://heropressnetwork.com/wp-content/uploads/2024/01/pocket_casts_single_315.png\" alt=\"Pocket Casts image\" class=\"wp-image-4316\" /></a>\n\n\n\n<p>There were <em>sixteen</em> WordPress podcast episodes released this week! </p>\n\n\n\n<ul>\n<li><a href=\"https://potencia.pro/272-the-wp-awards-2023-top-winners-votes/#new_tab\">Potencia Pro 272: The WP Awards 2023 – Top Winners &amp; Votes</a> from <a href=\"https://wppodcasts.com/podcast/potencia-pro-wordpress-y-cozas/\">Potencia Pro, WordPress y cozas</a></li>\n\n\n\n<li><a href=\"https://www.wppodcast.cat/podcast/tancant-el-2023/#new_tab\">8. Tancant el 2023</a> from <a href=\"https://wppodcasts.com/podcast/wordpress-podcast-catala/\">WordPress Pòdcast (català)</a></li>\n\n\n\n<li><a href=\"https://underrepresented-in-tech.castos.com/episodes/setting-boundaries-allies-last-episode#new_tab\">Setting Boundaries &amp; Allie’s Last Episode!</a> from <a href=\"https://wppodcasts.com/podcast/underrepresented-in-tech/\">Underrepresented in Tech</a></li>\n\n\n\n<li><a href=\"https://podcasters.spotify.com/pod/show/the-sdm-show/episodes/Episode-380-Bertha-Ai-and-All-Things-AI-With-Andrew-Palmer-e2dp464#new_tab\">Episode 380: Bertha.Ai and All Things AI With Andrew Palmer</a> from <a href=\"https://wppodcasts.com/podcast/the-sdm-show/\">The SDM Show</a></li>\n\n\n\n<li><a href=\"https://remkusdevries.com/podcast/crafting-twenty-twenty-four-coordinating-wordcamp-germany-jessica-lyschiks-story/#new_tab\">Crafting Twenty Twenty Four &amp; Coordinating WordCamp Germany: Jessica Lyschik’s Story</a> from <a href=\"https://wppodcasts.com/podcast/within-wordpress/\">Within WordPress</a></li>\n</ul>\n\n\n\n<p>There are new episodes every single day, so be sure to stop by <a href=\"https://wppodcasts.com\">WPPodcasts.com</a> and search for things that interest you!</p>\n</div></div>\n\n</div></div>\n\n\n<p> </p>\n\n\n<div class=\"kb-row-layout-wrap kb-row-layout-id6332_3ce321-05 alignnone kt-row-has-bg wp-block-kadence-rowlayout\"><div class=\"kt-row-column-wrap kt-has-1-columns kt-row-layout-equal kt-tab-layout-inherit kt-mobile-layout-row kt-row-valign-top kb-theme-content-width\">\n\n<div class=\"wp-block-kadence-column kadence-column6332_b1d555-9d inner-column-1\"><div class=\"kt-inside-inner-col\">\n<h2 id=\"wpphotos\" class=\"kt-adv-heading6332_d41738-0e wp-block-kadence-advancedheading\"><a href=\"https://wordpress.org/photos\">WP Photos</a></h2>\n\n\n\n<p>Here are some of the great photos submitted to the <a href=\"https://wordpress.org/photos\">WPPhotos</a> project this week!</p>\n\n\n\n\n<a href=\"https://wordpress.org/photos/photo/346658e493/\"><img width=\"768\" height=\"1024\" src=\"https://heropress.com/wp-content/uploads/2023/12/346658e493d42efa0.56373730-768x1024.jpeg\" alt=\"\" class=\"wp-image-6346\" /></a><a href=\"https://creativecommons.org/share-your-work/public-domain/cc0/\">CC0</a> licensed <a href=\"https://wordpress.org/photos/photo/346658e493/\">photo</a> by <a href=\"https://wordpress.org/photos/author/anish29/\">Anis</a> from the <a href=\"https://wordpress.org/photos/\">WordPress Photo Directory</a>.\n\n\n\n<a href=\"https://wordpress.org/photos/photo/564658c439/\"><img width=\"1024\" height=\"876\" src=\"https://heropress.com/wp-content/uploads/2023/12/564658c43966acf26.31591060-1024x876.jpeg\" alt=\"\" class=\"wp-image-6343\" /></a><a href=\"https://creativecommons.org/share-your-work/public-domain/cc0/\">CC0</a> licensed <a href=\"https://wordpress.org/photos/photo/564658c439/\">photo</a> by <a href=\"https://wordpress.org/photos/author/bhuwanroka/\">Bhuwan Bdr. Rokaha</a> from the <a href=\"https://wordpress.org/photos/\">WordPress Photo Directory</a>.\n\n\n\n<a href=\"https://heropress.com/wp-content/uploads/2023/12/762658b1e7788d772.40098223-scaled.jpeg\"><img width=\"1024\" height=\"768\" src=\"https://heropress.com/wp-content/uploads/2023/12/762658b1e7788d772.40098223-1024x768.jpeg\" alt=\"\" class=\"wp-image-6345\" /></a><a href=\"https://creativecommons.org/share-your-work/public-domain/cc0/\">CC0</a> licensed <a href=\"https://wordpress.org/photos/photo/762658b1e7/\">photo</a> by <a href=\"https://wordpress.org/photos/author/mbigul/\">Bigul Malayi</a> from the <a href=\"https://wordpress.org/photos/\">WordPress Photo Directory</a>.\n\n\n\n<a href=\"https://wordpress.org/photos/photo/12465893c2/\"><img width=\"1024\" height=\"680\" src=\"https://heropress.com/wp-content/uploads/2023/12/12465893c2cb2ef57.61824776-1024x680.jpg\" alt=\"\" class=\"wp-image-6342\" /></a><a href=\"https://creativecommons.org/share-your-work/public-domain/cc0/\">CC0</a> licensed <a href=\"https://wordpress.org/photos/photo/12465893c2/\">photo</a> by <a href=\"https://wordpress.org/photos/author/nilovelez/\">Nilo Velez</a> from the <a href=\"https://wordpress.org/photos/\">WordPress Photo Directory</a>.\n\n\n\n<a href=\"https://heropress.com/wp-content/uploads/2023/12/174659009f2150ed0.93395118-scaled.jpg\"><img width=\"1024\" height=\"680\" src=\"https://heropress.com/wp-content/uploads/2023/12/174659009f2150ed0.93395118-1024x680.jpg\" alt=\"\" class=\"wp-image-6344\" /></a><a href=\"https://creativecommons.org/share-your-work/public-domain/cc0/\">CC0</a> licensed <a href=\"https://wordpress.org/photos/photo/174659009f/\">photo</a> by <a href=\"https://wordpress.org/photos/author/nilovelez/\">Nilo Velez</a> from the <a href=\"https://wordpress.org/photos/\">WordPress Photo Directory</a>.\n\n\n\n<a href=\"https://wordpress.org/photos/photo/727658895e/\"><img width=\"768\" height=\"1024\" src=\"https://heropress.com/wp-content/uploads/2023/12/727658895ef476730.56539372-rotated-1-768x1024.jpg\" alt=\"\" class=\"wp-image-6341\" /></a><a href=\"https://creativecommons.org/share-your-work/public-domain/cc0/\">CC0</a> licensed <a href=\"https://wordpress.org/photos/photo/727658895e/\">photo</a> by <a href=\"https://wordpress.org/photos/author/alexandroar/\">alexandroar</a> from the <a href=\"https://wordpress.org/photos/\">WordPress Photo Directory</a>.\n\n\n\n\n<p>Be sure to check out the <a href=\"https://wordpress.org/photos/\">hundreds of other great photos</a>!</p>\n</div></div>\n\n</div></div>\n\n\n<p></p>\n\n\n\n<p>The header photo for this post is a <a href=\"https://creativecommons.org/share-your-work/public-domain/cc0/\">CC0</a> licensed <a href=\"https://wordpress.org/photos/photo/99265232de/\">photo</a> by <a href=\"https://wordpress.org/photos/author/annezazu/\">annezazu</a> from the <a href=\"https://wordpress.org/photos/\">WordPress Photo Directory</a>.</p>\n\n\n\n\n\n\n<p>That&#8217;s it for this week! If you&#8217;d like to get this post in your email every week, <a href=\"https://heropressnetwork.com/newsletter\">make sure you sign up</a>!</p>\n\n<p>The post <a href=\"https://heropress.com/surfing-in-france/\">Surfing In France, Podcasts, Photos, and Press Releases!</a> appeared first on <a href=\"https://heropress.com\">HeroPress</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sat, 30 Dec 2023 20:53:08 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:34;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:65:\"WordPress.org blog: Leap into 2024 with these Site Editor Tools\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://wordpress.org/news/?p=16658\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:79:\"https://wordpress.org/news/2023/12/leap-into-2024-with-these-site-editor-tools/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:8226:\"<p>The Site Editor gives you a powerful way to visually create every part of your site and tell your story. It lets you handle everything from big stylistic changes to simple copy updates all in a single place. To help you make the most of this new way to WordPress, here are a few standout tools and features you’ll want to try.&nbsp;</p>\n\n\n\n<h3 class=\"wp-block-heading\">Command Palette</h3>\n\n\n\n<p>Think of the Command Palette as the ultimate shortcut tool, letting you do more with less clicks and without needing to remember where each option might be. It’s available across the editing experience, whether you’re switching between templates in the Site Editor or toggling open settings in the Post Editor, with specific contextual options depending on where you are.<strong> </strong>You can use the keyboard shortcut Cmd+K on Mac or Ctrl+K on Windows to activate it and get started.&nbsp;</p>\n\n\n\n<p>If you think of a command that doesn’t exist yet that would help with your workflow, open a <a href=\"https://github.com/WordPress/gutenberg/issues/new/choose\">feature request issue</a> so we can consider adding it.</p>\n\n\n\n\n\n\n\n<p class=\"is-style-default\"><a href=\"https://make.wordpress.org/core/2023/09/12/core-editor-improvement-commanding-the-command-palette/\"><em>Read more</em></a><em> about everything you can do with the Command Palette, including a </em><a href=\"https://wordpress.org/documentation/article/site-editor-command-palette/#list-of-available-commands\"><em>list of available commands</em></a><em>.&nbsp;</em></p>\n\n\n\n<h3 class=\"wp-block-heading\">Style Book</h3>\n\n\n\n<p>The Style Book helps you see all the blocks on your site as you style them. It’s built into the Styles section and can be toggled on/off as you’d like. This is especially useful when you’re aiming for design consistency for a client, trying to see how a change might impact a block that might not be visible, or wanting to get a different look at how a style variation will switch things up.</p>\n\n\n\n<p>Work is also underway for the next WordPress release to <a href=\"https://github.com/WordPress/gutenberg/pull/56800\">integrate the Style Book into Style revisions</a> to allow for an at-a-glance view of changes made. </p>\n\n\n\n\n\n\n\n<p><a href=\"https://learn.wordpress.org/tutorial/how-to-use-the-wordpress-stylebook-with-your-block-theme/\"><em>Learn more</em></a><em> about how best to use the Style Book.</em></p>\n\n\n\n<h3 class=\"wp-block-heading\">Styling shortcuts</h3>\n\n\n\n<p>Sometimes you get a design just right—the color contrast, the perfect padding, the exact font size. Instead of needing to manually recreate the design or copy/paste the block to fill in with new content, you have two powerful options built into the editing experience: copy/paste styles and apply styles globally for all instances of the desired block.&nbsp;</p>\n\n\n\n<p>Copying and pasting styles is perfect for more nuanced and smaller changes, like headings on a landing page that you intentionally want to be distinct. Applying changes globally is best for blocks like buttons and for changes that are likely to work well across layouts, like setting a specific border radius and color. This helps keep the creativity flowing and makes achieving design consistency across your site much easier.</p>\n\n\n\n\n\n\n\n<p><a href=\"https://make.wordpress.org/core/2023/02/01/core-editor-improvement-strengthening-style-options/\"><em>Read more</em></a><em> about the various styling options available.&nbsp;</em></p>\n\n\n\n<h3 class=\"wp-block-heading\">Distraction free mode</h3>\n\n\n\n<p>Just like an artist might need to take a few steps back to view their in-progress artwork, sometimes we need to get a different view of our site before diving back in. Distraction free offers you that alternate perspective with a pared-down experience that lets you focus purely on creating, like:</p>\n\n\n\n<ul>\n<li>Hiding the top toolbar until one intentionally hovers over where it typically sits.</li>\n\n\n\n<li>Removing many of the top toolbar buttons.</li>\n\n\n\n<li>Automatically closing any open sidebars, like block settings and list view.&nbsp;</li>\n\n\n\n<li>Hiding the insertion point indicator, reducing visual clutter.&nbsp;</li>\n\n\n\n<li>Hiding the block toolbar for individual blocks.</li>\n</ul>\n\n\n\n<p>It’s worth noting that this mode can be used when writing posts and pages too! For an added bonus and more views of your site, you can use the preview options to see how your site might look across different devices.</p>\n\n\n\n\n\n\n\n<p><a href=\"https://wordpress.org/documentation/article/distraction-free-mode/\"><em>Learn more</em></a><em> about making the most out of Distraction free mode.&nbsp;</em></p>\n\n\n\n<h3 class=\"wp-block-heading\">Patterns</h3>\n\n\n\n<p>Patterns are a collection of blocks that make it simple to add complex layouts and designs to any WordPress site without starting from scratch. They save time by reducing duplication and ensuring consistency. You can create your own, use theme-provided patterns, or <a href=\"https://wordpress.org/patterns/\">lean on the Pattern Directory</a>.&nbsp;</p>\n\n\n\n<p>You can also specify whether to sync your patterns so that one change applies to all parts of your site, or to keep them unsynced so you can customize each instance. For any patterns you create, you can assign categories to make them easy to find and organize. Use the Inserter with easy filtering options to add patterns to your content, and head to the dedicated Patterns section in the Site Editor to create or edit patterns to your liking.&nbsp;</p>\n\n\n\n\n\n\n\n<p><a href=\"https://learn.wordpress.org/tutorial/creating-your-own-custom-synced-or-non-synced-patterns/\"><em>Learn more</em></a><em> about creating patterns.&nbsp;</em></p>\n\n\n\n<h3 class=\"wp-block-heading\">List View</h3>\n\n\n\n<p>List View is the go-to tool for navigating between layers of your content, selecting exactly what you need, and getting a sense of how everything fits together. Similar to the Style Book and Distraction free mode, you can toggle it on/off as you’d like. It’s currently visible in the Top Toolbar and will remain open as you navigate through your site. Beyond providing a simple view of the layers of your site, there are more recent additions to List View that makes the tool even more powerful:</p>\n\n\n\n<ul>\n<li>See previews of your images for Image and Gallery blocks reflected in List View to make it easier to find what you need.</li>\n\n\n\n<li>The Escape key deselects blocks to make it easier to purely preview your content without any blocks selected.&nbsp;</li>\n\n\n\n<li>Lean on a keyboard shortcut for duplicating blocks quickly: CMD+Shift+D for Mac or Control + Shift + D for Windows.&nbsp;</li>\n\n\n\n<li>Drag and drop blocks at any level directly within List View.</li>\n\n\n\n<li>Rename Group blocks and have the custom name reflected in List View for improved organization.</li>\n</ul>\n\n\n\n<p>Here’s how a few of these improvements come together:</p>\n\n\n\n\n\n\n\n<p><a href=\"https://wordpress.org/documentation/article/list-view/\"><em>Learn more</em></a><em> about using List View. </em></p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity\" />\n\n\n\n<p>As you explore these tools, remember that, except for the Style Book, you can use these features when writing posts and pages too. Expect the Site Editor and other tools to evolve with each release. To get a sneak peek at what’s planned for the next major WordPress release in March, <a href=\"https://make.wordpress.org/core/2023/12/07/roadmap-to-6-5/\">check out the roadmap</a> and stay tuned. </p>\n\n\n\n<h3 class=\"wp-block-heading\">Subscribe to WordPress News</h3>\n\n\n\n<p>Join other subscribers and receive WordPress news directly in your inbox. </p>\n\n\n<div class=\"wp-block-jetpack-subscriptions__supports-newline wp-block-jetpack-subscriptions\">\n		<div>\n			<div>\n				<div>\n					<p>\n						<a href=\"https://wordpress.org/news/?post_type=post&p=16658\">Subscribe</a>\n					</p>\n				</div>\n			</div>\n		</div>\n	</div>\n\n\n<p><em>Thank you to the contributors who collaborated on this post: <a href=\"https://profiles.wordpress.org/eidolonnight/\">Nicholas Garofalo</a>, <a href=\"https://profiles.wordpress.org/laurlittle/\">Lauren Stein</a>, <a href=\"https://profiles.wordpress.org/joen/\">Joen Asmussen</a></em>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 28 Dec 2023 18:35:53 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:8:\"annezazu\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:35;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:71:\"Akismet: 20 Lead Generation Tips &amp; Best Practices That Work in 2024\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"http://akismet.com/?p=283573\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:65:\"https://akismet.com/blog/lead-generation-tips-and-best-practices/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:40655:\"<p>Does your team spend hours (or even days) creating content, optimizing your website, and investing in marketing campaigns only to fall short of your quarterly&nbsp;goals?</p>\n\n<p>You&#8217;re not alone. Lead generation is a constant challenge for businesses of all sizes and industries, but there&#8217;s a solution. A focused lead generation strategy attracts high&#8209;quality leads, converts them into customers, and ultimately grows your&nbsp;business.</p>\n\n<p>Here are 20 tried&#8209;and&#8209;proven lead generation tips and best practices that can up your game in 2024 and&nbsp;beyond.</p>\n\n\n<span id=\"more-283573\"></span>\n\n\n<h2 class=\"wp-block-heading\">1. Define your ideal customer profile&nbsp;(ICP)</h2>\n\n\n<p>An ideal customer profile (ICP) is an informative blueprint that outlines the specific characteristics and needs of the customers who stand to benefit the most from your product or service.&nbsp;</p>\n\n\n\n<p>ICPs cover aspects like demographics, and psychographics that offer a 360-degree view of your ideal customer&#8217;s persona. Insights into your target customer’s age, location, values, and desires help you create tailored strategies that resonate deeply with your audience.&nbsp;</p>\n\n\n<p>The result? Reduced marketing waste, satisfied customers, and greater return on investment&nbsp;(ROI).</p>\n\n<p>Here are some <a href=\"https://offers.hubspot.com/customer-profile-templates\" target=\"_blank\" rel=\"noreferrer noopener\">templates from HubSpot</a> to get&nbsp;started.</p>\n\n\n<img width=\"814\" height=\"626\" src=\"https://akismet455732288.files.wordpress.com/2023/12/image.png\" alt=\"customer profile template with information like demographics and behaviors\" class=\"wp-image-283577\" />\n\n\n<p>Targeted lead generation strategies that keep an ideal customer in mind are like precision tools that allow you to reach the right audience and speak directly to their unique&nbsp;worldview.</p>\n\n<h2 class=\"wp-block-heading\">2. Use market research to know your audience inside and&nbsp;out</h2>\n\n\n<p>Market research involves gathering, analyzing, and interpreting data and insights about your target audience, competitors, and industry trends to guide your lead generation strategy.&nbsp;</p>\n\n\n<p>Think surveys, focus groups, in&#8209;depth interviews, social media listening, and competitive analysis. These are just a few market research methods that provide nuggets into consumer behavior and&nbsp;preferences.</p>\n\n<p>Comprehensive market research pinpoints your target audience, the marketing channels they use, and what they’re interested&nbsp;in.</p>\n\n<p>Some tips on conducting market&nbsp;research:</p>\n\n\n<ul><li><strong>Define clear objectives</strong>. Set specific research objectives. Determine what you want to learn about your audience, competitors, and industry trends to get focused and actionable&nbsp;results.</li>\n\n<li><strong>Use multiple methods</strong>. Combine multiple methods to get a more holistic view of your&nbsp;audience.</li>\n\n\n<li><strong>Segment your audience</strong>. Divide your target audience into segments based on demographics, psychographics, or other relevant criteria.&nbsp;</li>\n\n\n<li><strong>Engage your audience</strong>. Encourage customer feedback and reviews. Engaging with your audience through surveys or feedback shows you value their&nbsp;opinions.</li>\n\n<li><strong>Evaluate competitors</strong>. Study your competitors to understand their strengths and weaknesses. Identify gaps in the market that your product or service fills, and use this knowledge to differentiate&nbsp;yourself.</li></ul>\n\n\n<h2 class=\"wp-block-heading\">3. Solve problems and attract leads with valuable blog&nbsp;content</h2>\n\n<p>Create blog content that answers your target audience&#8217;s questions and builds trust and authority. This content positions your brand as a reliable source of valuable information, driving leads to your&nbsp;website.</p>\n\n<p>Blogging is powerful — most respondents in a <a href=\"https://www.orbitmedia.com/blog/blogging-statistics/\" target=\"_blank\" rel=\"noreferrer noopener\">survey</a> reported that it drives results like website traffic, brand awareness, and, of course, lead&nbsp;generation.</p>\n\n\n<img width=\"1200\" height=\"600\" src=\"https://akismet455732288.files.wordpress.com/2023/12/image-1.png\" alt=\"pie chart that shows 80% of bloggers are driving results in 2023\" class=\"wp-image-283578\" />\n\n\n<p>Not sure where to start? Create valuable blog content with these&nbsp;tips:</p>\n\n\n<ul><li><strong>Use research to back it up</strong>. Support your content with data and research from credible sources. You gain authority and credibility this&nbsp;way.</li>\n\n<li><strong>Make it product&#8209;led, but not sales&#8209;y</strong>. Address your audience&#8217;s pain points and questions while subtly showcasing how your product or service can fit into a solution. The focus should be on providing the solutions, not a hard sell of your&nbsp;offer.</li>\n\n<li><strong>Keep the call to action (CTA) subtle</strong>. Guide readers to take action in a friendly and non&#8209;intrusive way. Use CTAs that spark engagement, like inviting them to read more content on your&nbsp;blog.</li>\n\n<li><strong>Use stories and examples</strong>. Incorporate real&#8209;life stories and examples that illustrate the points you&#8217;re making. Your content will be more relatable and easier to&nbsp;understand.</li>\n\n<li><strong>Solve specific problems</strong>. Focus on solving one or two specific problems in each blog post rather than trying to cover too much ground. Reading becomes more enjoyable and in&#8209;depth as a&nbsp;result.</li></ul>\n\n\n<p>Content marketing is one of the most proven lead generation best practices. It consistently delivers strong results and can be used in a variety of ways. If this isn’t yet a priority, consider making it one in the near&nbsp;future.</p>\n\n<h2 class=\"wp-block-heading\">4. Use lead magnets and gated content to capture&nbsp;leads</h2>\n\n<p>Have you ever seen one of those pop&#8209;up offers promising you a valuable resource like an eBook, report, webinar, or template in exchange for your email address? Those are lead&nbsp;magnets.</p>\n\n\n<img width=\"1600\" height=\"833\" src=\"https://akismet455732288.files.wordpress.com/2023/12/image-2.png\" alt=\"WordPress VIP lead capture with a form and CTA to read a report\" class=\"wp-image-283579\" />\n\n\n\n<p>Lead magnets and gated content act as friendly invitations for your audience to exchange their contact information for something of value.&nbsp;</p>\n\n\n<p>Offering relevant and informative resources captures quality leads and shows your willingness to provide solutions. You can then use the data to send targeted offers and build a relationship with your&nbsp;audience.</p>\n\n\n<p>Make sure your lead magnet is high-quality, is relevant to your audience, and aligns with your overall content strategy.&nbsp;</p>\n\n\n<p>Design the lead magnet and pitch your gated content in a way that provides value to the reader, not as a pushy sales&nbsp;tactic.</p>\n\n\n<h2 class=\"wp-block-heading\">5. Reduce friction on your lead capture forms&nbsp;</h2>\n\n\n<p>Simplify the information you request from potential leads. It reduces the time and effort required for users to submit their information. The result is a better experience that results in higher conversion&nbsp;rates.</p>\n\n<p>Here’s what a lead gen form looks like from&nbsp;Litmus:</p>\n\n\n<img width=\"1067\" height=\"879\" src=\"https://akismet455732288.files.wordpress.com/2023/12/image-3.png\" alt=\"lead capture from Litmus with a form that includes email, name, job title, and a few other fields\" class=\"wp-image-283580\" />\n\n\n<p>Include this information in your lead capture&nbsp;form:</p>\n\n\n<ul><li><strong>Name</strong>. Ask for the visitor&#8217;s first name to personalize your&nbsp;communication.</li>\n\n\n<li><strong>Email address</strong>. This is the most crucial information for contact and follow-up.&nbsp;</li>\n</ul>\n\n\n\n<p>You could end your form right here and likely get the maximum conversion rate possible. However, the effectiveness of your campaigns that follow this lead capture may hinge upon knowing a bit more about the visitor to segment communications.&nbsp;</p>\n\n\n\n<p>If this is the case, you may consider asking a few more questions, like:&nbsp;</p>\n\n\n\n<ul><li><strong>Company name (if applicable)</strong>. The user&#8217;s company helps sales reps understand how to approach a lead and can provide you with better data about who’s responding to your&nbsp;offers.</li>\n\n<li><strong>Job title (if applicable)</strong>. The user&#8217;s role within their company is valuable for segmenting and tailoring your&nbsp;messaging.</li>\n\n\n<li><strong>Location (optional)</strong>. The location is useful for regional targeting or understanding your audience better.&nbsp;</li>\n\n\n<li><strong>Industry or interest (if applicable)</strong>. If your lead generation efforts are specific to certain industries or interests (or even product lines), include a dropdown menu or checkboxes for users to select from to tailor your&nbsp;communication.</li>\n\n<li><strong>How they heard about you (optional)</strong>. Understand how users discovered your brand to get insights into your marketing channels&#8217;&nbsp;performance.</li></ul>\n\n\n\n<h2 class=\"wp-block-heading\">6. Replace CAPTCHA with an AI anti-spam solution&nbsp;</h2>\n\n\n\n<p>CAPTCHAs are those annoying puzzles or tests you often come across online that require you to prove you&#8217;re not a robot by solving them.&nbsp;</p>\n\n\n\n<p>These <em>do </em>serve an important purpose, however. Anti-spam solutions stop unwanted or malicious content or actions, like spam comments and emails, from infiltrating websites.&nbsp;</p>\n\n\n<p>Unfortunately, CAPTCHAs lead to a poor user experience and potential drop&#8209;offs from your most important visitors. A study shows that <a href=\"https://www.cnbc.com/2022/12/17/why-annoying-captcha-is-still-big-for-google-e-commerce-in-bot-battle.html\">19% of adults</a> in the United States abandoned online transactions in 2021 when CAPTCHAs&nbsp;appeared.</p>\n\n\n<p><a href=\"https://akismet.com/\">Akismet is a powerful anti-spam service</a> that detects and blocks spam comments, form submissions, and other unwanted interactions <strong>without requiring users to complete a puzzle, check a box, or jump through a hoop</strong>. Its <a href=\"https://akismet.com/features/\">key features</a> include real-time spam detection, comment moderation, protection against harmful links, and the ability to learn and adapt to new spam patterns.&nbsp;</p>\n\n\n\n<img width=\"1600\" height=\"824\" src=\"https://akismet455732288.files.wordpress.com/2023/12/image-4.png\" alt=\"Akismet website with information about the zero-friction tool\" class=\"wp-image-283581\" />\n\n\n<p>Visitors find a trustworthy and safe environment on your website thanks to these features. It creates a positive user experience, increases engagement, and improves the chances of converting visitors into&nbsp;leads.</p>\n\n<h2 class=\"wp-block-heading\">7. Let prospects test your product with free trials or&nbsp;demos</h2>\n\n\n<p>Free trials or demos give prospects a taste of your tool by allowing them to experience its features and benefits firsthand before making a commitment. Types of free trials include:&nbsp;</p>\n\n\n\n<ul><li><strong>Limited&#8209;time trial</strong>. Users access the full product for a limited period, after which they subscribe or&nbsp;purchase.</li>\n\n<li><strong>Feature&#8209;limited trial</strong>. Users can access the product&#8217;s basic features for free but upgrade to access advanced&nbsp;functionalities.</li>\n\n<li><strong>Demo or guided tour</strong>. Prospects get a walkthrough of the product&#8217;s capabilities, often with a sales representative explaining its&nbsp;value.</li></ul>\n\n\n\n<p>Jetpack’s AI Assistant, <a href=\"https://jetpack.com/ai/\" target=\"_blank\" rel=\"noreferrer noopener\">an AI writing tool</a> built directly into the WordPress editor, offers a variation of the limited-time trial using credits.&nbsp;</p>\n\n\n\n<img width=\"1600\" height=\"740\" src=\"https://akismet455732288.files.wordpress.com/2023/12/image-5.png\" alt=\"plan options for Jetpack AI\" class=\"wp-image-283582\" />\n\n\n\n<p>This is a strong offer because it explains the benefit right in the first sentence, “Try our AI Assistant for free to <strong>boost your content creation.</strong>”&nbsp;</p>\n\n\n\n<p>They’re also transparent about long-term pricing with the paid information directly next to the free trial breakdown.&nbsp;</p>\n\n\n<p>The goal is to make prospects feel comfortable, informed, and excited about your product during this phase. Think about ways you can adjust your trials or language to feel safer for&nbsp;prospects.</p>\n\n<h2 class=\"wp-block-heading\">8. Showcase your value proposition with compelling case&nbsp;studies</h2>\n\n\n<p>A value proposition is a clear statement that explains how your product or service solves a specific problem or fulfills a need for your target audience.&nbsp;</p>\n\n\n\n<p>SaaS marketers often use case studies to boost sales. Why? Because they provide real-world examples of how your solution addresses similar challenges for other customers. They work as social proof.&nbsp;</p>\n\n\n<p>Here’s a case study from&nbsp;Mailchimp:</p>\n\n\n<img width=\"851\" height=\"688\" src=\"https://akismet455732288.files.wordpress.com/2023/12/image-6.png\" alt=\"case study page from Mailchimp with a video\" class=\"wp-image-283583\" />\n\n\n\n<p>The video immediately makes the case study personal.&nbsp;</p>\n\n\n\n<p>The case study also highlights stats and customer quotes, which further increase its perceived authority.&nbsp;</p>\n\n\n\n<img width=\"1081\" height=\"465\" src=\"https://akismet455732288.files.wordpress.com/2023/12/image-7.png\" alt=\"Mailchimp landing page with stats and testimonials\" class=\"wp-image-283584\" />\n\n\n<p>It’s also skimmable. Mailchimp breaks down the case study with headers like “The challenge” and “The tools”. The word length also falls just under 1,000&nbsp;words.</p>\n\n<p>Balancing emotions and hard data in case studies connects with the audience while providing compelling evidence to back up your value&nbsp;proposition.</p>\n\n<h2 class=\"wp-block-heading\">9. Turn satisfied customers into brand&nbsp;advocates</h2>\n\n\n<p>Convert happy customers into brand advocates by using their positive experiences to spread the word about your brand through recommendations, reviews, and social sharing.&nbsp;</p>\n\n\n\n<p>Your existing customers are a powerful source of credibility and influence. This approach works for lead generation because it taps into the trustworthiness of online reviews — <a href=\"https://www.brightlocal.com/research/local-consumer-review-survey/\" target=\"_blank\" rel=\"noreferrer noopener\">46% of consumers</a> consider them as reliable as personal recommendations from friends or family.&nbsp;</p>\n\n\n<p>Want to encourage&nbsp;reviews?</p>\n\n<p>Try sending a reminder email to encourage people to leave reviews. Make the process as simple as possible. For example, you might include a button that navigates directly to the review&nbsp;form.</p>\n\n<p>You could also incentivize customers by allowing them to enter a drawing to win a $100&nbsp;voucher.</p>\n\n\n<p>Once customers leave reviews, repurpose them as posts on social media platforms.&nbsp;</p>\n\n\n\n<h2 class=\"wp-block-heading\">10. Create a referral program&nbsp;</h2>\n\n\n\n<p>Referral programs are systems where brands reward existing customers for recommending a product or service to others.&nbsp;</p>\n\n\n<p>People trust recommendations from friends and family members, so word&#8209;of&#8209;mouth marketing can lead to higher conversion rates and improved brand&nbsp;loyalty.</p>\n\n\n<p>PayPal, for example, has a popular referral program.&nbsp;</p>\n\n\n\n<img width=\"1223\" height=\"817\" src=\"https://akismet455732288.files.wordpress.com/2023/12/image-8.png\" alt=\"landing page about PayPal\'s referral program\" class=\"wp-image-283585\" />\n\n\n<p>If you refer it to someone, you and they earn $10. It’s a win&#8209;win situation — you get up to $100, and PayPal gets more&nbsp;customers.</p>\n\n\n<p>But a referral program only works well if you offer the right incentives.&nbsp;</p>\n\n\n<p><a href=\"https://info.saasquatch.com/rs/162-BJJ-156/images/StateOfReferralMarketing-SaaSquatch-V1.pdf\" target=\"_blank\" rel=\"noreferrer noopener\">Research</a> shows that dollar credit is the most common referral program reward type, used in over 50% of programs for promoters and referred friends. Other incentives include percent discounts, gift cards, subscription time, cash, and&nbsp;points.</p>\n\n<h2 class=\"wp-block-heading\">11. Invest in user&#8209;generated content to build&nbsp;credibility</h2>\n\n<p>User&#8209;generated content (UGC) is any content created by unpaid contributors — typically customers or users — rather than the brand&nbsp;itself.</p>\n\n\n<p>UGC works well — <a href=\"https://715411.fs1.hubspotusercontent-na1.net/hubfs/715411/TINT%20-%20Downloads/State_of_Social_and_UGC_2023_TINT.pdf\" target=\"_blank\" rel=\"noreferrer noopener\">research</a> shows that prospective customers consider it the most trustworthy content.&nbsp;</p>\n\n\n<p>Why? UGC highlights genuine insights and experiences to create a sense of credibility and&nbsp;reliability.</p>\n\n\n<p>Chipotle’s entire social feed, for example, is full of UGC.&nbsp;</p>\n\n\n\n<img width=\"739\" height=\"1600\" src=\"https://akismet455732288.files.wordpress.com/2023/12/image-9.png\" alt=\"Chipotle Instagram account featuring lots of user-generated content\" class=\"wp-image-283586\" />\n\n\n<p>Three ways to generate&nbsp;UGC:</p>\n\n\n<ul><li><strong>Run a giveaway or contest</strong>. A contest encourages customers to share their experiences with your product or service in exchange for a chance to win a prize. It builds engagement and highlights real user satisfaction and&nbsp;enthusiasm.</li>\n\n<li><strong>Use a branded hashtag</strong>. Branded hashtags invite customers to share their content. These hashtags make UGC easily discoverable, increasing its reach and&nbsp;impact.</li>\n\n<li><strong>Collaborate with creators and influencers</strong>. Content creators and influencers help your UGC reach a broader audience. These individuals often have dedicated and engaged followers who trust their recommendations and&nbsp;experiences.</li></ul>\n\n\n<h2 class=\"wp-block-heading\">12. Use social listening to engage with potential&nbsp;leads</h2>\n\n\n<p>Social listening involves monitoring social media channels and online platforms to track and analyze conversations, mentions, and trends related to your brand or industry in real-time.&nbsp;</p>\n\n\n\n<p>People now spend an average of <a href=\"https://www.statista.com/statistics/433871/daily-social-media-usage-worldwide/\" target=\"_blank\" rel=\"noreferrer noopener\">two and a half hours</a> on social media every day.&nbsp;</p>\n\n\n\n<img width=\"730\" height=\"466\" src=\"https://akismet455732288.files.wordpress.com/2023/12/image-10.png\" alt=\"graph showing minutes per day spent on social media over an 11-year span\" class=\"wp-image-283587\" />\n\n\n<p>Social listening allows you to tune in to conversations, identify leads, and engage with potential customers you might have otherwise&nbsp;missed.</p>\n\n\n<p>Set up alerts to receive notifications about specific keywords or mentions. Social listening also gives you more visibility into brand sentiment.&nbsp;</p>\n\n\n<p>The result is a more proactive approach in your lead generation process — you can respond quicker, initiate conversations, and nurture potential leads through proactive&nbsp;engagement.</p>\n\n<h2 class=\"wp-block-heading\">13. Expand your reach with cross&#8209;promotion&nbsp;partnerships</h2>\n\n<p>Cross&#8209;promotion partnerships, also known as brand collaborations, are two brands joining forces to promote each other. These partnerships are powerful because they introduce your brand to a new audience that&#8217;s likely to already be interested in what you&nbsp;offer.</p>\n\n\n<p>Let&#8217;s say you sell fitness gear, and you team up with a healthy snack brand.&nbsp;</p>\n\n\n\n<p>Both kinds of products are used by people interested in improving their health.&nbsp;</p>\n\n\n\n<p>Your fitness-loving customers might discover those tasty snacks, and their snack fans might want your awesome gear. These collaborations boost both brands’ visibility and trustworthiness.&nbsp;</p>\n\n\n<h2 class=\"wp-block-heading\">14. Use influencer marketing to reach new&nbsp;audiences</h2>\n\n<p>Collaborate with individuals who have a significant and engaged following in your niche or industry to tap into their established audience and&nbsp;credibility.</p>\n\n<p><a href=\"https://influencermarketinghub.com/ebooks/Influencer_Marketing_Benchmark_Report_2022.pdf\" target=\"_blank\" rel=\"noreferrer noopener\">90% of respondents</a> in a survey consider influencer marketing to be&nbsp;effective.</p>\n\n\n<p>Skincare brand, La Roche Posay, for example, collaborates with Dr. Mamina Turegano, MD, a TikTok influencer and certified dermatologist.&nbsp;</p>\n\n\n\n<img width=\"739\" height=\"1600\" src=\"https://akismet455732288.files.wordpress.com/2023/12/image-11.png\" alt=\"TikTok video of a collaboration between a doctor and skincare brand\" class=\"wp-image-283588\" />\n\n\n\n<p><a href=\"https://vm.tiktok.com/ZGJwVy6yb/\">Source</a></p>\n\n\n<p>Dr. Marina&#8217;s expertise adds a lot of authority to the content, making it a powerful tool in reaching and engaging a specific&nbsp;audience.</p>\n\n\n<p>Her content is not just promotional —&nbsp;she delivers real value to her followers and backs up her advice with knowledge and experience.</p>\n\n\n<p>Collaborate with influencers who fit your brand and resonate with your audience for better&nbsp;results.</p>\n\n<h2 class=\"wp-block-heading\">15. Host a virtual summit to build thought&nbsp;leadership</h2>\n\n\n<p>Virtual summits are online events where experts share insights on a specific topic over multiple sessions or days.&nbsp;</p>\n\n\n<p>These events establish credibility, build trust, and increase industry authority, positioning you as a go&#8209;to source for information and&nbsp;solutions.</p>\n\n<p>Adobe Summit, for example, is a hybrid virtual summit for customers who use Adobe&#8217;s digital experience&nbsp;tools.</p>\n\n\n<img width=\"1134\" height=\"940\" src=\"https://akismet455732288.files.wordpress.com/2023/12/image-12.png\" alt=\"Adobe Summit landing page with information about the event\" class=\"wp-image-283589\" />\n\n\n\n<p>When hosting a virtual summit, follow Adobe&#8217;s lead by inviting authoritative speakers who are experts in your field.&nbsp;</p>\n\n\n\n<img width=\"1600\" height=\"1393\" src=\"https://akismet455732288.files.wordpress.com/2023/12/image-13.png\" alt=\"Adobe Summit page with information keynotes\" class=\"wp-image-283590\" />\n\n\n\n<p>Promote the event well in advance. Adobe, for example, promotes the summit at least six months ahead of time. This builds anticipation and attracts a larger audience.&nbsp;</p>\n\n\n<p>Also, they provide sneak peeks of the sessions, allowing their audience to gauge whether the summit is worth&nbsp;attending.</p>\n\n\n<img width=\"800\" height=\"625\" src=\"https://akismet455732288.files.wordpress.com/2023/12/image-14.png\" alt=\"list of sessions from Adobe Summit\" class=\"wp-image-283591\" />\n\n\n\n<p>To make sure virtual summits help you get new leads, use smart tactics like sign-up forms, materials people can download, and chances for attendees to connect with each other.&nbsp;</p>\n\n\n\n<p>These tricks help you collect info and generate leads from attendees and keep these prospects engaged even after the summit.&nbsp;</p>\n\n\n<h2 class=\"wp-block-heading\">16. Create a podcast series to showcase your&nbsp;expertise</h2>\n\n<p>Podcasts are the new frontier for brand visibility and engagement. Currently, <a href=\"https://www.edisonresearch.com/the-infinite-dial-2021-2/\" target=\"_blank\" rel=\"noreferrer noopener\">38% of Americans</a> over age 12 —109 million people — listen to podcasts monthly. They provide a unique platform to share insights, connect with audiences, and establish authority in a format that&#8217;s both convenient and increasingly&nbsp;popular.</p>\n\n<p>Bloomberg, for example, has a podcast that focuses on financial and economic insights. It positions the brand as a trusted source for expert analysis and helps it stay connected with its&nbsp;audience.</p>\n\n\n<img width=\"1798\" height=\"878\" src=\"https://akismet455732288.files.wordpress.com/2023/12/image12.png\" alt=\"Bloomburg Masters in Business podcast\" class=\"wp-image-283592\" />\n\n\n<p>Here are some tips for creating an engaging podcast&nbsp;series:</p>\n\n\n<ul><li>Focus on a specific topic or niche that aligns with your brand&#8217;s expertise and target audience&#8217;s&nbsp;interests.</li>\n\n<li>Outline episodes, create a content calendar, and build a consistent posting&nbsp;schedule.</li>\n\n<li>Share your podcast episodes on social media, your website, and through email marketing to reach a wider&nbsp;audience.</li>\n\n<li>Invite industry experts or guests relevant to your niche to provide diverse&nbsp;perspectives.</li>\n\n<li>Optimize your podcast titles, descriptions, and keywords to improve discoverability on podcast&nbsp;platforms.</li>\n\n<li>Maintain a regular publishing schedule, so your audience knows when to expect content and what each episode will&nbsp;include.</li></ul>\n\n\n<p>A podcast is a great way to establish your brand&#8217;s authority, connect with your audience, and tap into the growing&nbsp;trend.</p>\n\n<h2 class=\"wp-block-heading\">17. Use webinars to educate and engage potential&nbsp;leads</h2>\n\n\n<p>Webinars are online seminars or workshops that allow you to present information, interact with your audience in real time, and provide valuable education on a specific topic or subject.&nbsp;</p>\n\n\n<p>A study by the Content Marketing Institute showed that <a href=\"https://contentmarketinginstitute.com/wp-content/uploads/2022/10/b2b-2023-research-final.pdf\" target=\"_blank\" rel=\"noreferrer noopener\">47% of B2B marketers</a> said webinars produced the best results in 2021. It’s easy to see why: they offer an interactive learning experience and encourage engagement which builds your authority and relationship with potential&nbsp;leads.</p>\n\n<p>AI&#8209;powered content tool, Clearscope, for example, hosts regular webinars with industry&nbsp;experts.</p>\n\n\n<img width=\"895\" height=\"853\" src=\"https://akismet455732288.files.wordpress.com/2023/12/image-15.png\" alt=\"Clearscope webinars list on their website\" class=\"wp-image-283593\" />\n\n\n<p>Here are some tips on getting webinars&nbsp;right:</p>\n\n\n<ul><li><strong>Choose relevant topics</strong>: Focus on topics that address your audience&#8217;s challenges and interests to ensure engagement and&nbsp;relevance.</li>\n\n<li><strong>Create an interactive Q&amp;A session</strong>. Include interactive Q&amp;A sessions to encourage audience participation and address their specific&nbsp;queries.</li>\n\n<li><strong>Invite experts</strong>. Collaborate with industry experts or influencers to lend credibility and attract a wider&nbsp;audience.</li>\n\n\n<li><strong>Promote it</strong>. Promote your webinar on social and through email.&nbsp;</li>\n\n\n<li><strong>Follow up</strong>. Follow up with attendees and provide additional resources or offers to guide leads further down the sales&nbsp;funnel.</li></ul>\n\n\n<h2 class=\"wp-block-heading\">18. Engage and qualify leads with live chat operators and&nbsp;bots</h2>\n\n\n<p>Live chat operators and bots qualify leads by having conversations with website visitors.&nbsp;</p>\n\n\n\n<p>They ask questions to figure out if a visitor is a good fit for your product or service. If they are, the bots send those leads to the right place for follow-up.&nbsp;</p>\n\n\n<p>Lead qualification ensures you focus your sales and marketing efforts on individuals who are genuinely interested and likely to convert into paying customers. A strong focus increases efficiency and increases conversion&nbsp;rates.</p>\n\n<p>Tailor bots with specific filters and ask relevant questions. Qualifying questions&nbsp;include:</p>\n\n\n<ul><li>What brings you to our website&nbsp;today?</li>\n\n<li>Are you looking for a specific product or&nbsp;service?</li>\n\n<li>What is your marketing budget or price&nbsp;range?</li>\n\n<li>When do you plan to make a decision or&nbsp;purchase?</li>\n\n<li>Have you used similar products/services&nbsp;before?</li>\n\n<li>Do you have any specific requirements or&nbsp;preferences?</li></ul>\n\n\n<h2 class=\"wp-block-heading\">19. Use retargeting to bring back lost&nbsp;leads</h2>\n\n\n<p>Retargeting involves displaying tailored advertisements to individuals who’ve previously visited your website or engaged with your brand but didn&#8217;t take the desired action.&nbsp;</p>\n\n\n<p>It reminds potential customers of their initial interest and gives them a second chance to convert, ultimately improving conversion rates and&nbsp;ROI.</p>\n\n\n<p>Suppose you visit Old Navy&#8217;s website, browse through some clothing items, but leave without making a purchase. Later, you start seeing Old Navy ads showing the exact items you looked at.&nbsp;</p>\n\n\n\n<img width=\"585\" height=\"602\" src=\"https://akismet455732288.files.wordpress.com/2023/12/image-16.png\" alt=\"retargeting ad from Old Navy\" class=\"wp-image-283594\" />\n\n\n<p>That&#8217;s retargeting in action — it gives you a nudge to come back and complete your purchase. It&#8217;s a smart lead gen strategy to re&#8209;engage lost prospects and turn potential customers into actual&nbsp;ones.</p>\n\n<p>Retargeting only works when you don’t overdo it. Strike a balance and provide relevant, personalized content that genuinely reconnects with the audience&#8217;s interests and&nbsp;needs.</p>\n\n<h2 class=\"wp-block-heading\">20. Target key decision makers with account&#8209;based&nbsp;advertising</h2>\n\n<p>An account&#8209;based marketing strategy creates customized lead generation campaigns just for important leads to win their&nbsp;business.</p>\n\n\n<p>A targeted focus leads to optimal use of resources, a direct link to key decision makers, and increased chances of landing big deals.&nbsp;</p>\n\n\n<p><a href=\"https://www.gartner.ca/en/sales/insights/b2b-buying-journey\" target=\"_blank\" rel=\"noreferrer noopener\">Gartner’s research</a> shows that the typical buying group for a complex B2B solution involves six to ten decision makers. Account&#8209;based advertising targets these decision makers with specific ads and messages to address their unique needs and&nbsp;concerns.</p>\n\n<p>Here’s an example of an Indeed ad that targets decision makers at&nbsp;Pepsi:</p>\n\n\n<img width=\"1202\" height=\"624\" src=\"https://akismet455732288.files.wordpress.com/2023/12/image-17.png\" alt=\"ad from Indeed targeting Pepsi employees\" class=\"wp-image-283595\" />\n\n\n<p>So, how do you create ads that speak to these&nbsp;individuals?</p>\n\n<p>Start with their challenges. Understand what keeps them up at night and tailor your messaging to provide solutions to these issues. Focus on the benefits of your product or service that directly address their&nbsp;concerns.</p>\n\n<h2 class=\"wp-block-heading\">What about lead conversion? What are proven best&nbsp;practices?</h2>\n\n\n<p>You&#8217;ve attracted leads to your business —&nbsp;what now? Focus on converting these leads into loyal customers. Here are some best practices to maximize your lead conversion rate:</p>\n\n\n<h3 class=\"wp-block-heading\">1. Follow up with leads to maintain their&nbsp;interest</h3>\n\n\n<p>Following up with leads reminds them about your business and shows you care about their needs. Persistence matters — studies suggest it can take <a href=\"https://www.wordstream.com/blog/ws/2021/03/18/how-to-follow-up-with-sales-leads\">seven to ten interactions</a> for a lead to become a customer.&nbsp;</p>\n\n\n<p>When sending follow&#8209;up emails, keep them brief, upbeat, and focused on offering something valuable to the lead. Short and positive messages ensure your communication stays engaging and increase the chances of turning leads into loyal&nbsp;customers.</p>\n\n<h3 class=\"wp-block-heading\">2. Develop a lead scoring system to prioritize&nbsp;leads</h3>\n\n\n<p>A lead scoring system is a method of evaluating and ranking leads based on their level of interest and likelihood to convert into customers. You identify the best prospects by assigning numerical values to different attributes and behaviors.&nbsp;</p>\n\n\n\n<p>You focus your efforts and resources on leads with the highest conversion potential with this system.&nbsp;</p>\n\n\n<p>Scoring leads allows you to optimize your time and resources and maximize your return on investment. Consider these lead scoring&nbsp;tips:</p>\n\n\n<ul><li><strong>Set thresholds</strong>. Define specific criteria a lead must meet to be considered &#8220;sales ready,&#8221; like a minimum score indicating high interest or&nbsp;engagement.</li>\n\n<li><strong>Establish rules</strong>. Create rules for how leads are scored based on actions, like opening emails, visiting pricing pages, or downloading&nbsp;resources.</li>\n\n<li><strong>Assign points</strong>. Assign numerical values to different lead behaviors, with higher scores for actions that show stronger interest or intent to&nbsp;purchase.</li>\n\n<li><strong>Review and adjust</strong>. Monitor and refine your lead scoring system as you gather more data and insights to ensure&nbsp;accuracy.</li>\n\n<li><strong>Collaborate with sales</strong>. Establish what constitutes a qualified lead and adjust scoring criteria accordingly to improve lead handoffs and&nbsp;conversions.</li></ul>\n\n\n<h3 class=\"wp-block-heading\">3. Use a CRM to manage and track your&nbsp;leads</h3>\n\n\n<p>A customer relationship management (CRM) tool, like <a href=\"https://jetpackcrm.com/\">Jetpack CRM</a>, is your go-to for staying organized with leads. It keeps all lead info in one place, simplifies communication, and automates tasks.&nbsp;</p>\n\n\n\n<img width=\"1600\" height=\"784\" src=\"https://akismet455732288.files.wordpress.com/2023/12/image-18.png\" alt=\"Jetpack CRM homepage with the text \" />\n\n\n\n<p>With Jetpack CRM, sort and track leads, follow their interactions, and watch their journey closely. This makes it easier to give them personalized attention, prioritize who to reach out to, and nurture leads. Plus, it provides smart data to make decisions that boost your chances of converting prospects into loyal customers.&nbsp;</p>\n\n\n<h3 class=\"wp-block-heading\">4. Implement email marketing to nurture&nbsp;leads</h3>\n\n\n<p>Stay in touch with potential customers through email marketing and provide them with valuable content, updates, and offers that keep your brand top of mind.&nbsp;</p>\n\n\n\n<p>Delivering tailored messages at the right time guides leads through the buying journey and builds trust.&nbsp;</p>\n\n\n<p>Divide your leads into groups based on interests, behaviors, or demographics to send relevant content to each segment. Use personalization techniques to address leads by name and tailor content to their needs and&nbsp;preferences.</p>\n\n<p>Develop informative and engaging content that addresses your leads&#8217; pain points and interests. You can offer blog posts, eBooks, webinars, or exclusive offers. Set up automated email sequences that deliver a series of messages over time. Gradually introduce leads to your brand, products, and&nbsp;services.</p>\n\n<p>Focus on solving problems and providing value in your emails. Show leads how your offerings benefit them with success stories, testimonials, and case&nbsp;studies.</p>\n\n<h3 class=\"wp-block-heading\">5. Use customer feedback to improve your sales&nbsp;process</h3>\n\n<p>Gather feedback from customers through surveys, reviews, and direct communication. Encourage honest opinions about their experience with your sales team and product. Here&#8217;s how to make the most of the feedback you&nbsp;get:</p>\n\n\n<ul><li><strong>Analyze responses</strong>. Review the feedback to identify recurring themes, issues, or areas for improvement. Look for patterns in what customers appreciate and where they face&nbsp;challenges.</li>\n\n<li><strong>Prioritize feedback</strong>. Categorize feedback into critical issues that need immediate attention and areas for long&#8209;term improvement. This ensures you tackle the most pressing concerns&nbsp;first.</li>\n\n<li><strong>Adjust your sales approach</strong>. Based on feedback, refine your approach. Train your sales team to address common concerns and&nbsp;objections.</li></ul>\n\n\n<h3 class=\"wp-block-heading\">6. Follow up with customers to encourage repeat business and&nbsp;referrals</h3>\n\n\n<p>Stay in touch with your customers to build an ongoing relationship. A thank-you message after their purchase and asking how their experience was is always a great place to start.&nbsp;</p>\n\n\n<p>Also, keep them in the loop by letting them know about any new deals or products. If they have questions or issues, provide excellent support. Encourage them to refer friends by offering rewards and making it simple. Staying connected and showing appreciation keeps your customers loyal and earns new ones through their&nbsp;recommendations.</p>\n\n<h2 class=\"wp-block-heading\">Frequently asked&nbsp;questions</h2>\n\n<h3 class=\"wp-block-heading\">What are some common lead generation mistakes to&nbsp;avoid?</h3>\n\n\n<p>Common lead generation mistakes include not defining your target audience, neglecting data quality, and relying on a single lead generation channel. Failing to nurture leads, ignoring customer feedback, and neglecting mobile optimization can also hinder success.&nbsp;</p>\n\n\n<p>Make sure you measure and analyze your lead generation efforts so you can optimize them. Don&#8217;t forget personalization and adapt to evolving trends. Lead generation is more effective when you avoid these&nbsp;mistakes.</p>\n\n<h3 class=\"wp-block-heading\">How can I improve my lead capture forms to maximize&nbsp;conversions?</h3>\n\n<p>Streamline the form by keeping it concise and requesting only essential information. Use a clear and compelling call&#8209;to&#8209;action (CTA) that conveys value and implement autofill and smart form features to reduce user effort. It’s also a good idea to A/B test different form layouts and CTA text to identify what resonates best with your audience.&nbsp;</p>\n\n<p>Lastly, reassure users about data security and provide social proof, like trust badges or testimonial snippets, to boost confidence. Regularly analyze form performance and iterate based on insights to optimize for higher&nbsp;conversions.</p>\n\n<h3 class=\"wp-block-heading\">Should I use CAPTCHA on lead capture&nbsp;forms?</h3>\n\n<p>No, using traditional CAPTCHA can frustrate users and reduce conversion rates. Instead, use AI&#8209;driven anti&#8209;spam solutions like Akismet. This powerful tool filters out spam submissions while providing a seamless experience for genuine users. It also helps you maintain the security of your forms without subjecting users to the inconvenience and frustration of&nbsp;CAPTCHA.</p>\n\n<h3 class=\"wp-block-heading\">What is Akismet, and how can it help with form conversion&nbsp;rates?</h3>\n\n<p>Akismet is an AI&#8209;powered anti&#8209;spam solution. It improves form conversion rates by filtering out spam submissions, ensuring you capture only legitimate leads. Eliminating CAPTCHA challenges streamlines the lead capture process and creates a user&#8209;friendly and frictionless experience. With fewer barriers, visitors are more likely to fill out forms, resulting in higher conversion&nbsp;rates.</p>\n\n<h3 class=\"wp-block-heading\">What types of companies generally use&nbsp;Akismet?</h3>\n\n<p>Akismet is a trusted choice for a wide range of companies, from small businesses and bloggers to ecommerce sites and <a href=\"https://akismet.com/enterprise/\">large enterprises</a>. Over 100 million sites use it to combat spam, making it a go&#8209;to solution. Microsoft, <a href=\"https://akismet.com/blog/convertkit-customerstory/\">ConvertKit</a>, Bluehost, and many others rely on Akismet, attesting to its credibility and reliability in fighting&nbsp;spam.</p>\n\n<h2 class=\"wp-block-heading\">Akismet: AI&#8209;powered anti&#8209;spam for lead generation&nbsp;forms</h2>\n\n\n<p>Lead generation forms are the lifeblood of any business that wants to convert website visitors into potential customers. But spam submissions create a challenging user experience and lead to missed opportunities.&nbsp;</p>\n\n\n<p>That&#8217;s where Akismet steps in as a reliable, AI&#8209;powered anti&#8209;spam solution. Integrating Akismet ensures a smoother, spam&#8209;free experience that ultimately improves conversion rates. Try it out today and focus on what matters most — nurturing high&#8209;quality&nbsp;leads.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 27 Dec 2023 14:00:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:8:\"Rob Pugh\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:36;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:92:\"HeroPress: Being useful to people, with WordPress – Être utile aux autres, avec WordPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:56:\"https://heropress.com/?post_type=heropress-essays&p=6298\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:148:\"https://heropress.com/essays/being-useful-to-people-with-wordpress/#utm_source=rss&utm_medium=rss&utm_campaign=being-useful-to-people-with-wordpress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:26756:\"<img width=\"1024\" height=\"512\" src=\"https://heropress.com/wp-content/uploads/2023/12/122223-min.jpg\" class=\"attachment-large size-large wp-post-image\" alt=\"Pull Quote: I started by going back to my roots.\" /><div class=\"wp-block-group is-layout-constrained wp-block-group-is-layout-constrained\"><div class=\"wp-block-group__inner-container\">\n<p><a href=\"https://heropress.com/feed/#fr\">Cet essai est également disponible en français.</a></p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-hi-computer\">Hi Computer</h2>\n\n\n\n<p>I was born in 1996, straddling the X and Y generations. I had the good fortune to live a happy childhood where I was very much supported by my parents, each in their own way, in my passions. They both taught me to trust myself and to try things out, for which I&#8217;m very grateful. When I was a child, personal computers were already democratized, but many people didn&#8217;t have one. This was my case until I was 10, when my parents decided to buy one.</p>\n\n\n\n<p>Upon gaining access to my first computer, I was intrigued by how it works and the possibilities it offered. It allowed me to explore new creative way (so much time on Pivot Animator) and introduced me to the realm of online games! Unfortunately for my parents, my experimentation led to the death of two computers.</p>\n\n\n\n<p>I had a strong fondness for browser games like Travian, Shakes &amp; Fidget, Hordes… It was this passion that led me into the world of content creation for the web. Spending a substantial amount of time on these games&#8217; forums, a friend and I created our first forum for our gaming guild. Using an online forum creation tool, we could inject some code for customization—a kind of initiation into Content Management Systems (CMS) and coding for me! I remember thoroughly enjoying it, investing a lot of time in managing this small, private forum.</p>\n\n\n\n<p>In 2011, as I entered high school, I finally obtained what felt like a treasure trove to me at that time &#8211; my very own personal computer! Enthused by graphic design, I began crafting visuals using a portable version of Photoshop, mainly for the gaming forums where I spent a significant amount of time. I dedicated myself to creating banners, avatars, and wallpapers centered around the game themes that united us, providing these creations for my friends and forum users.<br /></p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-discover-a-new-world\">Discover a new world</h2>\n\n\n\n<p>I had a strong desire to pursue this creative path, so in 2014, I opted for a web design program in Laval. The curriculum covered a wide array of skills: programming, mathematics, graphics design, photography, video editing, among others. I&#8217;ve consistently found mathematical and logical areas challenging, making the foundational aspects of the course in these subjects quite laborious for me. Conversely, I derived immense enjoyment from everything connected to graphic design.</p>\n\n\n\n<div class=\"wp-block-kadence-image kb-image6298_571a4b-06\"><img width=\"1024\" height=\"1024\" src=\"https://heropress.com/wp-content/uploads/2023/12/1-discover-1024x1024.jpg\" alt=\"Man looking through the eye piece of a video camera.\" class=\"kb-img wp-image-6320\" /></div>\n\n\n\n<p>My first encounter with WordPress came during an internship related to my studies. The company I joined specialized in selling products online through a small e-commerce platform they had internally built using WordPress and WooCommerce. My tasks involved managing the website: integrating visuals, updating content, configuring plugins, improving the interface using a page builder, and handling product management. It evoked a similar feeling to when I first created my gaming blog—there was a multidisciplinary spirit and a creative vibe. I enjoyed this hybrid approach that blended both creativity and technical aspects.</p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-leveling\">Leveling</h2>\n\n\n\n<p>At the end of 2016, I made a move to settle in the south of France and initiated my first freelance endeavor alongside pursuing additional training in web design at Aix-Marseille University. My freelance work involved various graphic design projects and community management tasks. Despite realizing the challenges of generating sufficient income, I remained motivated by the sense of independence and freedom. I began experimenting with WordPress through personal projects. Over the course of two years, I self-educated extensively. I ventured into managing web hosting and a small server, acquainted myself with Linux and Ubuntu, learned to customize themes, and made simple PHP additions. I navigated through trial and error, learning from mistakes, and gradually honed my overall understanding of the tool, becoming better at adapting it to suit my needs.</p>\n\n\n\n<div class=\"wp-block-kadence-image kb-image6298_5dc9a3-bf\"><img width=\"1024\" height=\"1024\" src=\"https://heropress.com/wp-content/uploads/2023/12/2-leveling-1024x1024.jpg\" alt=\"View down old European street from the third floor window,\" class=\"kb-img wp-image-6321\" /></div>\n\n\n\n<p>During a second company internship, I embarked on creating a website where I developed my first custom theme using PHP templates and a few custom fields. It was simple, but I felt quite proud to build a theme &#8220;from scratch&#8221; without relying on page builders or additional tools. Shortly after, a significant milestone occurred in my freelance journey: I sold my first website! It was an e-commerce platform built on WordPress and WooCommerce for a local publishing house. This venture introduced me to new challenges such as SEO, ensuring site security, and providing client training in WordPress usage and essential plugins for the site. I felt incredibly proud to apply my skills to a tangible project and gain professional recognition.</p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-team-up\">Team Up</h2>\n\n\n\n<p>After that project, I wanted a change. I liked working on my own, but I felt very lonely. Every day felt the same, and I struggled to stay motivated. After feeling excited about selling my first &#8216;real&#8217; web project, things started to feel like a series of failures, which stressed me out because my savings were running low. I sent out my resume hoping to find a job that suited me. I had a few interviews with digital service companies (named ESN in French), and it was disheartening. I felt like my wide range of skills didn&#8217;t matter, and whenever I talked about WordPress, they said it wasn&#8217;t &#8216;technical&#8217; enough.</p>\n\n\n\n<p>After six months of searching, I finally found a job I was excited about at a web agency in Avignon. It felt like I&#8217;d been looking for a long time, but now I see I was lucky to find this opportunity quickly. I started as a front-end developer and mostly worked on WordPress projects, doing various tasks like crafting or customizing themes, configuring or developing plugins, keeping websites running smoothly, training clients and agency staff. Collaborating with complementary roles where everyone understood each other’s tasks was so nice. Finding a common way to handle different missions was so exciting! This team synergy, the great diversity of tasks, sharing our experiences and perspectives, greatly boosted my motivation and skill development.</p>\n\n\n\n<div class=\"wp-block-kadence-image kb-image6298_8ff45f-a9\"><a href=\"https://heropress.com/wp-content/uploads/2023/12/3-teamup.jpg\" class=\"kb-advanced-image-link\"><img width=\"1024\" height=\"1024\" src=\"https://heropress.com/wp-content/uploads/2023/12/3-teamup-1024x1024.jpg\" alt=\"Office space with tables covered with computer monitors.\" class=\"kb-img wp-image-6322\" /></a></div>\n\n\n\n<p>I worked for four years in this agency, whose strategy evolved significantly as its size exploded (from 20 to 100 employees in three years). Choices tended towards large, architectured projects with less hybrid solutions. Over time, I felt less connected to the agency&#8217;s decisions and the kind of clients they had. I wondered about the meaning and impact of my work. Was I making things better for people? Was what I did ethical? In the end, did it really matter? </p>\n\n\n\n<p>For a while, I&#8217;ve been interested in eco-design, privacy, and web quality topics. I&#8217;ve been reading a lot of articles written by folks that resonated to me (like Framasoft, Designers Éthiques, Whodunit, Opquast&#8230;). There was a stark disparity between my professional experience and their meaningful discourse. The work atmosphere also changed; I didn&#8217;t feel the teamwork that I enjoyed when I first started, but more like a &#8216;fog&#8217; of disagreements and noises.</p>\n\n\n\n<p>This was tough for me: I worried about going to work and had trouble sleeping. I truly felt like my time was slipping away. I left in March 2023, and what a good decision it was!</p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-shifting-for-better\">Shifting for better</h2>\n\n\n\n<p>I started by going back to my roots; I need to slow down, reassess my desires to figure out where I stand, to do something different. I return to Brittany and settle in Saint-Malo near my family. My primary desire is to reclaim my time. Seven years in the South… what I missed the most was the sea. I know I had the Mediterranean nearby, but strangely it didn&#8217;t have the same effect on me. I&#8217;ve always wanted to surf, so I buy an old used board, a wetsuit, and I go into the water almost every day! It clears my mind and boosts my confidence. I&#8217;ve never been much of an athlete, but this really resonates with me.</p>\n\n\n\n<p>I&#8217;m not particularly skilled with my hands, nor have I learned how to do things. I want to learn, with ecological and sustainable issues in mind. I sign up for participatory workshops and meet incredibly interesting people. We share our experiences, our knowledge, life moments… and it feels good.</p>\n\n\n\n<p>I start reading a lot again &#8211; science fiction, fantasy, essays, classics, and discussions on forums, especially those on wordpress.org.</p>\n\n\n\n<p>I come across a discussion about creating a WordPress site using a smartphone. &#8220;Wait, is something like this possible?&#8221; Through the conversation, I notice the name of a contributor: <a href=\"https://heropress.com/essays/alice-robert-and-wordpress/\">Mark-Andrew</a>. I visit his site and I&#8217;m blown away; the guy creates sites for people who need them for free, &#8220;Free Websites for good Humans.&#8221; It&#8217;s simple, yet I find it incredibly inspiring. For me, Mark-Andrew has found a way to give meaning to his skills and align it with his lifestyle.</p>\n\n\n\n<div class=\"wp-block-kadence-image kb-image6298_f15404-e9\"><a href=\"https://heropress.com/wp-content/uploads/2023/12/4-shifting-1.jpg\" class=\"kb-advanced-image-link\"><img width=\"1024\" height=\"512\" src=\"https://heropress.com/wp-content/uploads/2023/12/4-shifting-1-1024x512.jpg\" alt=\"Two pictures in one.  On the left, someone surfing in the distance.  On the right a man holding a wooden framework.\" class=\"kb-img wp-image-6324\" /></a></div>\n\n\n\n<p>That&#8217;s what I want to do. I&#8217;ve learned a lot about the WordPress ecosystem, and I continue to learn every day. Why not try to help those in need with this open, free, and community-oriented solution? That would make sense!</p>\n\n\n\n<p>This is the path I want to travel &#8211; to make this accessible solution available to all who need it to express themselves and create. Furthermore, I want to contribute to the WordPress community. I&#8217;m considering starting with translations into French, but I hope to also contribute to the new site editor, which I find simply fantastic. We&#8217;ll see how it goes!</p>\n\n\n\n<p>WordPress taught the jack-of-all-trades kid to trust himself and feel useful. For that, thank you. And thank you, Mark-Andrew; I hope we&#8217;ll meet for a surfing session (On the water or the asphalt as you wish).</p>\n\n\n\n<p>Thank you for taking the time to read me <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f60a.png\" alt=\"😊\" class=\"wp-smiley\" /></p>\n</div></div>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity\" />\n\n\n\n<div class=\"wp-block-group is-layout-constrained wp-block-group-is-layout-constrained\"><div class=\"wp-block-group__inner-container\">\n<h1 class=\"wp-block-heading\" id=\"fr\">Être utile aux autres, avec WordPress</h1>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-salut-internet\">Salut Internet</h2>\n\n\n\n<p>Je suis né en 1996, à cheval entre la génération X et Y. J&#8217;ai eu la chance de vivre une enfance heureuse où j&#8217;ai été très soutenu par mes parents, chacun à sa manière, dans mes passions. Ils m&#8217;ont tous deux appris à me faire confiance et à essayer des choses, pour cela, je conçois beaucoup de gratitude à leur égard.  Quand j&#8217;étais enfant, l&#8217;informatique pour le grand publique était déjà démocratisé, mais beaucoup de gens n&#8217;avaient pas d&#8217;ordinateur personnel. Ce qui fut mon cas jusqu&#8217;à mes 10 ans où mes parents en on acquit un.</p>\n\n\n\n<p>Lorsque j&#8217;ai eu accès à ce premier ordinateur, j&#8217;ai tout de suite été intéressé par son fonctionnement et ce que je pouvais faire avec. Cela m&#8217;a donné accès à de nouvelles activités créatives (que de temps passé sur Pivot Animator) et aussi à l&#8217;univers du jeu sur PC ! Malheureusement pour mes parents, mes expérimentations ont conduit à la mort de deux ordinateurs. J&#8217;aimais beaucoup les jeux sur navigateur (Travian, Shakes &amp; Fidget, Hordes…) et c&#8217;est cet engouement qui m&#8217;a mis le doigt dans l&#8217;engrenage de la création de contenu pour le web. Je passais pas mal de temps sur les forums de ces jeux, et j&#8217;ai créé avec un ami un premier forum pour notre guilde de joueurs. Nous utilisions un outil en ligne de création de forum dans lequel nous pouvions injecter un peu de code pour la personnalisation. Ma toute première expérience avec un CMS et du code en somme ! Je me souviens avoir adoré ça et passé un temps fou sur ce petit forum privé.</p>\n\n\n\n<p>En 2011, arrivant au lycée, j&#8217;ai enfin eu accès au saint Graal, mon propre ordinateur personnel ! Je m&#8217;intéressais à la création graphique, et j&#8217;ai commencé à produire des visuels avec une version portable de Photoshop, toujours pour les forums de jeux sur lesquels je passais du temps. Je créais pour mes amis et des utilisateurs : des bannières, des avatars et fonds d&#8217;écrans sur les thèmes des jeux qui nous rassemblaient.</p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-tellement-de-choses-a-apprendre\">Tellement de choses à apprendre</h2>\n\n\n\n<p>J&#8217;avais envie de continuer sur cette voie créative et je me suis orienté en 2014 vers une formation de création pour le web à Laval. La palette de compétence enseignée était assez vaste : programmation, mathématiques, infographie, photographie, vidéo… J&#8217;ai toujours eu du mal avec les domaines mathématiques et logiques, et le socle de la formation sur ces sujets étaient assez laborieux pour moi. En revanche, je prenais beaucoup de plaisir à tout ce qui rapportait à la création graphique.</p>\n\n\n\n<div class=\"wp-block-kadence-image kb-image6298_2c4713-e3\"><img width=\"1024\" height=\"1024\" src=\"https://heropress.com/wp-content/uploads/2023/12/1-discover-1024x1024.jpg\" alt=\"Man looking through the eye piece of a video camera.\" class=\"kb-img wp-image-6320\" /></div>\n\n\n\n<p>Ma première utilisation de WordPress s&#8217;est présentée lors d&#8217;un stage lié à ma formation. L&#8217;entreprise que j&#8217;avais rejoint vendais des produits en ligne sur un petit e-commerce qu&#8217;ils avaient créé en interne avec WordPress et WooCommerce. J&#8217;avais pour tâche de m&#8217;occuper du site : intégrer des visuels, mettre à jour les contenus, configurer des plugins, ajuster l&#8217;interface avec un constructeur de page, gérer les produits…  Je retrouvais le même sentiment que lorsque j&#8217;avais créé mon premier blog de jeu, un esprit multidisciplinaire et un sentiment très créatif. J&#8217;aimais beaucoup cette approche très hybride de la création et de la technique.</p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-premiers-essais\">Premiers essais</h2>\n\n\n\n<p>Fin 2016, je suis parti m&#8217;installer dans le sud de la France où j&#8217;ai commencé ma première activité de freelance en parallèle d&#8217;une formation supplémentaire sur la création pour le web de l&#8217;université d&#8217;Aix-Marseille. Je réalisais quelques missions de création graphique et de community management. Je me suis rendu compte qu&#8217;il était difficile de dégager des revenus suffisants, mais j&#8217;étais motivé par les sentiments d&#8217;indépendance et de liberté. J&#8217;ai commencé à tester et à expérimenter sur WordPress à travers des petits projets personnels. Pendant deux ans, j&#8217;ai appris en autodidacte. Je me suis essayé à la gestion d&#8217;un hébergement web puis d&#8217;un petit serveur, j&#8217;ai découvert Linux et Ubuntu, j&#8217;ai appris à personnaliser des thèmes, à faire quelques ajouts simples en PHP. Je tâtonnais, je faisais des erreurs, je corrigeais… Petit à petit, je forgeais ma culture générale sur l&#8217;outil et j&#8217;arrivais de mieux en mieux à l&#8217;adapter à mes besoins.</p>\n\n\n\n<div class=\"wp-block-kadence-image kb-image6298_4071c3-b2\"><img width=\"1024\" height=\"1024\" src=\"https://heropress.com/wp-content/uploads/2023/12/2-leveling-1024x1024.jpg\" alt=\"View down old European street from the third floor window,\" class=\"kb-img wp-image-6321\" /></div>\n\n\n\n<p>Au cours d&#8217;un second stage en entreprise, je réalisais un site pour lequel je développais mon premier thème sur mesure avec des templates PHP et quelques champs personnalisés. Il était vraiment très simple, mais j&#8217;étais assez fier de bâtir un thème &#8220;from scratch&#8221; sans constructeur de page ni outils supplémentaires. Peu après, j&#8217;ai vécu une grande étape dans mon expérience de freelance : j&#8217;ai vendu un premier site internet ! Un e-commerce basé sur WordPress et WooCommerce pour une petite maison d&#8217;édition locale. Je me suis confronté à de nouvelles problématiques : Le SEO, la sécurité, la formation du client à l&#8217;usage de WordPress et des plugins supplémentaires sur lesquels reposait le site. J&#8217;étais super fier de mettre mes compétences au service d&#8217;un projet concret et de cette reconnaissance professionnelle.</p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-travailler-en-equipe\">Travailler en équipe</h2>\n\n\n\n<p>Après ce projet, j&#8217;ai eu besoin de changement. J&#8217;étais content d&#8217;être indépendant dans mon travail, mais je me sentais très seul. Les journées se ressemblaient beaucoup et je n&#8217;arrivais plus à trouver la motivation pour continuer. Après l&#8217;euphorie d&#8217;avoir vendu mon premier &#8220;vrai&#8221; projet web, j&#8217;avais l&#8217;impression d&#8217;être dans une spirale d&#8217;échecs et ça me stressait d&#8217;autant plus que mes économies commençaient sérieusement à s&#8217;amenuiser. J&#8217;ai diffusé mon CV en espérant trouver un poste qui puisse me correspondre. J&#8217;ai eu quelques entretiens avec des recruteurs d&#8217;entreprise de services numériques (ESN) et c&#8217;était franchement déprimant. J&#8217;avais le sentiment que mon profil touche-à-tout était sans valeur, et à chaque fois que je parlais un peu de WordPress, on me rétorquait que ce n&#8217;était pas assez &#8220;technique&#8221;. </p>\n\n\n\n<p>Après six mois de recherche, j&#8217;ai finalement trouvé un poste qui me faisait super envie dans une agence web à Avignon. J&#8217;ai eu l&#8217;impression que cette période de recherche avait été très longue. Mais rétrospectivement, je me sens chanceux d&#8217;avoir eu cette opportunité aussi rapidement. </p>\n\n\n\n<div class=\"wp-block-kadence-image kb-image6298_6c0ba1-95\"><a href=\"https://heropress.com/wp-content/uploads/2023/12/3-teamup.jpg\" class=\"kb-advanced-image-link\"><img width=\"1024\" height=\"1024\" src=\"https://heropress.com/wp-content/uploads/2023/12/3-teamup-1024x1024.jpg\" alt=\"Office space with tables covered with computer monitors.\" class=\"kb-img wp-image-6322\" /></a></div>\n\n\n\n<p>J&#8217;ai démarré en tant que développeur front-end et j&#8217;ai travaillé en majorité sur les projets WordPress qui comportaient beaucoup de missions différentes : développement ou personnalisation de thèmes, développement ou configuration de plugins, maintenance régulière des sites, formation des clients, formations des collaborateurs de l&#8217;agence…  Je trouvais trop bien de bosser avec des métiers complémentaires où chaque personne avait une bonne compréhension du travail des autres. Je découvrais un référentiel commun pour effectuer des missions différentes, c&#8217;était tellement enthousiasmant ! Cette synergie d&#8217;équipe, la grande diversité des missions, le partage de nos expériences et de nos points de vue ont beaucoup boosté ma motivation et ma montée en compétence. </p>\n\n\n\n<p>J&#8217;ai travaillé quatre ans dans cette agence dont la stratégie a beaucoup évolué tandis que sa taille explosait (de 20 à 100 collaborateurs en trois ans). Les choix se portaient plutôt sur des gros projets architecturés avec des solutions moins hybrides. Petit à petit, je me suis de moins en moins retrouvé dans les décisions et la typologie de clients de l&#8217;agence. Je me posais beaucoup de question sur le sens de mon travail et l&#8217;impact de celui-ci. Est-ce que j&#8217;apportais des solutions pour améliorer la vie des gens à mon échelle ? Est-ce que ce que je produisais était éthique ? À la fin, est-ce que c&#8217;était si important ?</p>\n\n\n\n<p>Depuis un bon moment, je m&#8217;intéressais aux sujets de l&#8217;éco-conception, de la vie privée, de la qualité web. Je lisais beaucoup d&#8217;articles écris par des associations, des entreprises et des acteurs du numérique qui m&#8217;inspiraient (Framasoft, Designer Éthiques, Whodunit, Opquast…). Je ressentais un énorme décalage entre mon expérience professionnelle et leurs discours qui avaient tellement de sens pour moi. L&#8217;ambiance de travail, elle aussi, avait complètement changé, je ne ressentais plus la synergie qui m&#8217;avait tant plu à mon arrivée, mais une espèce de &#8220;brouillard&#8221; de frictions, de cacophonie. <br />Cette situation était très difficile à vivre pour moi : j&#8217;angoissais à l&#8217;idée d&#8217;aller travailler et je dormais très mal. J&#8217;avais vraiment cette sensation que mon temps m&#8217;échappait. Je suis parti en mars 2023, et quelle bonne décision !</p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-retrouver-du-sens\">Retrouver du sens</h2>\n\n\n\n<p>Je commence par revenir aux sources, j&#8217;ai besoin de ralentir, de poser mes envies pour savoir où j&#8217;en suis, de faire autre chose. Je rentre en Bretagne et je m&#8217;installe à Saint-Malo près de ma famille. Mon premier désir, c&#8217;est de me réapproprier mon temps. Sept ans dans le sud… ce qui m&#8217;a manqué le plus c&#8217;est la mer. Je sais bien que j&#8217;avais la méditerranée à côté, mais étrangement ça ne me fait pas le même effet. J&#8217;ai toujours eu envie de faire du surf, alors j&#8217;achète une vieille planche d&#8217;occasion, une combinaison, et je vais à l&#8217;eau presque tous les jours ! Ça me vide l&#8217;esprit et me donne confiance en moi, je n&#8217;ai jamais été un grand sportif, mais là, j&#8217;accroche.</p>\n\n\n\n<p>Je ne suis pas vraiment doué de mes mains, on ne peut pas dire que j&#8217;ai appris à le faire non plus. Je veux apprendre, avec les problématiques de l&#8217;écologie et du soutenable en tête. Je m&#8217;inscris à des chantiers participatifs et je rencontre des gens tellement intéressants. On partage notre expérience, nos savoirs, des moments de vie… et ça fait du bien.</p>\n\n\n\n<p>Je recommence à lire beaucoup, des livres de science-fiction, de fantasy, des essais, des classiques, mais aussi des discussions sur des forums et notamment ceux de wordpress.org.</p>\n\n\n\n<div class=\"wp-block-kadence-image kb-image6298_33c6f2-eb\"><a href=\"https://heropress.com/wp-content/uploads/2023/12/4-shifting-1.jpg\" class=\"kb-advanced-image-link\"><img width=\"1024\" height=\"512\" src=\"https://heropress.com/wp-content/uploads/2023/12/4-shifting-1-1024x512.jpg\" alt=\"Two pictures in one.  On the left, someone surfing in the distance.  On the right a man holding a wooden framework.\" class=\"kb-img wp-image-6324\" /></a></div>\n\n\n\n<p>Je tombe sur une discussion concernant la création de site WordPress avec un smartphone. &#8220;Tiens c&#8217;est possible un truc pareil ?&#8221; Au fil de la discussion, je vois passer le nom d&#8217;un contributeur : <a href=\"https://heropress.com/essays/alice-robert-and-wordpress/\">Mark-Andrew</a>. Je visite son site et je prends une claque, le gars produit des sites gratuitement pour les personnes qui en ont besoin &#8220;Free Websites for good Humans&#8221;. C&#8217;est tout simple, mais je trouve ça super inspirant. Pour moi, Mark-Andrew a trouvé comment donner du sens à ses compétences et à accorder le tout avec son mode de vie.</p>\n\n\n\n<p>C&#8217;est ça que je veux faire. J&#8217;ai énormément appris sur l&#8217;écosystème WordPress et je continue chaque jour, pourquoi ne pas essayer d&#8217;en faire bénéficier ceux qui en auraient besoin ? Cela aurait du sens !<br />Voilà le chemin sur lequel je veux voyager, rendre accessible cette solution ouverte, gratuite et communautaire à tous ceux qui en ont besoin pour s&#8217;exprimer et créer. Pour aller plus loin, j&#8217;ai aussi envie de contribuer à la communauté WordPress, je pense commencer par la traduction en français, mais j&#8217;espère avoir le plaisir de contribuer aussi au nouvel éditeur de site que je trouve juste génial. On verra bien !</p>\n\n\n\n<p>WordPress à appris au gamin touche-à-tout à se faire confiance et se sentir utile. Alors pour ça, merci. Et merci Mark-Andrew, j&#8217;espère qu&#8217;on se rencontrera pour une session glisse.</p>\n\n\n\n<p>Merci d&#8217;avoir pris le temps de me lire <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f60a.png\" alt=\"😊\" class=\"wp-smiley\" /></p>\n</div></div>\n<p>The post <a href=\"https://heropress.com/essays/being-useful-to-people-with-wordpress/\">Being useful to people, with WordPress &#8211; Être utile aux autres, avec WordPress</a> appeared first on <a href=\"https://heropress.com\">HeroPress</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 27 Dec 2023 08:00:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:15:\"Quentin Le Duff\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:37;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:77:\"WordPress.org blog: WP Briefing: Episode 69: Reflections on State of the Word\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:53:\"https://wordpress.org/news/?post_type=podcast&p=16654\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:79:\"https://wordpress.org/news/2023/12/episode-69-reflections-on-state-of-the-word/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:10692:\"<p>In this episode, WordPress Executive Director Josepha Haden Chomphosy reflects on the recent 2023 State of the Word, which took place in Madrid, Spain, and some of the highlights of the work across the WordPress open source project.</p>\n\n\n\n<p><em><strong>Have a question you’d like answered? You can submit them to&nbsp;<a href=\"mailto:wpbriefing@wordpress.org\">wpbriefing@WordPress.org</a>, either written or as a voice recording.</strong></em></p>\n\n\n\n<h2 class=\"wp-block-heading\">Credits</h2>\n\n\n\n<p>Host:&nbsp;<a href=\"https://profiles.wordpress.org/chanthaboune/\">Josepha Haden Chomphosy</a><br />Editor:&nbsp;<a href=\"https://profiles.wordpress.org/dustinhartzler/\">Dustin Hartzler</a><br />Logo:&nbsp;<a href=\"https://profiles.wordpress.org/javiarce/\">Javier Arce</a><br />Production:&nbsp;<a href=\"https://profiles.wordpress.org/bjmcsherry/\">Brett McSherry</a><br />Song: Fearless First by Kevin MacLeod</p>\n\n\n\n<h2 class=\"wp-block-heading\">Show Notes</h2>\n\n\n\n<ul>\n<li><a href=\"https://wordpress.org/news/2023/12/state-of-the-word-2023-recap/\">State of the Word Recap</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/project/2023/05/17/wordpress-contributor-mentorship-program-pilot-program-proposal/\">WordPress Contributor Mentorship Program: Pilot Program Proposal</a></li>\n\n\n\n<li><a href=\"https://developer.wordpress.org/news/\">WordPress Developer Blog</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/project/2023/12/22/wordpress-end-of-year-celebrations/\">WordPress End of Year Celebrations!</a></li>\n\n\n\n<li><strong>Small List of Big Things</strong>\n<ul>\n<li><a href=\"https://make.wordpress.org/openverse/2023/12/11/introducing-enhanced-content-safety-features-on-openverse/\" target=\"_blank\" rel=\"noreferrer noopener\">Introducing Enhanced Content Safety Features on Openverse</a>&nbsp;&#8211; Introducing new features for enhanced content safety on Openverse. </li>\n\n\n\n<li><a href=\"https://wordpress.org/news/2023/12/alert-wordpress-security-team-impersonation-scams/\" target=\"_blank\" rel=\"noreferrer noopener\">Alert: WordPress Security Team Impersonation Scams</a>.</li>\n\n\n\n<li><a href=\"https://make.wordpress.org/plugins/2023/12/02/join-the-plugin-review-team/\" target=\"_blank\" rel=\"noreferrer noopener\">Join the Plugin Review Team!</a> &#8211; The Plugin Review Team is looking for new members; the deadline to apply is on December 31, 2023.</li>\n</ul>\n</li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\">Transcripts</h2>\n\n\n\n<span id=\"more-16654\"></span>\n\n\n\n<p>[00:00:00] <strong>Josepha:</strong> Hello everyone, and welcome to the WordPress Briefing. The podcast where you can catch quick explanations of the ideas behind the WordPress open source project, some insight into the community that supports it, and get a small list of big things coming up in the next two weeks. I’m your host, Josepha Haden Chomphosy. Here we go.</p>\n\n\n\n<p>[00:00:28] (Intro music)&nbsp;</p>\n\n\n\n<p>[00:00:40]&nbsp;<strong>Josepha:</strong> We wrapped up State of the Word earlier this month, and while I was sitting there being the only person to clap for the love of cake, I realized just how much we have been able to accomplish this year. And on the one hand, I shouldn&#8217;t be surprised.</p>\n\n\n\n<p>After all, progress is radical over time yet incremental in time. But all told, 2023 has been a big year for WordPress. There&#8217;s been some radical progress in a few places. There are the things you know because you&#8217;ve heard them all year. You heard them in State of the Word.</p>\n\n\n\n<p>We turned 20, for instance. We shipped three on-time releases. We had three well-organized flagship events, and we prototyped essential parts of phase 3. But there&#8217;s a lot of work that happens outside of flagship events and software releases, and I&#8217;d like to highlight a few examples of operational excellence in our community and ecosystem.</p>\n\n\n\n<p>[00:01:31] <strong>Josepha:</strong> First highlight goes to the contributors who are building community. Going back to 2021, we&#8217;ve been working to bring people back together in person.</p>\n\n\n\n<p>And in that year, we had 19 events. In 2022, we had 24 events, so a modest increase of just over 30%. But then, in 2023, the WordPress community banded together on a campaign to reignite passion in our Meetup groups and encourage playfulness in our WordCamp planning. And not only did we see a 57% increase in active Meetup groups, But we also saw a 116% increase in WordCamps, 54 WordCamps in all. That&#8217;s about a third of the way to our all-time annual high of 142.</p>\n\n\n\n<p>And to complement these in-person opportunities, Learn also shipped 104 pieces of new content and hosted 258 online workshops because location should never be a barrier to entry for joining WordPress.&nbsp;</p>\n\n\n\n<p>[00:02:32] <strong>Josepha:</strong> Second highlight goes to the contributors who are managing our directories. We do have a lot of directories. We have Plugins, Themes, Photos, Block plugins. We got a lot.</p>\n\n\n\n<p>And I&#8217;m sure that everyone saw the consistent and borderline pleading calls to join the Plugin team this year. And for folks who&#8217;ve been around a bit, you probably recall a similar set of consistent and pleading calls to join the Theme team a few years back. Concurrent with the work to refill that contribution pipeline, folks over in Meta and across the project generally, were working on automating as many checks as possible, loosening guidelines where it was reasonable, and modernizing as many processes as we could.</p>\n\n\n\n<p>I&#8217;m happy to share that the theme wait time is at a historic low, with their longest wait sometimes just at a week. And as anxious as I am about the plugin wait times, we&#8217;re actually seeing a lot of progress there as well. As we follow a process similar to the one that we did on themes, I imagine it&#8217;s only gonna get better. So, in 2023, we&#8217;ve onboarded six new team members. And since September, the number of plugins awaiting initial review has been cut in half.</p>\n\n\n\n<p>And then coming up in Q1 of 2024, we&#8217;ll have a project focused entirely on automating as many checks as possible. So I still need you, but I also need you to know that your work there matters and is having an impact.</p>\n\n\n\n<p>[00:03:55] <strong>Josepha:</strong> The third highlight goes to the contributors who are doing outreach. This year, we launched a mentorship program with an 89% completion rate because we&#8217;ve seen time and again that our most prolific contributors had someone at the start that they felt safe asking dumb questions with. We launched and nurtured the developer blog, which was a need identified by the community because there was no place for intermediate and advanced developers to get excited about their cool explorations. And there were 53 posts there this year with thirteen thousand views, which is a 251% increase for the record, which is a ridiculous increase, but it&#8217;s a lot. Thirteen thousand views is a lot.</p>\n\n\n\n<p>We have focused on documentation as we suggested in Porto of 2022. And marketing, I know not always our favorite topic, but marketing, our ability to talk about ourselves to more than just ourselves, has increased dramatically this year.&nbsp;</p>\n\n\n\n<p>Not only have we started rolling out a modern design across our website, but we also are present and engaged on eight different platforms with 20-plus episodes of this very podcast and also video content that netted us seven and a half million views this year. That&#8217;s a lot of numbers, and there&#8217;s a post that goes with it.</p>\n\n\n\n<p>[00:05:10] <strong>Josepha:</strong> Check out the show notes. But if you&#8217;re not gonna check out the show notes because you listen to this on Pocket Casts or Google or something, go to make.WordPress.org/project, and it&#8217;ll be over there. But the point is, it&#8217;s been a banner year for the software, and I am grateful for every tester, designer, and developer that showed up for it. But I also know that what makes WordPress truly irreplaceable is our ecosystem, and it&#8217;s contributions like this and the contributors who do them that make our ecosystem vibrant and responsive and thriving on into the future.</p>\n\n\n\n<p>So, thank you all for the contributions you make to WordPress. Thank you for the shining example of how to do open source at scale, and thank you for another great year together.&nbsp;</p>\n\n\n\n<p>[00:06:04] <strong>Josepha:</strong> Which brings us now to our small list of big things. It is indeed a small this time. First up, I would like to introduce our enhanced content safety features on Openverse. By default, search results now exclude openly licensed media containing sensitive textual content. But this new feature adds additional filtering based on titles, tags, and descriptions of the work as well.</p>\n\n\n\n<p>[00:06:27] <strong>Josepha:</strong> The second thing on our small list of big things is that there is just a general alert. There&#8217;s a WordPress security team impersonation scam that&#8217;s going on out there. The team is aware of multiple ongoing phishing scams impersonating both the WordPress team and the WordPress security team in an attempt to convince administrators to install a plugin on their website which contains malware. I&#8217;ll include a link to that post just in case you have anyone that you think might need to be aware of that, but also all of our site administrators know. Like, WordPress is not gonna email you asking for passwords or anything ever. </p>\n\n\n\n<p>[00:07:02] <strong>Josepha:</strong> And item number three, I would like you to join the Plugin review team. I know I just said it in the body of the episode. But, the Plugin review team is looking for new members still who believe in our mission of guiding plugin authors in responsibly transforming their innovative ideas into reality and ensuring a great WordPress plugin experience for end users. There is a deadline to apply; it&#8217;s December 31st. And so you can get that done over the holidays, over a glass of eggnog if that&#8217;s how you choose to celebrate whatever it is that you do. </p>\n\n\n\n<p>And that&#8217;s it for your small list of big things.&nbsp;</p>\n\n\n\n<p>Don&#8217;t forget to follow us on your favorite podcast app or subscribe directly on WordPress.org/news. You&#8217;ll get a friendly reminder whenever there&#8217;s a new episode. If you liked what you heard today, share it with a fellow WordPresser. Or, if you had questions about what you heard, you can share those with me at wpbriefing@WordPress.org. I&#8217;m your host, Josepha Haden Chomphosy. See you again in a couple of weeks.&nbsp;</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 26 Dec 2023 12:00:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Brett McSherry\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:38;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:49:\"Do The Woo Community: Goodbye 2023 and Hello 2024\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"https://dothewoo.io/?p=78744\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:48:\"https://dothewoo.io/goodbye-2023-and-hello-2024/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:345:\"<p>As we look at the past year, and what 2024 holds, we are growing even more globally and elevating more voices. </p>\n<p>&gt;&gt; The post <a href=\"https://dothewoo.io/goodbye-2023-and-hello-2024/\">Goodbye 2023 and Hello 2024</a> appeared first on <a href=\"https://dothewoo.io\">Do the Woo - a WooCommerce and WordPress Builder Podcast</a>	.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 21 Dec 2023 13:12:15 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"BobWP\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:39;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:82:\"WPTavern: #104 – Thomas Fanchin on Community Engagement in WordPress Sponsorship\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:48:\"https://wptavern.com/?post_type=podcast&p=151915\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:96:\"https://wptavern.com/podcast/104-thomas-fanchin-on-community-engagement-in-wprdpress-sponsorship\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:42029:\"Transcript<div>\n<p>[00:00:00] <strong>Nathan Wrigley:</strong> Welcome to the jukebox podcast from WP Tavern. My name is Nathan Wrigley.</p>\n\n\n\n<p>Jukebox is a podcast which is dedicated to all things WordPress. The people, the events, the plugins, the blocks, the themes, and in this case, community engagement in WordPress sponsorship.</p>\n\n\n\n<p>If you&#8217;d like to subscribe to the podcast, you can do that by searching for WP Tavern in your podcast, player of choice, or by going to WPTavern.com forward slash feed forward slash podcast. And you can copy that URL into most podcast players.</p>\n\n\n\n<p>If you have a topic that you&#8217;d like us to feature on the podcast, I&#8217;m keen to hear from you and hopefully get you, or your idea, featured on the show. Head to WPTavern.com forward slash contact forward slash jukebox, and use the form there.</p>\n\n\n\n<p>So on the podcast today, we have Thomas Fanchin. Thomas is a WordPress enthusiast and is the partnership manager for Weglot, which is a solution for translating websites, not limited to WordPress.</p>\n\n\n\n<p>His role means that he&#8217;s immersed in the WordPress community. He&#8217;s passionate about connecting with, and learning from, others in the community. Thomas talks on the podcast about Weglot&#8217;s involvement in WordPress initiatives and events.</p>\n\n\n\n<p>We get into how they decide what to sponsor, and what they hope to get in return. Thomas discusses the difficulties in tracking the effectiveness of marketing efforts at events. They&#8217;ve tried all manner of approaches, and we chat about the complex nature of measuring the return on investment, and whether it&#8217;s enough to have brand visibility as the only outcome.</p>\n\n\n\n<p>The conversation turns to the unique engagement opportunities within the WordPress and open source community. And whether these events are different from other, more corporate, events held elsewhere.</p>\n\n\n\n<p>Weglot operates both within and beyond the WordPress ecosystem, and Thomas shares the company&#8217;s focus on adaptability and replication in other communities. While profitability comparisons between WordPress and Shopify events are not easy to measure, thomas acknowledges both platforms are strong partners for Weglot, expressing interest in engaging with new content management systems and communities.</p>\n\n\n\n<p>Thomas wants to explore some innovative sponsor initiatives beyond typical events in the near future. He thinks that guest posts, supporting meetups, and sharing personal expertise might be potential ways for companies to effectively engage in the WordPress space.</p>\n\n\n\n<p>But not everything is new, and Thomas talks about Weglot&#8217;s approach towards flagship events, like WordCamp Asia and WordCamp US. They are hard at work already figuring out what they&#8217;re going to bring along, and how they&#8217;re always trying to think outside of the box.</p>\n\n\n\n<p>If you&#8217;re interested in learning about the intricacies of sponsorship, the impact of sponsored engagements at events, and the future landscape of sponsor initiatives within the WordPress community, this episode is for you.</p>\n\n\n\n<p>If you&#8217;re interested in finding out more, you can find all of the links in the show notes by heading to WPTavern.com forward slash podcast, where you&#8217;ll find all the other episodes as well.</p>\n\n\n\n<p>And so, without further delay, I bring you Thomas Fanchin.</p>\n\n\n\n<p>I am joined on the podcast today by Thomas Fanchin. Hello, Thomas.</p>\n\n\n\n<p>[00:03:46] <strong>Thomas Fanchin:</strong> Hey. How&#8217;s it going?</p>\n\n\n\n<p>[00:03:48] <strong>Nathan Wrigley:</strong> Good, thank you. Very nice to have you on the podcast. We&#8217;ve intended to do this podcast before, but we had some gremlins and so we finally got to it. And I appreciate you staying the course, Thomas. Really appreciate it.</p>\n\n\n\n<p>Just to give people some context, we&#8217;re going to be talking a little bit about sponsorship, perhaps about events today. But I guess it would be important to give you an opportunity to say who you are, and why your voice matters in this space. So a little time for a bio. Would you just tell us, Thomas, who you are and what your background is with WordPress. Who you work for, that kind of thing.</p>\n\n\n\n<p>[00:04:17] <strong>Thomas Fanchin:</strong> Oh gosh. That&#8217;s a lot of information. I&#8217;m going to try to stay brief. Who am I? I work at Weglot, as a partnership manager there. My day to day task consisting interacting with tech partners, but also a lot with communities, including WordPress.</p>\n\n\n\n<p>I started my journey within WordPress during my time when I was a student. I wanted to create a website. It was a pet website, back in the days I wanted to launch my own business. So that&#8217;s how I discovered WordPress. But I didn&#8217;t know anything about the community. I was trying to do everything by myself.</p>\n\n\n\n<p>When I started to work at Weglot, that&#8217;s when I started to interact a little bit with people from the community, meetup organiser, WorldCamps, organisers. But also just people doing podcasts and other things, inside of WordPress. Once you get to interact with people inside of the WordPress community, you&#8217;re just always going to talk with a lot of people, and do a lot of stuff around WordPress. So that&#8217;s how I got into where I&#8217;m right now today</p>\n\n\n\n<p>[00:05:23] <strong>Nathan Wrigley:</strong> We should probably explain exactly what Weglot does, because people may or may not understand what it does. But obviously it puts you squarely in the international localisation space. So just give us a, again, almost like a bio for Weglot. What does it do?</p>\n\n\n\n<p>[00:05:36] <strong>Thomas Fanchin:</strong> Yeah. So Weglot is basically a transition plugin, that allow you to translate our website into multiple language. It&#8217;s super simple plugin to use. It&#8217;s easy to set up. If you ever want to try it, just go for it and let us know what are your thoughts about it?</p>\n\n\n\n<p>[00:05:52] <strong>Nathan Wrigley:</strong> Okay, so we&#8217;re going to talk a little bit today about the WordPress community, and about decisions that Weglot have made, in terms of where their endeavors lie. Obviously, every company in the WordPress space would love to grow and grow, and one of the ways that people do that is to sponsor events. They might sponsor particular online events, or WordCamps, and things like that.</p>\n\n\n\n<p>So we&#8217;re going to dig into that a little bit. We&#8217;re not talking about what you&#8217;re going to do in the future, that&#8217;s up to you to decide. But in the past, what kind of things have Weglot done to get themselves out there in front of the WordPress community?</p>\n\n\n\n<p>[00:06:27] <strong>Thomas Fanchin:</strong> We have sponsored quite a few WordCamps and meetups, in the past. During my first year, we&#8217;ve sponsored around 50 WordCamps, and it was almost the same with the meetups. Like, we sponsored maybe 30 meetups, something like that. Which was great. There was definitely a lot of logistic behind it.</p>\n\n\n\n<p>And back then, we were thinking about becoming global sponsors. Because at some point it was hard for us to keep up with all the events, and for logistic matters too. We thought about it. And also, we were starting to think, yeah, what&#8217;s the next big move? What can we do more? What can we do better?</p>\n\n\n\n<p>So we tried the global sponsorship, for two years now. It was also super interesting. With the global sponsorship came also new challenges. We also started to invest more into Five for the Future. I would say, yeah, we&#8217;re still super invested and trying to support more initiatives, and support more of the WordPress community.</p>\n\n\n\n<p>[00:07:31] <strong>Nathan Wrigley:</strong> When you sit down with all of the decision makers in Weglot, how do you decide what it is that you are going to do? Because, obviously I&#8217;m not a sponsor, I have never sponsored anything, but I&#8217;ve spoken to quite a few people from different companies. And if we just take the example of WordCamp, let&#8217;s just stick with WordCamp and maybe some of the bigger events.</p>\n\n\n\n<p>My understanding is that most of the companies who support that with sponsorship, they don&#8217;t generally think about it as something which they can measure a return on investment immediately. So let&#8217;s say that they sponsor, and they put $50,000 into sponsoring a particular WordCamp. They&#8217;re not thinking, okay, we need to get that $50,000 back, or $100,000, or some multiple thereof.</p>\n\n\n\n<p>It&#8217;s more about just being a good citizen. Making sure that people are aware that the company exists. And we&#8217;re in financial times at the moment, where every dollar spent is really something that has to be thought about. So I just wondered if you wanted to give us an idea, why do you sponsor? Why have you been a global sponsor? What have you hoped to get out of it, and has it delivered what you wanted?</p>\n\n\n\n<p>[00:08:40] <strong>Thomas Fanchin:</strong> It&#8217;s another big question. So I&#8217;m going to try to reply with as much elements as I can. I think, first of all, it depends on the company culture. So if you are a company and you were built, or you are based, around one specific community, then it becomes easier for you to just talk about budget for the community support. Because, I mean, the company is originally based around it. Maybe the owners are already aware of what it is.</p>\n\n\n\n<p>And if you take, for example, Weglot, for us, the community, it&#8217;s equel feedback. So a lot of people from the team used to do support tickets, back in the days. And a lot of us are still doing it. So it make the connection between the users, the community, the support, which is our frontline, and the company. So it&#8217;s just a connection for us. Which can help us when it comes to decisioning to, yeah, we&#8217;re going to support this, or we&#8217;re going to sponsor this event.</p>\n\n\n\n<p>The other part that is also super important, obviously is the visibility part. You mentioned it. It&#8217;s super important for us to be visible, for people to be aware of the product, of what it does.</p>\n\n\n\n<p>And there is also the giving back part. Because obviously you are a company, you are growing and it&#8217;s good. But when you grow, you make the community also, the people that help you to grow, grow with you. So basically, it&#8217;s like creating a win win situation between your company growth, and the community.</p>\n\n\n\n<p>I think when you combine the three, it&#8217;s let&#8217;s say, easier to set up budget, and to have this type of discussion. And it also depends maybe on your marketing strategy too. We can get into that.</p>\n\n\n\n<p>For us, we divided into two type of strategies. So there is growth marketing, and there you have some KPIs, and it&#8217;s based on performance. And you have brand marketing. Brand marketing is not based on performance. But the Weglot brand, it&#8217;s combined with community, and with events. So we cannot dissociate both, which is good for us as a brand, and good also for the community. And it&#8217;s not based on performance.</p>\n\n\n\n<p>The thing that mattered to us, is that the product, again, is visible. And when someone think about multilingual, we want him to think about Weglot. We know that there are agencies, freelancers, partners, people within the WordPress space, but also outside of the WordPress space, who think about Weglot, because they have met us somewhere in Asia, during WordCamp Asia, or at an event five years ago, or at a meetup, or during a conference. But it&#8217;s hard to track that. But we know that it&#8217;s working.</p>\n\n\n\n<p>[00:11:23] <strong>Nathan Wrigley:</strong> When you say you know that it&#8217;s working, is that just an intuition that you anecdotally hear that people, when you maybe ask them, where did you hear about us? It may have been that they can link back to a sponsorship at a particular event. Or, is it more anecdotal than that? You just get a sense that there&#8217;s an uptick in sales immediately after events, and things like that.</p>\n\n\n\n<p>[00:11:43] <strong>Thomas Fanchin:</strong> Yeah. I think the tracking part is really hard to measure. We&#8217;ve tried a couple of things in the past, like coupon deals. It didn&#8217;t work out. We tried QR code too, because I know like a lot of us are trying to flash the QR code, and it wasn&#8217;t the best solution too. We tried to have people fill up forms. It wasn&#8217;t the best solution. And in terms of logistic, it&#8217;s just super hard to maintain.</p>\n\n\n\n<p>I know some companies are trying like this massive gift by participating an event, by entering your actual information, and so on. But I&#8217;m not sure that it has the best return on investment for them. It&#8217;s more a visibility thing, I think. I&#8217;m not sure. Maybe it&#8217;s working. If it&#8217;s working, it&#8217;s awesome and it&#8217;s cool. But I think it&#8217;s more a visibility matter.</p>\n\n\n\n<p>I think there is no real tracking that you can set up to measure this type of action. Which is why we separate both, and you have growth marketing and brand marketing. Both goals are set aside.</p>\n\n\n\n<p>[00:12:44] <strong>Nathan Wrigley:</strong> We are in a very interesting community, in that we&#8217;re quite unique I think. The open source movement, but WordPress particular. In that we turn up to these events, and we know that there&#8217;s going to be sponsors there, and we may interact with those sponsors. But on some level, the open source, the nature of open source has this kind of no sponsorship feel to it, if you know what I mean? There&#8217;s this kind of, everything is free, and we give our time for free, and all of that kind of thing.</p>\n\n\n\n<p>So I just wonder if you collide with that. You turn up to these events, you&#8217;ve paid a lot of money to be a part of the sponsorship area, and maybe the crowd that have turned up are not, you know, that willing to engage with you. Maybe in a different environment, a much more corporate environment, people would be willing to make that trade a little bit more, and they might be more willing to come and talk with you, because, I don&#8217;t know, they&#8217;ve got a different agenda.</p>\n\n\n\n<p>Do you sense that a little bit? Is there something about this community which makes it harder to advertise towards them? And if that&#8217;s the case, I presume that you have to keep juggling that.</p>\n\n\n\n<p>[00:13:45] <strong>Thomas Fanchin:</strong> I guess the goal is to try to be really innovative, in a way that people come and interact with you. So, it&#8217;s really your role, as a sponsor to try to make sure that you do not cross a certain line. And that everything that you put out there, in terms of content, the booth, the people that are here, the people with whom you are working to, are aligned with the community culture, with the company culture too. That way you make sure that people come and interact with you.</p>\n\n\n\n<p>I don&#8217;t see people as really like hostile toward us. Working at Weglot for the past five years, I&#8217;ve only had positive feedback about what we do inside of a community, and also about the product itself. From time to time, people don&#8217;t like it. It&#8217;s totally fine. And it&#8217;s good, because that way you can, yeah, like amazing feedbacks. To be honest, I don&#8217;t see anything wrong within the community and how it&#8217;s working out. From my perspective, and from the sponsor perspective too, I don&#8217;t know about what others might think, but that&#8217;s just my thoughts.</p>\n\n\n\n<p>[00:14:57] <strong>Nathan Wrigley:</strong> In your introduction, when you were describing Weglot, you mentioned that WordPress is one aspect of that. But I&#8217;m reading between the lines, I could be wrong. Is it the case that Weglot operates outside the WordPress ecosystem as well? And if that&#8217;s the case, do you have a different approach to your marketing in the different markets? So firstly, let&#8217;s answer that question. Does it operate outside of WordPress? And if the answer to that is yes, what kind of things do you bolt onto? Is it other CMSs, or what?</p>\n\n\n\n<p>[00:15:25] <strong>Thomas Fanchin:</strong> So the two founders of Weglot, they always had these goals of creating a solution for translation, that could be used on any website on the market. That was the purpose of the tool. We started to launch it on WordPress, but we also made a version for Shopify. And now you have this general integration that you can use on any website. And so the answer is yes. You can use Weget outside of WordPress.</p>\n\n\n\n<p>Regarding question two, I think it&#8217;s a similar approach. It might be because of the company culture, and because of where we started. WordPress is like a big part of what we do inside of different communities. We believe that what we are doing here is really positive. And if something is working, and it&#8217;s positive, what you are going to try to do is to replicate it in other communities.</p>\n\n\n\n<p>It&#8217;s really what we try to do, but at the same time, of course, you need to adapt yourselves to the other communities. Because, I don&#8217;t know, maybe it&#8217;s not the same people inside of a community. Maybe it&#8217;s more like corporate people. Maybe it&#8217;s people that are not interested about open source. Maybe it&#8217;s people who don&#8217;t know at all about how to code. I don&#8217;t know. There is various communities out there. And yeah, I would say like, we try to adapt ourself, and at the same time we try to replicate what&#8217;s working.</p>\n\n\n\n<p>[00:16:47] <strong>Nathan Wrigley:</strong> This is going to be a difficult question to answer, potentially, because you may not have the numbers hand. But do you know if, let&#8217;s take the example of Shopify. Do you know if Shopify gives Weglot a greater level of profitability? For every dollar spent on events, or on advertising on Facebook, or Google, or whatever it may be, wherever those dollars get spent. Do you know if there is a greater profitability in one of those communities, than there is in another?</p>\n\n\n\n<p>[00:17:15] <strong>Thomas Fanchin:</strong> That&#8217;s the big question. What I can say is that WordPress and Shopify, they are one of our big partners, with a strong attachment to WordPress. Because when the two founders launch Weglot, it was during WordCamp Paris. So that&#8217;s what I can say.</p>\n\n\n\n<p>I don&#8217;t have the specific numbers in mind, but it&#8217;s true that there is a lot of new communities and new CMSs out there that are emerging. And it&#8217;s definitely super interesting to interact with them for me as a partner manager. And to discover new CMSs, new communities, that comes with new people from like various communities out there.</p>\n\n\n\n<p>[00:17:54] <strong>Nathan Wrigley:</strong> So we&#8217;ve spent quite a bit of time talking about sponsoring events, but obviously sponsoring could be in all sorts of different directions. And I think you mentioned things like Five for the Future. I&#8217;m wondering if that&#8217;s something that Weglot explore. So, you know, if you&#8217;re listening to this podcast and you are working for a company, and you&#8217;re trying to think of innovative, interesting ways, and obviously you could sponsor a WordCamp, that one&#8217;s fairly straightforward.</p>\n\n\n\n<p>Are there any other things that you do? So for example, do you sponsor particular individuals to contribute to the code base? Do you sponsor some smaller events like meetups, or anything like that? Do you do things like Five for the Future, or any other things that we may not have heard of? So anything outside the normal typical WordPress events.</p>\n\n\n\n<p>[00:18:34] <strong>Thomas Fanchin:</strong> I think it&#8217;s a quite interesting topic, because I think like everyone within the WordPress space, like companies, they can do like various innovative initiatives. We are all like super, super busy with our agendas. But you could contribute by providing, I don&#8217;t know, guest posts, content in the areas where you are an expert. For example, for us it would be like multilingual.</p>\n\n\n\n<p>So if you have a content team, or people from your content team that could help others. You could also, let&#8217;s say, help meet up organisers with their venues. At Weglot, from time to time, there is like this marketing community. They come to have breakfast at Weglot in the morning. It&#8217;s not cool for the employees because you get to work and everybody is eating, and you need to work. You could also do that.</p>\n\n\n\n<p>From a personal standpoint, I did a couple of talks during meetups, around multilingual. I mean, I&#8217;m not the best. I&#8217;m sure there is plenty of people with more knowledge than me. But I have my own expertise, and my experience, and I can share it. And so far I&#8217;ve received just positive feedbacks. There is various stuff that you could do at a personal level inside of a company.</p>\n\n\n\n<p>And yeah, of course we are also doing Five for the Future. We are sponsoring, I think, right now, three contributors inside of the community team, and the Polyglot team too. It&#8217;s quite interesting. It&#8217;s something totally new for us. We never did it in the past. And what we try to have various people who are really enthusiastic about the community, and who loves to do plenty of stuff. It will be like, I don&#8217;t know, recruitment, just someone that would come like to the Weglot team and work. We try to have the same type of people with whom we&#8217;re collaborating there, which is awesome.</p>\n\n\n\n<p>We also supported, you mentioned meetups, we also supported a few meetups in different ways, because we try to always adapt the budget. And also the way that we support those meetups, because some of them, they need money for the venue. Other needs equipment. And there is like layers of people out there who have specific needs, so we try to adapt ourself.</p>\n\n\n\n<p>We&#8217;re also doing something quite interesting. There&#8217;s the Weglot community there, where we invite our ambassadors, inside of the company, for one or two days. And they get to meet everyone from the company, and they get to teach about what they do inside of specific communities, and how it helps Weglot.</p>\n\n\n\n<p>It&#8217;s super interesting because it helps the company culture. When you are growing, and you have more and more people coming inside of the company, it&#8217;s interesting to learn the basics, but also to understand what we are doing inside of WordPress, or inside of other communities too.</p>\n\n\n\n<p>Because obviously for us, it&#8217;s simple. We know what the community is about. We know what we&#8217;re doing. We know what&#8217;s WordPress, what&#8217;s a meetup, what&#8217;s a WordCamp. But maybe like for others, it&#8217;s a little bit more, not hard to understand, but there is less visibility on this type of action. Which is why it&#8217;s super interesting to have community people to come and just interact with the team.</p>\n\n\n\n<p>One thing that is quite interesting, because you mentioned that we are present on different communities, and we also have different ambassadors. And this year we&#8217;re making a community day in March, if I&#8217;m right. If I&#8217;m wrong, my event manager is going to be mad at me. And some of them will be outside of WordPress. And they would meet each other and attend like conference during the day, and teach to each other what they do in different space. And also about their approach, because it&#8217;s not the same approach. So it&#8217;s going to be quite interesting to have those type of interaction. But yeah, maybe I&#8217;m being too long.</p>\n\n\n\n<p>[00:22:12] <strong>Nathan Wrigley:</strong> No, that&#8217;s really interesting. You mentioned the ambassadors. Who are they then? it sounds like they&#8217;re people who are closely aligned with what you do, but not employees. They&#8217;re just people that use your services and products, but they&#8217;re not on the payroll. But they&#8217;re willing to give some of their time over to your endeavors. That&#8217;s interesting.</p>\n\n\n\n<p>[00:22:28] <strong>Thomas Fanchin:</strong> Yeah. The ambassador program is something that we have put together because we started to sponsor quite a few WordCamps. And it was hard for us to be able to travel from point A, to point B, to point C. You could imagine having an event in France, another one in Spain, and another one in England. So it&#8217;s hard to commute. At the end you would be like totally tired. And it&#8217;s not the goal. The goal is, of course, to have a nice balance between personal life and work life.</p>\n\n\n\n<p>We found out that there was plenty of people who were attending WordCamps, and were willing to do it for companies like us. We tried to find some community people who shared the same thoughts as we do, inside of Weglot. Love the product, want to talk about it, and want to participate inside of a community, That&#8217;s how it started.</p>\n\n\n\n<p>Now we have a few ambassadors who are working with us. We try now, since this year, it&#8217;s the first time that we did the community day, so we try to have the ones that are representing us in like various countries, to come up in Paris with us and discuss with the team.</p>\n\n\n\n<p>[00:23:40] <strong>Nathan Wrigley:</strong> That&#8217;s a really nice initiative. I like that. I also just like the fact that there&#8217;s people who are so into what you do as a product, that they&#8217;re willing to donate their time. It&#8217;s almost like a little microcosm of the WordPress project inside the Weglot project. You&#8217;ve got volunteers who are helping you out. Yeah. That&#8217;s fascinating.</p>\n\n\n\n<p>I&#8217;m going to just encourage the listeners of the podcast to go to the show notes, and I&#8217;m going to link to a piece on the make.wordpress.org website by Cate DeRosia. It was published on the 29th of November 2023, and it&#8217;s called, Should We Allow Sponsor Demo Rooms or Tracks at Events. I&#8217;m also going to link to a piece over on Post Status by Marieke van de Rakt. The name of that piece escapes me at the moment. But it was all about the WordPress community getting divided into participants on the one hand, and sponsors and companies on the other hand.</p>\n\n\n\n<p>And I&#8217;m interested about this. I&#8217;m interested to know from your perspective. Now we&#8217;ve talked a little bit about how you make a return on investment, or whether that&#8217;s necessary or not. But I&#8217;m wondering if, as the years have gone on, you mentioned that you&#8217;ve been involved in WordPress for five years or more. Have you still got the same excitement for attending these kind of events, or do you wish there to be some kind of change?</p>\n\n\n\n<p>And in Cate DeRosia&#8217;s piece, she&#8217;s basically saying, do we need to think a little bit outside of the box in order to get sponsors to attend these events? It sounds, the undercurrent, I guess is that it&#8217;s harder than ever to get the sponsors, enough sponsors, to cover the cost of the events.</p>\n\n\n\n<p>So I&#8217;m just wondering if the people in the comments, you have any ideas on how your sponsor dollars could be spent? Such that you feel you&#8217;re getting more value than you are at the moment.</p>\n\n\n\n<p>[00:25:21] <strong>Thomas Fanchin:</strong> From a personal point of view, it&#8217;s definitely super amazing to be able to travel to this event. Because you get to travel from all over the globe, thanks to WordPress, which is super cool. I&#8217;ve never been in Asia, and I went to Bangkok earlier this year, which was awesome.</p>\n\n\n\n<p>And you get to spend time there with people with whom you have a close relationship now, thanks to WordPress. And people with whom you are friends now during this event, and that you&#8217;re not probably going to meet throughout the year, which is just amazing.</p>\n\n\n\n<p>And from a, more of a sponsor level, I would say maybe five years ago there was more engagement. If you take an event like WordCamp Europe, we&#8217;ve talked a little bit about it, let&#8217;s talk about it again here. Yeah there were for sure like, maybe more participants and more engagement in WordCamp Europe in Berlin, than maybe now the last WordCamp Europe in Athens. It was like a really huge event, with way more sponsors than five years ago.</p>\n\n\n\n<p>People I believe, at least that&#8217;s my thoughts, were a little bit lost with all the sponsors, and all the tracks, and everything that was happening. It was still an amazing event. I love it. It was awesome. But yeah, maybe there was a little bit less engagement.</p>\n\n\n\n<p>And there were also other events, like in Asia, where it was just like WordCamp Asia, was just amazing. I&#8217;ve spoke with so many people that were interested about the product, about what we do. And it was something new, because it was the first time too. So I guess we&#8217;ll see like this year, next year, and the coming years how it&#8217;ll evolve. But I&#8217;m sure it could be positive.</p>\n\n\n\n<p>Yeah, maybe right now there is less engagement. But if we go back to the beginning of this conversation, I think the job of a lot of sponsors here, is to try to be innovative to attract people. It could be your booth. It could be the activities that we are doing.</p>\n\n\n\n<p>I think right now it is just, we are at a stage where we should all start to think about outside of the box, and think about crazy ideas that we could put together, to have people come interact with your product. But also with what you do inside of a company.</p>\n\n\n\n<p>[00:27:44] <strong>Nathan Wrigley:</strong> Yeah, I think Cate&#8217;s piece really is raising that question. So, maybe it&#8217;s off the back of data saying what you&#8217;ve just said, where the engagement is maybe down. And it&#8217;s curious that you found that the engagement was up in WordCamp Asia. So maybe that&#8217;s because they were doing things differently. Maybe they had a different, just a whole different approach, and they&#8217;re trying innovative new things. Certainly speaking to some of the organisers, that was very much the intent, was to try out some new things. And from your perspective, that seems to work.</p>\n\n\n\n<p>But as attendees of the events will know, the ticket price is incredibly low. And that is largely offset by sponsors. And so if sponsors, like Weglot, determine that the engagement, it&#8217;s going down. Maybe we shouldn&#8217;t sponsor this particular event. That then jeopardises the event in the future. So Cate&#8217;s piece, I guess, is trying to figure out if there are things which would attract the sponsors.</p>\n\n\n\n<p>So she&#8217;s suggesting things like demo rooms, and various other things are suggested in the chat. But she&#8217;s thinking things like, could we have a standalone room just for demos, for sponsors? Would it be possible to offer them different kind of packages? What would those packages contain? Could there be maybe some, I don&#8217;t know, an event which is at the end of the event as a whole, where the sponsors get up and get to give away prizes or something like that.</p>\n\n\n\n<p>The point is thinking out the box. And we did an episode a few weeks ago, which again I&#8217;ll link to in the show notes, where we&#8217;re talking about next gen events. And all of that, again, seems to be talking about a picture of, these events are after the pandemic at least. We&#8217;re struggling to get them back. We&#8217;re struggling for the sponsors to be interested. We&#8217;re struggling to get the numbers back. And so being innovative matters.</p>\n\n\n\n<p>Do you think that you&#8217;ll be, in the next five years, sponsoring these events at the same level, or do you have an intuition that you&#8217;ll be going your own route and trying things own way?</p>\n\n\n\n<p>[00:29:32] <strong>Thomas Fanchin:</strong> Yeah. If we&#8217;re talking about the flagship events, I know that next year we will still support all of them, which is great. I already know that for WordCamp Europe, we are going to have a really nice booth there. And everyone is right now working to be as innovative as possible, to make sure that everyone has a super nice experience entering into the Weglot booth. I hope it&#8217;s going to be amazing.</p>\n\n\n\n<p>In WordCamp Asia, I know that we are working right now on the booth, the concept and everything that we&#8217;re going to do there, which is awesome. And I think it&#8217;ll be the same for WordCamp US.</p>\n\n\n\n<p>On a more global perspective, I know that this year, we are not going to be global sponsors. But the reason behind it, is that we want to diversify the way that we support WordPress. And we are going to try to invest more into new initiatives, but also into contribution space, and into Five for the Future.</p>\n\n\n\n<p>But yeah, it doesn&#8217;t mean that we are stopping anything. We are still going to support the flagships, and other WordCamps too. We are going to be just more selective into the WordCamps that we are supporting.</p>\n\n\n\n<p>But I think, for us, it&#8217;s more the logistics behind supporting like all the events. It was hard to follow up. And we always had that goal in mind, that if we were going to be global sponsor, we wanted to have someone representing us in all the WordCamps.</p>\n\n\n\n<p>And unfortunately, we were not able to maintain that. It&#8217;s cool, not cool, but it&#8217;s like amazing to support all these events. But you need to make sure that, at least you have someone out there, and not only is there like an empty table with no goodies or with some goodies and no one there.</p>\n\n\n\n<p>And even the logistic behind like sending goodies in like, all the places in the world, it&#8217;s like crazy. And we were lucky. Now we have our event manager who is working with us, and she put together an amazing program for the goodies itself. So it was like something that she set up only for that. And we were able to work with ambassadors from a lot of places, which is also like super cool, because now we have more and more people working with us. But still it was hard for us to be able to be present everywhere, as we wanted to. So it&#8217;s part of the reason why. What was the initial question again? Maybe I got lost.</p>\n\n\n\n<p>[00:31:57] <strong>Nathan Wrigley:</strong> Yeah, it was really about whether or not you see the landscape in the next five years being the same as in the last five years. So, obviously money is tight everywhere.</p>\n\n\n\n<p>[00:32:07] <strong>Thomas Fanchin:</strong> I was speaking about this year, and about how we were going to support also like meetups too. So, I&#8217;m in touch with some meetup organisers too, and we&#8217;re going to support their meetups.</p>\n\n\n\n<p>I know that a lot of sponsors are struggling, and as we talk about it earlier, it&#8217;s hard to keep a track on everything that we&#8217;re doing. And for sure, if there is room for new types of sponsorship, or new types of visibility action that we can put together, it would be awesome.</p>\n\n\n\n<p>The thing that you have to keep in mind, is that it&#8217;s cool to have these new ideas, but we need to make sure that it aligns with the community. And that we don&#8217;t cross that line that we spoke about earlier. The more that people are positive about the new ideas that we have, and the better it is for us, because it means more people are going to engage.</p>\n\n\n\n<p>The last thing that you want to have is to put out there like some, I don&#8217;t know, new ideas, or new things to get more visibility. And what is going to happen is that you have less engagement, and then sponsors are going to be, okay, it&#8217;s not working. There is less engagement than before.</p>\n\n\n\n<p>[00:33:13] <strong>Nathan Wrigley:</strong> Yeah. I think the endeavor at the moment seems to be to try a lot of these new ideas out on what they&#8217;re calling next gen events. Whether that name will stick around or not, I don&#8217;t know. But the intention, really, is to try these out on the smaller events. So try out some new things, try a different approach at a variety of different events. Who knows what that will be, but there was an example of a much smaller, newer event in the UK not that long ago. See how they go, and see if any of the ideas from those can percolate up into the bigger events, possibly.</p>\n\n\n\n<p>But you&#8217;re right, you risk alienating the community at your peril. If at the end of the day you go over a boundary that the community seemingly can&#8217;t tolerate, then you risk polluting the entire river, which would be a complete disaster.</p>\n\n\n\n<p>So I guess we&#8217;re going to see. Let&#8217;s see how these things change in the future. Let&#8217;s see how companies cope with the realities of post 2023. Over the next few years, see what their purse strings are like, and let&#8217;s hope these events are continued to be sponsored by companies like Weglot.</p>\n\n\n\n<p>Thomas, just a quick one. If anybody has listened to this and thought, do you know what, I&#8217;m struggling with the same sorts of things, it would be nice to chat to Thomas, see if there&#8217;s any alignment. Maybe there&#8217;s some sort of opportunities to work together. Where would be the best place to get in touch with you?</p>\n\n\n\n<p>[00:34:24] <strong>Thomas Fanchin:</strong> Maybe on LinkedIn. You could all reach out to me on LinkedIn. I&#8217;m not posting every day, but i&#8217;m really reachable by message. So if anyone wants to reach out, talk about WordPress, talk about Five for the Future, or contribution, or you have a new podcast idea, you&#8217;re looking for support. Or you just want to discuss a little bit about partnership, feel free to reach out to me there.</p>\n\n\n\n<p>I also have a Twitter account. It&#8217;s my name, so Thomas Fanchin. Have a look at it on both LinkedIn and Twitter. You will find me, I&#8217;m almost sure.</p>\n\n\n\n<p>And otherwise, you could just reach out to the support team. If you want to reach out, support@weglot.com, and just say that you want to talk with Thomas, and I would be tagged. So that&#8217;s also easy if you want to reach out to me. So yeah, it up to you.</p>\n\n\n\n<p>[00:35:14] <strong>Nathan Wrigley:</strong> Thank you Thomas. I really appreciate you talking to me on the podcast today. Thanks so much indeed.</p>\n</div>\n\n\n\n<p>On the podcast today we have <a href=\"https://www.linkedin.com/in/thomas-fanchin-b31333137/\">Thomas Fanchin</a>.</p>\n\n\n\n<p>Thomas is a WordPress enthusiast and is the partnership manager for <a href=\"https://www.weglot.com/\">Weglot</a>, which is a solution for translating websites, not limited to WordPress. His role means that he’s immersed in the WordPress community. He’s passionate about connecting with, and learning from, others in the community.</p>\n\n\n\n<p>Thomas talks on the podcast about Weglot&#8217;s involvement in WordPress initiatives and events. We get into how they decide what to sponsor and what they hope to get in return.</p>\n\n\n\n<p>Thomas discusses the difficulties in tracking the effectiveness of marketing efforts at events. They’ve tried all manner of approaches, and we chat about the complex nature of measuring the return on investment, and whether it’s enough to have brand visibility as the only outcome.</p>\n\n\n\n<p>The conversation turns to the unique engagement opportunities within the WordPress and open source community, and whether these events are different from other, more corporate, events held elsewhere.</p>\n\n\n\n<p>Weglot operates both within and beyond the WordPress ecosystem, and Thomas shares the company&#8217;s focus on adaptability and replication in other communities. While profitability comparisons between WordPress and Shopify events are not easy to measure, Thomas acknowledges both platforms as strong partners for Weglot, expressing interest in engaging with new content management systems (CMS) and communities.</p>\n\n\n\n<p>Thomas wants to explore some innovative sponsor initiatives beyond typical events in the near future. He thinks that guest posts, supporting meetups, and sharing personal expertise might be potential ways for companies to effectively engage with the WordPress space.</p>\n\n\n\n<p>But not everything is new, and Thomas talks about Weglot&#8217;s approach towards flagship events like WordCamp Asia and WordCamp US. They are hard at work already figuring out what they’re going to bring along and how they’re always trying to think outside the box.</p>\n\n\n\n<p>If you&#8217;re interested in learning about the intricacies of sponsorships, the impact of sponsor engagement at events, and the future landscape of sponsor initiatives within the WordPress community, this episode is for you.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Useful links</h2>\n\n\n\n<p><a href=\"https://wordpress.org/five-for-the-future/\">Five for the Future</a></p>\n\n\n\n<p><a href=\"https://make.wordpress.org/polyglots/\">Translate WordPress</a></p>\n\n\n\n<p><a href=\"https://make.wordpress.org/community/2023/11/29/should-we-allow-sponsor-demo-rooms-or-tracks-at-events/\">Should We Allow Sponsor Demo Rooms or Tracks at Events?</a></p>\n\n\n\n<p><a href=\"https://wptavern.com/podcast/80-angela-jin-on-how-and-why-wordcamps-might-change-in-the-future\">Angela Jin on How and Why WordCamps Might Change in the Future</a></p>\n\n\n\n<p><a href=\"https://wptavern.com/podcast/98-marieke-van-de-rakt-on-uniting-the-wordpress-community-for-a-stronger-future\">Marieke van de Rakt on Uniting the WordPress Community for a Stronger Future</a></p>\n\n\n\n<p><a href=\"https://twitter.com/thomas_fch\">Thomas on X</a></p>\n\n\n\n<p><a href=\"https://www.linkedin.com/in/thomas-fanchin-b31333137/\">Thomas on LinkedIn</a></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 20 Dec 2023 15:00:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Nathan Wrigley\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:40;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:108:\"Do The Woo Community: A Post State of the Word Chat with Rocio Valdivia, Pooja Derashri &amp; José Ramón\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"https://dothewoo.io/?p=78732\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:96:\"https://dothewoo.io/a-post-state-of-the-word-chat-with-rocio-valdivia-pooja-derashri-jose-ramon/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:503:\"<p>Listen to insights and experiences in the Spanish WordPress community, features and updates announced at SOTW, plus getting involved in the WordPress community. </p>\n<p>&gt;&gt; The post <a href=\"https://dothewoo.io/a-post-state-of-the-word-chat-with-rocio-valdivia-pooja-derashri-jose-ramon/\">A Post State of the Word Chat with Rocio Valdivia, Pooja Derashri &#038; José Ramón</a> appeared first on <a href=\"https://dothewoo.io\">Do the Woo - a WooCommerce and WordPress Builder Podcast</a>	.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 20 Dec 2023 08:50:41 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"BobWP\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:41;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:254:\"HeroPress: My Journey From an Intern to WordPress Themes Team Reps – मेरो यात्रा: एक प्रशिक्षार्थीबाट वर्डप्रेस थिम्स टीम प्रतिनिधिसम्म\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:56:\"https://heropress.com/?post_type=heropress-essays&p=6254\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:184:\"https://heropress.com/essays/my-journey-from-an-intern-to-wordpress-themes-team-lead/#utm_source=rss&utm_medium=rss&utm_campaign=my-journey-from-an-intern-to-wordpress-themes-team-lead\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:59265:\"<img width=\"1024\" height=\"512\" src=\"https://heropress.com/wp-content/uploads/2023/12/121923-min.jpg\" class=\"attachment-large size-large wp-post-image\" alt=\"Pull Quote: Being part of WordCamps is like unlocking a door to a whole new world.\" /><p><a href=\"https://heropress.com/feed/#nepali\">यो लेख नेपाली भाषामा पनि उपलब्ध छ।</a></p>\n\n\n\n<p><em>Writing this essay brings me immense joy!</em>&nbsp;</p>\n\n\n\n<p>I am from a remote corner of Nepal, where a unique culture emerged, the tradition of taking computer classes after completing <span title=\"School Leaving Certificate\"><a href=\"https://en.wikipedia.org/wiki/School_Leaving_Certificate_(Nepal)\">SLC</a></span>. It was a time when nearly 2-5% of students embraced this opportunity. I also joined them in the excitement of learning how to use a computer.</p>\n\n\n\n<p>Our teacher kept emphasizing the importance of learning how to type. But sometimes, when he wasn&#8217;t around, we would search for the Internet icon, hoping to find interesting things. Sadly, we didn&#8217;t have an internet connection, but we still tried our best.   </p>\n\n\n\n<p>Also, in our little learning space, every chance to use a computer felt special. These early experiences, a mix of fear and curiosity, laid the foundation for our technology journey.&nbsp;</p>\n\n\n\n<p>It&#8217;s proof of our eagerness to learn, even when resources were limited.&nbsp;</p>\n\n\n\n<p>Looking back, those moments of exploring and trying to connect with the wider digital world were like planting seeds of curiosity. Which later grew into a strong love for technology.</p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-a-glimpse-into-my-roots\">A Glimpse into My Roots</h2>\n\n\n\n<p>Let&#8217;s stroll through my tech journey, from mastering algorithms to leading the WordPress theme team. It all began after completing ISC (Intermediate of Science) and believe it or not, it happened in a government school.</p>\n\n\n\n<p>After finishing school, I had to choose a path, and I went with IT. Now, the funny part is, that I was at a friend&#8217;s house one day, and I saw this cool digital ID card. I asked my friend about it, and he said it was the college ID card. At that moment, I thought, <strong>&#8220;If I study IT, I can get a modern ID card like this!&#8221;</strong></p>\n\n\n\n<p><strong><em>The interesting twist is that I ended up being the topper in the entrance exam for IT.</em></strong>&nbsp;</p>\n\n\n\n<p>When I joined, there were only 15-16 students. Surprisingly, only 7 of us made it through the entire degree because many decided to go to India, and some just realized IT wasn&#8217;t their thing. At that time, only a few people were keen on the IT field.</p>\n\n\n\n<p>During my studies, programming code seemed like a puzzle to me. It was challenging to wrap my head around it. However, when we started experimenting and learning to give commands, the real-time working of it all was still a mystery.</p>\n\n\n\n<p>As I neared the completion of my bachelor&#8217;s degree, technology was booming, and companies began realizing the importance of having a website. Simultaneously, I got involved in some social sector work, and people there started asking about IT. To understand this field better, I participated in IT events, and that&#8217;s when it hit me, I needed to do something significant in this field.</p>\n\n\n\n<p>Fast forward, armed with a bachelor&#8217;s in Information Technology from Purbanchal University. In the 3rd &#8211; 4th semester, I wasn&#8217;t entirely sure what I would be working on afterwards.&nbsp;</p>\n\n\n\n<p><strong><em>But being in this field made me realize that your degree doesn&#8217;t define what you can achieve. It&#8217;s the passion and dedication that truly matter.</em></strong></p>\n\n\n\n<p>Following my bachelor&#8217;s, the next step in my journey was pursuing a master&#8217;s degree to become a specialist. This led me to Sikkim Manipal University, where I immersed myself in the world of Information Technology from 2015 to 2017.</p>\n\n\n\n<p>Well, it wasn&#8217;t just about learning Computer Science. It was a hands-on experience with a keen focus on the latest technology and software development.&nbsp;</p>\n\n\n\n<p>During my time there, I specialized in object-oriented software development, using the newest tools and systems available. The tech adventure included delving into courses like algorithm analysis, web applications programming, and more.&nbsp;</p>\n\n\n\n<p><strong><em>Providing me with a robust skill set to navigate the ever-evolving tech world.</em></strong></p>\n\n\n\n<p>As I lead the WordPress theme team today, my journey from being an intern is a vibrant mix of continuous learning, personal growth, and a profound passion for shaping the digital landscape.&nbsp;</p>\n\n\n\n<p><strong><em>Join me in this exciting tech adventure, where every challenge is an opportunity to innovate and evolve!</em></strong></p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-attending-and-organizing-my-first-wordpress-meetup\">Attending and Organizing My First WordPress Meetup</h2>\n\n\n\n<p>Here&#8217;s an interesting part of how I got involved in WordPress. Back then, we used to install WordPress, add content to websites, and get paid NPR 5,000 for a website. We were thrilled with that!</p>\n\n\n\n<p>Later on, during the <strong>&#8220;<a href=\"https://en.wikipedia.org/wiki/Bibeksheel_Nepali\">Bibeksheel Nepali</a>&#8221; </strong>movement led by the late <a href=\"https://kafleg.com.np/an-open-letter-to-matt-mullenweg/\"><strong>Mr Ujwal Thapa</strong></a>, I got to know him. We participated in walking events together, covering the stretch from Mechi to Lumbini for a few days.&nbsp;</p>\n\n\n\n<p>During that time, Mr. Thapa emphasized the importance of contributing to the community and working together. He taught me that it&#8217;s not just about me learning and earning, everyone should have that opportunity. That changed my entire mindset!</p>\n\n\n\n<p>Now, let me take you back to 2010 when I attended my first WordPress meetup. In a gathering of 40-50 people, we discussed the basics of WordPress and how to create a site.&nbsp;</p>\n\n\n\n<p>After 2 years in 2012, I got a chance to organise a WordPress meetup. It was there that I discovered someone who created WordPress themes.&nbsp;</p>\n\n\n\n<p>I was both shocked and enthusiastic! That night, I went home, and searched for &#8220;Catch Themes&#8221; and &#8220;Graph Paper Press,&#8221; and that&#8217;s when my exploration began.</p>\n\n\n\n<p>After that, I stopped using themes from others and started exploring Catch Box of Catch Themes.&nbsp;</p>\n\n\n\n<p>Back then, I had just heard about WordPress and was eager to explore its potential. Little did I know that this casual meetup would mark the beginning of an incredible journey.</p>\n\n\n\n<p>But the experience was exhilarating, bringing together WordPress enthusiasts, sharing ideas, and building a sense of community.&nbsp;</p>\n\n\n\n<p><strong><em>It felt like planting a seed that would grow into something much larger.</em></strong></p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-volunteering-in-first-wordcamp-to-leading-contributor-day-in-wc-asia\">Volunteering in First WordCamp to Leading Contributor Day in WC Asia</h2>\n\n\n\n<p>Now moving into my WordCamp journey!&nbsp;</p>\n\n\n\n<p>After completing my bachelor&#8217;s, I came to Kathmandu in 2014. Luckily, I had the opportunity to volunteer at a WordCamp event with the help of Mr. Ujwal Thapa. Knowing the organizers made it easy for me to blend in among them.&nbsp;</p>\n\n\n\n<p>It was an exciting experience for me! From that point on, my world has revolved around WordPress, and I haven&#8217;t seen anything quite like it.</p>\n\n\n<div class=\"kb-gallery-wrap-id-6254_16174c-0b alignnone wp-block-kadence-advancedgallery\"><ul class=\"kb-gallery-ul kb-gallery-non-static kb-gallery-type-grid kb-gallery-id-6254_16174c-0b kb-gallery-caption-style-bottom-hover kb-gallery-filter-none kb-gallery-magnific-init\"><li class=\"kadence-blocks-gallery-item\"><div class=\"kadence-blocks-gallery-item-inner\"><a href=\"https://heropress.com/wp-content/uploads/2023/12/45717552634_4b10a9f688_k.jpg\" class=\"kb-gallery-item-link\"><div class=\"kb-gal-image-radius\"><div class=\"kb-gallery-image-contain kadence-blocks-gallery-intrinsic kb-gallery-image-ratio-land32 kb-has-image-ratio-land32\"><img src=\"https://heropress.com/wp-content/uploads/2023/12/45717552634_4b10a9f688_k-1024x579.jpg\" width=\"1024\" height=\"579\" alt=\"\" class=\"wp-image-6259\" /></div><div class=\"kadence-blocks-gallery-item__caption\">WordCamp Biratnagar 2018</div></div></a></div></li><li class=\"kadence-blocks-gallery-item\"><div class=\"kadence-blocks-gallery-item-inner\"><a href=\"https://heropress.com/wp-content/uploads/2023/12/contributorday_tableleads_organizers.jpg\" class=\"kb-gallery-item-link\"><div class=\"kb-gal-image-radius\"><div class=\"kb-gallery-image-contain kadence-blocks-gallery-intrinsic kb-gallery-image-ratio-land32 kb-has-image-ratio-land32\"><img src=\"https://heropress.com/wp-content/uploads/2023/12/contributorday_tableleads_organizers-1024x683.jpg\" width=\"1024\" height=\"683\" alt=\"\" class=\"wp-image-6260\" /></div><div class=\"kadence-blocks-gallery-item__caption\">Contributor Day table leads and organizers of WC Asia 2023</div></div></a></div></li><li class=\"kadence-blocks-gallery-item\"><div class=\"kadence-blocks-gallery-item-inner\"><a href=\"https://heropress.com/wp-content/uploads/2023/12/ujwal_3.jpg\" class=\"kb-gallery-item-link\"><div class=\"kb-gal-image-radius\"><div class=\"kb-gallery-image-contain kadence-blocks-gallery-intrinsic kb-gallery-image-ratio-land32 kb-has-image-ratio-land32\"><img src=\"https://heropress.com/wp-content/uploads/2023/12/ujwal_3.jpg\" width=\"960\" height=\"720\" alt=\"\" class=\"wp-image-6261\" /></div><div class=\"kadence-blocks-gallery-item__caption\">Mr Ujwal Thapa speaking in WordPress Meetup</div></div></a></div></li><li class=\"kadence-blocks-gallery-item\"><div class=\"kadence-blocks-gallery-item-inner\"><a href=\"https://heropress.com/wp-content/uploads/2023/12/with_worpdressers.jpg\" class=\"kb-gallery-item-link\"><div class=\"kb-gal-image-radius\"><div class=\"kb-gallery-image-contain kadence-blocks-gallery-intrinsic kb-gallery-image-ratio-land32 kb-has-image-ratio-land32\"><img src=\"https://heropress.com/wp-content/uploads/2023/12/with_worpdressers-1024x768.jpg\" width=\"1024\" height=\"768\" alt=\"\" class=\"wp-image-6262\" /></div><div class=\"kadence-blocks-gallery-item__caption\">WordCamp Asia 2023</div></div></a></div></li></ul></div>\n\n\n<p>On to the year 2015, I ventured into the theme reviewing team, delving into the intricate world of WordPress themes. The learning curve was steep, but the satisfaction of contributing to the WordPress ecosystem was unparalleled. Since 2018, I have been working as a team reps.</p>\n\n\n\n<p>My WordCamp journey became a tapestry of experiences, from <strong>WordCamp Nepal in 2014</strong> to various international events like <strong>WordCamp Tokyo in 2017</strong>, <strong>WordCamp Bangkok in 2019</strong>, and more.</p>\n\n\n\n<p>Further, I got the golden chance to organize <a href=\"https://biratnagar.wordcamp.org/2018/\"><strong>WordCamp Biratnagar 2018</strong></a><strong> </strong>as a lead. At that moment, there were very few companies who relied on WordPress to earn. It was a hassle to convince people to attend and let them know about WordPress. But we made it successful though!</p>\n\n\n\n<p>The years rolled on, and by 2023, I found myself organizing <strong>WordCamp Kathmandu </strong>once again, alongside events in Sylhet, Mumbai, and Manila. The swift of WordCamps continued into 2024, with Nepal and Asia taking the spotlight again.</p>\n\n\n\n<p>Reflecting on these years, I&#8217;ve not just attended events, I&#8217;ve woven connections, shared laughter, and learned valuable lessons. Also, personal anecdotes, like meeting fellow WordPress enthusiasts in unexpected places, make these WordCamps memorable.</p>\n\n\n\n<p>Looking forward, I&#8217;m thrilled about the upcoming WordCamps and the new experiences they&#8217;ll bring. Each event adds something special to my journey with WordPress, like a unique stroke on a canvas. The adventure goes on, driven by my love for WordPress and the incredible community that makes it all meaningful.</p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-growth-in-career-from-volunteer-to-full-time-wordpress\">Growth in Career From Volunteer to Full-time WordPress</h2>\n\n\n\n<p>In the vibrant world of WordPress, I wear multiple hats with pride. By day, I&#8217;m a WordPress Developer and Theme Reviewer, channeling my passion into crafting digital experiences that stand out. </p>\n\n\n\n<p>My role as a team representative for the WordPress.org themes team, contributing full-time isn&#8217;t just a job, it&#8217;s a joyous commitment that I hold close to my heart.</p>\n\n\n\n<p><strong><em>Adding a special touch to this journey is the honor of being sponsored by Rank Math.&nbsp;</em></strong></p>\n\n\n\n<p>This collaboration with <a href=\"https://rankmath.com/\"><strong>Rank Math</strong></a><strong> </strong>goes beyond the professional, it&#8217;s a shared dedication to the vibrant WordPress community that fuels my passion.</p>\n\n\n\n<p>Now, let me share a bit about how this sponsorship unfolded. Well, <strong>Rank Math </strong>was on the lookout for someone to sponsor, and in that pivotal moment, I had the privilege of connecting with <strong>Bhanu Ahluwalia</strong>, the Co-founder of Rank Math.&nbsp;</p>\n\n\n\n<p>Our conversation became more than just a chat; it became the catalyst that made the sponsorship a reality. Working full-time suddenly transformed from a dream to a tangible experience.&nbsp;</p>\n\n\n\n<p>Beyond the lines of code, my free time transforms into moments of contribution. I find comfort in adding my touch to the WordPress documentation team, weaving words that guide fellow enthusiasts through the vast WordPress landscape.&nbsp;</p>\n\n\n\n<p><strong>My involvement extends:</strong></p>\n\n\n\n<ul>\n<li>As a WordCamp speaker</li>\n\n\n\n<li>Organize WordCamp as a lead organizer</li>\n\n\n\n<li>Volunteer in different WordCamps and tech events</li>\n\n\n\n<li>Worke in diverse fields like core contributions, and translation, and even dived into theme/plugin development.</li>\n</ul>\n\n\n\n<p><strong>If you&#8217;re curious about my take on these standards, you can catch a glimpse of my <a href=\"https://wordpress.tv/speakers/ganga-kafle/\">WordCamp presentation video</a>.</strong></p>\n\n\n\n<p>But my WordPress journey isn&#8217;t confined to screens, it extends to the heartbeat of meetups and open-source platforms. Actively participating and engaging with the community is not just a routine, it&#8217;s a source of inspiration and connection.</p>\n\n\n\n<p>When I&#8217;m not crafting code or contributing, you&#8217;ll find me at the seat of WPEntire, my WordPress blog, sharing insights and experiences. It&#8217;s not just a blog, it&#8217;s a canvas where my WordPress journey finds another expressive outlet.</p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-10-years-of-volunteering-and-getting-sponsored-by-rank-math\">10 Years of Volunteering and Getting Sponsored By Rank Math</h2>\n\n\n\n<p>I&#8217;ve been part of the WordPress community for more than ten years, volunteering and sharing my love for technology. It&#8217;s been an exciting journey, from learning the ropes to contributing to a global community.</p>\n\n\n\n<p>Being a volunteer isn&#8217;t just about coding; it&#8217;s a personal adventure of growth and connection. Every bit of code feels like a step in a journey filled with innovation and learning.</p>\n\n\n\n<p>A significant part of this journey has been the support from Rank Math. Their sponsorship isn&#8217;t just financial help; it&#8217;s a vote of confidence. It encourages me to keep contributing to a community that has become a vital part of my life.</p>\n\n\n\n<p>This collaboration with Rank Math goes beyond code. It&#8217;s a shared belief in WordPress and the power of working together. As I look back at the past ten years, I see a story of learning, growing, and building friendships.&nbsp;</p>\n\n\n\n<p>Every WordCamp and meetup is like adding a stroke to my WordPress story. I&#8217;m excited about what the future holds, and the support from Rank Math adds a personal touch to my journey with WordPress.</p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-a-gateway-to-explore-the-world\">A Gateway to Explore the World</h2>\n\n\n\n<p>Being part of WordCamps is like unlocking a door to a whole new world. It&#8217;s not just about learning techie stuff, it&#8217;s about meeting people from all over and discovering how big and diverse our world is.</p>\n\n\n\n<p>Imagine a big gathering where folks who love working with WordPress come together. It&#8217;s like a big family reunion but with people from different countries and cultures. In this mix, we share ideas, solve problems, and learn from each other.</p>\n\n\n\n<p>For me, WordCamps has been a game-changer. They go beyond talking about websites. They help us understand each other&#8217;s worlds.&nbsp;</p>\n\n\n\n<p>When I spoke at WordCamp Manila and WordCamp Mumbai, it wasn&#8217;t just about WordPress tricks. It was about learning how people in different places use WordPress to solve unique challenges.</p>\n\n\n\n<p>At WordCamp Asia, being in charge of a team with people from all over was a bit like having a superhero squad. We had different skills and backgrounds, and that made us strong. It taught me that when we bring our unique strengths together, amazing things happen.</p>\n\n\n\n<p>But WordCamps aren&#8217;t just about work. They&#8217;re about making friends from places you&#8217;ve never been. Sharing stories about how we do things in our hometowns and realizing that even though we&#8217;re different, we&#8217;re also pretty similar.</p>\n\n\n\n<p>So, WordCamps have become more than just events for me. They&#8217;ve opened up a whole world of friendships, learning, and exploring different cultures. It&#8217;s like having a passport to a global community where everyone speaks the language of WordPress and friendship.</p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-my-thoughts\">My Thoughts</h2>\n\n\n\n<p>Sure, if you&#8217;re in the IT field, you can find internships on your own by doing some research. Don&#8217;t hesitate to apply and use your resources.</p>\n\n\n\n<p>For those interested in WordPress, consider spending 3-6 months as an intern. Instead of just thinking about money, focus on learning and gaining experience.&nbsp;</p>\n\n\n\n<p>WordPress is not just for blogs, it&#8217;s also a place for programming where you can make money. Depending on your skills, you can find jobs in writing, front-end development, and more.</p>\n\n\n\n<p>Surprisingly, you can even work as an HR for US companies while living in Nepal without being there physically. Being a developer is also not too difficult. If you work within the WordPress community, companies might sponsor you.</p>\n\n\n\n<p>Remember, as WordPress grows, more companies will want people like you. Technology and WordPress are always changing. For developers, it means earning in new ways. For others, it&#8217;s a chance for something new; bloggers can improve their blogs, and writers can create fresh content.</p>\n\n\n\n<p>So, WordPress offers opportunities for everyone involved. Ways of working and patterns might change, but you’ll never be outdated!</p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity\" />\n\n\n\n<h2 class=\"wp-block-heading\" id=\"nepali\">मेरो यात्रा: एक प्रशिक्षार्थीबाट वर्डप्रेस थिम्स टीम प्रतिनिधिसम्म</h2>\n\n\n\n<p>यो निबन्ध लेख्दा मलाई अपार आनन्द मिलेको छ !</p>\n\n\n\n<p>म नेपालको एउटा दुर्गम कुनाबाट आएको हुँ, जहाँ एक अनौठो संस्कृतिको उदय भयो, एसएलसी पूरा गरेपछि कम्प्युटर कक्षा लिने परम्परा। यो एक समय थियो जब लगभग २-५% विद्यार्थीहरूले यो अवसरलाई अँगालेका थिए!</p>\n\n\n\n<p>हाम्रा शिक्षकले टाईपिङ्ग गर्न सिक्नुको महत्त्वलाई जोड दिनुहुन्थ्यो तर कहिलेकाहीँ, जब उहाँ वरपर हुनुहुन्थ्यो, हामी रोचक चीजहरू फेला पार्ने आशामा इन्टरनेट आइकनको प्रयोग गर्थ्यौं। दुर्भाग्यवश, हामीसँग इन्टरनेट जडान थिएन, तर हामीले अझै पनि सक्दो प्रयास गर्थ्यौं।&nbsp;</p>\n\n\n\n<p>हाम्रो सानो सिक्ने ठाउँमा, कम्प्युटर प्रयोग गर्ने हरेक मौका विशेष महसुस गर्थ्यौं। यी प्रारम्भिक अनुभवहरू, डर र जिज्ञासाको मिश्रणले हाम्रो टेक्नोलोजी यात्राको जग बसाल्यो।</p>\n\n\n\n<p>यो हाम्रो सिक्न उत्सुकताको प्रमाण हो, स्रोतहरू सीमित हुँदा पनि।</p>\n\n\n\n<p>फर्केर हेर्दा, अन्वेषण गर्ने र फराकिलो डिजिटल संसारसँग जोडिने प्रयास गर्ने ती क्षणहरू जिज्ञासाको बीउ रोप्ने जस्तै थिए। जुन पछि प्रविधिप्रतिको बलियो प्रेममा परिणत भयो।</p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-म-र-धर-तलहर-म-एक-झलक\">मेरो धरातलहरुमा एक झलक</h2>\n\n\n\n<p>प्रबिधि बिषयमा बिज्ञता हासिल गर्नदेखि वर्डप्रेस थिम टोलीको नेतृत्व गर्नेसम्मको मेरो प्राविधिक यात्रामा घुमौं। यो सबै ISC पूरा गरेपछि सुरु भयो र पत्याउनुहोस् वा नपत्याउनुहोस् , यो एक सरकारी विद्यालयमा भयो।</p>\n\n\n\n<p>स्कूल सकिएपछि, मैले बाटो रोज्नुपर्&#x200d;यो, र म आईटीसँग गएँ। अब, रमाइलो पक्ष के हो, म एक दिन साथीको घरमा गएको थिएँ, र मैले त्यस दिन साथीको राम्रो डिजिटल आईडी कार्ड देखे। मैले मेरो साथीलाई यसको बारेमा सोधें, र उसले यो कलेजको परिचयपत्र हो भन्यो। त्यो पल, मैले सोचे, &#8220;यदि मैले आईटी पढे भने, मैले पनि&nbsp; यस्तो आधुनिक आईडी कार्ड पाउछु!&#8221;</p>\n\n\n\n<blockquote class=\"wp-block-quote\">\n<p>चाखलाग्दो ट्विस्ट यो हो कि म IT को लागी प्रवेश परीक्षामा टपर पनि भएँ।</p>\n</blockquote>\n\n\n\n<p>म भर्ना हुँदा १५-१६ जना मात्र विद्यार्थी थिए। अचम्मको कुरा के छ भने, हामीमध्ये ७ जनाले मात्रै पूरा डिग्री हासिल गर्&#x200d;यौं किनभने धेरैले भारत जाने निर्णय गरे, र कतिपयले केहि समय पछि IT उनीहरूको कुरा होइन भन्ने महसुस गरे। त्यसबेला आईटी क्षेत्रमा थोरै मानिस मात्रै इच्छुक थिए । धेरैको रोजाई इन्जिनियर हुने हुन्थो।</p>\n\n\n\n<p>मेरो अध्ययनको क्रममा, प्रोग्रामिङ कोड मलाई के हो के हो जस्तो लाग्थ्यो। मेरो दिमागमा सहजै बस्नु चुनौतीपूर्ण थियो। जब हामीले प्रयोगशालामा प्रयोग गर्न थाल्यौं, आदेशहरू दिन सिक्यौं, त्यै पनि त्यो अझै रहस्यमय थियो ।</p>\n\n\n\n<p>जब मेरो स्नातक डिग्री पूरा गर्ने समय नजिक थियो, टेक्नोलोजी फस्टाउँदै थियो, र कम्पनीहरूले वेबसाइट हुनुको महत्त्व महसुस गर्न थाले। यससँगै म केही सामाजिक क्षेत्रको काममा संलग्न भएँ र त्यहाँका मानिसहरूले IT बारे सोध्न थाले। यस क्षेत्रलाई अझ राम्ररी बुझ्नको लागि, मैले IT कार्यक्रमहरूमा भाग लिएँ, र जब यसले मलाई छोयो, मैले यस क्षेत्रमा केही महत्त्वपूर्ण गर्न आवश्यक ठानेको थिए ।</p>\n\n\n\n<p>पूर्वाञ्चल विश्वविद्यालयबाट सूचना प्रविधिमा स्नातक हासिल गरे। पहिला तेश्रो चौथो सेमेस्टर सम्म पनि पछि&nbsp; म पछि के काम गर्नेछु भनेर पूर्णतया निश्चित थिएन।</p>\n\n\n\n<p><strong>तर यस क्षेत्रमा भएकोले मलाई तपाईको डिग्रीले तपाईले के हासिल गर्न सक्नुहुन्छ भनेर परिभाषित गर्दैन भन्ने महसुस गरायो। यो जोश र समर्पण हो जुन साँच्चै महत्त्वपूर्ण छ।</strong></p>\n\n\n\n<p>मेरो स्नातक पछि, मेरो यात्राको अर्को चरण एक विशेषज्ञ बन्नको लागि मास्टर डिग्री पछ्याउँदै थियो। यसले मलाई सिक्किम मणिपाल विश्वविद्यालयमा पुर्यायो, जहाँ मैले २०१५ देखि २०१७ सम्म सूचना प्रविधिको संसारमा डुबें।</p>\n\n\n\n<p>यो कम्प्यूटर विज्ञान सिक्ने बारेमा मात्र थिएन। यो नवीनतम प्रविधि र सफ्टवेयर विकासमा गहिरो ध्यान अनुभव गराउने थलो थियो।</p>\n\n\n\n<p>त्यहाँ मेरो समयको दौडान, उपलब्ध नयाँ उपकरण र प्रणालीहरू प्रयोग गरेर वस्तु-उन्मुख सफ्टवेयर विकासमा विशेषज्ञता हासिल गरें। मैले यहाँ धेरै प्रोग्रमिंग भाषाहरु र अन्य कुराहरु सिके ।</p>\n\n\n\n<p>यसले मलाई सधैं विकसित हुँदै गइरहेको प्राविधिक संसारमा हिनडुल गर्नको लागि बलियो सीप प्रदान गर्दै थियो।</p>\n\n\n\n<p>आज मैले वर्डप्रेस थिम टोलीको नेतृत्व गर्नु, इन्टर्नबाट मेरो यात्रा निरन्तर सिकाइ, व्यक्तिगत वृद्धि, र डिजिटल परिदृश्यलाई आकार दिनको लागि गहिरो जोशको जीवन्त मिश्रण हो।</p>\n\n\n\n<p>यो रोमाञ्चक प्राविधिक साहसिक कार्यमा मसँग सामेल हुनुहोस्, जहाँ हरेक चुनौती नवीनता र विकास गर्ने अवसर हो!</p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-म-र-पह-ल-वर-डप-र-स-म-टअपम-सहभ-ग-ह-द-र-आय-जन-गर-द\">मेरो पहिलो वर्डप्रेस मिटअपमा सहभागी हुँदै र आयोजन गर्दै</h2>\n\n\n\n<p><br />यहाँ म कसरी वर्डप्रेसमा संलग्न भएँ को एक रोचक कहानी छ। त्यसबेला, हामीले वर्डप्रेस स्थापना गर्ने, वेबसाइटहरूमा सामग्री थप्ने र साइटका लागि नेपाली ५,000 लिने गर्दथ्यौं। हामी त्यो संग रोमाञ्चित भयौ!</p>\n\n\n\n<p>पछि स्वर्गीय <a href=\"https://kafleg.com.np/an-open-letter-to-matt-mullenweg/\">उज्वल थापाको</a> नेतृत्वमा भएको ‘<a href=\"https://en.wikipedia.org/wiki/Bibeksheel_Nepali\">विवेकशील नेपाली</a>’ आन्दोलनको क्रममा मैले उहाँलाई चिनेँ । मेचीदेखि लुम्बिनीसम्म केही दिनसम्म सँगै हिँड्ने कार्यक्रममा भाग लिए।</p>\n\n\n\n<p>सो क्रममा श्री थापाले समुदायमा योगदान र मिलेर काम गर्नुपर्नेमा जोड दिए । उनले मलाई सिक्ने र कमाउने मात्र होइन, सबैले त्यो अवसर पाउनुपर्छ भनेर सिकाए। यसले मेरो सम्पूर्ण मानसिकता परिवर्तन गर्यो।&nbsp;</p>\n\n\n\n<p>अब, म तपाइँलाई २०१० मा फिर्ता लैजान चाहन्छु जब मैले मेरो पहिलो वर्डप्रेस भेटघाटमा भाग लिएको थिएँ। करिब ४०-५० व्यक्तिहरूको भेलामा, हामीले वर्डप्रेसको आधारभूत कुराहरू र कसरी साइट सिर्जना गर्ने बारे छलफल गर्यौं।</p>\n\n\n\n<p>२०१२ मा २ वर्ष पछि, मैले वर्डप्रेस मिटअप आयोजना गर्ने मौका पाएँ। त्यहाँ मैले वर्डप्रेस थिम सिर्जना गर्ने व्यक्ति हरुलाई चिने ।</p>\n\n\n\n<p>म स्तब्ध र उत्साहित दुवै थिएँ । त्यो रात, म घर गएँ, र &#8220;क्याच थिम&#8221; र &#8220;ग्राफ पेपर प्रेस&#8221; खोजेँ र त्यही बेला मेरो अन्वेषण सुरु भयो।</p>\n\n\n\n<p>त्यस पछि, मैले अरूबाट बनेका थिमहरू प्रयोग गर्न छोडें र क्याच थिमको थिम क्याच बक्स अन्वेषण गर्न थाले।</p>\n\n\n\n<p>त्यसबेला, मैले भर्खरै वर्डप्रेसको बारेमा सुनेको थिएँ र यसको सम्भाव्यता अन्वेषण गर्न उत्सुक थिएँ। यो अनौपचारिक भेटघाटले अविश्वसनीय यात्राको सुरुवात गर्नेछ भन्ने कुरा मलाई कमै थाहा थियो।</p>\n\n\n\n<p>तर त्यो बेलाको अनुभव रमाइलो थियो, वर्डप्रेस उत्साहीहरूलाई सँगै ल्याउने, विचारहरू साझा गर्ने, र समुदायको भावना निर्माण गर्ने।</p>\n\n\n\n<p><strong>यो एउटा बीउ रोपेको जस्तो महसुस भयो जुन पछि धेरै ठूलो बन्नेछ।</strong></p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-पह-ल-वर-डक-य-म-पम-स-वय-स-वक-भएर-सहभ-ग-ह-द-र-वर-डक-य-म-प-एश-य-क-कन-ट-र-ब-य-टर-ड-म-अग-व-ई-गर-द\">पहिलो वर्डक्याम्पमा स्वयंसेवक भएर सहभागी हुँदै र वर्डक्याम्प एशियाको कन्ट्रिब्यूटर डे मा अगुवाई गर्दै</h2>\n\n\n\n<p>अब मेरो वर्डक्याम्प यात्रामा जाउँ ।&nbsp;</p>\n\n\n\n<p>मैले स्नातक पूरा गरेपछि, म २०१४ मा काठमाडौं आएँ। सौभाग्यवश, मैले श्री उज्ज्वल थापाको सहयोगमा वर्डक्याम्प कार्यक्रममा स्वयंसेवक हुने मौका पाएँ। आयोजकहरू चिन्दा मलाई तिनीहरूबीच घुलमिल हुन सजिलो भयो।</p>\n\n\n\n<p>यो मेरो लागि एक रोमाञ्चक अनुभव थियो । त्यस बिन्दु देखि, मेरो संसार वर्डप्रेसको वरिपरि घुमेको छ, र मैले यो जस्तो केहि देखेको छैन।</p>\n\n\n<div class=\"kb-gallery-wrap-id-6254_db195f-01 alignnone wp-block-kadence-advancedgallery\"><ul class=\"kb-gallery-ul kb-gallery-non-static kb-gallery-type-grid kb-gallery-id-6254_db195f-01 kb-gallery-caption-style-bottom kb-gallery-filter-none\"><li class=\"kadence-blocks-gallery-item\"><div class=\"kadence-blocks-gallery-item-inner\"><div class=\"kb-gal-image-radius\"><div class=\"kb-gallery-image-contain kadence-blocks-gallery-intrinsic kb-gallery-image-ratio-land32 kb-has-image-ratio-land32\"><img src=\"https://heropress.com/wp-content/uploads/2023/12/with_worpdressers-1024x768.jpg\" width=\"1024\" height=\"768\" alt=\"\" class=\"wp-image-6262\" /></div><div class=\"kadence-blocks-gallery-item__caption\">WordCamp Asia 2023 </div></div></div></li><li class=\"kadence-blocks-gallery-item\"><div class=\"kadence-blocks-gallery-item-inner\"><div class=\"kb-gal-image-radius\"><div class=\"kb-gallery-image-contain kadence-blocks-gallery-intrinsic kb-gallery-image-ratio-land32 kb-has-image-ratio-land32\"><img src=\"https://heropress.com/wp-content/uploads/2023/12/ujwal_3.jpg\" width=\"960\" height=\"720\" alt=\"\" class=\"wp-image-6261\" /></div><div class=\"kadence-blocks-gallery-item__caption\">Mr Ujwal Thapa speaking in WordPress Meetup</div></div></div></li><li class=\"kadence-blocks-gallery-item\"><div class=\"kadence-blocks-gallery-item-inner\"><div class=\"kb-gal-image-radius\"><div class=\"kb-gallery-image-contain kadence-blocks-gallery-intrinsic kb-gallery-image-ratio-land32 kb-has-image-ratio-land32\"><img src=\"https://heropress.com/wp-content/uploads/2023/12/contributorday_tableleads_organizers-1024x683.jpg\" width=\"1024\" height=\"683\" alt=\"\" class=\"wp-image-6260\" /></div><div class=\"kadence-blocks-gallery-item__caption\">Contributor Day table leads and organizers of WC Asia 2023</div></div></div></li><li class=\"kadence-blocks-gallery-item\"><div class=\"kadence-blocks-gallery-item-inner\"><div class=\"kb-gal-image-radius\"><div class=\"kb-gallery-image-contain kadence-blocks-gallery-intrinsic kb-gallery-image-ratio-land32 kb-has-image-ratio-land32\"><img src=\"https://heropress.com/wp-content/uploads/2023/12/45717552634_4b10a9f688_k-1024x579.jpg\" width=\"1024\" height=\"579\" alt=\"\" class=\"wp-image-6259\" /></div><div class=\"kadence-blocks-gallery-item__caption\">WordCamp Biratnagar 2018</div></div></div></li></ul></div>\n\n\n<p>२०१५ मा मैले वर्डप्रेस थिमहरूको जटिल संसारमा खोज्दै थिम समीक्षा टोलीमा प्रवेश गरें। सिक्ने क्रम ठाडो थियो, तर वर्डप्रेस संरचनामा योगदान गरेको सन्तुष्टि अतुलनीय थियो। २०१८ देखि, म टोली नेतृत्वको रूपमा काम गर्दैछु।</p>\n\n\n\n<p>मेरो वर्डक्याम्प यात्रा सन् <strong>२०१४ मा वर्डक्याम्प नेपाल</strong>देखि <strong>२०१७ मा वर्डक्याम्प टोकियो</strong>, <strong>२०१९ मा वर्डक्याम्प बैंकक</strong>, र थप अन्य विभिन्न अन्तर्राष्ट्रिय कार्यक्रमहरूसम्मको अनुभवको एउटा भण्डार बन्यो।</p>\n\n\n\n<p>यसबाहेक, मेरो नेतृत्वको रूपमा <strong><a href=\"https://biratnagar.wordcamp.org/2018/\">वर्डक्याम्प विराटनगर २०१८</a></strong> आयोजना गर्ने सुनौलो मौका पाएँ। त्यो क्षणमा, त्यहाँ धेरै कम कम्पनीहरू मात्र थिए जसले वर्डप्रेस मा भर परेर कमाउने गरेका थिए। मानिसहरूलाई उपस्थित हुन र उनीहरूलाई वर्डप्रेस बारे जानकारी दिन मनाउनको लागि यो झन्झट थियो। तर हामीले यसलाई सफल बनायौं!</p>\n\n\n\n<p>वर्षहरू बित्दै गए, र २०२३ सम्ममा, मैले सिल्हेट, मुम्बई र मनिलाका कार्यक्रमहरूसँगै फेरि एक पटक वर्डक्याम्प काठमाडौंको आयोजना गरेको थिए। वर्डक्याम्पहरुको आँधी २०२४ मा जारी रह्यो, नेपाल र एशियाले फेरि केन्द्र बनायो ।</p>\n\n\n\n<p>यी वर्षहरूलाई प्रतिबिम्बित गर्दै, मैले कार्यक्रमहरूमा मात्र भाग लिएको छैन, मैले समुदायको एउटा राम्रो संजाल बुनेको छु, खुसिहरु साझा गरेको छु, र बहुमूल्य पाठहरू सिकेको छु। व्यक्तिगत उपाख्यानहरू, जस्तै अप्रत्याशित ठाउँहरूमा वर्डप्रेसका उत्साहीहरूलाई भेट्दा यी वर्डक्याम्पलाई यादगार बनाउँदछ।</p>\n\n\n\n<p>अगाडि हेर्दै, म आगामी वर्डक्याम्पहरु र तिनीहरूले ल्याउने नयाँ अनुभवहरू बारे रोमाञ्चित छु। प्रत्येक घटनाले वर्डप्रेसको साथ मेरो यात्रामा केहि विशेष थप्छ, जस्तै क्यानभासमा अद्वितीय स्ट्रोक। साहसिक कार्य जारी छ, वर्डप्रेसको लागी मेरो प्रेम र यो सबै अर्थपूर्ण बनाउने अविश्वसनीय समुदाय द्वारा संचालित।</p>\n\n\n\n<h2 class=\"wp-block-heading\">कर्ममा वृद्धि: स्वयंसेवक सेवामा बाट पूर्ण-समय वर्डप्रेसमा</h2>\n\n\n\n<p>वर्डप्रेसको जीवन्त संसारमा, म गर्वका साथ धेरै टोपीहरू लगाउँछु। दिनहुँ, म एक वर्डप्रेस विकासकर्ता र थिम समीक्षक हुँ, मेरो लगाबलाई डिजिटल अनुभवहरू बनाउनमा सहजीकरण गर्दैछ, जुन अलिक फरक देखिन्छ।</p>\n\n\n\n<p>WordPress.org थिम टोलीका लागि टोली प्रतिनिधिको रूपमा मेरो भूमिकामा, पूर्ण-समय योगदान गर्नु भनेको जागिर मात्र होइन, यो मेरो हृदयको नजिक रहेको खुशीको प्रतिबद्धता हो।</p>\n\n\n\n<p>यस यात्रामा विशेष स्पर्श थप्नु भनेको Rank Math द्वारा प्रायोजित हुनुको सम्मान हो।</p>\n\n\n\n<p><a href=\"https://rankmath.com/\">Rank Math</a> सँगको यो सहकार्य जागिर भन्दा बाहिर जान्छ, यो जीवन्त वर्डप्रेस समुदायको लागि साझा समर्पण हो जसले मेरो जोशलाई बढाउँछ।</p>\n\n\n\n<p>अब मलाई यो प्रायोजन कसरी भयो भन्ने बारे केही कुरा गर्नुछ।&nbsp; ठिक छ, Rank Math कसैलाई प्रायोजित गर्ने खोजीमा थियो, र त्यो निर्णायक क्षणमा, मैले Rank Math का सह-संस्थापक भानु अहलुवालिया सँग जोडिने सुअवसर पाएको थिएँ।</p>\n\n\n\n<p>हाम्रो वार्तालाप कुराकानी मात्र होइन; यो प्रायोजनलाई वास्तविकता बनाउने उत्प्रेरक बन्यो। पूर्ण-समय काम गर्दा अचानक सपनाबाट मूर्त अनुभवमा परिवर्तन भयो।</p>\n\n\n\n<p>कोडको रेखाहरू भन्दा बाहिर, मेरो खाली समय योगदानको क्षणहरूमा परिवर्तन हुन्छ। मैले वर्डप्रेस कागजात टोलीमा मेरो विज्ञता थप्दा सान्त्वना पाउँछु, शब्दहरू बुनाई जसले साथीहरुलाई उत्साही बनाउछ र विशाल वर्डप्रेस परिदृश्य मार्फत मार्गदर्शन गर्दछ।</p>\n\n\n\n<p>मेरो संलग्नता विस्तार हुन्छ:</p>\n\n\n\n<ul>\n<li>म वर्डक्याम्प वक्ताको रूपमा उभिएको छु&nbsp;</li>\n\n\n\n<li>एक प्रमुख आयोजक रूपमा वर्डक्याम्प संचालन र सफलता पुर्बक सम्पन्न गरेको छु&nbsp;</li>\n\n\n\n<li>विभिन्न वर्डक्याम्पहरु र प्राविधिक कार्यक्रमहरूमा स्वयंसेवकको रूपमा सहयोगी हात दिएको छु&nbsp;</li>\n\n\n\n<li>वर्डप्रेसको मुख्य फायालमा योगदान, र अनुवाद जस्ता विविध क्षेत्रहरूमा काम गरे, र थिम र प्लगिन विकासमा पनि डुबेको छु&nbsp;</li>\n</ul>\n\n\n\n<p>यदि तपाइँ यी मापदण्डहरूमा मेरो लिने बारे उत्सुक हुनुहुन्छ भने, तपाइँ मेरो वर्डक्याम्प <a href=\"https://wordpress.tv/speakers/ganga-kafle/\">प्रस्तुतीकरण भिडियोको झलक</a> हेर्न सक्नुहुन्छ।</p>\n\n\n\n<p>तर मेरो वर्डप्रेस यात्रा स्क्रिनमा मात्र सीमित छैन, यो भेटघाट र खुला स्रोत प्लेटफर्महरूको मुटुको धड्कनमा विस्तार हुन्छ। सक्रिय रूपमा सहभागी हुनु र समुदायसँग संलग्न हुनु एक दिनचर्या मात्र होइन, यो प्रेरणा र जडानको स्रोत हो।</p>\n\n\n\n<p>जब म कोड बनाउँदै वा योगदान गरिरहेको छैन, तपाईंले मलाई <a href=\"https://www.wpentire.com/\">WPEntire</a> को सीटमा भेट्टाउनुहुनेछ, मेरो वर्डप्रेस ब्लग, अन्तर्दृष्टि र अनुभवहरू साझा गर्दै। यो केवल एक ब्लग होइन, यो एक क्यानभास हो जहाँ मेरो वर्डप्रेस&nbsp; यात्राले अर्को अभिव्यक्त दिने ठाउँ फेला पार्छ।</p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-१०-वर-षक-स-व-म-rank-math-ब-ट-प-र-य-ज-त-ह-द\">१० वर्षको सेवामा Rank Math बाट प्रायोजित हुँदै</h2>\n\n\n\n<p>म दशवर्षदेखि वर्डप्रेस समुदायको हिस्सा भएको छु, स्वयंसेवा गर्दै र टेक्नोलोजीको लागि मेरो प्रेम साझा गर्दै। यो एक रोमाञ्चक यात्रा भएको छ, सिक्ने देखि विश्वव्यापी समुदायमा योगदान गर्न सम्म।</p>\n\n\n\n<p>स्वयंसेवक हुनु भनेको कोडिङ मात्र होइन; यो वृद्धि र जडान को एक व्यक्तिगत साहस हो । कोडको प्रत्येक अंश नवीनता र सिकाइले भरिएको यात्रामा एक कदम जस्तै महसुस गर्दछ।</p>\n\n\n\n<p>यो प्रायोजन आर्थिक सहयोगको बारेमा मात्र होइन, यो मेरो वर्डप्रेस यात्राको व्यक्तिगत अध्याय हो, अविश्वसनीय जडानहरू र साझा प्रतिबद्धतालाई मुख्य आकर्षण गर्दै जसले यस समुदायलाई विशेष बनाउँछ।</p>\n\n\n\n<p><a href=\"https://rankmath.com/\">Rank Math</a> संग यो सहयोग र सहकार्य कोड बाहिर जान्छ। यो वर्डप्रेसमा साझा विश्वास र सँगै काम गर्ने शक्ति हो। जब म विगत सात वर्षलाई फर्केर हेर्छु, म सिक्ने, बढ्दै जाने र मित्रता निर्माण गर्ने कथा देख्छु।</p>\n\n\n\n<p>प्रत्येक वर्डक्याम्प र भेटघाट मेरो वर्डप्रेस कथामा तलाथप्नु जस्तै हो। म भविष्यमा के हुन्छ भन्ने बारे उत्साहित छु, र Rank Math को समर्थनले वर्डप्रेसको साथ मेरो यात्रामा व्यक्तिगत स्पर्श थप्छ। म खुसि छु ।</p>\n\n\n\n<h2 class=\"wp-block-heading\">विश्वलाई अन्वेषण गर्ने एक प्रवेशद्वार</h2>\n\n\n\n<p>वर्डक्याम्पको एउटा अंग हुनु भनेको नयाँ संसारको ढोका खोल्नु हो। यो प्राविधिक सामानहरू सिक्ने मात्र होइन, यो सबै ठाउँका मानिसहरूलाई भेट्ने र हाम्रो संसार कति ठूलो र विविध छ भनेर पत्ता लगाउने बारेमा पनि हो।</p>\n\n\n\n<p>एउटा ठूलो जमघटको कल्पना गर्नुहोस् जहाँ वर्डप्रेससँग काम गर्न मन पराउने मानिसहरू एकसाथ आउँछन्। यो एउटा ठूलो पारिवारिक पुनर्मिलन जस्तो छ तर विभिन्न देश र संस्कृतिका मानिसहरूसँग। यस मिश्रणमा, हामी विचारहरू साझा गर्छौं, समस्याहरू समाधान गर्छौं, र एकअर्काबाट सिक्छौं।</p>\n\n\n\n<p>मेरो लागि, वर्डक्याम्पहरु एक खेल-परिवर्तक भएको छ। तिनीहरू वेबसाइटहरूको बारेमा कुरा गर्न बाहिर जान्छन्। तिनीहरूले हामीलाई एकअर्काको संसार बुझ्न मद्दत गर्छन्।</p>\n\n\n\n<p>जब मैले वर्डक्याम्प मनिला र वर्डक्याम्प मुम्बईमा बोले, यो केवल वर्डप्रेस बारेमा मात्र थिएन। यो विभिन्न ठाउँहरूमा मानिसहरूले अनौठो चुनौतीहरू समाधान गर्न वर्डप्रेस प्रयोग गर्ने तरिका सिक्ने बारेमा पनि थियो।</p>\n\n\n\n<p>वर्डक्याम्प एशियामा एक टोलीको इन्चार्ज हुनु भनेको सुपरहिरो भएको जस्तो थियो। हामीसँग विभिन्न सीप र पृष्ठभूमिहरू थिए, र यसले हामीलाई बलियो बनायो। यसले मलाई सिकायो कि जब हामी हाम्रो अद्वितीय शक्तिहरू सँगै ल्याउँछौं, आश्चर्यजनक चीजहरू हुन्छन्।</p>\n\n\n\n<p>तर वर्डक्याम्पहरु कामको बारेमा मात्र होइन। तिनीहरू तपाईं कहिल्यै नगएको ठाउँहरूबाट साथीहरू बनाउने बारेमा पनि हुन्। हामी हाम्रो गृहनगरमा कसरी काम गर्छौं भन्ने बारे कथाहरू सुनाउदै र महसुस गर्दै कि हामी फरक भए तापनि, हामी पनि धेरै समान छौं।</p>\n\n\n\n<p>त्यसो भए, वर्डक्याम्पहरू मेरो लागि घटनाहरू भन्दा बढी भएका छन्। तिनीहरूले मित्रता, सिक्ने, र विभिन्न संस्कृतिहरू अन्वेषण गर्ने सम्पूर्ण संसार खोलेका छन्। यो विश्वव्यापी समुदायमा पासपोर्ट भएको जस्तै हो जहाँ सबैले वर्डप्रेस र मित्रताको भाषा बोल्छन्।</p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-म-र-भ-वन-हर\">मेरा भावनाहरू</h2>\n\n\n\n<p>पक्का, यदि तपाईं आईटि क्षेत्रमा हुनुहुन्छ भने, तपाईंले केही अनुसन्धान गरेर आफैंमा इन्टर्नशिपहरू फेला पार्न सक्नुहुन्छ। लागू गर्न र आफ्नो स्रोतहरू प्रयोग गर्न नहिचकिचाउनुहोस्।</p>\n\n\n\n<p>वर्डप्रेसमा रुचि राख्नेहरूका लागि, एक इन्टर्नको रूपमा ३-६ महिना खर्च गर्न तयार हुनुहोस्। पैसाको बारेमा मात्र सोच्नुको सट्टा, सिक्ने र अनुभव प्राप्त गर्नमा ध्यान केन्द्रित गर्नुहोस्।</p>\n\n\n\n<p>वर्डप्रेस ब्लगहरूको लागि मात्र होइन, यो प्रोग्रामिङको लागि ठाउँ पनि हो जहाँ तपाईं पैसा कमाउन सक्नुहुन्छ। तपाइँको सीपको आधारमा, तपाइँ लेखन, डिजाईन विकास गर्न, र थप मा काम पाउन सक्नुहुन्छ।</p>\n\n\n\n<p>अचम्मको कुरा के छ भने, तपाईं शारीरिक रूपमा त्यहाँ नभई नेपालमा बसेर अमेरिकी कम्पनीहरूमा एचआरको रूपमा काम गर्न सक्नुहुन्छ। विकासकर्ता बन्न पनि गाह्रो छैन। यदि तपाइँ वर्डप्रेस समुदाय भित्र काम गर्नुहुन्छ भने, कम्पनीहरूले तपाइँलाई प्रायोजित गर्न सक्छन्।</p>\n\n\n\n<p>याद गर्नुहोस्, वर्डप्रेस बढ्दै जाँदा, धेरै कम्पनीहरूले तपाईंजस्ता मानिसहरू चाहन्छन्। टेक्नोलोजी र वर्डप्रेस सधैं परिवर्तन हुँदैछ। विकासकर्ताहरूको लागि, यसको अर्थ नयाँ तरिकामा कमाइ हुन्छ। अरूको लागि, यो केहि नयाँ को लागी एक मौका हो; ब्लगरहरूले आफ्नो ब्लगहरू सुधार गर्न सक्छन्, र लेखकहरूले नयाँ सामग्री सिर्जना गर्न सक्छन्।</p>\n\n\n\n<p>त्यसोभए, वर्डप्रेसले संलग्न सबैका लागि अवसरहरू प्रदान गर्दछ। काम गर्ने तरिका र ढाँचाहरू परिवर्तन हुन सक्छ, तर तपाईं कहिल्यै पुरानो हुनुहुने छैन!</p>\n<p>The post <a href=\"https://heropress.com/essays/my-journey-from-an-intern-to-wordpress-themes-team-lead/\">My Journey From an Intern to WordPress Themes Team Reps &#8211; मेरो यात्रा: एक प्रशिक्षार्थीबाट वर्डप्रेस थिम्स टीम प्रतिनिधिसम्म</a> appeared first on <a href=\"https://heropress.com\">HeroPress</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 20 Dec 2023 02:15:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:11:\"Ganga Kafle\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:42;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:109:\"Gutenberg Times: State of the Word, Redesign Developer resources, Block Theme updates — Weekend Edition 278\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://gutenbergtimes.com/?p=26698\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:114:\"https://gutenbergtimes.com/state-of-the-word-redesign-developer-resources-block-theme-updates-weekend-edition-278/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:23681:\"<p>Howdy, </p>\n\n\n\n<p>2023 is coming to the end. This is the last edition for 2023, as I take a few vacation days over the Holidays and be with ailing family members. In January, it&#8217;ll be six years of almost weekly news about the block editor, and its progress into a first class site building tool. Thank you for being a faithful subscriber to the Gutenberg Times, and all your encouraging comments over all those years.</p>\n\n\n\n<p>For a highlight reel of 2023, I recommend you watch <a href=\"https://www.youtube.com/watch?v=c7M4mBVgP3Y&t=1s\">the recording of the State of the Word 2023 by Matt Mullenweg</a>, if you missed it on the live stream. It was a great presentation with an outlook for 2024 and beyond. If you are not the video-watching type, you&#8217;ll also find quite a few links to Recap posts below. </p>\n\n\n\n<p>Wishing you and yours festive Holidays, and a prosperous, healthy and happy New Year! </p>\n\n\n\n<p>Yours, 💕<br /><em>Birgit</em></p>\n\n\n\n\n\n\n<div class=\"wp-block-group has-light-background-background-color has-background\"><div class=\"wp-block-group__inner-container is-layout-flow wp-block-group-is-layout-flow\">\n<p><strong>Table of Contents</strong></p>\n\n\n\n<div class=\"wp-block-sortabrilliant-guidepost\"><ul><li><a href=\"https://gutenbergtimes.com/feed/#0-word-press-release-information\">Developing Gutenberg and WordPress</a><ul><li><a href=\"https://gutenbergtimes.com/feed/#1-state-of-the-word\">State of the Word</a><ul><li><a href=\"https://gutenbergtimes.com/feed/#2-list-of-recap-posts-from-around-the-word-press-space\">List of Recap posts from around the WordPress space</a></li><li><a href=\"https://gutenbergtimes.com/feed/#3-q-amp-a-after-state-of-the-word-2023\">Q &amp; A after State of the Word 2023</a></li></ul></li><li><a href=\"https://gutenbergtimes.com/feed/#1-gutenberg\">Gutenberg Updates</a></li><li><a href=\"https://gutenbergtimes.com/feed/#5-strong-upcoming-events-strong\">Upcoming events</a></li></ul></li><li><a href=\"https://gutenbergtimes.com/feed/#0-p\">Plugins, Themes, and Tools for #nocode site builders and owners</a></li><li><a href=\"https://gutenbergtimes.com/feed/#7-theme-development-for-full-site-editing-and-blocks\">Theme Development for Full Site Editing and Blocks</a></li><li><a href=\"https://gutenbergtimes.com/feed/#3-building-themes-for-fse-and-word-press\">Building Blocks and Tools for the Block editor. </a></li></ul></div>\n</div></div>\n\n\n\n\n<h2 class=\"wp-block-heading\" id=\"0-word-press-release-information\">Developing Gutenberg and WordPress</h2>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"1-state-of-the-word\">State of the Word</h3>\n\n\n\n<p><a href=\"https://www.youtube.com/watch?v=c7M4mBVgP3Y&t=1s\"><strong>State of the Word</strong> recording</a> is available on YouTube. </p>\n\n\n\n<p>What stood out for me in terms of what&#8217;s coming next year?Here is my list: </p>\n\n\n\n<ul>\n<li><strong><a href=\"https://wordpress.org/data-liberation/\">Data Liberation</a></strong> is a massive initiative. Empowering users to take their site with them from one CMS to another is such a pain right now. It&#8217;s not only from Squarespace or Wix to WordPress, it&#8217;s also from one WordPress host to another, and also from one-Page Builder to Core. A giant step towards an open web. <a href=\"https://github.com/wordpress/data-liberation\"> GitHub repository</a> and WP Slack channel:  <a href=\"https://wordpress.slack.com/archives/C069AKUBPHB\" target=\"_blank\" rel=\"noreferrer noopener\">#data-liberation</a>.</li>\n\n\n\n<li>The promise of connecting the Block editor to Custom fields is intriguing. <strong>Mario Santos</strong> posted a <a href=\"https://github.com/WordPress/gutenberg/issues/53300#issuecomment-1808020238\">proposal for the first iteration in WordPress 6.5</a>. </li>\n\n\n\n<li>The <a href=\"https://github.com/WordPress/gutenberg/discussions/categories/interactivity-api\"><strong>Interactivity API</strong></a>, has been mentioned in a few Weekend Editions. It has been used internally for a few core blocks, in WordPress 6.4 and  will become a public API in WordPress 6.5. </li>\n\n\n\n<li><strong>Patterns </strong>will become first class citizens of the site editor with their upcoming partially syncing feature. It means you can change the styling of a pattern that&#8217;s used over multiple pages without updating the content. </li>\n\n\n\n<li><strong><a href=\"https://developer.wordpress.org/playground/\">WordPress Playground</a></strong> will also change how we preview and develop for WordPress. We use it as another way to work with the <a href=\"https://github.com/bph/gutenberg/discussions/81\">Gutenberg Nightly</a>. </li>\n\n\n\n<li>Mullenweg revealed that <strong>WordCamp US </strong>will be in <strong>Portland, Oregon </strong>with two contributor days and a two &#8211; day conference, <strong>September 17 &#8211; 20, 2024</strong>. Sounds like an exciting new format!  Furthermore, I am excited about more WordCamps in 2024, especially in Europe with the shorter travel distances for me now. For now, I only have plans to be at <a href=\"https://asia.wordcamp.org/2024/\">WordCamp Asia</a> in Taipei, Taiwan and <a href=\"https://europe.wordcamp.org/2024/\">WordCamp Europe </a>in Torino. </li>\n</ul>\n\n\n\n<h4 class=\"wp-block-heading\" id=\"2-list-of-recap-posts-from-around-the-word-press-space\">List of Recap posts from around the WordPress space</h4>\n\n\n\n<p><strong>Matt Mederios</strong> was probably the first to publish a <strong><a href=\"https://thewpminute.com/state-of-the-word-2023/\">State of the Word 2023 Recap</a>. </strong></p>\n\n\n\n<p><a href=\"https://twitter.com/ioanamuresan\"><strong>Ioana Mureşan</strong> </a>wrote the article on the WPTavern <a href=\"https://wptavern.com/state-of-the-word-2023-hola-wordpress\"><strong>State of the Word 2023: ¡Hola WordPress!</strong></a> and includes demo videos from the talk so you can review them in due time. I bookmarked this article for later reference, too. </p>\n\n\n\n<p><strong>Joost de Valk</strong> wrote for the Post Status blog: <a href=\"https://poststatus.com/state-of-the-word-2023-excitement-all-around/\"><strong>State of the Word 2023: excitement all around!</strong></a></p>\n\n\n\n<p><a href=\"https://twitter.com/tomwillmot\"><strong>Tom Willmot</strong></a>, CEO of Human Made, published his recap: <a href=\"https://humanmade.com/wordpress-for-enterprise/state-of-the-word-2023-takeaways-for-enterprise/\"><strong>State of the Word 2023: Takeaways for Enterprise</strong></a>. </p>\n\n\n\n<p><strong>Courtney Robertson</strong> posted here recap for GoDaddy: <a href=\"https://www.godaddy.com/resources/news/wordpress-state-of-the-word-2023\"><strong>WordPress State of the Word 2023</strong></a></p>\n\n\n\n<p><strong>Torque Magazine</strong> also reported on the event: <a href=\"https://torquemag.io/2023/12/envisioning-the-future-of-wordpress-state-of-the-word-2023/\"><strong>Envisioning the Future of WordPress: State of the Word 2023</strong></a></p>\n\n\n\n<p>Last but no least, there is the <a href=\"https://wordpress.org/news/2023/12/state-of-the-word-2023-recap/\"><strong>State of the Word 2023 Recap</strong></a> on the WordPress.org site by <strong>Nicholas Garofalo</strong></p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<h4 class=\"wp-block-heading\" id=\"3-q-amp-a-after-state-of-the-word-2023\">Q &amp; A after State of the Word 2023</h4>\n\n\n\n<p>The recording of the <a href=\"https://www.youtube.com/watch?v=S01uBD2pyQY\"><strong>Q &amp; A portion of the State of the Word</strong></a> is also available on YouTube. Due to time constrains , only a few questions, could be answered. Matt Mullenweg started answering the <a href=\"https://make.wordpress.org/project/2023/12/12/overflow-questions-from-state-of-the-word-2023/\">overflow questions</a> online. </p>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"1-gutenberg\">Gutenberg Updates</h3>\n\n\n\n<p><strong><a href=\"https://github.com/WordPress/gutenberg/releases/tag/v17.3.0-rc.1\">Gutenberg 17.3 RC 1</a></strong> is available now for testing. The stable release is scheduled for Dec. 20, 2023. Release lead is <strong>Madhu Dollu</strong>, JavaScript Developer at Automattic. </p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p><strong>Jamie Marsland</strong> interviewed <strong>Matias Ventura</strong> to get the <a href=\"https://www.youtube.com/watch?v=GWN5Vyq3pRE\"><strong>WordPress Gutenberg &#8211; The Inside Story!</strong></a> If you haven&#8217;t been around the project for that long, listening to the two of them discuss the Genesis of the project and its early days, gives you a great insight in how decisions were made, about the scope and the four phases of the project. The list of chapters makes it possible to view the one hour and twenty minutes video in several sittings. It&#8217;s a fabulous conversation where both men bring in context and can look at bigger pictures. You might not agree with some decisions made, but listening to Ventura, you will be in a better place understanding the context of decisions in terms of user experience and use cases, and their place in the project. </p>\n\n\n\n<a href=\"https://www.youtube.com/watch?v=GWN5Vyq3pRE\"><img width=\"652\" height=\"197\" src=\"https://i0.wp.com/gutenbergtimes.com/wp-content/uploads/2023/12/Screenshot-2023-12-12-at-16.46.31.png?resize=652%2C197&ssl=1\" alt=\"Matias Ventura in a conversation with Jamie Marsland. \" class=\"wp-image-26733\" /></a>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p class=\"has-accent-color has-light-background-background-color has-text-color has-background has-link-color wp-elements-b21294d93d10468b5f9c6136fdd74073\">🎙️ Latest episode:  <a href=\"https://gutenbergtimes.com/podcast/gutenberg-changelog-94-state-of-the-word-gutenberg-17-2-17-3-and-17-4-wordpress-6-5-migrating-from-classic-theme-to-block-theme/\">Gutenberg Changelog #94 – State of the Word, Gutenberg 17.2, 17.3 and 17.4, WordPress 6.5, Migrating from Classic Theme to Block Theme</a> with Sarah Norris</p>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"5-strong-upcoming-events-strong\">Upcoming events</h3>\n\n\n\n<p><strong>Dec 19th, 23 &#8211; 16:00 UTC</strong> : <a href=\"https://www.meetup.com/learn-wordpress-online-workshops/events/297143342/\"><strong>Developer Hours: Modern WordPress development with the wp-scripts package</strong></a></p>\n\n\n\n<p><strong>Jan 16, 24 &#8211; 21:00 UTC</strong> <a href=\"https://make.wordpress.org/core/2023/11/23/hallway-hangout-lets-explore-wordpress-6-5/\"><strong>Hallway&nbsp;Hangout: Let’s explore WordPress 6.5</strong></a></p>\n\n\n\n<a href=\"https://www.meetup.com/learn-wordpress-online-workshops/events/297143342/\"><img width=\"600\" height=\"338\" src=\"https://i0.wp.com/gutenbergtimes.com/wp-content/uploads/2023/12/image.png?resize=600%2C338&ssl=1\" alt=\"Announcement graphic of the next Developer hours on Dec 19 at 16:00 UTC \" class=\"wp-image-26749\" /></a>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"0-p\">Plugins, Themes, and Tools for #nocode site builders and owners</h2>\n\n\n\n<p><strong>Jamie Marsland</strong> found that WordPress users have trouble understanding the interdependency between global width and custom content width with Block themes and created <a href=\"https://www.pootlepress.com/2023/12/beginners-guide-to-customizing-page-width-options-in-wordpress-gutenberg/\"><strong>Beginners Guide to Customizing Page Width Options in WordPress Gutenberg</strong></a>. &#8220;The page width options in WordPress Gutenberg, combined with the ability to set these values in global styles in block themes, offer an unprecedented level of control and flexibility in web design.&#8221; Marsland wrote. </p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p>In his video, <a href=\"https://www.youtube.com/watch?v=GyYgMdrXJiY\"><strong>Creating a one-page website</strong></a>, <strong>Wes Theron</strong> takes you through the steps on building a one-page website with WordPress. Theron starts with a discussion of what kind of content would be placed on a one-page website, goes through an example of a business website, and walks through the various steps on how to add each section to a page.</p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p><strong>Thomas Zwirner</strong> created a single block plugin called <a href=\"https://wordpress.org/plugins/download-list-block-with-icons/\"><strong>Download list with icons</strong></a>. It provides you with a block to manage a download list with file type-specific icons. No configuration is necessary. The Block can be used immediately after installation.</p>\n\n\n\n<a href=\"https://wordpress.org/plugins/download-list-block-with-icons/\"><img width=\"652\" height=\"236\" src=\"https://i0.wp.com/gutenbergtimes.com/wp-content/uploads/2023/12/Screenshot-2023-12-14-at-17.44.30.png?resize=652%2C236&ssl=1\" alt=\"Screenshot of the download list block\" class=\"wp-image-26758\" /></a>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p><strong>Jacob Martella</strong> <a href=\"https://twitter.com/ViewFromTheBox/status/1732075066727288918\">introduced </a>the <a href=\"https://crosswindsframework.com/\">Crosswind Framework</a>, a set of tools, out of the box templates, patterns, and themes and additional blocks for your building websites with WordPress and the Site Editor. Its promise is a complete, nocode way to build websites. </p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p>The <a href=\"https://wordpress.org/plugins/create-block-theme/\"><strong>Create Block Theme</strong></a> plugin by WordPress core contributors has received an update: with improved child theme export, increases consistency over the plugin pages and forms, and regularly updated Google Fonts available locally. </p>\n\n\n\n<p><strong>Ganesh Dahal</strong> recently published a <a href=\"https://developer.wordpress.org/news/2023/12/05/a-walk-through-tutorial-on-using-create-block-theme-plugin/\"><strong>A walk-through tutorial on using the Create</strong></a> Block Theme plugin, that should help you get started and take full advantage of the Theme building plugin. </p>\n\n\n\n<p>Brian Gardner shared the updates for his themes: <a href=\"https://wordpress.org/themes/frost/\"><strong>Frost</strong></a> - is now sporting, among other refinements,  a progress bar pattern, better shadow presets, hover styles in theme.json.  The Power Studio<a href=\"https://wordpress.org/themes/powder-studio/\"><strong> Theme</strong></a> just landed in the WordPress theme repository and offers a wide variety of wireframe patterns, styles, and templates, and color choices inspired by Tailwind CSS. </p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"7-theme-development-for-full-site-editing-and-blocks\">Theme Development for Full Site Editing and Blocks</h2>\n\n\n\n<p>At WordCamp Vancouver,  <strong>Flynn O&#8217;Connor</strong> gave a talk on <strong><a href=\"https://wordpress.tv/2023/11/13/exploring-block-themes/\">Exploring block themes</a></strong>, that is now available on WordPress TV. From the description: &#8220;This session provides an exploration of block themes, the modern approach to building in WordPress. We will examine how block themes differ from traditional PHP-based themes and highlight their core components, including theme.json. Reviewing the advantages of block themes and how they empower users to easily customize the visual appearance of their websites without touching the code. This session offers valuable insights into the world of block themes and their impact on the future of WordPress development.&#8221; </p>\n\n\n\n\n<div class=\"wp-block-embed__wrapper\">\n<div class=\"toolbelt-video-wrapper\"></div>\n</div>\n\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p><strong>Anne McCarthy</strong> made a call for response in the <a href=\"https://wordpress.slack.com/archives/C015GUFFC00/p1702356362566639\">#fse-outreach-experiments </a>channel: <strong><a href=\"https://wordpress.slack.com/archives/C015GUFFC00/p1702356362566639\">Opportunity to share your theme building workflow with contributors working on theme tooling</a></strong>. McCarthy already identified about 30+ theme builders who were active in the channel before. If you want to participate in the initiative, chime in on the Slack thread, or email me at pauli@gutenbergtimes.com. </p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p><strong>Maggie Cabrera</strong> shared her experience on being co-developer lead for the 2024 default theme in an <a href=\"https://onemaggie.com/2023/12/open-letter-to-a-future-default-theme-lead/\"><strong>Open letter to a future default theme lead</strong></a>. &#8220;While most of the work will be reviewing contributors’ work, the key part of your role is keeping an eye on the big picture and being ready to make high-level decisions. You won’t always have the answers, but you will have people around you to help you figure out the best outcome.&#8221; she wrote. </p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p><strong>Ellen Bauer</strong> gives you a view behind the scenes, and shares <a href=\"https://www.youtube.com/watch?v=hXq6pp7IvIE\"><strong>how she creates patterns for a WordPress Block Theme</strong></a>. She first shows you her pattern building workflow and then builds a project pattern. </p>\n\n\n\n\n<p><strong> <a href=\"https://make.wordpress.org/core/handbook/references/keeping-up-with-gutenberg-index/\" target=\"_blank\" rel=\"noreferrer noopener\">&#8220;Keeping up with Gutenberg &#8211; Index 2022&#8221;</a> </strong><br />A chronological list of the WordPress Make Blog posts from various teams involved in Gutenberg development: Design, Theme Review Team, Core Editor, Core JS, Core CSS, Test, and Meta team from Jan. 2021 on. Updated by yours truly.  <a href=\"https://make.wordpress.org/core/handbook/references/keeping-up-with-gutenberg-index/keeping-up-with-gutenberg-index-2020/\"><em>The index 2020 is here</em></a></p>\n\n\n\n\n<h2 class=\"wp-block-heading\" id=\"3-building-themes-for-fse-and-word-press\">Building Blocks and Tools for the Block editor. </h2>\n\n\n\n<p><strong>Nick Diego</strong> announced the <a href=\"https://make.wordpress.org/meta/2023/12/15/developer-resources-gets-a-refresh/\">Developer Resources redesign going public.</a> The design is now block theme based and allows for much better on page navigation and helps developers with breadcrumbs and expandable right side navigation. Developer Resources are available via <a href=\"https://developer.wordpress.org/\">developer.WordPress</a>.org and houses all Handbooks for Block Editor, Themes, Plugins, Playground, and Common APIs. </p>\n\n\n\n<img width=\"652\" height=\"311\" src=\"https://i0.wp.com/gutenbergtimes.com/wp-content/uploads/2023/12/Screenshot-2023-12-16-at-13.18.58.png?resize=652%2C311&ssl=1\" alt=\"Screenshot of developer.wordpress.org\" class=\"wp-image-26771\" />\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p><strong>Jonathan Bossenger</strong> recording his tutorial on the <a href=\"https://wordpress.tv/2023/12/15/new-wordpress-developer-apis-the-interactivity-api/\"><strong>Interactivity API, as new WordPress API </strong></a>now experimental and hopefully becoming a public API in WordPress 6.5. &#8220;he main goal of the Interactivity API is to provide a standard and simple way to handle the frontend interactivity of Gutenberg blocks. This standard would make it easier for developers to create rich, interactive user experiences, from simple cases like counters or popups to more complex features like instant search, or carts and checkouts. In this session, you will learn more about this new developer API, through a live&#8221; Bossenger wrote in the tutorial&#8217;s description. </p>\n\n\n\n<a href=\"https://wordpress.tv/2023/12/15/new-wordpress-developer-apis-the-interactivity-api/\"><img width=\"652\" height=\"369\" src=\"https://i0.wp.com/gutenbergtimes.com/wp-content/uploads/2023/12/Screenshot-2023-12-16-at-14.40.40.png?resize=652%2C369&ssl=1\" alt=\"Still image from the Tutorial Video \" class=\"wp-image-26784\" /></a>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p>Also at WordCamp Vancouver, Ryan Welcher talked about <a href=\"https://wordpress.tv/2023/11/13/extending-wordpress-using-the-slotfill-system/\"><strong>Extending WordPress using the SlotFill&nbsp;system</strong></a> - &#8221;The SlotFill system can be used to extend blocks and the UI for the Block Editor and Site Editor screens, making it a critically important tool for any WordPress developer. This talk will take a deep dive into how this system works, show how and where you can currently extend WordPress, and finally, how to create your own custom SlotFills!&#8221;</p>\n\n\n\n\n<div class=\"wp-block-embed__wrapper\">\n\n</div>\n\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p><strong>Bartosz Gadomski</strong> wrote a post about <a href=\"https://bartoszgadomski.com/filtering-the-theme-json-file-values-such-as-default-color-palette-and-other-global-styles-in-wordpress/\"><strong>Filtering the theme.json file values (such as default color palette and other global styles) in WordPress</strong></a> and dives deeper into the <a href=\"https://make.wordpress.org/core/2022/10/10/filters-for-theme-json-data/\">four new filters</a> available since WordPress 6.1 to access values programmatically. </p>\n\n\n\n\n<p><strong><a href=\"https://gutenbergtimes.com/need-a-zip-from-master/\">Need a plugin .zip from Gutenberg&#8217;s master branch?</a></strong><br />Gutenberg Times provides daily build for testing and review. <br />Have you been using it? Hit reply and let me know.</p>\n\n\n\n<p><img alt=\"GitHub all releases\" src=\"https://img.shields.io/github/downloads/bph/gutenberg/total?style=for-the-badge\" /></p>\n\n\n\n\n<p class=\"has-text-align-right has-small-font-size\"><em>Questions? Suggestions? Ideas? Don&#8217;t hesitate to send <a href=\"mailto:pauli@gutenbergtimes.com\">them via email</a> or send me a message on WordPress Slack or Twitter @bph</em>. </p>\n\n\n\n<p class=\"has-text-align-right has-small-font-size\">For questions to be answered on the <a href=\"http://gutenbergtimes.com/podcast\">Gutenberg Changelog</a>, send them to <a href=\"mailto:changelog@gutenbergtimes.com\">changelog@gutenbergtimes.com</a></p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n\n<p>Featured Image: Palace Neptuno, Madrid, with State of the Word 2023 displays.</p>\n\n\n\n<hr class=\"wp-block-separator has-css-opacity is-style-wide\" />\n\n\n\n<p class=\"has-text-align-left\"><strong>Don&#8217;t want to miss the next Weekend Edition? </strong></p>\n\n\n\n<form class=\"wp-block-newsletterglue-form ngl-form ngl-portrait\" action=\"https://gutenbergtimes.com/feed/\" method=\"post\"><div class=\"ngl-form-container\"><div class=\"ngl-form-field\"><label class=\"ngl-form-label\" for=\"ngl_email\"><br />Type in your Email address to subscribe.</label><div class=\"ngl-form-input\"><input type=\"email\" class=\"ngl-form-input-text\" name=\"ngl_email\" id=\"ngl_email\" /></div></div><button type=\"submit\" class=\"ngl-form-button\">Subscribe</button><p class=\"ngl-form-text\">We hate spam, too, and won&#8217;t give your email address to anyone except Mailchimp to send out our Weekend Edition</p></div><div class=\"ngl-message-overlay\"><div class=\"ngl-message-svg-wrap\"></div><div class=\"ngl-message-overlay-text\">Thanks for subscribing.</div></div><input type=\"hidden\" name=\"ngl_list_id\" id=\"ngl_list_id\" value=\"26f81bd8ae\" /><input type=\"hidden\" name=\"ngl_double_optin\" id=\"ngl_double_optin\" value=\"yes\" /></form>\n\n\n\n<hr class=\"wp-block-separator has-css-opacity is-style-wide\" />\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sat, 16 Dec 2023 13:45:29 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:18:\"Birgit Pauli-Haack\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:43;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"Matt: What’s in My Bag, 2023\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:23:\"https://ma.tt/?p=101009\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://ma.tt/2023/12/the-bag-post/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:16401:\"<img width=\"604\" height=\"340\" src=\"https://i0.wp.com/ma.tt/files/2023/11/2023-11-bag-1024x576.jpeg?resize=604%2C340&ssl=1\" alt=\"\" class=\"wp-image-107037\" />\n\n\n\n<ol>\n<li><a href=\"https://www.apple.com/shop/buy-mac/macbook-pro/16-inch\">16” M3 Max MacBook Pro</a>, with all the memory and storage. I went from carrying two laptops earlier in the year, a 14” as well to just this. I like the Space Black color because it’s novel but might go back to silver next time. Brand new so just a few stickers so far!</li>\n\n\n\n<li><a href=\"https://www.amazon.com/dp/B09V4LZS9S/?tag=photomatt08-20\">Black Magic Mouse</a>, steady and useful when I’m doing lots of emails. Looking to replace this, as it uses Lightning. At home I’ve been using the <a href=\"https://www.amazon.com/gp/product/B07Z81WS5L/?tag=photomatt08-20\">Mojo Pro Performance Silent Gaming Mouse</a> because it’s wired and quiet when you click, so something wireless and quiet could be nice for when on the go… I do like the gestures of the Magic Mouse though. I&#8217;ll be testing out some new mice over the holidays.</li>\n\n\n\n<li><a href=\"https://www.amazon.com/gp/product/B09P8CNRK1/?tag=photomatt08-20\">Universal Airplane Phone Holder</a>, also good along with #4 for mounting an iPhone for using the <a href=\"https://support.apple.com/en-us/HT213244\">Continuity camera</a> or <a href=\"https://ma.tt/files/2023/11/IMG_1637-scaled.jpg\">selfies</a> (after taking that he said &#8220;please don&#8217;t go to jail&#8221;). Also super cheap, &lt;$20 for two.</li>\n\n\n\n<li><a href=\"https://www.amazon.com/gp/product/B0B5S7X6BN/?tag=photomatt08-20\">Capstone Continuity Camera mount for MacBook laptops</a>, easy way to mount your iPhone to your laptop to use as a webcam. Looks amazing, but a bit of a pain, which is why I’m excited about #6.</li>\n\n\n\n<li><a href=\"https://www.amazon.com/dp/B09MF6TJLW/?tag=photomatt08-20\">Anker 655 USB-C 8-in-1 Hub</a>. I use this mostly for Ethernet, but since everything is USB-C now I can also use this with either phone or the iPad. I seem to have bad luck with USB hubs, I’m always burning through them, but this one has lasted a while. This thing is heavy! I could go smaller/lighter here.</li>\n\n\n\n<li><a href=\"https://www.amazon.com/dp/B0CM8V52PG/?tag=photomatt08-20\">Opal Tadpole webcam</a>, this is the <a href=\"https://opalcamera.com/\">Opal</a> product everyone has been waiting for. Quality close to iPhone at a smaller size, plugs in via USB-C so you don’t have to worry about connectivity or charging, doesn’t need any special software, looks amazing. Only fits a laptop though, not a bigger monitor. The way the cable works is really clever, great design.</li>\n\n\n\n<li>This is one of my most delightful new additions, a <a href=\"https://www.amazon.com/gp/product/B083SCPFQK/?tag=photomatt08-20\">Pixel G1s RGB Video Light</a>, it can cast warm light for a Zoom call or you can send it to a specific color to enhance the ambience of room for a party. It can rotate through a rainbow of colors. I ended up giving this to all my friends, and now when we&#8217;re in the same place we can instantly vibe out a room with two or three of these devices, and turn off any unpleasant default lighting a space may have. It charges via USB-C, natch. Hat tip: <a href=\"https://rjwalters.info/\">Robb Walters</a>.</li>\n\n\n\n<li><a href=\"https://pro.ultimateears.com/pages/ue-premier\">UE Premier custom headphones</a>. The best aural experience you can have. Invest the time in visiting an audiologist to get earphones and earplugs customized for your ears.</li>\n\n\n\n<li><a href=\"https://www.amazon.com/gp/product/B00E9W11QM?tag=photomatt08-20\">Belkin Rockstar headphone splitter</a>, great for sharing audio with others, especially if they have #8.</li>\n\n\n\n<li>Small USB-C to 1/8th inch converter, to be extra though <a href=\"https://www.amazon.com/dp/B09F8M9PDG/?tag=photomatt08-20\">upgrade to this one from Belkin with power</a>.</li>\n\n\n\n<li><a href=\"https://www.amazon.com/dp/B0BKGR5B76/?tag=photomatt08-20\">Rolling Square inCharge XL 6-in-1 Multi Charging Cable</a>, nice compact all-in-one I’ve been playing with. They make some <a href=\"https://www.amazon.com/stores/RollingSquare/page/FAB0F15F-9BCA-46AF-A453-A2157CD94CC9?tag=photomatt08-20\">other interesting accessories</a>. A 100w Swiss army knife of cables, and the thing they do combining Lightning and Micro-USB is so cool.</li>\n\n\n\n<li><a href=\"https://www.amazon.com/gp/product/B0C85BVS5V/?tag=photomatt08-20\">Baseus has made a retractable 100w/5a USB-C beautiful cord</a>. This is probably the one you’ll want to carry around. Someday it will replace all other cables when we achieve USB-C nirvana.</li>\n\n\n\n<li><a href=\"https://www.amazon.com/gp/product/B08JG2YRFB/?tag=photomatt08-20\">Chafon USB-C multi-cable is my ultimate workhorse</a>, what I use the most. It’s available at different lengths. I like the way the attachments can be moved around, but there is some fragility being entered at every connection so I like to travel with these not linked so they don’t bend or break.</li>\n\n\n\n<li><a href=\"https://www.amazon.com/dp/B0BY8Q69DC?tag=photomatt08-20\">Tiny Miisso 6000mah battery pack with cables built in</a>.</li>\n\n\n\n<li><a href=\"https://www.amazon.com/dp/B0C34DL6Z7/?tag=photomatt08-20&th=1\">Pixel Fold</a>. I always try to have an Android device for testing and the pixel fold has been a interesting one, because I found myself using it in ways that feel like sci-fi. Reading a book on the Kindle where you can turn the pages it&#8217;s really nice. It&#8217;s just a fun tool.</li>\n\n\n\n<li><a href=\"https://www.amazon.com/dp/B0B1N7SGMZ/?tag=photomatt08-20&th=1\">Pixel Buds Pro</a>, they sound remarkably good. Airpods for Android.</li>\n\n\n\n<li><a href=\"https://www.amazon.com/dp/B0CHWRXH8B/?tag=photomatt08-20\">Airpods Pro</a>, now with USB-C as God intended. I have a little robot on mine. Just amazing, and how great that you can buy them anywhere in the world. This is the first thing I’d replace if I lost it.</li>\n\n\n\n<li><a href=\"https://www.apple.com/shop/buy-iphone/iphone-15-pro\">iPhone 15 Pro</a>, now that it has USB-C, my favorite iPhone ever. No notes.</li>\n\n\n\n<li><a href=\"https://www.amazon.com/dp/B00T9CHYOU/?tag=photomatt08-20\">Maruman N196A Nemosine Notebook</a>, great paper. I have a small Pilot Couleur pen tucked into the spiral binding. Both brands are Japanese and I think I picked them up on a trip there, probably at the amazing <a href=\"https://store.tsite.jp/daikanyama/english/\">Daikanyama T-Site</a>.</li>\n\n\n\n<li><a href=\"https://www.amazon.com/dp/B00Q5VZ8PU/?tag=photomatt08-20\">OHTO Needle Point Knock 0.7mm pen</a>, a nice daily driver. I was carrying around a <a href=\"https://www.montblanc.com/en-us/ballpoint-pens_cod19971654707127749.html\">Montblanc Heritage Egyptomania Doué ballpoint pen</a> but I lost it somewhere.</li>\n\n\n\n<li><a href=\"https://ugmonk.com/pages/analog\">Notecards from Ugmonk Analog</a>. I really enjoy everything they make, great company, I keep these on every desk as well. These cards are often what drives my day.</li>\n\n\n\n<li><a href=\"https://www.amazon.com/gp/product/B08B495319/?tag=photomatt08-20\">Kindle Paperwhite Signature Edition, finally with USB-C</a>! I prefer the <a href=\"https://www.amazon.com/dp/B07F7TLZF4/?tag=photomatt08-20\">Oasis</a>, but they inexplicably haven’t updated it to be USB-C, so I carry the Paperwhite instead.</li>\n\n\n\n<li><a href=\"https://www.amazon.com/dp/B0BJLF3QVN/?tag=photomatt08-20\">11-inch iPad Pro</a>, always great in a pinch. I have the pen in case I magically develop an ability to draw and the keyboard and alway-connected 5G makes this great for hopping on Slack or <a href=\"https://texts.com/\">Texts</a>.</li>\n\n\n\n<li><a href=\"https://www.bestbuy.com/site/insignia-35w-foldable-compact-dual-usb-c-port-wall-charger-for-iphone-ipad-macbook-air-samsung-smartphones-tablets-and-more-white/6504662.p?skuId=6504662\">35w dual USB-C charger, from Insignia</a> I probably picked up at Best Buy. <a href=\"https://www.amazon.com/gp/product/B09N94ZVFX/?tag=photomatt08-20\">Here is a 40w Amazon alternative I recommend and usually carry</a>. This is one of the items I give away the most, so I must have given away my Highsay version.</li>\n\n\n\n<li><a href=\"https://www.amazon.com/gp/product/B091Z6JNX4/?tag=photomatt08-20\">Ugreen 100w 4-port compact charger</a>, this is what I break out when I want to charge my laptop quickly.</li>\n\n\n\n<li><a href=\"https://www.amazon.com/dp/B09H6PJDWB/?tag=photomatt08-20\">Belkin 37-Watt Dual USB Car Charger</a>, I use this very rarely now but it’s great in a pinch, especially on older cars that have very weak USB ports.</li>\n\n\n\n<li><a href=\"https://www.amazon.com/dp/B0CG9192B4/?tag=photomatt08-20\">Epicka travel adapter</a>. Nice that it has some built-in ports, but I rarely use them. I probably should switch back to the smaller and lighter Muji adapter.</li>\n\n\n\n<li><strong>Still my favorite power cable:</strong> <a href=\"https://www.amazon.com/dp/B0BVW27Y1Y/?tag=photomatt08-20\">Baseus 60w</a>. I tried the higher watt models, they didn&#8217;t always work on planes. This is a 6-foot extension cord and can charge a laptop directly. Really a joy. When they do an all-USB-C version I&#8217;ll probably upgrade..</li>\n\n\n\n<li><a href=\"https://www.apple.com/shop/product/MT0H3AM/A/apple-watch-magnetic-fast-charger-to-usb-c-cable-1-m\">Apple Watch Magnetic Fast Charger</a>, of course with USB-C</li>\n\n\n\n<li>This year, I’ve been focused more on my overall health. As I’m getting into the habit of moving my body everyday, the <a href=\"https://www.apple.com/apple-watch-ultra-2/\">Apple Watch Ultra 2</a> has been motivating because it’s great at letting me know how much I don’t run. Jokes aside, I’m a data person so seeing the numbers of my habits have helped me optimize my goals.&nbsp;</li>\n\n\n\n<li>A candle can make a space feel cozy. Though I don’t travel with my own candle, I like to have my trusted <a href=\"https://www.amazon.com/dp/B08GLRLH25/?tag=photomatt08-20\">Rechargeable Candle Lighter</a>. Light fire with USB!&nbsp;</li>\n\n\n\n<li><a href=\"https://www.amazon.com/dp/B000MF60UC/?tag=photomatt08-20\">Swiss Army Card</a>, let’s talk about cool gadgets. I use every feature of this card on a regular basis during my travels. It’s incredibly compact and slim. I’ve had to reorder this card a couple of times because they will confiscate the tiny knife.&nbsp;</li>\n\n\n\n<li><a href=\"https://www.amazon.com/dp/B01KYTR0HM/?tag=photomatt08-20\">Petzl e+LITE Headlamp</a>, as a former boy scout, I’m always prepared for anything including a potential blackout.&nbsp;&nbsp;</li>\n\n\n\n<li><a href=\"https://lockpicktools.com/folding-pocket-set/\">Lockpick set</a>.</li>\n\n\n\n<li><a href=\"https://www.amazon.com/dp/B08VW8QH4N/?tag=photomatt08-20\">Carabiner</a> is always good to have on hand.</li>\n\n\n\n<li>You know, a <a href=\"https://www.amazon.com/dp/B09HS3JKDC/?tag=photomatt08-20\">Disposable mask</a> is just good practice. This mask shape is my favorite and very comfortable.&nbsp;</li>\n\n\n\n<li><a href=\"https://www.amazon.com/dp/B0062ALC9U/?tag=photomatt08-20\">Immunity Throat Spray</a> was recommended to me by Paul Stamets. I’m not sure if it’s a placebo, but I haven’t gotten sick. Thus, 3 sprays twice a day will keep the doctor away… for me at least.&nbsp;</li>\n\n\n\n<li>Lately, I’ve been curious about the quality of air. I carry the <a href=\"https://www.amazon.com/dp/B07YY7BH2W/?tag=photomatt08-20\">Aranet4 CO2 monitor</a> to gain insight about different spaces.&nbsp;<a href=\"https://www.hsph.harvard.edu/healthybuildings/2021/09/09/impacts-of-indoor-air-quality-on-cognitive-function/\">Higher CO2 literally makes your brain slower</a>!</li>\n\n\n\n<li>Winter is coming… <a href=\"https://www.amazon.com/dp/B08FD7W4SD/?tag=photomatt08-20\">BioDerma Chapstick</a> is my go-to for dry lips.&nbsp;</li>\n\n\n\n<li>I must admit I don’t really eat the mints from this <a href=\"http://www.marunao.com/cms_en/products/308/\">Marunao Mint Case</a>. However, I have a high admiration for this elegantly crafted case. It has a soft finish feel and a satisfying magnetic closure.</li>\n\n\n\n<li><a href=\"https://www.amazon.com/dp/B07BKMY834?tag=photomatt08-20\">Kikkerland Red Plaid Earphone Case</a> is where I store my custom molded ear plugs.&nbsp;</li>\n\n\n\n<li><a href=\"https://www.amazon.com/dp/B07DX1G5YM?tag=photomatt08-20\">SmartMouth travel packets</a> was the best recommendation I received in 2019. It really tackles mouth hygiene well for all day freshness.&nbsp;</li>\n\n\n\n<li>Cloth card holder / wallet, simple minimalist way to carry some extra cards and a few bills. I believe <a href=\"https://tim.blog/\">Tim</a> uses one of these as well.</li>\n\n\n\n<li><a href=\"https://twitter.com/helenhousandi/status/746057671531429889\">WordPress ring</a>.</li>\n\n\n\n<li><a href=\"https://www.sea2see.org/products/treviso-sun?variant=20495073771618\">Sea2See Sunglasses.</a> Sunglasses made from recycled plastic collected from the ocean. I discovered this from a goodie bag at the <a href=\"https://brilliantminds.co/\">Brilliant Minds conference</a> and have since purchased more to have it everywhere I go.</li>\n\n\n\n<li>Small plastic holder I got from my sister that helps me carry around stickers without them getting crinkled.</li>\n\n\n\n<li>Hermes business card holder. There are some occasions where exchanging business cards is a ritual. Also great to wedge it in a door jamb to keep it from autolocking.&nbsp;</li>\n\n\n\n<li>Passport, never leave home without it. Always be ready for adventure! My passport photo is actually AI-generated, because, why not? We live in the metaverse.</li>\n\n\n\n<li><a href=\"https://www.sleepmastereurope.com/\">Eye Mask</a>. I like these because the material feels nice on the skin and the wraparound is excellent for blocking out the light and some sound since it covers your ears. Great for sleeping or just needing a moment away from overstimulating environments. Similar one <a href=\"https://us.drowsysleepco.com/products/eye-mask\">here</a> (the version I have doesn’t appear readily available outside of Europe).&nbsp;</li>\n\n\n\n<li>REI Goretex mittens. They’re shell liners, lightweight and water resistant. The ones I have are an older version and no longer in stock. <a href=\"https://www.rei.com/product/194829/rei-co-op-minimalist-gtx-mittens-20?color=BLACK\">Version 2.0 available.</a> There&#8217;s no bad weather, only bad clothing.</li>\n\n\n\n<li>Gloves, nice in the winter but I carry them year round in case I need to carry wood or something. Also the fingertips have the conductive material that makes it touchscreen compatible for devices.</li>\n\n\n\n<li>This is a <a href=\"https://www.amazon.com/dp/B0035N09CS/?tag=photomatt08-20\">grey wool buff</a>, which works as a scarf, a hat, or an eye cover if I’m trying to sleep. I tried this out because of one of <a href=\"http://tynan.com/gear2017\">Tynan’s also-great gear posts</a>.</li>\n\n\n\n<li><a href=\"https://www.gorewear.com/us/en-us/m-gore-windstopper-thermo-beanie-100391\">Gore Thermo Beanie</a>, my favorite feature are the slits by the ears for sunglasses. Kept my eyes and ears protected while in Antarctica with Tim. He and I recorded a podcast episode in our tent talking about our personal fears, bucket lists, and more. <a href=\"https://pca.st/qmwhc7zz\">Have a listen</a>!</li>\n\n\n\n<li><a href=\"https://aersf.com/collections/backpacks/products/fit-pack-3\">Aer Fit Pack 3 backpack</a>, embroidered black-on-black with Automattic and WordPress logos. I upgraded this year from version 2 to 3, which changed some of the interior pockets a bit, and most notably added outside side pockets, which I have found super useful. This is the bag that makes it all work.</li>\n</ol>\n\n\n\n<p>Not pictured: <a href=\"https://flipperzero.one/\">Flipper Zero</a>, which was actually in my pocket and I forgot to put it in the photo. I have found this device really handy and fun to play with, just a delightful piece of technology.</p>\n\n\n\n<p>Here&#8217;s what I was rocking earlier in the year:</p>\n\n\n\n<img width=\"604\" height=\"453\" src=\"https://i0.wp.com/ma.tt/files/2023/11/bag-early-2023-1024x768.jpg?resize=604%2C453&ssl=1\" alt=\"\" class=\"wp-image-106304\" />\n\n\n\n<p>I&#8217;m not going to label it all, just posting for posterity. It&#8217;s mostly the same except I gave up on carrying around the Airpods Max, the grippy tripod, and haven&#8217;t found a great disco phone light yet.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 15 Dec 2023 12:43:58 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"Matt\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:44;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:104:\"Do The Woo Community: Resources and Opportunities in WordPress for Speaking, Contributing and Connecting\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"https://dothewoo.io/?p=78697\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:45:\"https://dothewoo.io/community-jobs-resources/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:402:\"<p>WordCamp opportunities, supporting underrepresented and connecting the WordPress community with resources and sites.</p>\n<p>&gt;&gt; The post <a href=\"https://dothewoo.io/community-jobs-resources/\">Resources and Opportunities in WordPress for Speaking, Contributing and Connecting</a> appeared first on <a href=\"https://dothewoo.io\">Do the Woo - a WooCommerce and WordPress Builder Podcast</a>	.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 15 Dec 2023 12:31:11 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"BobWP\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:45;a:6:{s:4:\"data\";s:11:\"\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:66:\"HeroPress: Better Development With WordPress, WP Photos, And More!\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://heropress.com/?p=6201\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:171:\"https://heropress.com/better-development-with-wordpress-wp-photos-and-more/#utm_source=rss&utm_medium=rss&utm_campaign=better-development-with-wordpress-wp-photos-and-more\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:9783:\"<img width=\"1024\" height=\"768\" src=\"https://heropress.com/wp-content/uploads/2023/12/839655ae1936ee3c0.52974282-1024x768.jpg\" class=\"attachment-large size-large wp-post-image\" alt=\"Boy in a boat on a Bangladesh beach at sunset.\" /><div class=\"kb-row-layout-wrap kb-row-layout-id6201_381c02-47 alignnone kt-row-has-bg wp-block-kadence-rowlayout\"><div class=\"kt-row-column-wrap kt-has-1-columns kt-row-layout-equal kt-tab-layout-inherit kt-mobile-layout-row kt-row-valign-top kb-theme-content-width\">\n\n<div class=\"wp-block-kadence-column kadence-column6201_11d963-76 inner-column-1\"><div class=\"kt-inside-inner-col\">\n<h2 class=\"kt-adv-heading6201_1ef628-4f wp-block-kadence-advancedheading\"><a href=\"https://heropress.com/\">HeroPress.com</a> &#8211; <a href=\"https://heropress.com/essays/wordpress-taught-better-developer/\">How WordPress Taught Me To Be a Better Developer</a></h2>\n\n\n\n\n\n<div class=\"wp-block-image is-style-default\">\n<img width=\"300\" height=\"300\" src=\"https://heropress.com/wp-content/uploads/2016/05/ed_finkler-300x300.jpg\" alt=\"Ed Finkler\" class=\"wp-image-999\" /></div>\n\n\n\n<p>Ed Finkler was a WordPress developer for a long time and then moved on to &#8220;real programming&#8221;. He&#8217;s on the of few that still have respect for The WordPress Way, and is grateful for what it taught him.</p>\n\n\n\n<p><em>Ultimately what I find most satisfying in life is not the particular actions I’ve chosen, but <strong>the impact they have upon the people around me</strong>.</em></p>\n\n\n\n<p>Ed&#8217;s essay is <a href=\"https://heropress.com/essays/wordpress-taught-better-developer/\">available</a> on <a href=\"https://heropress.com\">HeroPress.com</a>.</p>\n</div></div>\n\n</div></div>\n\n\n<div class=\"wp-block-kadence-spacer aligncenter kt-block-spacer-6201_108596-f6\"><div class=\"kt-block-spacer kt-block-spacer-halign-center\"><hr class=\"kt-divider\" /></div></div>\n\n\n<div class=\"kb-row-layout-wrap kb-row-layout-id6201_71411b-5e alignnone kt-row-has-bg wp-block-kadence-rowlayout\"><div class=\"kt-row-column-wrap kt-has-1-columns kt-row-layout-equal kt-tab-layout-inherit kt-mobile-layout-row kt-row-valign-top kb-theme-content-width\">\n\n<div class=\"wp-block-kadence-column kadence-column6201_18957b-7a inner-column-1\"><div class=\"kt-inside-inner-col\">\n<h2 class=\"kt-adv-heading6201_a44261-b0 wp-block-kadence-advancedheading\"><a href=\"https://hallwaychats.com\">WPPhotos.Info</a></h2>\n\n\n\n\n\n<div class=\"wp-block-image\">\n<img width=\"300\" height=\"225\" src=\"https://heropress.com/wp-content/uploads/2023/12/975656edaa198dd64.92618733-scaled-1-300x225.jpg\" alt=\"\" class=\"wp-image-6206\" /></div>\n\n\n\n<p>This week&#8217;s <a href=\"https://wpphotos.info\">WPPhotos Info</a> is called &#8220;<a href=\"https://wpphotos.info/thermosolar-plant/\">Thermosolar plant in Seville</a>&#8220;. </p>\n\n\n\n<p>This photo was taken by <a href=\"https://wordpress.org/photos/author/nilovelez/\">Nilo Velez</a> and it is the thermosolar plant inside the Heineken factory in Seville. They use it to boil water and save energy when they are making beer.</p>\n\n\n\n<p><a href=\"https://wpphotos.info/thermosolar-plant/\">Read more of the story at WPPhotos.info!</a></p>\n</div></div>\n\n</div></div>\n\n\n<div class=\"wp-block-kadence-spacer aligncenter kt-block-spacer-6201_92eb7e-24\"><div class=\"kt-block-spacer kt-block-spacer-halign-center\"><hr class=\"kt-divider\" /></div></div>\n\n\n<div class=\"kb-row-layout-wrap kb-row-layout-id6201_700552-40 alignnone kt-row-has-bg wp-block-kadence-rowlayout\"><div class=\"kt-row-column-wrap kt-has-1-columns kt-row-layout-equal kt-tab-layout-inherit kt-mobile-layout-row kt-row-valign-top kb-theme-content-width\">\n\n<div class=\"wp-block-kadence-column kadence-column6201_feb2c3-de inner-column-1\"><div class=\"kt-inside-inner-col\">\n<h2 class=\"kt-adv-heading6201_646446-89 wp-block-kadence-advancedheading\"><a href=\"https://wppodcasts.com\">WP Podcasts</a></h2>\n\n\n\n\n\n\n<a href=\"https://wppodcasts.com\"><img src=\"https://heropressnetwork.com/wp-content/uploads/2024/01/pocket_casts_single_315.png\" alt=\"Pocket Casts image\" class=\"wp-image-4316\" /></a>\n\n\n\n\n<p>There were <em>eighteen</em> WordPress podcast episodes released this week! There&#8217;s also a new podcast this week, <a href=\"https://wppodcasts.com/podcast/the-wordpress-edge/\">The WordPress Edge</a>!</p>\n\n\n\n<ul>\n<li><a href=\"https://underrepresented-in-tech.castos.com/episodes/our-thoughts-on-feminism#new_tab\">Our Thoughts on Feminism</a> from <a href=\"https://wppodcasts.com/podcast/underrepresented-in-tech/\">Underrepresented in Tech</a></li>\n\n\n\n<li><a href=\"https://wp-tonic-show-a-wordpress-podcast.castos.com/episodes/891-wp-tonic-this-week-in-wordpress-saas-the-challenges-of-building-kadencewp-on-wordpress#new_tab\">#891 – WP-Tonic This Week in WordPress &amp; SaaS: The Challenges of Building KadenceWP On WordPress</a> from <a href=\"https://wppodcasts.com/podcast/wp-tonic/\">WP-Tonic</a></li>\n\n\n\n<li><a href=\"https://unbilleteachattanooga.com/episodio-240/#new_tab\">Episodio 240: Así nos lo montamos para ir a tantos eventos</a> de <a href=\"https://wppodcasts.com/podcast/un-billete-a-chattanooga/\">Un billete a Chattanooga</a></li>\n\n\n\n<li><a href=\"https://share.transistor.fm/s/2ca52c75#new_tab\">State of the Word 2023</a> from <a href=\"https://wppodcasts.com/podcast/the-wp-minute/\">The WP Minute</a></li>\n\n\n\n<li><a href=\"https://viewsource.fm/s2/5#new_tab\">We want to see more releases like WordPress 6.4</a> from <a href=\"https://wppodcasts.com/podcast/viewsource/\">viewSource</a></li>\n\n\n\n<li><a href=\"https://dothewoo.io/page-builders-documentation-and-an-scaling-for-swifties/#new_tab\">Page Builders, Documentation and an Scaling for Swifties</a></li>\n\n\n\n<li>Posted onDecember 8, 2023 <a href=\"https://wppodcasts.com/podcast/do-the-woo-a-woocommerce-podcast/\">Do the Woo &#8211; A WooCommerce Podcast</a></li>\n</ul>\n\n\n\n<p>There are new episodes every single day, so be sure to stop by <a href=\"https://wppodcasts.com\">WPPodcasts.com</a> and search for things that interest you!</p>\n</div></div>\n\n</div></div>\n\n\n<div class=\"wp-block-kadence-spacer aligncenter kt-block-spacer-6201_ddcc4c-63\"><div class=\"kt-block-spacer kt-block-spacer-halign-center\"><hr class=\"kt-divider\" /></div></div>\n\n\n<div class=\"kb-row-layout-wrap kb-row-layout-id6201_2a1478-17 alignnone kt-row-has-bg wp-block-kadence-rowlayout\"><div class=\"kt-row-column-wrap kt-has-1-columns kt-row-layout-equal kt-tab-layout-inherit kt-mobile-layout-row kt-row-valign-top kb-theme-content-width\">\n\n<div class=\"wp-block-kadence-column kadence-column6201_1e2866-6e inner-column-1\"><div class=\"kt-inside-inner-col\">\n<h2 id=\"wpphotos\" class=\"kt-adv-heading6201_fc6775-27 wp-block-kadence-advancedheading\"><a href=\"https://wordpress.org/photos\">WP Photos</a></h2>\n\n\n\n<p>Here are some of the great photos submitted to the <a href=\"https://wordpress.org/photos\">WPPhotos</a> project this week!</p>\n\n\n\n\n<a href=\"https://heropress.com/wp-content/uploads/2023/12/2246576df3eb751b6.70554510-2048x1536-1.jpg\"><img width=\"1024\" height=\"768\" src=\"https://heropress.com/wp-content/uploads/2023/12/2246576df3eb751b6.70554510-2048x1536-1-1024x768.jpg\" alt=\"\" class=\"wp-image-6229\" /></a><a href=\"https://wordpress.org/photos/author/sharankrishna/\">sharankrishna</a>\n\n\n\n<a href=\"https://heropress.com/wp-content/uploads/2023/12/13965785a624c15b8.38688020-scaled.jpeg\"><img width=\"768\" height=\"1024\" src=\"https://heropress.com/wp-content/uploads/2023/12/13965785a624c15b8.38688020-768x1024.jpeg\" alt=\"\" class=\"wp-image-6226\" /></a><a href=\"https://wordpress.org/photos/author/sheelagc44/\">sheelagc44</a>\n\n\n\n<a href=\"https://heropress.com/wp-content/uploads/2023/12/84657976a91e6c58.90548471-scaled.jpg\"><img width=\"576\" height=\"1024\" src=\"https://heropress.com/wp-content/uploads/2023/12/84657976a91e6c58.90548471-576x1024.jpg\" alt=\"\" class=\"wp-image-6224\" /></a><a href=\"https://wordpress.org/photos/author/vishalrana2404/\">vishalrana2404</a>\n\n\n\n<a href=\"https://heropress.com/wp-content/uploads/2023/12/257657926fd43a316.15730428-scaled.jpeg\"><img width=\"1024\" height=\"768\" src=\"https://heropress.com/wp-content/uploads/2023/12/257657926fd43a316.15730428-1024x768.jpeg\" alt=\"\" class=\"wp-image-6228\" /></a><a href=\"https://wordpress.org/photos/author/devtanbir/\">Tanbir Ahmod</a>\n\n\n\n<a href=\"https://heropress.com/wp-content/uploads/2023/12/497657723b56b1e82.88549465-scaled.jpg\"><img width=\"1024\" height=\"768\" src=\"https://heropress.com/wp-content/uploads/2023/12/497657723b56b1e82.88549465-1024x768.jpg\" alt=\"\" class=\"wp-image-6225\" /></a><a href=\"https://wordpress.org/photos/author/smrajib/\">smrajib</a>\n\n\n\n<a href=\"https://heropress.com/wp-content/uploads/2023/12/40665771219281808.24779285-scaled.jpg\"><img width=\"1024\" height=\"689\" src=\"https://heropress.com/wp-content/uploads/2023/12/40665771219281808.24779285-1024x689.jpg\" alt=\"\" class=\"wp-image-6227\" /></a><a href=\"https://wordpress.org/photos/author/anildulal/\">anildulal</a>\n\n\n\n\n<p></p>\n\n\n\n<p>Be sure to check out the <a href=\"https://wordpress.org/photos/\">hundreds of other great photos</a>!</p>\n</div></div>\n\n</div></div>\n\n\n<p></p>\n\n\n\n<p>The header photo for this post is a <a href=\"https://creativecommons.org/share-your-work/public-domain/cc0/\">CC0</a> licensed <a href=\"https://wordpress.org/photos/photo/839655ae19/\">photo</a> by <a href=\"https://wordpress.org/photos/author/ardhrubo/\">Dhrubo</a> from the <a href=\"https://wordpress.org/photos/\">WordPress Photo Directory</a>.</p>\n\n\n\n\n\n\n<p>That&#8217;s it for this week! If you&#8217;d like to get this post in your email every week, <a href=\"https://heropressnetwork.com/newsletter\">make sure you sign up</a>!</p>\n\n<p>The post <a href=\"https://heropress.com/better-development-with-wordpress-wp-photos-and-more/\">Better Development With WordPress, WP Photos, And More!</a> appeared first on <a href=\"https://heropress.com\">HeroPress</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 15 Dec 2023 08:00:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:46;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:94:\"Do The Woo Community: A Post Mortem Marketing Analysis of Black Friday aka Stuff You Should Do\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"https://dothewoo.io/?p=78693\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:93:\"https://dothewoo.io/a-post-mortem-marketing-analysis-of-black-friday-aka-stuff-you-should-do/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:453:\"<p>Adam and Emma discuss the importance of conducting a post-mortem analysis after a major marketing campaign, such as Black Friday.</p>\n<p>&gt;&gt; The post <a href=\"https://dothewoo.io/a-post-mortem-marketing-analysis-of-black-friday-aka-stuff-you-should-do/\">A Post Mortem Marketing Analysis of Black Friday aka Stuff You Should Do</a> appeared first on <a href=\"https://dothewoo.io\">Do the Woo - a WooCommerce and WordPress Builder Podcast</a>	.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 14 Dec 2023 11:47:49 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"BobWP\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:47;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:54:\"Matt: Podcast with Texts founder Kishan and Techcrunch\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:23:\"https://ma.tt/?p=109295\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:40:\"https://ma.tt/2023/12/kishan-techcrunch/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:1280:\"<p><a href=\"https://kishanbagaria.com/\">Kishan Bagaria</a> and I had chance to <a href=\"https://techcrunch.com/2023/12/13/why-automattic-spent-50m-on-texts-com/\">catch up with Alex Willhelm on the Techcrunch Equity podcast</a>, it&#8217;s a bit of a time travel since we recorded this on November 28<sup>th</sup> and there has been a ton of activity in the messaging space including the whole <a href=\"https://www.techmeme.com/231211/p17#a231211p17\">Beeper Mini launch and smackdown from Apple</a>. However it&#8217;s worth listening to get to know Kishan and hear some of Automattic&#8217;s broader, long-term strategy in this space. </p>\n\n\n\n<p>To give our current take with regards to iMessage: Right now we run on desktop only, basically automating Apple&#8217;s first-party app. This obviously won&#8217;t work on iOS or Android. With every network we support we want to have a good, non-adversarial relationship that puts the user first, with the utmost standards for privacy and security, and understanding the principles and values each network is trying to uphold. We&#8217;re watching this space unfold very closely, and trying to help where we can. Check out the episode here:</p>\n\n\n\n<div class=\"wp-block-embed__wrapper\">\n<div>    <div></div>    </div>\n</div>\n\n\n\n<p></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 14 Dec 2023 03:35:36 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"Matt\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:48;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:43:\"WordCamp Central: 2023 Annual Meetup Survey\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:39:\"https://central.wordcamp.org/?p=4810030\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:68:\"https://central.wordcamp.org/news/2023/12/2023-annual-meetup-survey/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:1760:\"<p>In November, we launched the <a href=\"https://make.wordpress.org/community/2023/11/17/announcing-the-2023-annual-meetup-survey/\">Annual Meetup Survey</a>. This year, we propose a unified survey for all Meetup members and organizers. Because of lack of time, we were not able to coordinate the translation to other languages as we did in previous editions, and I&#8217;d love to apologize to all meetup members and organizers who were waiting for the survey to be available in their languages. Next year we&#8217;ll plan it in advance.</p>\n\n\n\n<p>Please take a moment to complete the <a href=\"https://wordpressdotorg.survey.fm/2023-meetup-annual-survey\">Annual Meetup Survey</a> – even if you haven’t participated in a meetup recently! This survey is an important opportunity to share your feedback on WordPress meetups in 2023 and how we can improve the program in the future. Even if you did not attend meetup events in 2023, your input is valuable! The survey takes less than 5 minutes to fill out, and the results will help strengthen WordPress meetups in the years to come.</p>\n\n\n\n<p>We hope to achieve a 100% response rate among Meetup organizers and members around the world, and get actionable insights about two challenges that the WordPress ecosystem is facing right now:</p>\n\n\n\n<ul>\n<li>How can we increase the number of WordPress events?</li>\n\n\n\n<li>How can we increase the number of WordPress users worldwide?</li>\n</ul>\n\n\n\n<p>The survey will remain open until January, Dec 14, 2024.</p>\n\n\n\n<p>To open the survey in a new tab, please use the following link: <a href=\"https://wordpressdotorg.survey.fm/2023-meetup-annual-survey\" target=\"_blank\" rel=\"noreferrer noopener\">https://wordpressdotorg.survey.fm/2023-meetup-annual-survey</a></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 13 Dec 2023 15:06:44 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:6:\"Isotta\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:49;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:96:\"WPTavern: #103 – Emma Young on Exploring WordPress, the Software, the Events and the Community\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:48:\"https://wptavern.com/?post_type=podcast&p=151850\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:108:\"https://wptavern.com/podcast/103-emma-young-on-exploring-wordpress-the-software-the-events-and-the-community\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:48040:\"Transcript<div>\n<p>[00:00:00] <strong>Nathan Wrigley:</strong> Welcome to the Jukebox podcast from WP Tavern. My name is Nathan Wrigley.</p>\n\n\n\n<p>Jukebox is a podcast which is dedicated to all things WordPress. The people, the events, the plugins, the blocks, the themes, and in this case getting excited about WordPress.</p>\n\n\n\n<p>If you&#8217;d like to subscribe to the podcast, you can do that by searching for WP Tavern in your podcast player of choice, or by going to WPTavern.com forward slash feed forward slash podcast. And you can copy that URL into most podcast players. If you have a topic that you&#8217;d like us to feature on the podcast, I&#8217;m keen to hear from you and hopefully get you, or your idea, featured on the show. Head to WPTavern.com forward slash contact forward slash jukebox, and use the form there.</p>\n\n\n\n<p>So on the podcast today, we have Emma Young. Emma is the head of content for Hostinger, and is on the podcast today to chat through her new found love of WordPress and the community which surrounds it.</p>\n\n\n\n<p>Emma&#8217;s journey is quite inspirational. From having almost no experience with WordPress just a few years ago, she&#8217;s now immersed deeply in all that WordPress has to offer. Just over a year ago, she&#8217;d been using WordPress a little, but that was it. Then she found employment in the space and has been to all three 2023 flagship WordCamps, as well as the WordPress Community Summit. So the whole conversation is colored with this newness, and energy, which is quite infectious.</p>\n\n\n\n<p>We explore the delicate balance between profitability and community values in her job. Emma sheds light on Hostinger&#8217;s commitments in the WordPress space, and how they tread the tight rope of being a good community citizen while still turning a profit.</p>\n\n\n\n<p>We also delve into the company&#8217;s recent involvement in WordPress events and WordCamps, discussing the benefits they have reaped from these. It&#8217;s things like brand awareness and invaluable feedback from the community. Emma&#8217;s passion for networking and continuous improvement is evident as she shares her personal experiences. We discussed the inclusive nature of the WordPress community and the various pathways individuals with different personality types can follow to feel at home. Emphasizing the ample opportunities available for everyone to contribute.</p>\n\n\n\n<p>We get into the collaborative nature of the WordPress community, exploring the cameraderie, philanthropy, and human connections that thrive within WordPress events and projects. Emma shares her insights from her recent involvement in helping to organize WordCamp Europe, and her dedication to contributing to documentation.</p>\n\n\n\n<p>If you&#8217;re looking for a way to find your place in the WordPress community, this podcast is for you.</p>\n\n\n\n<p>If you&#8217;re interested in finding out more, You can find all of the links in the show notes by heading to WPTavern.com forward slash podcast, where you&#8217;ll find all the other episodes as well.</p>\n\n\n\n<p>And so without further delay, I bring you Emma Young.</p>\n\n\n\n<p>I am joined on the podcast today by Emma Young. Hi Emma.</p>\n\n\n\n<p>[00:03:34] <strong>Emma Young:</strong> Hello.</p>\n\n\n\n<p>[00:03:35] <strong>Nathan Wrigley:</strong> Very nice to have you on the podcast today. We are going to talk about the WordPress community. We&#8217;re really going to hone in on the community, and Emma&#8217;s recent contributions. Her journey very recently, in really getting stuck into WordPress events and all of that kind of thing.</p>\n\n\n\n<p>Before we get into that Emma, I wonder if you wouldn&#8217;t mind just spending a moment, giving us your bio. You can go as far back as you like. But I guess, given that this is a WordPress podcast, maybe if we center it around WordPress and the community and so on.</p>\n\n\n\n<p>[00:04:04] <strong>Emma Young:</strong> Yeah. So just briefly, I had a lot of failed attempts at WordPress blogs growing up. But they were a lot of fun, and I think led me to content in general, and where I got probably the most involved in the WordPress community. So yeah, all of that leading to traveling to different places, and ending up working for Hostinger, where I used WordPress every single day.</p>\n\n\n\n<p>Which led to, I don&#8217;t know, diving feet first, head first, whole body first into the WordPress community earlier this year. One thing just led very nicely to the other. It was just this nice little circle, universe kind of shoving me towards the WordPress community. And me just jumping, or kind of like slowly running, like on the beach, like the 90s rom com, like with open arms and the community just being like, welcome.</p>\n\n\n\n<p>I guess really started diving in last year with the contributions to the docs team. Somebody introduced, hey have you ever heard of Five for the Future? Have you ever heard of contributing to WordPress?</p>\n\n\n\n<p>And I was like, what, you could do that? Yeah, let&#8217;s look into it. It&#8217;s super easy. Signed up, and then, you know, I love documentation. I love words. I love everything that the docs team stands for. And then I just got super obsessed with it. What else do you need? What else can I do? And that was mid last year. And then I think since then, I don&#8217;t know, I feel like we&#8217;ll unfold a lot more of that in this podcast. I don&#8217;t want to give too many spoilers. Yeah, I don&#8217;t really have that much bio before that time.</p>\n\n\n\n<p>[00:05:25] <strong>Nathan Wrigley:</strong> Okay. That&#8217;s totally fine. It sounds as if you were, I&#8217;m going to use the phrase digital nomad. I could be completely wrong in that intuition. But is there a bit of that? Were you using WordPress over the last decade, as a way of earning a living whilst doing things in different parts of the globe? Or was it more of a hobby thing? You definitely mentioned that you&#8217;d used WordPress repeatedly, but I don&#8217;t know on what level that was helping supplement what you were doing.</p>\n\n\n\n<p>[00:05:49] <strong>Emma Young:</strong> Yeah, like on a personal level, I wasn&#8217;t making any money. It was more like blogs and trying to give my family a little bit, family and friends a little insight into what I was doing. But digital nomad is for sure a great way to put it. I don&#8217;t stay put in one place. I think for a while there, it was like every six months we were moving. I actually live out of my suitcase right now as well. But with all of that, most of the jobs that I had was using WordPress in one way or another. So it&#8217;s always been like a common denominator through all of my travels and work.</p>\n\n\n\n<p>[00:06:18] <strong>Nathan Wrigley:</strong> Do you know what? I&#8217;ve never heard the idea of a website to keep your parents updated. And yet, that&#8217;s such an obvious way of doing things. I had a period of time where I was roaming the world, and the internet simply didn&#8217;t exist. You know, you had to go through pains of getting on an international call, which inevitably was really difficult to achieve.</p>\n\n\n\n<p>But yeah, the idea of creating a blog or something, with imagery and descriptions of what you&#8217;re doing that your parents and, well, anybody that is interested in what you&#8217;re up to. Yeah, that seems like a really perfect use case.</p>\n\n\n\n<p>So you mentioned that the last year has really been the time where you&#8217;ve got stuck into it. Is that because of a collision with a job that you&#8217;ve taken on, or anything like that? Or was it intentional from your part, which then led to a job? Which way round did that go?</p>\n\n\n\n<p>[00:07:03] <strong>Emma Young:</strong> The chicken and the egg. Both. I don&#8217;t know. The job I guess was the reintroduction into it, which made me go from just using WordPress slightly, and daily work activities. And for the blog, I think, really jumping into the WordPress community.</p>\n\n\n\n<p>Started working at Hostinger. I&#8217;m head of content for their marketing team. And majority of what I do is providing educational content to help people with their WordPress sites. So it was a very easy transition to hear like, oh wait, you can just do this for WordPress, and you can help twice as many people. If it&#8217;s easier for somebody to use WordPress, then it&#8217;s going to be easier for the people that are looking at our tutorials.</p>\n\n\n\n<p>So while it first came through my company, that was just kind of like the door. And then when we started learning about WordCamp and participating in that, that was kind of, oh, what&#8217;s Five For the Future? How do you contribute? How do you actually help out with all of this? What are some problems you can help with? That was the second part, but that&#8217;s definitely been a huge part of it.</p>\n\n\n\n<p>[00:08:02] <strong>Nathan Wrigley:</strong> Given the nature of this podcast, it would be great if we don&#8217;t make this slide into an advert for Hostinger, but I think we should dive into that a little bit. What is the position of Hostinger, vis a vis WordPress? I mean, it is a hosting company and obviously we all know that WordPress is incredibly popular with hosting companies, because of the benefits that it has. The fact that it&#8217;s free and open source, and they can offer it to their customers and so on.</p>\n\n\n\n<p>What is the position that they&#8217;ve got? Do they send you to events in order to promote? Do they send you to events in order to network? And also you mentioned the kind of content that you create. Is it specifically aligned to Hostinger&#8217;s implementation of WordPress? Or is it a bit of, okay, here&#8217;s just how to use WordPress more generally. So it&#8217;s not necessarily tied to, well, you must be on Hostinger to make use of this article and so on.</p>\n\n\n\n<p>[00:08:49] <strong>Emma Young:</strong> Yeah. It&#8217;s gonna be interesting to try to teeter the line. But yeah, so Hostinger&#8217;s managed WordPress hosting is what we offer. And WordCamps are all of the above. I guess you could say. Yes, we go there to help the community. We also go there for feedback. We go there to promote as well, and to network.</p>\n\n\n\n<p>But I think everything can be boiled down to majority of our users use WordPress. So if WordPress isn&#8217;t working well, and isn&#8217;t continuing to improve and have innovation and have new features, then nobody&#8217;s going to want to use it. So then what are the people that use Hostinger going to want to use?</p>\n\n\n\n<p>That is the foundation of their site. While you do need hosting, obviously to get your site online, WordPress being the majority of, what&#8217;s that? I don&#8217;t know what the statistic is these days, around 48% of users online, or 51%. It&#8217;s still a majority, at least halfway. So that is a priority for us as a company, you know. So we want that to be the best that it can be, because it&#8217;s the first line of the first iteration, the first foundation that everybody else is going to use, and we can build on top of that.</p>\n\n\n\n<p>[00:09:53] <strong>Nathan Wrigley:</strong> What do you have as your content workflow? What is the process of deciding which pieces of content you&#8217;re going to create next? You know, is it driven by support? Is it just driven by ideas that your team have? What&#8217;s going on there?</p>\n\n\n\n<p>[00:10:06] <strong>Emma Young:</strong> Yeah, so it&#8217;s been quite a few years that we&#8217;ve had support, but also tutorials. So we have like SEO content, that anybody can kind of search for if they have some type of query or problem. And then we have support that&#8217;s geared specifically for our users, like how to exactly do this with our dashboard.</p>\n\n\n\n<p>But focusing more on the SEO content. Yeah, it&#8217;s just for anybody. It doesn&#8217;t matter if you&#8217;re using this company or that company. It&#8217;s just as long as you use WordPress. How to set something up, how to get the best out of it, how to recover from the most recent Google updates so that like your site&#8217;s still optimised.</p>\n\n\n\n<p>Basically anything from a complete beginner to like, okay, which plugin is the better one for this very specific use that you want it for. Just anything underneath that umbrella.</p>\n\n\n\n<p>[00:10:53] <strong>Nathan Wrigley:</strong> I&#8217;ve always thought it would be really difficult for a company like you to pitch where it puts its content, and how it portrays itself at events and things like that. Because clearly you have to be profitable, you have to pay your staff. And so that&#8217;s really important. Without that, the business collapses, and there would be no content of any description.</p>\n\n\n\n<p>But on the other hand, the WordPress community, unlike I think lots of other commercial communities, there is this sense of open source, and not being quite so aggressive with the advertising. Just a conversation about that really. How do you pitch these things? How do you decide, okay, we&#8217;re going to do one Hostinger related piece of content for every three WordPressy pieces of content?</p>\n\n\n\n<p>When we show up at events we&#8217;re going to set a certain amount of people on the booth, and they&#8217;re obviously assigned to promoting the product, and getting people to sign up. But then we&#8217;ll also put two of them out, and they were not connected to the booth, that kind of thing. So let&#8217;s just chat that through. How does Hostinger manage that difficult tightrope walk?</p>\n\n\n\n<p>[00:11:51] <strong>Emma Young:</strong> That&#8217;s actually a great question. I think it all comes down to like open source. Obviously, this is my personal opinion, but like the idea of open source and helping each other. You scratch my back, I scratch yours. It&#8217;s been something that&#8217;s been in my life, I guess, since before I can remember. Both my parents worked for open source companies as well, and products.</p>\n\n\n\n<p>Yeah, I think that&#8217;s kind of why I like Hostinger so much. Because the end goal, as much as you&#8217;re saying like, marketing is to make money. Every company wants to make money. As much as we&#8217;re like, oh, the money&#8217;s not important, it is. But there is a line, and at the end of the day the biggest focus is on the client, and on the customer, and the person that&#8217;s reading the tutorial.</p>\n\n\n\n<p>Is this actually even helpful for them? Do they even care what this is about? Are you just regurgitating from SERPs, like from the top 10 things that pull up? Or are you actually checking the steps, making sure that you&#8217;re actually going to get to the solution as fast as possible? And are you answering all of these questions before they even become a problem, so that it&#8217;s all there prepared for you?</p>\n\n\n\n<p>And at least for my content team, that is our mission and vision. That we want anybody who reads this to not have to like scroll all the way to the bottom after the history of everything, but just to actually help.</p>\n\n\n\n<p>And I think that&#8217;s the nice thing about this line, is that&#8217;s what the WordPress community is about. That&#8217;s what open source project, everything is just working towards a similar goal. At the end of the day it&#8217;s just, was it helpful? And did it solve somebody&#8217;s problem?</p>\n\n\n\n<p>And if we happen to make money along the way, awesome. But not all of our content is out there to make money. Some of it, yes. But a lot of it, it&#8217;s just there to answer your question. Hey, if you have a problem, we can help you because we&#8217;ve done it X amount of times before with different content.</p>\n\n\n\n<p>[00:13:30] <strong>Nathan Wrigley:</strong> I would imagine if you&#8217;ve been attending some of the bigger WordPress events in the last couple of years, you will have seen the presence of Hostinger. Because you&#8217;ve been fairly aggressive with the, you know, you&#8217;ve been sponsoring a lot. You&#8217;ve been taking some of the big sponsorship packages, and things like that.</p>\n\n\n\n<p>And I know you&#8217;ve only been there for a short amount of time. So this might be out of your wheelhouse. But I was curious as to when that process began. I don&#8217;t know if it&#8217;s been going on for years and years and years, or if it&#8217;s a much more recent push to be part of the WordPress community. So my intuition, my feeling, is that it&#8217;s really over the last two, two and a half years that Hostinger has become more focused on this. So just very quickly, is that right? Have I got that about right?</p>\n\n\n\n<p>[00:14:09] <strong>Emma Young:</strong> Yeah, pretty much. Not this year, but last year was the first time that we actually, you know, participated in WordCamps, flagship ones. And then also more local ones. But, yeah, you&#8217;re right. The last two years, pretty much.</p>\n\n\n\n<p>[00:14:22] <strong>Nathan Wrigley:</strong> We have quite a broad audience, but there&#8217;s definitely product owners, and hosting company representatives listening to this podcast. And very often when we get into conversations about this kind of thing, we talk about the fact that there isn&#8217;t really an ROI on attending WordPress events.</p>\n\n\n\n<p>And often it&#8217;s a sunk cost, you know, you&#8217;re going, you&#8217;re showing your face, you&#8217;re talking to an already converted crowd in many ways. Those people are, you know, they&#8217;ve been in the WordPress space for a long time, they&#8217;ve figured out what hosting it is that they want.</p>\n\n\n\n<p>I just wondered what your intuition was around that. Is attendance at those kind of events, is it more about just making your presence felt, being a good citizen, showing up. Rather than, okay, we&#8217;re going to definitely come out of this with 100, 200, 300 new customers. Because I&#8217;m guessing that isn&#8217;t really what comes out of it.</p>\n\n\n\n<p>[00:15:08] <strong>Emma Young:</strong> Wow, that would be amazing. I think the biggest thing that we can call a win is the first years WordCamps to this one is, people are not being like, who are you guys? Never heard of you before. And it&#8217;s like, I&#8217;m going to come check out your booth. Like that is a big win just for branding, you know.</p>\n\n\n\n<p>Another one is, I don&#8217;t think the intention is to go in there and be like, we have to get a thousand new customers. But in a sense, we can grow quite a bit and, you know, reap the benefits of like a snowball effect by getting feedback from everybody that&#8217;s there.</p>\n\n\n\n<p>Like you said, everybody has a niche, or something specific that they work on, and they&#8217;re the expert of. And then they can give us feedback on, and we can improve from there. And in the long run, yeah, we can benefit from that. But it&#8217;s not like short term and boom, boom, boom.</p>\n\n\n\n<p>[00:15:48] <strong>Nathan Wrigley:</strong> Yeah, it&#8217;s not a quick win, is it? I remember the first time I saw your logo was at WordCamp Europe, and you had one of the big booths. So obviously, in my head, there was a bit of disconnect there. I&#8217;m thinking, woah, I know that is a very sizable investment, but also I&#8217;ve not heard of that company before. Whereas all the other ones who&#8217;d made the similar investment, and indeed the ones that were on the slightly smaller booth shall we say, I&#8217;d heard of all of them. So that was just curious to me.</p>\n\n\n\n<p>And then I went to another event, and there you were again. And so it repeated itself. I feel that&#8217;s the game, isn&#8217;t it. It&#8217;s the long game. It&#8217;s about being recognised. It&#8217;s about showing up. Not necessarily, as you said, trying to get that return on investment, although that would be brilliant.</p>\n\n\n\n<p>And so for product owners who are new into the space, I guess there is some lesson to learn there. Those WordPress events, I think sometimes people show up expecting that kind of return on the investment. And often it maybe isn&#8217;t the case. But the long tail of showing up again and again, I could reel off lots and lots of companies who have benefited from that.</p>\n\n\n\n<p>Although it is a bit of a hidden benefit, and it won&#8217;t necessarily go on this year&#8217;s profit and loss spreadsheet. It might in the end be worthwhile doing. And I&#8217;m guessing, the fact that you&#8217;re still doing it is proof that you believe there is a benefit to it, albeit it isn&#8217;t entirely tangible.</p>\n\n\n\n<p>[00:17:05] <strong>Emma Young:</strong> Yeah, exactly. And it&#8217;s definitely like a learn from, I don&#8217;t want to say mistakes because if you&#8217;re learning from it. But learning from your past experiences, and what are you going to tweak this time? What are we going to do better? What are we going to stop? Because, oh, shouldn&#8217;t have done that.</p>\n\n\n\n<p>That&#8217;s something that, you don&#8217;t get like a nice checklist that is like, hey, you&#8217;re new to WordPress and the community, do this, this and this. It&#8217;s kind of like, good luck. And the networking helps, because like especially with community, you can get help from other people that have been in there longer, and can give us advice.</p>\n\n\n\n<p>We&#8217;ve gotten a lot of advice from people in the community. I think one of the best things about it is, in everyday life we have our competitors, other hosting companies. But then at WordCamps, and more community focused events, it&#8217;s like on pause.</p>\n\n\n\n<p>And me and Courtney from GoDaddy had some dinner, you know. GoDaddy people we&#8217;re just like, I think this is the best way to showcase the beauty of WordPress communities. It&#8217;s like Monday, game on. But today like, hey girl, how&#8217;s it been? So like I said, that&#8217;s even on pause.</p>\n\n\n\n<p>We learned from that, and it was advice from other people that it was hey, you can&#8217;t look at it as in like, how many people come to your booth? How many hosting plans did you sell? This, this or that. It&#8217;s, hey, but look at it in this way, and look at all the doors that you&#8217;re opening in the future. And I think people that are coming into this should really remember that when they&#8217;re like what did we get from sponsoring this WordCamp? It&#8217;s not just about that.</p>\n\n\n\n<p>[00:18:20] <strong>Nathan Wrigley:</strong> I think that there are quite a few pitfalls. If you are new to the community, and let&#8217;s say that you&#8217;ve been, well, let&#8217;s keep talking about events. Let&#8217;s say that you&#8217;ve been attending events in other walks of life. So nothing to do with open source, or anything like that, specifically WordPress.</p>\n\n\n\n<p>It may be that the etiquette, for want of a better word, is slightly different. And there may be pitfalls that you fall into. And I think it is kind of good to have a plan going into that first set of events, just to take the temperature of the room a little bit, and try to figure out what other people are doing.</p>\n\n\n\n<p>It just feels a little bit more community related at WordPress events. Well, obviously there&#8217;s a real great opportunity to sell if you wish to. But it does feel that the aggressive sales side of things is not quite so obvious. And you&#8217;ve just pointed to the fact that you put your weapons down, for want of a better phrase. Once the event closes for the night, and go out and have dinner with the other people, and talk about what they&#8217;re doing, and try to figure out things.</p>\n\n\n\n<p>And then obviously go off into things like contributor day, and literally do the work together. So it&#8217;s not like you&#8217;re just having a chat over a drink, you&#8217;re actually doing work. But, taken your company T-shirt off for a moment and you&#8217;re just friends. So I guess what I&#8217;m trying to say there is, yeah, take the temperature of the room on the first few times that you go, because it may not be what you expect it to be. And your intuitions may be slightly wrong there.</p>\n\n\n\n<p>Let&#8217;s talk about you for a little bit though, personally. Because I&#8217;m just curious as to what you&#8217;re getting out of all this. You&#8217;ve obviously been doing this for, well, the amount of time that you said, just over a year or something like that. And you also said, I think you said, not just feet first, like whole body first or something like that.</p>\n\n\n\n<p>What&#8217;s the deal there? Why so much in the space of time? So just to clarify, my understanding is that a year or so ago, you hadn&#8217;t been to any kind of WordPress event. Now, obviously, with the help of the company that you work for, so we need to know that, you&#8217;ve been to the three flagship events.</p>\n\n\n\n<p>So you went to WordCamp Asia, you went to WordCamp Europe, WordCamp US. You&#8217;ve been to WordCamp Madrid, which is really big. You know, it&#8217;s not one of the smaller ones. Why so much? I mean, maybe the answer is simply, well, that&#8217;s my job. But it feels like there&#8217;s more to it than that.</p>\n\n\n\n<p>[00:20:22] <strong>Emma Young:</strong> It actually isn&#8217;t my job. Now I kind of adapted to that role because I like it, you know. But, I still do run the content team, you know. Organic traffic, woo. But yeah, I think my first flagship, my first WordCamp in general was a flagship.</p>\n\n\n\n<p>And it was the beginning of this year, just in January, in Bangkok. And the first time I was ever going to be there. I had been contributing and I was like, yeah yeah, great. You know, I can really help out with this because I like it. I think I was doing it on my spare time, not work time. And it just happened to work very parallel, and overlap with work, that they were like, if she enjoys, it this is perfect.</p>\n\n\n\n<p>But then I was, I don&#8217;t know what came over me, but I was like, let&#8217;s just not go. But let&#8217;s volunteer. Let&#8217;s do, I had no idea what that meant. I&#8217;ve never been to a WordCamp. Let&#8217;s also volunteer at the one that probably has the most hype, because it&#8217;s the first one after the pandemic.</p>\n\n\n\n<p>And then, I don&#8217;t know, I had public speaking PTSD from being inside my house for three years, only talking to people through the screen. And I kind of challenged myself, and I volunteered as an interviewer. I was like, let&#8217;s just not go to an event where you have to mingle, but let&#8217;s make it a job. And let&#8217;s actually have to find people and sit down and encourage them to talk me. Let&#8217;s just make my life harder, you know.</p>\n\n\n\n<p>And it was the best experience ever. I don&#8217;t even know how to explain how much fun I had from like the first day from volunteers. Meeting colleagues from different countries that also came together to be at this WordCamp.</p>\n\n\n\n<p>I just remember walking into like volunteers orientation being like, this was the dumbest thing you&#8217;ve ever done, Emma. Like yeah, you like to travel. Yeah, you like WordPress. Nope, just awkwardly moonwalk out of here and just hide in a corner for the next three days and it&#8217;ll be fine, you&#8217;ll just get fired, it&#8217;s okay.</p>\n\n\n\n<p>Yeah, I don&#8217;t know, I think it was Milan who was like, oh hey girl. I was like, oh hey dude. And that was it. That was all it took. Like some dude who I had never met before, just come up to be like, hey girl, what&#8217;s your name is? Just like playing around. And the rest was history.</p>\n\n\n\n<p>And I enjoyed that so much that I was like I want more of this. I see the point of this. I see the benefit of this, and it also helps my company on the side. So that&#8217;s, I think what led to, you know, being super involved with WordCamp Europe, and volunteering for that.</p>\n\n\n\n<p>I tried to do something different, and put myself in kind of like a learning experience. Instead of volunteering as an interviewer, I was like maybe I can be an MC. Let&#8217;s see how I feel on stage. So maybe one day I could be a speaker, I don&#8217;t know.</p>\n\n\n\n<p>And right before that same thing, I was like, this is the dumbest idea Emma. Like, why do you keep doing this to yourself? And then when I went out there, I don&#8217;t even know how to explain it. I was like, this is awesome. Nobody cares if I mess up. Nobody cares if I made a mistake. Nobody realises if I made a mistake. I can be as silly as I want to be. Just as long as I say all the things I&#8217;m supposed to.</p>\n\n\n\n<p>And it was to an audience of all the same WordPress nerds is me. We would all geek out on the same thing. I could make all of the same jokes that I would say to somebody that I was having coffee with at WordCamp, but to a huge audience. And they would get it because we have the same interests.</p>\n\n\n\n<p>I mean like I&#8217;ve done like calls or workshops and trainings, and I still get like butterflies. I don&#8217;t know, it was just a different experience. I had like zero fears when I was emceeing. That was kind of an internal thing that I was using to see how I would do moving forward.</p>\n\n\n\n<p>And the WordPress community, WordCamp&#8217;s helped me kind of work through that. And now it&#8217;s just gone and gone and gone, and now I&#8217;m part of the next WordCamp Europe&#8217;s organising team. And it&#8217;s just crazy that not even a few months ago was the first time I&#8217;d ever been to WordCamp Europe.</p>\n\n\n\n<p>[00:23:43] <strong>Nathan Wrigley:</strong> So in summary, no regrets.</p>\n\n\n\n<p>[00:23:46] <strong>Emma Young:</strong> Oh, zero. I encourage everybody to do it. Or come find me and I will try to give you the best pep talk there is.</p>\n\n\n\n<p>[00:23:52] <strong>Nathan Wrigley:</strong> So a couple of things to throw in there. First of all, I suspect that not everybody is the same as you. So you strike me, forgive me if I&#8217;m getting this wrong, but you strike me as fairly outgoing. And maybe the baggage that you were carrying is that you walked into the room. You were more than willing, when Milan walked up to you, you were more than willing to just throw it off and get stuck in. And all it took was for a friendly face to come over and say hi, and that was it. You were off to the races.</p>\n\n\n\n<p>But would you say that for somebody who was, let&#8217;s say more introverted, or a little bit more concerned about how the event might go down, they haven&#8217;t done anything like this before. They just want to lurk. Is that okay in your opinion? You know, you don&#8217;t have to be a certain personality type.</p>\n\n\n\n<p>And the kind of roles that you took on, I guess it&#8217;s important to say as well, are very public facing. Whereas you really don&#8217;t have to have that as part of your arsenal. It is quite possible to contribute meaningfully, just sitting at a desk with your computer, not necessarily being outgoing or vivacious. Just chatting to the people that are nearby. Concerned with the thing that you&#8217;re concerned with. Could be docs. Could be TV. Could be, I don&#8217;t know, SEO. Could be anything that any of the tables occupy.</p>\n\n\n\n<p>So firstly that. You were well equipped for this. But it&#8217;s not necessarily that that needs to be the case for everybody, right?</p>\n\n\n\n<p>[00:25:03] <strong>Emma Young:</strong> Yeah, no, 100%. There were also some people from my team that contributed as well for photography. You know, that&#8217;s a great one if you&#8217;re very into like arts and more creative, where you don&#8217;t have to speak to anybody. Everybody sees it, well, not everybody. But oftentimes when they see a camera at this event, they&#8217;re like, okay, I&#8217;d love to smile for it.</p>\n\n\n\n<p>But like you said, with the contributions as well. That&#8217;s one of the best ways to start. You can test out every single thing to see where you are the most comfortable with. Where you feel you can help the most, or where you&#8217;re enjoying helping the most. And it&#8217;s not like an outwardly facing, hey, get on stage, kind of contribution. Maybe you&#8217;re very interested in just writing stuff and testing some things out, or QA-ing a plugin or a theme that somebody wants approved. But very important as well.</p>\n\n\n\n<p>And same with volunteering actually. You know, there&#8217;s lots of different teams that you don&#8217;t have to go on stage. You don&#8217;t have to ask people to do interviews. You can simply, if you do want to be a volunteer and help with WordCamps that way, you know, just being somebody who can direct somebody to the bathroom. Or like where the emergency kit is. Or working the lost and found, where you talk to people every once in a while.</p>\n\n\n\n<p>If you don&#8217;t want to talk to anybody at all, maybe social media, where you sit behind the laptop and people bring you images and you post on there. You know, there&#8217;s lots of different ways that you can volunteer for the WordCamps that aren&#8217;t as outgoing or extroverted.</p>\n\n\n\n<p>But you also don&#8217;t have to do any of that. You can also just go there and enjoy it as an attendee, and talk to people when you want to talk to people. Approach them. If somebody says like, hey, how&#8217;s it going? No, sorry, not now. No one&#8217;s going to take offense to it. I think at one of the WordCamps, they actually had interaction badges.</p>\n\n\n\n<p>[00:26:35] <strong>Nathan Wrigley:</strong> Yeah. It was WordCamp US in San Diego, I think that was right. There was a little indicator on your lanyard, which indicated how open you were to being talked to out of the blue.</p>\n\n\n\n<p>[00:26:46] <strong>Emma Young:</strong> And I think that like extra measures like that is helpful. But there&#8217;s a place for everybody. You don&#8217;t have to go as aggressive as I did. You can be a lot more introverted. Even if you want to try, and I encourage you to be a speaker for the first time, to try it. Even as an introvert. Somebody who&#8217;s never, maybe done a presentation to a large group of people, or at all.</p>\n\n\n\n<p>We have like different channels on WordPress Slack, and different resources that we try to help encourage people and feel more comfortable, or help you give just the encouragement and pep talk that you need, to even just apply for it. But I think that&#8217;s another beauty about the community is, there is a place for everybody, where you can be more an extroverted person, more of an introvert. Or somebody who&#8217;s half the time extrovert and half the time, like me, has to go hide in a corner for a couple hours. Recharge your battery and then be wooo again.</p>\n\n\n\n<p>[00:27:35] <strong>Nathan Wrigley:</strong> Back on the mission, yeah. I think the WordPress community is really a bit of a microcosm. It is big enough to be a microcosm of the community in general. There are people who are very outgoing. There are people who are not so. There is a task for people who are outgoing. There&#8217;s a task for people who are not outgoing. You don&#8217;t need to fit any particular mold.</p>\n\n\n\n<p>But also, I think the bit that you mentioned, and I really can&#8217;t put my finger on why this is, but I do think that the WordPress community is populated by nice people. And so if you do attend, and you do decide to, oh, let&#8217;s say you really push the boat out and you decide to be a speaker. The reception that you&#8217;ll get, I&#8217;m more or less able to guarantee, it will be fabulous.</p>\n\n\n\n<p>It&#8217;s not one of those talent shows on TV where you stand up there, do your thing, and then there&#8217;s a panel of people who just sort of scratch their chins and give you some commentary on where you could have improved it. How it could have been better. It&#8217;s really not like that. It&#8217;s the opposite. It&#8217;s like you get a bunch of tens every time. And so, really have that in the back of your mind.</p>\n\n\n\n<p>A few minutes ago, though, you said something which stuck in my head and I don&#8217;t even know if you meant to say it, but it was kind of the nub of everything. And you were describing walking into the room for the first time, and you said something along the lines of, I got it. I understood why it mattered. You said something like that.</p>\n\n\n\n<p>And I think that&#8217;s really important. Why does it matter? For you, Emma why does contributing, being involved. What is the point of it? Maybe it&#8217;s something that you get out of it. Maybe it&#8217;s going in that direction. Maybe it&#8217;s the other direction. Maybe you feel, okay great, I&#8217;m doing something philanthropic. I&#8217;m doing something which is not for my own benefit, it&#8217;s for the world. What was the meaning of that sentence? Because that is the heart of it, I think.</p>\n\n\n\n<p>[00:29:12] <strong>Emma Young:</strong> Yeah. Ooh okay. I don&#8217;t actually know. Let me try to unpack this while I use filler words, while I&#8217;m trying to think through my thoughts.</p>\n\n\n\n<p>[00:29:21] <strong>Nathan Wrigley:</strong> I&#8217;ll give you intuitions from my end, if you don&#8217;t mind. I&#8217;ll tell you why I think it&#8217;s important. I have this notion that the web offered the promise of so much. And when it was invented by Tim Berners-Lee and other people, back in the day, nobody really knew what it could be.</p>\n\n\n\n<p>But there was this great promise that it could be this fabulous, unifying force. Not only would the world&#8217;s information be accessible, but we&#8217;d be able to communicate with people in a way that, really, the expense was driven down. The ability to communicate would be approaching zero. You needed access to a computer, and nowadays a mobile phone.</p>\n\n\n\n<p>And so the promise was just such a radical departure from everything that humanity had had before. And then part of that culture, right at the beginning, was free and open source. Now, I know that in the decades since then, large corporations have jumped in and the internet has become a very profitable, noisy place, where it&#8217;s possible to feel, well, it&#8217;s just dominated by giant companies.</p>\n\n\n\n<p>And I think, for me, that&#8217;s one of the reasons that I love projects like WordPress. Because it offers that promise from decades ago of what the web could be. Does it cost you anything? Yeah, it&#8217;ll cost you a bit in hosting. Is it broadly free? Yes, it&#8217;s broadly free. Do you have to pay to contribute? No. Can you benefit from other people&#8217;s labour? Yes. Are you required to give back? No. Would it be nice if you did? Yes.</p>\n\n\n\n<p>It&#8217;s just this feeling, this wonderful feeling that I can&#8217;t, like I said, put my finger on. But there&#8217;s just something excellent about that whole idea. So there&#8217;s what I think.</p>\n\n\n\n<p>[00:30:56] <strong>Emma Young:</strong> Yeah, I agree. And the entire time we were talking, I was like, what is the word? What word like encompasses everything that you&#8217;re saying, what I&#8217;m thinking. And I&#8217;m like, I can&#8217;t just say community because, come on Emma, you work with words. But it is, like, it&#8217;s it&#8217;s collaborative.</p>\n\n\n\n<p>And I like that you brought up communication. I love strategic communication. Different styles of it, between different cultures. And I feel like that is where all of that is a nice melting pot. People from all over the world, people with different things, we all have one thing in common, where all of these things come together, finally. No, maybe not finally.</p>\n\n\n\n<p>But like, what a community, what the definition of community in my head, at least, is supposed to be, happens. So we don&#8217;t have to worry about statuses. We don&#8217;t have to worry about the company that you&#8217;ve worked for, we don&#8217;t have to worry about our culture.</p>\n\n\n\n<p>Like, we are all there for one reason, and it&#8217;s WordPress. We are all interested in one thing. We all want that one thing to succeed, and it&#8217;s collaborative. Like you were saying, with the way that all the things that the internet promised us, it&#8217;s going to bring us together. It&#8217;s going to be all of these ways to communicate. It&#8217;s going to like, you know, bridge the gap between your grandparents that live in Australia and here.</p>\n\n\n\n<p>And it did fix a lot of those things. But then during that adventure and journey, we lost a lot of communication, and a lot of collaboration, and community, and the sense of community. Unless you have one of those, you&#8217;re lucky enough to have one of those in your physical place. This is a place where it can solve that with the bonus addition of, we all just like it.</p>\n\n\n\n<p>I think that, in addition to what you were saying earlier with, everybody is genuinely nice people, and good people. There&#8217;s not some malicious agenda on the back of their mind where it&#8217;s like, ha, I&#8217;m gonna be nice to your face, but stab you in the back. Like, there is zero of that, at least from my point of view.</p>\n\n\n\n<p>In addition to all of this, it&#8217;s just a nice place to be. You make new friends, you have great conversations, you laugh pretty much for four days straight if you&#8217;re at a live event. If you&#8217;re working online with them, there&#8217;s lots of inside jokes, and it&#8217;s just, I don&#8217;t know, it&#8217;s just community. I can&#8217;t think of a better word.</p>\n\n\n\n<p>[00:32:54] <strong>Nathan Wrigley:</strong> I think I might have the word. I think the word might be humanity.</p>\n\n\n\n<p>[00:32:58] <strong>Emma Young:</strong> Yeah.</p>\n\n\n\n<p>[00:32:59] <strong>Nathan Wrigley:</strong> We live in a different world than the world of 30 years ago, before the internet was invented. But it is an enterprise where there&#8217;s a common purpose. I&#8217;ve literally met people at WordCamps who have never used WordPress. I know that sounds strange, but they somehow got themselves to a WordCamp in the past, and they just liked the feeling.</p>\n\n\n\n<p>There was something about the attendance of that event, which gave them that warm and fuzzy glow. And so they still attend, and they&#8217;ve never used WordPress. Their intention is not necessarily to ever use WordPress, but they enjoy the camaraderie that they get. They enjoy the fact that they can show up and be a part of that enormous jigsaw puzzle, and help people in a philanthropic way. You don&#8217;t necessarily have to get anything in return. And it&#8217;s just a very human enterprise, I think.</p>\n\n\n\n<p>[00:33:47] <strong>Emma Young:</strong> Yeah. And all the things that like show up with the events, you know, like the prices aren&#8217;t ridiculous to get a ticket. You don&#8217;t have to go out and separate from people to get food. You grab some food, you sit with some strangers, you introduce yourself to somebody new, or by yourself if you want to. Everything is there, and open, and welcoming.</p>\n\n\n\n<p>Yeah, it&#8217;s very different to other conferences, and I like that people that don&#8217;t actually use WordPress or have no intention to, continue to go to these. WordPress is doing something right.</p>\n\n\n\n<p>[00:34:18] <strong>Nathan Wrigley:</strong> Where have you landed then on what you&#8217;re going to be doing? Because obviously you&#8217;re fairly new. You still might have your tendrils out trying to figure out, okay, if I go to another event and there&#8217;s a contributor day, that feels like my thing.</p>\n\n\n\n<p>You mentioned that there are things like photography. There are things like docs, which I know you work with words and obviously there&#8217;s a connection there, so maybe that&#8217;s where you&#8217;ve landed. It may be that you want to try other things. What&#8217;s your intuition about that? Where do you think your endeavors will go, if you decide to contribute in the future?</p>\n\n\n\n<p>[00:34:43] <strong>Emma Young:</strong> Yes. So right now most of my, I guess, contributions been going to the organising, for the WordCamp Europe. But before that, it was primarily docs, just because I like it. I like organising. I like just documentation in general, and consistency.</p>\n\n\n\n<p>But I do think there was a conversation, quite a few conversations at the community summit, which I also went to, which is maybe not something that happens, I&#8217;ve only been involved for a short amount of time. About like content repurposing, and really like bridging the gap between teams, and merging together, and aligning with each other. I think if I could get more involved with that, to help speed that along or even just give more attention to it. We could help all of the contributions, just not one team specifically improve together.</p>\n\n\n\n<p>[00:35:26] <strong>Nathan Wrigley:</strong> Emma, it&#8217;s been really interesting chatting to you today. Thank you for joining us. If anybody is not entirely sure how much they want to contribute, whether they want to contribute, and they&#8217;ve listened to this and they&#8217;ve been inspired by what you&#8217;ve said, where would be the best place to locate you? I don&#8217;t know, it may be an email address, or a Twitter handle, or a website, or whatever you like.</p>\n\n\n\n<p>[00:35:43] <strong>Emma Young:</strong> Yeah, probably LinkedIn. I am terrible with Twitter. So I will give you that so you can link it down below, or so people can find me. Because yes, I would definitely just, you can pick my brain, ask me any questions, and I would be more than willing to help and answer in any way.</p>\n\n\n\n<p>[00:35:58] <strong>Nathan Wrigley:</strong> Thank you, Emma Young. Thank you for joining us on the podcast today. I really appreciate it.</p>\n\n\n\n<p>[00:36:02] <strong>Emma Young:</strong> Thank you.</p>\n</div>\n\n\n\n<p>On the podcast today we have <a href=\"https://www.linkedin.com/in/emma-sophie-young\">Emma Young</a>.</p>\n\n\n\n<p>Emma is the Head of Content for Hostinger and is on the podcast today to chat through her new found love of WordPress and the community which surrounds it.</p>\n\n\n\n<p>Emma&#8217;s journey is quite inspirational. From having almost no experience with WordPress just a few years ago, she’s now immersed deeply in all that WordPress has to offer. Just over a year ago she&#8217;d been using WordPress a little, but that was it. Then she found employment in the space and has been to all three 2023 flagship WordCamps, as well as the Community Summit. So the whole conversation is coloured with this newness and energy, which is quite infectious.</p>\n\n\n\n<p>We explore the delicate balance between profitability and community values in her job. Emma sheds light on Hostinger&#8217;s commitments in the WordPress space and how they tread the tightrope of being a good community citizen, whilst still turning a profit. We also delve into the company&#8217;s recent involvement in WordPress events and WordCamps, discussing the benefits they have reaped from these; it’s things like brand awareness and invaluable feedback from the community.</p>\n\n\n\n<p>Emma&#8217;s passion for networking and continuous improvement is evident as she shares her personal experiences. We discuss the inclusive nature of the WordPress community and the various pathways individuals with different personality types can follow to feel at home, emphasising the ample opportunities available for everyone to contribute.</p>\n\n\n\n<p>We get into the collaborative nature of the WordPress community, exploring the camaraderie, philanthropy, and human connections that thrive within WordPress events and projects. Emma shares her insights from her recent involvement in helping to organise WordCamp Europe, and her dedication to contributing to documentation.</p>\n\n\n\n<p>If you’re looking for a way to find your place in the WordPress community, this podcast is for you.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Useful links</h2>\n\n\n\n<p><a href=\"https://www.hostinger.co.uk/\">Hostinger</a></p>\n\n\n\n<p><a href=\"https://www.linkedin.com/in/emma-sophie-young\">Emma&#8217;s LinkedIn</a></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 13 Dec 2023 14:53:23 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Nathan Wrigley\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}}}}}}}}}}}s:4:\"type\";i:128;s:7:\"headers\";O:48:\"WpOrg\\Requests\\Utility\\CaseInsensitiveDictionary\":1:{s:7:\"\0*\0data\";a:9:{s:6:\"server\";s:5:\"nginx\";s:4:\"date\";s:29:\"Fri, 19 Jan 2024 03:28:44 GMT\";s:12:\"content-type\";s:8:\"text/xml\";s:13:\"last-modified\";s:29:\"Fri, 19 Jan 2024 03:15:31 GMT\";s:4:\"vary\";s:15:\"Accept-Encoding\";s:15:\"x-frame-options\";s:10:\"SAMEORIGIN\";s:16:\"content-encoding\";s:4:\"gzip\";s:7:\"alt-svc\";s:19:\"h3=\":443\"; ma=86400\";s:4:\"x-nc\";s:9:\"HIT ord 1\";}}s:5:\"build\";s:14:\"20240119032747\";}", "no");
INSERT INTO `wp_options` VALUES("1120", "_transient_timeout_feed_mod_d117b5738fbd35bd8c0391cda1f2b5d9", "1705678124", "no");
INSERT INTO `wp_options` VALUES("1121", "_transient_feed_mod_d117b5738fbd35bd8c0391cda1f2b5d9", "1705634924", "no");
INSERT INTO `wp_options` VALUES("1122", "_transient_timeout_dash_v2_88ae138922fe95674369b1cb3d215a2b", "1705678124", "no");
INSERT INTO `wp_options` VALUES("1123", "_transient_dash_v2_88ae138922fe95674369b1cb3d215a2b", "<div class=\"rss-widget\"><ul><li><a class=\'rsswidget\' href=\'https://wordpress.org/news/2024/01/data-liberation-in-2024/\'>Data Liberation in 2024</a></li><li><a class=\'rsswidget\' href=\'https://wordpress.org/news/2024/01/episode-70-a-look-ahead-at-wordpress-in-2024/\'>WP Briefing: Episode 70: A Look Ahead at WordPress in 2024</a></li></ul></div><div class=\"rss-widget\"><ul><li><a class=\'rsswidget\' href=\'https://central.wordcamp.org/news/2024/01/thanks-to-woo-for-sponsoring-community-events-worldwide/\'>WordCamp Central: Thanks to Woo for sponsoring community events worldwide</a></li><li><a class=\'rsswidget\' href=\'https://dothewoo.io/woo-agencychat-look-at-2024/\'>Do The Woo Community: AI, Accessibility, Security and Privacy in 2024 with Robbie and Robert</a></li><li><a class=\'rsswidget\' href=\'https://akismet.com/blog/version-5-3-1-of-the-akismet-wordpress-plugin-is-ready-to-download/\'>Akismet: Version 5.3.1 of the Akismet WordPress plugin is ready to download</a></li></ul></div>", "no");
INSERT INTO `wp_options` VALUES("1128", "theme_mods_twentytwentythree", "a:3:{i:0;b:0;s:18:\"nav_menu_locations\";a:0:{}s:19:\"wp_classic_sidebars\";a:1:{s:9:\"sidebar-1\";a:11:{s:4:\"name\";s:11:\"Widget Area\";s:2:\"id\";s:9:\"sidebar-1\";s:11:\"description\";s:43:\"Add widgets here to appear in your sidebar.\";s:5:\"class\";s:0:\"\";s:13:\"before_widget\";s:37:\"<aside id=\"%1$s\" class=\"widget %2$s\">\";s:12:\"after_widget\";s:8:\"</aside>\";s:12:\"before_title\";s:25:\"<h2 class=\"widget-title\">\";s:11:\"after_title\";s:5:\"</h2>\";s:14:\"before_sidebar\";s:0:\"\";s:13:\"after_sidebar\";s:0:\"\";s:12:\"show_in_rest\";b:0;}}}", "yes");
INSERT INTO `wp_options` VALUES("1129", "_site_transient_update_themes", "O:8:\"stdClass\":5:{s:12:\"last_checked\";i:1705634992;s:7:\"checked\";a:5:{s:12:\"twentytwenty\";s:3:\"2.5\";s:16:\"twentytwentyfour\";s:3:\"1.0\";s:15:\"twentytwentyone\";s:3:\"2.1\";s:17:\"twentytwentythree\";s:3:\"1.3\";s:15:\"twentytwentytwo\";s:3:\"1.6\";}s:8:\"response\";a:0:{}s:9:\"no_update\";a:5:{s:12:\"twentytwenty\";a:6:{s:5:\"theme\";s:12:\"twentytwenty\";s:11:\"new_version\";s:3:\"2.5\";s:3:\"url\";s:42:\"https://wordpress.org/themes/twentytwenty/\";s:7:\"package\";s:58:\"https://downloads.wordpress.org/theme/twentytwenty.2.5.zip\";s:8:\"requires\";s:3:\"4.7\";s:12:\"requires_php\";s:5:\"5.2.4\";}s:16:\"twentytwentyfour\";a:6:{s:5:\"theme\";s:16:\"twentytwentyfour\";s:11:\"new_version\";s:3:\"1.0\";s:3:\"url\";s:46:\"https://wordpress.org/themes/twentytwentyfour/\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/theme/twentytwentyfour.1.0.zip\";s:8:\"requires\";s:3:\"6.4\";s:12:\"requires_php\";s:3:\"7.0\";}s:15:\"twentytwentyone\";a:6:{s:5:\"theme\";s:15:\"twentytwentyone\";s:11:\"new_version\";s:3:\"2.1\";s:3:\"url\";s:45:\"https://wordpress.org/themes/twentytwentyone/\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/theme/twentytwentyone.2.1.zip\";s:8:\"requires\";s:3:\"5.3\";s:12:\"requires_php\";s:3:\"5.6\";}s:17:\"twentytwentythree\";a:6:{s:5:\"theme\";s:17:\"twentytwentythree\";s:11:\"new_version\";s:3:\"1.3\";s:3:\"url\";s:47:\"https://wordpress.org/themes/twentytwentythree/\";s:7:\"package\";s:63:\"https://downloads.wordpress.org/theme/twentytwentythree.1.3.zip\";s:8:\"requires\";s:3:\"6.1\";s:12:\"requires_php\";s:3:\"5.6\";}s:15:\"twentytwentytwo\";a:6:{s:5:\"theme\";s:15:\"twentytwentytwo\";s:11:\"new_version\";s:3:\"1.6\";s:3:\"url\";s:45:\"https://wordpress.org/themes/twentytwentytwo/\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/theme/twentytwentytwo.1.6.zip\";s:8:\"requires\";s:3:\"5.9\";s:12:\"requires_php\";s:3:\"5.6\";}}s:12:\"translations\";a:0:{}}", "no");

/* INSERT TABLE DATA: wp_postmeta */
INSERT INTO `wp_postmeta` VALUES("1", "2", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("2", "3", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("47", "28", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("49", "28", "_edit_lock", "1549153913:1");
INSERT INTO `wp_postmeta` VALUES("50", "29", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("51", "29", "_edit_lock", "1532879916:1");
INSERT INTO `wp_postmeta` VALUES("52", "30", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("53", "30", "_edit_lock", "1532907296:1");
INSERT INTO `wp_postmeta` VALUES("55", "31", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("56", "31", "_edit_lock", "1532879904:1");
INSERT INTO `wp_postmeta` VALUES("57", "32", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("58", "32", "_edit_lock", "1532907297:1");
INSERT INTO `wp_postmeta` VALUES("59", "33", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("60", "33", "_edit_lock", "1532902330:1");
INSERT INTO `wp_postmeta` VALUES("61", "34", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("62", "34", "_edit_lock", "1532902320:1");
INSERT INTO `wp_postmeta` VALUES("63", "35", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("64", "35", "_edit_lock", "1532902525:1");
INSERT INTO `wp_postmeta` VALUES("65", "36", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("67", "36", "_edit_lock", "1532907296:1");
INSERT INTO `wp_postmeta` VALUES("69", "47", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("70", "47", "_edit_lock", "1532879726:1");
INSERT INTO `wp_postmeta` VALUES("72", "49", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("73", "49", "_edit_lock", "1532879745:1");
INSERT INTO `wp_postmeta` VALUES("75", "51", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("76", "51", "_edit_lock", "1532879752:1");
INSERT INTO `wp_postmeta` VALUES("78", "52", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("79", "52", "_edit_lock", "1532879764:1");
INSERT INTO `wp_postmeta` VALUES("81", "53", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("82", "53", "_edit_lock", "1532902326:1");
INSERT INTO `wp_postmeta` VALUES("84", "57", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("85", "57", "_edit_lock", "1532917028:1");
INSERT INTO `wp_postmeta` VALUES("89", "59", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("90", "59", "_edit_lock", "1532914544:1");
INSERT INTO `wp_postmeta` VALUES("92", "60", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("93", "60", "_edit_lock", "1532879872:1");
INSERT INTO `wp_postmeta` VALUES("95", "63", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("96", "63", "_edit_lock", "1532879883:1");
INSERT INTO `wp_postmeta` VALUES("98", "64", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("99", "64", "_edit_lock", "1532879898:1");
INSERT INTO `wp_postmeta` VALUES("103", "67", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("104", "67", "_edit_lock", "1532879924:1");
INSERT INTO `wp_postmeta` VALUES("106", "68", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("107", "68", "_edit_lock", "1549246039:1");
INSERT INTO `wp_postmeta` VALUES("109", "69", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("110", "69", "_edit_lock", "1532879945:1");
INSERT INTO `wp_postmeta` VALUES("112", "73", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("113", "73", "_edit_lock", "1532902343:1");
INSERT INTO `wp_postmeta` VALUES("115", "74", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("116", "74", "_edit_lock", "1532902338:1");
INSERT INTO `wp_postmeta` VALUES("261", "114", "_wp_attached_file", "2018/07/unsplash-2018_2560_1400.jpg");
INSERT INTO `wp_postmeta` VALUES("262", "114", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2560;s:6:\"height\";i:1400;s:4:\"file\";s:35:\"2018/07/unsplash-2018_2560_1400.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:35:\"unsplash-2018_2560_1400-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:35:\"unsplash-2018_2560_1400-300x164.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:164;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:35:\"unsplash-2018_2560_1400-768x420.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:420;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:36:\"unsplash-2018_2560_1400-1024x560.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:560;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("263", "115", "_wp_attached_file", "2018/07/unsplash-landscape-2018-01.jpg");
INSERT INTO `wp_postmeta` VALUES("264", "115", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2560;s:6:\"height\";i:1400;s:4:\"file\";s:38:\"2018/07/unsplash-landscape-2018-01.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-01-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-01-300x164.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:164;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-01-768x420.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:420;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:39:\"unsplash-landscape-2018-01-1024x560.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:560;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("265", "116", "_wp_attached_file", "2018/07/unsplash-landscape-2018-02.jpg");
INSERT INTO `wp_postmeta` VALUES("266", "116", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2560;s:6:\"height\";i:1400;s:4:\"file\";s:38:\"2018/07/unsplash-landscape-2018-02.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-02-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-02-300x164.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:164;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-02-768x420.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:420;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:39:\"unsplash-landscape-2018-02-1024x560.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:560;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("269", "118", "_wp_attached_file", "2018/07/unsplash-landscape-2018-04.jpg");
INSERT INTO `wp_postmeta` VALUES("270", "118", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2560;s:6:\"height\";i:1400;s:4:\"file\";s:38:\"2018/07/unsplash-landscape-2018-04.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-04-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-04-300x164.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:164;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-04-768x420.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:420;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:39:\"unsplash-landscape-2018-04-1024x560.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:560;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("271", "119", "_wp_attached_file", "2018/07/unsplash-landscape-2018-05.jpg");
INSERT INTO `wp_postmeta` VALUES("272", "119", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2560;s:6:\"height\";i:1400;s:4:\"file\";s:38:\"2018/07/unsplash-landscape-2018-05.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-05-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-05-300x164.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:164;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-05-768x420.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:420;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:39:\"unsplash-landscape-2018-05-1024x560.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:560;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("273", "120", "_wp_attached_file", "2018/07/unsplash-landscape-2018-06.jpg");
INSERT INTO `wp_postmeta` VALUES("274", "120", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2560;s:6:\"height\";i:1400;s:4:\"file\";s:38:\"2018/07/unsplash-landscape-2018-06.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-06-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-06-300x164.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:164;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-06-768x420.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:420;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:39:\"unsplash-landscape-2018-06-1024x560.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:560;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("277", "122", "_wp_attached_file", "2018/07/unsplash-landscape-2018-10.jpg");
INSERT INTO `wp_postmeta` VALUES("278", "122", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2560;s:6:\"height\";i:1400;s:4:\"file\";s:38:\"2018/07/unsplash-landscape-2018-10.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-10-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-10-300x164.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:164;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-10-768x420.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:420;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:39:\"unsplash-landscape-2018-10-1024x560.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:560;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("279", "123", "_wp_attached_file", "2018/07/unsplash-landscape-2018-11.jpg");
INSERT INTO `wp_postmeta` VALUES("280", "123", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2500;s:6:\"height\";i:1400;s:4:\"file\";s:38:\"2018/07/unsplash-landscape-2018-11.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-11-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-11-300x168.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:168;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-11-768x430.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:430;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:39:\"unsplash-landscape-2018-11-1024x573.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:573;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("281", "124", "_wp_attached_file", "2018/07/unsplash-landscape-2018-12.jpg");
INSERT INTO `wp_postmeta` VALUES("282", "124", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2560;s:6:\"height\";i:1400;s:4:\"file\";s:38:\"2018/07/unsplash-landscape-2018-12.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-12-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-12-300x164.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:164;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-12-768x420.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:420;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:39:\"unsplash-landscape-2018-12-1024x560.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:560;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("283", "125", "_wp_attached_file", "2018/07/unsplash-landscape-2018-13.jpg");
INSERT INTO `wp_postmeta` VALUES("284", "125", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2560;s:6:\"height\";i:1400;s:4:\"file\";s:38:\"2018/07/unsplash-landscape-2018-13.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-13-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-13-300x164.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:164;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-13-768x420.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:420;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:39:\"unsplash-landscape-2018-13-1024x560.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:560;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("285", "126", "_wp_attached_file", "2018/07/unsplash-landscape-2018-14.jpg");
INSERT INTO `wp_postmeta` VALUES("286", "126", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2560;s:6:\"height\";i:1400;s:4:\"file\";s:38:\"2018/07/unsplash-landscape-2018-14.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-14-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-14-300x164.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:164;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-14-768x420.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:420;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:39:\"unsplash-landscape-2018-14-1024x560.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:560;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("287", "127", "_wp_attached_file", "2018/07/unsplash-landscape-2018-15.jpg");
INSERT INTO `wp_postmeta` VALUES("288", "127", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2560;s:6:\"height\";i:1400;s:4:\"file\";s:38:\"2018/07/unsplash-landscape-2018-15.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-15-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-15-300x164.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:164;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-15-768x420.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:420;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:39:\"unsplash-landscape-2018-15-1024x560.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:560;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("289", "74", "_thumbnail_id", "126");
INSERT INTO `wp_postmeta` VALUES("291", "73", "_thumbnail_id", "140");
INSERT INTO `wp_postmeta` VALUES("293", "69", "_thumbnail_id", "125");
INSERT INTO `wp_postmeta` VALUES("295", "68", "_thumbnail_id", "141");
INSERT INTO `wp_postmeta` VALUES("297", "67", "_thumbnail_id", "139");
INSERT INTO `wp_postmeta` VALUES("299", "31", "_thumbnail_id", "137");
INSERT INTO `wp_postmeta` VALUES("301", "64", "_thumbnail_id", "120");
INSERT INTO `wp_postmeta` VALUES("303", "63", "_thumbnail_id", "119");
INSERT INTO `wp_postmeta` VALUES("305", "60", "_thumbnail_id", "118");
INSERT INTO `wp_postmeta` VALUES("312", "57", "_thumbnail_id", "126");
INSERT INTO `wp_postmeta` VALUES("316", "128", "_wp_attached_file", "2018/07/unsplash-landscape-2018-16.jpg");
INSERT INTO `wp_postmeta` VALUES("317", "128", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2560;s:6:\"height\";i:1400;s:4:\"file\";s:38:\"2018/07/unsplash-landscape-2018-16.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-16-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-16-300x164.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:164;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-16-768x420.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:420;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:39:\"unsplash-landscape-2018-16-1024x560.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:560;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("318", "129", "_wp_attached_file", "2018/07/unsplash-landscape-2018-17.jpg");
INSERT INTO `wp_postmeta` VALUES("319", "129", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2560;s:6:\"height\";i:1400;s:4:\"file\";s:38:\"2018/07/unsplash-landscape-2018-17.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-17-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-17-300x164.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:164;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-17-768x420.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:420;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:39:\"unsplash-landscape-2018-17-1024x560.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:560;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("320", "130", "_wp_attached_file", "2018/07/unsplash-landscape-2018-18.jpg");
INSERT INTO `wp_postmeta` VALUES("321", "130", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2560;s:6:\"height\";i:1400;s:4:\"file\";s:38:\"2018/07/unsplash-landscape-2018-18.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-18-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-18-300x164.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:164;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-18-768x420.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:420;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:39:\"unsplash-landscape-2018-18-1024x560.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:560;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("322", "131", "_wp_attached_file", "2018/07/unsplash-landscape-2018-19.jpg");
INSERT INTO `wp_postmeta` VALUES("323", "131", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2560;s:6:\"height\";i:1400;s:4:\"file\";s:38:\"2018/07/unsplash-landscape-2018-19.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-19-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-19-300x164.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:164;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-19-768x420.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:420;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:39:\"unsplash-landscape-2018-19-1024x560.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:560;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("324", "132", "_wp_attached_file", "2018/07/unsplash-landscape-2018-20.jpg");
INSERT INTO `wp_postmeta` VALUES("325", "132", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2560;s:6:\"height\";i:1400;s:4:\"file\";s:38:\"2018/07/unsplash-landscape-2018-20.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-20-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-20-300x164.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:164;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-20-768x420.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:420;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:39:\"unsplash-landscape-2018-20-1024x560.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:560;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("326", "133", "_wp_attached_file", "2018/07/unsplash-landscape-2018-21.jpg");
INSERT INTO `wp_postmeta` VALUES("327", "133", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2560;s:6:\"height\";i:1400;s:4:\"file\";s:38:\"2018/07/unsplash-landscape-2018-21.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-21-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-21-300x164.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:164;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-21-768x420.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:420;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:39:\"unsplash-landscape-2018-21-1024x560.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:560;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("328", "134", "_wp_attached_file", "2018/07/unsplash-landscape-2018-22.jpg");
INSERT INTO `wp_postmeta` VALUES("329", "134", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2560;s:6:\"height\";i:1400;s:4:\"file\";s:38:\"2018/07/unsplash-landscape-2018-22.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-22-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-22-300x164.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:164;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-22-768x420.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:420;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:39:\"unsplash-landscape-2018-22-1024x560.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:560;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("330", "135", "_wp_attached_file", "2018/07/unsplash-landscape-2018-23.jpg");
INSERT INTO `wp_postmeta` VALUES("331", "135", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2560;s:6:\"height\";i:1400;s:4:\"file\";s:38:\"2018/07/unsplash-landscape-2018-23.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-23-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-23-300x164.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:164;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-23-768x420.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:420;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:39:\"unsplash-landscape-2018-23-1024x560.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:560;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("332", "136", "_wp_attached_file", "2018/07/unsplash-landscape-2018-24.jpg");
INSERT INTO `wp_postmeta` VALUES("333", "136", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2560;s:6:\"height\";i:1400;s:4:\"file\";s:38:\"2018/07/unsplash-landscape-2018-24.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-24-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-24-300x164.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:164;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-24-768x420.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:420;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:39:\"unsplash-landscape-2018-24-1024x560.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:560;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("334", "137", "_wp_attached_file", "2018/07/unsplash-landscape-2018-25.jpg");
INSERT INTO `wp_postmeta` VALUES("335", "137", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2560;s:6:\"height\";i:1400;s:4:\"file\";s:38:\"2018/07/unsplash-landscape-2018-25.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-25-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-25-300x164.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:164;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-25-768x420.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:420;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:39:\"unsplash-landscape-2018-25-1024x560.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:560;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("336", "138", "_wp_attached_file", "2018/07/unsplash-landscape-2018-26.jpg");
INSERT INTO `wp_postmeta` VALUES("337", "138", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2560;s:6:\"height\";i:1400;s:4:\"file\";s:38:\"2018/07/unsplash-landscape-2018-26.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-26-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-26-300x164.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:164;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-26-768x420.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:420;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:39:\"unsplash-landscape-2018-26-1024x560.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:560;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("338", "139", "_wp_attached_file", "2018/07/unsplash-landscape-2018-27.jpg");
INSERT INTO `wp_postmeta` VALUES("339", "139", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2560;s:6:\"height\";i:1400;s:4:\"file\";s:38:\"2018/07/unsplash-landscape-2018-27.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-27-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-27-300x164.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:164;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-27-768x420.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:420;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:39:\"unsplash-landscape-2018-27-1024x560.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:560;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("340", "140", "_wp_attached_file", "2018/07/unsplash-landscape-2018-28.jpg");
INSERT INTO `wp_postmeta` VALUES("341", "140", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2560;s:6:\"height\";i:1400;s:4:\"file\";s:38:\"2018/07/unsplash-landscape-2018-28.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-28-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-28-300x164.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:164;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-28-768x420.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:420;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:39:\"unsplash-landscape-2018-28-1024x560.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:560;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("342", "141", "_wp_attached_file", "2018/07/unsplash-landscape-2018-29.jpg");
INSERT INTO `wp_postmeta` VALUES("343", "141", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2560;s:6:\"height\";i:1400;s:4:\"file\";s:38:\"2018/07/unsplash-landscape-2018-29.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-29-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-29-300x164.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:164;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-29-768x420.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:420;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:39:\"unsplash-landscape-2018-29-1024x560.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:560;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("344", "142", "_wp_attached_file", "2018/07/unsplash-landscape-2018-30.jpg");
INSERT INTO `wp_postmeta` VALUES("345", "142", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2560;s:6:\"height\";i:1400;s:4:\"file\";s:38:\"2018/07/unsplash-landscape-2018-30.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-30-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-30-300x164.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:164;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-30-768x420.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:420;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:39:\"unsplash-landscape-2018-30-1024x560.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:560;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("346", "143", "_wp_attached_file", "2018/07/unsplash-landscape-2018-31.jpg");
INSERT INTO `wp_postmeta` VALUES("347", "143", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2560;s:6:\"height\";i:1272;s:4:\"file\";s:38:\"2018/07/unsplash-landscape-2018-31.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-31-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-31-300x149.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:149;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-31-768x382.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:382;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:39:\"unsplash-landscape-2018-31-1024x509.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:509;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("348", "144", "_wp_attached_file", "2018/07/unsplash-landscape-2018-32.jpg");
INSERT INTO `wp_postmeta` VALUES("349", "144", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2560;s:6:\"height\";i:1240;s:4:\"file\";s:38:\"2018/07/unsplash-landscape-2018-32.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-32-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-32-300x145.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:145;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-32-768x372.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:372;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:39:\"unsplash-landscape-2018-32-1024x496.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:496;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("350", "145", "_wp_attached_file", "2018/07/unsplash-landscape-2018-33.jpg");
INSERT INTO `wp_postmeta` VALUES("351", "145", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2560;s:6:\"height\";i:1400;s:4:\"file\";s:38:\"2018/07/unsplash-landscape-2018-33.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-33-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-33-300x164.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:164;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-33-768x420.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:420;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:39:\"unsplash-landscape-2018-33-1024x560.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:560;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("352", "146", "_wp_attached_file", "2018/07/unsplash-landscape-2018-34.jpg");
INSERT INTO `wp_postmeta` VALUES("353", "146", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2560;s:6:\"height\";i:1400;s:4:\"file\";s:38:\"2018/07/unsplash-landscape-2018-34.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-34-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-34-300x164.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:164;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-34-768x420.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:420;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:39:\"unsplash-landscape-2018-34-1024x560.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:560;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("354", "147", "_wp_attached_file", "2018/07/unsplash-landscape-2018-35-e1531712443609.jpg");
INSERT INTO `wp_postmeta` VALUES("355", "147", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2560;s:6:\"height\";i:1241;s:4:\"file\";s:53:\"2018/07/unsplash-landscape-2018-35-e1531712443609.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-35-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-35-300x145.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:145;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-35-768x372.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:372;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:39:\"unsplash-landscape-2018-35-1024x496.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:496;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("356", "52", "_thumbnail_id", "134");
INSERT INTO `wp_postmeta` VALUES("358", "51", "_thumbnail_id", "133");
INSERT INTO `wp_postmeta` VALUES("360", "49", "_thumbnail_id", "131");
INSERT INTO `wp_postmeta` VALUES("362", "47", "_thumbnail_id", "135");
INSERT INTO `wp_postmeta` VALUES("364", "32", "_thumbnail_id", "356");
INSERT INTO `wp_postmeta` VALUES("366", "36", "_thumbnail_id", "348");
INSERT INTO `wp_postmeta` VALUES("368", "35", "_thumbnail_id", "146");
INSERT INTO `wp_postmeta` VALUES("371", "30", "_thumbnail_id", "347");
INSERT INTO `wp_postmeta` VALUES("373", "34", "_thumbnail_id", "135");
INSERT INTO `wp_postmeta` VALUES("377", "28", "_thumbnail_id", "350");
INSERT INTO `wp_postmeta` VALUES("416", "148", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("417", "148", "_edit_lock", "1532902526:1");
INSERT INTO `wp_postmeta` VALUES("419", "147", "_wp_attachment_backup_sizes", "a:1:{s:9:\"full-orig\";a:3:{s:5:\"width\";i:2560;s:6:\"height\";i:1241;s:4:\"file\";s:30:\"unsplash-landscape-2018-35.jpg\";}}");
INSERT INTO `wp_postmeta` VALUES("422", "146", "_wp_attachment_image_alt", "Blue fish");
INSERT INTO `wp_postmeta` VALUES("423", "147", "_wp_attachment_image_alt", "Weird Skeleton");
INSERT INTO `wp_postmeta` VALUES("424", "145", "_wp_attachment_image_alt", "Red fish");
INSERT INTO `wp_postmeta` VALUES("425", "144", "_wp_attachment_image_alt", "Blue Fish");
INSERT INTO `wp_postmeta` VALUES("426", "143", "_wp_attachment_image_alt", "Big snake skeleton");
INSERT INTO `wp_postmeta` VALUES("427", "142", "_wp_attachment_image_alt", "Ram");
INSERT INTO `wp_postmeta` VALUES("428", "140", "_wp_attachment_image_alt", "Blue and yellow fish");
INSERT INTO `wp_postmeta` VALUES("429", "141", "_wp_attachment_image_alt", "Marine animal");
INSERT INTO `wp_postmeta` VALUES("430", "139", "_wp_attachment_image_alt", "Exotica marine life");
INSERT INTO `wp_postmeta` VALUES("431", "138", "_wp_attachment_image_alt", "Shark");
INSERT INTO `wp_postmeta` VALUES("432", "137", "_wp_attachment_image_alt", "Yellow fish");
INSERT INTO `wp_postmeta` VALUES("433", "136", "_wp_attachment_image_alt", "Orange fish");
INSERT INTO `wp_postmeta` VALUES("434", "134", "_wp_attachment_image_alt", "Church");
INSERT INTO `wp_postmeta` VALUES("435", "135", "_wp_attachment_image_alt", "Sheep say bah.");
INSERT INTO `wp_postmeta` VALUES("436", "133", "_wp_attachment_image_alt", "Another sheep");
INSERT INTO `wp_postmeta` VALUES("437", "131", "_wp_attachment_image_alt", "Skull");
INSERT INTO `wp_postmeta` VALUES("438", "130", "_wp_attachment_image_alt", "squid");
INSERT INTO `wp_postmeta` VALUES("439", "129", "_wp_attachment_image_alt", "goats");
INSERT INTO `wp_postmeta` VALUES("440", "128", "_wp_attachment_image_alt", "red fish");
INSERT INTO `wp_postmeta` VALUES("441", "127", "_wp_attachment_image_alt", "seafood");
INSERT INTO `wp_postmeta` VALUES("442", "126", "_wp_attachment_image_alt", "chick");
INSERT INTO `wp_postmeta` VALUES("443", "125", "_wp_attachment_image_alt", "bike");
INSERT INTO `wp_postmeta` VALUES("444", "124", "_wp_attachment_image_alt", "jellyfish");
INSERT INTO `wp_postmeta` VALUES("445", "123", "_wp_attachment_image_alt", "pink wall");
INSERT INTO `wp_postmeta` VALUES("446", "122", "_wp_attachment_image_alt", "pink building");
INSERT INTO `wp_postmeta` VALUES("447", "120", "_wp_attachment_image_alt", "exotic fish");
INSERT INTO `wp_postmeta` VALUES("448", "119", "_wp_attachment_image_alt", "big eyed fish");
INSERT INTO `wp_postmeta` VALUES("449", "118", "_wp_attachment_image_alt", "blue fish");
INSERT INTO `wp_postmeta` VALUES("450", "115", "_wp_attachment_image_alt", "mussels");
INSERT INTO `wp_postmeta` VALUES("451", "116", "_wp_attachment_image_alt", "hearts");
INSERT INTO `wp_postmeta` VALUES("452", "114", "_wp_attachment_image_alt", "seafood plate");
INSERT INTO `wp_postmeta` VALUES("454", "148", "_wp_old_slug", "feature-image-test-case");
INSERT INTO `wp_postmeta` VALUES("457", "148", "_wp_old_slug", "tamdhu");
INSERT INTO `wp_postmeta` VALUES("459", "34", "_wp_old_slug", "balvenie");
INSERT INTO `wp_postmeta` VALUES("461", "35", "_wp_old_slug", "buhhahabhain");
INSERT INTO `wp_postmeta` VALUES("463", "53", "_wp_old_slug", "auchentoshan");
INSERT INTO `wp_postmeta` VALUES("465", "33", "_wp_old_slug", "glenfiddich");
INSERT INTO `wp_postmeta` VALUES("467", "59", "_wp_old_slug", "lagavulin");
INSERT INTO `wp_postmeta` VALUES("469", "74", "_wp_old_slug", "johnnie-walker");
INSERT INTO `wp_postmeta` VALUES("471", "73", "_wp_old_slug", "chivas-regal");
INSERT INTO `wp_postmeta` VALUES("474", "69", "_wp_old_slug", "glengyle");
INSERT INTO `wp_postmeta` VALUES("493", "148", "_thumbnail_id", "124");
INSERT INTO `wp_postmeta` VALUES("498", "29", "_thumbnail_id", "138");
INSERT INTO `wp_postmeta` VALUES("499", "205", "_wp_old_slug", "feature-image-test-case");
INSERT INTO `wp_postmeta` VALUES("500", "205", "_wp_old_slug", "tamdhu");
INSERT INTO `wp_postmeta` VALUES("501", "205", "_thumbnail_id", "124");
INSERT INTO `wp_postmeta` VALUES("502", "205", "_dp_original", "148");
INSERT INTO `wp_postmeta` VALUES("503", "206", "_thumbnail_id", "326");
INSERT INTO `wp_postmeta` VALUES("504", "206", "_wp_old_slug", "balvenie");
INSERT INTO `wp_postmeta` VALUES("505", "206", "_dp_original", "34");
INSERT INTO `wp_postmeta` VALUES("506", "207", "_thumbnail_id", "331");
INSERT INTO `wp_postmeta` VALUES("507", "207", "_wp_old_slug", "buhhahabhain");
INSERT INTO `wp_postmeta` VALUES("508", "207", "_dp_original", "35");
INSERT INTO `wp_postmeta` VALUES("509", "208", "_wp_old_slug", "auchentoshan");
INSERT INTO `wp_postmeta` VALUES("510", "208", "_dp_original", "53");
INSERT INTO `wp_postmeta` VALUES("511", "209", "_wp_old_slug", "glenfiddich");
INSERT INTO `wp_postmeta` VALUES("512", "209", "_dp_original", "33");
INSERT INTO `wp_postmeta` VALUES("513", "210", "_wp_old_slug", "lagavulin");
INSERT INTO `wp_postmeta` VALUES("514", "210", "_dp_original", "59");
INSERT INTO `wp_postmeta` VALUES("515", "211", "_thumbnail_id", "325");
INSERT INTO `wp_postmeta` VALUES("516", "211", "_wp_old_slug", "johnnie-walker");
INSERT INTO `wp_postmeta` VALUES("517", "211", "_dp_original", "74");
INSERT INTO `wp_postmeta` VALUES("518", "212", "_thumbnail_id", "323");
INSERT INTO `wp_postmeta` VALUES("519", "212", "_wp_old_slug", "chivas-regal");
INSERT INTO `wp_postmeta` VALUES("520", "212", "_dp_original", "73");
INSERT INTO `wp_postmeta` VALUES("521", "213", "_thumbnail_id", "125");
INSERT INTO `wp_postmeta` VALUES("522", "213", "_wp_old_slug", "glengyle");
INSERT INTO `wp_postmeta` VALUES("523", "213", "_dp_original", "69");
INSERT INTO `wp_postmeta` VALUES("524", "214", "_thumbnail_id", "329");
INSERT INTO `wp_postmeta` VALUES("525", "214", "_dp_original", "68");
INSERT INTO `wp_postmeta` VALUES("526", "215", "_thumbnail_id", "139");
INSERT INTO `wp_postmeta` VALUES("527", "215", "_dp_original", "67");
INSERT INTO `wp_postmeta` VALUES("528", "216", "_thumbnail_id", "324");
INSERT INTO `wp_postmeta` VALUES("529", "216", "_dp_original", "29");
INSERT INTO `wp_postmeta` VALUES("530", "217", "_thumbnail_id", "137");
INSERT INTO `wp_postmeta` VALUES("531", "217", "_dp_original", "31");
INSERT INTO `wp_postmeta` VALUES("532", "218", "_thumbnail_id", "120");
INSERT INTO `wp_postmeta` VALUES("533", "218", "_dp_original", "64");
INSERT INTO `wp_postmeta` VALUES("534", "219", "_thumbnail_id", "119");
INSERT INTO `wp_postmeta` VALUES("535", "219", "_dp_original", "63");
INSERT INTO `wp_postmeta` VALUES("536", "220", "_thumbnail_id", "118");
INSERT INTO `wp_postmeta` VALUES("537", "220", "_dp_original", "60");
INSERT INTO `wp_postmeta` VALUES("538", "221", "_thumbnail_id", "116");
INSERT INTO `wp_postmeta` VALUES("539", "221", "_dp_original", "57");
INSERT INTO `wp_postmeta` VALUES("540", "222", "_thumbnail_id", "134");
INSERT INTO `wp_postmeta` VALUES("541", "222", "_dp_original", "52");
INSERT INTO `wp_postmeta` VALUES("542", "223", "_thumbnail_id", "133");
INSERT INTO `wp_postmeta` VALUES("543", "223", "_dp_original", "51");
INSERT INTO `wp_postmeta` VALUES("544", "224", "_thumbnail_id", "131");
INSERT INTO `wp_postmeta` VALUES("545", "224", "_dp_original", "49");
INSERT INTO `wp_postmeta` VALUES("546", "225", "_thumbnail_id", "119");
INSERT INTO `wp_postmeta` VALUES("547", "225", "_dp_original", "47");
INSERT INTO `wp_postmeta` VALUES("548", "226", "_thumbnail_id", "130");
INSERT INTO `wp_postmeta` VALUES("549", "226", "_dp_original", "32");
INSERT INTO `wp_postmeta` VALUES("550", "227", "_thumbnail_id", "341");
INSERT INTO `wp_postmeta` VALUES("551", "227", "_dp_original", "36");
INSERT INTO `wp_postmeta` VALUES("552", "228", "_thumbnail_id", "340");
INSERT INTO `wp_postmeta` VALUES("553", "228", "_dp_original", "30");
INSERT INTO `wp_postmeta` VALUES("554", "229", "_thumbnail_id", "332");
INSERT INTO `wp_postmeta` VALUES("555", "229", "_dp_original", "28");
INSERT INTO `wp_postmeta` VALUES("556", "217", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("557", "217", "_edit_lock", "1549246043:1");
INSERT INTO `wp_postmeta` VALUES("558", "219", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("559", "219", "_edit_lock", "1532879651:1");
INSERT INTO `wp_postmeta` VALUES("561", "220", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("563", "220", "_edit_lock", "1549154489:1");
INSERT INTO `wp_postmeta` VALUES("564", "221", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("566", "221", "_edit_lock", "1549154586:1");
INSERT INTO `wp_postmeta` VALUES("568", "222", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("570", "222", "_edit_lock", "1532879676:1");
INSERT INTO `wp_postmeta` VALUES("571", "223", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("572", "223", "_edit_lock", "1549154502:1");
INSERT INTO `wp_postmeta` VALUES("574", "224", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("576", "224", "_edit_lock", "1532879684:1");
INSERT INTO `wp_postmeta` VALUES("577", "226", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("579", "226", "_edit_lock", "1532880154:1");
INSERT INTO `wp_postmeta` VALUES("580", "227", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("581", "227", "_edit_lock", "1532906810:1");
INSERT INTO `wp_postmeta` VALUES("583", "225", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("585", "225", "_edit_lock", "1532904084:1");
INSERT INTO `wp_postmeta` VALUES("586", "228", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("588", "228", "_edit_lock", "1549246045:1");
INSERT INTO `wp_postmeta` VALUES("589", "229", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("591", "229", "_edit_lock", "1532906665:1");
INSERT INTO `wp_postmeta` VALUES("592", "207", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("593", "207", "_edit_lock", "1532903875:1");
INSERT INTO `wp_postmeta` VALUES("594", "218", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("596", "218", "_edit_lock", "1549154572:1");
INSERT INTO `wp_postmeta` VALUES("597", "206", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("599", "206", "_edit_lock", "1532903875:1");
INSERT INTO `wp_postmeta` VALUES("600", "205", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("602", "205", "_edit_lock", "1532902271:1");
INSERT INTO `wp_postmeta` VALUES("604", "208", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("606", "208", "_edit_lock", "1549154559:1");
INSERT INTO `wp_postmeta` VALUES("607", "209", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("609", "209", "_edit_lock", "1532912094:1");
INSERT INTO `wp_postmeta` VALUES("610", "216", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("612", "216", "_edit_lock", "1532903872:1");
INSERT INTO `wp_postmeta` VALUES("613", "212", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("614", "212", "_edit_lock", "1532903876:1");
INSERT INTO `wp_postmeta` VALUES("615", "215", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("616", "215", "_edit_lock", "1532902314:1");
INSERT INTO `wp_postmeta` VALUES("617", "213", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("618", "213", "_edit_lock", "1532902305:1");
INSERT INTO `wp_postmeta` VALUES("619", "210", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("621", "210", "_edit_lock", "1532903877:1");
INSERT INTO `wp_postmeta` VALUES("622", "211", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("624", "211", "_edit_lock", "1532903873:1");
INSERT INTO `wp_postmeta` VALUES("625", "214", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("627", "214", "_edit_lock", "1532903873:1");
INSERT INTO `wp_postmeta` VALUES("668", "33", "_thumbnail_id", "131");
INSERT INTO `wp_postmeta` VALUES("670", "53", "_thumbnail_id", "123");
INSERT INTO `wp_postmeta` VALUES("672", "208", "_thumbnail_id", "334");
INSERT INTO `wp_postmeta` VALUES("675", "209", "_thumbnail_id", "333");
INSERT INTO `wp_postmeta` VALUES("679", "210", "_thumbnail_id", "330");
INSERT INTO `wp_postmeta` VALUES("684", "59", "_thumbnail_id", "360");
INSERT INTO `wp_postmeta` VALUES("771", "323", "_wp_attached_file", "2018/07/unsplash-berlin-25060-1400-8.jpg");
INSERT INTO `wp_postmeta` VALUES("772", "323", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2560;s:6:\"height\";i:1400;s:4:\"file\";s:40:\"2018/07/unsplash-berlin-25060-1400-8.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:40:\"unsplash-berlin-25060-1400-8-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:40:\"unsplash-berlin-25060-1400-8-300x164.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:164;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:40:\"unsplash-berlin-25060-1400-8-768x420.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:420;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:41:\"unsplash-berlin-25060-1400-8-1024x560.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:560;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("773", "324", "_wp_attached_file", "2018/07/unsplash-berlin-25060-1400-9.jpg");
INSERT INTO `wp_postmeta` VALUES("774", "324", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2560;s:6:\"height\";i:1400;s:4:\"file\";s:40:\"2018/07/unsplash-berlin-25060-1400-9.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:40:\"unsplash-berlin-25060-1400-9-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:40:\"unsplash-berlin-25060-1400-9-300x164.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:164;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:40:\"unsplash-berlin-25060-1400-9-768x420.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:420;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:41:\"unsplash-berlin-25060-1400-9-1024x560.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:560;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("775", "325", "_wp_attached_file", "2018/07/unsplash-berlin-25060-1400-7.jpg");
INSERT INTO `wp_postmeta` VALUES("776", "325", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2560;s:6:\"height\";i:1400;s:4:\"file\";s:40:\"2018/07/unsplash-berlin-25060-1400-7.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:40:\"unsplash-berlin-25060-1400-7-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:40:\"unsplash-berlin-25060-1400-7-300x164.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:164;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:40:\"unsplash-berlin-25060-1400-7-768x420.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:420;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:41:\"unsplash-berlin-25060-1400-7-1024x560.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:560;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("777", "326", "_wp_attached_file", "2018/07/unsplash-berlin-25060-1400-6.jpg");
INSERT INTO `wp_postmeta` VALUES("778", "326", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2560;s:6:\"height\";i:1400;s:4:\"file\";s:40:\"2018/07/unsplash-berlin-25060-1400-6.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:40:\"unsplash-berlin-25060-1400-6-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:40:\"unsplash-berlin-25060-1400-6-300x164.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:164;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:40:\"unsplash-berlin-25060-1400-6-768x420.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:420;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:41:\"unsplash-berlin-25060-1400-6-1024x560.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:560;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("779", "327", "_wp_attached_file", "2018/07/unsplash-berlin-25060-1400-5.jpg");
INSERT INTO `wp_postmeta` VALUES("780", "327", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2560;s:6:\"height\";i:1400;s:4:\"file\";s:40:\"2018/07/unsplash-berlin-25060-1400-5.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:40:\"unsplash-berlin-25060-1400-5-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:40:\"unsplash-berlin-25060-1400-5-300x164.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:164;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:40:\"unsplash-berlin-25060-1400-5-768x420.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:420;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:41:\"unsplash-berlin-25060-1400-5-1024x560.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:560;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("781", "328", "_wp_attached_file", "2018/07/unsplash-berlin-25060-1400-4.jpg");
INSERT INTO `wp_postmeta` VALUES("782", "328", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2560;s:6:\"height\";i:1400;s:4:\"file\";s:40:\"2018/07/unsplash-berlin-25060-1400-4.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:40:\"unsplash-berlin-25060-1400-4-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:40:\"unsplash-berlin-25060-1400-4-300x164.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:164;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:40:\"unsplash-berlin-25060-1400-4-768x420.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:420;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:41:\"unsplash-berlin-25060-1400-4-1024x560.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:560;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("783", "329", "_wp_attached_file", "2018/07/unsplash-berlin-25060-1400-3.jpg");
INSERT INTO `wp_postmeta` VALUES("784", "329", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2560;s:6:\"height\";i:1400;s:4:\"file\";s:40:\"2018/07/unsplash-berlin-25060-1400-3.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:40:\"unsplash-berlin-25060-1400-3-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:40:\"unsplash-berlin-25060-1400-3-300x164.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:164;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:40:\"unsplash-berlin-25060-1400-3-768x420.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:420;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:41:\"unsplash-berlin-25060-1400-3-1024x560.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:560;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("785", "330", "_wp_attached_file", "2018/07/unsplash-berlin-25060-1400-2.jpg");
INSERT INTO `wp_postmeta` VALUES("786", "330", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2560;s:6:\"height\";i:1400;s:4:\"file\";s:40:\"2018/07/unsplash-berlin-25060-1400-2.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:40:\"unsplash-berlin-25060-1400-2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:40:\"unsplash-berlin-25060-1400-2-300x164.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:164;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:40:\"unsplash-berlin-25060-1400-2-768x420.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:420;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:41:\"unsplash-berlin-25060-1400-2-1024x560.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:560;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("787", "331", "_wp_attached_file", "2018/07/unsplash-berlin-25060-1400-1.jpg");
INSERT INTO `wp_postmeta` VALUES("788", "331", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2560;s:6:\"height\";i:1400;s:4:\"file\";s:40:\"2018/07/unsplash-berlin-25060-1400-1.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:40:\"unsplash-berlin-25060-1400-1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:40:\"unsplash-berlin-25060-1400-1-300x164.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:164;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:40:\"unsplash-berlin-25060-1400-1-768x420.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:420;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:41:\"unsplash-berlin-25060-1400-1-1024x560.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:560;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("804", "332", "_wp_attached_file", "2018/07/unsplash-miscellaneous-25060-1400-10.jpg");
INSERT INTO `wp_postmeta` VALUES("805", "332", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2560;s:6:\"height\";i:1400;s:4:\"file\";s:48:\"2018/07/unsplash-miscellaneous-25060-1400-10.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:48:\"unsplash-miscellaneous-25060-1400-10-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:48:\"unsplash-miscellaneous-25060-1400-10-300x164.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:164;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:48:\"unsplash-miscellaneous-25060-1400-10-768x420.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:420;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:49:\"unsplash-miscellaneous-25060-1400-10-1024x560.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:560;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("806", "333", "_wp_attached_file", "2018/07/unsplash-miscellaneous-25060-1400-9.jpg");
INSERT INTO `wp_postmeta` VALUES("807", "333", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2560;s:6:\"height\";i:1400;s:4:\"file\";s:47:\"2018/07/unsplash-miscellaneous-25060-1400-9.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:47:\"unsplash-miscellaneous-25060-1400-9-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:47:\"unsplash-miscellaneous-25060-1400-9-300x164.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:164;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:47:\"unsplash-miscellaneous-25060-1400-9-768x420.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:420;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:48:\"unsplash-miscellaneous-25060-1400-9-1024x560.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:560;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("808", "334", "_wp_attached_file", "2018/07/unsplash-miscellaneous-25060-1400-8.jpg");
INSERT INTO `wp_postmeta` VALUES("809", "334", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2560;s:6:\"height\";i:1400;s:4:\"file\";s:47:\"2018/07/unsplash-miscellaneous-25060-1400-8.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:47:\"unsplash-miscellaneous-25060-1400-8-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:47:\"unsplash-miscellaneous-25060-1400-8-300x164.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:164;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:47:\"unsplash-miscellaneous-25060-1400-8-768x420.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:420;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:48:\"unsplash-miscellaneous-25060-1400-8-1024x560.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:560;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("810", "335", "_wp_attached_file", "2018/07/unsplash-miscellaneous-25060-1400-7.jpg");
INSERT INTO `wp_postmeta` VALUES("811", "335", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2560;s:6:\"height\";i:1400;s:4:\"file\";s:47:\"2018/07/unsplash-miscellaneous-25060-1400-7.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:47:\"unsplash-miscellaneous-25060-1400-7-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:47:\"unsplash-miscellaneous-25060-1400-7-300x164.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:164;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:47:\"unsplash-miscellaneous-25060-1400-7-768x420.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:420;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:48:\"unsplash-miscellaneous-25060-1400-7-1024x560.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:560;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("812", "336", "_wp_attached_file", "2018/07/unsplash-miscellaneous-25060-1400-6.jpg");
INSERT INTO `wp_postmeta` VALUES("813", "336", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2560;s:6:\"height\";i:1400;s:4:\"file\";s:47:\"2018/07/unsplash-miscellaneous-25060-1400-6.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:47:\"unsplash-miscellaneous-25060-1400-6-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:47:\"unsplash-miscellaneous-25060-1400-6-300x164.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:164;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:47:\"unsplash-miscellaneous-25060-1400-6-768x420.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:420;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:48:\"unsplash-miscellaneous-25060-1400-6-1024x560.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:560;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("814", "337", "_wp_attached_file", "2018/07/unsplash-miscellaneous-25060-1400-5.jpg");
INSERT INTO `wp_postmeta` VALUES("815", "337", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2560;s:6:\"height\";i:1400;s:4:\"file\";s:47:\"2018/07/unsplash-miscellaneous-25060-1400-5.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:47:\"unsplash-miscellaneous-25060-1400-5-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:47:\"unsplash-miscellaneous-25060-1400-5-300x164.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:164;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:47:\"unsplash-miscellaneous-25060-1400-5-768x420.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:420;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:48:\"unsplash-miscellaneous-25060-1400-5-1024x560.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:560;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("816", "338", "_wp_attached_file", "2018/07/unsplash-miscellaneous-25060-1400-4.jpg");
INSERT INTO `wp_postmeta` VALUES("817", "338", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2560;s:6:\"height\";i:1400;s:4:\"file\";s:47:\"2018/07/unsplash-miscellaneous-25060-1400-4.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:47:\"unsplash-miscellaneous-25060-1400-4-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:47:\"unsplash-miscellaneous-25060-1400-4-300x164.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:164;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:47:\"unsplash-miscellaneous-25060-1400-4-768x420.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:420;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:48:\"unsplash-miscellaneous-25060-1400-4-1024x560.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:560;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("818", "339", "_wp_attached_file", "2018/07/unsplash-miscellaneous-25060-1400-3.jpg");
INSERT INTO `wp_postmeta` VALUES("819", "339", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2560;s:6:\"height\";i:1400;s:4:\"file\";s:47:\"2018/07/unsplash-miscellaneous-25060-1400-3.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:47:\"unsplash-miscellaneous-25060-1400-3-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:47:\"unsplash-miscellaneous-25060-1400-3-300x164.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:164;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:47:\"unsplash-miscellaneous-25060-1400-3-768x420.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:420;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:48:\"unsplash-miscellaneous-25060-1400-3-1024x560.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:560;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("820", "340", "_wp_attached_file", "2018/07/unsplash-miscellaneous-25060-1400-2.jpg");
INSERT INTO `wp_postmeta` VALUES("821", "340", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2560;s:6:\"height\";i:1400;s:4:\"file\";s:47:\"2018/07/unsplash-miscellaneous-25060-1400-2.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:47:\"unsplash-miscellaneous-25060-1400-2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:47:\"unsplash-miscellaneous-25060-1400-2-300x164.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:164;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:47:\"unsplash-miscellaneous-25060-1400-2-768x420.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:420;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:48:\"unsplash-miscellaneous-25060-1400-2-1024x560.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:560;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("822", "341", "_wp_attached_file", "2018/07/unsplash-miscellaneous-25060-1400-1.jpg");
INSERT INTO `wp_postmeta` VALUES("823", "341", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2560;s:6:\"height\";i:1400;s:4:\"file\";s:47:\"2018/07/unsplash-miscellaneous-25060-1400-1.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:47:\"unsplash-miscellaneous-25060-1400-1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:47:\"unsplash-miscellaneous-25060-1400-1-300x164.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:164;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:47:\"unsplash-miscellaneous-25060-1400-1-768x420.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:420;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:48:\"unsplash-miscellaneous-25060-1400-1-1024x560.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:560;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("829", "342", "_thumbnail_id", "339");
INSERT INTO `wp_postmeta` VALUES("831", "342", "_dp_original", "216");
INSERT INTO `wp_postmeta` VALUES("832", "342", "_edit_lock", "1532906663:1");
INSERT INTO `wp_postmeta` VALUES("833", "342", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("836", "345", "_wp_attached_file", "2018/07/unsplash-india-25060-1400-12.jpg");
INSERT INTO `wp_postmeta` VALUES("837", "345", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2560;s:6:\"height\";i:1400;s:4:\"file\";s:40:\"2018/07/unsplash-india-25060-1400-12.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:40:\"unsplash-india-25060-1400-12-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:40:\"unsplash-india-25060-1400-12-300x164.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:164;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:40:\"unsplash-india-25060-1400-12-768x420.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:420;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:41:\"unsplash-india-25060-1400-12-1024x560.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:560;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("840", "347", "_wp_attached_file", "2018/07/unsplash-india-25060-1400-10.jpg");
INSERT INTO `wp_postmeta` VALUES("841", "347", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2560;s:6:\"height\";i:1400;s:4:\"file\";s:40:\"2018/07/unsplash-india-25060-1400-10.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:40:\"unsplash-india-25060-1400-10-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:40:\"unsplash-india-25060-1400-10-300x164.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:164;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:40:\"unsplash-india-25060-1400-10-768x420.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:420;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:41:\"unsplash-india-25060-1400-10-1024x560.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:560;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("842", "348", "_wp_attached_file", "2018/07/unsplash-india-25060-1400-9.jpg");
INSERT INTO `wp_postmeta` VALUES("843", "348", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2560;s:6:\"height\";i:1400;s:4:\"file\";s:39:\"2018/07/unsplash-india-25060-1400-9.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:39:\"unsplash-india-25060-1400-9-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:39:\"unsplash-india-25060-1400-9-300x164.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:164;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:39:\"unsplash-india-25060-1400-9-768x420.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:420;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:40:\"unsplash-india-25060-1400-9-1024x560.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:560;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("844", "349", "_wp_attached_file", "2018/07/unsplash-india-25060-1400-8.jpg");
INSERT INTO `wp_postmeta` VALUES("845", "349", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2560;s:6:\"height\";i:1400;s:4:\"file\";s:39:\"2018/07/unsplash-india-25060-1400-8.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:39:\"unsplash-india-25060-1400-8-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:39:\"unsplash-india-25060-1400-8-300x164.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:164;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:39:\"unsplash-india-25060-1400-8-768x420.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:420;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:40:\"unsplash-india-25060-1400-8-1024x560.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:560;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("846", "350", "_wp_attached_file", "2018/07/unsplash-india-25060-1400-7.jpg");
INSERT INTO `wp_postmeta` VALUES("847", "350", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2560;s:6:\"height\";i:1400;s:4:\"file\";s:39:\"2018/07/unsplash-india-25060-1400-7.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:39:\"unsplash-india-25060-1400-7-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:39:\"unsplash-india-25060-1400-7-300x164.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:164;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:39:\"unsplash-india-25060-1400-7-768x420.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:420;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:40:\"unsplash-india-25060-1400-7-1024x560.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:560;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("848", "351", "_wp_attached_file", "2018/07/unsplash-india-25060-1400-6.jpg");
INSERT INTO `wp_postmeta` VALUES("849", "351", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2560;s:6:\"height\";i:1400;s:4:\"file\";s:39:\"2018/07/unsplash-india-25060-1400-6.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:39:\"unsplash-india-25060-1400-6-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:39:\"unsplash-india-25060-1400-6-300x164.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:164;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:39:\"unsplash-india-25060-1400-6-768x420.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:420;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:40:\"unsplash-india-25060-1400-6-1024x560.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:560;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("854", "354", "_wp_attached_file", "2018/07/unsplash-india-25060-1400-3.jpg");
INSERT INTO `wp_postmeta` VALUES("855", "354", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2560;s:6:\"height\";i:1400;s:4:\"file\";s:39:\"2018/07/unsplash-india-25060-1400-3.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:39:\"unsplash-india-25060-1400-3-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:39:\"unsplash-india-25060-1400-3-300x164.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:164;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:39:\"unsplash-india-25060-1400-3-768x420.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:420;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:40:\"unsplash-india-25060-1400-3-1024x560.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:560;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("856", "355", "_wp_attached_file", "2018/07/unsplash-india-25060-1400-2.jpg");
INSERT INTO `wp_postmeta` VALUES("857", "355", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2560;s:6:\"height\";i:1400;s:4:\"file\";s:39:\"2018/07/unsplash-india-25060-1400-2.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:39:\"unsplash-india-25060-1400-2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:39:\"unsplash-india-25060-1400-2-300x164.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:164;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:39:\"unsplash-india-25060-1400-2-768x420.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:420;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:40:\"unsplash-india-25060-1400-2-1024x560.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:560;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("858", "356", "_wp_attached_file", "2018/07/unsplash-india-25060-1400-1.jpg");
INSERT INTO `wp_postmeta` VALUES("859", "356", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2560;s:6:\"height\";i:1400;s:4:\"file\";s:39:\"2018/07/unsplash-india-25060-1400-1.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:39:\"unsplash-india-25060-1400-1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:39:\"unsplash-india-25060-1400-1-300x164.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:164;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:39:\"unsplash-india-25060-1400-1-768x420.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:420;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:40:\"unsplash-india-25060-1400-1-1024x560.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:560;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("863", "357", "_wp_attached_file", "2018/07/unsplash-lab-25060-1400-11.jpg");
INSERT INTO `wp_postmeta` VALUES("864", "357", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2560;s:6:\"height\";i:1400;s:4:\"file\";s:38:\"2018/07/unsplash-lab-25060-1400-11.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:38:\"unsplash-lab-25060-1400-11-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:38:\"unsplash-lab-25060-1400-11-300x164.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:164;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:38:\"unsplash-lab-25060-1400-11-768x420.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:420;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:39:\"unsplash-lab-25060-1400-11-1024x560.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:560;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("865", "358", "_wp_attached_file", "2018/07/unsplash-lab-25060-1400-5.jpg");
INSERT INTO `wp_postmeta` VALUES("866", "358", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2560;s:6:\"height\";i:1400;s:4:\"file\";s:37:\"2018/07/unsplash-lab-25060-1400-5.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:37:\"unsplash-lab-25060-1400-5-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:37:\"unsplash-lab-25060-1400-5-300x164.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:164;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:37:\"unsplash-lab-25060-1400-5-768x420.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:420;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:38:\"unsplash-lab-25060-1400-5-1024x560.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:560;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("867", "359", "_wp_attached_file", "2018/07/unsplash-lab-25060-1400-4.jpg");
INSERT INTO `wp_postmeta` VALUES("868", "359", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2560;s:6:\"height\";i:1400;s:4:\"file\";s:37:\"2018/07/unsplash-lab-25060-1400-4.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:37:\"unsplash-lab-25060-1400-4-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:37:\"unsplash-lab-25060-1400-4-300x164.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:164;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:37:\"unsplash-lab-25060-1400-4-768x420.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:420;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:38:\"unsplash-lab-25060-1400-4-1024x560.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:560;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("876", "360", "_wp_attached_file", "2018/07/unsplash-landscape-2018-31-1.jpg");
INSERT INTO `wp_postmeta` VALUES("877", "360", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2560;s:6:\"height\";i:1400;s:4:\"file\";s:40:\"2018/07/unsplash-landscape-2018-31-1.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:40:\"unsplash-landscape-2018-31-1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:40:\"unsplash-landscape-2018-31-1-300x164.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:164;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:40:\"unsplash-landscape-2018-31-1-768x420.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:420;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:41:\"unsplash-landscape-2018-31-1-1024x560.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:560;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("880", "361", "_thumbnail_id", "355");
INSERT INTO `wp_postmeta` VALUES("881", "361", "_dp_original", "28");
INSERT INTO `wp_postmeta` VALUES("882", "361", "_edit_lock", "1549153916:1");
INSERT INTO `wp_postmeta` VALUES("883", "361", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("885", "361", "_wp_old_date", "2018-07-29");
INSERT INTO `wp_postmeta` VALUES("939", "369", "_thumbnail_id", "336");
INSERT INTO `wp_postmeta` VALUES("941", "369", "_dp_original", "228");
INSERT INTO `wp_postmeta` VALUES("942", "369", "_edit_lock", "1549153918:1");
INSERT INTO `wp_postmeta` VALUES("943", "369", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("946", "372", "_thumbnail_id", "358");
INSERT INTO `wp_postmeta` VALUES("948", "372", "_dp_original", "369");
INSERT INTO `wp_postmeta` VALUES("949", "372", "_edit_lock", "1549153915:1");
INSERT INTO `wp_postmeta` VALUES("950", "372", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("952", "372", "_wp_old_date", "2018-07-31");
INSERT INTO `wp_postmeta` VALUES("954", "369", "_wp_old_date", "2018-07-31");
INSERT INTO `wp_postmeta` VALUES("956", "374", "_edit_lock", "1549154749:1");
INSERT INTO `wp_postmeta` VALUES("960", "377", "_dp_original", "224");
INSERT INTO `wp_postmeta` VALUES("961", "378", "_thumbnail_id", "118");
INSERT INTO `wp_postmeta` VALUES("963", "378", "_dp_original", "220");
INSERT INTO `wp_postmeta` VALUES("964", "379", "_thumbnail_id", "118");
INSERT INTO `wp_postmeta` VALUES("965", "379", "_dp_original", "60");
INSERT INTO `wp_postmeta` VALUES("967", "380", "_dp_original", "57");
INSERT INTO `wp_postmeta` VALUES("969", "381", "_dp_original", "47");
INSERT INTO `wp_postmeta` VALUES("971", "382", "_dp_original", "36");
INSERT INTO `wp_postmeta` VALUES("973", "383", "_dp_original", "28");
INSERT INTO `wp_postmeta` VALUES("974", "384", "_thumbnail_id", "358");
INSERT INTO `wp_postmeta` VALUES("976", "384", "_wp_old_date", "2018-07-31");
INSERT INTO `wp_postmeta` VALUES("977", "384", "_dp_original", "372");
INSERT INTO `wp_postmeta` VALUES("978", "377", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("979", "377", "_edit_lock", "1549246035:1");
INSERT INTO `wp_postmeta` VALUES("980", "378", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("981", "378", "_edit_lock", "1549154723:1");
INSERT INTO `wp_postmeta` VALUES("982", "379", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("983", "379", "_edit_lock", "1549154735:1");
INSERT INTO `wp_postmeta` VALUES("984", "380", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("985", "380", "_edit_lock", "1549246037:1");
INSERT INTO `wp_postmeta` VALUES("986", "381", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("987", "381", "_edit_lock", "1549245940:1");
INSERT INTO `wp_postmeta` VALUES("988", "382", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("989", "382", "_edit_lock", "1549246036:1");
INSERT INTO `wp_postmeta` VALUES("990", "384", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("991", "384", "_edit_lock", "1549154689:1");
INSERT INTO `wp_postmeta` VALUES("992", "383", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("993", "383", "_edit_lock", "1549246034:1");
INSERT INTO `wp_postmeta` VALUES("1008", "384", "_wp_old_date", "2019-07-01");
INSERT INTO `wp_postmeta` VALUES("1010", "383", "_wp_old_date", "2019-02-03");
INSERT INTO `wp_postmeta` VALUES("1012", "220", "_wp_old_date", "2018-07-28");
INSERT INTO `wp_postmeta` VALUES("1014", "223", "_wp_old_date", "2018-07-28");
INSERT INTO `wp_postmeta` VALUES("1016", "208", "_wp_old_date", "2018-07-28");
INSERT INTO `wp_postmeta` VALUES("1018", "218", "_wp_old_date", "2018-07-28");
INSERT INTO `wp_postmeta` VALUES("1020", "221", "_wp_old_date", "2018-07-28");
INSERT INTO `wp_postmeta` VALUES("1022", "382", "_wp_old_date", "2019-02-03");
INSERT INTO `wp_postmeta` VALUES("1024", "383", "_wp_old_date", "2018-07-29");
INSERT INTO `wp_postmeta` VALUES("1026", "381", "_wp_old_date", "2019-02-03");
INSERT INTO `wp_postmeta` VALUES("1028", "384", "_wp_old_date", "2018-07-01");
INSERT INTO `wp_postmeta` VALUES("1030", "378", "_wp_old_date", "2019-02-03");
INSERT INTO `wp_postmeta` VALUES("1032", "379", "_wp_old_date", "2019-02-03");
INSERT INTO `wp_postmeta` VALUES("1033", "374", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("1035", "374", "_wp_old_date", "2019-02-03");
INSERT INTO `wp_postmeta` VALUES("1037", "380", "_wp_old_date", "2019-04-03");
INSERT INTO `wp_postmeta` VALUES("1039", "377", "_wp_old_date", "2019-02-03");

/* INSERT TABLE DATA: wp_posts */
INSERT INTO `wp_posts` VALUES("2", "1", "2018-07-15 00:46:12", "2018-07-15 00:46:12", "This is an example page. It\'s different from a blog post because it will stay in one place and will show up in your site navigation (in most themes). Most people start with an About page that introduces them to potential site visitors. It might say something like this:\n\n<blockquote>Hi there! I\'m a bike messenger by day, aspiring actor by night, and this is my website. I live in Los Angeles, have a great dog named Jack, and I like pi&#241;a coladas. (And gettin\' caught in the rain.)</blockquote>\n\n...or something like this:\n\n<blockquote>The XYZ Doohickey Company was founded in 1971, and has been providing quality doohickeys to the public ever since. Located in Gotham City, XYZ employs over 2,000 people and does all kinds of awesome things for the Gotham community.</blockquote>\n\nAs a new WordPress user, you should go to <a href=\"http://localhost:8888/UpdatingDuplicatorVersions/miyazaki-wp-php82/wp-admin/\">your dashboard</a> to delete this page and create new pages for your content. Have fun!", "Sample Page", "", "publish", "closed", "open", "", "sample-page", "", "", "2018-07-15 00:46:12", "2018-07-15 00:46:12", "", "0", "http://localhost:8888/metonymic/?page_id=2", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("3", "1", "2018-07-15 00:46:12", "2018-07-15 00:46:12", "<h2>Who we are</h2><p>Our website address is: http://localhost:8888/UpdatingDuplicatorVersions/miyazaki-wp-php82.</p><h2>What personal data we collect and why we collect it</h2><h3>Comments</h3><p>When visitors leave comments on the site we collect the data shown in the comments form, and also the visitor&#8217;s IP address and browser user agent string to help spam detection.</p><p>An anonymized string created from your email address (also called a hash) may be provided to the Gravatar service to see if you are using it. The Gravatar service privacy policy is available here: https://automattic.com/privacy/. After approval of your comment, your profile picture is visible to the public in the context of your comment.</p><h3>Media</h3><p>If you upload images to the website, you should avoid uploading images with embedded location data (EXIF GPS) included. Visitors to the website can download and extract any location data from images on the website.</p><h3>Contact forms</h3><h3>Cookies</h3><p>If you leave a comment on our site you may opt-in to saving your name, email address and website in cookies. These are for your convenience so that you do not have to fill in your details again when you leave another comment. These cookies will last for one year.</p><p>If you have an account and you log in to this site, we will set a temporary cookie to determine if your browser accepts cookies. This cookie contains no personal data and is discarded when you close your browser.</p><p>When you log in, we will also set up several cookies to save your login information and your screen display choices. Login cookies last for two days, and screen options cookies last for a year. If you select &quot;Remember Me&quot;, your login will persist for two weeks. If you log out of your account, the login cookies will be removed.</p><p>If you edit or publish an article, an additional cookie will be saved in your browser. This cookie includes no personal data and simply indicates the post ID of the article you just edited. It expires after 1 day.</p><h3>Embedded content from other websites</h3><p>Articles on this site may include embedded content (e.g. videos, images, articles, etc.). Embedded content from other websites behaves in the exact same way as if the visitor has visited the other website.</p><p>These websites may collect data about you, use cookies, embed additional third-party tracking, and monitor your interaction with that embedded content, including tracing your interaction with the embedded content if you have an account and are logged in to that website.</p><h3>Analytics</h3><h2>Who we share your data with</h2><h2>How long we retain your data</h2><p>If you leave a comment, the comment and its metadata are retained indefinitely. This is so we can recognize and approve any follow-up comments automatically instead of holding them in a moderation queue.</p><p>For users that register on our website (if any), we also store the personal information they provide in their user profile. All users can see, edit, or delete their personal information at any time (except they cannot change their username). Website administrators can also see and edit that information.</p><h2>What rights you have over your data</h2><p>If you have an account on this site, or have left comments, you can request to receive an exported file of the personal data we hold about you, including any data you have provided to us. You can also request that we erase any personal data we hold about you. This does not include any data we are obliged to keep for administrative, legal, or security purposes.</p><h2>Where we send your data</h2><p>Visitor comments may be checked through an automated spam detection service.</p><h2>Your contact information</h2><h2>Additional information</h2><h3>How we protect your data</h3><h3>What data breach procedures we have in place</h3><h3>What third parties we receive data from</h3><h3>What automated decision making and/or profiling we do with user data</h3><h3>Industry regulatory disclosure requirements</h3>", "Privacy Policy", "", "draft", "closed", "open", "", "privacy-policy", "", "", "2018-07-15 00:46:12", "2018-07-15 00:46:12", "", "0", "http://localhost:8888/metonymic/?page_id=3", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("28", "2", "2018-07-15 01:11:22", "2018-07-15 01:11:22", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur molestias dicta, cum quae voluptatum tenetur illo atque id est at natus animi provident maxime in libero deserunt facere ea sint. A, perspiciatis non.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Assumenda quas omnis dolores? Eos alias dolorum, commodi neque! Expedita harum eveniet, quisquam laboriosam!</p>\r\n<p>In dicta hic quidem, dolorem fugit eveniet. Inventore quam, sint fugit repudiandae cupiditate ducimus voluptate voluptatibus autem laborum labore veritatis officia ullam!</p>\r\n<p>Fugiat modi enim earum est saepe magnam eligendi at, asperiores cumque similique officia possimus adipisci nulla ullam alias reprehenderit, praesentium neque tempora!</p>\r\n<p>Placeat aut unde incidunt blanditiis dolorum, facilis id error, officiis velit ex. Est vel, aspernatur quis inventore autem id veniam vitae, recusandae.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Libero tempore facere ab animi eveniet sunt, consequuntur nisi non ducimus nostrum. Sit dolorum tempore assumenda ea ipsum, praesentium cumque cupiditate, impedit neque quasi culpa dolore. Nisi quasi, fuga enim aperiam aliquam dolorum architecto. Quo incidunt vel quos tenetur minima, quae, quam iusto numquam expedita, totam modi!</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur molestias dicta, cum quae voluptatum tenetur illo atque id est at natus animi provident maxime in libero deserunt facere ea sint. A, perspiciatis non.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Assumenda quas omnis dolores? Eos alias dolorum, commodi neque! Expedita harum eveniet, quisquam laboriosam!</p>\r\n<p>In dicta hic quidem, dolorem fugit eveniet. Inventore quam, sint fugit repudiandae cupiditate ducimus voluptate voluptatibus autem laborum labore veritatis officia ullam!</p>\r\n<p>Fugiat modi enim earum est saepe magnam eligendi at, asperiores cumque similique officia possimus adipisci nulla ullam alias reprehenderit, praesentium neque tempora!</p>\r\n<p>Placeat aut unde incidunt blanditiis dolorum, facilis id error, officiis velit ex. Est vel, aspernatur quis inventore autem id veniam vitae, recusandae.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Libero tempore facere ab animi eveniet sunt, consequuntur nisi non ducimus nostrum. Sit dolorum tempore assumenda ea ipsum, praesentium cumque cupiditate, impedit neque quasi culpa dolore. Nisi quasi, fuga enim aperiam aliquam dolorum architecto. Quo incidunt vel quos tenetur minima, quae, quam iusto numquam expedita, totam modi!</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur molestias dicta, cum quae voluptatum tenetur illo atque id est at natus animi provident maxime in libero deserunt facere ea sint. A, perspiciatis non.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Assumenda quas omnis dolores? Eos alias dolorum, commodi neque! Expedita harum eveniet, quisquam laboriosam!</p>\r\n<p>In dicta hic quidem, dolorem fugit eveniet. Inventore quam, sint fugit repudiandae cupiditate ducimus voluptate voluptatibus autem laborum labore veritatis officia ullam!</p>\r\n<p>Fugiat modi enim earum est saepe magnam eligendi at, asperiores cumque similique officia possimus adipisci nulla ullam alias reprehenderit, praesentium neque tempora!</p>\r\n<p>Placeat aut unde incidunt blanditiis dolorum, facilis id error, officiis velit ex. Est vel, aspernatur quis inventore autem id veniam vitae, recusandae.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Libero tempore facere ab animi eveniet sunt, consequuntur nisi non ducimus nostrum. Sit dolorum tempore assumenda ea ipsum, praesentium cumque cupiditate, impedit neque quasi culpa dolore. Nisi quasi, fuga enim aperiam aliquam dolorum architecto. Quo incidunt vel quos tenetur minima, quae, quam iusto numquam expedita, totam modi!</p>", "Deleniti corporis, deserunt.", "Eum deleniti nobis porro ea sapiente. Suscipit doloremque temporibus, sit commodi omnis.\r\n", "publish", "open", "open", "", "deleniti-corporis-deserunt", "", "", "2018-07-29 23:33:15", "2018-07-29 23:33:15", "", "0", "http://localhost:8888/metonymic/deleniti-corporis-deserunt", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("29", "1", "2018-07-15 01:26:11", "2018-07-15 01:26:11", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Qui magnam expedita ea assumenda nobis id quod odio accusamus dicta numquam, voluptate amet quaerat voluptas velit laudantium maxime vel ducimus aperiam perspiciatis soluta doloremque.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Veritatis quas beatae, officia nisi inventore deleniti natus earum quia. Dolores illum quas dolorem.</p>\r\n<p>Placeat fugit, laudantium inventore blanditiis eos debitis aperiam! Nisi blanditiis repudiandae autem. Dicta aspernatur obcaecati, dolorum ullam! Pariatur recusandae, ducimus hic harum.</p>\r\n<p>Hic sapiente sunt quam, consectetur delectus tempore iste saepe similique obcaecati, numquam illum vel impedit dolor eius, quod maiores architecto incidunt voluptate.</p>\r\n<p>Accusamus aperiam quaerat sequi, libero cum nesciunt distinctio vel eveniet deserunt dicta possimus blanditiis, perspiciatis atque officiis adipisci ad tenetur vero consequatur.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Minima quaerat alias harum, explicabo cupiditate non aperiam in aliquam. Quae quidem, iusto qui natus assumenda dolores, architecto magnam laudantium minima! Tempora voluptates qui placeat quo, amet, fugiat quis porro molestiae ipsa esse in pariatur, nesciunt maiores! Nemo voluptas voluptatem alias quidem voluptates aut pariatur! Eum, incidunt.</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Qui magnam expedita ea assumenda nobis id quod odio accusamus dicta numquam, voluptate amet quaerat voluptas velit laudantium maxime vel ducimus aperiam perspiciatis soluta doloremque.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Veritatis quas beatae, officia nisi inventore deleniti natus earum quia. Dolores illum quas dolorem.</p>\r\n<p>Placeat fugit, laudantium inventore blanditiis eos debitis aperiam! Nisi blanditiis repudiandae autem. Dicta aspernatur obcaecati, dolorum ullam! Pariatur recusandae, ducimus hic harum.</p>\r\n<p>Hic sapiente sunt quam, consectetur delectus tempore iste saepe similique obcaecati, numquam illum vel impedit dolor eius, quod maiores architecto incidunt voluptate.</p>\r\n<p>Accusamus aperiam quaerat sequi, libero cum nesciunt distinctio vel eveniet deserunt dicta possimus blanditiis, perspiciatis atque officiis adipisci ad tenetur vero consequatur.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Minima quaerat alias harum, explicabo cupiditate non aperiam in aliquam. Quae quidem, iusto qui natus assumenda dolores, architecto magnam laudantium minima! Tempora voluptates qui placeat quo, amet, fugiat quis porro molestiae ipsa esse in pariatur, nesciunt maiores! Nemo voluptas voluptatem alias quidem voluptates aut pariatur! Eum, incidunt.</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Qui magnam expedita ea assumenda nobis id quod odio accusamus dicta numquam, voluptate amet quaerat voluptas velit laudantium maxime vel ducimus aperiam perspiciatis soluta doloremque.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Veritatis quas beatae, officia nisi inventore deleniti natus earum quia. Dolores illum quas dolorem.</p>\r\n<p>Placeat fugit, laudantium inventore blanditiis eos debitis aperiam! Nisi blanditiis repudiandae autem. Dicta aspernatur obcaecati, dolorum ullam! Pariatur recusandae, ducimus hic harum.</p>\r\n<p>Hic sapiente sunt quam, consectetur delectus tempore iste saepe similique obcaecati, numquam illum vel impedit dolor eius, quod maiores architecto incidunt voluptate.</p>\r\n<p>Accusamus aperiam quaerat sequi, libero cum nesciunt distinctio vel eveniet deserunt dicta possimus blanditiis, perspiciatis atque officiis adipisci ad tenetur vero consequatur.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Minima quaerat alias harum, explicabo cupiditate non aperiam in aliquam. Quae quidem, iusto qui natus assumenda dolores, architecto magnam laudantium minima! Tempora voluptates qui placeat quo, amet, fugiat quis porro molestiae ipsa esse in pariatur, nesciunt maiores! Nemo voluptas voluptatem alias quidem voluptates aut pariatur! Eum, incidunt.</p>", "Vero, reprehenderit, beatae.", "Dolorem earum itaque repellendus maiores aperiam eaque deleniti nostrum adipisci nihil ut.\r\n", "publish", "open", "open", "", "vero-reprehenderit-beatae", "", "", "2018-07-29 16:00:59", "2018-07-29 16:00:59", "", "0", "http://localhost:8888/metonymic/vero-reprehenderit-beatae", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("30", "4", "2018-07-15 01:11:49", "2018-07-15 01:11:49", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Cum tempora, incidunt modi sint rerum delectus iste dolorem veniam omnis ullam saepe quia, laboriosam iusto dolorum ducimus velit. Cum aperiam laudantium cumque, perspiciatis minima!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quibusdam omnis ipsum et, praesentium sint expedita eum soluta. Distinctio ipsam soluta praesentium laborum.</p>\r\n<p>Aut eos ea incidunt atque laudantium, doloribus harum est asperiores modi similique impedit, perspiciatis, rem quod accusantium dignissimos? Soluta eum, assumenda doloremque.</p>\r\n<p>Soluta distinctio odio est excepturi eos quis, delectus ex maiores quos nemo cum, accusamus, ratione facere enim aliquid accusantium facilis, cupiditate eius.</p>\r\n<p>Temporibus ipsum sint provident ad iste, ipsa natus id, voluptatem, commodi aliquam ullam nobis? Dolorum quia nihil voluptas quas dolore sapiente! Voluptatum.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quam soluta culpa laborum! Sit rerum porro fuga eos, expedita nesciunt cumque totam esse provident rem! Eius recusandae fuga quasi, ipsum. Nemo quaerat perferendis sunt architecto reprehenderit est mollitia eius, laboriosam quidem consequatur perspiciatis, placeat cupiditate nesciunt omnis illo vel! Sit quisquam totam, ipsum veritatis laborum voluptatum.</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Cum tempora, incidunt modi sint rerum delectus iste dolorem veniam omnis ullam saepe quia, laboriosam iusto dolorum ducimus velit. Cum aperiam laudantium cumque, perspiciatis minima!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quibusdam omnis ipsum et, praesentium sint expedita eum soluta. Distinctio ipsam soluta praesentium laborum.</p>\r\n<p>Aut eos ea incidunt atque laudantium, doloribus harum est asperiores modi similique impedit, perspiciatis, rem quod accusantium dignissimos? Soluta eum, assumenda doloremque.</p>\r\n<p>Soluta distinctio odio est excepturi eos quis, delectus ex maiores quos nemo cum, accusamus, ratione facere enim aliquid accusantium facilis, cupiditate eius.</p>\r\n<p>Temporibus ipsum sint provident ad iste, ipsa natus id, voluptatem, commodi aliquam ullam nobis? Dolorum quia nihil voluptas quas dolore sapiente! Voluptatum.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quam soluta culpa laborum! Sit rerum porro fuga eos, expedita nesciunt cumque totam esse provident rem! Eius recusandae fuga quasi, ipsum. Nemo quaerat perferendis sunt architecto reprehenderit est mollitia eius, laboriosam quidem consequatur perspiciatis, placeat cupiditate nesciunt omnis illo vel! Sit quisquam totam, ipsum veritatis laborum voluptatum.</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Cum tempora, incidunt modi sint rerum delectus iste dolorem veniam omnis ullam saepe quia, laboriosam iusto dolorum ducimus velit. Cum aperiam laudantium cumque, perspiciatis minima!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quibusdam omnis ipsum et, praesentium sint expedita eum soluta. Distinctio ipsam soluta praesentium laborum.</p>\r\n<p>Aut eos ea incidunt atque laudantium, doloribus harum est asperiores modi similique impedit, perspiciatis, rem quod accusantium dignissimos? Soluta eum, assumenda doloremque.</p>\r\n<p>Soluta distinctio odio est excepturi eos quis, delectus ex maiores quos nemo cum, accusamus, ratione facere enim aliquid accusantium facilis, cupiditate eius.</p>\r\n<p>Temporibus ipsum sint provident ad iste, ipsa natus id, voluptatem, commodi aliquam ullam nobis? Dolorum quia nihil voluptas quas dolore sapiente! Voluptatum.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quam soluta culpa laborum! Sit rerum porro fuga eos, expedita nesciunt cumque totam esse provident rem! Eius recusandae fuga quasi, ipsum. Nemo quaerat perferendis sunt architecto reprehenderit est mollitia eius, laboriosam quidem consequatur perspiciatis, placeat cupiditate nesciunt omnis illo vel! Sit quisquam totam, ipsum veritatis laborum voluptatum.</p>", "Labore, quas nobis.", "Voluptates unde, sit officia. Dolores earum sapiente neque tempora, excepturi exercitationem distinctio!\r\n", "publish", "open", "open", "", "labore-quas-nobis", "", "", "2018-07-29 23:33:17", "2018-07-29 23:33:17", "", "0", "http://localhost:8888/metonymic/labore-quas-nobis", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("31", "1", "2018-07-15 01:26:02", "2018-07-15 01:26:02", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Tempora aut, eligendi aliquam et laudantium, numquam eum nemo. Tenetur alias eveniet totam velit accusantium! Ab unde odio ad ratione doloremque saepe hic veritatis odit.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Fugit alias, similique perferendis iure illo quis necessitatibus, omnis voluptatum, commodi incidunt molestiae inventore.</p>\r\n<p>Illo sint, ratione dolorum hic quidem sit suscipit quam quos maiores. Commodi debitis sapiente aliquid, fugiat aperiam at amet! Veniam, nesciunt, nulla.</p>\r\n<p>Non, mollitia minima quas voluptatibus voluptas earum ullam blanditiis modi quis placeat ipsa. Reprehenderit perferendis ratione, eum nisi corporis asperiores iusto ducimus.</p>\r\n<p>Laborum, suscipit, id. Repudiandae doloribus rem assumenda, ratione quo totam numquam a impedit quaerat suscipit corporis magni quae, natus qui dolor? Nesciunt!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ad illum dolores eligendi culpa hic cupiditate dolore quam eius, quae eum esse, cumque impedit. Enim, in. Consequuntur ratione tenetur saepe dolore iure quaerat ducimus voluptatem delectus repellendus provident natus velit, necessitatibus mollitia illum commodi rem illo expedita non, laudantium pariatur, modi consectetur. Quibusdam quae doloribus, enim.</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Tempora aut, eligendi aliquam et laudantium, numquam eum nemo. Tenetur alias eveniet totam velit accusantium! Ab unde odio ad ratione doloremque saepe hic veritatis odit.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Fugit alias, similique perferendis iure illo quis necessitatibus, omnis voluptatum, commodi incidunt molestiae inventore.</p>\r\n<p>Illo sint, ratione dolorum hic quidem sit suscipit quam quos maiores. Commodi debitis sapiente aliquid, fugiat aperiam at amet! Veniam, nesciunt, nulla.</p>\r\n<p>Non, mollitia minima quas voluptatibus voluptas earum ullam blanditiis modi quis placeat ipsa. Reprehenderit perferendis ratione, eum nisi corporis asperiores iusto ducimus.</p>\r\n<p>Laborum, suscipit, id. Repudiandae doloribus rem assumenda, ratione quo totam numquam a impedit quaerat suscipit corporis magni quae, natus qui dolor? Nesciunt!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ad illum dolores eligendi culpa hic cupiditate dolore quam eius, quae eum esse, cumque impedit. Enim, in. Consequuntur ratione tenetur saepe dolore iure quaerat ducimus voluptatem delectus repellendus provident natus velit, necessitatibus mollitia illum commodi rem illo expedita non, laudantium pariatur, modi consectetur. Quibusdam quae doloribus, enim.</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Tempora aut, eligendi aliquam et laudantium, numquam eum nemo. Tenetur alias eveniet totam velit accusantium! Ab unde odio ad ratione doloremque saepe hic veritatis odit.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Fugit alias, similique perferendis iure illo quis necessitatibus, omnis voluptatum, commodi incidunt molestiae inventore.</p>\r\n<p>Illo sint, ratione dolorum hic quidem sit suscipit quam quos maiores. Commodi debitis sapiente aliquid, fugiat aperiam at amet! Veniam, nesciunt, nulla.</p>\r\n<p>Non, mollitia minima quas voluptatibus voluptas earum ullam blanditiis modi quis placeat ipsa. Reprehenderit perferendis ratione, eum nisi corporis asperiores iusto ducimus.</p>\r\n<p>Laborum, suscipit, id. Repudiandae doloribus rem assumenda, ratione quo totam numquam a impedit quaerat suscipit corporis magni quae, natus qui dolor? Nesciunt!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ad illum dolores eligendi culpa hic cupiditate dolore quam eius, quae eum esse, cumque impedit. Enim, in. Consequuntur ratione tenetur saepe dolore iure quaerat ducimus voluptatem delectus repellendus provident natus velit, necessitatibus mollitia illum commodi rem illo expedita non, laudantium pariatur, modi consectetur. Quibusdam quae doloribus, enim.</p>", "Quibusdam, iure inventore!", "Ab at sint alias minus illo, libero omnis excepturi asperiores consectetur vitae.\r\n", "publish", "open", "open", "", "quibusdam-iure-inventore", "", "", "2018-07-29 16:00:47", "2018-07-29 16:00:47", "", "0", "http://localhost:8888/metonymic/quibusdam-iure-inventore", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("32", "3", "2018-07-15 01:19:57", "2018-07-15 01:19:57", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur hic quasi odio voluptates eligendi illum suscipit asperiores fugit placeat inventore ratione explicabo assumenda blanditiis ipsam ipsum repellat ipsa, sint tempora odit eos? Sequi!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eveniet obcaecati ratione cum id natus asperiores maiores recusandae animi, corporis dolore dolorem ut!</p>\r\n<p>Soluta sunt quos dolore cumque earum temporibus, officiis at similique voluptas quam ullam accusantium autem, odio fugit magnam aut quisquam unde rem.</p>\r\n<p>Ad, eaque quo voluptatem dolorum esse minus illo, cupiditate fuga quidem ipsa! Voluptatem asperiores consequatur, nesciunt minima doloribus, dolorum fuga alias. Voluptas.</p>\r\n<p>Provident omnis veritatis rem debitis impedit quo excepturi! Illum, nesciunt, dolores adipisci sapiente soluta explicabo nihil debitis molestiae excepturi esse placeat accusamus.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Unde maxime nihil doloremque! Quos asperiores voluptas aliquam molestiae ut molestias fugiat, quasi, expedita amet explicabo aspernatur perferendis, eum reiciendis dicta natus accusamus alias incidunt sunt nemo voluptatum nesciunt veritatis architecto et doloremque aperiam! At enim nisi aut dignissimos minus corporis, magni tenetur eveniet aliquam illo! Error!</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur hic quasi odio voluptates eligendi illum suscipit asperiores fugit placeat inventore ratione explicabo assumenda blanditiis ipsam ipsum repellat ipsa, sint tempora odit eos? Sequi!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eveniet obcaecati ratione cum id natus asperiores maiores recusandae animi, corporis dolore dolorem ut!</p>\r\n<p>Soluta sunt quos dolore cumque earum temporibus, officiis at similique voluptas quam ullam accusantium autem, odio fugit magnam aut quisquam unde rem.</p>\r\n<p>Ad, eaque quo voluptatem dolorum esse minus illo, cupiditate fuga quidem ipsa! Voluptatem asperiores consequatur, nesciunt minima doloribus, dolorum fuga alias. Voluptas.</p>\r\n<p>Provident omnis veritatis rem debitis impedit quo excepturi! Illum, nesciunt, dolores adipisci sapiente soluta explicabo nihil debitis molestiae excepturi esse placeat accusamus.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Unde maxime nihil doloremque! Quos asperiores voluptas aliquam molestiae ut molestias fugiat, quasi, expedita amet explicabo aspernatur perferendis, eum reiciendis dicta natus accusamus alias incidunt sunt nemo voluptatum nesciunt veritatis architecto et doloremque aperiam! At enim nisi aut dignissimos minus corporis, magni tenetur eveniet aliquam illo! Error!</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur hic quasi odio voluptates eligendi illum suscipit asperiores fugit placeat inventore ratione explicabo assumenda blanditiis ipsam ipsum repellat ipsa, sint tempora odit eos? Sequi!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eveniet obcaecati ratione cum id natus asperiores maiores recusandae animi, corporis dolore dolorem ut!</p>\r\n<p>Soluta sunt quos dolore cumque earum temporibus, officiis at similique voluptas quam ullam accusantium autem, odio fugit magnam aut quisquam unde rem.</p>\r\n<p>Ad, eaque quo voluptatem dolorum esse minus illo, cupiditate fuga quidem ipsa! Voluptatem asperiores consequatur, nesciunt minima doloribus, dolorum fuga alias. Voluptas.</p>\r\n<p>Provident omnis veritatis rem debitis impedit quo excepturi! Illum, nesciunt, dolores adipisci sapiente soluta explicabo nihil debitis molestiae excepturi esse placeat accusamus.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Unde maxime nihil doloremque! Quos asperiores voluptas aliquam molestiae ut molestias fugiat, quasi, expedita amet explicabo aspernatur perferendis, eum reiciendis dicta natus accusamus alias incidunt sunt nemo voluptatum nesciunt veritatis architecto et doloremque aperiam! At enim nisi aut dignissimos minus corporis, magni tenetur eveniet aliquam illo! Error!</p>\r\n", "Dolores, minima, natus?", "Quos asperiores voluptas aliquam molestiae ut molestias fugiat, quasi, expedita amet explicabo.", "publish", "open", "open", "", "dolores-minima-natus", "", "", "2018-07-29 23:33:22", "2018-07-29 23:33:22", "", "0", "http://localhost:8888/metonymic/dolores-minima-natus", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("33", "1", "2018-07-15 02:25:52", "2018-07-15 02:25:52", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Tempore facilis minus beatae modi animi quisquam impedit quia repellat ipsam ipsum, aut et qui perspiciatis culpa voluptas inventore a necessitatibus eum tempora voluptatum vel!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ipsum nesciunt quae deleniti. Nulla voluptate ullam libero, corporis maiores at quae rerum quam!</p>\r\n<p>Totam sequi amet rem dolores quis, aliquam eveniet accusantium ipsam sunt quidem suscipit voluptate qui, consequuntur harum distinctio architecto incidunt illum beatae.</p>\r\n<p>Esse voluptatibus quas quasi tempore, odit at! Molestiae ab accusantium et, rem soluta reprehenderit sequi fugiat consequatur veniam, veritatis saepe voluptate cupiditate.</p>\r\n<p>Quisquam aliquid, fuga aspernatur soluta obcaecati? Laborum quos minus officia non est repellendus eum pariatur quasi nam ipsam id perferendis, earum, atque.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eius voluptas, laudantium cupiditate veritatis explicabo nemo excepturi similique, vel optio aperiam corporis pariatur, odio quia quis numquam in veniam. Saepe similique quo consequuntur unde harum, blanditiis fuga debitis sint laudantium ullam natus voluptas, ducimus a, libero praesentium! Id nam sed sint nostrum possimus nesciunt quis dignissimos?</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Tempore facilis minus beatae modi animi quisquam impedit quia repellat ipsam ipsum, aut et qui perspiciatis culpa voluptas inventore a necessitatibus eum tempora voluptatum vel!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ipsum nesciunt quae deleniti. Nulla voluptate ullam libero, corporis maiores at quae rerum quam!</p>\r\n<p>Totam sequi amet rem dolores quis, aliquam eveniet accusantium ipsam sunt quidem suscipit voluptate qui, consequuntur harum distinctio architecto incidunt illum beatae.</p>\r\n<p>Esse voluptatibus quas quasi tempore, odit at! Molestiae ab accusantium et, rem soluta reprehenderit sequi fugiat consequatur veniam, veritatis saepe voluptate cupiditate.</p>\r\n<p>Quisquam aliquid, fuga aspernatur soluta obcaecati? Laborum quos minus officia non est repellendus eum pariatur quasi nam ipsam id perferendis, earum, atque.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eius voluptas, laudantium cupiditate veritatis explicabo nemo excepturi similique, vel optio aperiam corporis pariatur, odio quia quis numquam in veniam. Saepe similique quo consequuntur unde harum, blanditiis fuga debitis sint laudantium ullam natus voluptas, ducimus a, libero praesentium! Id nam sed sint nostrum possimus nesciunt quis dignissimos?</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Tempore facilis minus beatae modi animi quisquam impedit quia repellat ipsam ipsum, aut et qui perspiciatis culpa voluptas inventore a necessitatibus eum tempora voluptatum vel!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ipsum nesciunt quae deleniti. Nulla voluptate ullam libero, corporis maiores at quae rerum quam!</p>\r\n<p>Totam sequi amet rem dolores quis, aliquam eveniet accusantium ipsam sunt quidem suscipit voluptate qui, consequuntur harum distinctio architecto incidunt illum beatae.</p>\r\n<p>Esse voluptatibus quas quasi tempore, odit at! Molestiae ab accusantium et, rem soluta reprehenderit sequi fugiat consequatur veniam, veritatis saepe voluptate cupiditate.</p>\r\n<p>Quisquam aliquid, fuga aspernatur soluta obcaecati? Laborum quos minus officia non est repellendus eum pariatur quasi nam ipsam id perferendis, earum, atque.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eius voluptas, laudantium cupiditate veritatis explicabo nemo excepturi similique, vel optio aperiam corporis pariatur, odio quia quis numquam in veniam. Saepe similique quo consequuntur unde harum, blanditiis fuga debitis sint laudantium ullam natus voluptas, ducimus a, libero praesentium! Id nam sed sint nostrum possimus nesciunt quis dignissimos?</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Tempore facilis minus beatae modi animi quisquam impedit quia repellat ipsam ipsum, aut et qui perspiciatis culpa voluptas inventore a necessitatibus eum tempora voluptatum vel!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ipsum nesciunt quae deleniti. Nulla voluptate ullam libero, corporis maiores at quae rerum quam!</p>\r\n<p>Totam sequi amet rem dolores quis, aliquam eveniet accusantium ipsam sunt quidem suscipit voluptate qui, consequuntur harum distinctio architecto incidunt illum beatae.</p>\r\n<p>Esse voluptatibus quas quasi tempore, odit at! Molestiae ab accusantium et, rem soluta reprehenderit sequi fugiat consequatur veniam, veritatis saepe voluptate cupiditate.</p>\r\n<p>Quisquam aliquid, fuga aspernatur soluta obcaecati? Laborum quos minus officia non est repellendus eum pariatur quasi nam ipsam id perferendis, earum, atque.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eius voluptas, laudantium cupiditate veritatis explicabo nemo excepturi similique, vel optio aperiam corporis pariatur, odio quia quis numquam in veniam. Saepe similique quo consequuntur unde harum, blanditiis fuga debitis sint laudantium ullam natus voluptas, ducimus a, libero praesentium! Id nam sed sint nostrum possimus nesciunt quis dignissimos?</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Tempore facilis minus beatae modi animi quisquam impedit quia repellat ipsam ipsum, aut et qui perspiciatis culpa voluptas inventore a necessitatibus eum tempora voluptatum vel!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ipsum nesciunt quae deleniti. Nulla voluptate ullam libero, corporis maiores at quae rerum quam!</p>\r\n<p>Totam sequi amet rem dolores quis, aliquam eveniet accusantium ipsam sunt quidem suscipit voluptate qui, consequuntur harum distinctio architecto incidunt illum beatae.</p>\r\n<p>Esse voluptatibus quas quasi tempore, odit at! Molestiae ab accusantium et, rem soluta reprehenderit sequi fugiat consequatur veniam, veritatis saepe voluptate cupiditate.</p>\r\n<p>Quisquam aliquid, fuga aspernatur soluta obcaecati? Laborum quos minus officia non est repellendus eum pariatur quasi nam ipsam id perferendis, earum, atque.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eius voluptas, laudantium cupiditate veritatis explicabo nemo excepturi similique, vel optio aperiam corporis pariatur, odio quia quis numquam in veniam. Saepe similique quo consequuntur unde harum, blanditiis fuga debitis sint laudantium ullam natus voluptas, ducimus a, libero praesentium! Id nam sed sint nostrum possimus nesciunt quis dignissimos?</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Tempore facilis minus beatae modi animi quisquam impedit quia repellat ipsam ipsum, aut et qui perspiciatis culpa voluptas inventore a necessitatibus eum tempora voluptatum vel!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ipsum nesciunt quae deleniti. Nulla voluptate ullam libero, corporis maiores at quae rerum quam!</p>\r\n<p>Totam sequi amet rem dolores quis, aliquam eveniet accusantium ipsam sunt quidem suscipit voluptate qui, consequuntur harum distinctio architecto incidunt illum beatae.</p>\r\n<p>Esse voluptatibus quas quasi tempore, odit at! Molestiae ab accusantium et, rem soluta reprehenderit sequi fugiat consequatur veniam, veritatis saepe voluptate cupiditate.</p>\r\n<p>Quisquam aliquid, fuga aspernatur soluta obcaecati? Laborum quos minus officia non est repellendus eum pariatur quasi nam ipsam id perferendis, earum, atque.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eius voluptas, laudantium cupiditate veritatis explicabo nemo excepturi similique, vel optio aperiam corporis pariatur, odio quia quis numquam in veniam. Saepe similique quo consequuntur unde harum, blanditiis fuga debitis sint laudantium ullam natus voluptas, ducimus a, libero praesentium! Id nam sed sint nostrum possimus nesciunt quis dignissimos?</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Tempore facilis minus beatae modi animi quisquam impedit quia repellat ipsam ipsum, aut et qui perspiciatis culpa voluptas inventore a necessitatibus eum tempora voluptatum vel!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ipsum nesciunt quae deleniti. Nulla voluptate ullam libero, corporis maiores at quae rerum quam!</p>\r\n<p>Totam sequi amet rem dolores quis, aliquam eveniet accusantium ipsam sunt quidem suscipit voluptate qui, consequuntur harum distinctio architecto incidunt illum beatae.</p>\r\n<p>Esse voluptatibus quas quasi tempore, odit at! Molestiae ab accusantium et, rem soluta reprehenderit sequi fugiat consequatur veniam, veritatis saepe voluptate cupiditate.</p>\r\n<p>Quisquam aliquid, fuga aspernatur soluta obcaecati? Laborum quos minus officia non est repellendus eum pariatur quasi nam ipsam id perferendis, earum, atque.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eius voluptas, laudantium cupiditate veritatis explicabo nemo excepturi similique, vel optio aperiam corporis pariatur, odio quia quis numquam in veniam. Saepe similique quo consequuntur unde harum, blanditiis fuga debitis sint laudantium ullam natus voluptas, ducimus a, libero praesentium! Id nam sed sint nostrum possimus nesciunt quis dignissimos?</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Tempore facilis minus beatae modi animi quisquam impedit quia repellat ipsam ipsum, aut et qui perspiciatis culpa voluptas inventore a necessitatibus eum tempora voluptatum vel!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ipsum nesciunt quae deleniti. Nulla voluptate ullam libero, corporis maiores at quae rerum quam!</p>\r\n<p>Totam sequi amet rem dolores quis, aliquam eveniet accusantium ipsam sunt quidem suscipit voluptate qui, consequuntur harum distinctio architecto incidunt illum beatae.</p>\r\n<p>Esse voluptatibus quas quasi tempore, odit at! Molestiae ab accusantium et, rem soluta reprehenderit sequi fugiat consequatur veniam, veritatis saepe voluptate cupiditate.</p>\r\n<p>Quisquam aliquid, fuga aspernatur soluta obcaecati? Laborum quos minus officia non est repellendus eum pariatur quasi nam ipsam id perferendis, earum, atque.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eius voluptas, laudantium cupiditate veritatis explicabo nemo excepturi similique, vel optio aperiam corporis pariatur, odio quia quis numquam in veniam. Saepe similique quo consequuntur unde harum, blanditiis fuga debitis sint laudantium ullam natus voluptas, ducimus a, libero praesentium! Id nam sed sint nostrum possimus nesciunt quis dignissimos?</p>\r\n", "Non, quaerat, voluptas.", "Dolorem aut veritatis labore magnam blanditiis, maiores iure similique sint expedita illo.\r\n", "publish", "open", "open", "", "non-quaerat-voluptas", "", "", "2018-07-29 22:14:33", "2018-07-29 22:14:33", "", "0", "http://localhost:8888/metonymic/non-quaerat-voluptas", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("34", "1", "2018-07-15 19:51:43", "2018-07-15 19:51:43", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Culpa itaque alias tempore omnis voluptatem, aperiam voluptas blanditiis! Voluptas doloremque, quaerat facere, eaque quos dolores laboriosam perspiciatis explicabo ducimus ex molestiae voluptatum veniam dolore.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Perferendis id accusamus, iusto esse iste quia omnis veritatis, vero nesciunt, explicabo molestiae, necessitatibus!</p>\r\n<p>Earum aliquam corporis libero voluptates quisquam magnam ducimus laudantium animi quidem, officiis quia optio ex, explicabo, accusamus nemo mollitia eligendi doloremque tempora!</p>\r\n<p>Quod eius ullam, nam et reiciendis, saepe recusandae dolor aliquam consectetur nemo molestiae magnam optio vel eum facilis animi culpa voluptatum delectus!</p>\r\n<p>Earum eveniet tempora consequuntur unde, repellendus dolorum iure pariatur blanditiis quasi animi. Obcaecati excepturi est fugit, molestias mollitia, eaque numquam similique asperiores.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Asperiores eos similique ipsam dolorum, repellat quibusdam quis doloremque id fugiat cumque assumenda, excepturi magni esse sapiente fugit nemo ipsa quia dolore aliquam. Impedit reiciendis, aperiam animi dolor sed, hic ut! Culpa vitae porro dolores, praesentium voluptates ratione repudiandae sequi dolorem nam veritatis id deserunt, sit quia.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Culpa itaque alias tempore omnis voluptatem, aperiam voluptas blanditiis! Voluptas doloremque, quaerat facere, eaque quos dolores laboriosam perspiciatis explicabo ducimus ex molestiae voluptatum veniam dolore.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Perferendis id accusamus, iusto esse iste quia omnis veritatis, vero nesciunt, explicabo molestiae, necessitatibus!</p>\r\n<p>Earum aliquam corporis libero voluptates quisquam magnam ducimus laudantium animi quidem, officiis quia optio ex, explicabo, accusamus nemo mollitia eligendi doloremque tempora!</p>\r\n<p>Quod eius ullam, nam et reiciendis, saepe recusandae dolor aliquam consectetur nemo molestiae magnam optio vel eum facilis animi culpa voluptatum delectus!</p>\r\n<p>Earum eveniet tempora consequuntur unde, repellendus dolorum iure pariatur blanditiis quasi animi. Obcaecati excepturi est fugit, molestias mollitia, eaque numquam similique asperiores.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Asperiores eos similique ipsam dolorum, repellat quibusdam quis doloremque id fugiat cumque assumenda, excepturi magni esse sapiente fugit nemo ipsa quia dolore aliquam. Impedit reiciendis, aperiam animi dolor sed, hic ut! Culpa vitae porro dolores, praesentium voluptates ratione repudiandae sequi dolorem nam veritatis id deserunt, sit quia.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Culpa itaque alias tempore omnis voluptatem, aperiam voluptas blanditiis! Voluptas doloremque, quaerat facere, eaque quos dolores laboriosam perspiciatis explicabo ducimus ex molestiae voluptatum veniam dolore.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Perferendis id accusamus, iusto esse iste quia omnis veritatis, vero nesciunt, explicabo molestiae, necessitatibus!</p>\r\n<p>Earum aliquam corporis libero voluptates quisquam magnam ducimus laudantium animi quidem, officiis quia optio ex, explicabo, accusamus nemo mollitia eligendi doloremque tempora!</p>\r\n<p>Quod eius ullam, nam et reiciendis, saepe recusandae dolor aliquam consectetur nemo molestiae magnam optio vel eum facilis animi culpa voluptatum delectus!</p>\r\n<p>Earum eveniet tempora consequuntur unde, repellendus dolorum iure pariatur blanditiis quasi animi. Obcaecati excepturi est fugit, molestias mollitia, eaque numquam similique asperiores.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Asperiores eos similique ipsam dolorum, repellat quibusdam quis doloremque id fugiat cumque assumenda, excepturi magni esse sapiente fugit nemo ipsa quia dolore aliquam. Impedit reiciendis, aperiam animi dolor sed, hic ut! Culpa vitae porro dolores, praesentium voluptates ratione repudiandae sequi dolorem nam veritatis id deserunt, sit quia.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Culpa itaque alias tempore omnis voluptatem, aperiam voluptas blanditiis! Voluptas doloremque, quaerat facere, eaque quos dolores laboriosam perspiciatis explicabo ducimus ex molestiae voluptatum veniam dolore.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Perferendis id accusamus, iusto esse iste quia omnis veritatis, vero nesciunt, explicabo molestiae, necessitatibus!</p>\r\n<p>Earum aliquam corporis libero voluptates quisquam magnam ducimus laudantium animi quidem, officiis quia optio ex, explicabo, accusamus nemo mollitia eligendi doloremque tempora!</p>\r\n<p>Quod eius ullam, nam et reiciendis, saepe recusandae dolor aliquam consectetur nemo molestiae magnam optio vel eum facilis animi culpa voluptatum delectus!</p>\r\n<p>Earum eveniet tempora consequuntur unde, repellendus dolorum iure pariatur blanditiis quasi animi. Obcaecati excepturi est fugit, molestias mollitia, eaque numquam similique asperiores.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Asperiores eos similique ipsam dolorum, repellat quibusdam quis doloremque id fugiat cumque assumenda, excepturi magni esse sapiente fugit nemo ipsa quia dolore aliquam. Impedit reiciendis, aperiam animi dolor sed, hic ut! Culpa vitae porro dolores, praesentium voluptates ratione repudiandae sequi dolorem nam veritatis id deserunt, sit quia.</p>\r\n", "Ullam, sit, amet.", "A quas, fugit. Voluptatum corporis, debitis? Perspiciatis harum error placeat, porro quod!\r\n", "publish", "open", "open", "", "ullam-sit-amet", "", "", "2018-07-29 22:14:23", "2018-07-29 22:14:23", "", "0", "http://localhost:8888/metonymic/ullam-sit-amet", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("35", "1", "2018-07-15 19:51:23", "2018-07-15 19:51:23", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quae id possimus dolores harum! Cupiditate voluptate perferendis tempore ipsa, adipisci ea atque. Nostrum nihil non sint, doloribus magni est doloremque voluptatem nam laborum pariatur.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Dicta molestias, quis. Numquam ea ut, quibusdam, rerum nobis voluptatibus inventore sapiente at adipisci.</p>\r\n<p>Iure iusto asperiores temporibus molestias expedita minus optio soluta, cumque sequi provident blanditiis ex, in dolor unde necessitatibus, ad sint tenetur dolorum!</p>\r\n<p>Repellendus, eos nostrum quas vitae, blanditiis sed fugiat in, suscipit impedit exercitationem maiores necessitatibus voluptatem praesentium quidem pariatur quasi molestias dicta error.</p>\r\n<p>Neque error, iusto deserunt. Est, nulla deleniti minus fugit molestias. Libero vero cupiditate nam quisquam nesciunt tenetur, nihil. Voluptatum, ratione ex laboriosam?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Maxime eaque quis iste commodi. Fugit eveniet dolore maxime vel animi ea, fuga tempore excepturi fugiat vero, nesciunt assumenda. Officiis nobis ex corporis architecto mollitia accusantium! Quibusdam maxime ad, sed sapiente quae recusandae quasi repudiandae dignissimos dolor modi enim possimus dolorem, cupiditate odit, iste saepe incidunt aperiam.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quae id possimus dolores harum! Cupiditate voluptate perferendis tempore ipsa, adipisci ea atque. Nostrum nihil non sint, doloribus magni est doloremque voluptatem nam laborum pariatur.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Dicta molestias, quis. Numquam ea ut, quibusdam, rerum nobis voluptatibus inventore sapiente at adipisci.</p>\r\n<p>Iure iusto asperiores temporibus molestias expedita minus optio soluta, cumque sequi provident blanditiis ex, in dolor unde necessitatibus, ad sint tenetur dolorum!</p>\r\n<p>Repellendus, eos nostrum quas vitae, blanditiis sed fugiat in, suscipit impedit exercitationem maiores necessitatibus voluptatem praesentium quidem pariatur quasi molestias dicta error.</p>\r\n<p>Neque error, iusto deserunt. Est, nulla deleniti minus fugit molestias. Libero vero cupiditate nam quisquam nesciunt tenetur, nihil. Voluptatum, ratione ex laboriosam?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Maxime eaque quis iste commodi. Fugit eveniet dolore maxime vel animi ea, fuga tempore excepturi fugiat vero, nesciunt assumenda. Officiis nobis ex corporis architecto mollitia accusantium! Quibusdam maxime ad, sed sapiente quae recusandae quasi repudiandae dignissimos dolor modi enim possimus dolorem, cupiditate odit, iste saepe incidunt aperiam.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quae id possimus dolores harum! Cupiditate voluptate perferendis tempore ipsa, adipisci ea atque. Nostrum nihil non sint, doloribus magni est doloremque voluptatem nam laborum pariatur.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Dicta molestias, quis. Numquam ea ut, quibusdam, rerum nobis voluptatibus inventore sapiente at adipisci.</p>\r\n<p>Iure iusto asperiores temporibus molestias expedita minus optio soluta, cumque sequi provident blanditiis ex, in dolor unde necessitatibus, ad sint tenetur dolorum!</p>\r\n<p>Repellendus, eos nostrum quas vitae, blanditiis sed fugiat in, suscipit impedit exercitationem maiores necessitatibus voluptatem praesentium quidem pariatur quasi molestias dicta error.</p>\r\n<p>Neque error, iusto deserunt. Est, nulla deleniti minus fugit molestias. Libero vero cupiditate nam quisquam nesciunt tenetur, nihil. Voluptatum, ratione ex laboriosam?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Maxime eaque quis iste commodi. Fugit eveniet dolore maxime vel animi ea, fuga tempore excepturi fugiat vero, nesciunt assumenda. Officiis nobis ex corporis architecto mollitia accusantium! Quibusdam maxime ad, sed sapiente quae recusandae quasi repudiandae dignissimos dolor modi enim possimus dolorem, cupiditate odit, iste saepe incidunt aperiam.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quae id possimus dolores harum! Cupiditate voluptate perferendis tempore ipsa, adipisci ea atque. Nostrum nihil non sint, doloribus magni est doloremque voluptatem nam laborum pariatur.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Dicta molestias, quis. Numquam ea ut, quibusdam, rerum nobis voluptatibus inventore sapiente at adipisci.</p>\r\n<p>Iure iusto asperiores temporibus molestias expedita minus optio soluta, cumque sequi provident blanditiis ex, in dolor unde necessitatibus, ad sint tenetur dolorum!</p>\r\n<p>Repellendus, eos nostrum quas vitae, blanditiis sed fugiat in, suscipit impedit exercitationem maiores necessitatibus voluptatem praesentium quidem pariatur quasi molestias dicta error.</p>\r\n<p>Neque error, iusto deserunt. Est, nulla deleniti minus fugit molestias. Libero vero cupiditate nam quisquam nesciunt tenetur, nihil. Voluptatum, ratione ex laboriosam?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Maxime eaque quis iste commodi. Fugit eveniet dolore maxime vel animi ea, fuga tempore excepturi fugiat vero, nesciunt assumenda. Officiis nobis ex corporis architecto mollitia accusantium! Quibusdam maxime ad, sed sapiente quae recusandae quasi repudiandae dignissimos dolor modi enim possimus dolorem, cupiditate odit, iste saepe incidunt aperiam.</p>\r\n", "Quos, laborum, commodi.", "Perspiciatis neque repudiandae eligendi eos repellat atque similique magnam, aspernatur, dignissimos a.\r\n", "publish", "open", "open", "", "quos-laborum-commodi", "", "", "2018-07-29 22:15:03", "2018-07-29 22:15:03", "", "0", "http://localhost:8888/metonymic/quos-laborum-commodi", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("36", "5", "2018-07-15 01:13:26", "2018-07-15 01:13:26", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Magnam, reprehenderit at. Consequuntur facere consequatur sapiente ab ducimus labore quam quod modi cumque distinctio, nostrum, voluptates sint, a voluptatem fuga placeat quis aliquam eius.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatum, pariatur nam odit ad quas optio non, quasi sed officiis quaerat reiciendis consectetur.</p>\r\n<p>Iure in, officiis nam cum neque ducimus commodi consequuntur magni enim veniam nemo alias aliquid eveniet nihil repellat dolore omnis. Repellendus, atque.</p>\r\n<p>Voluptate aspernatur velit nam assumenda mollitia facilis explicabo, commodi, neque eaque consequuntur illo. Inventore adipisci nulla ullam suscipit vero odit, quaerat quia.</p>\r\n<p>Provident, consequuntur atque exercitationem corrupti laboriosam ipsam, reiciendis, praesentium totam delectus quas nobis doloribus. Voluptas ipsum explicabo eaque mollitia cupiditate ratione nam!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. In nesciunt ratione tempore quaerat, cum assumenda distinctio quod debitis, harum nulla expedita. Architecto odio quae esse commodi eveniet mollitia nihil, cupiditate corporis delectus ipsum. Fugiat perferendis nulla culpa tempora modi eius id dolor harum optio ea aliquam quaerat voluptatum similique, pariatur nisi deleniti, et animi itaque.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Magnam, reprehenderit at. Consequuntur facere consequatur sapiente ab ducimus labore quam quod modi cumque distinctio, nostrum, voluptates sint, a voluptatem fuga placeat quis aliquam eius.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatum, pariatur nam odit ad quas optio non, quasi sed officiis quaerat reiciendis consectetur.</p>\r\n<p>Iure in, officiis nam cum neque ducimus commodi consequuntur magni enim veniam nemo alias aliquid eveniet nihil repellat dolore omnis. Repellendus, atque.</p>\r\n<p>Voluptate aspernatur velit nam assumenda mollitia facilis explicabo, commodi, neque eaque consequuntur illo. Inventore adipisci nulla ullam suscipit vero odit, quaerat quia.</p>\r\n<p>Provident, consequuntur atque exercitationem corrupti laboriosam ipsam, reiciendis, praesentium totam delectus quas nobis doloribus. Voluptas ipsum explicabo eaque mollitia cupiditate ratione nam!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. In nesciunt ratione tempore quaerat, cum assumenda distinctio quod debitis, harum nulla expedita. Architecto odio quae esse commodi eveniet mollitia nihil, cupiditate corporis delectus ipsum. Fugiat perferendis nulla culpa tempora modi eius id dolor harum optio ea aliquam quaerat voluptatum similique, pariatur nisi deleniti, et animi itaque.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Magnam, reprehenderit at. Consequuntur facere consequatur sapiente ab ducimus labore quam quod modi cumque distinctio, nostrum, voluptates sint, a voluptatem fuga placeat quis aliquam eius.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatum, pariatur nam odit ad quas optio non, quasi sed officiis quaerat reiciendis consectetur.</p>\r\n<p>Iure in, officiis nam cum neque ducimus commodi consequuntur magni enim veniam nemo alias aliquid eveniet nihil repellat dolore omnis. Repellendus, atque.</p>\r\n<p>Voluptate aspernatur velit nam assumenda mollitia facilis explicabo, commodi, neque eaque consequuntur illo. Inventore adipisci nulla ullam suscipit vero odit, quaerat quia.</p>\r\n<p>Provident, consequuntur atque exercitationem corrupti laboriosam ipsam, reiciendis, praesentium totam delectus quas nobis doloribus. Voluptas ipsum explicabo eaque mollitia cupiditate ratione nam!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. In nesciunt ratione tempore quaerat, cum assumenda distinctio quod debitis, harum nulla expedita. Architecto odio quae esse commodi eveniet mollitia nihil, cupiditate corporis delectus ipsum. Fugiat perferendis nulla culpa tempora modi eius id dolor harum optio ea aliquam quaerat voluptatum similique, pariatur nisi deleniti, et animi itaque.</p>\r\n", "Veritatis, recusandae, iure.", "Porro consequuntur quisquam minus nemo placeat alias neque aliquam, provident iusto similique.\r\n", "publish", "open", "open", "", "veritatis-recusandae-iure", "", "", "2018-07-29 23:33:19", "2018-07-29 23:33:19", "", "0", "http://localhost:8888/metonymic/veritatis-recusandae-iure", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("38", "1", "2018-07-15 01:11:22", "2018-07-15 01:11:22", "", "The Macallan", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2018-07-15 01:11:22", "2018-07-15 01:11:22", "", "28", "http://localhost:8888/metonymic/2018/07/15/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("39", "1", "2018-07-15 01:11:36", "2018-07-15 01:11:36", "", "Ardbeg", "", "inherit", "closed", "closed", "", "29-revision-v1", "", "", "2018-07-15 01:11:36", "2018-07-15 01:11:36", "", "29", "http://localhost:8888/metonymic/2018/07/15/29-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("40", "1", "2018-07-15 01:11:49", "2018-07-15 01:11:49", "", "Aberlour", "", "inherit", "closed", "closed", "", "30-revision-v1", "", "", "2018-07-15 01:11:49", "2018-07-15 01:11:49", "", "30", "http://localhost:8888/metonymic/2018/07/15/30-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("41", "1", "2018-07-15 01:12:05", "2018-07-15 01:12:05", "", "Laphroaig", "", "inherit", "closed", "closed", "", "31-revision-v1", "", "", "2018-07-15 01:12:05", "2018-07-15 01:12:05", "", "31", "http://localhost:8888/metonymic/2018/07/15/31-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("42", "1", "2018-07-15 01:12:19", "2018-07-15 01:12:19", "", "Oban", "", "inherit", "closed", "closed", "", "32-revision-v1", "", "", "2018-07-15 01:12:19", "2018-07-15 01:12:19", "", "32", "http://localhost:8888/metonymic/2018/07/15/32-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("43", "1", "2018-07-15 01:12:35", "2018-07-15 01:12:35", "", "Glenfiddich", "", "inherit", "closed", "closed", "", "33-revision-v1", "", "", "2018-07-15 01:12:35", "2018-07-15 01:12:35", "", "33", "http://localhost:8888/metonymic/2018/07/15/33-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("44", "1", "2018-07-15 01:12:49", "2018-07-15 01:12:49", "", "Balvenie", "", "inherit", "closed", "closed", "", "34-revision-v1", "", "", "2018-07-15 01:12:49", "2018-07-15 01:12:49", "", "34", "http://localhost:8888/metonymic/2018/07/15/34-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("45", "1", "2018-07-15 01:12:59", "2018-07-15 01:12:59", "", "Buhhahabhain", "", "inherit", "closed", "closed", "", "35-revision-v1", "", "", "2018-07-15 01:12:59", "2018-07-15 01:12:59", "", "35", "http://localhost:8888/metonymic/2018/07/15/35-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("46", "1", "2018-07-15 01:13:26", "2018-07-15 01:13:26", "", "Glen Garioch", "", "inherit", "closed", "closed", "", "36-revision-v1", "", "", "2018-07-15 01:13:26", "2018-07-15 01:13:26", "", "36", "http://localhost:8888/metonymic/2018/07/15/36-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("47", "1", "2018-07-15 01:20:43", "2018-07-15 01:20:43", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur hic quasi odio voluptates eligendi illum suscipit asperiores fugit placeat inventore ratione explicabo assumenda blanditiis ipsam ipsum repellat ipsa, sint tempora odit eos? Sequi!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eveniet obcaecati ratione cum id natus asperiores maiores recusandae animi, corporis dolore dolorem ut!</p>\r\n<p>Soluta sunt quos dolore cumque earum temporibus, officiis at similique voluptas quam ullam accusantium autem, odio fugit magnam aut quisquam unde rem.</p>\r\n<p>Ad, eaque quo voluptatem dolorum esse minus illo, cupiditate fuga quidem ipsa! Voluptatem asperiores consequatur, nesciunt minima doloribus, dolorum fuga alias. Voluptas.</p>\r\n<p>Provident omnis veritatis rem debitis impedit quo excepturi! Illum, nesciunt, dolores adipisci sapiente soluta explicabo nihil debitis molestiae excepturi esse placeat accusamus.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Unde maxime nihil doloremque! Quos asperiores voluptas aliquam molestiae ut molestias fugiat, quasi, expedita amet explicabo aspernatur perferendis, eum reiciendis dicta natus accusamus alias incidunt sunt nemo voluptatum nesciunt veritatis architecto et doloremque aperiam! At enim nisi aut dignissimos minus corporis, magni tenetur eveniet aliquam illo! Error!</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur hic quasi odio voluptates eligendi illum suscipit asperiores fugit placeat inventore ratione explicabo assumenda blanditiis ipsam ipsum repellat ipsa, sint tempora odit eos? Sequi!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eveniet obcaecati ratione cum id natus asperiores maiores recusandae animi, corporis dolore dolorem ut!</p>\r\n<p>Soluta sunt quos dolore cumque earum temporibus, officiis at similique voluptas quam ullam accusantium autem, odio fugit magnam aut quisquam unde rem.</p>\r\n<p>Ad, eaque quo voluptatem dolorum esse minus illo, cupiditate fuga quidem ipsa! Voluptatem asperiores consequatur, nesciunt minima doloribus, dolorum fuga alias. Voluptas.</p>\r\n<p>Provident omnis veritatis rem debitis impedit quo excepturi! Illum, nesciunt, dolores adipisci sapiente soluta explicabo nihil debitis molestiae excepturi esse placeat accusamus.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Unde maxime nihil doloremque! Quos asperiores voluptas aliquam molestiae ut molestias fugiat, quasi, expedita amet explicabo aspernatur perferendis, eum reiciendis dicta natus accusamus alias incidunt sunt nemo voluptatum nesciunt veritatis architecto et doloremque aperiam! At enim nisi aut dignissimos minus corporis, magni tenetur eveniet aliquam illo! Error!</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur hic quasi odio voluptates eligendi illum suscipit asperiores fugit placeat inventore ratione explicabo assumenda blanditiis ipsam ipsum repellat ipsa, sint tempora odit eos? Sequi!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eveniet obcaecati ratione cum id natus asperiores maiores recusandae animi, corporis dolore dolorem ut!</p>\r\n<p>Soluta sunt quos dolore cumque earum temporibus, officiis at similique voluptas quam ullam accusantium autem, odio fugit magnam aut quisquam unde rem.</p>\r\n<p>Ad, eaque quo voluptatem dolorum esse minus illo, cupiditate fuga quidem ipsa! Voluptatem asperiores consequatur, nesciunt minima doloribus, dolorum fuga alias. Voluptas.</p>\r\n<p>Provident omnis veritatis rem debitis impedit quo excepturi! Illum, nesciunt, dolores adipisci sapiente soluta explicabo nihil debitis molestiae excepturi esse placeat accusamus.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Unde maxime nihil doloremque! Quos asperiores voluptas aliquam molestiae ut molestias fugiat, quasi, expedita amet explicabo aspernatur perferendis, eum reiciendis dicta natus accusamus alias incidunt sunt nemo voluptatum nesciunt veritatis architecto et doloremque aperiam! At enim nisi aut dignissimos minus corporis, magni tenetur eveniet aliquam illo! Error!</p>\r\n", "Error, fugit, animi.", "Sapiente, ex, vel. Enim libero consequatur perferendis architecto harum, voluptatum maxime adipisci!\r\n", "publish", "open", "open", "", "error-fugit-animi", "", "", "2018-07-29 15:57:49", "2018-07-29 15:57:49", "", "0", "http://localhost:8888/metonymic/error-fugit-animi", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("48", "1", "2018-07-15 01:20:43", "2018-07-15 01:20:43", "", "Dalmore", "", "inherit", "closed", "closed", "", "47-revision-v1", "", "", "2018-07-15 01:20:43", "2018-07-15 01:20:43", "", "47", "http://localhost:8888/metonymic/2018/07/15/47-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("49", "1", "2018-07-15 01:20:54", "2018-07-15 01:20:54", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Similique nisi architecto explicabo, quia, ab officiis nemo ad fuga aliquid, consequatur eveniet! Praesentium iste cumque dolore quos aspernatur deleniti itaque, porro quis, adipisci necessitatibus?</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Id aliquid illo, praesentium aspernatur impedit, illum ea voluptatum nobis iure adipisci obcaecati laboriosam.</p>\r\n<p>Tempora quidem quam neque autem est optio laboriosam dolores nesciunt enim rerum, suscipit mollitia facere deleniti, magni aliquid reprehenderit commodi. Similique, voluptatibus?</p>\r\n<p>Modi tempora nam eveniet inventore est at ullam explicabo quam maxime, iusto, minus sapiente, similique vero perferendis! Suscipit sed voluptates sint explicabo.</p>\r\n<p>A repellat animi necessitatibus! Repellat nostrum quidem suscipit maiores accusantium at, officiis unde sit modi consectetur totam repellendus! Necessitatibus doloremque ex laboriosam!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sed aliquam amet veniam nam reiciendis delectus sint quisquam laborum et aspernatur porro eaque, dicta soluta inventore similique non minus! Facere, molestias. Architecto quis libero quam error vel corporis, labore quidem illum cumque tempore, magni nam odio dolores atque rerum ipsa aut laborum facere, fugit enim tenetur.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Similique nisi architecto explicabo, quia, ab officiis nemo ad fuga aliquid, consequatur eveniet! Praesentium iste cumque dolore quos aspernatur deleniti itaque, porro quis, adipisci necessitatibus?</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Id aliquid illo, praesentium aspernatur impedit, illum ea voluptatum nobis iure adipisci obcaecati laboriosam.</p>\r\n<p>Tempora quidem quam neque autem est optio laboriosam dolores nesciunt enim rerum, suscipit mollitia facere deleniti, magni aliquid reprehenderit commodi. Similique, voluptatibus?</p>\r\n<p>Modi tempora nam eveniet inventore est at ullam explicabo quam maxime, iusto, minus sapiente, similique vero perferendis! Suscipit sed voluptates sint explicabo.</p>\r\n<p>A repellat animi necessitatibus! Repellat nostrum quidem suscipit maiores accusantium at, officiis unde sit modi consectetur totam repellendus! Necessitatibus doloremque ex laboriosam!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sed aliquam amet veniam nam reiciendis delectus sint quisquam laborum et aspernatur porro eaque, dicta soluta inventore similique non minus! Facere, molestias. Architecto quis libero quam error vel corporis, labore quidem illum cumque tempore, magni nam odio dolores atque rerum ipsa aut laborum facere, fugit enim tenetur.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Similique nisi architecto explicabo, quia, ab officiis nemo ad fuga aliquid, consequatur eveniet! Praesentium iste cumque dolore quos aspernatur deleniti itaque, porro quis, adipisci necessitatibus?</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Id aliquid illo, praesentium aspernatur impedit, illum ea voluptatum nobis iure adipisci obcaecati laboriosam.</p>\r\n<p>Tempora quidem quam neque autem est optio laboriosam dolores nesciunt enim rerum, suscipit mollitia facere deleniti, magni aliquid reprehenderit commodi. Similique, voluptatibus?</p>\r\n<p>Modi tempora nam eveniet inventore est at ullam explicabo quam maxime, iusto, minus sapiente, similique vero perferendis! Suscipit sed voluptates sint explicabo.</p>\r\n<p>A repellat animi necessitatibus! Repellat nostrum quidem suscipit maiores accusantium at, officiis unde sit modi consectetur totam repellendus! Necessitatibus doloremque ex laboriosam!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sed aliquam amet veniam nam reiciendis delectus sint quisquam laborum et aspernatur porro eaque, dicta soluta inventore similique non minus! Facere, molestias. Architecto quis libero quam error vel corporis, labore quidem illum cumque tempore, magni nam odio dolores atque rerum ipsa aut laborum facere, fugit enim tenetur.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Similique nisi architecto explicabo, quia, ab officiis nemo ad fuga aliquid, consequatur eveniet! Praesentium iste cumque dolore quos aspernatur deleniti itaque, porro quis, adipisci necessitatibus?</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Id aliquid illo, praesentium aspernatur impedit, illum ea voluptatum nobis iure adipisci obcaecati laboriosam.</p>\r\n<p>Tempora quidem quam neque autem est optio laboriosam dolores nesciunt enim rerum, suscipit mollitia facere deleniti, magni aliquid reprehenderit commodi. Similique, voluptatibus?</p>\r\n<p>Modi tempora nam eveniet inventore est at ullam explicabo quam maxime, iusto, minus sapiente, similique vero perferendis! Suscipit sed voluptates sint explicabo.</p>\r\n<p>A repellat animi necessitatibus! Repellat nostrum quidem suscipit maiores accusantium at, officiis unde sit modi consectetur totam repellendus! Necessitatibus doloremque ex laboriosam!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sed aliquam amet veniam nam reiciendis delectus sint quisquam laborum et aspernatur porro eaque, dicta soluta inventore similique non minus! Facere, molestias. Architecto quis libero quam error vel corporis, labore quidem illum cumque tempore, magni nam odio dolores atque rerum ipsa aut laborum facere, fugit enim tenetur.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Similique nisi architecto explicabo, quia, ab officiis nemo ad fuga aliquid, consequatur eveniet! Praesentium iste cumque dolore quos aspernatur deleniti itaque, porro quis, adipisci necessitatibus?</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Id aliquid illo, praesentium aspernatur impedit, illum ea voluptatum nobis iure adipisci obcaecati laboriosam.</p>\r\n<p>Tempora quidem quam neque autem est optio laboriosam dolores nesciunt enim rerum, suscipit mollitia facere deleniti, magni aliquid reprehenderit commodi. Similique, voluptatibus?</p>\r\n<p>Modi tempora nam eveniet inventore est at ullam explicabo quam maxime, iusto, minus sapiente, similique vero perferendis! Suscipit sed voluptates sint explicabo.</p>\r\n<p>A repellat animi necessitatibus! Repellat nostrum quidem suscipit maiores accusantium at, officiis unde sit modi consectetur totam repellendus! Necessitatibus doloremque ex laboriosam!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sed aliquam amet veniam nam reiciendis delectus sint quisquam laborum et aspernatur porro eaque, dicta soluta inventore similique non minus! Facere, molestias. Architecto quis libero quam error vel corporis, labore quidem illum cumque tempore, magni nam odio dolores atque rerum ipsa aut laborum facere, fugit enim tenetur.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Similique nisi architecto explicabo, quia, ab officiis nemo ad fuga aliquid, consequatur eveniet! Praesentium iste cumque dolore quos aspernatur deleniti itaque, porro quis, adipisci necessitatibus?</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Id aliquid illo, praesentium aspernatur impedit, illum ea voluptatum nobis iure adipisci obcaecati laboriosam.</p>\r\n<p>Tempora quidem quam neque autem est optio laboriosam dolores nesciunt enim rerum, suscipit mollitia facere deleniti, magni aliquid reprehenderit commodi. Similique, voluptatibus?</p>\r\n<p>Modi tempora nam eveniet inventore est at ullam explicabo quam maxime, iusto, minus sapiente, similique vero perferendis! Suscipit sed voluptates sint explicabo.</p>\r\n<p>A repellat animi necessitatibus! Repellat nostrum quidem suscipit maiores accusantium at, officiis unde sit modi consectetur totam repellendus! Necessitatibus doloremque ex laboriosam!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sed aliquam amet veniam nam reiciendis delectus sint quisquam laborum et aspernatur porro eaque, dicta soluta inventore similique non minus! Facere, molestias. Architecto quis libero quam error vel corporis, labore quidem illum cumque tempore, magni nam odio dolores atque rerum ipsa aut laborum facere, fugit enim tenetur.</p>\r\n", "Consectetur, quod, maiores!", "Quam expedita in nostrum incidunt cum fugit quisquam dolore temporibus perferendis, debitis.\r\n", "publish", "open", "open", "", "consectetur-quod-maiores", "", "", "2018-07-29 15:58:07", "2018-07-29 15:58:07", "", "0", "http://localhost:8888/metonymic/consectetur-quod-maiores", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("50", "1", "2018-07-15 01:20:54", "2018-07-15 01:20:54", "", "Glenmorangie", "", "inherit", "closed", "closed", "", "49-revision-v1", "", "", "2018-07-15 01:20:54", "2018-07-15 01:20:54", "", "49", "http://localhost:8888/metonymic/2018/07/15/49-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("51", "1", "2018-07-15 01:21:55", "2018-07-15 01:21:55", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. At voluptatibus iste molestias perferendis et nostrum recusandae, laboriosam, aut ipsum aspernatur doloremque consectetur. Eveniet id tenetur ipsum impedit alias neque, perferendis minima quos deleniti!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Veniam ullam sint, beatae tenetur aspernatur eaque, nam sapiente reprehenderit recusandae aliquid, voluptatum. A!</p>\r\n<p>Fuga quibusdam earum nemo obcaecati accusamus asperiores minus, mollitia aperiam, neque dolores saepe ratione facere hic totam libero et nesciunt rem pariatur.</p>\r\n<p>Aperiam animi distinctio ducimus, deserunt nostrum ipsum natus et nisi, cumque maxime hic repellendus at possimus inventore, maiores eius provident? Adipisci, cumque.</p>\r\n<p>Distinctio tempore architecto voluptate, laborum autem aperiam nesciunt impedit cupiditate dolorem natus placeat aut repellat harum non maiores unde ipsam in tenetur.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Distinctio, sint amet mollitia ratione sed nesciunt minima minus, hic voluptatum ab eos illum in molestiae sequi cupiditate, molestias reprehenderit deserunt ut cumque, exercitationem earum ea. Doloremque voluptatum numquam et, aut porro expedita magnam maxime officia sequi perspiciatis odio iure praesentium veniam mollitia ipsum dolores pariatur quod.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. At voluptatibus iste molestias perferendis et nostrum recusandae, laboriosam, aut ipsum aspernatur doloremque consectetur. Eveniet id tenetur ipsum impedit alias neque, perferendis minima quos deleniti!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Veniam ullam sint, beatae tenetur aspernatur eaque, nam sapiente reprehenderit recusandae aliquid, voluptatum. A!</p>\r\n<p>Fuga quibusdam earum nemo obcaecati accusamus asperiores minus, mollitia aperiam, neque dolores saepe ratione facere hic totam libero et nesciunt rem pariatur.</p>\r\n<p>Aperiam animi distinctio ducimus, deserunt nostrum ipsum natus et nisi, cumque maxime hic repellendus at possimus inventore, maiores eius provident? Adipisci, cumque.</p>\r\n<p>Distinctio tempore architecto voluptate, laborum autem aperiam nesciunt impedit cupiditate dolorem natus placeat aut repellat harum non maiores unde ipsam in tenetur.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Distinctio, sint amet mollitia ratione sed nesciunt minima minus, hic voluptatum ab eos illum in molestiae sequi cupiditate, molestias reprehenderit deserunt ut cumque, exercitationem earum ea. Doloremque voluptatum numquam et, aut porro expedita magnam maxime officia sequi perspiciatis odio iure praesentium veniam mollitia ipsum dolores pariatur quod.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. At voluptatibus iste molestias perferendis et nostrum recusandae, laboriosam, aut ipsum aspernatur doloremque consectetur. Eveniet id tenetur ipsum impedit alias neque, perferendis minima quos deleniti!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Veniam ullam sint, beatae tenetur aspernatur eaque, nam sapiente reprehenderit recusandae aliquid, voluptatum. A!</p>\r\n<p>Fuga quibusdam earum nemo obcaecati accusamus asperiores minus, mollitia aperiam, neque dolores saepe ratione facere hic totam libero et nesciunt rem pariatur.</p>\r\n<p>Aperiam animi distinctio ducimus, deserunt nostrum ipsum natus et nisi, cumque maxime hic repellendus at possimus inventore, maiores eius provident? Adipisci, cumque.</p>\r\n<p>Distinctio tempore architecto voluptate, laborum autem aperiam nesciunt impedit cupiditate dolorem natus placeat aut repellat harum non maiores unde ipsam in tenetur.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Distinctio, sint amet mollitia ratione sed nesciunt minima minus, hic voluptatum ab eos illum in molestiae sequi cupiditate, molestias reprehenderit deserunt ut cumque, exercitationem earum ea. Doloremque voluptatum numquam et, aut porro expedita magnam maxime officia sequi perspiciatis odio iure praesentium veniam mollitia ipsum dolores pariatur quod.</p>\r\n", "Obcaecati, dicta, impedit!", "In maxime tempore quo sapiente nobis quae? Incidunt, minus iusto vero ratione!\r\n", "publish", "open", "open", "", "obcaecati-dicta-impedit", "", "", "2018-07-29 15:58:15", "2018-07-29 15:58:15", "", "0", "http://localhost:8888/metonymic/obcaecati-dicta-impedit", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("52", "1", "2018-07-15 01:22:11", "2018-07-15 01:22:11", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Qui quia eveniet harum eos repudiandae at asperiores, fugit molestiae quasi veritatis excepturi totam, tempora, aliquam facere mollitia omnis, nisi cum unde sint accusantium temporibus.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quaerat fugit qui officiis reprehenderit voluptatum tempora, praesentium mollitia nobis, cumque accusantium dolore eveniet.</p>\r\n<p>Earum officiis veniam porro voluptatem neque eveniet quia provident fugit harum! Aut eaque nesciunt ea maxime labore tenetur ad sequi, nobis sint.</p>\r\n<p>Maxime et quia excepturi delectus, atque, molestias quae reprehenderit repudiandae quas sequi dolorem impedit, vel error magni reiciendis ullam eaque suscipit deleniti!</p>\r\n<p>Laudantium eveniet non saepe quibusdam labore quos, at corporis quas voluptatum quae sit nemo autem, expedita voluptates assumenda doloremque sed necessitatibus? Sed.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Harum tempora iste, ex unde quasi culpa cumque repudiandae dolore reprehenderit a quos temporibus animi pariatur consectetur at. Culpa ipsum similique rerum, doloremque numquam architecto, ad repellat quisquam ut aperiam tempore ullam fuga reiciendis at blanditiis maiores atque eaque voluptatibus quasi eligendi earum aliquam. Earum, magni maxime.</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Qui quia eveniet harum eos repudiandae at asperiores, fugit molestiae quasi veritatis excepturi totam, tempora, aliquam facere mollitia omnis, nisi cum unde sint accusantium temporibus.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quaerat fugit qui officiis reprehenderit voluptatum tempora, praesentium mollitia nobis, cumque accusantium dolore eveniet.</p>\r\n<p>Earum officiis veniam porro voluptatem neque eveniet quia provident fugit harum! Aut eaque nesciunt ea maxime labore tenetur ad sequi, nobis sint.</p>\r\n<p>Maxime et quia excepturi delectus, atque, molestias quae reprehenderit repudiandae quas sequi dolorem impedit, vel error magni reiciendis ullam eaque suscipit deleniti!</p>\r\n<p>Laudantium eveniet non saepe quibusdam labore quos, at corporis quas voluptatum quae sit nemo autem, expedita voluptates assumenda doloremque sed necessitatibus? Sed.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Harum tempora iste, ex unde quasi culpa cumque repudiandae dolore reprehenderit a quos temporibus animi pariatur consectetur at. Culpa ipsum similique rerum, doloremque numquam architecto, ad repellat quisquam ut aperiam tempore ullam fuga reiciendis at blanditiis maiores atque eaque voluptatibus quasi eligendi earum aliquam. Earum, magni maxime.</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Qui quia eveniet harum eos repudiandae at asperiores, fugit molestiae quasi veritatis excepturi totam, tempora, aliquam facere mollitia omnis, nisi cum unde sint accusantium temporibus.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quaerat fugit qui officiis reprehenderit voluptatum tempora, praesentium mollitia nobis, cumque accusantium dolore eveniet.</p>\r\n<p>Earum officiis veniam porro voluptatem neque eveniet quia provident fugit harum! Aut eaque nesciunt ea maxime labore tenetur ad sequi, nobis sint.</p>\r\n<p>Maxime et quia excepturi delectus, atque, molestias quae reprehenderit repudiandae quas sequi dolorem impedit, vel error magni reiciendis ullam eaque suscipit deleniti!</p>\r\n<p>Laudantium eveniet non saepe quibusdam labore quos, at corporis quas voluptatum quae sit nemo autem, expedita voluptates assumenda doloremque sed necessitatibus? Sed.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Harum tempora iste, ex unde quasi culpa cumque repudiandae dolore reprehenderit a quos temporibus animi pariatur consectetur at. Culpa ipsum similique rerum, doloremque numquam architecto, ad repellat quisquam ut aperiam tempore ullam fuga reiciendis at blanditiis maiores atque eaque voluptatibus quasi eligendi earum aliquam. Earum, magni maxime.</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Qui quia eveniet harum eos repudiandae at asperiores, fugit molestiae quasi veritatis excepturi totam, tempora, aliquam facere mollitia omnis, nisi cum unde sint accusantium temporibus.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quaerat fugit qui officiis reprehenderit voluptatum tempora, praesentium mollitia nobis, cumque accusantium dolore eveniet.</p>\r\n<p>Earum officiis veniam porro voluptatem neque eveniet quia provident fugit harum! Aut eaque nesciunt ea maxime labore tenetur ad sequi, nobis sint.</p>\r\n<p>Maxime et quia excepturi delectus, atque, molestias quae reprehenderit repudiandae quas sequi dolorem impedit, vel error magni reiciendis ullam eaque suscipit deleniti!</p>\r\n<p>Laudantium eveniet non saepe quibusdam labore quos, at corporis quas voluptatum quae sit nemo autem, expedita voluptates assumenda doloremque sed necessitatibus? Sed.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Harum tempora iste, ex unde quasi culpa cumque repudiandae dolore reprehenderit a quos temporibus animi pariatur consectetur at. Culpa ipsum similique rerum, doloremque numquam architecto, ad repellat quisquam ut aperiam tempore ullam fuga reiciendis at blanditiis maiores atque eaque voluptatibus quasi eligendi earum aliquam. Earum, magni maxime.</p>", "Quod, magni, laboriosam.", "Tempora ab nulla obcaecati quos consequatur molestiae temporibus nihil, numquam ullam. Voluptates!\r\n", "publish", "open", "open", "", "quod-magni-laboriosam", "", "", "2018-07-29 15:58:26", "2018-07-29 15:58:26", "", "0", "http://localhost:8888/metonymic/quod-magni-laboriosam", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("53", "1", "2018-07-15 02:55:23", "2018-07-15 02:55:23", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur eveniet ratione, sint quas aliquam earum? Vel excepturi, dolores itaque incidunt culpa odio dignissimos, atque consequatur iusto reprehenderit id, porro nam! Delectus, architecto, consectetur.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quam quo ducimus deleniti, reiciendis cum necessitatibus, voluptatibus. Recusandae quod labore soluta eligendi, hic!</p>\r\n<p>Est impedit repellat voluptatum veniam odit dolorem nesciunt aliquid recusandae consectetur in ea neque explicabo sequi quaerat itaque aut vel, beatae. Cum.</p>\r\n<p>Ea neque sit, corporis aut quasi in tenetur eum incidunt saepe! Odit, fugiat. Ab maxime, placeat totam quam nesciunt. Voluptatum, ipsam, odit.</p>\r\n<p>Delectus vel quidem saepe perferendis fuga, ex quam obcaecati corporis ipsum, sunt quia repellendus laboriosam error doloremque dolores amet fugiat. Ullam, eaque!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Dolore iure omnis adipisci nemo iste aspernatur alias labore commodi? Fuga impedit dicta, sequi voluptatibus sunt quas ratione velit! Doloribus alias beatae doloremque ad a est nulla consequatur optio veritatis natus sit sequi, iusto expedita, officiis ut temporibus delectus. Nostrum quis tempore porro illo. Nam quis, praesentium.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur eveniet ratione, sint quas aliquam earum? Vel excepturi, dolores itaque incidunt culpa odio dignissimos, atque consequatur iusto reprehenderit id, porro nam! Delectus, architecto, consectetur.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quam quo ducimus deleniti, reiciendis cum necessitatibus, voluptatibus. Recusandae quod labore soluta eligendi, hic!</p>\r\n<p>Est impedit repellat voluptatum veniam odit dolorem nesciunt aliquid recusandae consectetur in ea neque explicabo sequi quaerat itaque aut vel, beatae. Cum.</p>\r\n<p>Ea neque sit, corporis aut quasi in tenetur eum incidunt saepe! Odit, fugiat. Ab maxime, placeat totam quam nesciunt. Voluptatum, ipsam, odit.</p>\r\n<p>Delectus vel quidem saepe perferendis fuga, ex quam obcaecati corporis ipsum, sunt quia repellendus laboriosam error doloremque dolores amet fugiat. Ullam, eaque!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Dolore iure omnis adipisci nemo iste aspernatur alias labore commodi? Fuga impedit dicta, sequi voluptatibus sunt quas ratione velit! Doloribus alias beatae doloremque ad a est nulla consequatur optio veritatis natus sit sequi, iusto expedita, officiis ut temporibus delectus. Nostrum quis tempore porro illo. Nam quis, praesentium.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur eveniet ratione, sint quas aliquam earum? Vel excepturi, dolores itaque incidunt culpa odio dignissimos, atque consequatur iusto reprehenderit id, porro nam! Delectus, architecto, consectetur.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quam quo ducimus deleniti, reiciendis cum necessitatibus, voluptatibus. Recusandae quod labore soluta eligendi, hic!</p>\r\n<p>Est impedit repellat voluptatum veniam odit dolorem nesciunt aliquid recusandae consectetur in ea neque explicabo sequi quaerat itaque aut vel, beatae. Cum.</p>\r\n<p>Ea neque sit, corporis aut quasi in tenetur eum incidunt saepe! Odit, fugiat. Ab maxime, placeat totam quam nesciunt. Voluptatum, ipsam, odit.</p>\r\n<p>Delectus vel quidem saepe perferendis fuga, ex quam obcaecati corporis ipsum, sunt quia repellendus laboriosam error doloremque dolores amet fugiat. Ullam, eaque!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Dolore iure omnis adipisci nemo iste aspernatur alias labore commodi? Fuga impedit dicta, sequi voluptatibus sunt quas ratione velit! Doloribus alias beatae doloremque ad a est nulla consequatur optio veritatis natus sit sequi, iusto expedita, officiis ut temporibus delectus. Nostrum quis tempore porro illo. Nam quis, praesentium.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur eveniet ratione, sint quas aliquam earum? Vel excepturi, dolores itaque incidunt culpa odio dignissimos, atque consequatur iusto reprehenderit id, porro nam! Delectus, architecto, consectetur.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quam quo ducimus deleniti, reiciendis cum necessitatibus, voluptatibus. Recusandae quod labore soluta eligendi, hic!</p>\r\n<p>Est impedit repellat voluptatum veniam odit dolorem nesciunt aliquid recusandae consectetur in ea neque explicabo sequi quaerat itaque aut vel, beatae. Cum.</p>\r\n<p>Ea neque sit, corporis aut quasi in tenetur eum incidunt saepe! Odit, fugiat. Ab maxime, placeat totam quam nesciunt. Voluptatum, ipsam, odit.</p>\r\n<p>Delectus vel quidem saepe perferendis fuga, ex quam obcaecati corporis ipsum, sunt quia repellendus laboriosam error doloremque dolores amet fugiat. Ullam, eaque!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Dolore iure omnis adipisci nemo iste aspernatur alias labore commodi? Fuga impedit dicta, sequi voluptatibus sunt quas ratione velit! Doloribus alias beatae doloremque ad a est nulla consequatur optio veritatis natus sit sequi, iusto expedita, officiis ut temporibus delectus. Nostrum quis tempore porro illo. Nam quis, praesentium.</p>\r\n", "Molestiae, quasi, culpa.", "Necessitatibus officiis aliquid incidunt molestias odit consequatur et. Dolore nesciunt sit sint.\r\n", "publish", "open", "open", "", "molestiae-quasi-culpa", "", "", "2018-07-29 22:14:29", "2018-07-29 22:14:29", "", "0", "http://localhost:8888/metonymic/molestiae-quasi-culpa", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("54", "1", "2018-07-15 01:21:55", "2018-07-15 01:21:55", "", "Glenkinchie", "", "inherit", "closed", "closed", "", "51-revision-v1", "", "", "2018-07-15 01:21:55", "2018-07-15 01:21:55", "", "51", "http://localhost:8888/metonymic/2018/07/15/51-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("55", "1", "2018-07-15 01:22:11", "2018-07-15 01:22:11", "", "Bladnoch", "", "inherit", "closed", "closed", "", "52-revision-v1", "", "", "2018-07-15 01:22:11", "2018-07-15 01:22:11", "", "52", "http://localhost:8888/metonymic/2018/07/15/52-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("56", "1", "2018-07-15 01:22:23", "2018-07-15 01:22:23", "", "Auchentoshan", "", "inherit", "closed", "closed", "", "53-revision-v1", "", "", "2018-07-15 01:22:23", "2018-07-15 01:22:23", "", "53", "http://localhost:8888/metonymic/2018/07/15/53-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("57", "1", "2018-07-15 01:23:27", "2018-07-15 01:23:27", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Fugit labore voluptatem voluptatum nostrum in explicabo ab itaque perspiciatis ipsam sapiente, recusandae, voluptate unde. Reiciendis voluptatum quia ad nulla recusandae molestias atque sequi laudantium.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Minima, ipsam necessitatibus temporibus qui accusamus, quasi, totam repudiandae doloremque rerum quia delectus nam.</p>\r\n<p>Labore harum, maiores veniam cupiditate qui explicabo voluptatem earum id, dolor, voluptas saepe natus. Porro debitis ullam itaque, accusantium culpa soluta voluptatum.</p>\r\n<p>Assumenda similique labore, corrupti recusandae quisquam, accusantium provident voluptates incidunt, neque eum consequuntur. At minus, iste dolore repudiandae ipsum ea, cupiditate molestias.</p>\r\n<p>Vitae ad id accusamus quia aspernatur ab, iusto, repellendus beatae rem aperiam ipsam atque, laboriosam nesciunt ea sunt officiis in? Modi, velit.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sapiente adipisci, hic itaque dicta, facere tempore aut voluptatum magni. Quisquam tenetur, esse ducimus nesciunt praesentium accusantium porro laborum quas, minus ab placeat repellendus labore perspiciatis? Sapiente odio fugiat, id eum ipsam recusandae nobis nemo assumenda quam! Dolorem provident ipsa consequatur quibusdam illum possimus quis itaque ducimus.</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Fugit labore voluptatem voluptatum nostrum in explicabo ab itaque perspiciatis ipsam sapiente, recusandae, voluptate unde. Reiciendis voluptatum quia ad nulla recusandae molestias atque sequi laudantium.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Minima, ipsam necessitatibus temporibus qui accusamus, quasi, totam repudiandae doloremque rerum quia delectus nam.</p>\r\n<p>Labore harum, maiores veniam cupiditate qui explicabo voluptatem earum id, dolor, voluptas saepe natus. Porro debitis ullam itaque, accusantium culpa soluta voluptatum.</p>\r\n<p>Assumenda similique labore, corrupti recusandae quisquam, accusantium provident voluptates incidunt, neque eum consequuntur. At minus, iste dolore repudiandae ipsum ea, cupiditate molestias.</p>\r\n<p>Vitae ad id accusamus quia aspernatur ab, iusto, repellendus beatae rem aperiam ipsam atque, laboriosam nesciunt ea sunt officiis in? Modi, velit.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sapiente adipisci, hic itaque dicta, facere tempore aut voluptatum magni. Quisquam tenetur, esse ducimus nesciunt praesentium accusantium porro laborum quas, minus ab placeat repellendus labore perspiciatis? Sapiente odio fugiat, id eum ipsam recusandae nobis nemo assumenda quam! Dolorem provident ipsa consequatur quibusdam illum possimus quis itaque ducimus.</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Fugit labore voluptatem voluptatum nostrum in explicabo ab itaque perspiciatis ipsam sapiente, recusandae, voluptate unde. Reiciendis voluptatum quia ad nulla recusandae molestias atque sequi laudantium.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Minima, ipsam necessitatibus temporibus qui accusamus, quasi, totam repudiandae doloremque rerum quia delectus nam.</p>\r\n<p>Labore harum, maiores veniam cupiditate qui explicabo voluptatem earum id, dolor, voluptas saepe natus. Porro debitis ullam itaque, accusantium culpa soluta voluptatum.</p>\r\n<p>Assumenda similique labore, corrupti recusandae quisquam, accusantium provident voluptates incidunt, neque eum consequuntur. At minus, iste dolore repudiandae ipsum ea, cupiditate molestias.</p>\r\n<p>Vitae ad id accusamus quia aspernatur ab, iusto, repellendus beatae rem aperiam ipsam atque, laboriosam nesciunt ea sunt officiis in? Modi, velit.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sapiente adipisci, hic itaque dicta, facere tempore aut voluptatum magni. Quisquam tenetur, esse ducimus nesciunt praesentium accusantium porro laborum quas, minus ab placeat repellendus labore perspiciatis? Sapiente odio fugiat, id eum ipsam recusandae nobis nemo assumenda quam! Dolorem provident ipsa consequatur quibusdam illum possimus quis itaque ducimus.</p>", "Iusto, ipsam, autem.", "Ea illum cumque, incidunt quisquam odit molestiae. Esse, quidem. Nihil, voluptates dolor.\r\n", "publish", "open", "open", "", "iusto-ipsam-autem", "", "", "2018-07-29 23:00:07", "2018-07-29 23:00:07", "", "0", "http://localhost:8888/metonymic/iusto-ipsam-autem", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("58", "1", "2018-07-15 01:23:27", "2018-07-15 01:23:27", "", "Glenlivet", "", "inherit", "closed", "closed", "", "57-revision-v1", "", "", "2018-07-15 01:23:27", "2018-07-15 01:23:27", "", "57", "http://localhost:8888/metonymic/2018/07/15/57-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("59", "1", "2018-07-15 02:24:54", "2018-07-15 02:24:54", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eligendi error fuga quis vel ipsa praesentium iste architecto maxime rerum, culpa quidem, facere quia corporis dolores at optio facilis, voluptate molestias. A, odio aperiam!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Repellat nemo maiores odit obcaecati molestiae, voluptatibus laboriosam repellendus iusto! Incidunt ab reiciendis, ex.</p>\r\n<p>Nostrum a ducimus tempora at quos, iste modi vel, sint maxime consectetur recusandae. Vel voluptas tempora commodi laborum placeat, cumque? Quidem, tempora.</p>\r\n<p>Minima illum provident at voluptas sapiente praesentium ut ab fuga placeat, dolorum exercitationem libero. Deserunt tempore tempora dolorum repellendus maiores, cum ipsa.</p>\r\n<p>Explicabo, aut consectetur temporibus nostrum praesentium atque! A praesentium quod esse, vel facere, voluptates quas laudantium. Doloribus odio quia suscipit sit incidunt.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Optio voluptatibus error, dignissimos dolore illum pariatur nisi voluptatem reprehenderit quo. A nobis fuga magnam ab illum hic alias non autem dolores sint ipsam adipisci rem officiis eum molestiae laboriosam distinctio quisquam suscipit provident, nulla nostrum, tenetur unde voluptatibus doloremque. Eius in corrupti error perferendis modi ea!</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eligendi error fuga quis vel ipsa praesentium iste architecto maxime rerum, culpa quidem, facere quia corporis dolores at optio facilis, voluptate molestias. A, odio aperiam!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Repellat nemo maiores odit obcaecati molestiae, voluptatibus laboriosam repellendus iusto! Incidunt ab reiciendis, ex.</p>\r\n<p>Nostrum a ducimus tempora at quos, iste modi vel, sint maxime consectetur recusandae. Vel voluptas tempora commodi laborum placeat, cumque? Quidem, tempora.</p>\r\n<p>Minima illum provident at voluptas sapiente praesentium ut ab fuga placeat, dolorum exercitationem libero. Deserunt tempore tempora dolorum repellendus maiores, cum ipsa.</p>\r\n<p>Explicabo, aut consectetur temporibus nostrum praesentium atque! A praesentium quod esse, vel facere, voluptates quas laudantium. Doloribus odio quia suscipit sit incidunt.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Optio voluptatibus error, dignissimos dolore illum pariatur nisi voluptatem reprehenderit quo. A nobis fuga magnam ab illum hic alias non autem dolores sint ipsam adipisci rem officiis eum molestiae laboriosam distinctio quisquam suscipit provident, nulla nostrum, tenetur unde voluptatibus doloremque. Eius in corrupti error perferendis modi ea!</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eligendi error fuga quis vel ipsa praesentium iste architecto maxime rerum, culpa quidem, facere quia corporis dolores at optio facilis, voluptate molestias. A, odio aperiam!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Repellat nemo maiores odit obcaecati molestiae, voluptatibus laboriosam repellendus iusto! Incidunt ab reiciendis, ex.</p>\r\n<p>Nostrum a ducimus tempora at quos, iste modi vel, sint maxime consectetur recusandae. Vel voluptas tempora commodi laborum placeat, cumque? Quidem, tempora.</p>\r\n<p>Minima illum provident at voluptas sapiente praesentium ut ab fuga placeat, dolorum exercitationem libero. Deserunt tempore tempora dolorum repellendus maiores, cum ipsa.</p>\r\n<p>Explicabo, aut consectetur temporibus nostrum praesentium atque! A praesentium quod esse, vel facere, voluptates quas laudantium. Doloribus odio quia suscipit sit incidunt.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Optio voluptatibus error, dignissimos dolore illum pariatur nisi voluptatem reprehenderit quo. A nobis fuga magnam ab illum hic alias non autem dolores sint ipsam adipisci rem officiis eum molestiae laboriosam distinctio quisquam suscipit provident, nulla nostrum, tenetur unde voluptatibus doloremque. Eius in corrupti error perferendis modi ea!</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eligendi error fuga quis vel ipsa praesentium iste architecto maxime rerum, culpa quidem, facere quia corporis dolores at optio facilis, voluptate molestias. A, odio aperiam!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Repellat nemo maiores odit obcaecati molestiae, voluptatibus laboriosam repellendus iusto! Incidunt ab reiciendis, ex.</p>\r\n<p>Nostrum a ducimus tempora at quos, iste modi vel, sint maxime consectetur recusandae. Vel voluptas tempora commodi laborum placeat, cumque? Quidem, tempora.</p>\r\n<p>Minima illum provident at voluptas sapiente praesentium ut ab fuga placeat, dolorum exercitationem libero. Deserunt tempore tempora dolorum repellendus maiores, cum ipsa.</p>\r\n<p>Explicabo, aut consectetur temporibus nostrum praesentium atque! A praesentium quod esse, vel facere, voluptates quas laudantium. Doloribus odio quia suscipit sit incidunt.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Optio voluptatibus error, dignissimos dolore illum pariatur nisi voluptatem reprehenderit quo. A nobis fuga magnam ab illum hic alias non autem dolores sint ipsam adipisci rem officiis eum molestiae laboriosam distinctio quisquam suscipit provident, nulla nostrum, tenetur unde voluptatibus doloremque. Eius in corrupti error perferendis modi ea!</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eligendi error fuga quis vel ipsa praesentium iste architecto maxime rerum, culpa quidem, facere quia corporis dolores at optio facilis, voluptate molestias. A, odio aperiam!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Repellat nemo maiores odit obcaecati molestiae, voluptatibus laboriosam repellendus iusto! Incidunt ab reiciendis, ex.</p>\r\n<p>Nostrum a ducimus tempora at quos, iste modi vel, sint maxime consectetur recusandae. Vel voluptas tempora commodi laborum placeat, cumque? Quidem, tempora.</p>\r\n<p>Minima illum provident at voluptas sapiente praesentium ut ab fuga placeat, dolorum exercitationem libero. Deserunt tempore tempora dolorum repellendus maiores, cum ipsa.</p>\r\n<p>Explicabo, aut consectetur temporibus nostrum praesentium atque! A praesentium quod esse, vel facere, voluptates quas laudantium. Doloribus odio quia suscipit sit incidunt.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Optio voluptatibus error, dignissimos dolore illum pariatur nisi voluptatem reprehenderit quo. A nobis fuga magnam ab illum hic alias non autem dolores sint ipsam adipisci rem officiis eum molestiae laboriosam distinctio quisquam suscipit provident, nulla nostrum, tenetur unde voluptatibus doloremque. Eius in corrupti error perferendis modi ea!</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eligendi error fuga quis vel ipsa praesentium iste architecto maxime rerum, culpa quidem, facere quia corporis dolores at optio facilis, voluptate molestias. A, odio aperiam!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Repellat nemo maiores odit obcaecati molestiae, voluptatibus laboriosam repellendus iusto! Incidunt ab reiciendis, ex.</p>\r\n<p>Nostrum a ducimus tempora at quos, iste modi vel, sint maxime consectetur recusandae. Vel voluptas tempora commodi laborum placeat, cumque? Quidem, tempora.</p>\r\n<p>Minima illum provident at voluptas sapiente praesentium ut ab fuga placeat, dolorum exercitationem libero. Deserunt tempore tempora dolorum repellendus maiores, cum ipsa.</p>\r\n<p>Explicabo, aut consectetur temporibus nostrum praesentium atque! A praesentium quod esse, vel facere, voluptates quas laudantium. Doloribus odio quia suscipit sit incidunt.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Optio voluptatibus error, dignissimos dolore illum pariatur nisi voluptatem reprehenderit quo. A nobis fuga magnam ab illum hic alias non autem dolores sint ipsam adipisci rem officiis eum molestiae laboriosam distinctio quisquam suscipit provident, nulla nostrum, tenetur unde voluptatibus doloremque. Eius in corrupti error perferendis modi ea!</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eligendi error fuga quis vel ipsa praesentium iste architecto maxime rerum, culpa quidem, facere quia corporis dolores at optio facilis, voluptate molestias. A, odio aperiam!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Repellat nemo maiores odit obcaecati molestiae, voluptatibus laboriosam repellendus iusto! Incidunt ab reiciendis, ex.</p>\r\n<p>Nostrum a ducimus tempora at quos, iste modi vel, sint maxime consectetur recusandae. Vel voluptas tempora commodi laborum placeat, cumque? Quidem, tempora.</p>\r\n<p>Minima illum provident at voluptas sapiente praesentium ut ab fuga placeat, dolorum exercitationem libero. Deserunt tempore tempora dolorum repellendus maiores, cum ipsa.</p>\r\n<p>Explicabo, aut consectetur temporibus nostrum praesentium atque! A praesentium quod esse, vel facere, voluptates quas laudantium. Doloribus odio quia suscipit sit incidunt.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Optio voluptatibus error, dignissimos dolore illum pariatur nisi voluptatem reprehenderit quo. A nobis fuga magnam ab illum hic alias non autem dolores sint ipsam adipisci rem officiis eum molestiae laboriosam distinctio quisquam suscipit provident, nulla nostrum, tenetur unde voluptatibus doloremque. Eius in corrupti error perferendis modi ea!</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eligendi error fuga quis vel ipsa praesentium iste architecto maxime rerum, culpa quidem, facere quia corporis dolores at optio facilis, voluptate molestias. A, odio aperiam!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Repellat nemo maiores odit obcaecati molestiae, voluptatibus laboriosam repellendus iusto! Incidunt ab reiciendis, ex.</p>\r\n<p>Nostrum a ducimus tempora at quos, iste modi vel, sint maxime consectetur recusandae. Vel voluptas tempora commodi laborum placeat, cumque? Quidem, tempora.</p>\r\n<p>Minima illum provident at voluptas sapiente praesentium ut ab fuga placeat, dolorum exercitationem libero. Deserunt tempore tempora dolorum repellendus maiores, cum ipsa.</p>\r\n<p>Explicabo, aut consectetur temporibus nostrum praesentium atque! A praesentium quod esse, vel facere, voluptates quas laudantium. Doloribus odio quia suscipit sit incidunt.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Optio voluptatibus error, dignissimos dolore illum pariatur nisi voluptatem reprehenderit quo. A nobis fuga magnam ab illum hic alias non autem dolores sint ipsam adipisci rem officiis eum molestiae laboriosam distinctio quisquam suscipit provident, nulla nostrum, tenetur unde voluptatibus doloremque. Eius in corrupti error perferendis modi ea!</p>", "Dicta, expedita quo", "Dolorem aut veritatis labore magnam blanditiis, maiores iure similique sint expedita illo.\r\n", "publish", "open", "open", "", "dicta-expedita-quo", "", "", "2018-07-29 23:37:13", "2018-07-29 23:37:13", "", "0", "http://localhost:8888/metonymic/dicta-expedita-quo", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("60", "1", "2018-07-15 01:25:03", "2018-07-15 01:25:03", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Natus, vero repellendus eos. Sed velit aliquid corporis numquam quis officiis maxime consequuntur doloremque amet accusamus nesciunt, praesentium quidem at assumenda quisquam omnis voluptas veritatis?</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eaque quae itaque accusantium nam facilis ad vero, maiores officiis ab, cupiditate, recusandae molestias.</p>\r\n<p>Pariatur consequatur, ipsum quos veritatis in laborum eveniet praesentium dolorum necessitatibus architecto, consectetur amet, officiis consequuntur doloribus earum odio quo recusandae voluptates!</p>\r\n<p>Similique incidunt error voluptatum repellendus fuga sunt, dicta dolore necessitatibus nesciunt reprehenderit adipisci. Sed aperiam a nostrum odit debitis sint, ducimus dolor!</p>\r\n<p>Earum quos, ipsam consectetur nostrum tempora incidunt debitis temporibus itaque assumenda architecto dignissimos perferendis possimus ipsa commodi rerum vero nam ab voluptatem?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Vel quia repellat adipisci quidem aspernatur in. Iusto expedita ratione esse minima nostrum! Minus deleniti rerum impedit hic ullam doloremque a necessitatibus id aliquid blanditiis. At eveniet aspernatur cum veniam. Sequi perspiciatis corporis, laborum nulla nisi odit? Suscipit cupiditate expedita incidunt dolores quis sed minus delectus nulla.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Natus, vero repellendus eos. Sed velit aliquid corporis numquam quis officiis maxime consequuntur doloremque amet accusamus nesciunt, praesentium quidem at assumenda quisquam omnis voluptas veritatis?</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eaque quae itaque accusantium nam facilis ad vero, maiores officiis ab, cupiditate, recusandae molestias.</p>\r\n<p>Pariatur consequatur, ipsum quos veritatis in laborum eveniet praesentium dolorum necessitatibus architecto, consectetur amet, officiis consequuntur doloribus earum odio quo recusandae voluptates!</p>\r\n<p>Similique incidunt error voluptatum repellendus fuga sunt, dicta dolore necessitatibus nesciunt reprehenderit adipisci. Sed aperiam a nostrum odit debitis sint, ducimus dolor!</p>\r\n<p>Earum quos, ipsam consectetur nostrum tempora incidunt debitis temporibus itaque assumenda architecto dignissimos perferendis possimus ipsa commodi rerum vero nam ab voluptatem?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Vel quia repellat adipisci quidem aspernatur in. Iusto expedita ratione esse minima nostrum! Minus deleniti rerum impedit hic ullam doloremque a necessitatibus id aliquid blanditiis. At eveniet aspernatur cum veniam. Sequi perspiciatis corporis, laborum nulla nisi odit? Suscipit cupiditate expedita incidunt dolores quis sed minus delectus nulla.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Natus, vero repellendus eos. Sed velit aliquid corporis numquam quis officiis maxime consequuntur doloremque amet accusamus nesciunt, praesentium quidem at assumenda quisquam omnis voluptas veritatis?</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eaque quae itaque accusantium nam facilis ad vero, maiores officiis ab, cupiditate, recusandae molestias.</p>\r\n<p>Pariatur consequatur, ipsum quos veritatis in laborum eveniet praesentium dolorum necessitatibus architecto, consectetur amet, officiis consequuntur doloribus earum odio quo recusandae voluptates!</p>\r\n<p>Similique incidunt error voluptatum repellendus fuga sunt, dicta dolore necessitatibus nesciunt reprehenderit adipisci. Sed aperiam a nostrum odit debitis sint, ducimus dolor!</p>\r\n<p>Earum quos, ipsam consectetur nostrum tempora incidunt debitis temporibus itaque assumenda architecto dignissimos perferendis possimus ipsa commodi rerum vero nam ab voluptatem?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Vel quia repellat adipisci quidem aspernatur in. Iusto expedita ratione esse minima nostrum! Minus deleniti rerum impedit hic ullam doloremque a necessitatibus id aliquid blanditiis. At eveniet aspernatur cum veniam. Sequi perspiciatis corporis, laborum nulla nisi odit? Suscipit cupiditate expedita incidunt dolores quis sed minus delectus nulla.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Natus, vero repellendus eos. Sed velit aliquid corporis numquam quis officiis maxime consequuntur doloremque amet accusamus nesciunt, praesentium quidem at assumenda quisquam omnis voluptas veritatis?</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eaque quae itaque accusantium nam facilis ad vero, maiores officiis ab, cupiditate, recusandae molestias.</p>\r\n<p>Pariatur consequatur, ipsum quos veritatis in laborum eveniet praesentium dolorum necessitatibus architecto, consectetur amet, officiis consequuntur doloribus earum odio quo recusandae voluptates!</p>\r\n<p>Similique incidunt error voluptatum repellendus fuga sunt, dicta dolore necessitatibus nesciunt reprehenderit adipisci. Sed aperiam a nostrum odit debitis sint, ducimus dolor!</p>\r\n<p>Earum quos, ipsam consectetur nostrum tempora incidunt debitis temporibus itaque assumenda architecto dignissimos perferendis possimus ipsa commodi rerum vero nam ab voluptatem?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Vel quia repellat adipisci quidem aspernatur in. Iusto expedita ratione esse minima nostrum! Minus deleniti rerum impedit hic ullam doloremque a necessitatibus id aliquid blanditiis. At eveniet aspernatur cum veniam. Sequi perspiciatis corporis, laborum nulla nisi odit? Suscipit cupiditate expedita incidunt dolores quis sed minus delectus nulla.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Natus, vero repellendus eos. Sed velit aliquid corporis numquam quis officiis maxime consequuntur doloremque amet accusamus nesciunt, praesentium quidem at assumenda quisquam omnis voluptas veritatis?</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eaque quae itaque accusantium nam facilis ad vero, maiores officiis ab, cupiditate, recusandae molestias.</p>\r\n<p>Pariatur consequatur, ipsum quos veritatis in laborum eveniet praesentium dolorum necessitatibus architecto, consectetur amet, officiis consequuntur doloribus earum odio quo recusandae voluptates!</p>\r\n<p>Similique incidunt error voluptatum repellendus fuga sunt, dicta dolore necessitatibus nesciunt reprehenderit adipisci. Sed aperiam a nostrum odit debitis sint, ducimus dolor!</p>\r\n<p>Earum quos, ipsam consectetur nostrum tempora incidunt debitis temporibus itaque assumenda architecto dignissimos perferendis possimus ipsa commodi rerum vero nam ab voluptatem?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Vel quia repellat adipisci quidem aspernatur in. Iusto expedita ratione esse minima nostrum! Minus deleniti rerum impedit hic ullam doloremque a necessitatibus id aliquid blanditiis. At eveniet aspernatur cum veniam. Sequi perspiciatis corporis, laborum nulla nisi odit? Suscipit cupiditate expedita incidunt dolores quis sed minus delectus nulla.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Natus, vero repellendus eos. Sed velit aliquid corporis numquam quis officiis maxime consequuntur doloremque amet accusamus nesciunt, praesentium quidem at assumenda quisquam omnis voluptas veritatis?</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eaque quae itaque accusantium nam facilis ad vero, maiores officiis ab, cupiditate, recusandae molestias.</p>\r\n<p>Pariatur consequatur, ipsum quos veritatis in laborum eveniet praesentium dolorum necessitatibus architecto, consectetur amet, officiis consequuntur doloribus earum odio quo recusandae voluptates!</p>\r\n<p>Similique incidunt error voluptatum repellendus fuga sunt, dicta dolore necessitatibus nesciunt reprehenderit adipisci. Sed aperiam a nostrum odit debitis sint, ducimus dolor!</p>\r\n<p>Earum quos, ipsam consectetur nostrum tempora incidunt debitis temporibus itaque assumenda architecto dignissimos perferendis possimus ipsa commodi rerum vero nam ab voluptatem?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Vel quia repellat adipisci quidem aspernatur in. Iusto expedita ratione esse minima nostrum! Minus deleniti rerum impedit hic ullam doloremque a necessitatibus id aliquid blanditiis. At eveniet aspernatur cum veniam. Sequi perspiciatis corporis, laborum nulla nisi odit? Suscipit cupiditate expedita incidunt dolores quis sed minus delectus nulla.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Natus, vero repellendus eos. Sed velit aliquid corporis numquam quis officiis maxime consequuntur doloremque amet accusamus nesciunt, praesentium quidem at assumenda quisquam omnis voluptas veritatis?</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eaque quae itaque accusantium nam facilis ad vero, maiores officiis ab, cupiditate, recusandae molestias.</p>\r\n<p>Pariatur consequatur, ipsum quos veritatis in laborum eveniet praesentium dolorum necessitatibus architecto, consectetur amet, officiis consequuntur doloribus earum odio quo recusandae voluptates!</p>\r\n<p>Similique incidunt error voluptatum repellendus fuga sunt, dicta dolore necessitatibus nesciunt reprehenderit adipisci. Sed aperiam a nostrum odit debitis sint, ducimus dolor!</p>\r\n<p>Earum quos, ipsam consectetur nostrum tempora incidunt debitis temporibus itaque assumenda architecto dignissimos perferendis possimus ipsa commodi rerum vero nam ab voluptatem?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Vel quia repellat adipisci quidem aspernatur in. Iusto expedita ratione esse minima nostrum! Minus deleniti rerum impedit hic ullam doloremque a necessitatibus id aliquid blanditiis. At eveniet aspernatur cum veniam. Sequi perspiciatis corporis, laborum nulla nisi odit? Suscipit cupiditate expedita incidunt dolores quis sed minus delectus nulla.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Natus, vero repellendus eos. Sed velit aliquid corporis numquam quis officiis maxime consequuntur doloremque amet accusamus nesciunt, praesentium quidem at assumenda quisquam omnis voluptas veritatis?</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eaque quae itaque accusantium nam facilis ad vero, maiores officiis ab, cupiditate, recusandae molestias.</p>\r\n<p>Pariatur consequatur, ipsum quos veritatis in laborum eveniet praesentium dolorum necessitatibus architecto, consectetur amet, officiis consequuntur doloribus earum odio quo recusandae voluptates!</p>\r\n<p>Similique incidunt error voluptatum repellendus fuga sunt, dicta dolore necessitatibus nesciunt reprehenderit adipisci. Sed aperiam a nostrum odit debitis sint, ducimus dolor!</p>\r\n<p>Earum quos, ipsam consectetur nostrum tempora incidunt debitis temporibus itaque assumenda architecto dignissimos perferendis possimus ipsa commodi rerum vero nam ab voluptatem?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Vel quia repellat adipisci quidem aspernatur in. Iusto expedita ratione esse minima nostrum! Minus deleniti rerum impedit hic ullam doloremque a necessitatibus id aliquid blanditiis. At eveniet aspernatur cum veniam. Sequi perspiciatis corporis, laborum nulla nisi odit? Suscipit cupiditate expedita incidunt dolores quis sed minus delectus nulla.</p>\r\n", "Quos, quis inventore.", "Beatae quisquam fuga neque natus impedit iste incidunt. Temporibus ratione perferendis repellendus.\r\n", "publish", "open", "open", "", "quos-quis-inventore", "", "", "2018-07-29 16:00:14", "2018-07-29 16:00:14", "", "0", "http://localhost:8888/metonymic/quos-quis-inventore", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("61", "1", "2018-07-15 01:24:48", "2018-07-15 01:24:48", "", "Lagavulin", "", "inherit", "closed", "closed", "", "59-revision-v1", "", "", "2018-07-15 01:24:48", "2018-07-15 01:24:48", "", "59", "http://localhost:8888/metonymic/2018/07/15/59-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("62", "1", "2018-07-15 01:25:03", "2018-07-15 01:25:03", "", "Bowmore", "", "inherit", "closed", "closed", "", "60-revision-v1", "", "", "2018-07-15 01:25:03", "2018-07-15 01:25:03", "", "60", "http://localhost:8888/metonymic/2018/07/15/60-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("63", "1", "2018-07-15 01:25:27", "2018-07-15 01:25:27", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatibus ducimus similique illum, aspernatur magni. Officia alias fugit sunt quis atque ratione temporibus maiores suscipit harum iusto et rem soluta odio, molestiae autem eligendi.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Iure minus dolores consectetur enim commodi ipsam ut minima. Perferendis eaque labore explicabo recusandae?</p>\r\n<p>Autem assumenda eveniet, a aspernatur voluptates dolore, omnis illum voluptas dicta perspiciatis ex doloribus. Itaque harum neque earum dolorem, error ipsam ab.</p>\r\n<p>Ipsam et distinctio tempora maiores consequatur, ducimus explicabo voluptas, dolorum iste eum consectetur ea provident id quia nesciunt voluptates voluptatum. Quibusdam, harum.</p>\r\n<p>Pariatur illo aperiam quisquam voluptas dicta aspernatur magni laborum, quibusdam impedit quos non distinctio earum ipsa sapiente minima nihil, eius aliquam dolor.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Doloribus consequatur, ea officiis ab aliquid quia commodi non? Non molestias, a accusantium perferendis necessitatibus repellat libero nemo, doloribus quaerat iusto, laudantium? Laudantium in, aliquam deserunt hic esse sint amet animi, necessitatibus labore officiis temporibus nihil excepturi ex totam, dolore placeat illo error ea quod nesciunt dolores!</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatibus ducimus similique illum, aspernatur magni. Officia alias fugit sunt quis atque ratione temporibus maiores suscipit harum iusto et rem soluta odio, molestiae autem eligendi.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Iure minus dolores consectetur enim commodi ipsam ut minima. Perferendis eaque labore explicabo recusandae?</p>\r\n<p>Autem assumenda eveniet, a aspernatur voluptates dolore, omnis illum voluptas dicta perspiciatis ex doloribus. Itaque harum neque earum dolorem, error ipsam ab.</p>\r\n<p>Ipsam et distinctio tempora maiores consequatur, ducimus explicabo voluptas, dolorum iste eum consectetur ea provident id quia nesciunt voluptates voluptatum. Quibusdam, harum.</p>\r\n<p>Pariatur illo aperiam quisquam voluptas dicta aspernatur magni laborum, quibusdam impedit quos non distinctio earum ipsa sapiente minima nihil, eius aliquam dolor.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Doloribus consequatur, ea officiis ab aliquid quia commodi non? Non molestias, a accusantium perferendis necessitatibus repellat libero nemo, doloribus quaerat iusto, laudantium? Laudantium in, aliquam deserunt hic esse sint amet animi, necessitatibus labore officiis temporibus nihil excepturi ex totam, dolore placeat illo error ea quod nesciunt dolores!</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatibus ducimus similique illum, aspernatur magni. Officia alias fugit sunt quis atque ratione temporibus maiores suscipit harum iusto et rem soluta odio, molestiae autem eligendi.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Iure minus dolores consectetur enim commodi ipsam ut minima. Perferendis eaque labore explicabo recusandae?</p>\r\n<p>Autem assumenda eveniet, a aspernatur voluptates dolore, omnis illum voluptas dicta perspiciatis ex doloribus. Itaque harum neque earum dolorem, error ipsam ab.</p>\r\n<p>Ipsam et distinctio tempora maiores consequatur, ducimus explicabo voluptas, dolorum iste eum consectetur ea provident id quia nesciunt voluptates voluptatum. Quibusdam, harum.</p>\r\n<p>Pariatur illo aperiam quisquam voluptas dicta aspernatur magni laborum, quibusdam impedit quos non distinctio earum ipsa sapiente minima nihil, eius aliquam dolor.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Doloribus consequatur, ea officiis ab aliquid quia commodi non? Non molestias, a accusantium perferendis necessitatibus repellat libero nemo, doloribus quaerat iusto, laudantium? Laudantium in, aliquam deserunt hic esse sint amet animi, necessitatibus labore officiis temporibus nihil excepturi ex totam, dolore placeat illo error ea quod nesciunt dolores!</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatibus ducimus similique illum, aspernatur magni. Officia alias fugit sunt quis atque ratione temporibus maiores suscipit harum iusto et rem soluta odio, molestiae autem eligendi.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Iure minus dolores consectetur enim commodi ipsam ut minima. Perferendis eaque labore explicabo recusandae?</p>\r\n<p>Autem assumenda eveniet, a aspernatur voluptates dolore, omnis illum voluptas dicta perspiciatis ex doloribus. Itaque harum neque earum dolorem, error ipsam ab.</p>\r\n<p>Ipsam et distinctio tempora maiores consequatur, ducimus explicabo voluptas, dolorum iste eum consectetur ea provident id quia nesciunt voluptates voluptatum. Quibusdam, harum.</p>\r\n<p>Pariatur illo aperiam quisquam voluptas dicta aspernatur magni laborum, quibusdam impedit quos non distinctio earum ipsa sapiente minima nihil, eius aliquam dolor.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Doloribus consequatur, ea officiis ab aliquid quia commodi non? Non molestias, a accusantium perferendis necessitatibus repellat libero nemo, doloribus quaerat iusto, laudantium? Laudantium in, aliquam deserunt hic esse sint amet animi, necessitatibus labore officiis temporibus nihil excepturi ex totam, dolore placeat illo error ea quod nesciunt dolores!</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatibus ducimus similique illum, aspernatur magni. Officia alias fugit sunt quis atque ratione temporibus maiores suscipit harum iusto et rem soluta odio, molestiae autem eligendi.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Iure minus dolores consectetur enim commodi ipsam ut minima. Perferendis eaque labore explicabo recusandae?</p>\r\n<p>Autem assumenda eveniet, a aspernatur voluptates dolore, omnis illum voluptas dicta perspiciatis ex doloribus. Itaque harum neque earum dolorem, error ipsam ab.</p>\r\n<p>Ipsam et distinctio tempora maiores consequatur, ducimus explicabo voluptas, dolorum iste eum consectetur ea provident id quia nesciunt voluptates voluptatum. Quibusdam, harum.</p>\r\n<p>Pariatur illo aperiam quisquam voluptas dicta aspernatur magni laborum, quibusdam impedit quos non distinctio earum ipsa sapiente minima nihil, eius aliquam dolor.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Doloribus consequatur, ea officiis ab aliquid quia commodi non? Non molestias, a accusantium perferendis necessitatibus repellat libero nemo, doloribus quaerat iusto, laudantium? Laudantium in, aliquam deserunt hic esse sint amet animi, necessitatibus labore officiis temporibus nihil excepturi ex totam, dolore placeat illo error ea quod nesciunt dolores!</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatibus ducimus similique illum, aspernatur magni. Officia alias fugit sunt quis atque ratione temporibus maiores suscipit harum iusto et rem soluta odio, molestiae autem eligendi.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Iure minus dolores consectetur enim commodi ipsam ut minima. Perferendis eaque labore explicabo recusandae?</p>\r\n<p>Autem assumenda eveniet, a aspernatur voluptates dolore, omnis illum voluptas dicta perspiciatis ex doloribus. Itaque harum neque earum dolorem, error ipsam ab.</p>\r\n<p>Ipsam et distinctio tempora maiores consequatur, ducimus explicabo voluptas, dolorum iste eum consectetur ea provident id quia nesciunt voluptates voluptatum. Quibusdam, harum.</p>\r\n<p>Pariatur illo aperiam quisquam voluptas dicta aspernatur magni laborum, quibusdam impedit quos non distinctio earum ipsa sapiente minima nihil, eius aliquam dolor.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Doloribus consequatur, ea officiis ab aliquid quia commodi non? Non molestias, a accusantium perferendis necessitatibus repellat libero nemo, doloribus quaerat iusto, laudantium? Laudantium in, aliquam deserunt hic esse sint amet animi, necessitatibus labore officiis temporibus nihil excepturi ex totam, dolore placeat illo error ea quod nesciunt dolores!</p>", "Amet, tempore, excepturi?", "Odit voluptatem quis aut nemo qui ullam, aperiam reprehenderit molestias sint ea.\r\n", "publish", "open", "open", "", "amet-tempore-excepturi", "", "", "2018-07-29 16:00:27", "2018-07-29 16:00:27", "", "0", "http://localhost:8888/metonymic/amet-tempore-excepturi", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("64", "1", "2018-07-15 01:25:42", "2018-07-15 01:25:42", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Dolorum omnis fuga quidem beatae eum quasi incidunt corporis nisi architecto aperiam illo soluta, non autem, sint vitae minus culpa voluptatum praesentium ullam cum doloremque.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quidem explicabo corporis at totam, quod sit iusto voluptatem aliquam, tenetur natus delectus eos.</p>\r\n<p>Reprehenderit, nesciunt quia, expedita, molestiae est architecto sed qui perferendis enim iure consectetur fuga facilis laboriosam? Esse modi inventore animi consequatur, iste.</p>\r\n<p>Consectetur soluta, voluptatem! Nemo odit nihil unde quaerat consectetur cupiditate sapiente, porro dolore pariatur explicabo voluptatum reprehenderit, aperiam soluta culpa veritatis quam.</p>\r\n<p>Minima illum itaque perferendis fugit dicta ad voluptatem a eaque optio obcaecati quos reprehenderit, quidem, eius provident enim, asperiores, praesentium dolor quisquam!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ipsa consequuntur recusandae aspernatur necessitatibus dignissimos neque pariatur tempore iusto, accusantium tempora quis obcaecati saepe nesciunt nam est a quo sunt fuga deleniti voluptates voluptas inventore. Officiis saepe dolorem enim veniam optio quae corporis, vel, nulla. Suscipit ipsa ratione explicabo magnam recusandae cum doloribus quidem neque necessitatibus.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Dolorum omnis fuga quidem beatae eum quasi incidunt corporis nisi architecto aperiam illo soluta, non autem, sint vitae minus culpa voluptatum praesentium ullam cum doloremque.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quidem explicabo corporis at totam, quod sit iusto voluptatem aliquam, tenetur natus delectus eos.</p>\r\n<p>Reprehenderit, nesciunt quia, expedita, molestiae est architecto sed qui perferendis enim iure consectetur fuga facilis laboriosam? Esse modi inventore animi consequatur, iste.</p>\r\n<p>Consectetur soluta, voluptatem! Nemo odit nihil unde quaerat consectetur cupiditate sapiente, porro dolore pariatur explicabo voluptatum reprehenderit, aperiam soluta culpa veritatis quam.</p>\r\n<p>Minima illum itaque perferendis fugit dicta ad voluptatem a eaque optio obcaecati quos reprehenderit, quidem, eius provident enim, asperiores, praesentium dolor quisquam!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ipsa consequuntur recusandae aspernatur necessitatibus dignissimos neque pariatur tempore iusto, accusantium tempora quis obcaecati saepe nesciunt nam est a quo sunt fuga deleniti voluptates voluptas inventore. Officiis saepe dolorem enim veniam optio quae corporis, vel, nulla. Suscipit ipsa ratione explicabo magnam recusandae cum doloribus quidem neque necessitatibus.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Dolorum omnis fuga quidem beatae eum quasi incidunt corporis nisi architecto aperiam illo soluta, non autem, sint vitae minus culpa voluptatum praesentium ullam cum doloremque.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quidem explicabo corporis at totam, quod sit iusto voluptatem aliquam, tenetur natus delectus eos.</p>\r\n<p>Reprehenderit, nesciunt quia, expedita, molestiae est architecto sed qui perferendis enim iure consectetur fuga facilis laboriosam? Esse modi inventore animi consequatur, iste.</p>\r\n<p>Consectetur soluta, voluptatem! Nemo odit nihil unde quaerat consectetur cupiditate sapiente, porro dolore pariatur explicabo voluptatum reprehenderit, aperiam soluta culpa veritatis quam.</p>\r\n<p>Minima illum itaque perferendis fugit dicta ad voluptatem a eaque optio obcaecati quos reprehenderit, quidem, eius provident enim, asperiores, praesentium dolor quisquam!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ipsa consequuntur recusandae aspernatur necessitatibus dignissimos neque pariatur tempore iusto, accusantium tempora quis obcaecati saepe nesciunt nam est a quo sunt fuga deleniti voluptates voluptas inventore. Officiis saepe dolorem enim veniam optio quae corporis, vel, nulla. Suscipit ipsa ratione explicabo magnam recusandae cum doloribus quidem neque necessitatibus.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Dolorum omnis fuga quidem beatae eum quasi incidunt corporis nisi architecto aperiam illo soluta, non autem, sint vitae minus culpa voluptatum praesentium ullam cum doloremque.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quidem explicabo corporis at totam, quod sit iusto voluptatem aliquam, tenetur natus delectus eos.</p>\r\n<p>Reprehenderit, nesciunt quia, expedita, molestiae est architecto sed qui perferendis enim iure consectetur fuga facilis laboriosam? Esse modi inventore animi consequatur, iste.</p>\r\n<p>Consectetur soluta, voluptatem! Nemo odit nihil unde quaerat consectetur cupiditate sapiente, porro dolore pariatur explicabo voluptatum reprehenderit, aperiam soluta culpa veritatis quam.</p>\r\n<p>Minima illum itaque perferendis fugit dicta ad voluptatem a eaque optio obcaecati quos reprehenderit, quidem, eius provident enim, asperiores, praesentium dolor quisquam!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ipsa consequuntur recusandae aspernatur necessitatibus dignissimos neque pariatur tempore iusto, accusantium tempora quis obcaecati saepe nesciunt nam est a quo sunt fuga deleniti voluptates voluptas inventore. Officiis saepe dolorem enim veniam optio quae corporis, vel, nulla. Suscipit ipsa ratione explicabo magnam recusandae cum doloribus quidem neque necessitatibus.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Dolorum omnis fuga quidem beatae eum quasi incidunt corporis nisi architecto aperiam illo soluta, non autem, sint vitae minus culpa voluptatum praesentium ullam cum doloremque.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quidem explicabo corporis at totam, quod sit iusto voluptatem aliquam, tenetur natus delectus eos.</p>\r\n<p>Reprehenderit, nesciunt quia, expedita, molestiae est architecto sed qui perferendis enim iure consectetur fuga facilis laboriosam? Esse modi inventore animi consequatur, iste.</p>\r\n<p>Consectetur soluta, voluptatem! Nemo odit nihil unde quaerat consectetur cupiditate sapiente, porro dolore pariatur explicabo voluptatum reprehenderit, aperiam soluta culpa veritatis quam.</p>\r\n<p>Minima illum itaque perferendis fugit dicta ad voluptatem a eaque optio obcaecati quos reprehenderit, quidem, eius provident enim, asperiores, praesentium dolor quisquam!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ipsa consequuntur recusandae aspernatur necessitatibus dignissimos neque pariatur tempore iusto, accusantium tempora quis obcaecati saepe nesciunt nam est a quo sunt fuga deleniti voluptates voluptas inventore. Officiis saepe dolorem enim veniam optio quae corporis, vel, nulla. Suscipit ipsa ratione explicabo magnam recusandae cum doloribus quidem neque necessitatibus.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Dolorum omnis fuga quidem beatae eum quasi incidunt corporis nisi architecto aperiam illo soluta, non autem, sint vitae minus culpa voluptatum praesentium ullam cum doloremque.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quidem explicabo corporis at totam, quod sit iusto voluptatem aliquam, tenetur natus delectus eos.</p>\r\n<p>Reprehenderit, nesciunt quia, expedita, molestiae est architecto sed qui perferendis enim iure consectetur fuga facilis laboriosam? Esse modi inventore animi consequatur, iste.</p>\r\n<p>Consectetur soluta, voluptatem! Nemo odit nihil unde quaerat consectetur cupiditate sapiente, porro dolore pariatur explicabo voluptatum reprehenderit, aperiam soluta culpa veritatis quam.</p>\r\n<p>Minima illum itaque perferendis fugit dicta ad voluptatem a eaque optio obcaecati quos reprehenderit, quidem, eius provident enim, asperiores, praesentium dolor quisquam!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ipsa consequuntur recusandae aspernatur necessitatibus dignissimos neque pariatur tempore iusto, accusantium tempora quis obcaecati saepe nesciunt nam est a quo sunt fuga deleniti voluptates voluptas inventore. Officiis saepe dolorem enim veniam optio quae corporis, vel, nulla. Suscipit ipsa ratione explicabo magnam recusandae cum doloribus quidem neque necessitatibus.</p>\r\n", "Voluptatibus ipsam, cumque.", "Tenetur eum cum nobis, error minima, odio at ipsum deserunt illum sunt.\r\n", "publish", "open", "open", "", "voluptatibus-ipsam-cumque", "", "", "2018-07-29 16:00:41", "2018-07-29 16:00:41", "", "0", "http://localhost:8888/metonymic/voluptatibus-ipsam-cumque", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("65", "1", "2018-07-15 01:25:20", "2018-07-15 01:25:20", "", "Talisker", "", "inherit", "closed", "closed", "", "63-revision-v1", "", "", "2018-07-15 01:25:20", "2018-07-15 01:25:20", "", "63", "http://localhost:8888/metonymic/2018/07/15/63-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("66", "1", "2018-07-15 01:25:42", "2018-07-15 01:25:42", "", "Highland Park", "", "inherit", "closed", "closed", "", "64-revision-v1", "", "", "2018-07-15 01:25:42", "2018-07-15 01:25:42", "", "64", "http://localhost:8888/metonymic/2018/07/15/64-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("67", "1", "2018-07-15 01:26:31", "2018-07-15 01:26:31", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Placeat ratione quibusdam omnis explicabo amet inventore optio iusto veritatis mollitia perferendis quisquam ea deleniti earum ipsum nobis beatae quis quidem quod, excepturi, quasi accusantium.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Iste omnis, alias laudantium veniam atque modi, id suscipit rem consequatur voluptatum sunt nulla?</p>\r\n<p>Odit, veritatis, voluptate. Magnam enim placeat dolore amet culpa, perferendis iusto tenetur impedit! Cupiditate vel odit culpa, harum illo repellat nobis temporibus!</p>\r\n<p>Earum corporis, a beatae porro dicta fuga velit accusamus atque cupiditate nulla laudantium necessitatibus quaerat commodi! Atque itaque unde earum quae repellat!</p>\r\n<p>Deleniti, quasi, et voluptatibus, modi, voluptatum praesentium iste dolore aperiam molestiae temporibus necessitatibus! Sint soluta ex accusantium ducimus quis, fugit esse sed!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Incidunt quod eius ipsam officia debitis omnis, repellat, et sed distinctio voluptatem expedita, quisquam quae, sapiente vel illo ullam iure praesentium sequi culpa velit quo fugiat blanditiis quaerat! Quo vel similique sint quae perferendis nesciunt, magnam, eveniet rem suscipit nobis excepturi necessitatibus quis sapiente voluptates. Reprehenderit, repellendus.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Placeat ratione quibusdam omnis explicabo amet inventore optio iusto veritatis mollitia perferendis quisquam ea deleniti earum ipsum nobis beatae quis quidem quod, excepturi, quasi accusantium.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Iste omnis, alias laudantium veniam atque modi, id suscipit rem consequatur voluptatum sunt nulla?</p>\r\n<p>Odit, veritatis, voluptate. Magnam enim placeat dolore amet culpa, perferendis iusto tenetur impedit! Cupiditate vel odit culpa, harum illo repellat nobis temporibus!</p>\r\n<p>Earum corporis, a beatae porro dicta fuga velit accusamus atque cupiditate nulla laudantium necessitatibus quaerat commodi! Atque itaque unde earum quae repellat!</p>\r\n<p>Deleniti, quasi, et voluptatibus, modi, voluptatum praesentium iste dolore aperiam molestiae temporibus necessitatibus! Sint soluta ex accusantium ducimus quis, fugit esse sed!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Incidunt quod eius ipsam officia debitis omnis, repellat, et sed distinctio voluptatem expedita, quisquam quae, sapiente vel illo ullam iure praesentium sequi culpa velit quo fugiat blanditiis quaerat! Quo vel similique sint quae perferendis nesciunt, magnam, eveniet rem suscipit nobis excepturi necessitatibus quis sapiente voluptates. Reprehenderit, repellendus.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Placeat ratione quibusdam omnis explicabo amet inventore optio iusto veritatis mollitia perferendis quisquam ea deleniti earum ipsum nobis beatae quis quidem quod, excepturi, quasi accusantium.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Iste omnis, alias laudantium veniam atque modi, id suscipit rem consequatur voluptatum sunt nulla?</p>\r\n<p>Odit, veritatis, voluptate. Magnam enim placeat dolore amet culpa, perferendis iusto tenetur impedit! Cupiditate vel odit culpa, harum illo repellat nobis temporibus!</p>\r\n<p>Earum corporis, a beatae porro dicta fuga velit accusamus atque cupiditate nulla laudantium necessitatibus quaerat commodi! Atque itaque unde earum quae repellat!</p>\r\n<p>Deleniti, quasi, et voluptatibus, modi, voluptatum praesentium iste dolore aperiam molestiae temporibus necessitatibus! Sint soluta ex accusantium ducimus quis, fugit esse sed!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Incidunt quod eius ipsam officia debitis omnis, repellat, et sed distinctio voluptatem expedita, quisquam quae, sapiente vel illo ullam iure praesentium sequi culpa velit quo fugiat blanditiis quaerat! Quo vel similique sint quae perferendis nesciunt, magnam, eveniet rem suscipit nobis excepturi necessitatibus quis sapiente voluptates. Reprehenderit, repellendus.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Placeat ratione quibusdam omnis explicabo amet inventore optio iusto veritatis mollitia perferendis quisquam ea deleniti earum ipsum nobis beatae quis quidem quod, excepturi, quasi accusantium.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Iste omnis, alias laudantium veniam atque modi, id suscipit rem consequatur voluptatum sunt nulla?</p>\r\n<p>Odit, veritatis, voluptate. Magnam enim placeat dolore amet culpa, perferendis iusto tenetur impedit! Cupiditate vel odit culpa, harum illo repellat nobis temporibus!</p>\r\n<p>Earum corporis, a beatae porro dicta fuga velit accusamus atque cupiditate nulla laudantium necessitatibus quaerat commodi! Atque itaque unde earum quae repellat!</p>\r\n<p>Deleniti, quasi, et voluptatibus, modi, voluptatum praesentium iste dolore aperiam molestiae temporibus necessitatibus! Sint soluta ex accusantium ducimus quis, fugit esse sed!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Incidunt quod eius ipsam officia debitis omnis, repellat, et sed distinctio voluptatem expedita, quisquam quae, sapiente vel illo ullam iure praesentium sequi culpa velit quo fugiat blanditiis quaerat! Quo vel similique sint quae perferendis nesciunt, magnam, eveniet rem suscipit nobis excepturi necessitatibus quis sapiente voluptates. Reprehenderit, repellendus.</p>\r\n", "Aspernatur ipsa, esse!", "Voluptas laboriosam, consequuntur. Odit sed voluptatem explicabo placeat quod harum minima, fugit.\r\n", "publish", "open", "open", "", "aspernatur-ipsa-esse", "", "", "2018-07-29 16:01:07", "2018-07-29 16:01:07", "", "0", "http://localhost:8888/metonymic/aspernatur-ipsa-esse", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("68", "1", "2018-07-15 01:26:45", "2018-07-15 01:26:45", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptate ipsa, facilis nostrum iusto autem, facere dolorem. Voluptatibus minima et, cum exercitationem a at distinctio, corporis ab expedita. Sunt libero sed dolores, saepe facilis!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ullam sed, culpa eum ipsa nam similique tempora fugit! Praesentium aut facilis obcaecati quo.</p>\r\n<p>Sunt quod cupiditate, quaerat dolore rem quae! Ducimus, autem, aliquam possimus consequuntur earum, rem dolor qui quis perspiciatis corrupti iusto, aliquid tenetur.</p>\r\n<p>Nihil eius ullam autem necessitatibus nesciunt eaque, iusto voluptatem ipsum voluptas doloremque, ex iure dicta aperiam! Molestiae magni eligendi, autem sequi. Odio!</p>\r\n<p>Aspernatur accusantium ipsam debitis in qui. Quia possimus, consequuntur optio, nam atque earum laudantium est dolore alias nesciunt reiciendis. Laudantium, natus, tempore?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Temporibus in nulla saepe officiis, culpa qui quibusdam quos aliquid itaque. Fugit corporis dolores delectus architecto necessitatibus est, iure, quas sed animi dolorem tempora, quisquam voluptatum obcaecati non doloremque. Omnis aspernatur, sed dolorem iste sunt facilis laborum qui soluta deleniti minus voluptatum ea, voluptates cum. Eveniet, perferendis!</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptate ipsa, facilis nostrum iusto autem, facere dolorem. Voluptatibus minima et, cum exercitationem a at distinctio, corporis ab expedita. Sunt libero sed dolores, saepe facilis!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ullam sed, culpa eum ipsa nam similique tempora fugit! Praesentium aut facilis obcaecati quo.</p>\r\n<p>Sunt quod cupiditate, quaerat dolore rem quae! Ducimus, autem, aliquam possimus consequuntur earum, rem dolor qui quis perspiciatis corrupti iusto, aliquid tenetur.</p>\r\n<p>Nihil eius ullam autem necessitatibus nesciunt eaque, iusto voluptatem ipsum voluptas doloremque, ex iure dicta aperiam! Molestiae magni eligendi, autem sequi. Odio!</p>\r\n<p>Aspernatur accusantium ipsam debitis in qui. Quia possimus, consequuntur optio, nam atque earum laudantium est dolore alias nesciunt reiciendis. Laudantium, natus, tempore?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Temporibus in nulla saepe officiis, culpa qui quibusdam quos aliquid itaque. Fugit corporis dolores delectus architecto necessitatibus est, iure, quas sed animi dolorem tempora, quisquam voluptatum obcaecati non doloremque. Omnis aspernatur, sed dolorem iste sunt facilis laborum qui soluta deleniti minus voluptatum ea, voluptates cum. Eveniet, perferendis!</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptate ipsa, facilis nostrum iusto autem, facere dolorem. Voluptatibus minima et, cum exercitationem a at distinctio, corporis ab expedita. Sunt libero sed dolores, saepe facilis!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ullam sed, culpa eum ipsa nam similique tempora fugit! Praesentium aut facilis obcaecati quo.</p>\r\n<p>Sunt quod cupiditate, quaerat dolore rem quae! Ducimus, autem, aliquam possimus consequuntur earum, rem dolor qui quis perspiciatis corrupti iusto, aliquid tenetur.</p>\r\n<p>Nihil eius ullam autem necessitatibus nesciunt eaque, iusto voluptatem ipsum voluptas doloremque, ex iure dicta aperiam! Molestiae magni eligendi, autem sequi. Odio!</p>\r\n<p>Aspernatur accusantium ipsam debitis in qui. Quia possimus, consequuntur optio, nam atque earum laudantium est dolore alias nesciunt reiciendis. Laudantium, natus, tempore?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Temporibus in nulla saepe officiis, culpa qui quibusdam quos aliquid itaque. Fugit corporis dolores delectus architecto necessitatibus est, iure, quas sed animi dolorem tempora, quisquam voluptatum obcaecati non doloremque. Omnis aspernatur, sed dolorem iste sunt facilis laborum qui soluta deleniti minus voluptatum ea, voluptates cum. Eveniet, perferendis!</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptate ipsa, facilis nostrum iusto autem, facere dolorem. Voluptatibus minima et, cum exercitationem a at distinctio, corporis ab expedita. Sunt libero sed dolores, saepe facilis!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ullam sed, culpa eum ipsa nam similique tempora fugit! Praesentium aut facilis obcaecati quo.</p>\r\n<p>Sunt quod cupiditate, quaerat dolore rem quae! Ducimus, autem, aliquam possimus consequuntur earum, rem dolor qui quis perspiciatis corrupti iusto, aliquid tenetur.</p>\r\n<p>Nihil eius ullam autem necessitatibus nesciunt eaque, iusto voluptatem ipsum voluptas doloremque, ex iure dicta aperiam! Molestiae magni eligendi, autem sequi. Odio!</p>\r\n<p>Aspernatur accusantium ipsam debitis in qui. Quia possimus, consequuntur optio, nam atque earum laudantium est dolore alias nesciunt reiciendis. Laudantium, natus, tempore?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Temporibus in nulla saepe officiis, culpa qui quibusdam quos aliquid itaque. Fugit corporis dolores delectus architecto necessitatibus est, iure, quas sed animi dolorem tempora, quisquam voluptatum obcaecati non doloremque. Omnis aspernatur, sed dolorem iste sunt facilis laborum qui soluta deleniti minus voluptatum ea, voluptates cum. Eveniet, perferendis!</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptate ipsa, facilis nostrum iusto autem, facere dolorem. Voluptatibus minima et, cum exercitationem a at distinctio, corporis ab expedita. Sunt libero sed dolores, saepe facilis!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ullam sed, culpa eum ipsa nam similique tempora fugit! Praesentium aut facilis obcaecati quo.</p>\r\n<p>Sunt quod cupiditate, quaerat dolore rem quae! Ducimus, autem, aliquam possimus consequuntur earum, rem dolor qui quis perspiciatis corrupti iusto, aliquid tenetur.</p>\r\n<p>Nihil eius ullam autem necessitatibus nesciunt eaque, iusto voluptatem ipsum voluptas doloremque, ex iure dicta aperiam! Molestiae magni eligendi, autem sequi. Odio!</p>\r\n<p>Aspernatur accusantium ipsam debitis in qui. Quia possimus, consequuntur optio, nam atque earum laudantium est dolore alias nesciunt reiciendis. Laudantium, natus, tempore?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Temporibus in nulla saepe officiis, culpa qui quibusdam quos aliquid itaque. Fugit corporis dolores delectus architecto necessitatibus est, iure, quas sed animi dolorem tempora, quisquam voluptatum obcaecati non doloremque. Omnis aspernatur, sed dolorem iste sunt facilis laborum qui soluta deleniti minus voluptatum ea, voluptates cum. Eveniet, perferendis!</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptate ipsa, facilis nostrum iusto autem, facere dolorem. Voluptatibus minima et, cum exercitationem a at distinctio, corporis ab expedita. Sunt libero sed dolores, saepe facilis!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ullam sed, culpa eum ipsa nam similique tempora fugit! Praesentium aut facilis obcaecati quo.</p>\r\n<p>Sunt quod cupiditate, quaerat dolore rem quae! Ducimus, autem, aliquam possimus consequuntur earum, rem dolor qui quis perspiciatis corrupti iusto, aliquid tenetur.</p>\r\n<p>Nihil eius ullam autem necessitatibus nesciunt eaque, iusto voluptatem ipsum voluptas doloremque, ex iure dicta aperiam! Molestiae magni eligendi, autem sequi. Odio!</p>\r\n<p>Aspernatur accusantium ipsam debitis in qui. Quia possimus, consequuntur optio, nam atque earum laudantium est dolore alias nesciunt reiciendis. Laudantium, natus, tempore?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Temporibus in nulla saepe officiis, culpa qui quibusdam quos aliquid itaque. Fugit corporis dolores delectus architecto necessitatibus est, iure, quas sed animi dolorem tempora, quisquam voluptatum obcaecati non doloremque. Omnis aspernatur, sed dolorem iste sunt facilis laborum qui soluta deleniti minus voluptatum ea, voluptates cum. Eveniet, perferendis!</p>", "Dolore, quam, doloremque!", "Non totam recusandae maxime illum ab odio dicta ipsa reiciendis alias corporis.\r\n", "publish", "open", "open", "", "dolore-quam-doloremque", "", "", "2018-07-29 16:01:22", "2018-07-29 16:01:22", "", "0", "http://localhost:8888/metonymic/dolore-quam-doloremque", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("69", "1", "2018-07-15 01:26:55", "2018-07-15 01:26:55", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Assumenda incidunt, accusamus saepe. Consectetur molestias nulla hic adipisci eaque provident optio, odit magni ut sit quod ea suscipit, saepe eos dolor exercitationem neque quasi?</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Unde eum consequatur ea illum blanditiis impedit iste perferendis sapiente sed, quaerat inventore, ab.</p>\r\n<p>Necessitatibus, incidunt dolores neque distinctio amet ducimus, magni dolorem quam. Sunt quia inventore rerum neque reprehenderit sequi tenetur possimus molestias quam molestiae?</p>\r\n<p>Reiciendis officiis obcaecati, odit repellendus debitis eligendi vitae consequatur provident vel aliquid nemo ratione. Fugiat cumque et, adipisci, facilis similique unde perspiciatis.</p>\r\n<p>Quibusdam, in dolorum! Sequi quasi recusandae deleniti accusantium consequatur dolor quam aliquam, aliquid ipsum perferendis similique aut id minus nihil ex libero!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sint tempore suscipit labore veritatis, cumque delectus fugiat debitis in voluptate recusandae provident ipsum, ipsa aliquam, iusto numquam minus maxime quos culpa tempora mollitia neque dolorem quibusdam! Vitae libero nisi voluptatum rerum saepe nulla harum minima nam nesciunt! Ipsa veniam, cumque ratione reprehenderit totam quia et fugiat.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Assumenda incidunt, accusamus saepe. Consectetur molestias nulla hic adipisci eaque provident optio, odit magni ut sit quod ea suscipit, saepe eos dolor exercitationem neque quasi?</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Unde eum consequatur ea illum blanditiis impedit iste perferendis sapiente sed, quaerat inventore, ab.</p>\r\n<p>Necessitatibus, incidunt dolores neque distinctio amet ducimus, magni dolorem quam. Sunt quia inventore rerum neque reprehenderit sequi tenetur possimus molestias quam molestiae?</p>\r\n<p>Reiciendis officiis obcaecati, odit repellendus debitis eligendi vitae consequatur provident vel aliquid nemo ratione. Fugiat cumque et, adipisci, facilis similique unde perspiciatis.</p>\r\n<p>Quibusdam, in dolorum! Sequi quasi recusandae deleniti accusantium consequatur dolor quam aliquam, aliquid ipsum perferendis similique aut id minus nihil ex libero!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sint tempore suscipit labore veritatis, cumque delectus fugiat debitis in voluptate recusandae provident ipsum, ipsa aliquam, iusto numquam minus maxime quos culpa tempora mollitia neque dolorem quibusdam! Vitae libero nisi voluptatum rerum saepe nulla harum minima nam nesciunt! Ipsa veniam, cumque ratione reprehenderit totam quia et fugiat.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Assumenda incidunt, accusamus saepe. Consectetur molestias nulla hic adipisci eaque provident optio, odit magni ut sit quod ea suscipit, saepe eos dolor exercitationem neque quasi?</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Unde eum consequatur ea illum blanditiis impedit iste perferendis sapiente sed, quaerat inventore, ab.</p>\r\n<p>Necessitatibus, incidunt dolores neque distinctio amet ducimus, magni dolorem quam. Sunt quia inventore rerum neque reprehenderit sequi tenetur possimus molestias quam molestiae?</p>\r\n<p>Reiciendis officiis obcaecati, odit repellendus debitis eligendi vitae consequatur provident vel aliquid nemo ratione. Fugiat cumque et, adipisci, facilis similique unde perspiciatis.</p>\r\n<p>Quibusdam, in dolorum! Sequi quasi recusandae deleniti accusantium consequatur dolor quam aliquam, aliquid ipsum perferendis similique aut id minus nihil ex libero!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sint tempore suscipit labore veritatis, cumque delectus fugiat debitis in voluptate recusandae provident ipsum, ipsa aliquam, iusto numquam minus maxime quos culpa tempora mollitia neque dolorem quibusdam! Vitae libero nisi voluptatum rerum saepe nulla harum minima nam nesciunt! Ipsa veniam, cumque ratione reprehenderit totam quia et fugiat.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Assumenda incidunt, accusamus saepe. Consectetur molestias nulla hic adipisci eaque provident optio, odit magni ut sit quod ea suscipit, saepe eos dolor exercitationem neque quasi?</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Unde eum consequatur ea illum blanditiis impedit iste perferendis sapiente sed, quaerat inventore, ab.</p>\r\n<p>Necessitatibus, incidunt dolores neque distinctio amet ducimus, magni dolorem quam. Sunt quia inventore rerum neque reprehenderit sequi tenetur possimus molestias quam molestiae?</p>\r\n<p>Reiciendis officiis obcaecati, odit repellendus debitis eligendi vitae consequatur provident vel aliquid nemo ratione. Fugiat cumque et, adipisci, facilis similique unde perspiciatis.</p>\r\n<p>Quibusdam, in dolorum! Sequi quasi recusandae deleniti accusantium consequatur dolor quam aliquam, aliquid ipsum perferendis similique aut id minus nihil ex libero!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sint tempore suscipit labore veritatis, cumque delectus fugiat debitis in voluptate recusandae provident ipsum, ipsa aliquam, iusto numquam minus maxime quos culpa tempora mollitia neque dolorem quibusdam! Vitae libero nisi voluptatum rerum saepe nulla harum minima nam nesciunt! Ipsa veniam, cumque ratione reprehenderit totam quia et fugiat.</p>\r\n", "Voluptates, minus, eum.", "Quaerat quia ab repudiandae suscipit accusamus expedita reiciendis officiis dolor inventore deserunt?\r\n", "publish", "open", "open", "", "voluptates-minus-eum", "", "", "2018-07-29 16:01:29", "2018-07-29 16:01:29", "", "0", "http://localhost:8888/metonymic/voluptates-minus-eum", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("70", "1", "2018-07-15 01:26:31", "2018-07-15 01:26:31", "", "Springbank", "", "inherit", "closed", "closed", "", "67-revision-v1", "", "", "2018-07-15 01:26:31", "2018-07-15 01:26:31", "", "67", "http://localhost:8888/metonymic/2018/07/15/67-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("71", "1", "2018-07-15 01:26:45", "2018-07-15 01:26:45", "", "Glen Scotia", "", "inherit", "closed", "closed", "", "68-revision-v1", "", "", "2018-07-15 01:26:45", "2018-07-15 01:26:45", "", "68", "http://localhost:8888/metonymic/2018/07/15/68-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("72", "1", "2018-07-15 01:26:55", "2018-07-15 01:26:55", "", "Glengyle", "", "inherit", "closed", "closed", "", "69-revision-v1", "", "", "2018-07-15 01:26:55", "2018-07-15 01:26:55", "", "69", "http://localhost:8888/metonymic/2018/07/15/69-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("73", "1", "2018-07-15 01:28:02", "2018-07-15 01:28:02", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eos similique aliquam rerum saepe ipsum! Earum culpa laudantium error quae? Soluta numquam magni, nobis incidunt doloremque recusandae pariatur, natus mollitia accusantium molestiae et iure!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Praesentium reprehenderit perspiciatis fuga placeat nesciunt illo accusamus aut quia facere culpa? Minima, quasi?</p>\r\n<p>Quam porro, voluptates eaque error tenetur dolore, reprehenderit maiores facilis soluta ad obcaecati ipsum odit impedit voluptate praesentium quos deserunt fuga placeat.</p>\r\n<p>Ducimus eius laboriosam corporis a ex itaque, facere exercitationem repudiandae qui est, in aliquam. Enim, possimus, dolorum necessitatibus nemo quae quos iusto.</p>\r\n<p>Excepturi nisi doloribus doloremque, enim veritatis itaque perferendis maxime corporis voluptas et eveniet repudiandae commodi modi ducimus adipisci, mollitia repellat ullam quod?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Placeat quam voluptates reprehenderit nemo ad maiores sit deleniti quia, magni in quas sed earum commodi possimus explicabo perspiciatis iure debitis eveniet natus quidem neque velit, facere, nulla. Accusantium aperiam optio quibusdam itaque ducimus, quidem ex voluptatibus tenetur laborum laudantium ipsa esse, dolorem deleniti facilis explicabo! Saepe.</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eos similique aliquam rerum saepe ipsum! Earum culpa laudantium error quae? Soluta numquam magni, nobis incidunt doloremque recusandae pariatur, natus mollitia accusantium molestiae et iure!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Praesentium reprehenderit perspiciatis fuga placeat nesciunt illo accusamus aut quia facere culpa? Minima, quasi?</p>\r\n<p>Quam porro, voluptates eaque error tenetur dolore, reprehenderit maiores facilis soluta ad obcaecati ipsum odit impedit voluptate praesentium quos deserunt fuga placeat.</p>\r\n<p>Ducimus eius laboriosam corporis a ex itaque, facere exercitationem repudiandae qui est, in aliquam. Enim, possimus, dolorum necessitatibus nemo quae quos iusto.</p>\r\n<p>Excepturi nisi doloribus doloremque, enim veritatis itaque perferendis maxime corporis voluptas et eveniet repudiandae commodi modi ducimus adipisci, mollitia repellat ullam quod?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Placeat quam voluptates reprehenderit nemo ad maiores sit deleniti quia, magni in quas sed earum commodi possimus explicabo perspiciatis iure debitis eveniet natus quidem neque velit, facere, nulla. Accusantium aperiam optio quibusdam itaque ducimus, quidem ex voluptatibus tenetur laborum laudantium ipsa esse, dolorem deleniti facilis explicabo! Saepe.</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eos similique aliquam rerum saepe ipsum! Earum culpa laudantium error quae? Soluta numquam magni, nobis incidunt doloremque recusandae pariatur, natus mollitia accusantium molestiae et iure!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Praesentium reprehenderit perspiciatis fuga placeat nesciunt illo accusamus aut quia facere culpa? Minima, quasi?</p>\r\n<p>Quam porro, voluptates eaque error tenetur dolore, reprehenderit maiores facilis soluta ad obcaecati ipsum odit impedit voluptate praesentium quos deserunt fuga placeat.</p>\r\n<p>Ducimus eius laboriosam corporis a ex itaque, facere exercitationem repudiandae qui est, in aliquam. Enim, possimus, dolorum necessitatibus nemo quae quos iusto.</p>\r\n<p>Excepturi nisi doloribus doloremque, enim veritatis itaque perferendis maxime corporis voluptas et eveniet repudiandae commodi modi ducimus adipisci, mollitia repellat ullam quod?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Placeat quam voluptates reprehenderit nemo ad maiores sit deleniti quia, magni in quas sed earum commodi possimus explicabo perspiciatis iure debitis eveniet natus quidem neque velit, facere, nulla. Accusantium aperiam optio quibusdam itaque ducimus, quidem ex voluptatibus tenetur laborum laudantium ipsa esse, dolorem deleniti facilis explicabo! Saepe.</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eos similique aliquam rerum saepe ipsum! Earum culpa laudantium error quae? Soluta numquam magni, nobis incidunt doloremque recusandae pariatur, natus mollitia accusantium molestiae et iure!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Praesentium reprehenderit perspiciatis fuga placeat nesciunt illo accusamus aut quia facere culpa? Minima, quasi?</p>\r\n<p>Quam porro, voluptates eaque error tenetur dolore, reprehenderit maiores facilis soluta ad obcaecati ipsum odit impedit voluptate praesentium quos deserunt fuga placeat.</p>\r\n<p>Ducimus eius laboriosam corporis a ex itaque, facere exercitationem repudiandae qui est, in aliquam. Enim, possimus, dolorum necessitatibus nemo quae quos iusto.</p>\r\n<p>Excepturi nisi doloribus doloremque, enim veritatis itaque perferendis maxime corporis voluptas et eveniet repudiandae commodi modi ducimus adipisci, mollitia repellat ullam quod?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Placeat quam voluptates reprehenderit nemo ad maiores sit deleniti quia, magni in quas sed earum commodi possimus explicabo perspiciatis iure debitis eveniet natus quidem neque velit, facere, nulla. Accusantium aperiam optio quibusdam itaque ducimus, quidem ex voluptatibus tenetur laborum laudantium ipsa esse, dolorem deleniti facilis explicabo! Saepe.</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eos similique aliquam rerum saepe ipsum! Earum culpa laudantium error quae? Soluta numquam magni, nobis incidunt doloremque recusandae pariatur, natus mollitia accusantium molestiae et iure!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Praesentium reprehenderit perspiciatis fuga placeat nesciunt illo accusamus aut quia facere culpa? Minima, quasi?</p>\r\n<p>Quam porro, voluptates eaque error tenetur dolore, reprehenderit maiores facilis soluta ad obcaecati ipsum odit impedit voluptate praesentium quos deserunt fuga placeat.</p>\r\n<p>Ducimus eius laboriosam corporis a ex itaque, facere exercitationem repudiandae qui est, in aliquam. Enim, possimus, dolorum necessitatibus nemo quae quos iusto.</p>\r\n<p>Excepturi nisi doloribus doloremque, enim veritatis itaque perferendis maxime corporis voluptas et eveniet repudiandae commodi modi ducimus adipisci, mollitia repellat ullam quod?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Placeat quam voluptates reprehenderit nemo ad maiores sit deleniti quia, magni in quas sed earum commodi possimus explicabo perspiciatis iure debitis eveniet natus quidem neque velit, facere, nulla. Accusantium aperiam optio quibusdam itaque ducimus, quidem ex voluptatibus tenetur laborum laudantium ipsa esse, dolorem deleniti facilis explicabo! Saepe.</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eos similique aliquam rerum saepe ipsum! Earum culpa laudantium error quae? Soluta numquam magni, nobis incidunt doloremque recusandae pariatur, natus mollitia accusantium molestiae et iure!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Praesentium reprehenderit perspiciatis fuga placeat nesciunt illo accusamus aut quia facere culpa? Minima, quasi?</p>\r\n<p>Quam porro, voluptates eaque error tenetur dolore, reprehenderit maiores facilis soluta ad obcaecati ipsum odit impedit voluptate praesentium quos deserunt fuga placeat.</p>\r\n<p>Ducimus eius laboriosam corporis a ex itaque, facere exercitationem repudiandae qui est, in aliquam. Enim, possimus, dolorum necessitatibus nemo quae quos iusto.</p>\r\n<p>Excepturi nisi doloribus doloremque, enim veritatis itaque perferendis maxime corporis voluptas et eveniet repudiandae commodi modi ducimus adipisci, mollitia repellat ullam quod?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Placeat quam voluptates reprehenderit nemo ad maiores sit deleniti quia, magni in quas sed earum commodi possimus explicabo perspiciatis iure debitis eveniet natus quidem neque velit, facere, nulla. Accusantium aperiam optio quibusdam itaque ducimus, quidem ex voluptatibus tenetur laborum laudantium ipsa esse, dolorem deleniti facilis explicabo! Saepe.</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eos similique aliquam rerum saepe ipsum! Earum culpa laudantium error quae? Soluta numquam magni, nobis incidunt doloremque recusandae pariatur, natus mollitia accusantium molestiae et iure!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Praesentium reprehenderit perspiciatis fuga placeat nesciunt illo accusamus aut quia facere culpa? Minima, quasi?</p>\r\n<p>Quam porro, voluptates eaque error tenetur dolore, reprehenderit maiores facilis soluta ad obcaecati ipsum odit impedit voluptate praesentium quos deserunt fuga placeat.</p>\r\n<p>Ducimus eius laboriosam corporis a ex itaque, facere exercitationem repudiandae qui est, in aliquam. Enim, possimus, dolorum necessitatibus nemo quae quos iusto.</p>\r\n<p>Excepturi nisi doloribus doloremque, enim veritatis itaque perferendis maxime corporis voluptas et eveniet repudiandae commodi modi ducimus adipisci, mollitia repellat ullam quod?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Placeat quam voluptates reprehenderit nemo ad maiores sit deleniti quia, magni in quas sed earum commodi possimus explicabo perspiciatis iure debitis eveniet natus quidem neque velit, facere, nulla. Accusantium aperiam optio quibusdam itaque ducimus, quidem ex voluptatibus tenetur laborum laudantium ipsa esse, dolorem deleniti facilis explicabo! Saepe.</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eos similique aliquam rerum saepe ipsum! Earum culpa laudantium error quae? Soluta numquam magni, nobis incidunt doloremque recusandae pariatur, natus mollitia accusantium molestiae et iure!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Praesentium reprehenderit perspiciatis fuga placeat nesciunt illo accusamus aut quia facere culpa? Minima, quasi?</p>\r\n<p>Quam porro, voluptates eaque error tenetur dolore, reprehenderit maiores facilis soluta ad obcaecati ipsum odit impedit voluptate praesentium quos deserunt fuga placeat.</p>\r\n<p>Ducimus eius laboriosam corporis a ex itaque, facere exercitationem repudiandae qui est, in aliquam. Enim, possimus, dolorum necessitatibus nemo quae quos iusto.</p>\r\n<p>Excepturi nisi doloribus doloremque, enim veritatis itaque perferendis maxime corporis voluptas et eveniet repudiandae commodi modi ducimus adipisci, mollitia repellat ullam quod?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Placeat quam voluptates reprehenderit nemo ad maiores sit deleniti quia, magni in quas sed earum commodi possimus explicabo perspiciatis iure debitis eveniet natus quidem neque velit, facere, nulla. Accusantium aperiam optio quibusdam itaque ducimus, quidem ex voluptatibus tenetur laborum laudantium ipsa esse, dolorem deleniti facilis explicabo! Saepe.</p>", "Lusto, assumenda porro.", "Et iste recusandae illo. Dolores illo eum iure aut. Consequatur illo, repellendus?\r\n", "publish", "open", "open", "", "lusto-assumenda-porro", "", "", "2018-07-29 22:14:46", "2018-07-29 22:14:46", "", "0", "http://localhost:8888/metonymic/lusto-assumenda-porro", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("74", "1", "2018-07-15 01:28:17", "2018-07-15 01:28:17", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sit quo debitis assumenda, esse qui in architecto libero sunt totam consequatur, consectetur fugit tempora modi rerum earum optio fugiat quos cum vitae quasi sequi.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Veritatis nemo iure, totam adipisci quam repudiandae aperiam eius repellendus ducimus atque voluptatum molestias!</p>\r\n<p>Earum culpa non beatae, neque ex. Recusandae perferendis sit cum tempora nostrum vero odit excepturi, possimus saepe dolorum ipsam aperiam praesentium voluptates.</p>\r\n<p>Laborum mollitia, rem doloribus ipsa rerum possimus sed dolorum dolorem ad! Ut, eum suscipit. Maxime aperiam, voluptatibus eos minima distinctio commodi repellat!</p>\r\n<p>Explicabo, totam. Esse voluptate ab omnis dicta, eaque at nulla obcaecati praesentium enim, nesciunt. Blanditiis voluptatem officiis modi, consectetur, hic quia ullam!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Optio inventore accusantium officiis quisquam modi amet nulla, quis quasi, blanditiis, repudiandae ipsa culpa sed. Consectetur esse voluptates vel rerum dicta, perferendis nisi fugiat natus nihil velit nemo cupiditate sequi quaerat nostrum quod dolor at sapiente! Doloribus in sint debitis rerum, fugit quos impedit quia sunt, et!</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sit quo debitis assumenda, esse qui in architecto libero sunt totam consequatur, consectetur fugit tempora modi rerum earum optio fugiat quos cum vitae quasi sequi.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Veritatis nemo iure, totam adipisci quam repudiandae aperiam eius repellendus ducimus atque voluptatum molestias!</p>\r\n<p>Earum culpa non beatae, neque ex. Recusandae perferendis sit cum tempora nostrum vero odit excepturi, possimus saepe dolorum ipsam aperiam praesentium voluptates.</p>\r\n<p>Laborum mollitia, rem doloribus ipsa rerum possimus sed dolorum dolorem ad! Ut, eum suscipit. Maxime aperiam, voluptatibus eos minima distinctio commodi repellat!</p>\r\n<p>Explicabo, totam. Esse voluptate ab omnis dicta, eaque at nulla obcaecati praesentium enim, nesciunt. Blanditiis voluptatem officiis modi, consectetur, hic quia ullam!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Optio inventore accusantium officiis quisquam modi amet nulla, quis quasi, blanditiis, repudiandae ipsa culpa sed. Consectetur esse voluptates vel rerum dicta, perferendis nisi fugiat natus nihil velit nemo cupiditate sequi quaerat nostrum quod dolor at sapiente! Doloribus in sint debitis rerum, fugit quos impedit quia sunt, et!</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sit quo debitis assumenda, esse qui in architecto libero sunt totam consequatur, consectetur fugit tempora modi rerum earum optio fugiat quos cum vitae quasi sequi.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Veritatis nemo iure, totam adipisci quam repudiandae aperiam eius repellendus ducimus atque voluptatum molestias!</p>\r\n<p>Earum culpa non beatae, neque ex. Recusandae perferendis sit cum tempora nostrum vero odit excepturi, possimus saepe dolorum ipsam aperiam praesentium voluptates.</p>\r\n<p>Laborum mollitia, rem doloribus ipsa rerum possimus sed dolorum dolorem ad! Ut, eum suscipit. Maxime aperiam, voluptatibus eos minima distinctio commodi repellat!</p>\r\n<p>Explicabo, totam. Esse voluptate ab omnis dicta, eaque at nulla obcaecati praesentium enim, nesciunt. Blanditiis voluptatem officiis modi, consectetur, hic quia ullam!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Optio inventore accusantium officiis quisquam modi amet nulla, quis quasi, blanditiis, repudiandae ipsa culpa sed. Consectetur esse voluptates vel rerum dicta, perferendis nisi fugiat natus nihil velit nemo cupiditate sequi quaerat nostrum quod dolor at sapiente! Doloribus in sint debitis rerum, fugit quos impedit quia sunt, et!</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sit quo debitis assumenda, esse qui in architecto libero sunt totam consequatur, consectetur fugit tempora modi rerum earum optio fugiat quos cum vitae quasi sequi.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Veritatis nemo iure, totam adipisci quam repudiandae aperiam eius repellendus ducimus atque voluptatum molestias!</p>\r\n<p>Earum culpa non beatae, neque ex. Recusandae perferendis sit cum tempora nostrum vero odit excepturi, possimus saepe dolorum ipsam aperiam praesentium voluptates.</p>\r\n<p>Laborum mollitia, rem doloribus ipsa rerum possimus sed dolorum dolorem ad! Ut, eum suscipit. Maxime aperiam, voluptatibus eos minima distinctio commodi repellat!</p>\r\n<p>Explicabo, totam. Esse voluptate ab omnis dicta, eaque at nulla obcaecati praesentium enim, nesciunt. Blanditiis voluptatem officiis modi, consectetur, hic quia ullam!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Optio inventore accusantium officiis quisquam modi amet nulla, quis quasi, blanditiis, repudiandae ipsa culpa sed. Consectetur esse voluptates vel rerum dicta, perferendis nisi fugiat natus nihil velit nemo cupiditate sequi quaerat nostrum quod dolor at sapiente! Doloribus in sint debitis rerum, fugit quos impedit quia sunt, et!</p>", "Veritatis, quaerat, error.", "Distinctio nam excepturi doloribus, unde, corporis atque saepe voluptatem repellendus omnis quia.\r\n", "publish", "open", "open", "", "veritatis-quaerat-error", "", "", "2018-07-29 22:14:41", "2018-07-29 22:14:41", "", "0", "http://localhost:8888/metonymic/veritatis-quaerat-error", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("75", "1", "2018-07-15 01:28:02", "2018-07-15 01:28:02", "", "Chivas Regal", "", "inherit", "closed", "closed", "", "73-revision-v1", "", "", "2018-07-15 01:28:02", "2018-07-15 01:28:02", "", "73", "http://localhost:8888/metonymic/2018/07/15/73-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("76", "1", "2018-07-15 01:28:17", "2018-07-15 01:28:17", "", "Johnnie Walker", "", "inherit", "closed", "closed", "", "74-revision-v1", "", "", "2018-07-15 01:28:17", "2018-07-15 01:28:17", "", "74", "http://localhost:8888/metonymic/2018/07/15/74-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("90", "1", "2018-07-15 19:45:44", "2018-07-15 19:45:44", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sit quo debitis assumenda, esse qui in architecto libero sunt totam consequatur, consectetur fugit tempora modi rerum earum optio fugiat quos cum vitae quasi sequi.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Veritatis nemo iure, totam adipisci quam repudiandae aperiam eius repellendus ducimus atque voluptatum molestias!</p>\r\n<p>Earum culpa non beatae, neque ex. Recusandae perferendis sit cum tempora nostrum vero odit excepturi, possimus saepe dolorum ipsam aperiam praesentium voluptates.</p>\r\n<p>Laborum mollitia, rem doloribus ipsa rerum possimus sed dolorum dolorem ad! Ut, eum suscipit. Maxime aperiam, voluptatibus eos minima distinctio commodi repellat!</p>\r\n<p>Explicabo, totam. Esse voluptate ab omnis dicta, eaque at nulla obcaecati praesentium enim, nesciunt. Blanditiis voluptatem officiis modi, consectetur, hic quia ullam!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Optio inventore accusantium officiis quisquam modi amet nulla, quis quasi, blanditiis, repudiandae ipsa culpa sed. Consectetur esse voluptates vel rerum dicta, perferendis nisi fugiat natus nihil velit nemo cupiditate sequi quaerat nostrum quod dolor at sapiente! Doloribus in sint debitis rerum, fugit quos impedit quia sunt, et!</p>", "Johnnie Walker", "", "inherit", "closed", "closed", "", "74-revision-v1", "", "", "2018-07-15 19:45:44", "2018-07-15 19:45:44", "", "74", "http://localhost:8888/metonymic/2018/07/15/74-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("91", "1", "2018-07-15 19:46:05", "2018-07-15 19:46:05", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eos similique aliquam rerum saepe ipsum! Earum culpa laudantium error quae? Soluta numquam magni, nobis incidunt doloremque recusandae pariatur, natus mollitia accusantium molestiae et iure!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Praesentium reprehenderit perspiciatis fuga placeat nesciunt illo accusamus aut quia facere culpa? Minima, quasi?</p>\r\n<p>Quam porro, voluptates eaque error tenetur dolore, reprehenderit maiores facilis soluta ad obcaecati ipsum odit impedit voluptate praesentium quos deserunt fuga placeat.</p>\r\n<p>Ducimus eius laboriosam corporis a ex itaque, facere exercitationem repudiandae qui est, in aliquam. Enim, possimus, dolorum necessitatibus nemo quae quos iusto.</p>\r\n<p>Excepturi nisi doloribus doloremque, enim veritatis itaque perferendis maxime corporis voluptas et eveniet repudiandae commodi modi ducimus adipisci, mollitia repellat ullam quod?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Placeat quam voluptates reprehenderit nemo ad maiores sit deleniti quia, magni in quas sed earum commodi possimus explicabo perspiciatis iure debitis eveniet natus quidem neque velit, facere, nulla. Accusantium aperiam optio quibusdam itaque ducimus, quidem ex voluptatibus tenetur laborum laudantium ipsa esse, dolorem deleniti facilis explicabo! Saepe.</p>", "Chivas Regal", "", "inherit", "closed", "closed", "", "73-revision-v1", "", "", "2018-07-15 19:46:05", "2018-07-15 19:46:05", "", "73", "http://localhost:8888/metonymic/2018/07/15/73-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("92", "1", "2018-07-15 19:46:22", "2018-07-15 19:46:22", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Assumenda incidunt, accusamus saepe. Consectetur molestias nulla hic adipisci eaque provident optio, odit magni ut sit quod ea suscipit, saepe eos dolor exercitationem neque quasi?</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Unde eum consequatur ea illum blanditiis impedit iste perferendis sapiente sed, quaerat inventore, ab.</p>\r\n<p>Necessitatibus, incidunt dolores neque distinctio amet ducimus, magni dolorem quam. Sunt quia inventore rerum neque reprehenderit sequi tenetur possimus molestias quam molestiae?</p>\r\n<p>Reiciendis officiis obcaecati, odit repellendus debitis eligendi vitae consequatur provident vel aliquid nemo ratione. Fugiat cumque et, adipisci, facilis similique unde perspiciatis.</p>\r\n<p>Quibusdam, in dolorum! Sequi quasi recusandae deleniti accusantium consequatur dolor quam aliquam, aliquid ipsum perferendis similique aut id minus nihil ex libero!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sint tempore suscipit labore veritatis, cumque delectus fugiat debitis in voluptate recusandae provident ipsum, ipsa aliquam, iusto numquam minus maxime quos culpa tempora mollitia neque dolorem quibusdam! Vitae libero nisi voluptatum rerum saepe nulla harum minima nam nesciunt! Ipsa veniam, cumque ratione reprehenderit totam quia et fugiat.</p>\r\n", "Glengyle", "", "inherit", "closed", "closed", "", "69-revision-v1", "", "", "2018-07-15 19:46:22", "2018-07-15 19:46:22", "", "69", "http://localhost:8888/metonymic/2018/07/15/69-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("93", "1", "2018-07-15 19:46:41", "2018-07-15 19:46:41", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptate ipsa, facilis nostrum iusto autem, facere dolorem. Voluptatibus minima et, cum exercitationem a at distinctio, corporis ab expedita. Sunt libero sed dolores, saepe facilis!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ullam sed, culpa eum ipsa nam similique tempora fugit! Praesentium aut facilis obcaecati quo.</p>\r\n<p>Sunt quod cupiditate, quaerat dolore rem quae! Ducimus, autem, aliquam possimus consequuntur earum, rem dolor qui quis perspiciatis corrupti iusto, aliquid tenetur.</p>\r\n<p>Nihil eius ullam autem necessitatibus nesciunt eaque, iusto voluptatem ipsum voluptas doloremque, ex iure dicta aperiam! Molestiae magni eligendi, autem sequi. Odio!</p>\r\n<p>Aspernatur accusantium ipsam debitis in qui. Quia possimus, consequuntur optio, nam atque earum laudantium est dolore alias nesciunt reiciendis. Laudantium, natus, tempore?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Temporibus in nulla saepe officiis, culpa qui quibusdam quos aliquid itaque. Fugit corporis dolores delectus architecto necessitatibus est, iure, quas sed animi dolorem tempora, quisquam voluptatum obcaecati non doloremque. Omnis aspernatur, sed dolorem iste sunt facilis laborum qui soluta deleniti minus voluptatum ea, voluptates cum. Eveniet, perferendis!</p>", "Glen Scotia", "", "inherit", "closed", "closed", "", "68-revision-v1", "", "", "2018-07-15 19:46:41", "2018-07-15 19:46:41", "", "68", "http://localhost:8888/metonymic/2018/07/15/68-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("94", "1", "2018-07-15 19:47:01", "2018-07-15 19:47:01", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Placeat ratione quibusdam omnis explicabo amet inventore optio iusto veritatis mollitia perferendis quisquam ea deleniti earum ipsum nobis beatae quis quidem quod, excepturi, quasi accusantium.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Iste omnis, alias laudantium veniam atque modi, id suscipit rem consequatur voluptatum sunt nulla?</p>\r\n<p>Odit, veritatis, voluptate. Magnam enim placeat dolore amet culpa, perferendis iusto tenetur impedit! Cupiditate vel odit culpa, harum illo repellat nobis temporibus!</p>\r\n<p>Earum corporis, a beatae porro dicta fuga velit accusamus atque cupiditate nulla laudantium necessitatibus quaerat commodi! Atque itaque unde earum quae repellat!</p>\r\n<p>Deleniti, quasi, et voluptatibus, modi, voluptatum praesentium iste dolore aperiam molestiae temporibus necessitatibus! Sint soluta ex accusantium ducimus quis, fugit esse sed!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Incidunt quod eius ipsam officia debitis omnis, repellat, et sed distinctio voluptatem expedita, quisquam quae, sapiente vel illo ullam iure praesentium sequi culpa velit quo fugiat blanditiis quaerat! Quo vel similique sint quae perferendis nesciunt, magnam, eveniet rem suscipit nobis excepturi necessitatibus quis sapiente voluptates. Reprehenderit, repellendus.</p>\r\n", "Springbank", "", "inherit", "closed", "closed", "", "67-revision-v1", "", "", "2018-07-15 19:47:01", "2018-07-15 19:47:01", "", "67", "http://localhost:8888/metonymic/2018/07/15/67-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("95", "1", "2018-07-15 19:47:15", "2018-07-15 19:47:15", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Qui magnam expedita ea assumenda nobis id quod odio accusamus dicta numquam, voluptate amet quaerat voluptas velit laudantium maxime vel ducimus aperiam perspiciatis soluta doloremque.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Veritatis quas beatae, officia nisi inventore deleniti natus earum quia. Dolores illum quas dolorem.</p>\r\n<p>Placeat fugit, laudantium inventore blanditiis eos debitis aperiam! Nisi blanditiis repudiandae autem. Dicta aspernatur obcaecati, dolorum ullam! Pariatur recusandae, ducimus hic harum.</p>\r\n<p>Hic sapiente sunt quam, consectetur delectus tempore iste saepe similique obcaecati, numquam illum vel impedit dolor eius, quod maiores architecto incidunt voluptate.</p>\r\n<p>Accusamus aperiam quaerat sequi, libero cum nesciunt distinctio vel eveniet deserunt dicta possimus blanditiis, perspiciatis atque officiis adipisci ad tenetur vero consequatur.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Minima quaerat alias harum, explicabo cupiditate non aperiam in aliquam. Quae quidem, iusto qui natus assumenda dolores, architecto magnam laudantium minima! Tempora voluptates qui placeat quo, amet, fugiat quis porro molestiae ipsa esse in pariatur, nesciunt maiores! Nemo voluptas voluptatem alias quidem voluptates aut pariatur! Eum, incidunt.</p>", "Ardbeg", "", "inherit", "closed", "closed", "", "29-revision-v1", "", "", "2018-07-15 19:47:15", "2018-07-15 19:47:15", "", "29", "http://localhost:8888/metonymic/2018/07/15/29-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("96", "1", "2018-07-15 19:47:27", "2018-07-15 19:47:27", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Tempora aut, eligendi aliquam et laudantium, numquam eum nemo. Tenetur alias eveniet totam velit accusantium! Ab unde odio ad ratione doloremque saepe hic veritatis odit.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Fugit alias, similique perferendis iure illo quis necessitatibus, omnis voluptatum, commodi incidunt molestiae inventore.</p>\r\n<p>Illo sint, ratione dolorum hic quidem sit suscipit quam quos maiores. Commodi debitis sapiente aliquid, fugiat aperiam at amet! Veniam, nesciunt, nulla.</p>\r\n<p>Non, mollitia minima quas voluptatibus voluptas earum ullam blanditiis modi quis placeat ipsa. Reprehenderit perferendis ratione, eum nisi corporis asperiores iusto ducimus.</p>\r\n<p>Laborum, suscipit, id. Repudiandae doloribus rem assumenda, ratione quo totam numquam a impedit quaerat suscipit corporis magni quae, natus qui dolor? Nesciunt!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ad illum dolores eligendi culpa hic cupiditate dolore quam eius, quae eum esse, cumque impedit. Enim, in. Consequuntur ratione tenetur saepe dolore iure quaerat ducimus voluptatem delectus repellendus provident natus velit, necessitatibus mollitia illum commodi rem illo expedita non, laudantium pariatur, modi consectetur. Quibusdam quae doloribus, enim.</p>", "Laphroaig", "", "inherit", "closed", "closed", "", "31-revision-v1", "", "", "2018-07-15 19:47:27", "2018-07-15 19:47:27", "", "31", "http://localhost:8888/metonymic/2018/07/15/31-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("97", "1", "2018-07-15 19:47:50", "2018-07-15 19:47:50", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Dolorum omnis fuga quidem beatae eum quasi incidunt corporis nisi architecto aperiam illo soluta, non autem, sint vitae minus culpa voluptatum praesentium ullam cum doloremque.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quidem explicabo corporis at totam, quod sit iusto voluptatem aliquam, tenetur natus delectus eos.</p>\r\n<p>Reprehenderit, nesciunt quia, expedita, molestiae est architecto sed qui perferendis enim iure consectetur fuga facilis laboriosam? Esse modi inventore animi consequatur, iste.</p>\r\n<p>Consectetur soluta, voluptatem! Nemo odit nihil unde quaerat consectetur cupiditate sapiente, porro dolore pariatur explicabo voluptatum reprehenderit, aperiam soluta culpa veritatis quam.</p>\r\n<p>Minima illum itaque perferendis fugit dicta ad voluptatem a eaque optio obcaecati quos reprehenderit, quidem, eius provident enim, asperiores, praesentium dolor quisquam!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ipsa consequuntur recusandae aspernatur necessitatibus dignissimos neque pariatur tempore iusto, accusantium tempora quis obcaecati saepe nesciunt nam est a quo sunt fuga deleniti voluptates voluptas inventore. Officiis saepe dolorem enim veniam optio quae corporis, vel, nulla. Suscipit ipsa ratione explicabo magnam recusandae cum doloribus quidem neque necessitatibus.</p>\r\n", "Highland Park", "", "inherit", "closed", "closed", "", "64-revision-v1", "", "", "2018-07-15 19:47:50", "2018-07-15 19:47:50", "", "64", "http://localhost:8888/metonymic/2018/07/15/64-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("98", "1", "2018-07-15 19:48:13", "2018-07-15 19:48:13", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatibus ducimus similique illum, aspernatur magni. Officia alias fugit sunt quis atque ratione temporibus maiores suscipit harum iusto et rem soluta odio, molestiae autem eligendi.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Iure minus dolores consectetur enim commodi ipsam ut minima. Perferendis eaque labore explicabo recusandae?</p>\r\n<p>Autem assumenda eveniet, a aspernatur voluptates dolore, omnis illum voluptas dicta perspiciatis ex doloribus. Itaque harum neque earum dolorem, error ipsam ab.</p>\r\n<p>Ipsam et distinctio tempora maiores consequatur, ducimus explicabo voluptas, dolorum iste eum consectetur ea provident id quia nesciunt voluptates voluptatum. Quibusdam, harum.</p>\r\n<p>Pariatur illo aperiam quisquam voluptas dicta aspernatur magni laborum, quibusdam impedit quos non distinctio earum ipsa sapiente minima nihil, eius aliquam dolor.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Doloribus consequatur, ea officiis ab aliquid quia commodi non? Non molestias, a accusantium perferendis necessitatibus repellat libero nemo, doloribus quaerat iusto, laudantium? Laudantium in, aliquam deserunt hic esse sint amet animi, necessitatibus labore officiis temporibus nihil excepturi ex totam, dolore placeat illo error ea quod nesciunt dolores!</p>", "Talisker", "", "inherit", "closed", "closed", "", "63-revision-v1", "", "", "2018-07-15 19:48:13", "2018-07-15 19:48:13", "", "63", "http://localhost:8888/metonymic/2018/07/15/63-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("99", "1", "2018-07-15 19:48:36", "2018-07-15 19:48:36", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Natus, vero repellendus eos. Sed velit aliquid corporis numquam quis officiis maxime consequuntur doloremque amet accusamus nesciunt, praesentium quidem at assumenda quisquam omnis voluptas veritatis?</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eaque quae itaque accusantium nam facilis ad vero, maiores officiis ab, cupiditate, recusandae molestias.</p>\r\n<p>Pariatur consequatur, ipsum quos veritatis in laborum eveniet praesentium dolorum necessitatibus architecto, consectetur amet, officiis consequuntur doloribus earum odio quo recusandae voluptates!</p>\r\n<p>Similique incidunt error voluptatum repellendus fuga sunt, dicta dolore necessitatibus nesciunt reprehenderit adipisci. Sed aperiam a nostrum odit debitis sint, ducimus dolor!</p>\r\n<p>Earum quos, ipsam consectetur nostrum tempora incidunt debitis temporibus itaque assumenda architecto dignissimos perferendis possimus ipsa commodi rerum vero nam ab voluptatem?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Vel quia repellat adipisci quidem aspernatur in. Iusto expedita ratione esse minima nostrum! Minus deleniti rerum impedit hic ullam doloremque a necessitatibus id aliquid blanditiis. At eveniet aspernatur cum veniam. Sequi perspiciatis corporis, laborum nulla nisi odit? Suscipit cupiditate expedita incidunt dolores quis sed minus delectus nulla.</p>\r\n", "Bowmore", "", "inherit", "closed", "closed", "", "60-revision-v1", "", "", "2018-07-15 19:48:36", "2018-07-15 19:48:36", "", "60", "http://localhost:8888/metonymic/2018/07/15/60-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("100", "1", "2018-07-15 19:48:57", "2018-07-15 19:48:57", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eligendi error fuga quis vel ipsa praesentium iste architecto maxime rerum, culpa quidem, facere quia corporis dolores at optio facilis, voluptate molestias. A, odio aperiam!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Repellat nemo maiores odit obcaecati molestiae, voluptatibus laboriosam repellendus iusto! Incidunt ab reiciendis, ex.</p>\r\n<p>Nostrum a ducimus tempora at quos, iste modi vel, sint maxime consectetur recusandae. Vel voluptas tempora commodi laborum placeat, cumque? Quidem, tempora.</p>\r\n<p>Minima illum provident at voluptas sapiente praesentium ut ab fuga placeat, dolorum exercitationem libero. Deserunt tempore tempora dolorum repellendus maiores, cum ipsa.</p>\r\n<p>Explicabo, aut consectetur temporibus nostrum praesentium atque! A praesentium quod esse, vel facere, voluptates quas laudantium. Doloribus odio quia suscipit sit incidunt.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Optio voluptatibus error, dignissimos dolore illum pariatur nisi voluptatem reprehenderit quo. A nobis fuga magnam ab illum hic alias non autem dolores sint ipsam adipisci rem officiis eum molestiae laboriosam distinctio quisquam suscipit provident, nulla nostrum, tenetur unde voluptatibus doloremque. Eius in corrupti error perferendis modi ea!</p>", "Lagavulin", "", "inherit", "closed", "closed", "", "59-revision-v1", "", "", "2018-07-15 19:48:57", "2018-07-15 19:48:57", "", "59", "http://localhost:8888/metonymic/2018/07/15/59-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("101", "1", "2018-07-15 19:49:13", "2018-07-15 19:49:13", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Tempore facilis minus beatae modi animi quisquam impedit quia repellat ipsam ipsum, aut et qui perspiciatis culpa voluptas inventore a necessitatibus eum tempora voluptatum vel!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ipsum nesciunt quae deleniti. Nulla voluptate ullam libero, corporis maiores at quae rerum quam!</p>\r\n<p>Totam sequi amet rem dolores quis, aliquam eveniet accusantium ipsam sunt quidem suscipit voluptate qui, consequuntur harum distinctio architecto incidunt illum beatae.</p>\r\n<p>Esse voluptatibus quas quasi tempore, odit at! Molestiae ab accusantium et, rem soluta reprehenderit sequi fugiat consequatur veniam, veritatis saepe voluptate cupiditate.</p>\r\n<p>Quisquam aliquid, fuga aspernatur soluta obcaecati? Laborum quos minus officia non est repellendus eum pariatur quasi nam ipsam id perferendis, earum, atque.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eius voluptas, laudantium cupiditate veritatis explicabo nemo excepturi similique, vel optio aperiam corporis pariatur, odio quia quis numquam in veniam. Saepe similique quo consequuntur unde harum, blanditiis fuga debitis sint laudantium ullam natus voluptas, ducimus a, libero praesentium! Id nam sed sint nostrum possimus nesciunt quis dignissimos?</p>\r\n", "Glenfiddich", "", "inherit", "closed", "closed", "", "33-revision-v1", "", "", "2018-07-15 19:49:13", "2018-07-15 19:49:13", "", "33", "http://localhost:8888/metonymic/2018/07/15/33-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("102", "1", "2018-07-15 19:49:28", "2018-07-15 19:49:28", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Fugit labore voluptatem voluptatum nostrum in explicabo ab itaque perspiciatis ipsam sapiente, recusandae, voluptate unde. Reiciendis voluptatum quia ad nulla recusandae molestias atque sequi laudantium.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Minima, ipsam necessitatibus temporibus qui accusamus, quasi, totam repudiandae doloremque rerum quia delectus nam.</p>\r\n<p>Labore harum, maiores veniam cupiditate qui explicabo voluptatem earum id, dolor, voluptas saepe natus. Porro debitis ullam itaque, accusantium culpa soluta voluptatum.</p>\r\n<p>Assumenda similique labore, corrupti recusandae quisquam, accusantium provident voluptates incidunt, neque eum consequuntur. At minus, iste dolore repudiandae ipsum ea, cupiditate molestias.</p>\r\n<p>Vitae ad id accusamus quia aspernatur ab, iusto, repellendus beatae rem aperiam ipsam atque, laboriosam nesciunt ea sunt officiis in? Modi, velit.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sapiente adipisci, hic itaque dicta, facere tempore aut voluptatum magni. Quisquam tenetur, esse ducimus nesciunt praesentium accusantium porro laborum quas, minus ab placeat repellendus labore perspiciatis? Sapiente odio fugiat, id eum ipsam recusandae nobis nemo assumenda quam! Dolorem provident ipsa consequatur quibusdam illum possimus quis itaque ducimus.</p>", "Glenlivet", "", "inherit", "closed", "closed", "", "57-revision-v1", "", "", "2018-07-15 19:49:28", "2018-07-15 19:49:28", "", "57", "http://localhost:8888/metonymic/2018/07/15/57-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("103", "1", "2018-07-15 19:49:51", "2018-07-15 19:49:51", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur eveniet ratione, sint quas aliquam earum? Vel excepturi, dolores itaque incidunt culpa odio dignissimos, atque consequatur iusto reprehenderit id, porro nam! Delectus, architecto, consectetur.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quam quo ducimus deleniti, reiciendis cum necessitatibus, voluptatibus. Recusandae quod labore soluta eligendi, hic!</p>\r\n<p>Est impedit repellat voluptatum veniam odit dolorem nesciunt aliquid recusandae consectetur in ea neque explicabo sequi quaerat itaque aut vel, beatae. Cum.</p>\r\n<p>Ea neque sit, corporis aut quasi in tenetur eum incidunt saepe! Odit, fugiat. Ab maxime, placeat totam quam nesciunt. Voluptatum, ipsam, odit.</p>\r\n<p>Delectus vel quidem saepe perferendis fuga, ex quam obcaecati corporis ipsum, sunt quia repellendus laboriosam error doloremque dolores amet fugiat. Ullam, eaque!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Dolore iure omnis adipisci nemo iste aspernatur alias labore commodi? Fuga impedit dicta, sequi voluptatibus sunt quas ratione velit! Doloribus alias beatae doloremque ad a est nulla consequatur optio veritatis natus sit sequi, iusto expedita, officiis ut temporibus delectus. Nostrum quis tempore porro illo. Nam quis, praesentium.</p>\r\n", "Auchentoshan", "", "inherit", "closed", "closed", "", "53-revision-v1", "", "", "2018-07-15 19:49:51", "2018-07-15 19:49:51", "", "53", "http://localhost:8888/metonymic/2018/07/15/53-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("104", "1", "2018-07-15 19:50:07", "2018-07-15 19:50:07", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Qui quia eveniet harum eos repudiandae at asperiores, fugit molestiae quasi veritatis excepturi totam, tempora, aliquam facere mollitia omnis, nisi cum unde sint accusantium temporibus.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quaerat fugit qui officiis reprehenderit voluptatum tempora, praesentium mollitia nobis, cumque accusantium dolore eveniet.</p>\r\n<p>Earum officiis veniam porro voluptatem neque eveniet quia provident fugit harum! Aut eaque nesciunt ea maxime labore tenetur ad sequi, nobis sint.</p>\r\n<p>Maxime et quia excepturi delectus, atque, molestias quae reprehenderit repudiandae quas sequi dolorem impedit, vel error magni reiciendis ullam eaque suscipit deleniti!</p>\r\n<p>Laudantium eveniet non saepe quibusdam labore quos, at corporis quas voluptatum quae sit nemo autem, expedita voluptates assumenda doloremque sed necessitatibus? Sed.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Harum tempora iste, ex unde quasi culpa cumque repudiandae dolore reprehenderit a quos temporibus animi pariatur consectetur at. Culpa ipsum similique rerum, doloremque numquam architecto, ad repellat quisquam ut aperiam tempore ullam fuga reiciendis at blanditiis maiores atque eaque voluptatibus quasi eligendi earum aliquam. Earum, magni maxime.</p>", "Bladnoch", "", "inherit", "closed", "closed", "", "52-revision-v1", "", "", "2018-07-15 19:50:07", "2018-07-15 19:50:07", "", "52", "http://localhost:8888/metonymic/2018/07/15/52-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("105", "1", "2018-07-15 19:50:19", "2018-07-15 19:50:19", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. At voluptatibus iste molestias perferendis et nostrum recusandae, laboriosam, aut ipsum aspernatur doloremque consectetur. Eveniet id tenetur ipsum impedit alias neque, perferendis minima quos deleniti!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Veniam ullam sint, beatae tenetur aspernatur eaque, nam sapiente reprehenderit recusandae aliquid, voluptatum. A!</p>\r\n<p>Fuga quibusdam earum nemo obcaecati accusamus asperiores minus, mollitia aperiam, neque dolores saepe ratione facere hic totam libero et nesciunt rem pariatur.</p>\r\n<p>Aperiam animi distinctio ducimus, deserunt nostrum ipsum natus et nisi, cumque maxime hic repellendus at possimus inventore, maiores eius provident? Adipisci, cumque.</p>\r\n<p>Distinctio tempore architecto voluptate, laborum autem aperiam nesciunt impedit cupiditate dolorem natus placeat aut repellat harum non maiores unde ipsam in tenetur.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Distinctio, sint amet mollitia ratione sed nesciunt minima minus, hic voluptatum ab eos illum in molestiae sequi cupiditate, molestias reprehenderit deserunt ut cumque, exercitationem earum ea. Doloremque voluptatum numquam et, aut porro expedita magnam maxime officia sequi perspiciatis odio iure praesentium veniam mollitia ipsum dolores pariatur quod.</p>\r\n", "Glenkinchie", "", "inherit", "closed", "closed", "", "51-revision-v1", "", "", "2018-07-15 19:50:19", "2018-07-15 19:50:19", "", "51", "http://localhost:8888/metonymic/2018/07/15/51-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("106", "1", "2018-07-15 19:50:29", "2018-07-15 19:50:29", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Similique nisi architecto explicabo, quia, ab officiis nemo ad fuga aliquid, consequatur eveniet! Praesentium iste cumque dolore quos aspernatur deleniti itaque, porro quis, adipisci necessitatibus?</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Id aliquid illo, praesentium aspernatur impedit, illum ea voluptatum nobis iure adipisci obcaecati laboriosam.</p>\r\n<p>Tempora quidem quam neque autem est optio laboriosam dolores nesciunt enim rerum, suscipit mollitia facere deleniti, magni aliquid reprehenderit commodi. Similique, voluptatibus?</p>\r\n<p>Modi tempora nam eveniet inventore est at ullam explicabo quam maxime, iusto, minus sapiente, similique vero perferendis! Suscipit sed voluptates sint explicabo.</p>\r\n<p>A repellat animi necessitatibus! Repellat nostrum quidem suscipit maiores accusantium at, officiis unde sit modi consectetur totam repellendus! Necessitatibus doloremque ex laboriosam!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sed aliquam amet veniam nam reiciendis delectus sint quisquam laborum et aspernatur porro eaque, dicta soluta inventore similique non minus! Facere, molestias. Architecto quis libero quam error vel corporis, labore quidem illum cumque tempore, magni nam odio dolores atque rerum ipsa aut laborum facere, fugit enim tenetur.</p>\r\n", "Glenmorangie", "", "inherit", "closed", "closed", "", "49-revision-v1", "", "", "2018-07-15 19:50:29", "2018-07-15 19:50:29", "", "49", "http://localhost:8888/metonymic/2018/07/15/49-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("107", "1", "2018-07-15 19:50:47", "2018-07-15 19:50:47", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur hic quasi odio voluptates eligendi illum suscipit asperiores fugit placeat inventore ratione explicabo assumenda blanditiis ipsam ipsum repellat ipsa, sint tempora odit eos? Sequi!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eveniet obcaecati ratione cum id natus asperiores maiores recusandae animi, corporis dolore dolorem ut!</p>\r\n<p>Soluta sunt quos dolore cumque earum temporibus, officiis at similique voluptas quam ullam accusantium autem, odio fugit magnam aut quisquam unde rem.</p>\r\n<p>Ad, eaque quo voluptatem dolorum esse minus illo, cupiditate fuga quidem ipsa! Voluptatem asperiores consequatur, nesciunt minima doloribus, dolorum fuga alias. Voluptas.</p>\r\n<p>Provident omnis veritatis rem debitis impedit quo excepturi! Illum, nesciunt, dolores adipisci sapiente soluta explicabo nihil debitis molestiae excepturi esse placeat accusamus.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Unde maxime nihil doloremque! Quos asperiores voluptas aliquam molestiae ut molestias fugiat, quasi, expedita amet explicabo aspernatur perferendis, eum reiciendis dicta natus accusamus alias incidunt sunt nemo voluptatum nesciunt veritatis architecto et doloremque aperiam! At enim nisi aut dignissimos minus corporis, magni tenetur eveniet aliquam illo! Error!</p>\r\n", "Dalmore", "", "inherit", "closed", "closed", "", "47-revision-v1", "", "", "2018-07-15 19:50:47", "2018-07-15 19:50:47", "", "47", "http://localhost:8888/metonymic/2018/07/15/47-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("108", "1", "2018-07-15 19:50:52", "2018-07-15 19:50:52", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur hic quasi odio voluptates eligendi illum suscipit asperiores fugit placeat inventore ratione explicabo assumenda blanditiis ipsam ipsum repellat ipsa, sint tempora odit eos? Sequi!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eveniet obcaecati ratione cum id natus asperiores maiores recusandae animi, corporis dolore dolorem ut!</p>\r\n<p>Soluta sunt quos dolore cumque earum temporibus, officiis at similique voluptas quam ullam accusantium autem, odio fugit magnam aut quisquam unde rem.</p>\r\n<p>Ad, eaque quo voluptatem dolorum esse minus illo, cupiditate fuga quidem ipsa! Voluptatem asperiores consequatur, nesciunt minima doloribus, dolorum fuga alias. Voluptas.</p>\r\n<p>Provident omnis veritatis rem debitis impedit quo excepturi! Illum, nesciunt, dolores adipisci sapiente soluta explicabo nihil debitis molestiae excepturi esse placeat accusamus.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Unde maxime nihil doloremque! Quos asperiores voluptas aliquam molestiae ut molestias fugiat, quasi, expedita amet explicabo aspernatur perferendis, eum reiciendis dicta natus accusamus alias incidunt sunt nemo voluptatum nesciunt veritatis architecto et doloremque aperiam! At enim nisi aut dignissimos minus corporis, magni tenetur eveniet aliquam illo! Error!</p>\r\n", "Oban", "", "inherit", "closed", "closed", "", "32-revision-v1", "", "", "2018-07-15 19:50:52", "2018-07-15 19:50:52", "", "32", "http://localhost:8888/metonymic/2018/07/15/32-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("109", "1", "2018-07-15 19:51:07", "2018-07-15 19:51:07", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Magnam, reprehenderit at. Consequuntur facere consequatur sapiente ab ducimus labore quam quod modi cumque distinctio, nostrum, voluptates sint, a voluptatem fuga placeat quis aliquam eius.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatum, pariatur nam odit ad quas optio non, quasi sed officiis quaerat reiciendis consectetur.</p>\r\n<p>Iure in, officiis nam cum neque ducimus commodi consequuntur magni enim veniam nemo alias aliquid eveniet nihil repellat dolore omnis. Repellendus, atque.</p>\r\n<p>Voluptate aspernatur velit nam assumenda mollitia facilis explicabo, commodi, neque eaque consequuntur illo. Inventore adipisci nulla ullam suscipit vero odit, quaerat quia.</p>\r\n<p>Provident, consequuntur atque exercitationem corrupti laboriosam ipsam, reiciendis, praesentium totam delectus quas nobis doloribus. Voluptas ipsum explicabo eaque mollitia cupiditate ratione nam!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. In nesciunt ratione tempore quaerat, cum assumenda distinctio quod debitis, harum nulla expedita. Architecto odio quae esse commodi eveniet mollitia nihil, cupiditate corporis delectus ipsum. Fugiat perferendis nulla culpa tempora modi eius id dolor harum optio ea aliquam quaerat voluptatum similique, pariatur nisi deleniti, et animi itaque.</p>\r\n", "Glen Garioch", "", "inherit", "closed", "closed", "", "36-revision-v1", "", "", "2018-07-15 19:51:07", "2018-07-15 19:51:07", "", "36", "http://localhost:8888/metonymic/2018/07/15/36-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("110", "1", "2018-07-15 19:51:23", "2018-07-15 19:51:23", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quae id possimus dolores harum! Cupiditate voluptate perferendis tempore ipsa, adipisci ea atque. Nostrum nihil non sint, doloribus magni est doloremque voluptatem nam laborum pariatur.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Dicta molestias, quis. Numquam ea ut, quibusdam, rerum nobis voluptatibus inventore sapiente at adipisci.</p>\r\n<p>Iure iusto asperiores temporibus molestias expedita minus optio soluta, cumque sequi provident blanditiis ex, in dolor unde necessitatibus, ad sint tenetur dolorum!</p>\r\n<p>Repellendus, eos nostrum quas vitae, blanditiis sed fugiat in, suscipit impedit exercitationem maiores necessitatibus voluptatem praesentium quidem pariatur quasi molestias dicta error.</p>\r\n<p>Neque error, iusto deserunt. Est, nulla deleniti minus fugit molestias. Libero vero cupiditate nam quisquam nesciunt tenetur, nihil. Voluptatum, ratione ex laboriosam?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Maxime eaque quis iste commodi. Fugit eveniet dolore maxime vel animi ea, fuga tempore excepturi fugiat vero, nesciunt assumenda. Officiis nobis ex corporis architecto mollitia accusantium! Quibusdam maxime ad, sed sapiente quae recusandae quasi repudiandae dignissimos dolor modi enim possimus dolorem, cupiditate odit, iste saepe incidunt aperiam.</p>\r\n", "Buhhahabhain", "", "inherit", "closed", "closed", "", "35-revision-v1", "", "", "2018-07-15 19:51:23", "2018-07-15 19:51:23", "", "35", "http://localhost:8888/metonymic/2018/07/15/35-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("111", "1", "2018-07-15 19:51:43", "2018-07-15 19:51:43", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Culpa itaque alias tempore omnis voluptatem, aperiam voluptas blanditiis! Voluptas doloremque, quaerat facere, eaque quos dolores laboriosam perspiciatis explicabo ducimus ex molestiae voluptatum veniam dolore.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Perferendis id accusamus, iusto esse iste quia omnis veritatis, vero nesciunt, explicabo molestiae, necessitatibus!</p>\r\n<p>Earum aliquam corporis libero voluptates quisquam magnam ducimus laudantium animi quidem, officiis quia optio ex, explicabo, accusamus nemo mollitia eligendi doloremque tempora!</p>\r\n<p>Quod eius ullam, nam et reiciendis, saepe recusandae dolor aliquam consectetur nemo molestiae magnam optio vel eum facilis animi culpa voluptatum delectus!</p>\r\n<p>Earum eveniet tempora consequuntur unde, repellendus dolorum iure pariatur blanditiis quasi animi. Obcaecati excepturi est fugit, molestias mollitia, eaque numquam similique asperiores.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Asperiores eos similique ipsam dolorum, repellat quibusdam quis doloremque id fugiat cumque assumenda, excepturi magni esse sapiente fugit nemo ipsa quia dolore aliquam. Impedit reiciendis, aperiam animi dolor sed, hic ut! Culpa vitae porro dolores, praesentium voluptates ratione repudiandae sequi dolorem nam veritatis id deserunt, sit quia.</p>\r\n", "Balvenie", "", "inherit", "closed", "closed", "", "34-revision-v1", "", "", "2018-07-15 19:51:43", "2018-07-15 19:51:43", "", "34", "http://localhost:8888/metonymic/2018/07/15/34-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("112", "1", "2018-07-15 19:51:59", "2018-07-15 19:51:59", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Cum tempora, incidunt modi sint rerum delectus iste dolorem veniam omnis ullam saepe quia, laboriosam iusto dolorum ducimus velit. Cum aperiam laudantium cumque, perspiciatis minima!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quibusdam omnis ipsum et, praesentium sint expedita eum soluta. Distinctio ipsam soluta praesentium laborum.</p>\r\n<p>Aut eos ea incidunt atque laudantium, doloribus harum est asperiores modi similique impedit, perspiciatis, rem quod accusantium dignissimos? Soluta eum, assumenda doloremque.</p>\r\n<p>Soluta distinctio odio est excepturi eos quis, delectus ex maiores quos nemo cum, accusamus, ratione facere enim aliquid accusantium facilis, cupiditate eius.</p>\r\n<p>Temporibus ipsum sint provident ad iste, ipsa natus id, voluptatem, commodi aliquam ullam nobis? Dolorum quia nihil voluptas quas dolore sapiente! Voluptatum.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quam soluta culpa laborum! Sit rerum porro fuga eos, expedita nesciunt cumque totam esse provident rem! Eius recusandae fuga quasi, ipsum. Nemo quaerat perferendis sunt architecto reprehenderit est mollitia eius, laboriosam quidem consequatur perspiciatis, placeat cupiditate nesciunt omnis illo vel! Sit quisquam totam, ipsum veritatis laborum voluptatum.</p>", "Aberlour", "", "inherit", "closed", "closed", "", "30-revision-v1", "", "", "2018-07-15 19:51:59", "2018-07-15 19:51:59", "", "30", "http://localhost:8888/metonymic/2018/07/15/30-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("113", "1", "2018-07-15 19:52:19", "2018-07-15 19:52:19", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur molestias dicta, cum quae voluptatum tenetur illo atque id est at natus animi provident maxime in libero deserunt facere ea sint. A, perspiciatis non.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Assumenda quas omnis dolores? Eos alias dolorum, commodi neque! Expedita harum eveniet, quisquam laboriosam!</p>\r\n<p>In dicta hic quidem, dolorem fugit eveniet. Inventore quam, sint fugit repudiandae cupiditate ducimus voluptate voluptatibus autem laborum labore veritatis officia ullam!</p>\r\n<p>Fugiat modi enim earum est saepe magnam eligendi at, asperiores cumque similique officia possimus adipisci nulla ullam alias reprehenderit, praesentium neque tempora!</p>\r\n<p>Placeat aut unde incidunt blanditiis dolorum, facilis id error, officiis velit ex. Est vel, aspernatur quis inventore autem id veniam vitae, recusandae.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Libero tempore facere ab animi eveniet sunt, consequuntur nisi non ducimus nostrum. Sit dolorum tempore assumenda ea ipsum, praesentium cumque cupiditate, impedit neque quasi culpa dolore. Nisi quasi, fuga enim aperiam aliquam dolorum architecto. Quo incidunt vel quos tenetur minima, quae, quam iusto numquam expedita, totam modi!</p>", "The Macallan", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2018-07-15 19:52:19", "2018-07-15 19:52:19", "", "28", "http://localhost:8888/metonymic/2018/07/15/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("114", "1", "2018-07-15 20:28:32", "2018-07-15 20:28:32", "", "unsplash-2018_2560_1400", "", "inherit", "open", "closed", "", "unsplash-2018_2560_1400", "", "", "2018-07-16 03:52:24", "2018-07-16 03:52:24", "", "0", "http://localhost:8888/metonymic/wp-content/uploads/2018/07/unsplash-2018_2560_1400.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("115", "1", "2018-07-15 20:28:33", "2018-07-15 20:28:33", "", "unsplash-landscape-2018-01", "", "inherit", "open", "closed", "", "unsplash-landscape-2018-01", "", "", "2018-07-16 03:52:14", "2018-07-16 03:52:14", "", "0", "http://localhost:8888/metonymic/wp-content/uploads/2018/07/unsplash-landscape-2018-01.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("116", "1", "2018-07-15 20:28:33", "2018-07-15 20:28:33", "", "unsplash-landscape-2018-02", "", "inherit", "open", "closed", "", "unsplash-landscape-2018-02", "", "", "2018-07-16 03:52:18", "2018-07-16 03:52:18", "", "0", "http://localhost:8888/metonymic/wp-content/uploads/2018/07/unsplash-landscape-2018-02.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("118", "1", "2018-07-15 20:28:35", "2018-07-15 20:28:35", "", "unsplash-landscape-2018-04", "", "inherit", "open", "closed", "", "unsplash-landscape-2018-04", "", "", "2018-07-16 03:52:08", "2018-07-16 03:52:08", "", "0", "http://localhost:8888/metonymic/wp-content/uploads/2018/07/unsplash-landscape-2018-04.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("119", "1", "2018-07-15 20:28:36", "2018-07-15 20:28:36", "", "unsplash-landscape-2018-05", "", "inherit", "open", "closed", "", "unsplash-landscape-2018-05", "", "", "2018-07-16 03:52:03", "2018-07-16 03:52:03", "", "0", "http://localhost:8888/metonymic/wp-content/uploads/2018/07/unsplash-landscape-2018-05.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("120", "1", "2018-07-15 20:28:37", "2018-07-15 20:28:37", "", "unsplash-landscape-2018-06", "", "inherit", "open", "closed", "", "unsplash-landscape-2018-06", "", "", "2018-07-16 03:51:57", "2018-07-16 03:51:57", "", "0", "http://localhost:8888/metonymic/wp-content/uploads/2018/07/unsplash-landscape-2018-06.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("122", "1", "2018-07-15 20:28:38", "2018-07-15 20:28:38", "", "unsplash-landscape-2018-10", "", "inherit", "open", "closed", "", "unsplash-landscape-2018-10", "", "", "2018-07-16 03:51:52", "2018-07-16 03:51:52", "", "0", "http://localhost:8888/metonymic/wp-content/uploads/2018/07/unsplash-landscape-2018-10.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("123", "1", "2018-07-15 20:28:39", "2018-07-15 20:28:39", "", "unsplash-landscape-2018-11", "", "inherit", "open", "closed", "", "unsplash-landscape-2018-11", "", "", "2018-07-16 03:51:47", "2018-07-16 03:51:47", "", "0", "http://localhost:8888/metonymic/wp-content/uploads/2018/07/unsplash-landscape-2018-11.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("124", "1", "2018-07-15 20:28:40", "2018-07-15 20:28:40", "", "unsplash-landscape-2018-12", "", "inherit", "open", "closed", "", "unsplash-landscape-2018-12", "", "", "2018-07-16 03:51:40", "2018-07-16 03:51:40", "", "0", "http://localhost:8888/metonymic/wp-content/uploads/2018/07/unsplash-landscape-2018-12.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("125", "1", "2018-07-15 20:28:41", "2018-07-15 20:28:41", "", "unsplash-landscape-2018-13", "", "inherit", "open", "closed", "", "unsplash-landscape-2018-13", "", "", "2018-07-16 03:51:34", "2018-07-16 03:51:34", "", "0", "http://localhost:8888/metonymic/wp-content/uploads/2018/07/unsplash-landscape-2018-13.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("126", "1", "2018-07-15 20:28:42", "2018-07-15 20:28:42", "", "unsplash-landscape-2018-14", "", "inherit", "open", "closed", "", "unsplash-landscape-2018-14", "", "", "2018-07-16 03:51:31", "2018-07-16 03:51:31", "", "0", "http://localhost:8888/metonymic/wp-content/uploads/2018/07/unsplash-landscape-2018-14.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("127", "1", "2018-07-15 20:28:43", "2018-07-15 20:28:43", "", "unsplash-landscape-2018-15", "", "inherit", "open", "closed", "", "unsplash-landscape-2018-15", "", "", "2018-07-16 03:51:24", "2018-07-16 03:51:24", "", "0", "http://localhost:8888/metonymic/wp-content/uploads/2018/07/unsplash-landscape-2018-15.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("128", "1", "2018-07-15 20:51:36", "2018-07-15 20:51:36", "", "unsplash-landscape-2018-16", "", "inherit", "open", "closed", "", "unsplash-landscape-2018-16", "", "", "2018-07-16 03:51:16", "2018-07-16 03:51:16", "", "0", "http://localhost:8888/metonymic/wp-content/uploads/2018/07/unsplash-landscape-2018-16.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("129", "1", "2018-07-15 20:51:37", "2018-07-15 20:51:37", "", "unsplash-landscape-2018-17", "", "inherit", "open", "closed", "", "unsplash-landscape-2018-17", "", "", "2018-07-16 03:51:12", "2018-07-16 03:51:12", "", "0", "http://localhost:8888/metonymic/wp-content/uploads/2018/07/unsplash-landscape-2018-17.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("130", "1", "2018-07-15 20:51:38", "2018-07-15 20:51:38", "", "unsplash-landscape-2018-18", "", "inherit", "open", "closed", "", "unsplash-landscape-2018-18", "", "", "2018-07-16 03:51:01", "2018-07-16 03:51:01", "", "0", "http://localhost:8888/metonymic/wp-content/uploads/2018/07/unsplash-landscape-2018-18.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("131", "1", "2018-07-15 20:51:39", "2018-07-15 20:51:39", "", "unsplash-landscape-2018-19", "", "inherit", "open", "closed", "", "unsplash-landscape-2018-19", "", "", "2018-07-16 03:50:52", "2018-07-16 03:50:52", "", "0", "http://localhost:8888/metonymic/wp-content/uploads/2018/07/unsplash-landscape-2018-19.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("132", "1", "2018-07-15 20:51:40", "2018-07-15 20:51:40", "", "unsplash-landscape-2018-20", "", "inherit", "open", "closed", "", "unsplash-landscape-2018-20", "", "", "2018-07-15 20:51:40", "2018-07-15 20:51:40", "", "0", "http://localhost:8888/metonymic/wp-content/uploads/2018/07/unsplash-landscape-2018-20.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("133", "1", "2018-07-15 20:51:41", "2018-07-15 20:51:41", "", "unsplash-landscape-2018-21", "", "inherit", "open", "closed", "", "unsplash-landscape-2018-21", "", "", "2018-07-16 03:50:45", "2018-07-16 03:50:45", "", "0", "http://localhost:8888/metonymic/wp-content/uploads/2018/07/unsplash-landscape-2018-21.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("134", "1", "2018-07-15 20:51:42", "2018-07-15 20:51:42", "", "unsplash-landscape-2018-22", "", "inherit", "open", "closed", "", "unsplash-landscape-2018-22", "", "", "2018-07-16 03:50:25", "2018-07-16 03:50:25", "", "0", "http://localhost:8888/metonymic/wp-content/uploads/2018/07/unsplash-landscape-2018-22.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("135", "1", "2018-07-15 20:51:42", "2018-07-15 20:51:42", "", "unsplash-landscape-2018-23", "", "inherit", "open", "closed", "", "unsplash-landscape-2018-23", "", "", "2018-07-16 03:50:37", "2018-07-16 03:50:37", "", "0", "http://localhost:8888/metonymic/wp-content/uploads/2018/07/unsplash-landscape-2018-23.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("136", "1", "2018-07-15 20:51:43", "2018-07-15 20:51:43", "", "unsplash-landscape-2018-24", "", "inherit", "open", "closed", "", "unsplash-landscape-2018-24", "", "", "2018-07-16 03:50:21", "2018-07-16 03:50:21", "", "0", "http://localhost:8888/metonymic/wp-content/uploads/2018/07/unsplash-landscape-2018-24.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("137", "1", "2018-07-15 20:51:44", "2018-07-15 20:51:44", "", "unsplash-landscape-2018-25", "", "inherit", "open", "closed", "", "unsplash-landscape-2018-25", "", "", "2018-07-16 03:50:15", "2018-07-16 03:50:15", "", "0", "http://localhost:8888/metonymic/wp-content/uploads/2018/07/unsplash-landscape-2018-25.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("138", "1", "2018-07-15 20:51:45", "2018-07-15 20:51:45", "", "unsplash-landscape-2018-26", "", "inherit", "open", "closed", "", "unsplash-landscape-2018-26", "", "", "2018-07-16 03:50:09", "2018-07-16 03:50:09", "", "0", "http://localhost:8888/metonymic/wp-content/uploads/2018/07/unsplash-landscape-2018-26.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("139", "1", "2018-07-15 20:51:46", "2018-07-15 20:51:46", "", "unsplash-landscape-2018-27", "", "inherit", "open", "closed", "", "unsplash-landscape-2018-27", "", "", "2018-07-16 03:50:04", "2018-07-16 03:50:04", "", "0", "http://localhost:8888/metonymic/wp-content/uploads/2018/07/unsplash-landscape-2018-27.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("140", "1", "2018-07-15 20:51:47", "2018-07-15 20:51:47", "", "unsplash-landscape-2018-28", "", "inherit", "open", "closed", "", "unsplash-landscape-2018-28", "", "", "2018-07-16 03:49:39", "2018-07-16 03:49:39", "", "0", "http://localhost:8888/metonymic/wp-content/uploads/2018/07/unsplash-landscape-2018-28.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("141", "1", "2018-07-15 20:51:47", "2018-07-15 20:51:47", "", "unsplash-landscape-2018-29", "", "inherit", "open", "closed", "", "unsplash-landscape-2018-29", "", "", "2018-07-16 03:49:50", "2018-07-16 03:49:50", "", "0", "http://localhost:8888/metonymic/wp-content/uploads/2018/07/unsplash-landscape-2018-29.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("142", "1", "2018-07-15 20:51:48", "2018-07-15 20:51:48", "", "unsplash-landscape-2018-30", "", "inherit", "open", "closed", "", "unsplash-landscape-2018-30", "", "", "2018-07-16 03:49:32", "2018-07-16 03:49:32", "", "0", "http://localhost:8888/metonymic/wp-content/uploads/2018/07/unsplash-landscape-2018-30.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("143", "1", "2018-07-15 20:51:49", "2018-07-15 20:51:49", "", "unsplash-landscape-2018-31", "", "inherit", "open", "closed", "", "unsplash-landscape-2018-31", "", "", "2018-07-16 03:49:27", "2018-07-16 03:49:27", "", "0", "http://localhost:8888/metonymic/wp-content/uploads/2018/07/unsplash-landscape-2018-31.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("144", "1", "2018-07-15 20:51:50", "2018-07-15 20:51:50", "", "unsplash-landscape-2018-32", "", "inherit", "open", "closed", "", "unsplash-landscape-2018-32", "", "", "2018-07-16 03:49:14", "2018-07-16 03:49:14", "", "0", "http://localhost:8888/metonymic/wp-content/uploads/2018/07/unsplash-landscape-2018-32.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("145", "1", "2018-07-15 20:51:51", "2018-07-15 20:51:51", "", "unsplash-landscape-2018-33", "", "inherit", "open", "closed", "", "unsplash-landscape-2018-33", "", "", "2018-07-16 03:49:07", "2018-07-16 03:49:07", "", "0", "http://localhost:8888/metonymic/wp-content/uploads/2018/07/unsplash-landscape-2018-33.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("146", "1", "2018-07-15 20:51:52", "2018-07-15 20:51:52", "", "unsplash-landscape-2018-34", "", "inherit", "open", "closed", "", "unsplash-landscape-2018-34", "", "", "2018-07-16 03:48:48", "2018-07-16 03:48:48", "", "0", "http://localhost:8888/metonymic/wp-content/uploads/2018/07/unsplash-landscape-2018-34.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("147", "1", "2018-07-15 20:51:52", "2018-07-15 20:51:52", "", "unsplash-landscape-2018-35", "", "inherit", "open", "closed", "", "unsplash-landscape-2018-35", "", "", "2018-07-16 03:49:00", "2018-07-16 03:49:00", "", "0", "http://localhost:8888/metonymic/wp-content/uploads/2018/07/unsplash-landscape-2018-35.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("148", "1", "2018-07-15 22:21:33", "2018-07-15 22:21:33", "Neque error, iusto deserunt. Est, nulla deleniti minus fugit molestias. Libero vero cupiditate nam quisquam nesciunt tenetur, nihil deleniti minus fugit molestias. . Voluptatum, ratione ex laboriosam?\r\n<h3>Lorem ipsum dolor.</h3>\r\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Dicta molestias, quis. Numquam ea ut, quibusdam, rerum nobis voluptatibus inventore sapiente at adipisci.\r\n\r\nIure iusto asperiores temporibus molestias expedita minus optio soluta, cumque sequi provident blanditiis ex, in dolor unde necessitatibus, ad sint tenetur dolorum!\r\n\r\nRepellendus, eos nostrum quas vitae, blanditiis sed fugiat in, suscipit impedit exercitationem maiores necessitatibus voluptatem praesentium quidem pariatur quasi molestias dicta error.\r\n\r\n<h3>Lorem ipsum dolor sit.</h3>\r\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Maxime eaque quis iste commodi. Fugit eveniet dolore maxime vel animi ea, fuga tempore excepturi fugiat vero, nesciunt assumenda. Officiis nobis ex corporis architecto mollitia accusantium! Quibusdam maxime ad, sed sapiente quae recusandae quasi repudiandae dignissimos dolor modi enim possimus dolorem, cupiditate odit, iste saepe incidunt aperiam.Neque error, iusto deserunt. Est, nulla deleniti minus fugit molestias. Libero vero cupiditate nam quisquam nesciunt tenetur, nihil deleniti minus fugit molestias. . Voluptatum, ratione ex laboriosam?\r\n<h3>Lorem ipsum dolor.</h3>\r\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Dicta molestias, quis. Numquam ea ut, quibusdam, rerum nobis voluptatibus inventore sapiente at adipisci.\r\n\r\nIure iusto asperiores temporibus molestias expedita minus optio soluta, cumque sequi provident blanditiis ex, in dolor unde necessitatibus, ad sint tenetur dolorum!\r\n\r\nRepellendus, eos nostrum quas vitae, blanditiis sed fugiat in, suscipit impedit exercitationem maiores necessitatibus voluptatem praesentium quidem pariatur quasi molestias dicta error.\r\n\r\n<h3>Lorem ipsum dolor sit.</h3>\r\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Maxime eaque quis iste commodi. Fugit eveniet dolore maxime vel animi ea, fuga tempore excepturi fugiat vero, nesciunt assumenda. Officiis nobis ex corporis architecto mollitia accusantium! Quibusdam maxime ad, sed sapiente quae recusandae quasi repudiandae dignissimos dolor modi enim possimus dolorem, cupiditate odit, iste saepe incidunt aperiam.Neque error, iusto deserunt. Est, nulla deleniti minus fugit molestias. Libero vero cupiditate nam quisquam nesciunt tenetur, nihil deleniti minus fugit molestias. . Voluptatum, ratione ex laboriosam?\r\n<h3>Lorem ipsum dolor.</h3>\r\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Dicta molestias, quis. Numquam ea ut, quibusdam, rerum nobis voluptatibus inventore sapiente at adipisci.\r\n\r\nIure iusto asperiores temporibus molestias expedita minus optio soluta, cumque sequi provident blanditiis ex, in dolor unde necessitatibus, ad sint tenetur dolorum!\r\n\r\nRepellendus, eos nostrum quas vitae, blanditiis sed fugiat in, suscipit impedit exercitationem maiores necessitatibus voluptatem praesentium quidem pariatur quasi molestias dicta error.\r\n\r\n<h3>Lorem ipsum dolor sit.</h3>\r\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Maxime eaque quis iste commodi. Fugit eveniet dolore maxime vel animi ea, fuga tempore excepturi fugiat vero, nesciunt assumenda. Officiis nobis ex corporis architecto mollitia accusantium! Quibusdam maxime ad, sed sapiente quae recusandae quasi repudiandae dignissimos dolor modi enim possimus dolorem, cupiditate odit, iste saepe incidunt aperiam.Neque error, iusto deserunt. Est, nulla deleniti minus fugit molestias. Libero vero cupiditate nam quisquam nesciunt tenetur, nihil deleniti minus fugit molestias. . Voluptatum, ratione ex laboriosam?\r\n<h3>Lorem ipsum dolor.</h3>\r\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Dicta molestias, quis. Numquam ea ut, quibusdam, rerum nobis voluptatibus inventore sapiente at adipisci.\r\n\r\nIure iusto asperiores temporibus molestias expedita minus optio soluta, cumque sequi provident blanditiis ex, in dolor unde necessitatibus, ad sint tenetur dolorum!\r\n\r\nRepellendus, eos nostrum quas vitae, blanditiis sed fugiat in, suscipit impedit exercitationem maiores necessitatibus voluptatem praesentium quidem pariatur quasi molestias dicta error.\r\n\r\n<h3>Lorem ipsum dolor sit.</h3>\r\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Maxime eaque quis iste commodi. Fugit eveniet dolore maxime vel animi ea, fuga tempore excepturi fugiat vero, nesciunt assumenda. Officiis nobis ex corporis architecto mollitia accusantium! Quibusdam maxime ad, sed sapiente quae recusandae quasi repudiandae dignissimos dolor modi enim possimus dolorem, cupiditate odit, iste saepe incidunt aperiam.", "Lorem ipsum dolor.", "Lorem ipsum dolor sit amet, consectetur adipisicing elit. Fuga facilis accusamus molestias.\r\n", "publish", "open", "open", "", "lorem-ipsum-dolor", "", "", "2018-07-29 22:14:59", "2018-07-29 22:14:59", "", "0", "http://localhost:8888/metonymic/lorem-ipsum-dolor", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("149", "1", "2018-07-15 22:21:33", "2018-07-15 22:21:33", "Testing.", "Feature Image Test Case", "", "inherit", "closed", "closed", "", "148-revision-v1", "", "", "2018-07-15 22:21:33", "2018-07-15 22:21:33", "", "148", "http://localhost:8888/metonymic/2018/07/15/148-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("150", "1", "2018-07-16 03:57:48", "2018-07-16 03:57:48", "Testing.", "Tamdhu", "", "inherit", "closed", "closed", "", "148-revision-v1", "", "", "2018-07-16 03:57:48", "2018-07-16 03:57:48", "", "148", "http://localhost:8888/metonymic/2018/07/16/148-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("151", "1", "2018-07-16 04:00:10", "2018-07-16 04:00:10", "Neque error, iusto deserunt. Est, nulla deleniti minus fugit molestias. Libero vero cupiditate nam quisquam nesciunt tenetur, nihil deleniti minus fugit molestias. . Voluptatum, ratione ex laboriosam?\n<h3>Lorem ipsum dolor.</h3>\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Dicta molestias, quis. Numquam ea ut, quibusdam, rerum nobis voluptatibus inventore sapiente at adipisci.\n\nIure iusto asperiores temporibus molestias expedita minus optio soluta, cumque sequi provident blanditiis ex, in dolor unde necessitatibus, ad sint tenetur dolorum!\n\nRepellendus, eos nostrum quas vitae, blanditiis sed fugiat in, suscipit impedit exercitationem maiores necessitatibus voluptatem praesentium quidem pariatur quasi molestias dicta error.\n\n\n<h3>Lorem ipsum dolor sit.</h3>\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Maxime eaque quis iste commodi. Fugit eveniet dolore maxime vel animi ea, fuga tempore excepturi fugiat vero, nesciunt assumenda. Officiis nobis ex corporis architecto mollitia accusantium! Quibusdam maxime ad, sed sapiente quae recusandae quasi repudiandae dignissimos dolor modi enim possimus dolorem, cupiditate odit, iste saepe incidunt aperiam.", "Tamdhu", "", "inherit", "closed", "closed", "", "148-autosave-v1", "", "", "2018-07-16 04:00:10", "2018-07-16 04:00:10", "", "148", "http://localhost:8888/metonymic/2018/07/16/148-autosave-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("152", "1", "2018-07-16 04:00:13", "2018-07-16 04:00:13", "Neque error, iusto deserunt. Est, nulla deleniti minus fugit molestias. Libero vero cupiditate nam quisquam nesciunt tenetur, nihil deleniti minus fugit molestias. . Voluptatum, ratione ex laboriosam?\r\n<h3>Lorem ipsum dolor.</h3>\r\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Dicta molestias, quis. Numquam ea ut, quibusdam, rerum nobis voluptatibus inventore sapiente at adipisci.\r\n\r\nIure iusto asperiores temporibus molestias expedita minus optio soluta, cumque sequi provident blanditiis ex, in dolor unde necessitatibus, ad sint tenetur dolorum!\r\n\r\nRepellendus, eos nostrum quas vitae, blanditiis sed fugiat in, suscipit impedit exercitationem maiores necessitatibus voluptatem praesentium quidem pariatur quasi molestias dicta error.\r\n\r\n<h3>Lorem ipsum dolor sit.</h3>\r\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Maxime eaque quis iste commodi. Fugit eveniet dolore maxime vel animi ea, fuga tempore excepturi fugiat vero, nesciunt assumenda. Officiis nobis ex corporis architecto mollitia accusantium! Quibusdam maxime ad, sed sapiente quae recusandae quasi repudiandae dignissimos dolor modi enim possimus dolorem, cupiditate odit, iste saepe incidunt aperiam.", "Tamdhu", "", "inherit", "closed", "closed", "", "148-revision-v1", "", "", "2018-07-16 04:00:13", "2018-07-16 04:00:13", "", "148", "http://localhost:8888/metonymic/2018/07/16/148-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("153", "1", "2018-07-16 04:17:27", "2018-07-16 04:17:27", "Neque error, iusto deserunt. Est, nulla deleniti minus fugit molestias. Libero vero cupiditate nam quisquam nesciunt tenetur, nihil deleniti minus fugit molestias. . Voluptatum, ratione ex laboriosam?\r\n<h3>Lorem ipsum dolor.</h3>\r\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Dicta molestias, quis. Numquam ea ut, quibusdam, rerum nobis voluptatibus inventore sapiente at adipisci.\r\n\r\nIure iusto asperiores temporibus molestias expedita minus optio soluta, cumque sequi provident blanditiis ex, in dolor unde necessitatibus, ad sint tenetur dolorum!\r\n\r\nRepellendus, eos nostrum quas vitae, blanditiis sed fugiat in, suscipit impedit exercitationem maiores necessitatibus voluptatem praesentium quidem pariatur quasi molestias dicta error.\r\n\r\n<h3>Lorem ipsum dolor sit.</h3>\r\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Maxime eaque quis iste commodi. Fugit eveniet dolore maxime vel animi ea, fuga tempore excepturi fugiat vero, nesciunt assumenda. Officiis nobis ex corporis architecto mollitia accusantium! Quibusdam maxime ad, sed sapiente quae recusandae quasi repudiandae dignissimos dolor modi enim possimus dolorem, cupiditate odit, iste saepe incidunt aperiam.", "Tamdhu", "Lorem ipsum dolor sit amet, consectetur adipisicing elit. Fuga facilis accusamus molestias.\r\n", "inherit", "closed", "closed", "", "148-revision-v1", "", "", "2018-07-16 04:17:27", "2018-07-16 04:17:27", "", "148", "http://localhost:8888/metonymic/2018/07/16/148-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("154", "1", "2018-07-16 04:18:16", "2018-07-16 04:18:16", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Culpa itaque alias tempore omnis voluptatem, aperiam voluptas blanditiis! Voluptas doloremque, quaerat facere, eaque quos dolores laboriosam perspiciatis explicabo ducimus ex molestiae voluptatum veniam dolore.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Perferendis id accusamus, iusto esse iste quia omnis veritatis, vero nesciunt, explicabo molestiae, necessitatibus!</p>\r\n<p>Earum aliquam corporis libero voluptates quisquam magnam ducimus laudantium animi quidem, officiis quia optio ex, explicabo, accusamus nemo mollitia eligendi doloremque tempora!</p>\r\n<p>Quod eius ullam, nam et reiciendis, saepe recusandae dolor aliquam consectetur nemo molestiae magnam optio vel eum facilis animi culpa voluptatum delectus!</p>\r\n<p>Earum eveniet tempora consequuntur unde, repellendus dolorum iure pariatur blanditiis quasi animi. Obcaecati excepturi est fugit, molestias mollitia, eaque numquam similique asperiores.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Asperiores eos similique ipsam dolorum, repellat quibusdam quis doloremque id fugiat cumque assumenda, excepturi magni esse sapiente fugit nemo ipsa quia dolore aliquam. Impedit reiciendis, aperiam animi dolor sed, hic ut! Culpa vitae porro dolores, praesentium voluptates ratione repudiandae sequi dolorem nam veritatis id deserunt, sit quia.</p>\r\n", "Balvenie", "A quas, fugit. Voluptatum corporis, debitis? Perspiciatis harum error placeat, porro quod!\r\n", "inherit", "closed", "closed", "", "34-revision-v1", "", "", "2018-07-16 04:18:16", "2018-07-16 04:18:16", "", "34", "http://localhost:8888/metonymic/2018/07/16/34-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("155", "1", "2018-07-16 04:20:09", "2018-07-16 04:20:09", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quae id possimus dolores harum! Cupiditate voluptate perferendis tempore ipsa, adipisci ea atque. Nostrum nihil non sint, doloribus magni est doloremque voluptatem nam laborum pariatur.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Dicta molestias, quis. Numquam ea ut, quibusdam, rerum nobis voluptatibus inventore sapiente at adipisci.</p>\r\n<p>Iure iusto asperiores temporibus molestias expedita minus optio soluta, cumque sequi provident blanditiis ex, in dolor unde necessitatibus, ad sint tenetur dolorum!</p>\r\n<p>Repellendus, eos nostrum quas vitae, blanditiis sed fugiat in, suscipit impedit exercitationem maiores necessitatibus voluptatem praesentium quidem pariatur quasi molestias dicta error.</p>\r\n<p>Neque error, iusto deserunt. Est, nulla deleniti minus fugit molestias. Libero vero cupiditate nam quisquam nesciunt tenetur, nihil. Voluptatum, ratione ex laboriosam?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Maxime eaque quis iste commodi. Fugit eveniet dolore maxime vel animi ea, fuga tempore excepturi fugiat vero, nesciunt assumenda. Officiis nobis ex corporis architecto mollitia accusantium! Quibusdam maxime ad, sed sapiente quae recusandae quasi repudiandae dignissimos dolor modi enim possimus dolorem, cupiditate odit, iste saepe incidunt aperiam.</p>\r\n", "Buhhahabhain", "Perspiciatis neque repudiandae eligendi eos repellat atque similique magnam, aspernatur, dignissimos a.\r\n", "inherit", "closed", "closed", "", "35-revision-v1", "", "", "2018-07-16 04:20:09", "2018-07-16 04:20:09", "", "35", "http://localhost:8888/metonymic/2018/07/16/35-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("156", "1", "2018-07-16 04:20:18", "2018-07-16 04:20:18", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur eveniet ratione, sint quas aliquam earum? Vel excepturi, dolores itaque incidunt culpa odio dignissimos, atque consequatur iusto reprehenderit id, porro nam! Delectus, architecto, consectetur.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quam quo ducimus deleniti, reiciendis cum necessitatibus, voluptatibus. Recusandae quod labore soluta eligendi, hic!</p>\r\n<p>Est impedit repellat voluptatum veniam odit dolorem nesciunt aliquid recusandae consectetur in ea neque explicabo sequi quaerat itaque aut vel, beatae. Cum.</p>\r\n<p>Ea neque sit, corporis aut quasi in tenetur eum incidunt saepe! Odit, fugiat. Ab maxime, placeat totam quam nesciunt. Voluptatum, ipsam, odit.</p>\r\n<p>Delectus vel quidem saepe perferendis fuga, ex quam obcaecati corporis ipsum, sunt quia repellendus laboriosam error doloremque dolores amet fugiat. Ullam, eaque!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Dolore iure omnis adipisci nemo iste aspernatur alias labore commodi? Fuga impedit dicta, sequi voluptatibus sunt quas ratione velit! Doloribus alias beatae doloremque ad a est nulla consequatur optio veritatis natus sit sequi, iusto expedita, officiis ut temporibus delectus. Nostrum quis tempore porro illo. Nam quis, praesentium.</p>\r\n", "Auchentoshan", "Necessitatibus officiis aliquid incidunt molestias odit consequatur et. Dolore nesciunt sit sint.\r\n", "inherit", "closed", "closed", "", "53-revision-v1", "", "", "2018-07-16 04:20:18", "2018-07-16 04:20:18", "", "53", "http://localhost:8888/metonymic/2018/07/16/53-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("157", "1", "2018-07-16 04:20:32", "2018-07-16 04:20:32", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Tempore facilis minus beatae modi animi quisquam impedit quia repellat ipsam ipsum, aut et qui perspiciatis culpa voluptas inventore a necessitatibus eum tempora voluptatum vel!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ipsum nesciunt quae deleniti. Nulla voluptate ullam libero, corporis maiores at quae rerum quam!</p>\r\n<p>Totam sequi amet rem dolores quis, aliquam eveniet accusantium ipsam sunt quidem suscipit voluptate qui, consequuntur harum distinctio architecto incidunt illum beatae.</p>\r\n<p>Esse voluptatibus quas quasi tempore, odit at! Molestiae ab accusantium et, rem soluta reprehenderit sequi fugiat consequatur veniam, veritatis saepe voluptate cupiditate.</p>\r\n<p>Quisquam aliquid, fuga aspernatur soluta obcaecati? Laborum quos minus officia non est repellendus eum pariatur quasi nam ipsam id perferendis, earum, atque.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eius voluptas, laudantium cupiditate veritatis explicabo nemo excepturi similique, vel optio aperiam corporis pariatur, odio quia quis numquam in veniam. Saepe similique quo consequuntur unde harum, blanditiis fuga debitis sint laudantium ullam natus voluptas, ducimus a, libero praesentium! Id nam sed sint nostrum possimus nesciunt quis dignissimos?</p>\r\n", "Glenfiddich", "Dolorem aut veritatis labore magnam blanditiis, maiores iure similique sint expedita illo.\r\n", "inherit", "closed", "closed", "", "33-revision-v1", "", "", "2018-07-16 04:20:32", "2018-07-16 04:20:32", "", "33", "http://localhost:8888/metonymic/2018/07/16/33-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("158", "1", "2018-07-16 04:20:46", "2018-07-16 04:20:46", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sit quo debitis assumenda, esse qui in architecto libero sunt totam consequatur, consectetur fugit tempora modi rerum earum optio fugiat quos cum vitae quasi sequi.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Veritatis nemo iure, totam adipisci quam repudiandae aperiam eius repellendus ducimus atque voluptatum molestias!</p>\r\n<p>Earum culpa non beatae, neque ex. Recusandae perferendis sit cum tempora nostrum vero odit excepturi, possimus saepe dolorum ipsam aperiam praesentium voluptates.</p>\r\n<p>Laborum mollitia, rem doloribus ipsa rerum possimus sed dolorum dolorem ad! Ut, eum suscipit. Maxime aperiam, voluptatibus eos minima distinctio commodi repellat!</p>\r\n<p>Explicabo, totam. Esse voluptate ab omnis dicta, eaque at nulla obcaecati praesentium enim, nesciunt. Blanditiis voluptatem officiis modi, consectetur, hic quia ullam!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Optio inventore accusantium officiis quisquam modi amet nulla, quis quasi, blanditiis, repudiandae ipsa culpa sed. Consectetur esse voluptates vel rerum dicta, perferendis nisi fugiat natus nihil velit nemo cupiditate sequi quaerat nostrum quod dolor at sapiente! Doloribus in sint debitis rerum, fugit quos impedit quia sunt, et!</p>", "Johnnie Walker", "Distinctio nam excepturi doloribus, unde, corporis atque saepe voluptatem repellendus omnis quia.\r\n", "inherit", "closed", "closed", "", "74-revision-v1", "", "", "2018-07-16 04:20:46", "2018-07-16 04:20:46", "", "74", "http://localhost:8888/metonymic/2018/07/16/74-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("159", "1", "2018-07-16 04:20:56", "2018-07-16 04:20:56", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eos similique aliquam rerum saepe ipsum! Earum culpa laudantium error quae? Soluta numquam magni, nobis incidunt doloremque recusandae pariatur, natus mollitia accusantium molestiae et iure!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Praesentium reprehenderit perspiciatis fuga placeat nesciunt illo accusamus aut quia facere culpa? Minima, quasi?</p>\r\n<p>Quam porro, voluptates eaque error tenetur dolore, reprehenderit maiores facilis soluta ad obcaecati ipsum odit impedit voluptate praesentium quos deserunt fuga placeat.</p>\r\n<p>Ducimus eius laboriosam corporis a ex itaque, facere exercitationem repudiandae qui est, in aliquam. Enim, possimus, dolorum necessitatibus nemo quae quos iusto.</p>\r\n<p>Excepturi nisi doloribus doloremque, enim veritatis itaque perferendis maxime corporis voluptas et eveniet repudiandae commodi modi ducimus adipisci, mollitia repellat ullam quod?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Placeat quam voluptates reprehenderit nemo ad maiores sit deleniti quia, magni in quas sed earum commodi possimus explicabo perspiciatis iure debitis eveniet natus quidem neque velit, facere, nulla. Accusantium aperiam optio quibusdam itaque ducimus, quidem ex voluptatibus tenetur laborum laudantium ipsa esse, dolorem deleniti facilis explicabo! Saepe.</p>", "Chivas Regal", "Et iste recusandae illo. Dolores illo eum iure aut. Consequatur illo, repellendus?\r\n", "inherit", "closed", "closed", "", "73-revision-v1", "", "", "2018-07-16 04:20:56", "2018-07-16 04:20:56", "", "73", "http://localhost:8888/metonymic/2018/07/16/73-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("160", "1", "2018-07-16 04:21:04", "2018-07-16 04:21:04", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Assumenda incidunt, accusamus saepe. Consectetur molestias nulla hic adipisci eaque provident optio, odit magni ut sit quod ea suscipit, saepe eos dolor exercitationem neque quasi?</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Unde eum consequatur ea illum blanditiis impedit iste perferendis sapiente sed, quaerat inventore, ab.</p>\r\n<p>Necessitatibus, incidunt dolores neque distinctio amet ducimus, magni dolorem quam. Sunt quia inventore rerum neque reprehenderit sequi tenetur possimus molestias quam molestiae?</p>\r\n<p>Reiciendis officiis obcaecati, odit repellendus debitis eligendi vitae consequatur provident vel aliquid nemo ratione. Fugiat cumque et, adipisci, facilis similique unde perspiciatis.</p>\r\n<p>Quibusdam, in dolorum! Sequi quasi recusandae deleniti accusantium consequatur dolor quam aliquam, aliquid ipsum perferendis similique aut id minus nihil ex libero!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sint tempore suscipit labore veritatis, cumque delectus fugiat debitis in voluptate recusandae provident ipsum, ipsa aliquam, iusto numquam minus maxime quos culpa tempora mollitia neque dolorem quibusdam! Vitae libero nisi voluptatum rerum saepe nulla harum minima nam nesciunt! Ipsa veniam, cumque ratione reprehenderit totam quia et fugiat.</p>\r\n", "Glengyle", "Quaerat quia ab repudiandae suscipit accusamus expedita reiciendis officiis dolor inventore deserunt?\r\n", "inherit", "closed", "closed", "", "69-revision-v1", "", "", "2018-07-16 04:21:04", "2018-07-16 04:21:04", "", "69", "http://localhost:8888/metonymic/2018/07/16/69-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("161", "1", "2018-07-16 04:21:18", "2018-07-16 04:21:18", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptate ipsa, facilis nostrum iusto autem, facere dolorem. Voluptatibus minima et, cum exercitationem a at distinctio, corporis ab expedita. Sunt libero sed dolores, saepe facilis!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ullam sed, culpa eum ipsa nam similique tempora fugit! Praesentium aut facilis obcaecati quo.</p>\r\n<p>Sunt quod cupiditate, quaerat dolore rem quae! Ducimus, autem, aliquam possimus consequuntur earum, rem dolor qui quis perspiciatis corrupti iusto, aliquid tenetur.</p>\r\n<p>Nihil eius ullam autem necessitatibus nesciunt eaque, iusto voluptatem ipsum voluptas doloremque, ex iure dicta aperiam! Molestiae magni eligendi, autem sequi. Odio!</p>\r\n<p>Aspernatur accusantium ipsam debitis in qui. Quia possimus, consequuntur optio, nam atque earum laudantium est dolore alias nesciunt reiciendis. Laudantium, natus, tempore?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Temporibus in nulla saepe officiis, culpa qui quibusdam quos aliquid itaque. Fugit corporis dolores delectus architecto necessitatibus est, iure, quas sed animi dolorem tempora, quisquam voluptatum obcaecati non doloremque. Omnis aspernatur, sed dolorem iste sunt facilis laborum qui soluta deleniti minus voluptatum ea, voluptates cum. Eveniet, perferendis!</p>", "Glen Scotia", "Non totam recusandae maxime illum ab odio dicta ipsa reiciendis alias corporis.\r\n", "inherit", "closed", "closed", "", "68-revision-v1", "", "", "2018-07-16 04:21:18", "2018-07-16 04:21:18", "", "68", "http://localhost:8888/metonymic/2018/07/16/68-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("162", "1", "2018-07-16 04:21:25", "2018-07-16 04:21:25", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Placeat ratione quibusdam omnis explicabo amet inventore optio iusto veritatis mollitia perferendis quisquam ea deleniti earum ipsum nobis beatae quis quidem quod, excepturi, quasi accusantium.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Iste omnis, alias laudantium veniam atque modi, id suscipit rem consequatur voluptatum sunt nulla?</p>\r\n<p>Odit, veritatis, voluptate. Magnam enim placeat dolore amet culpa, perferendis iusto tenetur impedit! Cupiditate vel odit culpa, harum illo repellat nobis temporibus!</p>\r\n<p>Earum corporis, a beatae porro dicta fuga velit accusamus atque cupiditate nulla laudantium necessitatibus quaerat commodi! Atque itaque unde earum quae repellat!</p>\r\n<p>Deleniti, quasi, et voluptatibus, modi, voluptatum praesentium iste dolore aperiam molestiae temporibus necessitatibus! Sint soluta ex accusantium ducimus quis, fugit esse sed!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Incidunt quod eius ipsam officia debitis omnis, repellat, et sed distinctio voluptatem expedita, quisquam quae, sapiente vel illo ullam iure praesentium sequi culpa velit quo fugiat blanditiis quaerat! Quo vel similique sint quae perferendis nesciunt, magnam, eveniet rem suscipit nobis excepturi necessitatibus quis sapiente voluptates. Reprehenderit, repellendus.</p>\r\n", "Springbank", "Voluptas laboriosam, consequuntur. Odit sed voluptatem explicabo placeat quod harum minima, fugit.\r\n", "inherit", "closed", "closed", "", "67-revision-v1", "", "", "2018-07-16 04:21:25", "2018-07-16 04:21:25", "", "67", "http://localhost:8888/metonymic/2018/07/16/67-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("163", "1", "2018-07-16 04:21:34", "2018-07-16 04:21:34", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eligendi error fuga quis vel ipsa praesentium iste architecto maxime rerum, culpa quidem, facere quia corporis dolores at optio facilis, voluptate molestias. A, odio aperiam!</p>\n<h3>Lorem ipsum dolor.</h3>\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Repellat nemo maiores odit obcaecati molestiae, voluptatibus laboriosam repellendus iusto! Incidunt ab reiciendis, ex.</p>\n<p>Nostrum a ducimus tempora at quos, iste modi vel, sint maxime consectetur recusandae. Vel voluptas tempora commodi laborum placeat, cumque? Quidem, tempora.</p>\n<p>Minima illum provident at voluptas sapiente praesentium ut ab fuga placeat, dolorum exercitationem libero. Deserunt tempore tempora dolorum repellendus maiores, cum ipsa.</p>\n<p>Explicabo, aut consectetur temporibus nostrum praesentium atque! A praesentium quod esse, vel facere, voluptates quas laudantium. Doloribus odio quia suscipit sit incidunt.</p>\n<h3>Lorem ipsum dolor sit.</h3>\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Optio voluptatibus error, dignissimos dolore illum pariatur nisi voluptatem reprehenderit quo. A nobis fuga magnam ab illum hic alias non autem dolores sint ipsam adipisci rem officiis eum molestiae laboriosam distinctio quisquam suscipit provident, nulla nostrum, tenetur unde voluptatibus doloremque. Eius in corrupti error perferendis modi ea!</p>", "Lagavulin", "Dolorem aut veritatis labore magnam blanditiis, maiores iure similique sint expedita illo.\n", "inherit", "closed", "closed", "", "59-autosave-v1", "", "", "2018-07-16 04:21:34", "2018-07-16 04:21:34", "", "59", "http://localhost:8888/metonymic/2018/07/16/59-autosave-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("164", "1", "2018-07-16 04:21:34", "2018-07-16 04:21:34", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Qui magnam expedita ea assumenda nobis id quod odio accusamus dicta numquam, voluptate amet quaerat voluptas velit laudantium maxime vel ducimus aperiam perspiciatis soluta doloremque.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Veritatis quas beatae, officia nisi inventore deleniti natus earum quia. Dolores illum quas dolorem.</p>\r\n<p>Placeat fugit, laudantium inventore blanditiis eos debitis aperiam! Nisi blanditiis repudiandae autem. Dicta aspernatur obcaecati, dolorum ullam! Pariatur recusandae, ducimus hic harum.</p>\r\n<p>Hic sapiente sunt quam, consectetur delectus tempore iste saepe similique obcaecati, numquam illum vel impedit dolor eius, quod maiores architecto incidunt voluptate.</p>\r\n<p>Accusamus aperiam quaerat sequi, libero cum nesciunt distinctio vel eveniet deserunt dicta possimus blanditiis, perspiciatis atque officiis adipisci ad tenetur vero consequatur.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Minima quaerat alias harum, explicabo cupiditate non aperiam in aliquam. Quae quidem, iusto qui natus assumenda dolores, architecto magnam laudantium minima! Tempora voluptates qui placeat quo, amet, fugiat quis porro molestiae ipsa esse in pariatur, nesciunt maiores! Nemo voluptas voluptatem alias quidem voluptates aut pariatur! Eum, incidunt.</p>", "Ardbeg", "Dolorem earum itaque repellendus maiores aperiam eaque deleniti nostrum adipisci nihil ut.\r\n", "inherit", "closed", "closed", "", "29-revision-v1", "", "", "2018-07-16 04:21:34", "2018-07-16 04:21:34", "", "29", "http://localhost:8888/metonymic/2018/07/16/29-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("165", "1", "2018-07-16 04:21:44", "2018-07-16 04:21:44", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Tempora aut, eligendi aliquam et laudantium, numquam eum nemo. Tenetur alias eveniet totam velit accusantium! Ab unde odio ad ratione doloremque saepe hic veritatis odit.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Fugit alias, similique perferendis iure illo quis necessitatibus, omnis voluptatum, commodi incidunt molestiae inventore.</p>\r\n<p>Illo sint, ratione dolorum hic quidem sit suscipit quam quos maiores. Commodi debitis sapiente aliquid, fugiat aperiam at amet! Veniam, nesciunt, nulla.</p>\r\n<p>Non, mollitia minima quas voluptatibus voluptas earum ullam blanditiis modi quis placeat ipsa. Reprehenderit perferendis ratione, eum nisi corporis asperiores iusto ducimus.</p>\r\n<p>Laborum, suscipit, id. Repudiandae doloribus rem assumenda, ratione quo totam numquam a impedit quaerat suscipit corporis magni quae, natus qui dolor? Nesciunt!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ad illum dolores eligendi culpa hic cupiditate dolore quam eius, quae eum esse, cumque impedit. Enim, in. Consequuntur ratione tenetur saepe dolore iure quaerat ducimus voluptatem delectus repellendus provident natus velit, necessitatibus mollitia illum commodi rem illo expedita non, laudantium pariatur, modi consectetur. Quibusdam quae doloribus, enim.</p>", "Laphroaig", "Ab at sint alias minus illo, libero omnis excepturi asperiores consectetur vitae.\r\n", "inherit", "closed", "closed", "", "31-revision-v1", "", "", "2018-07-16 04:21:44", "2018-07-16 04:21:44", "", "31", "http://localhost:8888/metonymic/2018/07/16/31-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("166", "1", "2018-07-16 04:21:53", "2018-07-16 04:21:53", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Dolorum omnis fuga quidem beatae eum quasi incidunt corporis nisi architecto aperiam illo soluta, non autem, sint vitae minus culpa voluptatum praesentium ullam cum doloremque.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quidem explicabo corporis at totam, quod sit iusto voluptatem aliquam, tenetur natus delectus eos.</p>\r\n<p>Reprehenderit, nesciunt quia, expedita, molestiae est architecto sed qui perferendis enim iure consectetur fuga facilis laboriosam? Esse modi inventore animi consequatur, iste.</p>\r\n<p>Consectetur soluta, voluptatem! Nemo odit nihil unde quaerat consectetur cupiditate sapiente, porro dolore pariatur explicabo voluptatum reprehenderit, aperiam soluta culpa veritatis quam.</p>\r\n<p>Minima illum itaque perferendis fugit dicta ad voluptatem a eaque optio obcaecati quos reprehenderit, quidem, eius provident enim, asperiores, praesentium dolor quisquam!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ipsa consequuntur recusandae aspernatur necessitatibus dignissimos neque pariatur tempore iusto, accusantium tempora quis obcaecati saepe nesciunt nam est a quo sunt fuga deleniti voluptates voluptas inventore. Officiis saepe dolorem enim veniam optio quae corporis, vel, nulla. Suscipit ipsa ratione explicabo magnam recusandae cum doloribus quidem neque necessitatibus.</p>\r\n", "Highland Park", "Tenetur eum cum nobis, error minima, odio at ipsum deserunt illum sunt.\r\n", "inherit", "closed", "closed", "", "64-revision-v1", "", "", "2018-07-16 04:21:53", "2018-07-16 04:21:53", "", "64", "http://localhost:8888/metonymic/2018/07/16/64-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("167", "1", "2018-07-16 04:22:03", "2018-07-16 04:22:03", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatibus ducimus similique illum, aspernatur magni. Officia alias fugit sunt quis atque ratione temporibus maiores suscipit harum iusto et rem soluta odio, molestiae autem eligendi.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Iure minus dolores consectetur enim commodi ipsam ut minima. Perferendis eaque labore explicabo recusandae?</p>\r\n<p>Autem assumenda eveniet, a aspernatur voluptates dolore, omnis illum voluptas dicta perspiciatis ex doloribus. Itaque harum neque earum dolorem, error ipsam ab.</p>\r\n<p>Ipsam et distinctio tempora maiores consequatur, ducimus explicabo voluptas, dolorum iste eum consectetur ea provident id quia nesciunt voluptates voluptatum. Quibusdam, harum.</p>\r\n<p>Pariatur illo aperiam quisquam voluptas dicta aspernatur magni laborum, quibusdam impedit quos non distinctio earum ipsa sapiente minima nihil, eius aliquam dolor.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Doloribus consequatur, ea officiis ab aliquid quia commodi non? Non molestias, a accusantium perferendis necessitatibus repellat libero nemo, doloribus quaerat iusto, laudantium? Laudantium in, aliquam deserunt hic esse sint amet animi, necessitatibus labore officiis temporibus nihil excepturi ex totam, dolore placeat illo error ea quod nesciunt dolores!</p>", "Talisker", "Odit voluptatem quis aut nemo qui ullam, aperiam reprehenderit molestias sint ea.\r\n", "inherit", "closed", "closed", "", "63-revision-v1", "", "", "2018-07-16 04:22:03", "2018-07-16 04:22:03", "", "63", "http://localhost:8888/metonymic/2018/07/16/63-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("168", "1", "2018-07-16 04:22:15", "2018-07-16 04:22:15", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Natus, vero repellendus eos. Sed velit aliquid corporis numquam quis officiis maxime consequuntur doloremque amet accusamus nesciunt, praesentium quidem at assumenda quisquam omnis voluptas veritatis?</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eaque quae itaque accusantium nam facilis ad vero, maiores officiis ab, cupiditate, recusandae molestias.</p>\r\n<p>Pariatur consequatur, ipsum quos veritatis in laborum eveniet praesentium dolorum necessitatibus architecto, consectetur amet, officiis consequuntur doloribus earum odio quo recusandae voluptates!</p>\r\n<p>Similique incidunt error voluptatum repellendus fuga sunt, dicta dolore necessitatibus nesciunt reprehenderit adipisci. Sed aperiam a nostrum odit debitis sint, ducimus dolor!</p>\r\n<p>Earum quos, ipsam consectetur nostrum tempora incidunt debitis temporibus itaque assumenda architecto dignissimos perferendis possimus ipsa commodi rerum vero nam ab voluptatem?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Vel quia repellat adipisci quidem aspernatur in. Iusto expedita ratione esse minima nostrum! Minus deleniti rerum impedit hic ullam doloremque a necessitatibus id aliquid blanditiis. At eveniet aspernatur cum veniam. Sequi perspiciatis corporis, laborum nulla nisi odit? Suscipit cupiditate expedita incidunt dolores quis sed minus delectus nulla.</p>\r\n", "Bowmore", "Beatae quisquam fuga neque natus impedit iste incidunt. Temporibus ratione perferendis repellendus.\r\n", "inherit", "closed", "closed", "", "60-revision-v1", "", "", "2018-07-16 04:22:15", "2018-07-16 04:22:15", "", "60", "http://localhost:8888/metonymic/2018/07/16/60-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("169", "1", "2018-07-16 04:22:22", "2018-07-16 04:22:22", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Fugit labore voluptatem voluptatum nostrum in explicabo ab itaque perspiciatis ipsam sapiente, recusandae, voluptate unde. Reiciendis voluptatum quia ad nulla recusandae molestias atque sequi laudantium.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Minima, ipsam necessitatibus temporibus qui accusamus, quasi, totam repudiandae doloremque rerum quia delectus nam.</p>\r\n<p>Labore harum, maiores veniam cupiditate qui explicabo voluptatem earum id, dolor, voluptas saepe natus. Porro debitis ullam itaque, accusantium culpa soluta voluptatum.</p>\r\n<p>Assumenda similique labore, corrupti recusandae quisquam, accusantium provident voluptates incidunt, neque eum consequuntur. At minus, iste dolore repudiandae ipsum ea, cupiditate molestias.</p>\r\n<p>Vitae ad id accusamus quia aspernatur ab, iusto, repellendus beatae rem aperiam ipsam atque, laboriosam nesciunt ea sunt officiis in? Modi, velit.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sapiente adipisci, hic itaque dicta, facere tempore aut voluptatum magni. Quisquam tenetur, esse ducimus nesciunt praesentium accusantium porro laborum quas, minus ab placeat repellendus labore perspiciatis? Sapiente odio fugiat, id eum ipsam recusandae nobis nemo assumenda quam! Dolorem provident ipsa consequatur quibusdam illum possimus quis itaque ducimus.</p>", "Glenlivet", "Ea illum cumque, incidunt quisquam odit molestiae. Esse, quidem. Nihil, voluptates dolor.\r\n", "inherit", "closed", "closed", "", "57-revision-v1", "", "", "2018-07-16 04:22:22", "2018-07-16 04:22:22", "", "57", "http://localhost:8888/metonymic/2018/07/16/57-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("170", "1", "2018-07-16 04:22:29", "2018-07-16 04:22:29", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Qui quia eveniet harum eos repudiandae at asperiores, fugit molestiae quasi veritatis excepturi totam, tempora, aliquam facere mollitia omnis, nisi cum unde sint accusantium temporibus.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quaerat fugit qui officiis reprehenderit voluptatum tempora, praesentium mollitia nobis, cumque accusantium dolore eveniet.</p>\r\n<p>Earum officiis veniam porro voluptatem neque eveniet quia provident fugit harum! Aut eaque nesciunt ea maxime labore tenetur ad sequi, nobis sint.</p>\r\n<p>Maxime et quia excepturi delectus, atque, molestias quae reprehenderit repudiandae quas sequi dolorem impedit, vel error magni reiciendis ullam eaque suscipit deleniti!</p>\r\n<p>Laudantium eveniet non saepe quibusdam labore quos, at corporis quas voluptatum quae sit nemo autem, expedita voluptates assumenda doloremque sed necessitatibus? Sed.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Harum tempora iste, ex unde quasi culpa cumque repudiandae dolore reprehenderit a quos temporibus animi pariatur consectetur at. Culpa ipsum similique rerum, doloremque numquam architecto, ad repellat quisquam ut aperiam tempore ullam fuga reiciendis at blanditiis maiores atque eaque voluptatibus quasi eligendi earum aliquam. Earum, magni maxime.</p>", "Bladnoch", "Tempora ab nulla obcaecati quos consequatur molestiae temporibus nihil, numquam ullam. Voluptates!\r\n", "inherit", "closed", "closed", "", "52-revision-v1", "", "", "2018-07-16 04:22:29", "2018-07-16 04:22:29", "", "52", "http://localhost:8888/metonymic/2018/07/16/52-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("171", "1", "2018-07-16 04:22:37", "2018-07-16 04:22:37", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. At voluptatibus iste molestias perferendis et nostrum recusandae, laboriosam, aut ipsum aspernatur doloremque consectetur. Eveniet id tenetur ipsum impedit alias neque, perferendis minima quos deleniti!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Veniam ullam sint, beatae tenetur aspernatur eaque, nam sapiente reprehenderit recusandae aliquid, voluptatum. A!</p>\r\n<p>Fuga quibusdam earum nemo obcaecati accusamus asperiores minus, mollitia aperiam, neque dolores saepe ratione facere hic totam libero et nesciunt rem pariatur.</p>\r\n<p>Aperiam animi distinctio ducimus, deserunt nostrum ipsum natus et nisi, cumque maxime hic repellendus at possimus inventore, maiores eius provident? Adipisci, cumque.</p>\r\n<p>Distinctio tempore architecto voluptate, laborum autem aperiam nesciunt impedit cupiditate dolorem natus placeat aut repellat harum non maiores unde ipsam in tenetur.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Distinctio, sint amet mollitia ratione sed nesciunt minima minus, hic voluptatum ab eos illum in molestiae sequi cupiditate, molestias reprehenderit deserunt ut cumque, exercitationem earum ea. Doloremque voluptatum numquam et, aut porro expedita magnam maxime officia sequi perspiciatis odio iure praesentium veniam mollitia ipsum dolores pariatur quod.</p>\r\n", "Glenkinchie", "In maxime tempore quo sapiente nobis quae? Incidunt, minus iusto vero ratione!\r\n", "inherit", "closed", "closed", "", "51-revision-v1", "", "", "2018-07-16 04:22:37", "2018-07-16 04:22:37", "", "51", "http://localhost:8888/metonymic/2018/07/16/51-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("172", "1", "2018-07-16 04:22:44", "2018-07-16 04:22:44", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Similique nisi architecto explicabo, quia, ab officiis nemo ad fuga aliquid, consequatur eveniet! Praesentium iste cumque dolore quos aspernatur deleniti itaque, porro quis, adipisci necessitatibus?</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Id aliquid illo, praesentium aspernatur impedit, illum ea voluptatum nobis iure adipisci obcaecati laboriosam.</p>\r\n<p>Tempora quidem quam neque autem est optio laboriosam dolores nesciunt enim rerum, suscipit mollitia facere deleniti, magni aliquid reprehenderit commodi. Similique, voluptatibus?</p>\r\n<p>Modi tempora nam eveniet inventore est at ullam explicabo quam maxime, iusto, minus sapiente, similique vero perferendis! Suscipit sed voluptates sint explicabo.</p>\r\n<p>A repellat animi necessitatibus! Repellat nostrum quidem suscipit maiores accusantium at, officiis unde sit modi consectetur totam repellendus! Necessitatibus doloremque ex laboriosam!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sed aliquam amet veniam nam reiciendis delectus sint quisquam laborum et aspernatur porro eaque, dicta soluta inventore similique non minus! Facere, molestias. Architecto quis libero quam error vel corporis, labore quidem illum cumque tempore, magni nam odio dolores atque rerum ipsa aut laborum facere, fugit enim tenetur.</p>\r\n", "Glenmorangie", "Quam expedita in nostrum incidunt cum fugit quisquam dolore temporibus perferendis, debitis.\r\n", "inherit", "closed", "closed", "", "49-revision-v1", "", "", "2018-07-16 04:22:44", "2018-07-16 04:22:44", "", "49", "http://localhost:8888/metonymic/2018/07/16/49-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("173", "1", "2018-07-16 04:22:53", "2018-07-16 04:22:53", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur hic quasi odio voluptates eligendi illum suscipit asperiores fugit placeat inventore ratione explicabo assumenda blanditiis ipsam ipsum repellat ipsa, sint tempora odit eos? Sequi!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eveniet obcaecati ratione cum id natus asperiores maiores recusandae animi, corporis dolore dolorem ut!</p>\r\n<p>Soluta sunt quos dolore cumque earum temporibus, officiis at similique voluptas quam ullam accusantium autem, odio fugit magnam aut quisquam unde rem.</p>\r\n<p>Ad, eaque quo voluptatem dolorum esse minus illo, cupiditate fuga quidem ipsa! Voluptatem asperiores consequatur, nesciunt minima doloribus, dolorum fuga alias. Voluptas.</p>\r\n<p>Provident omnis veritatis rem debitis impedit quo excepturi! Illum, nesciunt, dolores adipisci sapiente soluta explicabo nihil debitis molestiae excepturi esse placeat accusamus.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Unde maxime nihil doloremque! Quos asperiores voluptas aliquam molestiae ut molestias fugiat, quasi, expedita amet explicabo aspernatur perferendis, eum reiciendis dicta natus accusamus alias incidunt sunt nemo voluptatum nesciunt veritatis architecto et doloremque aperiam! At enim nisi aut dignissimos minus corporis, magni tenetur eveniet aliquam illo! Error!</p>\r\n", "Dalmore", "Sapiente, ex, vel. Enim libero consequatur perferendis architecto harum, voluptatum maxime adipisci!\r\n", "inherit", "closed", "closed", "", "47-revision-v1", "", "", "2018-07-16 04:22:53", "2018-07-16 04:22:53", "", "47", "http://localhost:8888/metonymic/2018/07/16/47-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("174", "1", "2018-07-16 04:23:00", "2018-07-16 04:23:00", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Magnam, reprehenderit at. Consequuntur facere consequatur sapiente ab ducimus labore quam quod modi cumque distinctio, nostrum, voluptates sint, a voluptatem fuga placeat quis aliquam eius.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatum, pariatur nam odit ad quas optio non, quasi sed officiis quaerat reiciendis consectetur.</p>\r\n<p>Iure in, officiis nam cum neque ducimus commodi consequuntur magni enim veniam nemo alias aliquid eveniet nihil repellat dolore omnis. Repellendus, atque.</p>\r\n<p>Voluptate aspernatur velit nam assumenda mollitia facilis explicabo, commodi, neque eaque consequuntur illo. Inventore adipisci nulla ullam suscipit vero odit, quaerat quia.</p>\r\n<p>Provident, consequuntur atque exercitationem corrupti laboriosam ipsam, reiciendis, praesentium totam delectus quas nobis doloribus. Voluptas ipsum explicabo eaque mollitia cupiditate ratione nam!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. In nesciunt ratione tempore quaerat, cum assumenda distinctio quod debitis, harum nulla expedita. Architecto odio quae esse commodi eveniet mollitia nihil, cupiditate corporis delectus ipsum. Fugiat perferendis nulla culpa tempora modi eius id dolor harum optio ea aliquam quaerat voluptatum similique, pariatur nisi deleniti, et animi itaque.</p>\r\n", "Glen Garioch", "Porro consequuntur quisquam minus nemo placeat alias neque aliquam, provident iusto similique.\r\n", "inherit", "closed", "closed", "", "36-revision-v1", "", "", "2018-07-16 04:23:00", "2018-07-16 04:23:00", "", "36", "http://localhost:8888/metonymic/2018/07/16/36-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("175", "1", "2018-07-16 04:23:08", "2018-07-16 04:23:08", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Cum tempora, incidunt modi sint rerum delectus iste dolorem veniam omnis ullam saepe quia, laboriosam iusto dolorum ducimus velit. Cum aperiam laudantium cumque, perspiciatis minima!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quibusdam omnis ipsum et, praesentium sint expedita eum soluta. Distinctio ipsam soluta praesentium laborum.</p>\r\n<p>Aut eos ea incidunt atque laudantium, doloribus harum est asperiores modi similique impedit, perspiciatis, rem quod accusantium dignissimos? Soluta eum, assumenda doloremque.</p>\r\n<p>Soluta distinctio odio est excepturi eos quis, delectus ex maiores quos nemo cum, accusamus, ratione facere enim aliquid accusantium facilis, cupiditate eius.</p>\r\n<p>Temporibus ipsum sint provident ad iste, ipsa natus id, voluptatem, commodi aliquam ullam nobis? Dolorum quia nihil voluptas quas dolore sapiente! Voluptatum.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quam soluta culpa laborum! Sit rerum porro fuga eos, expedita nesciunt cumque totam esse provident rem! Eius recusandae fuga quasi, ipsum. Nemo quaerat perferendis sunt architecto reprehenderit est mollitia eius, laboriosam quidem consequatur perspiciatis, placeat cupiditate nesciunt omnis illo vel! Sit quisquam totam, ipsum veritatis laborum voluptatum.</p>", "Aberlour", "Voluptates unde, sit officia. Dolores earum sapiente neque tempora, excepturi exercitationem distinctio!\r\n", "inherit", "closed", "closed", "", "30-revision-v1", "", "", "2018-07-16 04:23:08", "2018-07-16 04:23:08", "", "30", "http://localhost:8888/metonymic/2018/07/16/30-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("176", "1", "2018-07-16 04:23:16", "2018-07-16 04:23:16", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur molestias dicta, cum quae voluptatum tenetur illo atque id est at natus animi provident maxime in libero deserunt facere ea sint. A, perspiciatis non.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Assumenda quas omnis dolores? Eos alias dolorum, commodi neque! Expedita harum eveniet, quisquam laboriosam!</p>\r\n<p>In dicta hic quidem, dolorem fugit eveniet. Inventore quam, sint fugit repudiandae cupiditate ducimus voluptate voluptatibus autem laborum labore veritatis officia ullam!</p>\r\n<p>Fugiat modi enim earum est saepe magnam eligendi at, asperiores cumque similique officia possimus adipisci nulla ullam alias reprehenderit, praesentium neque tempora!</p>\r\n<p>Placeat aut unde incidunt blanditiis dolorum, facilis id error, officiis velit ex. Est vel, aspernatur quis inventore autem id veniam vitae, recusandae.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Libero tempore facere ab animi eveniet sunt, consequuntur nisi non ducimus nostrum. Sit dolorum tempore assumenda ea ipsum, praesentium cumque cupiditate, impedit neque quasi culpa dolore. Nisi quasi, fuga enim aperiam aliquam dolorum architecto. Quo incidunt vel quos tenetur minima, quae, quam iusto numquam expedita, totam modi!</p>", "The Macallan", "Eum deleniti nobis porro ea sapiente. Suscipit doloremque temporibus, sit commodi omnis.\r\n", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2018-07-16 04:23:16", "2018-07-16 04:23:16", "", "28", "http://localhost:8888/metonymic/2018/07/16/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("177", "1", "2018-07-16 04:23:31", "2018-07-16 04:23:31", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eligendi error fuga quis vel ipsa praesentium iste architecto maxime rerum, culpa quidem, facere quia corporis dolores at optio facilis, voluptate molestias. A, odio aperiam!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Repellat nemo maiores odit obcaecati molestiae, voluptatibus laboriosam repellendus iusto! Incidunt ab reiciendis, ex.</p>\r\n<p>Nostrum a ducimus tempora at quos, iste modi vel, sint maxime consectetur recusandae. Vel voluptas tempora commodi laborum placeat, cumque? Quidem, tempora.</p>\r\n<p>Minima illum provident at voluptas sapiente praesentium ut ab fuga placeat, dolorum exercitationem libero. Deserunt tempore tempora dolorum repellendus maiores, cum ipsa.</p>\r\n<p>Explicabo, aut consectetur temporibus nostrum praesentium atque! A praesentium quod esse, vel facere, voluptates quas laudantium. Doloribus odio quia suscipit sit incidunt.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Optio voluptatibus error, dignissimos dolore illum pariatur nisi voluptatem reprehenderit quo. A nobis fuga magnam ab illum hic alias non autem dolores sint ipsam adipisci rem officiis eum molestiae laboriosam distinctio quisquam suscipit provident, nulla nostrum, tenetur unde voluptatibus doloremque. Eius in corrupti error perferendis modi ea!</p>", "Lagavulin", "Dolorem aut veritatis labore magnam blanditiis, maiores iure similique sint expedita illo.\r\n", "inherit", "closed", "closed", "", "59-revision-v1", "", "", "2018-07-16 04:23:31", "2018-07-16 04:23:31", "", "59", "http://localhost:8888/metonymic/2018/07/16/59-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("179", "1", "2018-07-28 07:04:45", "2018-07-28 07:04:45", "Neque error, iusto deserunt. Est, nulla deleniti minus fugit molestias. Libero vero cupiditate nam quisquam nesciunt tenetur, nihil deleniti minus fugit molestias. . Voluptatum, ratione ex laboriosam?\r\n<h3>Lorem ipsum dolor.</h3>\r\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Dicta molestias, quis. Numquam ea ut, quibusdam, rerum nobis voluptatibus inventore sapiente at adipisci.\r\n\r\nIure iusto asperiores temporibus molestias expedita minus optio soluta, cumque sequi provident blanditiis ex, in dolor unde necessitatibus, ad sint tenetur dolorum!\r\n\r\nRepellendus, eos nostrum quas vitae, blanditiis sed fugiat in, suscipit impedit exercitationem maiores necessitatibus voluptatem praesentium quidem pariatur quasi molestias dicta error.\r\n\r\n<h3>Lorem ipsum dolor sit.</h3>\r\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Maxime eaque quis iste commodi. Fugit eveniet dolore maxime vel animi ea, fuga tempore excepturi fugiat vero, nesciunt assumenda. Officiis nobis ex corporis architecto mollitia accusantium! Quibusdam maxime ad, sed sapiente quae recusandae quasi repudiandae dignissimos dolor modi enim possimus dolorem, cupiditate odit, iste saepe incidunt aperiam.", "Lorem ipsum dolor.", "Lorem ipsum dolor sit amet, consectetur adipisicing elit. Fuga facilis accusamus molestias.\r\n", "inherit", "closed", "closed", "", "148-revision-v1", "", "", "2018-07-28 07:04:45", "2018-07-28 07:04:45", "", "148", "http://localhost:8888/metonymic/2018/07/28/148-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("180", "1", "2018-07-28 07:06:20", "2018-07-28 07:06:20", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Culpa itaque alias tempore omnis voluptatem, aperiam voluptas blanditiis! Voluptas doloremque, quaerat facere, eaque quos dolores laboriosam perspiciatis explicabo ducimus ex molestiae voluptatum veniam dolore.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Perferendis id accusamus, iusto esse iste quia omnis veritatis, vero nesciunt, explicabo molestiae, necessitatibus!</p>\r\n<p>Earum aliquam corporis libero voluptates quisquam magnam ducimus laudantium animi quidem, officiis quia optio ex, explicabo, accusamus nemo mollitia eligendi doloremque tempora!</p>\r\n<p>Quod eius ullam, nam et reiciendis, saepe recusandae dolor aliquam consectetur nemo molestiae magnam optio vel eum facilis animi culpa voluptatum delectus!</p>\r\n<p>Earum eveniet tempora consequuntur unde, repellendus dolorum iure pariatur blanditiis quasi animi. Obcaecati excepturi est fugit, molestias mollitia, eaque numquam similique asperiores.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Asperiores eos similique ipsam dolorum, repellat quibusdam quis doloremque id fugiat cumque assumenda, excepturi magni esse sapiente fugit nemo ipsa quia dolore aliquam. Impedit reiciendis, aperiam animi dolor sed, hic ut! Culpa vitae porro dolores, praesentium voluptates ratione repudiandae sequi dolorem nam veritatis id deserunt, sit quia.</p>\r\n", "Ullam, sit, amet.", "A quas, fugit. Voluptatum corporis, debitis? Perspiciatis harum error placeat, porro quod!\r\n", "inherit", "closed", "closed", "", "34-revision-v1", "", "", "2018-07-28 07:06:20", "2018-07-28 07:06:20", "", "34", "http://localhost:8888/metonymic/2018/07/28/34-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("181", "1", "2018-07-28 07:06:47", "2018-07-28 07:06:47", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quae id possimus dolores harum! Cupiditate voluptate perferendis tempore ipsa, adipisci ea atque. Nostrum nihil non sint, doloribus magni est doloremque voluptatem nam laborum pariatur.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Dicta molestias, quis. Numquam ea ut, quibusdam, rerum nobis voluptatibus inventore sapiente at adipisci.</p>\r\n<p>Iure iusto asperiores temporibus molestias expedita minus optio soluta, cumque sequi provident blanditiis ex, in dolor unde necessitatibus, ad sint tenetur dolorum!</p>\r\n<p>Repellendus, eos nostrum quas vitae, blanditiis sed fugiat in, suscipit impedit exercitationem maiores necessitatibus voluptatem praesentium quidem pariatur quasi molestias dicta error.</p>\r\n<p>Neque error, iusto deserunt. Est, nulla deleniti minus fugit molestias. Libero vero cupiditate nam quisquam nesciunt tenetur, nihil. Voluptatum, ratione ex laboriosam?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Maxime eaque quis iste commodi. Fugit eveniet dolore maxime vel animi ea, fuga tempore excepturi fugiat vero, nesciunt assumenda. Officiis nobis ex corporis architecto mollitia accusantium! Quibusdam maxime ad, sed sapiente quae recusandae quasi repudiandae dignissimos dolor modi enim possimus dolorem, cupiditate odit, iste saepe incidunt aperiam.</p>\r\n", "Quos, laborum, commodi.", "Perspiciatis neque repudiandae eligendi eos repellat atque similique magnam, aspernatur, dignissimos a.\r\n", "inherit", "closed", "closed", "", "35-revision-v1", "", "", "2018-07-28 07:06:47", "2018-07-28 07:06:47", "", "35", "http://localhost:8888/metonymic/2018/07/28/35-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("182", "1", "2018-07-28 07:07:14", "2018-07-28 07:07:14", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur eveniet ratione, sint quas aliquam earum? Vel excepturi, dolores itaque incidunt culpa odio dignissimos, atque consequatur iusto reprehenderit id, porro nam! Delectus, architecto, consectetur.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quam quo ducimus deleniti, reiciendis cum necessitatibus, voluptatibus. Recusandae quod labore soluta eligendi, hic!</p>\r\n<p>Est impedit repellat voluptatum veniam odit dolorem nesciunt aliquid recusandae consectetur in ea neque explicabo sequi quaerat itaque aut vel, beatae. Cum.</p>\r\n<p>Ea neque sit, corporis aut quasi in tenetur eum incidunt saepe! Odit, fugiat. Ab maxime, placeat totam quam nesciunt. Voluptatum, ipsam, odit.</p>\r\n<p>Delectus vel quidem saepe perferendis fuga, ex quam obcaecati corporis ipsum, sunt quia repellendus laboriosam error doloremque dolores amet fugiat. Ullam, eaque!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Dolore iure omnis adipisci nemo iste aspernatur alias labore commodi? Fuga impedit dicta, sequi voluptatibus sunt quas ratione velit! Doloribus alias beatae doloremque ad a est nulla consequatur optio veritatis natus sit sequi, iusto expedita, officiis ut temporibus delectus. Nostrum quis tempore porro illo. Nam quis, praesentium.</p>\r\n", "Molestiae, quasi, culpa.", "Necessitatibus officiis aliquid incidunt molestias odit consequatur et. Dolore nesciunt sit sint.\r\n", "inherit", "closed", "closed", "", "53-revision-v1", "", "", "2018-07-28 07:07:14", "2018-07-28 07:07:14", "", "53", "http://localhost:8888/metonymic/2018/07/28/53-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("183", "1", "2018-07-28 07:07:46", "2018-07-28 07:07:46", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Tempore facilis minus beatae modi animi quisquam impedit quia repellat ipsam ipsum, aut et qui perspiciatis culpa voluptas inventore a necessitatibus eum tempora voluptatum vel!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ipsum nesciunt quae deleniti. Nulla voluptate ullam libero, corporis maiores at quae rerum quam!</p>\r\n<p>Totam sequi amet rem dolores quis, aliquam eveniet accusantium ipsam sunt quidem suscipit voluptate qui, consequuntur harum distinctio architecto incidunt illum beatae.</p>\r\n<p>Esse voluptatibus quas quasi tempore, odit at! Molestiae ab accusantium et, rem soluta reprehenderit sequi fugiat consequatur veniam, veritatis saepe voluptate cupiditate.</p>\r\n<p>Quisquam aliquid, fuga aspernatur soluta obcaecati? Laborum quos minus officia non est repellendus eum pariatur quasi nam ipsam id perferendis, earum, atque.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eius voluptas, laudantium cupiditate veritatis explicabo nemo excepturi similique, vel optio aperiam corporis pariatur, odio quia quis numquam in veniam. Saepe similique quo consequuntur unde harum, blanditiis fuga debitis sint laudantium ullam natus voluptas, ducimus a, libero praesentium! Id nam sed sint nostrum possimus nesciunt quis dignissimos?</p>\r\n", "Non, quaerat, voluptas.", "Dolorem aut veritatis labore magnam blanditiis, maiores iure similique sint expedita illo.\r\n", "inherit", "closed", "closed", "", "33-revision-v1", "", "", "2018-07-28 07:07:46", "2018-07-28 07:07:46", "", "33", "http://localhost:8888/metonymic/2018/07/28/33-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("184", "1", "2018-07-28 07:08:15", "2018-07-28 07:08:15", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eligendi error fuga quis vel ipsa praesentium iste architecto maxime rerum, culpa quidem, facere quia corporis dolores at optio facilis, voluptate molestias. A, odio aperiam!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Repellat nemo maiores odit obcaecati molestiae, voluptatibus laboriosam repellendus iusto! Incidunt ab reiciendis, ex.</p>\r\n<p>Nostrum a ducimus tempora at quos, iste modi vel, sint maxime consectetur recusandae. Vel voluptas tempora commodi laborum placeat, cumque? Quidem, tempora.</p>\r\n<p>Minima illum provident at voluptas sapiente praesentium ut ab fuga placeat, dolorum exercitationem libero. Deserunt tempore tempora dolorum repellendus maiores, cum ipsa.</p>\r\n<p>Explicabo, aut consectetur temporibus nostrum praesentium atque! A praesentium quod esse, vel facere, voluptates quas laudantium. Doloribus odio quia suscipit sit incidunt.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Optio voluptatibus error, dignissimos dolore illum pariatur nisi voluptatem reprehenderit quo. A nobis fuga magnam ab illum hic alias non autem dolores sint ipsam adipisci rem officiis eum molestiae laboriosam distinctio quisquam suscipit provident, nulla nostrum, tenetur unde voluptatibus doloremque. Eius in corrupti error perferendis modi ea!</p>", "Dicta, expedita quo", "Dolorem aut veritatis labore magnam blanditiis, maiores iure similique sint expedita illo.\r\n", "inherit", "closed", "closed", "", "59-revision-v1", "", "", "2018-07-28 07:08:15", "2018-07-28 07:08:15", "", "59", "http://localhost:8888/metonymic/2018/07/28/59-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("185", "1", "2018-07-28 07:08:39", "2018-07-28 07:08:39", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sit quo debitis assumenda, esse qui in architecto libero sunt totam consequatur, consectetur fugit tempora modi rerum earum optio fugiat quos cum vitae quasi sequi.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Veritatis nemo iure, totam adipisci quam repudiandae aperiam eius repellendus ducimus atque voluptatum molestias!</p>\r\n<p>Earum culpa non beatae, neque ex. Recusandae perferendis sit cum tempora nostrum vero odit excepturi, possimus saepe dolorum ipsam aperiam praesentium voluptates.</p>\r\n<p>Laborum mollitia, rem doloribus ipsa rerum possimus sed dolorum dolorem ad! Ut, eum suscipit. Maxime aperiam, voluptatibus eos minima distinctio commodi repellat!</p>\r\n<p>Explicabo, totam. Esse voluptate ab omnis dicta, eaque at nulla obcaecati praesentium enim, nesciunt. Blanditiis voluptatem officiis modi, consectetur, hic quia ullam!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Optio inventore accusantium officiis quisquam modi amet nulla, quis quasi, blanditiis, repudiandae ipsa culpa sed. Consectetur esse voluptates vel rerum dicta, perferendis nisi fugiat natus nihil velit nemo cupiditate sequi quaerat nostrum quod dolor at sapiente! Doloribus in sint debitis rerum, fugit quos impedit quia sunt, et!</p>", "Veritatis, quaerat, error.", "Distinctio nam excepturi doloribus, unde, corporis atque saepe voluptatem repellendus omnis quia.\r\n", "inherit", "closed", "closed", "", "74-revision-v1", "", "", "2018-07-28 07:08:39", "2018-07-28 07:08:39", "", "74", "http://localhost:8888/metonymic/2018/07/28/74-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("186", "1", "2018-07-28 07:09:36", "2018-07-28 07:09:36", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eos similique aliquam rerum saepe ipsum! Earum culpa laudantium error quae? Soluta numquam magni, nobis incidunt doloremque recusandae pariatur, natus mollitia accusantium molestiae et iure!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Praesentium reprehenderit perspiciatis fuga placeat nesciunt illo accusamus aut quia facere culpa? Minima, quasi?</p>\r\n<p>Quam porro, voluptates eaque error tenetur dolore, reprehenderit maiores facilis soluta ad obcaecati ipsum odit impedit voluptate praesentium quos deserunt fuga placeat.</p>\r\n<p>Ducimus eius laboriosam corporis a ex itaque, facere exercitationem repudiandae qui est, in aliquam. Enim, possimus, dolorum necessitatibus nemo quae quos iusto.</p>\r\n<p>Excepturi nisi doloribus doloremque, enim veritatis itaque perferendis maxime corporis voluptas et eveniet repudiandae commodi modi ducimus adipisci, mollitia repellat ullam quod?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Placeat quam voluptates reprehenderit nemo ad maiores sit deleniti quia, magni in quas sed earum commodi possimus explicabo perspiciatis iure debitis eveniet natus quidem neque velit, facere, nulla. Accusantium aperiam optio quibusdam itaque ducimus, quidem ex voluptatibus tenetur laborum laudantium ipsa esse, dolorem deleniti facilis explicabo! Saepe.</p>", "Lusto, assumenda porro.", "Et iste recusandae illo. Dolores illo eum iure aut. Consequatur illo, repellendus?\r\n", "inherit", "closed", "closed", "", "73-revision-v1", "", "", "2018-07-28 07:09:36", "2018-07-28 07:09:36", "", "73", "http://localhost:8888/metonymic/2018/07/28/73-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("187", "1", "2018-07-28 07:11:58", "2018-07-28 07:11:58", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Assumenda incidunt, accusamus saepe. Consectetur molestias nulla hic adipisci eaque provident optio, odit magni ut sit quod ea suscipit, saepe eos dolor exercitationem neque quasi?</p>\n<h3>Lorem ipsum dolor.</h3>\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Unde eum consequatur ea illum blanditiis impedit iste perferendis sapiente sed, quaerat inventore, ab.</p>\n<p>Necessitatibus, incidunt dolores neque distinctio amet ducimus, magni dolorem quam. Sunt quia inventore rerum neque reprehenderit sequi tenetur possimus molestias quam molestiae?</p>\n<p>Reiciendis officiis obcaecati, odit repellendus debitis eligendi vitae consequatur provident vel aliquid nemo ratione. Fugiat cumque et, adipisci, facilis similique unde perspiciatis.</p>\n<p>Quibusdam, in dolorum! Sequi quasi recusandae deleniti accusantium consequatur dolor quam aliquam, aliquid ipsum perferendis similique aut id minus nihil ex libero!</p>\n<h3>Lorem ipsum dolor sit.</h3>\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sint tempore suscipit labore veritatis, cumque delectus fugiat debitis in voluptate recusandae provident ipsum, ipsa aliquam, iusto numquam minus maxime quos culpa tempora mollitia neque dolorem quibusdam! Vitae libero nisi voluptatum rerum saepe nulla harum minima nam nesciunt! Ipsa veniam, cumque ratione reprehenderit totam quia et fugiat.</p>\n", "Voluptates, minus, eum.", "Quaerat quia ab repudiandae suscipit accusamus expedita reiciendis officiis dolor inventore deserunt?\n", "inherit", "closed", "closed", "", "69-autosave-v1", "", "", "2018-07-28 07:11:58", "2018-07-28 07:11:58", "", "69", "http://localhost:8888/metonymic/2018/07/28/69-autosave-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("188", "1", "2018-07-28 07:12:13", "2018-07-28 07:12:13", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Assumenda incidunt, accusamus saepe. Consectetur molestias nulla hic adipisci eaque provident optio, odit magni ut sit quod ea suscipit, saepe eos dolor exercitationem neque quasi?</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Unde eum consequatur ea illum blanditiis impedit iste perferendis sapiente sed, quaerat inventore, ab.</p>\r\n<p>Necessitatibus, incidunt dolores neque distinctio amet ducimus, magni dolorem quam. Sunt quia inventore rerum neque reprehenderit sequi tenetur possimus molestias quam molestiae?</p>\r\n<p>Reiciendis officiis obcaecati, odit repellendus debitis eligendi vitae consequatur provident vel aliquid nemo ratione. Fugiat cumque et, adipisci, facilis similique unde perspiciatis.</p>\r\n<p>Quibusdam, in dolorum! Sequi quasi recusandae deleniti accusantium consequatur dolor quam aliquam, aliquid ipsum perferendis similique aut id minus nihil ex libero!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sint tempore suscipit labore veritatis, cumque delectus fugiat debitis in voluptate recusandae provident ipsum, ipsa aliquam, iusto numquam minus maxime quos culpa tempora mollitia neque dolorem quibusdam! Vitae libero nisi voluptatum rerum saepe nulla harum minima nam nesciunt! Ipsa veniam, cumque ratione reprehenderit totam quia et fugiat.</p>\r\n", "Voluptates, minus, eum.", "Quaerat quia ab repudiandae suscipit accusamus expedita reiciendis officiis dolor inventore deserunt?\r\n", "inherit", "closed", "closed", "", "69-revision-v1", "", "", "2018-07-28 07:12:13", "2018-07-28 07:12:13", "", "69", "http://localhost:8888/metonymic/2018/07/28/69-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("189", "1", "2018-07-28 07:12:20", "2018-07-28 07:12:20", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptate ipsa, facilis nostrum iusto autem, facere dolorem. Voluptatibus minima et, cum exercitationem a at distinctio, corporis ab expedita. Sunt libero sed dolores, saepe facilis!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ullam sed, culpa eum ipsa nam similique tempora fugit! Praesentium aut facilis obcaecati quo.</p>\r\n<p>Sunt quod cupiditate, quaerat dolore rem quae! Ducimus, autem, aliquam possimus consequuntur earum, rem dolor qui quis perspiciatis corrupti iusto, aliquid tenetur.</p>\r\n<p>Nihil eius ullam autem necessitatibus nesciunt eaque, iusto voluptatem ipsum voluptas doloremque, ex iure dicta aperiam! Molestiae magni eligendi, autem sequi. Odio!</p>\r\n<p>Aspernatur accusantium ipsam debitis in qui. Quia possimus, consequuntur optio, nam atque earum laudantium est dolore alias nesciunt reiciendis. Laudantium, natus, tempore?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Temporibus in nulla saepe officiis, culpa qui quibusdam quos aliquid itaque. Fugit corporis dolores delectus architecto necessitatibus est, iure, quas sed animi dolorem tempora, quisquam voluptatum obcaecati non doloremque. Omnis aspernatur, sed dolorem iste sunt facilis laborum qui soluta deleniti minus voluptatum ea, voluptates cum. Eveniet, perferendis!</p>", "Dolore, quam, doloremque!", "Non totam recusandae maxime illum ab odio dicta ipsa reiciendis alias corporis.\r\n", "inherit", "closed", "closed", "", "68-revision-v1", "", "", "2018-07-28 07:12:20", "2018-07-28 07:12:20", "", "68", "http://localhost:8888/metonymic/2018/07/28/68-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("190", "1", "2018-07-28 07:12:28", "2018-07-28 07:12:28", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Placeat ratione quibusdam omnis explicabo amet inventore optio iusto veritatis mollitia perferendis quisquam ea deleniti earum ipsum nobis beatae quis quidem quod, excepturi, quasi accusantium.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Iste omnis, alias laudantium veniam atque modi, id suscipit rem consequatur voluptatum sunt nulla?</p>\r\n<p>Odit, veritatis, voluptate. Magnam enim placeat dolore amet culpa, perferendis iusto tenetur impedit! Cupiditate vel odit culpa, harum illo repellat nobis temporibus!</p>\r\n<p>Earum corporis, a beatae porro dicta fuga velit accusamus atque cupiditate nulla laudantium necessitatibus quaerat commodi! Atque itaque unde earum quae repellat!</p>\r\n<p>Deleniti, quasi, et voluptatibus, modi, voluptatum praesentium iste dolore aperiam molestiae temporibus necessitatibus! Sint soluta ex accusantium ducimus quis, fugit esse sed!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Incidunt quod eius ipsam officia debitis omnis, repellat, et sed distinctio voluptatem expedita, quisquam quae, sapiente vel illo ullam iure praesentium sequi culpa velit quo fugiat blanditiis quaerat! Quo vel similique sint quae perferendis nesciunt, magnam, eveniet rem suscipit nobis excepturi necessitatibus quis sapiente voluptates. Reprehenderit, repellendus.</p>\r\n", "Aspernatur ipsa, esse!", "Voluptas laboriosam, consequuntur. Odit sed voluptatem explicabo placeat quod harum minima, fugit.\r\n", "inherit", "closed", "closed", "", "67-revision-v1", "", "", "2018-07-28 07:12:28", "2018-07-28 07:12:28", "", "67", "http://localhost:8888/metonymic/2018/07/28/67-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("191", "1", "2018-07-28 07:12:35", "2018-07-28 07:12:35", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Qui magnam expedita ea assumenda nobis id quod odio accusamus dicta numquam, voluptate amet quaerat voluptas velit laudantium maxime vel ducimus aperiam perspiciatis soluta doloremque.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Veritatis quas beatae, officia nisi inventore deleniti natus earum quia. Dolores illum quas dolorem.</p>\r\n<p>Placeat fugit, laudantium inventore blanditiis eos debitis aperiam! Nisi blanditiis repudiandae autem. Dicta aspernatur obcaecati, dolorum ullam! Pariatur recusandae, ducimus hic harum.</p>\r\n<p>Hic sapiente sunt quam, consectetur delectus tempore iste saepe similique obcaecati, numquam illum vel impedit dolor eius, quod maiores architecto incidunt voluptate.</p>\r\n<p>Accusamus aperiam quaerat sequi, libero cum nesciunt distinctio vel eveniet deserunt dicta possimus blanditiis, perspiciatis atque officiis adipisci ad tenetur vero consequatur.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Minima quaerat alias harum, explicabo cupiditate non aperiam in aliquam. Quae quidem, iusto qui natus assumenda dolores, architecto magnam laudantium minima! Tempora voluptates qui placeat quo, amet, fugiat quis porro molestiae ipsa esse in pariatur, nesciunt maiores! Nemo voluptas voluptatem alias quidem voluptates aut pariatur! Eum, incidunt.</p>", "Vero, reprehenderit, beatae.", "Dolorem earum itaque repellendus maiores aperiam eaque deleniti nostrum adipisci nihil ut.\r\n", "inherit", "closed", "closed", "", "29-revision-v1", "", "", "2018-07-28 07:12:35", "2018-07-28 07:12:35", "", "29", "http://localhost:8888/metonymic/2018/07/28/29-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("192", "1", "2018-07-28 07:12:43", "2018-07-28 07:12:43", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Tempora aut, eligendi aliquam et laudantium, numquam eum nemo. Tenetur alias eveniet totam velit accusantium! Ab unde odio ad ratione doloremque saepe hic veritatis odit.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Fugit alias, similique perferendis iure illo quis necessitatibus, omnis voluptatum, commodi incidunt molestiae inventore.</p>\r\n<p>Illo sint, ratione dolorum hic quidem sit suscipit quam quos maiores. Commodi debitis sapiente aliquid, fugiat aperiam at amet! Veniam, nesciunt, nulla.</p>\r\n<p>Non, mollitia minima quas voluptatibus voluptas earum ullam blanditiis modi quis placeat ipsa. Reprehenderit perferendis ratione, eum nisi corporis asperiores iusto ducimus.</p>\r\n<p>Laborum, suscipit, id. Repudiandae doloribus rem assumenda, ratione quo totam numquam a impedit quaerat suscipit corporis magni quae, natus qui dolor? Nesciunt!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ad illum dolores eligendi culpa hic cupiditate dolore quam eius, quae eum esse, cumque impedit. Enim, in. Consequuntur ratione tenetur saepe dolore iure quaerat ducimus voluptatem delectus repellendus provident natus velit, necessitatibus mollitia illum commodi rem illo expedita non, laudantium pariatur, modi consectetur. Quibusdam quae doloribus, enim.</p>", "Quibusdam, iure inventore!", "Ab at sint alias minus illo, libero omnis excepturi asperiores consectetur vitae.\r\n", "inherit", "closed", "closed", "", "31-revision-v1", "", "", "2018-07-28 07:12:43", "2018-07-28 07:12:43", "", "31", "http://localhost:8888/metonymic/2018/07/28/31-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("193", "1", "2018-07-28 07:12:52", "2018-07-28 07:12:52", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Dolorum omnis fuga quidem beatae eum quasi incidunt corporis nisi architecto aperiam illo soluta, non autem, sint vitae minus culpa voluptatum praesentium ullam cum doloremque.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quidem explicabo corporis at totam, quod sit iusto voluptatem aliquam, tenetur natus delectus eos.</p>\r\n<p>Reprehenderit, nesciunt quia, expedita, molestiae est architecto sed qui perferendis enim iure consectetur fuga facilis laboriosam? Esse modi inventore animi consequatur, iste.</p>\r\n<p>Consectetur soluta, voluptatem! Nemo odit nihil unde quaerat consectetur cupiditate sapiente, porro dolore pariatur explicabo voluptatum reprehenderit, aperiam soluta culpa veritatis quam.</p>\r\n<p>Minima illum itaque perferendis fugit dicta ad voluptatem a eaque optio obcaecati quos reprehenderit, quidem, eius provident enim, asperiores, praesentium dolor quisquam!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ipsa consequuntur recusandae aspernatur necessitatibus dignissimos neque pariatur tempore iusto, accusantium tempora quis obcaecati saepe nesciunt nam est a quo sunt fuga deleniti voluptates voluptas inventore. Officiis saepe dolorem enim veniam optio quae corporis, vel, nulla. Suscipit ipsa ratione explicabo magnam recusandae cum doloribus quidem neque necessitatibus.</p>\r\n", "Voluptatibus ipsam, cumque.", "Tenetur eum cum nobis, error minima, odio at ipsum deserunt illum sunt.\r\n", "inherit", "closed", "closed", "", "64-revision-v1", "", "", "2018-07-28 07:12:52", "2018-07-28 07:12:52", "", "64", "http://localhost:8888/metonymic/2018/07/28/64-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("194", "1", "2018-07-28 07:13:00", "2018-07-28 07:13:00", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatibus ducimus similique illum, aspernatur magni. Officia alias fugit sunt quis atque ratione temporibus maiores suscipit harum iusto et rem soluta odio, molestiae autem eligendi.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Iure minus dolores consectetur enim commodi ipsam ut minima. Perferendis eaque labore explicabo recusandae?</p>\r\n<p>Autem assumenda eveniet, a aspernatur voluptates dolore, omnis illum voluptas dicta perspiciatis ex doloribus. Itaque harum neque earum dolorem, error ipsam ab.</p>\r\n<p>Ipsam et distinctio tempora maiores consequatur, ducimus explicabo voluptas, dolorum iste eum consectetur ea provident id quia nesciunt voluptates voluptatum. Quibusdam, harum.</p>\r\n<p>Pariatur illo aperiam quisquam voluptas dicta aspernatur magni laborum, quibusdam impedit quos non distinctio earum ipsa sapiente minima nihil, eius aliquam dolor.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Doloribus consequatur, ea officiis ab aliquid quia commodi non? Non molestias, a accusantium perferendis necessitatibus repellat libero nemo, doloribus quaerat iusto, laudantium? Laudantium in, aliquam deserunt hic esse sint amet animi, necessitatibus labore officiis temporibus nihil excepturi ex totam, dolore placeat illo error ea quod nesciunt dolores!</p>", "Amet, tempore, excepturi?", "Odit voluptatem quis aut nemo qui ullam, aperiam reprehenderit molestias sint ea.\r\n", "inherit", "closed", "closed", "", "63-revision-v1", "", "", "2018-07-28 07:13:00", "2018-07-28 07:13:00", "", "63", "http://localhost:8888/metonymic/2018/07/28/63-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("195", "1", "2018-07-28 07:13:08", "2018-07-28 07:13:08", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Natus, vero repellendus eos. Sed velit aliquid corporis numquam quis officiis maxime consequuntur doloremque amet accusamus nesciunt, praesentium quidem at assumenda quisquam omnis voluptas veritatis?</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eaque quae itaque accusantium nam facilis ad vero, maiores officiis ab, cupiditate, recusandae molestias.</p>\r\n<p>Pariatur consequatur, ipsum quos veritatis in laborum eveniet praesentium dolorum necessitatibus architecto, consectetur amet, officiis consequuntur doloribus earum odio quo recusandae voluptates!</p>\r\n<p>Similique incidunt error voluptatum repellendus fuga sunt, dicta dolore necessitatibus nesciunt reprehenderit adipisci. Sed aperiam a nostrum odit debitis sint, ducimus dolor!</p>\r\n<p>Earum quos, ipsam consectetur nostrum tempora incidunt debitis temporibus itaque assumenda architecto dignissimos perferendis possimus ipsa commodi rerum vero nam ab voluptatem?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Vel quia repellat adipisci quidem aspernatur in. Iusto expedita ratione esse minima nostrum! Minus deleniti rerum impedit hic ullam doloremque a necessitatibus id aliquid blanditiis. At eveniet aspernatur cum veniam. Sequi perspiciatis corporis, laborum nulla nisi odit? Suscipit cupiditate expedita incidunt dolores quis sed minus delectus nulla.</p>\r\n", "Quos, quis inventore.", "Beatae quisquam fuga neque natus impedit iste incidunt. Temporibus ratione perferendis repellendus.\r\n", "inherit", "closed", "closed", "", "60-revision-v1", "", "", "2018-07-28 07:13:08", "2018-07-28 07:13:08", "", "60", "http://localhost:8888/metonymic/2018/07/28/60-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("196", "1", "2018-07-28 07:13:16", "2018-07-28 07:13:16", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Fugit labore voluptatem voluptatum nostrum in explicabo ab itaque perspiciatis ipsam sapiente, recusandae, voluptate unde. Reiciendis voluptatum quia ad nulla recusandae molestias atque sequi laudantium.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Minima, ipsam necessitatibus temporibus qui accusamus, quasi, totam repudiandae doloremque rerum quia delectus nam.</p>\r\n<p>Labore harum, maiores veniam cupiditate qui explicabo voluptatem earum id, dolor, voluptas saepe natus. Porro debitis ullam itaque, accusantium culpa soluta voluptatum.</p>\r\n<p>Assumenda similique labore, corrupti recusandae quisquam, accusantium provident voluptates incidunt, neque eum consequuntur. At minus, iste dolore repudiandae ipsum ea, cupiditate molestias.</p>\r\n<p>Vitae ad id accusamus quia aspernatur ab, iusto, repellendus beatae rem aperiam ipsam atque, laboriosam nesciunt ea sunt officiis in? Modi, velit.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sapiente adipisci, hic itaque dicta, facere tempore aut voluptatum magni. Quisquam tenetur, esse ducimus nesciunt praesentium accusantium porro laborum quas, minus ab placeat repellendus labore perspiciatis? Sapiente odio fugiat, id eum ipsam recusandae nobis nemo assumenda quam! Dolorem provident ipsa consequatur quibusdam illum possimus quis itaque ducimus.</p>", "Iusto, ipsam, autem.", "Ea illum cumque, incidunt quisquam odit molestiae. Esse, quidem. Nihil, voluptates dolor.\r\n", "inherit", "closed", "closed", "", "57-revision-v1", "", "", "2018-07-28 07:13:16", "2018-07-28 07:13:16", "", "57", "http://localhost:8888/metonymic/2018/07/28/57-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("197", "1", "2018-07-28 07:13:25", "2018-07-28 07:13:25", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Qui quia eveniet harum eos repudiandae at asperiores, fugit molestiae quasi veritatis excepturi totam, tempora, aliquam facere mollitia omnis, nisi cum unde sint accusantium temporibus.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quaerat fugit qui officiis reprehenderit voluptatum tempora, praesentium mollitia nobis, cumque accusantium dolore eveniet.</p>\r\n<p>Earum officiis veniam porro voluptatem neque eveniet quia provident fugit harum! Aut eaque nesciunt ea maxime labore tenetur ad sequi, nobis sint.</p>\r\n<p>Maxime et quia excepturi delectus, atque, molestias quae reprehenderit repudiandae quas sequi dolorem impedit, vel error magni reiciendis ullam eaque suscipit deleniti!</p>\r\n<p>Laudantium eveniet non saepe quibusdam labore quos, at corporis quas voluptatum quae sit nemo autem, expedita voluptates assumenda doloremque sed necessitatibus? Sed.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Harum tempora iste, ex unde quasi culpa cumque repudiandae dolore reprehenderit a quos temporibus animi pariatur consectetur at. Culpa ipsum similique rerum, doloremque numquam architecto, ad repellat quisquam ut aperiam tempore ullam fuga reiciendis at blanditiis maiores atque eaque voluptatibus quasi eligendi earum aliquam. Earum, magni maxime.</p>", "Quod, magni, laboriosam.", "Tempora ab nulla obcaecati quos consequatur molestiae temporibus nihil, numquam ullam. Voluptates!\r\n", "inherit", "closed", "closed", "", "52-revision-v1", "", "", "2018-07-28 07:13:25", "2018-07-28 07:13:25", "", "52", "http://localhost:8888/metonymic/2018/07/28/52-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("198", "1", "2018-07-28 07:13:32", "2018-07-28 07:13:32", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. At voluptatibus iste molestias perferendis et nostrum recusandae, laboriosam, aut ipsum aspernatur doloremque consectetur. Eveniet id tenetur ipsum impedit alias neque, perferendis minima quos deleniti!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Veniam ullam sint, beatae tenetur aspernatur eaque, nam sapiente reprehenderit recusandae aliquid, voluptatum. A!</p>\r\n<p>Fuga quibusdam earum nemo obcaecati accusamus asperiores minus, mollitia aperiam, neque dolores saepe ratione facere hic totam libero et nesciunt rem pariatur.</p>\r\n<p>Aperiam animi distinctio ducimus, deserunt nostrum ipsum natus et nisi, cumque maxime hic repellendus at possimus inventore, maiores eius provident? Adipisci, cumque.</p>\r\n<p>Distinctio tempore architecto voluptate, laborum autem aperiam nesciunt impedit cupiditate dolorem natus placeat aut repellat harum non maiores unde ipsam in tenetur.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Distinctio, sint amet mollitia ratione sed nesciunt minima minus, hic voluptatum ab eos illum in molestiae sequi cupiditate, molestias reprehenderit deserunt ut cumque, exercitationem earum ea. Doloremque voluptatum numquam et, aut porro expedita magnam maxime officia sequi perspiciatis odio iure praesentium veniam mollitia ipsum dolores pariatur quod.</p>\r\n", "Obcaecati, dicta, impedit!", "In maxime tempore quo sapiente nobis quae? Incidunt, minus iusto vero ratione!\r\n", "inherit", "closed", "closed", "", "51-revision-v1", "", "", "2018-07-28 07:13:32", "2018-07-28 07:13:32", "", "51", "http://localhost:8888/metonymic/2018/07/28/51-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("199", "1", "2018-07-28 07:13:43", "2018-07-28 07:13:43", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Similique nisi architecto explicabo, quia, ab officiis nemo ad fuga aliquid, consequatur eveniet! Praesentium iste cumque dolore quos aspernatur deleniti itaque, porro quis, adipisci necessitatibus?</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Id aliquid illo, praesentium aspernatur impedit, illum ea voluptatum nobis iure adipisci obcaecati laboriosam.</p>\r\n<p>Tempora quidem quam neque autem est optio laboriosam dolores nesciunt enim rerum, suscipit mollitia facere deleniti, magni aliquid reprehenderit commodi. Similique, voluptatibus?</p>\r\n<p>Modi tempora nam eveniet inventore est at ullam explicabo quam maxime, iusto, minus sapiente, similique vero perferendis! Suscipit sed voluptates sint explicabo.</p>\r\n<p>A repellat animi necessitatibus! Repellat nostrum quidem suscipit maiores accusantium at, officiis unde sit modi consectetur totam repellendus! Necessitatibus doloremque ex laboriosam!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sed aliquam amet veniam nam reiciendis delectus sint quisquam laborum et aspernatur porro eaque, dicta soluta inventore similique non minus! Facere, molestias. Architecto quis libero quam error vel corporis, labore quidem illum cumque tempore, magni nam odio dolores atque rerum ipsa aut laborum facere, fugit enim tenetur.</p>\r\n", "Consectetur, quod, maiores!", "Quam expedita in nostrum incidunt cum fugit quisquam dolore temporibus perferendis, debitis.\r\n", "inherit", "closed", "closed", "", "49-revision-v1", "", "", "2018-07-28 07:13:43", "2018-07-28 07:13:43", "", "49", "http://localhost:8888/metonymic/2018/07/28/49-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("200", "1", "2018-07-28 07:14:22", "2018-07-28 07:14:22", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur hic quasi odio voluptates eligendi illum suscipit asperiores fugit placeat inventore ratione explicabo assumenda blanditiis ipsam ipsum repellat ipsa, sint tempora odit eos? Sequi!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eveniet obcaecati ratione cum id natus asperiores maiores recusandae animi, corporis dolore dolorem ut!</p>\r\n<p>Soluta sunt quos dolore cumque earum temporibus, officiis at similique voluptas quam ullam accusantium autem, odio fugit magnam aut quisquam unde rem.</p>\r\n<p>Ad, eaque quo voluptatem dolorum esse minus illo, cupiditate fuga quidem ipsa! Voluptatem asperiores consequatur, nesciunt minima doloribus, dolorum fuga alias. Voluptas.</p>\r\n<p>Provident omnis veritatis rem debitis impedit quo excepturi! Illum, nesciunt, dolores adipisci sapiente soluta explicabo nihil debitis molestiae excepturi esse placeat accusamus.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Unde maxime nihil doloremque! Quos asperiores voluptas aliquam molestiae ut molestias fugiat, quasi, expedita amet explicabo aspernatur perferendis, eum reiciendis dicta natus accusamus alias incidunt sunt nemo voluptatum nesciunt veritatis architecto et doloremque aperiam! At enim nisi aut dignissimos minus corporis, magni tenetur eveniet aliquam illo! Error!</p>\r\n", "Error, fugit, animi.", "Sapiente, ex, vel. Enim libero consequatur perferendis architecto harum, voluptatum maxime adipisci!\r\n", "inherit", "closed", "closed", "", "47-revision-v1", "", "", "2018-07-28 07:14:22", "2018-07-28 07:14:22", "", "47", "http://localhost:8888/metonymic/2018/07/28/47-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("201", "1", "2018-07-28 07:14:30", "2018-07-28 07:14:30", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur hic quasi odio voluptates eligendi illum suscipit asperiores fugit placeat inventore ratione explicabo assumenda blanditiis ipsam ipsum repellat ipsa, sint tempora odit eos? Sequi!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eveniet obcaecati ratione cum id natus asperiores maiores recusandae animi, corporis dolore dolorem ut!</p>\r\n<p>Soluta sunt quos dolore cumque earum temporibus, officiis at similique voluptas quam ullam accusantium autem, odio fugit magnam aut quisquam unde rem.</p>\r\n<p>Ad, eaque quo voluptatem dolorum esse minus illo, cupiditate fuga quidem ipsa! Voluptatem asperiores consequatur, nesciunt minima doloribus, dolorum fuga alias. Voluptas.</p>\r\n<p>Provident omnis veritatis rem debitis impedit quo excepturi! Illum, nesciunt, dolores adipisci sapiente soluta explicabo nihil debitis molestiae excepturi esse placeat accusamus.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Unde maxime nihil doloremque! Quos asperiores voluptas aliquam molestiae ut molestias fugiat, quasi, expedita amet explicabo aspernatur perferendis, eum reiciendis dicta natus accusamus alias incidunt sunt nemo voluptatum nesciunt veritatis architecto et doloremque aperiam! At enim nisi aut dignissimos minus corporis, magni tenetur eveniet aliquam illo! Error!</p>\r\n", "Dolores, minima, natus?", "", "inherit", "closed", "closed", "", "32-revision-v1", "", "", "2018-07-28 07:14:30", "2018-07-28 07:14:30", "", "32", "http://localhost:8888/metonymic/2018/07/28/32-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("202", "1", "2018-07-28 07:14:46", "2018-07-28 07:14:46", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Magnam, reprehenderit at. Consequuntur facere consequatur sapiente ab ducimus labore quam quod modi cumque distinctio, nostrum, voluptates sint, a voluptatem fuga placeat quis aliquam eius.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatum, pariatur nam odit ad quas optio non, quasi sed officiis quaerat reiciendis consectetur.</p>\r\n<p>Iure in, officiis nam cum neque ducimus commodi consequuntur magni enim veniam nemo alias aliquid eveniet nihil repellat dolore omnis. Repellendus, atque.</p>\r\n<p>Voluptate aspernatur velit nam assumenda mollitia facilis explicabo, commodi, neque eaque consequuntur illo. Inventore adipisci nulla ullam suscipit vero odit, quaerat quia.</p>\r\n<p>Provident, consequuntur atque exercitationem corrupti laboriosam ipsam, reiciendis, praesentium totam delectus quas nobis doloribus. Voluptas ipsum explicabo eaque mollitia cupiditate ratione nam!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. In nesciunt ratione tempore quaerat, cum assumenda distinctio quod debitis, harum nulla expedita. Architecto odio quae esse commodi eveniet mollitia nihil, cupiditate corporis delectus ipsum. Fugiat perferendis nulla culpa tempora modi eius id dolor harum optio ea aliquam quaerat voluptatum similique, pariatur nisi deleniti, et animi itaque.</p>\r\n", "Veritatis, recusandae, iure.", "Porro consequuntur quisquam minus nemo placeat alias neque aliquam, provident iusto similique.\r\n", "inherit", "closed", "closed", "", "36-revision-v1", "", "", "2018-07-28 07:14:46", "2018-07-28 07:14:46", "", "36", "http://localhost:8888/metonymic/2018/07/28/36-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("203", "1", "2018-07-28 07:14:53", "2018-07-28 07:14:53", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Cum tempora, incidunt modi sint rerum delectus iste dolorem veniam omnis ullam saepe quia, laboriosam iusto dolorum ducimus velit. Cum aperiam laudantium cumque, perspiciatis minima!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quibusdam omnis ipsum et, praesentium sint expedita eum soluta. Distinctio ipsam soluta praesentium laborum.</p>\r\n<p>Aut eos ea incidunt atque laudantium, doloribus harum est asperiores modi similique impedit, perspiciatis, rem quod accusantium dignissimos? Soluta eum, assumenda doloremque.</p>\r\n<p>Soluta distinctio odio est excepturi eos quis, delectus ex maiores quos nemo cum, accusamus, ratione facere enim aliquid accusantium facilis, cupiditate eius.</p>\r\n<p>Temporibus ipsum sint provident ad iste, ipsa natus id, voluptatem, commodi aliquam ullam nobis? Dolorum quia nihil voluptas quas dolore sapiente! Voluptatum.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quam soluta culpa laborum! Sit rerum porro fuga eos, expedita nesciunt cumque totam esse provident rem! Eius recusandae fuga quasi, ipsum. Nemo quaerat perferendis sunt architecto reprehenderit est mollitia eius, laboriosam quidem consequatur perspiciatis, placeat cupiditate nesciunt omnis illo vel! Sit quisquam totam, ipsum veritatis laborum voluptatum.</p>", "Labore, quas nobis.", "Voluptates unde, sit officia. Dolores earum sapiente neque tempora, excepturi exercitationem distinctio!\r\n", "inherit", "closed", "closed", "", "30-revision-v1", "", "", "2018-07-28 07:14:53", "2018-07-28 07:14:53", "", "30", "http://localhost:8888/metonymic/2018/07/28/30-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("204", "1", "2018-07-28 07:15:03", "2018-07-28 07:15:03", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur molestias dicta, cum quae voluptatum tenetur illo atque id est at natus animi provident maxime in libero deserunt facere ea sint. A, perspiciatis non.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Assumenda quas omnis dolores? Eos alias dolorum, commodi neque! Expedita harum eveniet, quisquam laboriosam!</p>\r\n<p>In dicta hic quidem, dolorem fugit eveniet. Inventore quam, sint fugit repudiandae cupiditate ducimus voluptate voluptatibus autem laborum labore veritatis officia ullam!</p>\r\n<p>Fugiat modi enim earum est saepe magnam eligendi at, asperiores cumque similique officia possimus adipisci nulla ullam alias reprehenderit, praesentium neque tempora!</p>\r\n<p>Placeat aut unde incidunt blanditiis dolorum, facilis id error, officiis velit ex. Est vel, aspernatur quis inventore autem id veniam vitae, recusandae.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Libero tempore facere ab animi eveniet sunt, consequuntur nisi non ducimus nostrum. Sit dolorum tempore assumenda ea ipsum, praesentium cumque cupiditate, impedit neque quasi culpa dolore. Nisi quasi, fuga enim aperiam aliquam dolorum architecto. Quo incidunt vel quos tenetur minima, quae, quam iusto numquam expedita, totam modi!</p>", "Deleniti corporis, deserunt.", "Eum deleniti nobis porro ea sapiente. Suscipit doloremque temporibus, sit commodi omnis.\r\n", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2018-07-28 07:15:03", "2018-07-28 07:15:03", "", "28", "http://localhost:8888/metonymic/2018/07/28/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("205", "1", "2018-07-28 18:45:12", "2018-07-28 18:45:12", "Neque error, iusto deserunt. Est, nulla deleniti minus fugit molestias. Libero vero cupiditate nam quisquam nesciunt tenetur, nihil deleniti minus fugit molestias. . Voluptatum, ratione ex laboriosam?\r\n<h3>Lorem ipsum dolor.</h3>\r\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Dicta molestias, quis. Numquam ea ut, quibusdam, rerum nobis voluptatibus inventore sapiente at adipisci.\r\n\r\nIure iusto asperiores temporibus molestias expedita minus optio soluta, cumque sequi provident blanditiis ex, in dolor unde necessitatibus, ad sint tenetur dolorum!\r\n\r\nRepellendus, eos nostrum quas vitae, blanditiis sed fugiat in, suscipit impedit exercitationem maiores necessitatibus voluptatem praesentium quidem pariatur quasi molestias dicta error.\r\n\r\n<h3>Lorem ipsum dolor sit.</h3>\r\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Maxime eaque quis iste commodi. Fugit eveniet dolore maxime vel animi ea, fuga tempore excepturi fugiat vero, nesciunt assumenda. Officiis nobis ex corporis architecto mollitia accusantium! Quibusdam maxime ad, sed sapiente quae recusandae quasi repudiandae dignissimos dolor modi enim possimus dolorem, cupiditate odit, iste saepe incidunt aperiam.Neque error, iusto deserunt. Est, nulla deleniti minus fugit molestias. Libero vero cupiditate nam quisquam nesciunt tenetur, nihil deleniti minus fugit molestias. . Voluptatum, ratione ex laboriosam?\r\n<h3>Lorem ipsum dolor.</h3>\r\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Dicta molestias, quis. Numquam ea ut, quibusdam, rerum nobis voluptatibus inventore sapiente at adipisci.\r\n\r\nIure iusto asperiores temporibus molestias expedita minus optio soluta, cumque sequi provident blanditiis ex, in dolor unde necessitatibus, ad sint tenetur dolorum!\r\n\r\nRepellendus, eos nostrum quas vitae, blanditiis sed fugiat in, suscipit impedit exercitationem maiores necessitatibus voluptatem praesentium quidem pariatur quasi molestias dicta error.\r\n\r\n<h3>Lorem ipsum dolor sit.</h3>\r\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Maxime eaque quis iste commodi. Fugit eveniet dolore maxime vel animi ea, fuga tempore excepturi fugiat vero, nesciunt assumenda. Officiis nobis ex corporis architecto mollitia accusantium! Quibusdam maxime ad, sed sapiente quae recusandae quasi repudiandae dignissimos dolor modi enim possimus dolorem, cupiditate odit, iste saepe incidunt aperiam.Neque error, iusto deserunt. Est, nulla deleniti minus fugit molestias. Libero vero cupiditate nam quisquam nesciunt tenetur, nihil deleniti minus fugit molestias. . Voluptatum, ratione ex laboriosam?\r\n<h3>Lorem ipsum dolor.</h3>\r\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Dicta molestias, quis. Numquam ea ut, quibusdam, rerum nobis voluptatibus inventore sapiente at adipisci.\r\n\r\nIure iusto asperiores temporibus molestias expedita minus optio soluta, cumque sequi provident blanditiis ex, in dolor unde necessitatibus, ad sint tenetur dolorum!\r\n\r\nRepellendus, eos nostrum quas vitae, blanditiis sed fugiat in, suscipit impedit exercitationem maiores necessitatibus voluptatem praesentium quidem pariatur quasi molestias dicta error.\r\n\r\n<h3>Lorem ipsum dolor sit.</h3>\r\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Maxime eaque quis iste commodi. Fugit eveniet dolore maxime vel animi ea, fuga tempore excepturi fugiat vero, nesciunt assumenda. Officiis nobis ex corporis architecto mollitia accusantium! Quibusdam maxime ad, sed sapiente quae recusandae quasi repudiandae dignissimos dolor modi enim possimus dolorem, cupiditate odit, iste saepe incidunt aperiam.Neque error, iusto deserunt. Est, nulla deleniti minus fugit molestias. Libero vero cupiditate nam quisquam nesciunt tenetur, nihil deleniti minus fugit molestias. . Voluptatum, ratione ex laboriosam?\r\n<h3>Lorem ipsum dolor.</h3>\r\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Dicta molestias, quis. Numquam ea ut, quibusdam, rerum nobis voluptatibus inventore sapiente at adipisci.\r\n\r\nIure iusto asperiores temporibus molestias expedita minus optio soluta, cumque sequi provident blanditiis ex, in dolor unde necessitatibus, ad sint tenetur dolorum!\r\n\r\nRepellendus, eos nostrum quas vitae, blanditiis sed fugiat in, suscipit impedit exercitationem maiores necessitatibus voluptatem praesentium quidem pariatur quasi molestias dicta error.\r\n\r\n<h3>Lorem ipsum dolor sit.</h3>\r\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Maxime eaque quis iste commodi. Fugit eveniet dolore maxime vel animi ea, fuga tempore excepturi fugiat vero, nesciunt assumenda. Officiis nobis ex corporis architecto mollitia accusantium! Quibusdam maxime ad, sed sapiente quae recusandae quasi repudiandae dignissimos dolor modi enim possimus dolorem, cupiditate odit, iste saepe incidunt aperiam.", "Vel, eius facere.", "Lorem ipsum dolor sit amet, consectetur adipisicing elit. Fuga facilis accusamus molestias.\r\n", "publish", "open", "open", "", "vel-eius-facere", "", "", "2018-07-29 22:13:35", "2018-07-29 22:13:35", "", "0", "http://localhost:8888/metonymic/?p=205", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("206", "1", "2018-07-28 18:45:12", "2018-07-28 18:45:12", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Culpa itaque alias tempore omnis voluptatem, aperiam voluptas blanditiis! Voluptas doloremque, quaerat facere, eaque quos dolores laboriosam perspiciatis explicabo ducimus ex molestiae voluptatum veniam dolore.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Perferendis id accusamus, iusto esse iste quia omnis veritatis, vero nesciunt, explicabo molestiae, necessitatibus!</p>\r\n<p>Earum aliquam corporis libero voluptates quisquam magnam ducimus laudantium animi quidem, officiis quia optio ex, explicabo, accusamus nemo mollitia eligendi doloremque tempora!</p>\r\n<p>Quod eius ullam, nam et reiciendis, saepe recusandae dolor aliquam consectetur nemo molestiae magnam optio vel eum facilis animi culpa voluptatum delectus!</p>\r\n<p>Earum eveniet tempora consequuntur unde, repellendus dolorum iure pariatur blanditiis quasi animi. Obcaecati excepturi est fugit, molestias mollitia, eaque numquam similique asperiores.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Asperiores eos similique ipsam dolorum, repellat quibusdam quis doloremque id fugiat cumque assumenda, excepturi magni esse sapiente fugit nemo ipsa quia dolore aliquam. Impedit reiciendis, aperiam animi dolor sed, hic ut! Culpa vitae porro dolores, praesentium voluptates ratione repudiandae sequi dolorem nam veritatis id deserunt, sit quia.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Culpa itaque alias tempore omnis voluptatem, aperiam voluptas blanditiis! Voluptas doloremque, quaerat facere, eaque quos dolores laboriosam perspiciatis explicabo ducimus ex molestiae voluptatum veniam dolore.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Perferendis id accusamus, iusto esse iste quia omnis veritatis, vero nesciunt, explicabo molestiae, necessitatibus!</p>\r\n<p>Earum aliquam corporis libero voluptates quisquam magnam ducimus laudantium animi quidem, officiis quia optio ex, explicabo, accusamus nemo mollitia eligendi doloremque tempora!</p>\r\n<p>Quod eius ullam, nam et reiciendis, saepe recusandae dolor aliquam consectetur nemo molestiae magnam optio vel eum facilis animi culpa voluptatum delectus!</p>\r\n<p>Earum eveniet tempora consequuntur unde, repellendus dolorum iure pariatur blanditiis quasi animi. Obcaecati excepturi est fugit, molestias mollitia, eaque numquam similique asperiores.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Asperiores eos similique ipsam dolorum, repellat quibusdam quis doloremque id fugiat cumque assumenda, excepturi magni esse sapiente fugit nemo ipsa quia dolore aliquam. Impedit reiciendis, aperiam animi dolor sed, hic ut! Culpa vitae porro dolores, praesentium voluptates ratione repudiandae sequi dolorem nam veritatis id deserunt, sit quia.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Culpa itaque alias tempore omnis voluptatem, aperiam voluptas blanditiis! Voluptas doloremque, quaerat facere, eaque quos dolores laboriosam perspiciatis explicabo ducimus ex molestiae voluptatum veniam dolore.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Perferendis id accusamus, iusto esse iste quia omnis veritatis, vero nesciunt, explicabo molestiae, necessitatibus!</p>\r\n<p>Earum aliquam corporis libero voluptates quisquam magnam ducimus laudantium animi quidem, officiis quia optio ex, explicabo, accusamus nemo mollitia eligendi doloremque tempora!</p>\r\n<p>Quod eius ullam, nam et reiciendis, saepe recusandae dolor aliquam consectetur nemo molestiae magnam optio vel eum facilis animi culpa voluptatum delectus!</p>\r\n<p>Earum eveniet tempora consequuntur unde, repellendus dolorum iure pariatur blanditiis quasi animi. Obcaecati excepturi est fugit, molestias mollitia, eaque numquam similique asperiores.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Asperiores eos similique ipsam dolorum, repellat quibusdam quis doloremque id fugiat cumque assumenda, excepturi magni esse sapiente fugit nemo ipsa quia dolore aliquam. Impedit reiciendis, aperiam animi dolor sed, hic ut! Culpa vitae porro dolores, praesentium voluptates ratione repudiandae sequi dolorem nam veritatis id deserunt, sit quia.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Culpa itaque alias tempore omnis voluptatem, aperiam voluptas blanditiis! Voluptas doloremque, quaerat facere, eaque quos dolores laboriosam perspiciatis explicabo ducimus ex molestiae voluptatum veniam dolore.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Perferendis id accusamus, iusto esse iste quia omnis veritatis, vero nesciunt, explicabo molestiae, necessitatibus!</p>\r\n<p>Earum aliquam corporis libero voluptates quisquam magnam ducimus laudantium animi quidem, officiis quia optio ex, explicabo, accusamus nemo mollitia eligendi doloremque tempora!</p>\r\n<p>Quod eius ullam, nam et reiciendis, saepe recusandae dolor aliquam consectetur nemo molestiae magnam optio vel eum facilis animi culpa voluptatum delectus!</p>\r\n<p>Earum eveniet tempora consequuntur unde, repellendus dolorum iure pariatur blanditiis quasi animi. Obcaecati excepturi est fugit, molestias mollitia, eaque numquam similique asperiores.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Asperiores eos similique ipsam dolorum, repellat quibusdam quis doloremque id fugiat cumque assumenda, excepturi magni esse sapiente fugit nemo ipsa quia dolore aliquam. Impedit reiciendis, aperiam animi dolor sed, hic ut! Culpa vitae porro dolores, praesentium voluptates ratione repudiandae sequi dolorem nam veritatis id deserunt, sit quia.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Culpa itaque alias tempore omnis voluptatem, aperiam voluptas blanditiis! Voluptas doloremque, quaerat facere, eaque quos dolores laboriosam perspiciatis explicabo ducimus ex molestiae voluptatum veniam dolore.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Perferendis id accusamus, iusto esse iste quia omnis veritatis, vero nesciunt, explicabo molestiae, necessitatibus!</p>\r\n<p>Earum aliquam corporis libero voluptates quisquam magnam ducimus laudantium animi quidem, officiis quia optio ex, explicabo, accusamus nemo mollitia eligendi doloremque tempora!</p>\r\n<p>Quod eius ullam, nam et reiciendis, saepe recusandae dolor aliquam consectetur nemo molestiae magnam optio vel eum facilis animi culpa voluptatum delectus!</p>\r\n<p>Earum eveniet tempora consequuntur unde, repellendus dolorum iure pariatur blanditiis quasi animi. Obcaecati excepturi est fugit, molestias mollitia, eaque numquam similique asperiores.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Asperiores eos similique ipsam dolorum, repellat quibusdam quis doloremque id fugiat cumque assumenda, excepturi magni esse sapiente fugit nemo ipsa quia dolore aliquam. Impedit reiciendis, aperiam animi dolor sed, hic ut! Culpa vitae porro dolores, praesentium voluptates ratione repudiandae sequi dolorem nam veritatis id deserunt, sit quia.</p>\r\n", "Pariatur, ea, quis.", "A quas, fugit. Voluptatum corporis, debitis? Perspiciatis harum error placeat, porro quod!\r\n", "publish", "open", "open", "", "pariatur-ea-quis", "", "", "2018-07-29 22:39:00", "2018-07-29 22:39:00", "", "0", "http://localhost:8888/metonymic/?p=206", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("207", "1", "2018-07-28 18:45:12", "2018-07-28 18:45:12", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quae id possimus dolores harum! Cupiditate voluptate perferendis tempore ipsa, adipisci ea atque. Nostrum nihil non sint, doloribus magni est doloremque voluptatem nam laborum pariatur.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Dicta molestias, quis. Numquam ea ut, quibusdam, rerum nobis voluptatibus inventore sapiente at adipisci.</p>\r\n<p>Iure iusto asperiores temporibus molestias expedita minus optio soluta, cumque sequi provident blanditiis ex, in dolor unde necessitatibus, ad sint tenetur dolorum!</p>\r\n<p>Repellendus, eos nostrum quas vitae, blanditiis sed fugiat in, suscipit impedit exercitationem maiores necessitatibus voluptatem praesentium quidem pariatur quasi molestias dicta error.</p>\r\n<p>Neque error, iusto deserunt. Est, nulla deleniti minus fugit molestias. Libero vero cupiditate nam quisquam nesciunt tenetur, nihil. Voluptatum, ratione ex laboriosam?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Maxime eaque quis iste commodi. Fugit eveniet dolore maxime vel animi ea, fuga tempore excepturi fugiat vero, nesciunt assumenda. Officiis nobis ex corporis architecto mollitia accusantium! Quibusdam maxime ad, sed sapiente quae recusandae quasi repudiandae dignissimos dolor modi enim possimus dolorem, cupiditate odit, iste saepe incidunt aperiam.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quae id possimus dolores harum! Cupiditate voluptate perferendis tempore ipsa, adipisci ea atque. Nostrum nihil non sint, doloribus magni est doloremque voluptatem nam laborum pariatur.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Dicta molestias, quis. Numquam ea ut, quibusdam, rerum nobis voluptatibus inventore sapiente at adipisci.</p>\r\n<p>Iure iusto asperiores temporibus molestias expedita minus optio soluta, cumque sequi provident blanditiis ex, in dolor unde necessitatibus, ad sint tenetur dolorum!</p>\r\n<p>Repellendus, eos nostrum quas vitae, blanditiis sed fugiat in, suscipit impedit exercitationem maiores necessitatibus voluptatem praesentium quidem pariatur quasi molestias dicta error.</p>\r\n<p>Neque error, iusto deserunt. Est, nulla deleniti minus fugit molestias. Libero vero cupiditate nam quisquam nesciunt tenetur, nihil. Voluptatum, ratione ex laboriosam?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Maxime eaque quis iste commodi. Fugit eveniet dolore maxime vel animi ea, fuga tempore excepturi fugiat vero, nesciunt assumenda. Officiis nobis ex corporis architecto mollitia accusantium! Quibusdam maxime ad, sed sapiente quae recusandae quasi repudiandae dignissimos dolor modi enim possimus dolorem, cupiditate odit, iste saepe incidunt aperiam.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quae id possimus dolores harum! Cupiditate voluptate perferendis tempore ipsa, adipisci ea atque. Nostrum nihil non sint, doloribus magni est doloremque voluptatem nam laborum pariatur.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Dicta molestias, quis. Numquam ea ut, quibusdam, rerum nobis voluptatibus inventore sapiente at adipisci.</p>\r\n<p>Iure iusto asperiores temporibus molestias expedita minus optio soluta, cumque sequi provident blanditiis ex, in dolor unde necessitatibus, ad sint tenetur dolorum!</p>\r\n<p>Repellendus, eos nostrum quas vitae, blanditiis sed fugiat in, suscipit impedit exercitationem maiores necessitatibus voluptatem praesentium quidem pariatur quasi molestias dicta error.</p>\r\n<p>Neque error, iusto deserunt. Est, nulla deleniti minus fugit molestias. Libero vero cupiditate nam quisquam nesciunt tenetur, nihil. Voluptatum, ratione ex laboriosam?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Maxime eaque quis iste commodi. Fugit eveniet dolore maxime vel animi ea, fuga tempore excepturi fugiat vero, nesciunt assumenda. Officiis nobis ex corporis architecto mollitia accusantium! Quibusdam maxime ad, sed sapiente quae recusandae quasi repudiandae dignissimos dolor modi enim possimus dolorem, cupiditate odit, iste saepe incidunt aperiam.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quae id possimus dolores harum! Cupiditate voluptate perferendis tempore ipsa, adipisci ea atque. Nostrum nihil non sint, doloribus magni est doloremque voluptatem nam laborum pariatur.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Dicta molestias, quis. Numquam ea ut, quibusdam, rerum nobis voluptatibus inventore sapiente at adipisci.</p>\r\n<p>Iure iusto asperiores temporibus molestias expedita minus optio soluta, cumque sequi provident blanditiis ex, in dolor unde necessitatibus, ad sint tenetur dolorum!</p>\r\n<p>Repellendus, eos nostrum quas vitae, blanditiis sed fugiat in, suscipit impedit exercitationem maiores necessitatibus voluptatem praesentium quidem pariatur quasi molestias dicta error.</p>\r\n<p>Neque error, iusto deserunt. Est, nulla deleniti minus fugit molestias. Libero vero cupiditate nam quisquam nesciunt tenetur, nihil. Voluptatum, ratione ex laboriosam?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Maxime eaque quis iste commodi. Fugit eveniet dolore maxime vel animi ea, fuga tempore excepturi fugiat vero, nesciunt assumenda. Officiis nobis ex corporis architecto mollitia accusantium! Quibusdam maxime ad, sed sapiente quae recusandae quasi repudiandae dignissimos dolor modi enim possimus dolorem, cupiditate odit, iste saepe incidunt aperiam.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quae id possimus dolores harum! Cupiditate voluptate perferendis tempore ipsa, adipisci ea atque. Nostrum nihil non sint, doloribus magni est doloremque voluptatem nam laborum pariatur.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Dicta molestias, quis. Numquam ea ut, quibusdam, rerum nobis voluptatibus inventore sapiente at adipisci.</p>\r\n<p>Iure iusto asperiores temporibus molestias expedita minus optio soluta, cumque sequi provident blanditiis ex, in dolor unde necessitatibus, ad sint tenetur dolorum!</p>\r\n<p>Repellendus, eos nostrum quas vitae, blanditiis sed fugiat in, suscipit impedit exercitationem maiores necessitatibus voluptatem praesentium quidem pariatur quasi molestias dicta error.</p>\r\n<p>Neque error, iusto deserunt. Est, nulla deleniti minus fugit molestias. Libero vero cupiditate nam quisquam nesciunt tenetur, nihil. Voluptatum, ratione ex laboriosam?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Maxime eaque quis iste commodi. Fugit eveniet dolore maxime vel animi ea, fuga tempore excepturi fugiat vero, nesciunt assumenda. Officiis nobis ex corporis architecto mollitia accusantium! Quibusdam maxime ad, sed sapiente quae recusandae quasi repudiandae dignissimos dolor modi enim possimus dolorem, cupiditate odit, iste saepe incidunt aperiam.</p>\r\n", "Obcaecati volubus, porro?", "Perspiciatis neque repudiandae eligendi eos repellat atque similique magnam, aspernatur, dignissimos a.\r\n", "publish", "open", "open", "", "obcaecati-voluptatibus-porro", "", "", "2018-07-29 22:38:49", "2018-07-29 22:38:49", "", "0", "http://localhost:8888/metonymic/?p=207", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("208", "1", "2019-01-02 18:45:12", "2019-01-02 18:45:12", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur eveniet ratione, sint quas aliquam earum? Vel excepturi, dolores itaque incidunt culpa odio dignissimos, atque consequatur iusto reprehenderit id, porro nam! Delectus, architecto, consectetur.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quam quo ducimus deleniti, reiciendis cum necessitatibus, voluptatibus. Recusandae quod labore soluta eligendi, hic!</p>\r\n<p>Est impedit repellat voluptatum veniam odit dolorem nesciunt aliquid recusandae consectetur in ea neque explicabo sequi quaerat itaque aut vel, beatae. Cum.</p>\r\n<p>Ea neque sit, corporis aut quasi in tenetur eum incidunt saepe! Odit, fugiat. Ab maxime, placeat totam quam nesciunt. Voluptatum, ipsam, odit.</p>\r\n<p>Delectus vel quidem saepe perferendis fuga, ex quam obcaecati corporis ipsum, sunt quia repellendus laboriosam error doloremque dolores amet fugiat. Ullam, eaque!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Dolore iure omnis adipisci nemo iste aspernatur alias labore commodi? Fuga impedit dicta, sequi voluptatibus sunt quas ratione velit! Doloribus alias beatae doloremque ad a est nulla consequatur optio veritatis natus sit sequi, iusto expedita, officiis ut temporibus delectus. Nostrum quis tempore porro illo. Nam quis, praesentium.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur eveniet ratione, sint quas aliquam earum? Vel excepturi, dolores itaque incidunt culpa odio dignissimos, atque consequatur iusto reprehenderit id, porro nam! Delectus, architecto, consectetur.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quam quo ducimus deleniti, reiciendis cum necessitatibus, voluptatibus. Recusandae quod labore soluta eligendi, hic!</p>\r\n<p>Est impedit repellat voluptatum veniam odit dolorem nesciunt aliquid recusandae consectetur in ea neque explicabo sequi quaerat itaque aut vel, beatae. Cum.</p>\r\n<p>Ea neque sit, corporis aut quasi in tenetur eum incidunt saepe! Odit, fugiat. Ab maxime, placeat totam quam nesciunt. Voluptatum, ipsam, odit.</p>\r\n<p>Delectus vel quidem saepe perferendis fuga, ex quam obcaecati corporis ipsum, sunt quia repellendus laboriosam error doloremque dolores amet fugiat. Ullam, eaque!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Dolore iure omnis adipisci nemo iste aspernatur alias labore commodi? Fuga impedit dicta, sequi voluptatibus sunt quas ratione velit! Doloribus alias beatae doloremque ad a est nulla consequatur optio veritatis natus sit sequi, iusto expedita, officiis ut temporibus delectus. Nostrum quis tempore porro illo. Nam quis, praesentium.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur eveniet ratione, sint quas aliquam earum? Vel excepturi, dolores itaque incidunt culpa odio dignissimos, atque consequatur iusto reprehenderit id, porro nam! Delectus, architecto, consectetur.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quam quo ducimus deleniti, reiciendis cum necessitatibus, voluptatibus. Recusandae quod labore soluta eligendi, hic!</p>\r\n<p>Est impedit repellat voluptatum veniam odit dolorem nesciunt aliquid recusandae consectetur in ea neque explicabo sequi quaerat itaque aut vel, beatae. Cum.</p>\r\n<p>Ea neque sit, corporis aut quasi in tenetur eum incidunt saepe! Odit, fugiat. Ab maxime, placeat totam quam nesciunt. Voluptatum, ipsam, odit.</p>\r\n<p>Delectus vel quidem saepe perferendis fuga, ex quam obcaecati corporis ipsum, sunt quia repellendus laboriosam error doloremque dolores amet fugiat. Ullam, eaque!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Dolore iure omnis adipisci nemo iste aspernatur alias labore commodi? Fuga impedit dicta, sequi voluptatibus sunt quas ratione velit! Doloribus alias beatae doloremque ad a est nulla consequatur optio veritatis natus sit sequi, iusto expedita, officiis ut temporibus delectus. Nostrum quis tempore porro illo. Nam quis, praesentium.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur eveniet ratione, sint quas aliquam earum? Vel excepturi, dolores itaque incidunt culpa odio dignissimos, atque consequatur iusto reprehenderit id, porro nam! Delectus, architecto, consectetur.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quam quo ducimus deleniti, reiciendis cum necessitatibus, voluptatibus. Recusandae quod labore soluta eligendi, hic!</p>\r\n<p>Est impedit repellat voluptatum veniam odit dolorem nesciunt aliquid recusandae consectetur in ea neque explicabo sequi quaerat itaque aut vel, beatae. Cum.</p>\r\n<p>Ea neque sit, corporis aut quasi in tenetur eum incidunt saepe! Odit, fugiat. Ab maxime, placeat totam quam nesciunt. Voluptatum, ipsam, odit.</p>\r\n<p>Delectus vel quidem saepe perferendis fuga, ex quam obcaecati corporis ipsum, sunt quia repellendus laboriosam error doloremque dolores amet fugiat. Ullam, eaque!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Dolore iure omnis adipisci nemo iste aspernatur alias labore commodi? Fuga impedit dicta, sequi voluptatibus sunt quas ratione velit! Doloribus alias beatae doloremque ad a est nulla consequatur optio veritatis natus sit sequi, iusto expedita, officiis ut temporibus delectus. Nostrum quis tempore porro illo. Nam quis, praesentium.</p>\r\n", "Ea, eveniet, saepe!", "Necessitatibus officiis aliquid incidunt molestias odit consequatur et. Dolore nesciunt sit sint.\r\n", "publish", "open", "open", "", "ea-eveniet-saepe", "", "", "2019-02-03 00:42:39", "2019-02-03 00:42:39", "", "0", "http://localhost:8888/metonymic/?p=208", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("209", "1", "2018-07-28 18:45:12", "2018-07-28 18:45:12", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Tempore facilis minus beatae modi animi quisquam impedit quia repellat ipsam ipsum, aut et qui perspiciatis culpa voluptas inventore a necessitatibus eum tempora voluptatum vel!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ipsum nesciunt quae deleniti. Nulla voluptate ullam libero, corporis maiores at quae rerum quam!</p>\r\n<p>Totam sequi amet rem dolores quis, aliquam eveniet accusantium ipsam sunt quidem suscipit voluptate qui, consequuntur harum distinctio architecto incidunt illum beatae.</p>\r\n<p>Esse voluptatibus quas quasi tempore, odit at! Molestiae ab accusantium et, rem soluta reprehenderit sequi fugiat consequatur veniam, veritatis saepe voluptate cupiditate.</p>\r\n<p>Quisquam aliquid, fuga aspernatur soluta obcaecati? Laborum quos minus officia non est repellendus eum pariatur quasi nam ipsam id perferendis, earum, atque.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eius voluptas, laudantium cupiditate veritatis explicabo nemo excepturi similique, vel optio aperiam corporis pariatur, odio quia quis numquam in veniam. Saepe similique quo consequuntur unde harum, blanditiis fuga debitis sint laudantium ullam natus voluptas, ducimus a, libero praesentium! Id nam sed sint nostrum possimus nesciunt quis dignissimos?</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Tempore facilis minus beatae modi animi quisquam impedit quia repellat ipsam ipsum, aut et qui perspiciatis culpa voluptas inventore a necessitatibus eum tempora voluptatum vel!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ipsum nesciunt quae deleniti. Nulla voluptate ullam libero, corporis maiores at quae rerum quam!</p>\r\n<p>Totam sequi amet rem dolores quis, aliquam eveniet accusantium ipsam sunt quidem suscipit voluptate qui, consequuntur harum distinctio architecto incidunt illum beatae.</p>\r\n<p>Esse voluptatibus quas quasi tempore, odit at! Molestiae ab accusantium et, rem soluta reprehenderit sequi fugiat consequatur veniam, veritatis saepe voluptate cupiditate.</p>\r\n<p>Quisquam aliquid, fuga aspernatur soluta obcaecati? Laborum quos minus officia non est repellendus eum pariatur quasi nam ipsam id perferendis, earum, atque.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eius voluptas, laudantium cupiditate veritatis explicabo nemo excepturi similique, vel optio aperiam corporis pariatur, odio quia quis numquam in veniam. Saepe similique quo consequuntur unde harum, blanditiis fuga debitis sint laudantium ullam natus voluptas, ducimus a, libero praesentium! Id nam sed sint nostrum possimus nesciunt quis dignissimos?</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Tempore facilis minus beatae modi animi quisquam impedit quia repellat ipsam ipsum, aut et qui perspiciatis culpa voluptas inventore a necessitatibus eum tempora voluptatum vel!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ipsum nesciunt quae deleniti. Nulla voluptate ullam libero, corporis maiores at quae rerum quam!</p>\r\n<p>Totam sequi amet rem dolores quis, aliquam eveniet accusantium ipsam sunt quidem suscipit voluptate qui, consequuntur harum distinctio architecto incidunt illum beatae.</p>\r\n<p>Esse voluptatibus quas quasi tempore, odit at! Molestiae ab accusantium et, rem soluta reprehenderit sequi fugiat consequatur veniam, veritatis saepe voluptate cupiditate.</p>\r\n<p>Quisquam aliquid, fuga aspernatur soluta obcaecati? Laborum quos minus officia non est repellendus eum pariatur quasi nam ipsam id perferendis, earum, atque.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eius voluptas, laudantium cupiditate veritatis explicabo nemo excepturi similique, vel optio aperiam corporis pariatur, odio quia quis numquam in veniam. Saepe similique quo consequuntur unde harum, blanditiis fuga debitis sint laudantium ullam natus voluptas, ducimus a, libero praesentium! Id nam sed sint nostrum possimus nesciunt quis dignissimos?</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Tempore facilis minus beatae modi animi quisquam impedit quia repellat ipsam ipsum, aut et qui perspiciatis culpa voluptas inventore a necessitatibus eum tempora voluptatum vel!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ipsum nesciunt quae deleniti. Nulla voluptate ullam libero, corporis maiores at quae rerum quam!</p>\r\n<p>Totam sequi amet rem dolores quis, aliquam eveniet accusantium ipsam sunt quidem suscipit voluptate qui, consequuntur harum distinctio architecto incidunt illum beatae.</p>\r\n<p>Esse voluptatibus quas quasi tempore, odit at! Molestiae ab accusantium et, rem soluta reprehenderit sequi fugiat consequatur veniam, veritatis saepe voluptate cupiditate.</p>\r\n<p>Quisquam aliquid, fuga aspernatur soluta obcaecati? Laborum quos minus officia non est repellendus eum pariatur quasi nam ipsam id perferendis, earum, atque.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eius voluptas, laudantium cupiditate veritatis explicabo nemo excepturi similique, vel optio aperiam corporis pariatur, odio quia quis numquam in veniam. Saepe similique quo consequuntur unde harum, blanditiis fuga debitis sint laudantium ullam natus voluptas, ducimus a, libero praesentium! Id nam sed sint nostrum possimus nesciunt quis dignissimos?</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Tempore facilis minus beatae modi animi quisquam impedit quia repellat ipsam ipsum, aut et qui perspiciatis culpa voluptas inventore a necessitatibus eum tempora voluptatum vel!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ipsum nesciunt quae deleniti. Nulla voluptate ullam libero, corporis maiores at quae rerum quam!</p>\r\n<p>Totam sequi amet rem dolores quis, aliquam eveniet accusantium ipsam sunt quidem suscipit voluptate qui, consequuntur harum distinctio architecto incidunt illum beatae.</p>\r\n<p>Esse voluptatibus quas quasi tempore, odit at! Molestiae ab accusantium et, rem soluta reprehenderit sequi fugiat consequatur veniam, veritatis saepe voluptate cupiditate.</p>\r\n<p>Quisquam aliquid, fuga aspernatur soluta obcaecati? Laborum quos minus officia non est repellendus eum pariatur quasi nam ipsam id perferendis, earum, atque.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eius voluptas, laudantium cupiditate veritatis explicabo nemo excepturi similique, vel optio aperiam corporis pariatur, odio quia quis numquam in veniam. Saepe similique quo consequuntur unde harum, blanditiis fuga debitis sint laudantium ullam natus voluptas, ducimus a, libero praesentium! Id nam sed sint nostrum possimus nesciunt quis dignissimos?</p>\r\n", "Dignissimos odit, deleniti!", "Dolorem aut veritatis labore magnam blanditiis, maiores iure similique sint expedita illo.\r\n", "publish", "open", "open", "", "dignissimos-odit-deleniti", "", "", "2018-07-29 23:11:46", "2018-07-29 23:11:46", "", "0", "http://localhost:8888/metonymic/?p=209", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("210", "1", "2018-07-28 18:45:12", "2018-07-28 18:45:12", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eligendi error fuga quis vel ipsa praesentium iste architecto maxime rerum, culpa quidem, facere quia corporis dolores at optio facilis, voluptate molestias. A, odio aperiam!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Repellat nemo maiores odit obcaecati molestiae, voluptatibus laboriosam repellendus iusto! Incidunt ab reiciendis, ex.</p>\r\n<p>Nostrum a ducimus tempora at quos, iste modi vel, sint maxime consectetur recusandae. Vel voluptas tempora commodi laborum placeat, cumque? Quidem, tempora.</p>\r\n<p>Minima illum provident at voluptas sapiente praesentium ut ab fuga placeat, dolorum exercitationem libero. Deserunt tempore tempora dolorum repellendus maiores, cum ipsa.</p>\r\n<p>Explicabo, aut consectetur temporibus nostrum praesentium atque! A praesentium quod esse, vel facere, voluptates quas laudantium. Doloribus odio quia suscipit sit incidunt.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Optio voluptatibus error, dignissimos dolore illum pariatur nisi voluptatem reprehenderit quo. A nobis fuga magnam ab illum hic alias non autem dolores sint ipsam adipisci rem officiis eum molestiae laboriosam distinctio quisquam suscipit provident, nulla nostrum, tenetur unde voluptatibus doloremque. Eius in corrupti error perferendis modi ea!</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eligendi error fuga quis vel ipsa praesentium iste architecto maxime rerum, culpa quidem, facere quia corporis dolores at optio facilis, voluptate molestias. A, odio aperiam!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Repellat nemo maiores odit obcaecati molestiae, voluptatibus laboriosam repellendus iusto! Incidunt ab reiciendis, ex.</p>\r\n<p>Nostrum a ducimus tempora at quos, iste modi vel, sint maxime consectetur recusandae. Vel voluptas tempora commodi laborum placeat, cumque? Quidem, tempora.</p>\r\n<p>Minima illum provident at voluptas sapiente praesentium ut ab fuga placeat, dolorum exercitationem libero. Deserunt tempore tempora dolorum repellendus maiores, cum ipsa.</p>\r\n<p>Explicabo, aut consectetur temporibus nostrum praesentium atque! A praesentium quod esse, vel facere, voluptates quas laudantium. Doloribus odio quia suscipit sit incidunt.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Optio voluptatibus error, dignissimos dolore illum pariatur nisi voluptatem reprehenderit quo. A nobis fuga magnam ab illum hic alias non autem dolores sint ipsam adipisci rem officiis eum molestiae laboriosam distinctio quisquam suscipit provident, nulla nostrum, tenetur unde voluptatibus doloremque. Eius in corrupti error perferendis modi ea!</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eligendi error fuga quis vel ipsa praesentium iste architecto maxime rerum, culpa quidem, facere quia corporis dolores at optio facilis, voluptate molestias. A, odio aperiam!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Repellat nemo maiores odit obcaecati molestiae, voluptatibus laboriosam repellendus iusto! Incidunt ab reiciendis, ex.</p>\r\n<p>Nostrum a ducimus tempora at quos, iste modi vel, sint maxime consectetur recusandae. Vel voluptas tempora commodi laborum placeat, cumque? Quidem, tempora.</p>\r\n<p>Minima illum provident at voluptas sapiente praesentium ut ab fuga placeat, dolorum exercitationem libero. Deserunt tempore tempora dolorum repellendus maiores, cum ipsa.</p>\r\n<p>Explicabo, aut consectetur temporibus nostrum praesentium atque! A praesentium quod esse, vel facere, voluptates quas laudantium. Doloribus odio quia suscipit sit incidunt.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Optio voluptatibus error, dignissimos dolore illum pariatur nisi voluptatem reprehenderit quo. A nobis fuga magnam ab illum hic alias non autem dolores sint ipsam adipisci rem officiis eum molestiae laboriosam distinctio quisquam suscipit provident, nulla nostrum, tenetur unde voluptatibus doloremque. Eius in corrupti error perferendis modi ea!</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eligendi error fuga quis vel ipsa praesentium iste architecto maxime rerum, culpa quidem, facere quia corporis dolores at optio facilis, voluptate molestias. A, odio aperiam!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Repellat nemo maiores odit obcaecati molestiae, voluptatibus laboriosam repellendus iusto! Incidunt ab reiciendis, ex.</p>\r\n<p>Nostrum a ducimus tempora at quos, iste modi vel, sint maxime consectetur recusandae. Vel voluptas tempora commodi laborum placeat, cumque? Quidem, tempora.</p>\r\n<p>Minima illum provident at voluptas sapiente praesentium ut ab fuga placeat, dolorum exercitationem libero. Deserunt tempore tempora dolorum repellendus maiores, cum ipsa.</p>\r\n<p>Explicabo, aut consectetur temporibus nostrum praesentium atque! A praesentium quod esse, vel facere, voluptates quas laudantium. Doloribus odio quia suscipit sit incidunt.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Optio voluptatibus error, dignissimos dolore illum pariatur nisi voluptatem reprehenderit quo. A nobis fuga magnam ab illum hic alias non autem dolores sint ipsam adipisci rem officiis eum molestiae laboriosam distinctio quisquam suscipit provident, nulla nostrum, tenetur unde voluptatibus doloremque. Eius in corrupti error perferendis modi ea!</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eligendi error fuga quis vel ipsa praesentium iste architecto maxime rerum, culpa quidem, facere quia corporis dolores at optio facilis, voluptate molestias. A, odio aperiam!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Repellat nemo maiores odit obcaecati molestiae, voluptatibus laboriosam repellendus iusto! Incidunt ab reiciendis, ex.</p>\r\n<p>Nostrum a ducimus tempora at quos, iste modi vel, sint maxime consectetur recusandae. Vel voluptas tempora commodi laborum placeat, cumque? Quidem, tempora.</p>\r\n<p>Minima illum provident at voluptas sapiente praesentium ut ab fuga placeat, dolorum exercitationem libero. Deserunt tempore tempora dolorum repellendus maiores, cum ipsa.</p>\r\n<p>Explicabo, aut consectetur temporibus nostrum praesentium atque! A praesentium quod esse, vel facere, voluptates quas laudantium. Doloribus odio quia suscipit sit incidunt.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Optio voluptatibus error, dignissimos dolore illum pariatur nisi voluptatem reprehenderit quo. A nobis fuga magnam ab illum hic alias non autem dolores sint ipsam adipisci rem officiis eum molestiae laboriosam distinctio quisquam suscipit provident, nulla nostrum, tenetur unde voluptatibus doloremque. Eius in corrupti error perferendis modi ea!</p>", "Libero est, reprehenderit.", "Dolorem aut veritatis labore magnam blanditiis, maiores iure similique sint expedita illo.\r\n", "publish", "open", "open", "", "libero-est-reprehenderit", "", "", "2018-07-29 22:38:21", "2018-07-29 22:38:21", "", "0", "http://localhost:8888/metonymic/?p=210", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("211", "1", "2018-07-28 18:45:12", "2018-07-28 18:45:12", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sit quo debitis assumenda, esse qui in architecto libero sunt totam consequatur, consectetur fugit tempora modi rerum earum optio fugiat quos cum vitae quasi sequi.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Veritatis nemo iure, totam adipisci quam repudiandae aperiam eius repellendus ducimus atque voluptatum molestias!</p>\r\n<p>Earum culpa non beatae, neque ex. Recusandae perferendis sit cum tempora nostrum vero odit excepturi, possimus saepe dolorum ipsam aperiam praesentium voluptates.</p>\r\n<p>Laborum mollitia, rem doloribus ipsa rerum possimus sed dolorum dolorem ad! Ut, eum suscipit. Maxime aperiam, voluptatibus eos minima distinctio commodi repellat!</p>\r\n<p>Explicabo, totam. Esse voluptate ab omnis dicta, eaque at nulla obcaecati praesentium enim, nesciunt. Blanditiis voluptatem officiis modi, consectetur, hic quia ullam!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Optio inventore accusantium officiis quisquam modi amet nulla, quis quasi, blanditiis, repudiandae ipsa culpa sed. Consectetur esse voluptates vel rerum dicta, perferendis nisi fugiat natus nihil velit nemo cupiditate sequi quaerat nostrum quod dolor at sapiente! Doloribus in sint debitis rerum, fugit quos impedit quia sunt, et!</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sit quo debitis assumenda, esse qui in architecto libero sunt totam consequatur, consectetur fugit tempora modi rerum earum optio fugiat quos cum vitae quasi sequi.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Veritatis nemo iure, totam adipisci quam repudiandae aperiam eius repellendus ducimus atque voluptatum molestias!</p>\r\n<p>Earum culpa non beatae, neque ex. Recusandae perferendis sit cum tempora nostrum vero odit excepturi, possimus saepe dolorum ipsam aperiam praesentium voluptates.</p>\r\n<p>Laborum mollitia, rem doloribus ipsa rerum possimus sed dolorum dolorem ad! Ut, eum suscipit. Maxime aperiam, voluptatibus eos minima distinctio commodi repellat!</p>\r\n<p>Explicabo, totam. Esse voluptate ab omnis dicta, eaque at nulla obcaecati praesentium enim, nesciunt. Blanditiis voluptatem officiis modi, consectetur, hic quia ullam!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Optio inventore accusantium officiis quisquam modi amet nulla, quis quasi, blanditiis, repudiandae ipsa culpa sed. Consectetur esse voluptates vel rerum dicta, perferendis nisi fugiat natus nihil velit nemo cupiditate sequi quaerat nostrum quod dolor at sapiente! Doloribus in sint debitis rerum, fugit quos impedit quia sunt, et!</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sit quo debitis assumenda, esse qui in architecto libero sunt totam consequatur, consectetur fugit tempora modi rerum earum optio fugiat quos cum vitae quasi sequi.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Veritatis nemo iure, totam adipisci quam repudiandae aperiam eius repellendus ducimus atque voluptatum molestias!</p>\r\n<p>Earum culpa non beatae, neque ex. Recusandae perferendis sit cum tempora nostrum vero odit excepturi, possimus saepe dolorum ipsam aperiam praesentium voluptates.</p>\r\n<p>Laborum mollitia, rem doloribus ipsa rerum possimus sed dolorum dolorem ad! Ut, eum suscipit. Maxime aperiam, voluptatibus eos minima distinctio commodi repellat!</p>\r\n<p>Explicabo, totam. Esse voluptate ab omnis dicta, eaque at nulla obcaecati praesentium enim, nesciunt. Blanditiis voluptatem officiis modi, consectetur, hic quia ullam!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Optio inventore accusantium officiis quisquam modi amet nulla, quis quasi, blanditiis, repudiandae ipsa culpa sed. Consectetur esse voluptates vel rerum dicta, perferendis nisi fugiat natus nihil velit nemo cupiditate sequi quaerat nostrum quod dolor at sapiente! Doloribus in sint debitis rerum, fugit quos impedit quia sunt, et!</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sit quo debitis assumenda, esse qui in architecto libero sunt totam consequatur, consectetur fugit tempora modi rerum earum optio fugiat quos cum vitae quasi sequi.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Veritatis nemo iure, totam adipisci quam repudiandae aperiam eius repellendus ducimus atque voluptatum molestias!</p>\r\n<p>Earum culpa non beatae, neque ex. Recusandae perferendis sit cum tempora nostrum vero odit excepturi, possimus saepe dolorum ipsam aperiam praesentium voluptates.</p>\r\n<p>Laborum mollitia, rem doloribus ipsa rerum possimus sed dolorum dolorem ad! Ut, eum suscipit. Maxime aperiam, voluptatibus eos minima distinctio commodi repellat!</p>\r\n<p>Explicabo, totam. Esse voluptate ab omnis dicta, eaque at nulla obcaecati praesentium enim, nesciunt. Blanditiis voluptatem officiis modi, consectetur, hic quia ullam!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Optio inventore accusantium officiis quisquam modi amet nulla, quis quasi, blanditiis, repudiandae ipsa culpa sed. Consectetur esse voluptates vel rerum dicta, perferendis nisi fugiat natus nihil velit nemo cupiditate sequi quaerat nostrum quod dolor at sapiente! Doloribus in sint debitis rerum, fugit quos impedit quia sunt, et!</p>", "Alias, neque dolores.", "Distinctio nam excepturi doloribus, unde, corporis atque saepe voluptatem repellendus omnis quia.\r\n", "publish", "open", "open", "", "alias-neque-dolores", "", "", "2018-07-29 22:39:57", "2018-07-29 22:39:57", "", "0", "http://localhost:8888/metonymic/?p=211", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("212", "1", "2018-07-28 18:45:12", "2018-07-28 18:45:12", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eos similique aliquam rerum saepe ipsum! Earum culpa laudantium error quae? Soluta numquam magni, nobis incidunt doloremque recusandae pariatur, natus mollitia accusantium molestiae et iure!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Praesentium reprehenderit perspiciatis fuga placeat nesciunt illo accusamus aut quia facere culpa? Minima, quasi?</p>\r\n<p>Quam porro, voluptates eaque error tenetur dolore, reprehenderit maiores facilis soluta ad obcaecati ipsum odit impedit voluptate praesentium quos deserunt fuga placeat.</p>\r\n<p>Ducimus eius laboriosam corporis a ex itaque, facere exercitationem repudiandae qui est, in aliquam. Enim, possimus, dolorum necessitatibus nemo quae quos iusto.</p>\r\n<p>Excepturi nisi doloribus doloremque, enim veritatis itaque perferendis maxime corporis voluptas et eveniet repudiandae commodi modi ducimus adipisci, mollitia repellat ullam quod?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Placeat quam voluptates reprehenderit nemo ad maiores sit deleniti quia, magni in quas sed earum commodi possimus explicabo perspiciatis iure debitis eveniet natus quidem neque velit, facere, nulla. Accusantium aperiam optio quibusdam itaque ducimus, quidem ex voluptatibus tenetur laborum laudantium ipsa esse, dolorem deleniti facilis explicabo! Saepe.</p>", "Architecto, quae, impedit.", "Et iste recusandae illo. Dolores illo eum iure aut. Consequatur illo, repellendus?\r\n", "publish", "open", "open", "", "architecto-quae-impedit", "", "", "2018-07-29 22:38:37", "2018-07-29 22:38:37", "", "0", "http://localhost:8888/metonymic/?p=212", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("213", "1", "2018-07-28 18:45:12", "2018-07-28 18:45:12", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Assumenda incidunt, accusamus saepe. Consectetur molestias nulla hic adipisci eaque provident optio, odit magni ut sit quod ea suscipit, saepe eos dolor exercitationem neque quasi?</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Unde eum consequatur ea illum blanditiis impedit iste perferendis sapiente sed, quaerat inventore, ab.</p>\r\n<p>Necessitatibus, incidunt dolores neque distinctio amet ducimus, magni dolorem quam. Sunt quia inventore rerum neque reprehenderit sequi tenetur possimus molestias quam molestiae?</p>\r\n<p>Reiciendis officiis obcaecati, odit repellendus debitis eligendi vitae consequatur provident vel aliquid nemo ratione. Fugiat cumque et, adipisci, facilis similique unde perspiciatis.</p>\r\n<p>Quibusdam, in dolorum! Sequi quasi recusandae deleniti accusantium consequatur dolor quam aliquam, aliquid ipsum perferendis similique aut id minus nihil ex libero!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sint tempore suscipit labore veritatis, cumque delectus fugiat debitis in voluptate recusandae provident ipsum, ipsa aliquam, iusto numquam minus maxime quos culpa tempora mollitia neque dolorem quibusdam! Vitae libero nisi voluptatum rerum saepe nulla harum minima nam nesciunt! Ipsa veniam, cumque ratione reprehenderit totam quia et fugiat.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Assumenda incidunt, accusamus saepe. Consectetur molestias nulla hic adipisci eaque provident optio, odit magni ut sit quod ea suscipit, saepe eos dolor exercitationem neque quasi?</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Unde eum consequatur ea illum blanditiis impedit iste perferendis sapiente sed, quaerat inventore, ab.</p>\r\n<p>Necessitatibus, incidunt dolores neque distinctio amet ducimus, magni dolorem quam. Sunt quia inventore rerum neque reprehenderit sequi tenetur possimus molestias quam molestiae?</p>\r\n<p>Reiciendis officiis obcaecati, odit repellendus debitis eligendi vitae consequatur provident vel aliquid nemo ratione. Fugiat cumque et, adipisci, facilis similique unde perspiciatis.</p>\r\n<p>Quibusdam, in dolorum! Sequi quasi recusandae deleniti accusantium consequatur dolor quam aliquam, aliquid ipsum perferendis similique aut id minus nihil ex libero!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sint tempore suscipit labore veritatis, cumque delectus fugiat debitis in voluptate recusandae provident ipsum, ipsa aliquam, iusto numquam minus maxime quos culpa tempora mollitia neque dolorem quibusdam! Vitae libero nisi voluptatum rerum saepe nulla harum minima nam nesciunt! Ipsa veniam, cumque ratione reprehenderit totam quia et fugiat.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Assumenda incidunt, accusamus saepe. Consectetur molestias nulla hic adipisci eaque provident optio, odit magni ut sit quod ea suscipit, saepe eos dolor exercitationem neque quasi?</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Unde eum consequatur ea illum blanditiis impedit iste perferendis sapiente sed, quaerat inventore, ab.</p>\r\n<p>Necessitatibus, incidunt dolores neque distinctio amet ducimus, magni dolorem quam. Sunt quia inventore rerum neque reprehenderit sequi tenetur possimus molestias quam molestiae?</p>\r\n<p>Reiciendis officiis obcaecati, odit repellendus debitis eligendi vitae consequatur provident vel aliquid nemo ratione. Fugiat cumque et, adipisci, facilis similique unde perspiciatis.</p>\r\n<p>Quibusdam, in dolorum! Sequi quasi recusandae deleniti accusantium consequatur dolor quam aliquam, aliquid ipsum perferendis similique aut id minus nihil ex libero!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sint tempore suscipit labore veritatis, cumque delectus fugiat debitis in voluptate recusandae provident ipsum, ipsa aliquam, iusto numquam minus maxime quos culpa tempora mollitia neque dolorem quibusdam! Vitae libero nisi voluptatum rerum saepe nulla harum minima nam nesciunt! Ipsa veniam, cumque ratione reprehenderit totam quia et fugiat.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Assumenda incidunt, accusamus saepe. Consectetur molestias nulla hic adipisci eaque provident optio, odit magni ut sit quod ea suscipit, saepe eos dolor exercitationem neque quasi?</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Unde eum consequatur ea illum blanditiis impedit iste perferendis sapiente sed, quaerat inventore, ab.</p>\r\n<p>Necessitatibus, incidunt dolores neque distinctio amet ducimus, magni dolorem quam. Sunt quia inventore rerum neque reprehenderit sequi tenetur possimus molestias quam molestiae?</p>\r\n<p>Reiciendis officiis obcaecati, odit repellendus debitis eligendi vitae consequatur provident vel aliquid nemo ratione. Fugiat cumque et, adipisci, facilis similique unde perspiciatis.</p>\r\n<p>Quibusdam, in dolorum! Sequi quasi recusandae deleniti accusantium consequatur dolor quam aliquam, aliquid ipsum perferendis similique aut id minus nihil ex libero!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sint tempore suscipit labore veritatis, cumque delectus fugiat debitis in voluptate recusandae provident ipsum, ipsa aliquam, iusto numquam minus maxime quos culpa tempora mollitia neque dolorem quibusdam! Vitae libero nisi voluptatum rerum saepe nulla harum minima nam nesciunt! Ipsa veniam, cumque ratione reprehenderit totam quia et fugiat.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Assumenda incidunt, accusamus saepe. Consectetur molestias nulla hic adipisci eaque provident optio, odit magni ut sit quod ea suscipit, saepe eos dolor exercitationem neque quasi?</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Unde eum consequatur ea illum blanditiis impedit iste perferendis sapiente sed, quaerat inventore, ab.</p>\r\n<p>Necessitatibus, incidunt dolores neque distinctio amet ducimus, magni dolorem quam. Sunt quia inventore rerum neque reprehenderit sequi tenetur possimus molestias quam molestiae?</p>\r\n<p>Reiciendis officiis obcaecati, odit repellendus debitis eligendi vitae consequatur provident vel aliquid nemo ratione. Fugiat cumque et, adipisci, facilis similique unde perspiciatis.</p>\r\n<p>Quibusdam, in dolorum! Sequi quasi recusandae deleniti accusantium consequatur dolor quam aliquam, aliquid ipsum perferendis similique aut id minus nihil ex libero!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sint tempore suscipit labore veritatis, cumque delectus fugiat debitis in voluptate recusandae provident ipsum, ipsa aliquam, iusto numquam minus maxime quos culpa tempora mollitia neque dolorem quibusdam! Vitae libero nisi voluptatum rerum saepe nulla harum minima nam nesciunt! Ipsa veniam, cumque ratione reprehenderit totam quia et fugiat.</p>\r\n", "Deserunt, mollitia, dolorem.", "Quaerat quia ab repudiandae suscipit accusamus expedita reiciendis officiis dolor inventore deserunt?\r\n", "publish", "open", "open", "", "deserunt-mollitia-dolorem", "", "", "2018-07-29 22:14:08", "2018-07-29 22:14:08", "", "0", "http://localhost:8888/metonymic/?p=213", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("214", "1", "2018-07-28 18:45:12", "2018-07-28 18:45:12", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptate ipsa, facilis nostrum iusto autem, facere dolorem. Voluptatibus minima et, cum exercitationem a at distinctio, corporis ab expedita. Sunt libero sed dolores, saepe facilis!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ullam sed, culpa eum ipsa nam similique tempora fugit! Praesentium aut facilis obcaecati quo.</p>\r\n<p>Sunt quod cupiditate, quaerat dolore rem quae! Ducimus, autem, aliquam possimus consequuntur earum, rem dolor qui quis perspiciatis corrupti iusto, aliquid tenetur.</p>\r\n<p>Nihil eius ullam autem necessitatibus nesciunt eaque, iusto voluptatem ipsum voluptas doloremque, ex iure dicta aperiam! Molestiae magni eligendi, autem sequi. Odio!</p>\r\n<p>Aspernatur accusantium ipsam debitis in qui. Quia possimus, consequuntur optio, nam atque earum laudantium est dolore alias nesciunt reiciendis. Laudantium, natus, tempore?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Temporibus in nulla saepe officiis, culpa qui quibusdam quos aliquid itaque. Fugit corporis dolores delectus architecto necessitatibus est, iure, quas sed animi dolorem tempora, quisquam voluptatum obcaecati non doloremque. Omnis aspernatur, sed dolorem iste sunt facilis laborum qui soluta deleniti minus voluptatum ea, voluptates cum. Eveniet, perferendis!</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptate ipsa, facilis nostrum iusto autem, facere dolorem. Voluptatibus minima et, cum exercitationem a at distinctio, corporis ab expedita. Sunt libero sed dolores, saepe facilis!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ullam sed, culpa eum ipsa nam similique tempora fugit! Praesentium aut facilis obcaecati quo.</p>\r\n<p>Sunt quod cupiditate, quaerat dolore rem quae! Ducimus, autem, aliquam possimus consequuntur earum, rem dolor qui quis perspiciatis corrupti iusto, aliquid tenetur.</p>\r\n<p>Nihil eius ullam autem necessitatibus nesciunt eaque, iusto voluptatem ipsum voluptas doloremque, ex iure dicta aperiam! Molestiae magni eligendi, autem sequi. Odio!</p>\r\n<p>Aspernatur accusantium ipsam debitis in qui. Quia possimus, consequuntur optio, nam atque earum laudantium est dolore alias nesciunt reiciendis. Laudantium, natus, tempore?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Temporibus in nulla saepe officiis, culpa qui quibusdam quos aliquid itaque. Fugit corporis dolores delectus architecto necessitatibus est, iure, quas sed animi dolorem tempora, quisquam voluptatum obcaecati non doloremque. Omnis aspernatur, sed dolorem iste sunt facilis laborum qui soluta deleniti minus voluptatum ea, voluptates cum. Eveniet, perferendis!</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptate ipsa, facilis nostrum iusto autem, facere dolorem. Voluptatibus minima et, cum exercitationem a at distinctio, corporis ab expedita. Sunt libero sed dolores, saepe facilis!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ullam sed, culpa eum ipsa nam similique tempora fugit! Praesentium aut facilis obcaecati quo.</p>\r\n<p>Sunt quod cupiditate, quaerat dolore rem quae! Ducimus, autem, aliquam possimus consequuntur earum, rem dolor qui quis perspiciatis corrupti iusto, aliquid tenetur.</p>\r\n<p>Nihil eius ullam autem necessitatibus nesciunt eaque, iusto voluptatem ipsum voluptas doloremque, ex iure dicta aperiam! Molestiae magni eligendi, autem sequi. Odio!</p>\r\n<p>Aspernatur accusantium ipsam debitis in qui. Quia possimus, consequuntur optio, nam atque earum laudantium est dolore alias nesciunt reiciendis. Laudantium, natus, tempore?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Temporibus in nulla saepe officiis, culpa qui quibusdam quos aliquid itaque. Fugit corporis dolores delectus architecto necessitatibus est, iure, quas sed animi dolorem tempora, quisquam voluptatum obcaecati non doloremque. Omnis aspernatur, sed dolorem iste sunt facilis laborum qui soluta deleniti minus voluptatum ea, voluptates cum. Eveniet, perferendis!</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptate ipsa, facilis nostrum iusto autem, facere dolorem. Voluptatibus minima et, cum exercitationem a at distinctio, corporis ab expedita. Sunt libero sed dolores, saepe facilis!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ullam sed, culpa eum ipsa nam similique tempora fugit! Praesentium aut facilis obcaecati quo.</p>\r\n<p>Sunt quod cupiditate, quaerat dolore rem quae! Ducimus, autem, aliquam possimus consequuntur earum, rem dolor qui quis perspiciatis corrupti iusto, aliquid tenetur.</p>\r\n<p>Nihil eius ullam autem necessitatibus nesciunt eaque, iusto voluptatem ipsum voluptas doloremque, ex iure dicta aperiam! Molestiae magni eligendi, autem sequi. Odio!</p>\r\n<p>Aspernatur accusantium ipsam debitis in qui. Quia possimus, consequuntur optio, nam atque earum laudantium est dolore alias nesciunt reiciendis. Laudantium, natus, tempore?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Temporibus in nulla saepe officiis, culpa qui quibusdam quos aliquid itaque. Fugit corporis dolores delectus architecto necessitatibus est, iure, quas sed animi dolorem tempora, quisquam voluptatum obcaecati non doloremque. Omnis aspernatur, sed dolorem iste sunt facilis laborum qui soluta deleniti minus voluptatum ea, voluptates cum. Eveniet, perferendis!</p>", "Culpa ducimus, natus.", "Non totam recusandae maxime illum ab odio dicta ipsa reiciendis alias corporis.\r\n", "publish", "open", "open", "", "culpa-ducimus-natus", "", "", "2018-07-29 22:39:42", "2018-07-29 22:39:42", "", "0", "http://localhost:8888/metonymic/?p=214", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("215", "1", "2018-07-28 18:45:12", "2018-07-28 18:45:12", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Placeat ratione quibusdam omnis explicabo amet inventore optio iusto veritatis mollitia perferendis quisquam ea deleniti earum ipsum nobis beatae quis quidem quod, excepturi, quasi accusantium.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Iste omnis, alias laudantium veniam atque modi, id suscipit rem consequatur voluptatum sunt nulla?</p>\r\n<p>Odit, veritatis, voluptate. Magnam enim placeat dolore amet culpa, perferendis iusto tenetur impedit! Cupiditate vel odit culpa, harum illo repellat nobis temporibus!</p>\r\n<p>Earum corporis, a beatae porro dicta fuga velit accusamus atque cupiditate nulla laudantium necessitatibus quaerat commodi! Atque itaque unde earum quae repellat!</p>\r\n<p>Deleniti, quasi, et voluptatibus, modi, voluptatum praesentium iste dolore aperiam molestiae temporibus necessitatibus! Sint soluta ex accusantium ducimus quis, fugit esse sed!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Incidunt quod eius ipsam officia debitis omnis, repellat, et sed distinctio voluptatem expedita, quisquam quae, sapiente vel illo ullam iure praesentium sequi culpa velit quo fugiat blanditiis quaerat! Quo vel similique sint quae perferendis nesciunt, magnam, eveniet rem suscipit nobis excepturi necessitatibus quis sapiente voluptates. Reprehenderit, repellendus.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Placeat ratione quibusdam omnis explicabo amet inventore optio iusto veritatis mollitia perferendis quisquam ea deleniti earum ipsum nobis beatae quis quidem quod, excepturi, quasi accusantium.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Iste omnis, alias laudantium veniam atque modi, id suscipit rem consequatur voluptatum sunt nulla?</p>\r\n<p>Odit, veritatis, voluptate. Magnam enim placeat dolore amet culpa, perferendis iusto tenetur impedit! Cupiditate vel odit culpa, harum illo repellat nobis temporibus!</p>\r\n<p>Earum corporis, a beatae porro dicta fuga velit accusamus atque cupiditate nulla laudantium necessitatibus quaerat commodi! Atque itaque unde earum quae repellat!</p>\r\n<p>Deleniti, quasi, et voluptatibus, modi, voluptatum praesentium iste dolore aperiam molestiae temporibus necessitatibus! Sint soluta ex accusantium ducimus quis, fugit esse sed!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Incidunt quod eius ipsam officia debitis omnis, repellat, et sed distinctio voluptatem expedita, quisquam quae, sapiente vel illo ullam iure praesentium sequi culpa velit quo fugiat blanditiis quaerat! Quo vel similique sint quae perferendis nesciunt, magnam, eveniet rem suscipit nobis excepturi necessitatibus quis sapiente voluptates. Reprehenderit, repellendus.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Placeat ratione quibusdam omnis explicabo amet inventore optio iusto veritatis mollitia perferendis quisquam ea deleniti earum ipsum nobis beatae quis quidem quod, excepturi, quasi accusantium.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Iste omnis, alias laudantium veniam atque modi, id suscipit rem consequatur voluptatum sunt nulla?</p>\r\n<p>Odit, veritatis, voluptate. Magnam enim placeat dolore amet culpa, perferendis iusto tenetur impedit! Cupiditate vel odit culpa, harum illo repellat nobis temporibus!</p>\r\n<p>Earum corporis, a beatae porro dicta fuga velit accusamus atque cupiditate nulla laudantium necessitatibus quaerat commodi! Atque itaque unde earum quae repellat!</p>\r\n<p>Deleniti, quasi, et voluptatibus, modi, voluptatum praesentium iste dolore aperiam molestiae temporibus necessitatibus! Sint soluta ex accusantium ducimus quis, fugit esse sed!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Incidunt quod eius ipsam officia debitis omnis, repellat, et sed distinctio voluptatem expedita, quisquam quae, sapiente vel illo ullam iure praesentium sequi culpa velit quo fugiat blanditiis quaerat! Quo vel similique sint quae perferendis nesciunt, magnam, eveniet rem suscipit nobis excepturi necessitatibus quis sapiente voluptates. Reprehenderit, repellendus.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Placeat ratione quibusdam omnis explicabo amet inventore optio iusto veritatis mollitia perferendis quisquam ea deleniti earum ipsum nobis beatae quis quidem quod, excepturi, quasi accusantium.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Iste omnis, alias laudantium veniam atque modi, id suscipit rem consequatur voluptatum sunt nulla?</p>\r\n<p>Odit, veritatis, voluptate. Magnam enim placeat dolore amet culpa, perferendis iusto tenetur impedit! Cupiditate vel odit culpa, harum illo repellat nobis temporibus!</p>\r\n<p>Earum corporis, a beatae porro dicta fuga velit accusamus atque cupiditate nulla laudantium necessitatibus quaerat commodi! Atque itaque unde earum quae repellat!</p>\r\n<p>Deleniti, quasi, et voluptatibus, modi, voluptatum praesentium iste dolore aperiam molestiae temporibus necessitatibus! Sint soluta ex accusantium ducimus quis, fugit esse sed!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Incidunt quod eius ipsam officia debitis omnis, repellat, et sed distinctio voluptatem expedita, quisquam quae, sapiente vel illo ullam iure praesentium sequi culpa velit quo fugiat blanditiis quaerat! Quo vel similique sint quae perferendis nesciunt, magnam, eveniet rem suscipit nobis excepturi necessitatibus quis sapiente voluptates. Reprehenderit, repellendus.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Placeat ratione quibusdam omnis explicabo amet inventore optio iusto veritatis mollitia perferendis quisquam ea deleniti earum ipsum nobis beatae quis quidem quod, excepturi, quasi accusantium.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Iste omnis, alias laudantium veniam atque modi, id suscipit rem consequatur voluptatum sunt nulla?</p>\r\n<p>Odit, veritatis, voluptate. Magnam enim placeat dolore amet culpa, perferendis iusto tenetur impedit! Cupiditate vel odit culpa, harum illo repellat nobis temporibus!</p>\r\n<p>Earum corporis, a beatae porro dicta fuga velit accusamus atque cupiditate nulla laudantium necessitatibus quaerat commodi! Atque itaque unde earum quae repellat!</p>\r\n<p>Deleniti, quasi, et voluptatibus, modi, voluptatum praesentium iste dolore aperiam molestiae temporibus necessitatibus! Sint soluta ex accusantium ducimus quis, fugit esse sed!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Incidunt quod eius ipsam officia debitis omnis, repellat, et sed distinctio voluptatem expedita, quisquam quae, sapiente vel illo ullam iure praesentium sequi culpa velit quo fugiat blanditiis quaerat! Quo vel similique sint quae perferendis nesciunt, magnam, eveniet rem suscipit nobis excepturi necessitatibus quis sapiente voluptates. Reprehenderit, repellendus.</p>\r\n", "Aspernatur ipsa, esse!", "Voluptas laboriosam, consequuntur. Odit sed voluptatem explicabo placeat quod harum minima, fugit.\r\n", "publish", "open", "open", "", "aspernatur-ipsa-esse-2", "", "", "2018-07-29 22:14:17", "2018-07-29 22:14:17", "", "0", "http://localhost:8888/metonymic/?p=215", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("216", "1", "2018-07-28 18:45:12", "2018-07-28 18:45:12", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Qui magnam expedita ea assumenda nobis id quod odio accusamus dicta numquam, voluptate amet quaerat voluptas velit laudantium maxime vel ducimus aperiam perspiciatis soluta doloremque.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Veritatis quas beatae, officia nisi inventore deleniti natus earum quia. Dolores illum quas dolorem.</p>\r\n<p>Placeat fugit, laudantium inventore blanditiis eos debitis aperiam! Nisi blanditiis repudiandae autem. Dicta aspernatur obcaecati, dolorum ullam! Pariatur recusandae, ducimus hic harum.</p>\r\n<p>Hic sapiente sunt quam, consectetur delectus tempore iste saepe similique obcaecati, numquam illum vel impedit dolor eius, quod maiores architecto incidunt voluptate.</p>\r\n<p>Accusamus aperiam quaerat sequi, libero cum nesciunt distinctio vel eveniet deserunt dicta possimus blanditiis, perspiciatis atque officiis adipisci ad tenetur vero consequatur.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Minima quaerat alias harum, explicabo cupiditate non aperiam in aliquam. Quae quidem, iusto qui natus assumenda dolores, architecto magnam laudantium minima! Tempora voluptates qui placeat quo, amet, fugiat quis porro molestiae ipsa esse in pariatur, nesciunt maiores! Nemo voluptas voluptatem alias quidem voluptates aut pariatur! Eum, incidunt.</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Qui magnam expedita ea assumenda nobis id quod odio accusamus dicta numquam, voluptate amet quaerat voluptas velit laudantium maxime vel ducimus aperiam perspiciatis soluta doloremque.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Veritatis quas beatae, officia nisi inventore deleniti natus earum quia. Dolores illum quas dolorem.</p>\r\n<p>Placeat fugit, laudantium inventore blanditiis eos debitis aperiam! Nisi blanditiis repudiandae autem. Dicta aspernatur obcaecati, dolorum ullam! Pariatur recusandae, ducimus hic harum.</p>\r\n<p>Hic sapiente sunt quam, consectetur delectus tempore iste saepe similique obcaecati, numquam illum vel impedit dolor eius, quod maiores architecto incidunt voluptate.</p>\r\n<p>Accusamus aperiam quaerat sequi, libero cum nesciunt distinctio vel eveniet deserunt dicta possimus blanditiis, perspiciatis atque officiis adipisci ad tenetur vero consequatur.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Minima quaerat alias harum, explicabo cupiditate non aperiam in aliquam. Quae quidem, iusto qui natus assumenda dolores, architecto magnam laudantium minima! Tempora voluptates qui placeat quo, amet, fugiat quis porro molestiae ipsa esse in pariatur, nesciunt maiores! Nemo voluptas voluptatem alias quidem voluptates aut pariatur! Eum, incidunt.</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Qui magnam expedita ea assumenda nobis id quod odio accusamus dicta numquam, voluptate amet quaerat voluptas velit laudantium maxime vel ducimus aperiam perspiciatis soluta doloremque.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Veritatis quas beatae, officia nisi inventore deleniti natus earum quia. Dolores illum quas dolorem.</p>\r\n<p>Placeat fugit, laudantium inventore blanditiis eos debitis aperiam! Nisi blanditiis repudiandae autem. Dicta aspernatur obcaecati, dolorum ullam! Pariatur recusandae, ducimus hic harum.</p>\r\n<p>Hic sapiente sunt quam, consectetur delectus tempore iste saepe similique obcaecati, numquam illum vel impedit dolor eius, quod maiores architecto incidunt voluptate.</p>\r\n<p>Accusamus aperiam quaerat sequi, libero cum nesciunt distinctio vel eveniet deserunt dicta possimus blanditiis, perspiciatis atque officiis adipisci ad tenetur vero consequatur.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Minima quaerat alias harum, explicabo cupiditate non aperiam in aliquam. Quae quidem, iusto qui natus assumenda dolores, architecto magnam laudantium minima! Tempora voluptates qui placeat quo, amet, fugiat quis porro molestiae ipsa esse in pariatur, nesciunt maiores! Nemo voluptas voluptatem alias quidem voluptates aut pariatur! Eum, incidunt.</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Qui magnam expedita ea assumenda nobis id quod odio accusamus dicta numquam, voluptate amet quaerat voluptas velit laudantium maxime vel ducimus aperiam perspiciatis soluta doloremque.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Veritatis quas beatae, officia nisi inventore deleniti natus earum quia. Dolores illum quas dolorem.</p>\r\n<p>Placeat fugit, laudantium inventore blanditiis eos debitis aperiam! Nisi blanditiis repudiandae autem. Dicta aspernatur obcaecati, dolorum ullam! Pariatur recusandae, ducimus hic harum.</p>\r\n<p>Hic sapiente sunt quam, consectetur delectus tempore iste saepe similique obcaecati, numquam illum vel impedit dolor eius, quod maiores architecto incidunt voluptate.</p>\r\n<p>Accusamus aperiam quaerat sequi, libero cum nesciunt distinctio vel eveniet deserunt dicta possimus blanditiis, perspiciatis atque officiis adipisci ad tenetur vero consequatur.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Minima quaerat alias harum, explicabo cupiditate non aperiam in aliquam. Quae quidem, iusto qui natus assumenda dolores, architecto magnam laudantium minima! Tempora voluptates qui placeat quo, amet, fugiat quis porro molestiae ipsa esse in pariatur, nesciunt maiores! Nemo voluptas voluptatem alias quidem voluptates aut pariatur! Eum, incidunt.</p>", "Cumque, provident, sint.", "Dolorem earum itaque repellendus maiores aperiam eaque deleniti nostrum adipisci nihil ut.\r\n", "publish", "open", "open", "", "cumque-provident-sint", "", "", "2018-07-29 22:40:15", "2018-07-29 22:40:15", "", "0", "http://localhost:8888/metonymic/?p=216", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("217", "1", "2018-07-28 18:45:13", "2018-07-28 18:45:13", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Tempora aut, eligendi aliquam et laudantium, numquam eum nemo. Tenetur alias eveniet totam velit accusantium! Ab unde odio ad ratione doloremque saepe hic veritatis odit.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Fugit alias, similique perferendis iure illo quis necessitatibus, omnis voluptatum, commodi incidunt molestiae inventore.</p>\r\n<p>Illo sint, ratione dolorum hic quidem sit suscipit quam quos maiores. Commodi debitis sapiente aliquid, fugiat aperiam at amet! Veniam, nesciunt, nulla.</p>\r\n<p>Non, mollitia minima quas voluptatibus voluptas earum ullam blanditiis modi quis placeat ipsa. Reprehenderit perferendis ratione, eum nisi corporis asperiores iusto ducimus.</p>\r\n<p>Laborum, suscipit, id. Repudiandae doloribus rem assumenda, ratione quo totam numquam a impedit quaerat suscipit corporis magni quae, natus qui dolor? Nesciunt!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ad illum dolores eligendi culpa hic cupiditate dolore quam eius, quae eum esse, cumque impedit. Enim, in. Consequuntur ratione tenetur saepe dolore iure quaerat ducimus voluptatem delectus repellendus provident natus velit, necessitatibus mollitia illum commodi rem illo expedita non, laudantium pariatur, modi consectetur. Quibusdam quae doloribus, enim.</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Tempora aut, eligendi aliquam et laudantium, numquam eum nemo. Tenetur alias eveniet totam velit accusantium! Ab unde odio ad ratione doloremque saepe hic veritatis odit.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Fugit alias, similique perferendis iure illo quis necessitatibus, omnis voluptatum, commodi incidunt molestiae inventore.</p>\r\n<p>Illo sint, ratione dolorum hic quidem sit suscipit quam quos maiores. Commodi debitis sapiente aliquid, fugiat aperiam at amet! Veniam, nesciunt, nulla.</p>\r\n<p>Non, mollitia minima quas voluptatibus voluptas earum ullam blanditiis modi quis placeat ipsa. Reprehenderit perferendis ratione, eum nisi corporis asperiores iusto ducimus.</p>\r\n<p>Laborum, suscipit, id. Repudiandae doloribus rem assumenda, ratione quo totam numquam a impedit quaerat suscipit corporis magni quae, natus qui dolor? Nesciunt!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ad illum dolores eligendi culpa hic cupiditate dolore quam eius, quae eum esse, cumque impedit. Enim, in. Consequuntur ratione tenetur saepe dolore iure quaerat ducimus voluptatem delectus repellendus provident natus velit, necessitatibus mollitia illum commodi rem illo expedita non, laudantium pariatur, modi consectetur. Quibusdam quae doloribus, enim.</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Tempora aut, eligendi aliquam et laudantium, numquam eum nemo. Tenetur alias eveniet totam velit accusantium! Ab unde odio ad ratione doloremque saepe hic veritatis odit.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Fugit alias, similique perferendis iure illo quis necessitatibus, omnis voluptatum, commodi incidunt molestiae inventore.</p>\r\n<p>Illo sint, ratione dolorum hic quidem sit suscipit quam quos maiores. Commodi debitis sapiente aliquid, fugiat aperiam at amet! Veniam, nesciunt, nulla.</p>\r\n<p>Non, mollitia minima quas voluptatibus voluptas earum ullam blanditiis modi quis placeat ipsa. Reprehenderit perferendis ratione, eum nisi corporis asperiores iusto ducimus.</p>\r\n<p>Laborum, suscipit, id. Repudiandae doloribus rem assumenda, ratione quo totam numquam a impedit quaerat suscipit corporis magni quae, natus qui dolor? Nesciunt!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ad illum dolores eligendi culpa hic cupiditate dolore quam eius, quae eum esse, cumque impedit. Enim, in. Consequuntur ratione tenetur saepe dolore iure quaerat ducimus voluptatem delectus repellendus provident natus velit, necessitatibus mollitia illum commodi rem illo expedita non, laudantium pariatur, modi consectetur. Quibusdam quae doloribus, enim.</p>", "Nulla, debitis repudiandae.", "Ab at sint alias minus illo, libero omnis excepturi asperiores consectetur vitae.\r\n", "publish", "open", "open", "", "nulla-debitis-repudiandae", "", "", "2018-07-29 15:56:25", "2018-07-29 15:56:25", "", "0", "http://localhost:8888/metonymic/?p=217", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("218", "1", "2019-01-02 18:45:13", "2019-01-02 18:45:13", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Dolorum omnis fuga quidem beatae eum quasi incidunt corporis nisi architecto aperiam illo soluta, non autem, sint vitae minus culpa voluptatum praesentium ullam cum doloremque.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quidem explicabo corporis at totam, quod sit iusto voluptatem aliquam, tenetur natus delectus eos.</p>\r\n<p>Reprehenderit, nesciunt quia, expedita, molestiae est architecto sed qui perferendis enim iure consectetur fuga facilis laboriosam? Esse modi inventore animi consequatur, iste.</p>\r\n<p>Consectetur soluta, voluptatem! Nemo odit nihil unde quaerat consectetur cupiditate sapiente, porro dolore pariatur explicabo voluptatum reprehenderit, aperiam soluta culpa veritatis quam.</p>\r\n<p>Minima illum itaque perferendis fugit dicta ad voluptatem a eaque optio obcaecati quos reprehenderit, quidem, eius provident enim, asperiores, praesentium dolor quisquam!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ipsa consequuntur recusandae aspernatur necessitatibus dignissimos neque pariatur tempore iusto, accusantium tempora quis obcaecati saepe nesciunt nam est a quo sunt fuga deleniti voluptates voluptas inventore. Officiis saepe dolorem enim veniam optio quae corporis, vel, nulla. Suscipit ipsa ratione explicabo magnam recusandae cum doloribus quidem neque necessitatibus.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Dolorum omnis fuga quidem beatae eum quasi incidunt corporis nisi architecto aperiam illo soluta, non autem, sint vitae minus culpa voluptatum praesentium ullam cum doloremque.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quidem explicabo corporis at totam, quod sit iusto voluptatem aliquam, tenetur natus delectus eos.</p>\r\n<p>Reprehenderit, nesciunt quia, expedita, molestiae est architecto sed qui perferendis enim iure consectetur fuga facilis laboriosam? Esse modi inventore animi consequatur, iste.</p>\r\n<p>Consectetur soluta, voluptatem! Nemo odit nihil unde quaerat consectetur cupiditate sapiente, porro dolore pariatur explicabo voluptatum reprehenderit, aperiam soluta culpa veritatis quam.</p>\r\n<p>Minima illum itaque perferendis fugit dicta ad voluptatem a eaque optio obcaecati quos reprehenderit, quidem, eius provident enim, asperiores, praesentium dolor quisquam!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ipsa consequuntur recusandae aspernatur necessitatibus dignissimos neque pariatur tempore iusto, accusantium tempora quis obcaecati saepe nesciunt nam est a quo sunt fuga deleniti voluptates voluptas inventore. Officiis saepe dolorem enim veniam optio quae corporis, vel, nulla. Suscipit ipsa ratione explicabo magnam recusandae cum doloribus quidem neque necessitatibus.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Dolorum omnis fuga quidem beatae eum quasi incidunt corporis nisi architecto aperiam illo soluta, non autem, sint vitae minus culpa voluptatum praesentium ullam cum doloremque.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quidem explicabo corporis at totam, quod sit iusto voluptatem aliquam, tenetur natus delectus eos.</p>\r\n<p>Reprehenderit, nesciunt quia, expedita, molestiae est architecto sed qui perferendis enim iure consectetur fuga facilis laboriosam? Esse modi inventore animi consequatur, iste.</p>\r\n<p>Consectetur soluta, voluptatem! Nemo odit nihil unde quaerat consectetur cupiditate sapiente, porro dolore pariatur explicabo voluptatum reprehenderit, aperiam soluta culpa veritatis quam.</p>\r\n<p>Minima illum itaque perferendis fugit dicta ad voluptatem a eaque optio obcaecati quos reprehenderit, quidem, eius provident enim, asperiores, praesentium dolor quisquam!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ipsa consequuntur recusandae aspernatur necessitatibus dignissimos neque pariatur tempore iusto, accusantium tempora quis obcaecati saepe nesciunt nam est a quo sunt fuga deleniti voluptates voluptas inventore. Officiis saepe dolorem enim veniam optio quae corporis, vel, nulla. Suscipit ipsa ratione explicabo magnam recusandae cum doloribus quidem neque necessitatibus.</p>\r\n", "Qui, deleniti alias.", "Tenetur eum cum nobis, error minima, odio at ipsum deserunt illum sunt.\r\n", "publish", "open", "open", "", "qui-deleniti-alias", "", "", "2019-02-03 00:42:52", "2019-02-03 00:42:52", "", "0", "http://localhost:8888/metonymic/?p=218", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("219", "1", "2018-07-28 18:45:13", "2018-07-28 18:45:13", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatibus ducimus similique illum, aspernatur magni. Officia alias fugit sunt quis atque ratione temporibus maiores suscipit harum iusto et rem soluta odio, molestiae autem eligendi.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Iure minus dolores consectetur enim commodi ipsam ut minima. Perferendis eaque labore explicabo recusandae?</p>\r\n<p>Autem assumenda eveniet, a aspernatur voluptates dolore, omnis illum voluptas dicta perspiciatis ex doloribus. Itaque harum neque earum dolorem, error ipsam ab.</p>\r\n<p>Ipsam et distinctio tempora maiores consequatur, ducimus explicabo voluptas, dolorum iste eum consectetur ea provident id quia nesciunt voluptates voluptatum. Quibusdam, harum.</p>\r\n<p>Pariatur illo aperiam quisquam voluptas dicta aspernatur magni laborum, quibusdam impedit quos non distinctio earum ipsa sapiente minima nihil, eius aliquam dolor.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Doloribus consequatur, ea officiis ab aliquid quia commodi non? Non molestias, a accusantium perferendis necessitatibus repellat libero nemo, doloribus quaerat iusto, laudantium? Laudantium in, aliquam deserunt hic esse sint amet animi, necessitatibus labore officiis temporibus nihil excepturi ex totam, dolore placeat illo error ea quod nesciunt dolores!</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatibus ducimus similique illum, aspernatur magni. Officia alias fugit sunt quis atque ratione temporibus maiores suscipit harum iusto et rem soluta odio, molestiae autem eligendi.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Iure minus dolores consectetur enim commodi ipsam ut minima. Perferendis eaque labore explicabo recusandae?</p>\r\n<p>Autem assumenda eveniet, a aspernatur voluptates dolore, omnis illum voluptas dicta perspiciatis ex doloribus. Itaque harum neque earum dolorem, error ipsam ab.</p>\r\n<p>Ipsam et distinctio tempora maiores consequatur, ducimus explicabo voluptas, dolorum iste eum consectetur ea provident id quia nesciunt voluptates voluptatum. Quibusdam, harum.</p>\r\n<p>Pariatur illo aperiam quisquam voluptas dicta aspernatur magni laborum, quibusdam impedit quos non distinctio earum ipsa sapiente minima nihil, eius aliquam dolor.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Doloribus consequatur, ea officiis ab aliquid quia commodi non? Non molestias, a accusantium perferendis necessitatibus repellat libero nemo, doloribus quaerat iusto, laudantium? Laudantium in, aliquam deserunt hic esse sint amet animi, necessitatibus labore officiis temporibus nihil excepturi ex totam, dolore placeat illo error ea quod nesciunt dolores!</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatibus ducimus similique illum, aspernatur magni. Officia alias fugit sunt quis atque ratione temporibus maiores suscipit harum iusto et rem soluta odio, molestiae autem eligendi.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Iure minus dolores consectetur enim commodi ipsam ut minima. Perferendis eaque labore explicabo recusandae?</p>\r\n<p>Autem assumenda eveniet, a aspernatur voluptates dolore, omnis illum voluptas dicta perspiciatis ex doloribus. Itaque harum neque earum dolorem, error ipsam ab.</p>\r\n<p>Ipsam et distinctio tempora maiores consequatur, ducimus explicabo voluptas, dolorum iste eum consectetur ea provident id quia nesciunt voluptates voluptatum. Quibusdam, harum.</p>\r\n<p>Pariatur illo aperiam quisquam voluptas dicta aspernatur magni laborum, quibusdam impedit quos non distinctio earum ipsa sapiente minima nihil, eius aliquam dolor.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Doloribus consequatur, ea officiis ab aliquid quia commodi non? Non molestias, a accusantium perferendis necessitatibus repellat libero nemo, doloribus quaerat iusto, laudantium? Laudantium in, aliquam deserunt hic esse sint amet animi, necessitatibus labore officiis temporibus nihil excepturi ex totam, dolore placeat illo error ea quod nesciunt dolores!</p>", "Perferendis, quasi, quaerat!", "Odit voluptatem quis aut nemo qui ullam, aperiam reprehenderit molestias sint ea.\r\n", "publish", "open", "open", "", "perferendis-quasi-quaerat", "", "", "2018-07-29 15:56:33", "2018-07-29 15:56:33", "", "0", "http://localhost:8888/metonymic/?p=219", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("220", "1", "2018-01-28 18:45:13", "2018-01-28 18:45:13", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Natus, vero repellendus eos. Sed velit aliquid corporis numquam quis officiis maxime consequuntur doloremque amet accusamus nesciunt, praesentium quidem at assumenda quisquam omnis voluptas veritatis?</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eaque quae itaque accusantium nam facilis ad vero, maiores officiis ab, cupiditate, recusandae molestias.</p>\r\n<p>Pariatur consequatur, ipsum quos veritatis in laborum eveniet praesentium dolorum necessitatibus architecto, consectetur amet, officiis consequuntur doloribus earum odio quo recusandae voluptates!</p>\r\n<p>Similique incidunt error voluptatum repellendus fuga sunt, dicta dolore necessitatibus nesciunt reprehenderit adipisci. Sed aperiam a nostrum odit debitis sint, ducimus dolor!</p>\r\n<p>Earum quos, ipsam consectetur nostrum tempora incidunt debitis temporibus itaque assumenda architecto dignissimos perferendis possimus ipsa commodi rerum vero nam ab voluptatem?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Vel quia repellat adipisci quidem aspernatur in. Iusto expedita ratione esse minima nostrum! Minus deleniti rerum impedit hic ullam doloremque a necessitatibus id aliquid blanditiis. At eveniet aspernatur cum veniam. Sequi perspiciatis corporis, laborum nulla nisi odit? Suscipit cupiditate expedita incidunt dolores quis sed minus delectus nulla.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Natus, vero repellendus eos. Sed velit aliquid corporis numquam quis officiis maxime consequuntur doloremque amet accusamus nesciunt, praesentium quidem at assumenda quisquam omnis voluptas veritatis?</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eaque quae itaque accusantium nam facilis ad vero, maiores officiis ab, cupiditate, recusandae molestias.</p>\r\n<p>Pariatur consequatur, ipsum quos veritatis in laborum eveniet praesentium dolorum necessitatibus architecto, consectetur amet, officiis consequuntur doloribus earum odio quo recusandae voluptates!</p>\r\n<p>Similique incidunt error voluptatum repellendus fuga sunt, dicta dolore necessitatibus nesciunt reprehenderit adipisci. Sed aperiam a nostrum odit debitis sint, ducimus dolor!</p>\r\n<p>Earum quos, ipsam consectetur nostrum tempora incidunt debitis temporibus itaque assumenda architecto dignissimos perferendis possimus ipsa commodi rerum vero nam ab voluptatem?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Vel quia repellat adipisci quidem aspernatur in. Iusto expedita ratione esse minima nostrum! Minus deleniti rerum impedit hic ullam doloremque a necessitatibus id aliquid blanditiis. At eveniet aspernatur cum veniam. Sequi perspiciatis corporis, laborum nulla nisi odit? Suscipit cupiditate expedita incidunt dolores quis sed minus delectus nulla.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Natus, vero repellendus eos. Sed velit aliquid corporis numquam quis officiis maxime consequuntur doloremque amet accusamus nesciunt, praesentium quidem at assumenda quisquam omnis voluptas veritatis?</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eaque quae itaque accusantium nam facilis ad vero, maiores officiis ab, cupiditate, recusandae molestias.</p>\r\n<p>Pariatur consequatur, ipsum quos veritatis in laborum eveniet praesentium dolorum necessitatibus architecto, consectetur amet, officiis consequuntur doloribus earum odio quo recusandae voluptates!</p>\r\n<p>Similique incidunt error voluptatum repellendus fuga sunt, dicta dolore necessitatibus nesciunt reprehenderit adipisci. Sed aperiam a nostrum odit debitis sint, ducimus dolor!</p>\r\n<p>Earum quos, ipsam consectetur nostrum tempora incidunt debitis temporibus itaque assumenda architecto dignissimos perferendis possimus ipsa commodi rerum vero nam ab voluptatem?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Vel quia repellat adipisci quidem aspernatur in. Iusto expedita ratione esse minima nostrum! Minus deleniti rerum impedit hic ullam doloremque a necessitatibus id aliquid blanditiis. At eveniet aspernatur cum veniam. Sequi perspiciatis corporis, laborum nulla nisi odit? Suscipit cupiditate expedita incidunt dolores quis sed minus delectus nulla.</p>\r\n", "Ipsa, ullam, quia.", "Beatae quisquam fuga neque natus impedit iste incidunt. Temporibus ratione perferendis repellendus.\r\n", "publish", "open", "open", "", "ipsa-ullam-quia", "", "", "2019-02-03 00:41:29", "2019-02-03 00:41:29", "", "0", "http://localhost:8888/metonymic/?p=220", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("221", "1", "2019-01-03 18:45:13", "2019-01-03 18:45:13", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Fugit labore voluptatem voluptatum nostrum in explicabo ab itaque perspiciatis ipsam sapiente, recusandae, voluptate unde. Reiciendis voluptatum quia ad nulla recusandae molestias atque sequi laudantium.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Minima, ipsam necessitatibus temporibus qui accusamus, quasi, totam repudiandae doloremque rerum quia delectus nam.</p>\r\n<p>Labore harum, maiores veniam cupiditate qui explicabo voluptatem earum id, dolor, voluptas saepe natus. Porro debitis ullam itaque, accusantium culpa soluta voluptatum.</p>\r\n<p>Assumenda similique labore, corrupti recusandae quisquam, accusantium provident voluptates incidunt, neque eum consequuntur. At minus, iste dolore repudiandae ipsum ea, cupiditate molestias.</p>\r\n<p>Vitae ad id accusamus quia aspernatur ab, iusto, repellendus beatae rem aperiam ipsam atque, laboriosam nesciunt ea sunt officiis in? Modi, velit.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sapiente adipisci, hic itaque dicta, facere tempore aut voluptatum magni. Quisquam tenetur, esse ducimus nesciunt praesentium accusantium porro laborum quas, minus ab placeat repellendus labore perspiciatis? Sapiente odio fugiat, id eum ipsam recusandae nobis nemo assumenda quam! Dolorem provident ipsa consequatur quibusdam illum possimus quis itaque ducimus.</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Fugit labore voluptatem voluptatum nostrum in explicabo ab itaque perspiciatis ipsam sapiente, recusandae, voluptate unde. Reiciendis voluptatum quia ad nulla recusandae molestias atque sequi laudantium.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Minima, ipsam necessitatibus temporibus qui accusamus, quasi, totam repudiandae doloremque rerum quia delectus nam.</p>\r\n<p>Labore harum, maiores veniam cupiditate qui explicabo voluptatem earum id, dolor, voluptas saepe natus. Porro debitis ullam itaque, accusantium culpa soluta voluptatum.</p>\r\n<p>Assumenda similique labore, corrupti recusandae quisquam, accusantium provident voluptates incidunt, neque eum consequuntur. At minus, iste dolore repudiandae ipsum ea, cupiditate molestias.</p>\r\n<p>Vitae ad id accusamus quia aspernatur ab, iusto, repellendus beatae rem aperiam ipsam atque, laboriosam nesciunt ea sunt officiis in? Modi, velit.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sapiente adipisci, hic itaque dicta, facere tempore aut voluptatum magni. Quisquam tenetur, esse ducimus nesciunt praesentium accusantium porro laborum quas, minus ab placeat repellendus labore perspiciatis? Sapiente odio fugiat, id eum ipsam recusandae nobis nemo assumenda quam! Dolorem provident ipsa consequatur quibusdam illum possimus quis itaque ducimus.</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Fugit labore voluptatem voluptatum nostrum in explicabo ab itaque perspiciatis ipsam sapiente, recusandae, voluptate unde. Reiciendis voluptatum quia ad nulla recusandae molestias atque sequi laudantium.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Minima, ipsam necessitatibus temporibus qui accusamus, quasi, totam repudiandae doloremque rerum quia delectus nam.</p>\r\n<p>Labore harum, maiores veniam cupiditate qui explicabo voluptatem earum id, dolor, voluptas saepe natus. Porro debitis ullam itaque, accusantium culpa soluta voluptatum.</p>\r\n<p>Assumenda similique labore, corrupti recusandae quisquam, accusantium provident voluptates incidunt, neque eum consequuntur. At minus, iste dolore repudiandae ipsum ea, cupiditate molestias.</p>\r\n<p>Vitae ad id accusamus quia aspernatur ab, iusto, repellendus beatae rem aperiam ipsam atque, laboriosam nesciunt ea sunt officiis in? Modi, velit.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sapiente adipisci, hic itaque dicta, facere tempore aut voluptatum magni. Quisquam tenetur, esse ducimus nesciunt praesentium accusantium porro laborum quas, minus ab placeat repellendus labore perspiciatis? Sapiente odio fugiat, id eum ipsam recusandae nobis nemo assumenda quam! Dolorem provident ipsa consequatur quibusdam illum possimus quis itaque ducimus.</p>", "Reiciendis, praesentium quia.", "Ea illum cumque, incidunt quisquam odit molestiae. Esse, quidem. Nihil, voluptates dolor.\r\n", "publish", "open", "open", "", "reiciendis-praesentium-quia", "", "", "2019-02-03 00:43:06", "2019-02-03 00:43:06", "", "0", "http://localhost:8888/metonymic/?p=221", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("222", "1", "2018-07-28 18:45:13", "2018-07-28 18:45:13", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Qui quia eveniet harum eos repudiandae at asperiores, fugit molestiae quasi veritatis excepturi totam, tempora, aliquam facere mollitia omnis, nisi cum unde sint accusantium temporibus.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quaerat fugit qui officiis reprehenderit voluptatum tempora, praesentium mollitia nobis, cumque accusantium dolore eveniet.</p>\r\n<p>Earum officiis veniam porro voluptatem neque eveniet quia provident fugit harum! Aut eaque nesciunt ea maxime labore tenetur ad sequi, nobis sint.</p>\r\n<p>Maxime et quia excepturi delectus, atque, molestias quae reprehenderit repudiandae quas sequi dolorem impedit, vel error magni reiciendis ullam eaque suscipit deleniti!</p>\r\n<p>Laudantium eveniet non saepe quibusdam labore quos, at corporis quas voluptatum quae sit nemo autem, expedita voluptates assumenda doloremque sed necessitatibus? Sed.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Harum tempora iste, ex unde quasi culpa cumque repudiandae dolore reprehenderit a quos temporibus animi pariatur consectetur at. Culpa ipsum similique rerum, doloremque numquam architecto, ad repellat quisquam ut aperiam tempore ullam fuga reiciendis at blanditiis maiores atque eaque voluptatibus quasi eligendi earum aliquam. Earum, magni maxime.</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Qui quia eveniet harum eos repudiandae at asperiores, fugit molestiae quasi veritatis excepturi totam, tempora, aliquam facere mollitia omnis, nisi cum unde sint accusantium temporibus.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quaerat fugit qui officiis reprehenderit voluptatum tempora, praesentium mollitia nobis, cumque accusantium dolore eveniet.</p>\r\n<p>Earum officiis veniam porro voluptatem neque eveniet quia provident fugit harum! Aut eaque nesciunt ea maxime labore tenetur ad sequi, nobis sint.</p>\r\n<p>Maxime et quia excepturi delectus, atque, molestias quae reprehenderit repudiandae quas sequi dolorem impedit, vel error magni reiciendis ullam eaque suscipit deleniti!</p>\r\n<p>Laudantium eveniet non saepe quibusdam labore quos, at corporis quas voluptatum quae sit nemo autem, expedita voluptates assumenda doloremque sed necessitatibus? Sed.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Harum tempora iste, ex unde quasi culpa cumque repudiandae dolore reprehenderit a quos temporibus animi pariatur consectetur at. Culpa ipsum similique rerum, doloremque numquam architecto, ad repellat quisquam ut aperiam tempore ullam fuga reiciendis at blanditiis maiores atque eaque voluptatibus quasi eligendi earum aliquam. Earum, magni maxime.</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Qui quia eveniet harum eos repudiandae at asperiores, fugit molestiae quasi veritatis excepturi totam, tempora, aliquam facere mollitia omnis, nisi cum unde sint accusantium temporibus.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quaerat fugit qui officiis reprehenderit voluptatum tempora, praesentium mollitia nobis, cumque accusantium dolore eveniet.</p>\r\n<p>Earum officiis veniam porro voluptatem neque eveniet quia provident fugit harum! Aut eaque nesciunt ea maxime labore tenetur ad sequi, nobis sint.</p>\r\n<p>Maxime et quia excepturi delectus, atque, molestias quae reprehenderit repudiandae quas sequi dolorem impedit, vel error magni reiciendis ullam eaque suscipit deleniti!</p>\r\n<p>Laudantium eveniet non saepe quibusdam labore quos, at corporis quas voluptatum quae sit nemo autem, expedita voluptates assumenda doloremque sed necessitatibus? Sed.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Harum tempora iste, ex unde quasi culpa cumque repudiandae dolore reprehenderit a quos temporibus animi pariatur consectetur at. Culpa ipsum similique rerum, doloremque numquam architecto, ad repellat quisquam ut aperiam tempore ullam fuga reiciendis at blanditiis maiores atque eaque voluptatibus quasi eligendi earum aliquam. Earum, magni maxime.</p>", "Voluptatibus, consequatur, quo.", "Tempora ab nulla obcaecati quos consequatur molestiae temporibus nihil, numquam ullam. Voluptates!\r\n", "publish", "open", "open", "", "voluptatibus-consequatur-quo", "", "", "2018-07-29 15:56:58", "2018-07-29 15:56:58", "", "0", "http://localhost:8888/metonymic/?p=222", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("223", "1", "2019-01-28 18:45:13", "2019-01-28 18:45:13", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. At voluptatibus iste molestias perferendis et nostrum recusandae, laboriosam, aut ipsum aspernatur doloremque consectetur. Eveniet id tenetur ipsum impedit alias neque, perferendis minima quos deleniti!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Veniam ullam sint, beatae tenetur aspernatur eaque, nam sapiente reprehenderit recusandae aliquid, voluptatum. A!</p>\r\n<p>Fuga quibusdam earum nemo obcaecati accusamus asperiores minus, mollitia aperiam, neque dolores saepe ratione facere hic totam libero et nesciunt rem pariatur.</p>\r\n<p>Aperiam animi distinctio ducimus, deserunt nostrum ipsum natus et nisi, cumque maxime hic repellendus at possimus inventore, maiores eius provident? Adipisci, cumque.</p>\r\n<p>Distinctio tempore architecto voluptate, laborum autem aperiam nesciunt impedit cupiditate dolorem natus placeat aut repellat harum non maiores unde ipsam in tenetur.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Distinctio, sint amet mollitia ratione sed nesciunt minima minus, hic voluptatum ab eos illum in molestiae sequi cupiditate, molestias reprehenderit deserunt ut cumque, exercitationem earum ea. Doloremque voluptatum numquam et, aut porro expedita magnam maxime officia sequi perspiciatis odio iure praesentium veniam mollitia ipsum dolores pariatur quod.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. At voluptatibus iste molestias perferendis et nostrum recusandae, laboriosam, aut ipsum aspernatur doloremque consectetur. Eveniet id tenetur ipsum impedit alias neque, perferendis minima quos deleniti!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Veniam ullam sint, beatae tenetur aspernatur eaque, nam sapiente reprehenderit recusandae aliquid, voluptatum. A!</p>\r\n<p>Fuga quibusdam earum nemo obcaecati accusamus asperiores minus, mollitia aperiam, neque dolores saepe ratione facere hic totam libero et nesciunt rem pariatur.</p>\r\n<p>Aperiam animi distinctio ducimus, deserunt nostrum ipsum natus et nisi, cumque maxime hic repellendus at possimus inventore, maiores eius provident? Adipisci, cumque.</p>\r\n<p>Distinctio tempore architecto voluptate, laborum autem aperiam nesciunt impedit cupiditate dolorem natus placeat aut repellat harum non maiores unde ipsam in tenetur.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Distinctio, sint amet mollitia ratione sed nesciunt minima minus, hic voluptatum ab eos illum in molestiae sequi cupiditate, molestias reprehenderit deserunt ut cumque, exercitationem earum ea. Doloremque voluptatum numquam et, aut porro expedita magnam maxime officia sequi perspiciatis odio iure praesentium veniam mollitia ipsum dolores pariatur quod.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. At voluptatibus iste molestias perferendis et nostrum recusandae, laboriosam, aut ipsum aspernatur doloremque consectetur. Eveniet id tenetur ipsum impedit alias neque, perferendis minima quos deleniti!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Veniam ullam sint, beatae tenetur aspernatur eaque, nam sapiente reprehenderit recusandae aliquid, voluptatum. A!</p>\r\n<p>Fuga quibusdam earum nemo obcaecati accusamus asperiores minus, mollitia aperiam, neque dolores saepe ratione facere hic totam libero et nesciunt rem pariatur.</p>\r\n<p>Aperiam animi distinctio ducimus, deserunt nostrum ipsum natus et nisi, cumque maxime hic repellendus at possimus inventore, maiores eius provident? Adipisci, cumque.</p>\r\n<p>Distinctio tempore architecto voluptate, laborum autem aperiam nesciunt impedit cupiditate dolorem natus placeat aut repellat harum non maiores unde ipsam in tenetur.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Distinctio, sint amet mollitia ratione sed nesciunt minima minus, hic voluptatum ab eos illum in molestiae sequi cupiditate, molestias reprehenderit deserunt ut cumque, exercitationem earum ea. Doloremque voluptatum numquam et, aut porro expedita magnam maxime officia sequi perspiciatis odio iure praesentium veniam mollitia ipsum dolores pariatur quod.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. At voluptatibus iste molestias perferendis et nostrum recusandae, laboriosam, aut ipsum aspernatur doloremque consectetur. Eveniet id tenetur ipsum impedit alias neque, perferendis minima quos deleniti!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Veniam ullam sint, beatae tenetur aspernatur eaque, nam sapiente reprehenderit recusandae aliquid, voluptatum. A!</p>\r\n<p>Fuga quibusdam earum nemo obcaecati accusamus asperiores minus, mollitia aperiam, neque dolores saepe ratione facere hic totam libero et nesciunt rem pariatur.</p>\r\n<p>Aperiam animi distinctio ducimus, deserunt nostrum ipsum natus et nisi, cumque maxime hic repellendus at possimus inventore, maiores eius provident? Adipisci, cumque.</p>\r\n<p>Distinctio tempore architecto voluptate, laborum autem aperiam nesciunt impedit cupiditate dolorem natus placeat aut repellat harum non maiores unde ipsam in tenetur.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Distinctio, sint amet mollitia ratione sed nesciunt minima minus, hic voluptatum ab eos illum in molestiae sequi cupiditate, molestias reprehenderit deserunt ut cumque, exercitationem earum ea. Doloremque voluptatum numquam et, aut porro expedita magnam maxime officia sequi perspiciatis odio iure praesentium veniam mollitia ipsum dolores pariatur quod.</p>\r\n", "Fugiat, dolorum, nihil.", "In maxime tempore quo sapiente nobis quae? Incidunt, minus iusto vero ratione!\r\n", "publish", "open", "open", "", "fugiat-dolorum-nihil", "", "", "2019-02-03 00:41:42", "2019-02-03 00:41:42", "", "0", "http://localhost:8888/metonymic/?p=223", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("224", "1", "2018-07-28 18:45:13", "2018-07-28 18:45:13", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Similique nisi architecto explicabo, quia, ab officiis nemo ad fuga aliquid, consequatur eveniet! Praesentium iste cumque dolore quos aspernatur deleniti itaque, porro quis, adipisci necessitatibus?</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Id aliquid illo, praesentium aspernatur impedit, illum ea voluptatum nobis iure adipisci obcaecati laboriosam.</p>\r\n<p>Tempora quidem quam neque autem est optio laboriosam dolores nesciunt enim rerum, suscipit mollitia facere deleniti, magni aliquid reprehenderit commodi. Similique, voluptatibus?</p>\r\n<p>Modi tempora nam eveniet inventore est at ullam explicabo quam maxime, iusto, minus sapiente, similique vero perferendis! Suscipit sed voluptates sint explicabo.</p>\r\n<p>A repellat animi necessitatibus! Repellat nostrum quidem suscipit maiores accusantium at, officiis unde sit modi consectetur totam repellendus! Necessitatibus doloremque ex laboriosam!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sed aliquam amet veniam nam reiciendis delectus sint quisquam laborum et aspernatur porro eaque, dicta soluta inventore similique non minus! Facere, molestias. Architecto quis libero quam error vel corporis, labore quidem illum cumque tempore, magni nam odio dolores atque rerum ipsa aut laborum facere, fugit enim tenetur.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Similique nisi architecto explicabo, quia, ab officiis nemo ad fuga aliquid, consequatur eveniet! Praesentium iste cumque dolore quos aspernatur deleniti itaque, porro quis, adipisci necessitatibus?</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Id aliquid illo, praesentium aspernatur impedit, illum ea voluptatum nobis iure adipisci obcaecati laboriosam.</p>\r\n<p>Tempora quidem quam neque autem est optio laboriosam dolores nesciunt enim rerum, suscipit mollitia facere deleniti, magni aliquid reprehenderit commodi. Similique, voluptatibus?</p>\r\n<p>Modi tempora nam eveniet inventore est at ullam explicabo quam maxime, iusto, minus sapiente, similique vero perferendis! Suscipit sed voluptates sint explicabo.</p>\r\n<p>A repellat animi necessitatibus! Repellat nostrum quidem suscipit maiores accusantium at, officiis unde sit modi consectetur totam repellendus! Necessitatibus doloremque ex laboriosam!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sed aliquam amet veniam nam reiciendis delectus sint quisquam laborum et aspernatur porro eaque, dicta soluta inventore similique non minus! Facere, molestias. Architecto quis libero quam error vel corporis, labore quidem illum cumque tempore, magni nam odio dolores atque rerum ipsa aut laborum facere, fugit enim tenetur.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Similique nisi architecto explicabo, quia, ab officiis nemo ad fuga aliquid, consequatur eveniet! Praesentium iste cumque dolore quos aspernatur deleniti itaque, porro quis, adipisci necessitatibus?</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Id aliquid illo, praesentium aspernatur impedit, illum ea voluptatum nobis iure adipisci obcaecati laboriosam.</p>\r\n<p>Tempora quidem quam neque autem est optio laboriosam dolores nesciunt enim rerum, suscipit mollitia facere deleniti, magni aliquid reprehenderit commodi. Similique, voluptatibus?</p>\r\n<p>Modi tempora nam eveniet inventore est at ullam explicabo quam maxime, iusto, minus sapiente, similique vero perferendis! Suscipit sed voluptates sint explicabo.</p>\r\n<p>A repellat animi necessitatibus! Repellat nostrum quidem suscipit maiores accusantium at, officiis unde sit modi consectetur totam repellendus! Necessitatibus doloremque ex laboriosam!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sed aliquam amet veniam nam reiciendis delectus sint quisquam laborum et aspernatur porro eaque, dicta soluta inventore similique non minus! Facere, molestias. Architecto quis libero quam error vel corporis, labore quidem illum cumque tempore, magni nam odio dolores atque rerum ipsa aut laborum facere, fugit enim tenetur.</p>\r\n", "Obcaecati, numquam, atque.", "Quam expedita in nostrum incidunt cum fugit quisquam dolore temporibus perferendis, debitis.\r\n", "publish", "open", "open", "", "obcaecati-numquam-atque", "", "", "2019-02-03 00:39:46", "2019-02-03 00:39:46", "", "0", "http://localhost:8888/metonymic/?p=224", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("225", "1", "2018-07-28 18:45:13", "2018-07-28 18:45:13", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur hic quasi odio voluptates eligendi illum suscipit asperiores fugit placeat inventore ratione explicabo assumenda blanditiis ipsam ipsum repellat ipsa, sint tempora odit eos? Sequi!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eveniet obcaecati ratione cum id natus asperiores maiores recusandae animi, corporis dolore dolorem ut!</p>\r\n<p>Soluta sunt quos dolore cumque earum temporibus, officiis at similique voluptas quam ullam accusantium autem, odio fugit magnam aut quisquam unde rem.</p>\r\n<p>Ad, eaque quo voluptatem dolorum esse minus illo, cupiditate fuga quidem ipsa! Voluptatem asperiores consequatur, nesciunt minima doloribus, dolorum fuga alias. Voluptas.</p>\r\n<p>Provident omnis veritatis rem debitis impedit quo excepturi! Illum, nesciunt, dolores adipisci sapiente soluta explicabo nihil debitis molestiae excepturi esse placeat accusamus.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Unde maxime nihil doloremque! Quos asperiores voluptas aliquam molestiae ut molestias fugiat, quasi, expedita amet explicabo aspernatur perferendis, eum reiciendis dicta natus accusamus alias incidunt sunt nemo voluptatum nesciunt veritatis architecto et doloremque aperiam! At enim nisi aut dignissimos minus corporis, magni tenetur eveniet aliquam illo! Error!</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur hic quasi odio voluptates eligendi illum suscipit asperiores fugit placeat inventore ratione explicabo assumenda blanditiis ipsam ipsum repellat ipsa, sint tempora odit eos? Sequi!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eveniet obcaecati ratione cum id natus asperiores maiores recusandae animi, corporis dolore dolorem ut!</p>\r\n<p>Soluta sunt quos dolore cumque earum temporibus, officiis at similique voluptas quam ullam accusantium autem, odio fugit magnam aut quisquam unde rem.</p>\r\n<p>Ad, eaque quo voluptatem dolorum esse minus illo, cupiditate fuga quidem ipsa! Voluptatem asperiores consequatur, nesciunt minima doloribus, dolorum fuga alias. Voluptas.</p>\r\n<p>Provident omnis veritatis rem debitis impedit quo excepturi! Illum, nesciunt, dolores adipisci sapiente soluta explicabo nihil debitis molestiae excepturi esse placeat accusamus.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Unde maxime nihil doloremque! Quos asperiores voluptas aliquam molestiae ut molestias fugiat, quasi, expedita amet explicabo aspernatur perferendis, eum reiciendis dicta natus accusamus alias incidunt sunt nemo voluptatum nesciunt veritatis architecto et doloremque aperiam! At enim nisi aut dignissimos minus corporis, magni tenetur eveniet aliquam illo! Error!</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur hic quasi odio voluptates eligendi illum suscipit asperiores fugit placeat inventore ratione explicabo assumenda blanditiis ipsam ipsum repellat ipsa, sint tempora odit eos? Sequi!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eveniet obcaecati ratione cum id natus asperiores maiores recusandae animi, corporis dolore dolorem ut!</p>\r\n<p>Soluta sunt quos dolore cumque earum temporibus, officiis at similique voluptas quam ullam accusantium autem, odio fugit magnam aut quisquam unde rem.</p>\r\n<p>Ad, eaque quo voluptatem dolorum esse minus illo, cupiditate fuga quidem ipsa! Voluptatem asperiores consequatur, nesciunt minima doloribus, dolorum fuga alias. Voluptas.</p>\r\n<p>Provident omnis veritatis rem debitis impedit quo excepturi! Illum, nesciunt, dolores adipisci sapiente soluta explicabo nihil debitis molestiae excepturi esse placeat accusamus.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Unde maxime nihil doloremque! Quos asperiores voluptas aliquam molestiae ut molestias fugiat, quasi, expedita amet explicabo aspernatur perferendis, eum reiciendis dicta natus accusamus alias incidunt sunt nemo voluptatum nesciunt veritatis architecto et doloremque aperiam! At enim nisi aut dignissimos minus corporis, magni tenetur eveniet aliquam illo! Error!</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur hic quasi odio voluptates eligendi illum suscipit asperiores fugit placeat inventore ratione explicabo assumenda blanditiis ipsam ipsum repellat ipsa, sint tempora odit eos? Sequi!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eveniet obcaecati ratione cum id natus asperiores maiores recusandae animi, corporis dolore dolorem ut!</p>\r\n<p>Soluta sunt quos dolore cumque earum temporibus, officiis at similique voluptas quam ullam accusantium autem, odio fugit magnam aut quisquam unde rem.</p>\r\n<p>Ad, eaque quo voluptatem dolorum esse minus illo, cupiditate fuga quidem ipsa! Voluptatem asperiores consequatur, nesciunt minima doloribus, dolorum fuga alias. Voluptas.</p>\r\n<p>Provident omnis veritatis rem debitis impedit quo excepturi! Illum, nesciunt, dolores adipisci sapiente soluta explicabo nihil debitis molestiae excepturi esse placeat accusamus.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Unde maxime nihil doloremque! Quos asperiores voluptas aliquam molestiae ut molestias fugiat, quasi, expedita amet explicabo aspernatur perferendis, eum reiciendis dicta natus accusamus alias incidunt sunt nemo voluptatum nesciunt veritatis architecto et doloremque aperiam! At enim nisi aut dignissimos minus corporis, magni tenetur eveniet aliquam illo! Error!</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur hic quasi odio voluptates eligendi illum suscipit asperiores fugit placeat inventore ratione explicabo assumenda blanditiis ipsam ipsum repellat ipsa, sint tempora odit eos? Sequi!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eveniet obcaecati ratione cum id natus asperiores maiores recusandae animi, corporis dolore dolorem ut!</p>\r\n<p>Soluta sunt quos dolore cumque earum temporibus, officiis at similique voluptas quam ullam accusantium autem, odio fugit magnam aut quisquam unde rem.</p>\r\n<p>Ad, eaque quo voluptatem dolorum esse minus illo, cupiditate fuga quidem ipsa! Voluptatem asperiores consequatur, nesciunt minima doloribus, dolorum fuga alias. Voluptas.</p>\r\n<p>Provident omnis veritatis rem debitis impedit quo excepturi! Illum, nesciunt, dolores adipisci sapiente soluta explicabo nihil debitis molestiae excepturi esse placeat accusamus.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Unde maxime nihil doloremque! Quos asperiores voluptas aliquam molestiae ut molestias fugiat, quasi, expedita amet explicabo aspernatur perferendis, eum reiciendis dicta natus accusamus alias incidunt sunt nemo voluptatum nesciunt veritatis architecto et doloremque aperiam! At enim nisi aut dignissimos minus corporis, magni tenetur eveniet aliquam illo! Error!</p>\r\n", "Veniam, cupiditate, eligendi!", "Sapiente, ex, vel. Enim libero consequatur perferendis architecto harum, voluptatum maxime adipisci!\r\n", "publish", "open", "open", "", "veniam-cupiditate-eligendi", "", "", "2019-02-03 00:39:46", "2019-02-03 00:39:46", "", "0", "http://localhost:8888/metonymic/?p=225", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("226", "1", "2018-07-28 18:45:13", "2018-07-28 18:45:13", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur hic quasi odio voluptates eligendi illum suscipit asperiores fugit placeat inventore ratione explicabo assumenda blanditiis ipsam ipsum repellat ipsa, sint tempora odit eos? Sequi!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eveniet obcaecati ratione cum id natus asperiores maiores recusandae animi, corporis dolore dolorem ut!</p>\r\n<p>Soluta sunt quos dolore cumque earum temporibus, officiis at similique voluptas quam ullam accusantium autem, odio fugit magnam aut quisquam unde rem.</p>\r\n<p>Ad, eaque quo voluptatem dolorum esse minus illo, cupiditate fuga quidem ipsa! Voluptatem asperiores consequatur, nesciunt minima doloribus, dolorum fuga alias. Voluptas.</p>\r\n<p>Provident omnis veritatis rem debitis impedit quo excepturi! Illum, nesciunt, dolores adipisci sapiente soluta explicabo nihil debitis molestiae excepturi esse placeat accusamus.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Unde maxime nihil doloremque! Quos asperiores voluptas aliquam molestiae ut molestias fugiat, quasi, expedita amet explicabo aspernatur perferendis, eum reiciendis dicta natus accusamus alias incidunt sunt nemo voluptatum nesciunt veritatis architecto et doloremque aperiam! At enim nisi aut dignissimos minus corporis, magni tenetur eveniet aliquam illo! Error!</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur hic quasi odio voluptates eligendi illum suscipit asperiores fugit placeat inventore ratione explicabo assumenda blanditiis ipsam ipsum repellat ipsa, sint tempora odit eos? Sequi!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eveniet obcaecati ratione cum id natus asperiores maiores recusandae animi, corporis dolore dolorem ut!</p>\r\n<p>Soluta sunt quos dolore cumque earum temporibus, officiis at similique voluptas quam ullam accusantium autem, odio fugit magnam aut quisquam unde rem.</p>\r\n<p>Ad, eaque quo voluptatem dolorum esse minus illo, cupiditate fuga quidem ipsa! Voluptatem asperiores consequatur, nesciunt minima doloribus, dolorum fuga alias. Voluptas.</p>\r\n<p>Provident omnis veritatis rem debitis impedit quo excepturi! Illum, nesciunt, dolores adipisci sapiente soluta explicabo nihil debitis molestiae excepturi esse placeat accusamus.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Unde maxime nihil doloremque! Quos asperiores voluptas aliquam molestiae ut molestias fugiat, quasi, expedita amet explicabo aspernatur perferendis, eum reiciendis dicta natus accusamus alias incidunt sunt nemo voluptatum nesciunt veritatis architecto et doloremque aperiam! At enim nisi aut dignissimos minus corporis, magni tenetur eveniet aliquam illo! Error!</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur hic quasi odio voluptates eligendi illum suscipit asperiores fugit placeat inventore ratione explicabo assumenda blanditiis ipsam ipsum repellat ipsa, sint tempora odit eos? Sequi!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eveniet obcaecati ratione cum id natus asperiores maiores recusandae animi, corporis dolore dolorem ut!</p>\r\n<p>Soluta sunt quos dolore cumque earum temporibus, officiis at similique voluptas quam ullam accusantium autem, odio fugit magnam aut quisquam unde rem.</p>\r\n<p>Ad, eaque quo voluptatem dolorum esse minus illo, cupiditate fuga quidem ipsa! Voluptatem asperiores consequatur, nesciunt minima doloribus, dolorum fuga alias. Voluptas.</p>\r\n<p>Provident omnis veritatis rem debitis impedit quo excepturi! Illum, nesciunt, dolores adipisci sapiente soluta explicabo nihil debitis molestiae excepturi esse placeat accusamus.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Unde maxime nihil doloremque! Quos asperiores voluptas aliquam molestiae ut molestias fugiat, quasi, expedita amet explicabo aspernatur perferendis, eum reiciendis dicta natus accusamus alias incidunt sunt nemo voluptatum nesciunt veritatis architecto et doloremque aperiam! At enim nisi aut dignissimos minus corporis, magni tenetur eveniet aliquam illo! Error!</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur hic quasi odio voluptates eligendi illum suscipit asperiores fugit placeat inventore ratione explicabo assumenda blanditiis ipsam ipsum repellat ipsa, sint tempora odit eos? Sequi!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eveniet obcaecati ratione cum id natus asperiores maiores recusandae animi, corporis dolore dolorem ut!</p>\r\n<p>Soluta sunt quos dolore cumque earum temporibus, officiis at similique voluptas quam ullam accusantium autem, odio fugit magnam aut quisquam unde rem.</p>\r\n<p>Ad, eaque quo voluptatem dolorum esse minus illo, cupiditate fuga quidem ipsa! Voluptatem asperiores consequatur, nesciunt minima doloribus, dolorum fuga alias. Voluptas.</p>\r\n<p>Provident omnis veritatis rem debitis impedit quo excepturi! Illum, nesciunt, dolores adipisci sapiente soluta explicabo nihil debitis molestiae excepturi esse placeat accusamus.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Unde maxime nihil doloremque! Quos asperiores voluptas aliquam molestiae ut molestias fugiat, quasi, expedita amet explicabo aspernatur perferendis, eum reiciendis dicta natus accusamus alias incidunt sunt nemo voluptatum nesciunt veritatis architecto et doloremque aperiam! At enim nisi aut dignissimos minus corporis, magni tenetur eveniet aliquam illo! Error!</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur hic quasi odio voluptates eligendi illum suscipit asperiores fugit placeat inventore ratione explicabo assumenda blanditiis ipsam ipsum repellat ipsa, sint tempora odit eos? Sequi!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eveniet obcaecati ratione cum id natus asperiores maiores recusandae animi, corporis dolore dolorem ut!</p>\r\n<p>Soluta sunt quos dolore cumque earum temporibus, officiis at similique voluptas quam ullam accusantium autem, odio fugit magnam aut quisquam unde rem.</p>\r\n<p>Ad, eaque quo voluptatem dolorum esse minus illo, cupiditate fuga quidem ipsa! Voluptatem asperiores consequatur, nesciunt minima doloribus, dolorum fuga alias. Voluptas.</p>\r\n<p>Provident omnis veritatis rem debitis impedit quo excepturi! Illum, nesciunt, dolores adipisci sapiente soluta explicabo nihil debitis molestiae excepturi esse placeat accusamus.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Unde maxime nihil doloremque! Quos asperiores voluptas aliquam molestiae ut molestias fugiat, quasi, expedita amet explicabo aspernatur perferendis, eum reiciendis dicta natus accusamus alias incidunt sunt nemo voluptatum nesciunt veritatis architecto et doloremque aperiam! At enim nisi aut dignissimos minus corporis, magni tenetur eveniet aliquam illo! Error!</p>\r\n", "At, omnis quasi!", "Eveniet obcaecati ratione cum id natus asperiores maiores recusandae animi, corporis dolore dolorem ut!", "publish", "open", "open", "", "at-omnis-quasi", "", "", "2019-02-03 00:39:46", "2019-02-03 00:39:46", "", "0", "http://localhost:8888/metonymic/?p=226", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("227", "1", "2018-07-28 18:45:13", "2018-07-28 18:45:13", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Magnam, reprehenderit at. Consequuntur facere consequatur sapiente ab ducimus labore quam quod modi cumque distinctio, nostrum, voluptates sint, a voluptatem fuga placeat quis aliquam eius.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatum, pariatur nam odit ad quas optio non, quasi sed officiis quaerat reiciendis consectetur.</p>\r\n<p>Iure in, officiis nam cum neque ducimus commodi consequuntur magni enim veniam nemo alias aliquid eveniet nihil repellat dolore omnis. Repellendus, atque.</p>\r\n<p>Voluptate aspernatur velit nam assumenda mollitia facilis explicabo, commodi, neque eaque consequuntur illo. Inventore adipisci nulla ullam suscipit vero odit, quaerat quia.</p>\r\n<p>Provident, consequuntur atque exercitationem corrupti laboriosam ipsam, reiciendis, praesentium totam delectus quas nobis doloribus. Voluptas ipsum explicabo eaque mollitia cupiditate ratione nam!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. In nesciunt ratione tempore quaerat, cum assumenda distinctio quod debitis, harum nulla expedita. Architecto odio quae esse commodi eveniet mollitia nihil, cupiditate corporis delectus ipsum. Fugiat perferendis nulla culpa tempora modi eius id dolor harum optio ea aliquam quaerat voluptatum similique, pariatur nisi deleniti, et animi itaque.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Magnam, reprehenderit at. Consequuntur facere consequatur sapiente ab ducimus labore quam quod modi cumque distinctio, nostrum, voluptates sint, a voluptatem fuga placeat quis aliquam eius.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatum, pariatur nam odit ad quas optio non, quasi sed officiis quaerat reiciendis consectetur.</p>\r\n<p>Iure in, officiis nam cum neque ducimus commodi consequuntur magni enim veniam nemo alias aliquid eveniet nihil repellat dolore omnis. Repellendus, atque.</p>\r\n<p>Voluptate aspernatur velit nam assumenda mollitia facilis explicabo, commodi, neque eaque consequuntur illo. Inventore adipisci nulla ullam suscipit vero odit, quaerat quia.</p>\r\n<p>Provident, consequuntur atque exercitationem corrupti laboriosam ipsam, reiciendis, praesentium totam delectus quas nobis doloribus. Voluptas ipsum explicabo eaque mollitia cupiditate ratione nam!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. In nesciunt ratione tempore quaerat, cum assumenda distinctio quod debitis, harum nulla expedita. Architecto odio quae esse commodi eveniet mollitia nihil, cupiditate corporis delectus ipsum. Fugiat perferendis nulla culpa tempora modi eius id dolor harum optio ea aliquam quaerat voluptatum similique, pariatur nisi deleniti, et animi itaque.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Magnam, reprehenderit at. Consequuntur facere consequatur sapiente ab ducimus labore quam quod modi cumque distinctio, nostrum, voluptates sint, a voluptatem fuga placeat quis aliquam eius.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatum, pariatur nam odit ad quas optio non, quasi sed officiis quaerat reiciendis consectetur.</p>\r\n<p>Iure in, officiis nam cum neque ducimus commodi consequuntur magni enim veniam nemo alias aliquid eveniet nihil repellat dolore omnis. Repellendus, atque.</p>\r\n<p>Voluptate aspernatur velit nam assumenda mollitia facilis explicabo, commodi, neque eaque consequuntur illo. Inventore adipisci nulla ullam suscipit vero odit, quaerat quia.</p>\r\n<p>Provident, consequuntur atque exercitationem corrupti laboriosam ipsam, reiciendis, praesentium totam delectus quas nobis doloribus. Voluptas ipsum explicabo eaque mollitia cupiditate ratione nam!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. In nesciunt ratione tempore quaerat, cum assumenda distinctio quod debitis, harum nulla expedita. Architecto odio quae esse commodi eveniet mollitia nihil, cupiditate corporis delectus ipsum. Fugiat perferendis nulla culpa tempora modi eius id dolor harum optio ea aliquam quaerat voluptatum similique, pariatur nisi deleniti, et animi itaque.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Magnam, reprehenderit at. Consequuntur facere consequatur sapiente ab ducimus labore quam quod modi cumque distinctio, nostrum, voluptates sint, a voluptatem fuga placeat quis aliquam eius.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatum, pariatur nam odit ad quas optio non, quasi sed officiis quaerat reiciendis consectetur.</p>\r\n<p>Iure in, officiis nam cum neque ducimus commodi consequuntur magni enim veniam nemo alias aliquid eveniet nihil repellat dolore omnis. Repellendus, atque.</p>\r\n<p>Voluptate aspernatur velit nam assumenda mollitia facilis explicabo, commodi, neque eaque consequuntur illo. Inventore adipisci nulla ullam suscipit vero odit, quaerat quia.</p>\r\n<p>Provident, consequuntur atque exercitationem corrupti laboriosam ipsam, reiciendis, praesentium totam delectus quas nobis doloribus. Voluptas ipsum explicabo eaque mollitia cupiditate ratione nam!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. In nesciunt ratione tempore quaerat, cum assumenda distinctio quod debitis, harum nulla expedita. Architecto odio quae esse commodi eveniet mollitia nihil, cupiditate corporis delectus ipsum. Fugiat perferendis nulla culpa tempora modi eius id dolor harum optio ea aliquam quaerat voluptatum similique, pariatur nisi deleniti, et animi itaque.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Magnam, reprehenderit at. Consequuntur facere consequatur sapiente ab ducimus labore quam quod modi cumque distinctio, nostrum, voluptates sint, a voluptatem fuga placeat quis aliquam eius.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatum, pariatur nam odit ad quas optio non, quasi sed officiis quaerat reiciendis consectetur.</p>\r\n<p>Iure in, officiis nam cum neque ducimus commodi consequuntur magni enim veniam nemo alias aliquid eveniet nihil repellat dolore omnis. Repellendus, atque.</p>\r\n<p>Voluptate aspernatur velit nam assumenda mollitia facilis explicabo, commodi, neque eaque consequuntur illo. Inventore adipisci nulla ullam suscipit vero odit, quaerat quia.</p>\r\n<p>Provident, consequuntur atque exercitationem corrupti laboriosam ipsam, reiciendis, praesentium totam delectus quas nobis doloribus. Voluptas ipsum explicabo eaque mollitia cupiditate ratione nam!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. In nesciunt ratione tempore quaerat, cum assumenda distinctio quod debitis, harum nulla expedita. Architecto odio quae esse commodi eveniet mollitia nihil, cupiditate corporis delectus ipsum. Fugiat perferendis nulla culpa tempora modi eius id dolor harum optio ea aliquam quaerat voluptatum similique, pariatur nisi deleniti, et animi itaque.</p>\r\n", "Fugiat illum, ratione.", "Porro consequuntur quisquam minus nemo placeat alias neque aliquam, provident iusto similique.\r\n", "publish", "open", "open", "", "fugiat-illum-ratione", "", "", "2019-02-03 00:39:46", "2019-02-03 00:39:46", "", "0", "http://localhost:8888/metonymic/?p=227", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("228", "1", "2018-07-28 18:45:13", "2018-07-28 18:45:13", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Cum tempora, incidunt modi sint rerum delectus iste dolorem veniam omnis ullam saepe quia, laboriosam iusto dolorum ducimus velit. Cum aperiam laudantium cumque, perspiciatis minima!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quibusdam omnis ipsum et, praesentium sint expedita eum soluta. Distinctio ipsam soluta praesentium laborum.</p>\r\n<p>Aut eos ea incidunt atque laudantium, doloribus harum est asperiores modi similique impedit, perspiciatis, rem quod accusantium dignissimos? Soluta eum, assumenda doloremque.</p>\r\n<p>Soluta distinctio odio est excepturi eos quis, delectus ex maiores quos nemo cum, accusamus, ratione facere enim aliquid accusantium facilis, cupiditate eius.</p>\r\n<p>Temporibus ipsum sint provident ad iste, ipsa natus id, voluptatem, commodi aliquam ullam nobis? Dolorum quia nihil voluptas quas dolore sapiente! Voluptatum.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quam soluta culpa laborum! Sit rerum porro fuga eos, expedita nesciunt cumque totam esse provident rem! Eius recusandae fuga quasi, ipsum. Nemo quaerat perferendis sunt architecto reprehenderit est mollitia eius, laboriosam quidem consequatur perspiciatis, placeat cupiditate nesciunt omnis illo vel! Sit quisquam totam, ipsum veritatis laborum voluptatum.</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Cum tempora, incidunt modi sint rerum delectus iste dolorem veniam omnis ullam saepe quia, laboriosam iusto dolorum ducimus velit. Cum aperiam laudantium cumque, perspiciatis minima!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quibusdam omnis ipsum et, praesentium sint expedita eum soluta. Distinctio ipsam soluta praesentium laborum.</p>\r\n<p>Aut eos ea incidunt atque laudantium, doloribus harum est asperiores modi similique impedit, perspiciatis, rem quod accusantium dignissimos? Soluta eum, assumenda doloremque.</p>\r\n<p>Soluta distinctio odio est excepturi eos quis, delectus ex maiores quos nemo cum, accusamus, ratione facere enim aliquid accusantium facilis, cupiditate eius.</p>\r\n<p>Temporibus ipsum sint provident ad iste, ipsa natus id, voluptatem, commodi aliquam ullam nobis? Dolorum quia nihil voluptas quas dolore sapiente! Voluptatum.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quam soluta culpa laborum! Sit rerum porro fuga eos, expedita nesciunt cumque totam esse provident rem! Eius recusandae fuga quasi, ipsum. Nemo quaerat perferendis sunt architecto reprehenderit est mollitia eius, laboriosam quidem consequatur perspiciatis, placeat cupiditate nesciunt omnis illo vel! Sit quisquam totam, ipsum veritatis laborum voluptatum.</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Cum tempora, incidunt modi sint rerum delectus iste dolorem veniam omnis ullam saepe quia, laboriosam iusto dolorum ducimus velit. Cum aperiam laudantium cumque, perspiciatis minima!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quibusdam omnis ipsum et, praesentium sint expedita eum soluta. Distinctio ipsam soluta praesentium laborum.</p>\r\n<p>Aut eos ea incidunt atque laudantium, doloribus harum est asperiores modi similique impedit, perspiciatis, rem quod accusantium dignissimos? Soluta eum, assumenda doloremque.</p>\r\n<p>Soluta distinctio odio est excepturi eos quis, delectus ex maiores quos nemo cum, accusamus, ratione facere enim aliquid accusantium facilis, cupiditate eius.</p>\r\n<p>Temporibus ipsum sint provident ad iste, ipsa natus id, voluptatem, commodi aliquam ullam nobis? Dolorum quia nihil voluptas quas dolore sapiente! Voluptatum.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quam soluta culpa laborum! Sit rerum porro fuga eos, expedita nesciunt cumque totam esse provident rem! Eius recusandae fuga quasi, ipsum. Nemo quaerat perferendis sunt architecto reprehenderit est mollitia eius, laboriosam quidem consequatur perspiciatis, placeat cupiditate nesciunt omnis illo vel! Sit quisquam totam, ipsum veritatis laborum voluptatum.</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Cum tempora, incidunt modi sint rerum delectus iste dolorem veniam omnis ullam saepe quia, laboriosam iusto dolorum ducimus velit. Cum aperiam laudantium cumque, perspiciatis minima!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quibusdam omnis ipsum et, praesentium sint expedita eum soluta. Distinctio ipsam soluta praesentium laborum.</p>\r\n<p>Aut eos ea incidunt atque laudantium, doloribus harum est asperiores modi similique impedit, perspiciatis, rem quod accusantium dignissimos? Soluta eum, assumenda doloremque.</p>\r\n<p>Soluta distinctio odio est excepturi eos quis, delectus ex maiores quos nemo cum, accusamus, ratione facere enim aliquid accusantium facilis, cupiditate eius.</p>\r\n<p>Temporibus ipsum sint provident ad iste, ipsa natus id, voluptatem, commodi aliquam ullam nobis? Dolorum quia nihil voluptas quas dolore sapiente! Voluptatum.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quam soluta culpa laborum! Sit rerum porro fuga eos, expedita nesciunt cumque totam esse provident rem! Eius recusandae fuga quasi, ipsum. Nemo quaerat perferendis sunt architecto reprehenderit est mollitia eius, laboriosam quidem consequatur perspiciatis, placeat cupiditate nesciunt omnis illo vel! Sit quisquam totam, ipsum veritatis laborum voluptatum.</p>", "Porro, ratione, expedita.", "Voluptates unde, sit officia. Dolores earum sapiente neque tempora, excepturi exercitationem distinctio!\r\n", "publish", "open", "open", "", "porro-ratione-expedita", "", "", "2018-07-29 23:10:34", "2018-07-29 23:10:34", "", "0", "http://localhost:8888/metonymic/?p=228", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("229", "1", "2018-07-28 18:45:13", "2018-07-28 18:45:13", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur molestias dicta, cum quae voluptatum tenetur illo atque id est at natus animi provident maxime in libero deserunt facere ea sint. A, perspiciatis non.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Assumenda quas omnis dolores? Eos alias dolorum, commodi neque! Expedita harum eveniet, quisquam laboriosam!</p>\r\n<p>In dicta hic quidem, dolorem fugit eveniet. Inventore quam, sint fugit repudiandae cupiditate ducimus voluptate voluptatibus autem laborum labore veritatis officia ullam!</p>\r\n<p>Fugiat modi enim earum est saepe magnam eligendi at, asperiores cumque similique officia possimus adipisci nulla ullam alias reprehenderit, praesentium neque tempora!</p>\r\n<p>Placeat aut unde incidunt blanditiis dolorum, facilis id error, officiis velit ex. Est vel, aspernatur quis inventore autem id veniam vitae, recusandae.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Libero tempore facere ab animi eveniet sunt, consequuntur nisi non ducimus nostrum. Sit dolorum tempore assumenda ea ipsum, praesentium cumque cupiditate, impedit neque quasi culpa dolore. Nisi quasi, fuga enim aperiam aliquam dolorum architecto. Quo incidunt vel quos tenetur minima, quae, quam iusto numquam expedita, totam modi!</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur molestias dicta, cum quae voluptatum tenetur illo atque id est at natus animi provident maxime in libero deserunt facere ea sint. A, perspiciatis non.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Assumenda quas omnis dolores? Eos alias dolorum, commodi neque! Expedita harum eveniet, quisquam laboriosam!</p>\r\n<p>In dicta hic quidem, dolorem fugit eveniet. Inventore quam, sint fugit repudiandae cupiditate ducimus voluptate voluptatibus autem laborum labore veritatis officia ullam!</p>\r\n<p>Fugiat modi enim earum est saepe magnam eligendi at, asperiores cumque similique officia possimus adipisci nulla ullam alias reprehenderit, praesentium neque tempora!</p>\r\n<p>Placeat aut unde incidunt blanditiis dolorum, facilis id error, officiis velit ex. Est vel, aspernatur quis inventore autem id veniam vitae, recusandae.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Libero tempore facere ab animi eveniet sunt, consequuntur nisi non ducimus nostrum. Sit dolorum tempore assumenda ea ipsum, praesentium cumque cupiditate, impedit neque quasi culpa dolore. Nisi quasi, fuga enim aperiam aliquam dolorum architecto. Quo incidunt vel quos tenetur minima, quae, quam iusto numquam expedita, totam modi!</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur molestias dicta, cum quae voluptatum tenetur illo atque id est at natus animi provident maxime in libero deserunt facere ea sint. A, perspiciatis non.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Assumenda quas omnis dolores? Eos alias dolorum, commodi neque! Expedita harum eveniet, quisquam laboriosam!</p>\r\n<p>In dicta hic quidem, dolorem fugit eveniet. Inventore quam, sint fugit repudiandae cupiditate ducimus voluptate voluptatibus autem laborum labore veritatis officia ullam!</p>\r\n<p>Fugiat modi enim earum est saepe magnam eligendi at, asperiores cumque similique officia possimus adipisci nulla ullam alias reprehenderit, praesentium neque tempora!</p>\r\n<p>Placeat aut unde incidunt blanditiis dolorum, facilis id error, officiis velit ex. Est vel, aspernatur quis inventore autem id veniam vitae, recusandae.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Libero tempore facere ab animi eveniet sunt, consequuntur nisi non ducimus nostrum. Sit dolorum tempore assumenda ea ipsum, praesentium cumque cupiditate, impedit neque quasi culpa dolore. Nisi quasi, fuga enim aperiam aliquam dolorum architecto. Quo incidunt vel quos tenetur minima, quae, quam iusto numquam expedita, totam modi!</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur molestias dicta, cum quae voluptatum tenetur illo atque id est at natus animi provident maxime in libero deserunt facere ea sint. A, perspiciatis non.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Assumenda quas omnis dolores? Eos alias dolorum, commodi neque! Expedita harum eveniet, quisquam laboriosam!</p>\r\n<p>In dicta hic quidem, dolorem fugit eveniet. Inventore quam, sint fugit repudiandae cupiditate ducimus voluptate voluptatibus autem laborum labore veritatis officia ullam!</p>\r\n<p>Fugiat modi enim earum est saepe magnam eligendi at, asperiores cumque similique officia possimus adipisci nulla ullam alias reprehenderit, praesentium neque tempora!</p>\r\n<p>Placeat aut unde incidunt blanditiis dolorum, facilis id error, officiis velit ex. Est vel, aspernatur quis inventore autem id veniam vitae, recusandae.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Libero tempore facere ab animi eveniet sunt, consequuntur nisi non ducimus nostrum. Sit dolorum tempore assumenda ea ipsum, praesentium cumque cupiditate, impedit neque quasi culpa dolore. Nisi quasi, fuga enim aperiam aliquam dolorum architecto. Quo incidunt vel quos tenetur minima, quae, quam iusto numquam expedita, totam modi!</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur molestias dicta, cum quae voluptatum tenetur illo atque id est at natus animi provident maxime in libero deserunt facere ea sint. A, perspiciatis non.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Assumenda quas omnis dolores? Eos alias dolorum, commodi neque! Expedita harum eveniet, quisquam laboriosam!</p>\r\n<p>In dicta hic quidem, dolorem fugit eveniet. Inventore quam, sint fugit repudiandae cupiditate ducimus voluptate voluptatibus autem laborum labore veritatis officia ullam!</p>\r\n<p>Fugiat modi enim earum est saepe magnam eligendi at, asperiores cumque similique officia possimus adipisci nulla ullam alias reprehenderit, praesentium neque tempora!</p>\r\n<p>Placeat aut unde incidunt blanditiis dolorum, facilis id error, officiis velit ex. Est vel, aspernatur quis inventore autem id veniam vitae, recusandae.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Libero tempore facere ab animi eveniet sunt, consequuntur nisi non ducimus nostrum. Sit dolorum tempore assumenda ea ipsum, praesentium cumque cupiditate, impedit neque quasi culpa dolore. Nisi quasi, fuga enim aperiam aliquam dolorum architecto. Quo incidunt vel quos tenetur minima, quae, quam iusto numquam expedita, totam modi!</p>", "Blanditiis repellat, rerum.", "Eum deleniti nobis porro ea sapiente. Suscipit doloremque temporibus, sit commodi omnis.\r\n", "publish", "open", "open", "", "blanditiis-repellat-rerum", "", "", "2018-07-29 23:10:54", "2018-07-29 23:10:54", "", "0", "http://localhost:8888/metonymic/?p=229", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("230", "1", "2018-07-28 18:45:45", "2018-07-28 18:45:45", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Tempora aut, eligendi aliquam et laudantium, numquam eum nemo. Tenetur alias eveniet totam velit accusantium! Ab unde odio ad ratione doloremque saepe hic veritatis odit.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Fugit alias, similique perferendis iure illo quis necessitatibus, omnis voluptatum, commodi incidunt molestiae inventore.</p>\r\n<p>Illo sint, ratione dolorum hic quidem sit suscipit quam quos maiores. Commodi debitis sapiente aliquid, fugiat aperiam at amet! Veniam, nesciunt, nulla.</p>\r\n<p>Non, mollitia minima quas voluptatibus voluptas earum ullam blanditiis modi quis placeat ipsa. Reprehenderit perferendis ratione, eum nisi corporis asperiores iusto ducimus.</p>\r\n<p>Laborum, suscipit, id. Repudiandae doloribus rem assumenda, ratione quo totam numquam a impedit quaerat suscipit corporis magni quae, natus qui dolor? Nesciunt!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ad illum dolores eligendi culpa hic cupiditate dolore quam eius, quae eum esse, cumque impedit. Enim, in. Consequuntur ratione tenetur saepe dolore iure quaerat ducimus voluptatem delectus repellendus provident natus velit, necessitatibus mollitia illum commodi rem illo expedita non, laudantium pariatur, modi consectetur. Quibusdam quae doloribus, enim.</p>", "Nulla, debitis repudiandae.", "Ab at sint alias minus illo, libero omnis excepturi asperiores consectetur vitae.\r\n", "inherit", "closed", "closed", "", "217-revision-v1", "", "", "2018-07-28 18:45:45", "2018-07-28 18:45:45", "", "217", "http://localhost:8888/metonymic/2018/07/28/217-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("231", "1", "2018-07-28 18:45:55", "2018-07-28 18:45:55", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatibus ducimus similique illum, aspernatur magni. Officia alias fugit sunt quis atque ratione temporibus maiores suscipit harum iusto et rem soluta odio, molestiae autem eligendi.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Iure minus dolores consectetur enim commodi ipsam ut minima. Perferendis eaque labore explicabo recusandae?</p>\r\n<p>Autem assumenda eveniet, a aspernatur voluptates dolore, omnis illum voluptas dicta perspiciatis ex doloribus. Itaque harum neque earum dolorem, error ipsam ab.</p>\r\n<p>Ipsam et distinctio tempora maiores consequatur, ducimus explicabo voluptas, dolorum iste eum consectetur ea provident id quia nesciunt voluptates voluptatum. Quibusdam, harum.</p>\r\n<p>Pariatur illo aperiam quisquam voluptas dicta aspernatur magni laborum, quibusdam impedit quos non distinctio earum ipsa sapiente minima nihil, eius aliquam dolor.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Doloribus consequatur, ea officiis ab aliquid quia commodi non? Non molestias, a accusantium perferendis necessitatibus repellat libero nemo, doloribus quaerat iusto, laudantium? Laudantium in, aliquam deserunt hic esse sint amet animi, necessitatibus labore officiis temporibus nihil excepturi ex totam, dolore placeat illo error ea quod nesciunt dolores!</p>", "Perferendis, quasi, quaerat!", "Odit voluptatem quis aut nemo qui ullam, aperiam reprehenderit molestias sint ea.\r\n", "inherit", "closed", "closed", "", "219-revision-v1", "", "", "2018-07-28 18:45:55", "2018-07-28 18:45:55", "", "219", "http://localhost:8888/metonymic/2018/07/28/219-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("232", "1", "2018-07-28 18:46:22", "2018-07-28 18:46:22", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Natus, vero repellendus eos. Sed velit aliquid corporis numquam quis officiis maxime consequuntur doloremque amet accusamus nesciunt, praesentium quidem at assumenda quisquam omnis voluptas veritatis?</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eaque quae itaque accusantium nam facilis ad vero, maiores officiis ab, cupiditate, recusandae molestias.</p>\r\n<p>Pariatur consequatur, ipsum quos veritatis in laborum eveniet praesentium dolorum necessitatibus architecto, consectetur amet, officiis consequuntur doloribus earum odio quo recusandae voluptates!</p>\r\n<p>Similique incidunt error voluptatum repellendus fuga sunt, dicta dolore necessitatibus nesciunt reprehenderit adipisci. Sed aperiam a nostrum odit debitis sint, ducimus dolor!</p>\r\n<p>Earum quos, ipsam consectetur nostrum tempora incidunt debitis temporibus itaque assumenda architecto dignissimos perferendis possimus ipsa commodi rerum vero nam ab voluptatem?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Vel quia repellat adipisci quidem aspernatur in. Iusto expedita ratione esse minima nostrum! Minus deleniti rerum impedit hic ullam doloremque a necessitatibus id aliquid blanditiis. At eveniet aspernatur cum veniam. Sequi perspiciatis corporis, laborum nulla nisi odit? Suscipit cupiditate expedita incidunt dolores quis sed minus delectus nulla.</p>\r\n", "Ipsa, ullam, quia.", "Beatae quisquam fuga neque natus impedit iste incidunt. Temporibus ratione perferendis repellendus.\r\n", "inherit", "closed", "closed", "", "220-revision-v1", "", "", "2018-07-28 18:46:22", "2018-07-28 18:46:22", "", "220", "http://localhost:8888/metonymic/2018/07/28/220-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("233", "1", "2018-07-28 18:46:32", "2018-07-28 18:46:32", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Fugit labore voluptatem voluptatum nostrum in explicabo ab itaque perspiciatis ipsam sapiente, recusandae, voluptate unde. Reiciendis voluptatum quia ad nulla recusandae molestias atque sequi laudantium.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Minima, ipsam necessitatibus temporibus qui accusamus, quasi, totam repudiandae doloremque rerum quia delectus nam.</p>\r\n<p>Labore harum, maiores veniam cupiditate qui explicabo voluptatem earum id, dolor, voluptas saepe natus. Porro debitis ullam itaque, accusantium culpa soluta voluptatum.</p>\r\n<p>Assumenda similique labore, corrupti recusandae quisquam, accusantium provident voluptates incidunt, neque eum consequuntur. At minus, iste dolore repudiandae ipsum ea, cupiditate molestias.</p>\r\n<p>Vitae ad id accusamus quia aspernatur ab, iusto, repellendus beatae rem aperiam ipsam atque, laboriosam nesciunt ea sunt officiis in? Modi, velit.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sapiente adipisci, hic itaque dicta, facere tempore aut voluptatum magni. Quisquam tenetur, esse ducimus nesciunt praesentium accusantium porro laborum quas, minus ab placeat repellendus labore perspiciatis? Sapiente odio fugiat, id eum ipsam recusandae nobis nemo assumenda quam! Dolorem provident ipsa consequatur quibusdam illum possimus quis itaque ducimus.</p>", "Reiciendis, praesentium quia.", "Ea illum cumque, incidunt quisquam odit molestiae. Esse, quidem. Nihil, voluptates dolor.\r\n", "inherit", "closed", "closed", "", "221-revision-v1", "", "", "2018-07-28 18:46:32", "2018-07-28 18:46:32", "", "221", "http://localhost:8888/metonymic/2018/07/28/221-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("234", "1", "2018-07-28 18:46:50", "2018-07-28 18:46:50", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Qui quia eveniet harum eos repudiandae at asperiores, fugit molestiae quasi veritatis excepturi totam, tempora, aliquam facere mollitia omnis, nisi cum unde sint accusantium temporibus.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quaerat fugit qui officiis reprehenderit voluptatum tempora, praesentium mollitia nobis, cumque accusantium dolore eveniet.</p>\r\n<p>Earum officiis veniam porro voluptatem neque eveniet quia provident fugit harum! Aut eaque nesciunt ea maxime labore tenetur ad sequi, nobis sint.</p>\r\n<p>Maxime et quia excepturi delectus, atque, molestias quae reprehenderit repudiandae quas sequi dolorem impedit, vel error magni reiciendis ullam eaque suscipit deleniti!</p>\r\n<p>Laudantium eveniet non saepe quibusdam labore quos, at corporis quas voluptatum quae sit nemo autem, expedita voluptates assumenda doloremque sed necessitatibus? Sed.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Harum tempora iste, ex unde quasi culpa cumque repudiandae dolore reprehenderit a quos temporibus animi pariatur consectetur at. Culpa ipsum similique rerum, doloremque numquam architecto, ad repellat quisquam ut aperiam tempore ullam fuga reiciendis at blanditiis maiores atque eaque voluptatibus quasi eligendi earum aliquam. Earum, magni maxime.</p>", "Voluptatibus, consequatur, quo.", "Tempora ab nulla obcaecati quos consequatur molestiae temporibus nihil, numquam ullam. Voluptates!\r\n", "inherit", "closed", "closed", "", "222-revision-v1", "", "", "2018-07-28 18:46:50", "2018-07-28 18:46:50", "", "222", "http://localhost:8888/metonymic/2018/07/28/222-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("235", "1", "2018-07-28 18:46:59", "2018-07-28 18:46:59", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. At voluptatibus iste molestias perferendis et nostrum recusandae, laboriosam, aut ipsum aspernatur doloremque consectetur. Eveniet id tenetur ipsum impedit alias neque, perferendis minima quos deleniti!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Veniam ullam sint, beatae tenetur aspernatur eaque, nam sapiente reprehenderit recusandae aliquid, voluptatum. A!</p>\r\n<p>Fuga quibusdam earum nemo obcaecati accusamus asperiores minus, mollitia aperiam, neque dolores saepe ratione facere hic totam libero et nesciunt rem pariatur.</p>\r\n<p>Aperiam animi distinctio ducimus, deserunt nostrum ipsum natus et nisi, cumque maxime hic repellendus at possimus inventore, maiores eius provident? Adipisci, cumque.</p>\r\n<p>Distinctio tempore architecto voluptate, laborum autem aperiam nesciunt impedit cupiditate dolorem natus placeat aut repellat harum non maiores unde ipsam in tenetur.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Distinctio, sint amet mollitia ratione sed nesciunt minima minus, hic voluptatum ab eos illum in molestiae sequi cupiditate, molestias reprehenderit deserunt ut cumque, exercitationem earum ea. Doloremque voluptatum numquam et, aut porro expedita magnam maxime officia sequi perspiciatis odio iure praesentium veniam mollitia ipsum dolores pariatur quod.</p>\r\n", "Fugiat, dolorum, nihil.", "In maxime tempore quo sapiente nobis quae? Incidunt, minus iusto vero ratione!\r\n", "inherit", "closed", "closed", "", "223-revision-v1", "", "", "2018-07-28 18:46:59", "2018-07-28 18:46:59", "", "223", "http://localhost:8888/metonymic/2018/07/28/223-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("236", "1", "2018-07-28 18:47:20", "2018-07-28 18:47:20", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Similique nisi architecto explicabo, quia, ab officiis nemo ad fuga aliquid, consequatur eveniet! Praesentium iste cumque dolore quos aspernatur deleniti itaque, porro quis, adipisci necessitatibus?</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Id aliquid illo, praesentium aspernatur impedit, illum ea voluptatum nobis iure adipisci obcaecati laboriosam.</p>\r\n<p>Tempora quidem quam neque autem est optio laboriosam dolores nesciunt enim rerum, suscipit mollitia facere deleniti, magni aliquid reprehenderit commodi. Similique, voluptatibus?</p>\r\n<p>Modi tempora nam eveniet inventore est at ullam explicabo quam maxime, iusto, minus sapiente, similique vero perferendis! Suscipit sed voluptates sint explicabo.</p>\r\n<p>A repellat animi necessitatibus! Repellat nostrum quidem suscipit maiores accusantium at, officiis unde sit modi consectetur totam repellendus! Necessitatibus doloremque ex laboriosam!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sed aliquam amet veniam nam reiciendis delectus sint quisquam laborum et aspernatur porro eaque, dicta soluta inventore similique non minus! Facere, molestias. Architecto quis libero quam error vel corporis, labore quidem illum cumque tempore, magni nam odio dolores atque rerum ipsa aut laborum facere, fugit enim tenetur.</p>\r\n", "Obcaecati, numquam, atque.", "Quam expedita in nostrum incidunt cum fugit quisquam dolore temporibus perferendis, debitis.\r\n", "inherit", "closed", "closed", "", "224-revision-v1", "", "", "2018-07-28 18:47:20", "2018-07-28 18:47:20", "", "224", "http://localhost:8888/metonymic/2018/07/28/224-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("237", "1", "2018-07-28 18:47:38", "2018-07-28 18:47:38", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur hic quasi odio voluptates eligendi illum suscipit asperiores fugit placeat inventore ratione explicabo assumenda blanditiis ipsam ipsum repellat ipsa, sint tempora odit eos? Sequi!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eveniet obcaecati ratione cum id natus asperiores maiores recusandae animi, corporis dolore dolorem ut!</p>\r\n<p>Soluta sunt quos dolore cumque earum temporibus, officiis at similique voluptas quam ullam accusantium autem, odio fugit magnam aut quisquam unde rem.</p>\r\n<p>Ad, eaque quo voluptatem dolorum esse minus illo, cupiditate fuga quidem ipsa! Voluptatem asperiores consequatur, nesciunt minima doloribus, dolorum fuga alias. Voluptas.</p>\r\n<p>Provident omnis veritatis rem debitis impedit quo excepturi! Illum, nesciunt, dolores adipisci sapiente soluta explicabo nihil debitis molestiae excepturi esse placeat accusamus.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Unde maxime nihil doloremque! Quos asperiores voluptas aliquam molestiae ut molestias fugiat, quasi, expedita amet explicabo aspernatur perferendis, eum reiciendis dicta natus accusamus alias incidunt sunt nemo voluptatum nesciunt veritatis architecto et doloremque aperiam! At enim nisi aut dignissimos minus corporis, magni tenetur eveniet aliquam illo! Error!</p>\r\n", "At, omnis quasi!", "", "inherit", "closed", "closed", "", "226-revision-v1", "", "", "2018-07-28 18:47:38", "2018-07-28 18:47:38", "", "226", "http://localhost:8888/metonymic/2018/07/28/226-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("238", "1", "2018-07-28 18:47:46", "2018-07-28 18:47:46", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Magnam, reprehenderit at. Consequuntur facere consequatur sapiente ab ducimus labore quam quod modi cumque distinctio, nostrum, voluptates sint, a voluptatem fuga placeat quis aliquam eius.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatum, pariatur nam odit ad quas optio non, quasi sed officiis quaerat reiciendis consectetur.</p>\r\n<p>Iure in, officiis nam cum neque ducimus commodi consequuntur magni enim veniam nemo alias aliquid eveniet nihil repellat dolore omnis. Repellendus, atque.</p>\r\n<p>Voluptate aspernatur velit nam assumenda mollitia facilis explicabo, commodi, neque eaque consequuntur illo. Inventore adipisci nulla ullam suscipit vero odit, quaerat quia.</p>\r\n<p>Provident, consequuntur atque exercitationem corrupti laboriosam ipsam, reiciendis, praesentium totam delectus quas nobis doloribus. Voluptas ipsum explicabo eaque mollitia cupiditate ratione nam!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. In nesciunt ratione tempore quaerat, cum assumenda distinctio quod debitis, harum nulla expedita. Architecto odio quae esse commodi eveniet mollitia nihil, cupiditate corporis delectus ipsum. Fugiat perferendis nulla culpa tempora modi eius id dolor harum optio ea aliquam quaerat voluptatum similique, pariatur nisi deleniti, et animi itaque.</p>\r\n", "Eum, atque, numquam.", "Porro consequuntur quisquam minus nemo placeat alias neque aliquam, provident iusto similique.\r\n", "inherit", "closed", "closed", "", "227-revision-v1", "", "", "2018-07-28 18:47:46", "2018-07-28 18:47:46", "", "227", "http://localhost:8888/metonymic/2018/07/28/227-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("239", "1", "2018-07-28 18:47:56", "2018-07-28 18:47:56", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Magnam, reprehenderit at. Consequuntur facere consequatur sapiente ab ducimus labore quam quod modi cumque distinctio, nostrum, voluptates sint, a voluptatem fuga placeat quis aliquam eius.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatum, pariatur nam odit ad quas optio non, quasi sed officiis quaerat reiciendis consectetur.</p>\r\n<p>Iure in, officiis nam cum neque ducimus commodi consequuntur magni enim veniam nemo alias aliquid eveniet nihil repellat dolore omnis. Repellendus, atque.</p>\r\n<p>Voluptate aspernatur velit nam assumenda mollitia facilis explicabo, commodi, neque eaque consequuntur illo. Inventore adipisci nulla ullam suscipit vero odit, quaerat quia.</p>\r\n<p>Provident, consequuntur atque exercitationem corrupti laboriosam ipsam, reiciendis, praesentium totam delectus quas nobis doloribus. Voluptas ipsum explicabo eaque mollitia cupiditate ratione nam!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. In nesciunt ratione tempore quaerat, cum assumenda distinctio quod debitis, harum nulla expedita. Architecto odio quae esse commodi eveniet mollitia nihil, cupiditate corporis delectus ipsum. Fugiat perferendis nulla culpa tempora modi eius id dolor harum optio ea aliquam quaerat voluptatum similique, pariatur nisi deleniti, et animi itaque.</p>\r\n", "Fugiat illum, ratione.", "Porro consequuntur quisquam minus nemo placeat alias neque aliquam, provident iusto similique.\r\n", "inherit", "closed", "closed", "", "227-revision-v1", "", "", "2018-07-28 18:47:56", "2018-07-28 18:47:56", "", "227", "http://localhost:8888/metonymic/2018/07/28/227-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("240", "1", "2018-07-28 18:48:12", "2018-07-28 18:48:12", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur hic quasi odio voluptates eligendi illum suscipit asperiores fugit placeat inventore ratione explicabo assumenda blanditiis ipsam ipsum repellat ipsa, sint tempora odit eos? Sequi!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eveniet obcaecati ratione cum id natus asperiores maiores recusandae animi, corporis dolore dolorem ut!</p>\r\n<p>Soluta sunt quos dolore cumque earum temporibus, officiis at similique voluptas quam ullam accusantium autem, odio fugit magnam aut quisquam unde rem.</p>\r\n<p>Ad, eaque quo voluptatem dolorum esse minus illo, cupiditate fuga quidem ipsa! Voluptatem asperiores consequatur, nesciunt minima doloribus, dolorum fuga alias. Voluptas.</p>\r\n<p>Provident omnis veritatis rem debitis impedit quo excepturi! Illum, nesciunt, dolores adipisci sapiente soluta explicabo nihil debitis molestiae excepturi esse placeat accusamus.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Unde maxime nihil doloremque! Quos asperiores voluptas aliquam molestiae ut molestias fugiat, quasi, expedita amet explicabo aspernatur perferendis, eum reiciendis dicta natus accusamus alias incidunt sunt nemo voluptatum nesciunt veritatis architecto et doloremque aperiam! At enim nisi aut dignissimos minus corporis, magni tenetur eveniet aliquam illo! Error!</p>\r\n", "Veniam, cupiditate, eligendi!", "Sapiente, ex, vel. Enim libero consequatur perferendis architecto harum, voluptatum maxime adipisci!\r\n", "inherit", "closed", "closed", "", "225-revision-v1", "", "", "2018-07-28 18:48:12", "2018-07-28 18:48:12", "", "225", "http://localhost:8888/metonymic/2018/07/28/225-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("241", "1", "2018-07-28 18:48:23", "2018-07-28 18:48:23", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Cum tempora, incidunt modi sint rerum delectus iste dolorem veniam omnis ullam saepe quia, laboriosam iusto dolorum ducimus velit. Cum aperiam laudantium cumque, perspiciatis minima!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quibusdam omnis ipsum et, praesentium sint expedita eum soluta. Distinctio ipsam soluta praesentium laborum.</p>\r\n<p>Aut eos ea incidunt atque laudantium, doloribus harum est asperiores modi similique impedit, perspiciatis, rem quod accusantium dignissimos? Soluta eum, assumenda doloremque.</p>\r\n<p>Soluta distinctio odio est excepturi eos quis, delectus ex maiores quos nemo cum, accusamus, ratione facere enim aliquid accusantium facilis, cupiditate eius.</p>\r\n<p>Temporibus ipsum sint provident ad iste, ipsa natus id, voluptatem, commodi aliquam ullam nobis? Dolorum quia nihil voluptas quas dolore sapiente! Voluptatum.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quam soluta culpa laborum! Sit rerum porro fuga eos, expedita nesciunt cumque totam esse provident rem! Eius recusandae fuga quasi, ipsum. Nemo quaerat perferendis sunt architecto reprehenderit est mollitia eius, laboriosam quidem consequatur perspiciatis, placeat cupiditate nesciunt omnis illo vel! Sit quisquam totam, ipsum veritatis laborum voluptatum.</p>", "Porro, ratione, expedita.", "Voluptates unde, sit officia. Dolores earum sapiente neque tempora, excepturi exercitationem distinctio!\r\n", "inherit", "closed", "closed", "", "228-revision-v1", "", "", "2018-07-28 18:48:23", "2018-07-28 18:48:23", "", "228", "http://localhost:8888/metonymic/2018/07/28/228-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("242", "1", "2018-07-28 18:48:47", "2018-07-28 18:48:47", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur molestias dicta, cum quae voluptatum tenetur illo atque id est at natus animi provident maxime in libero deserunt facere ea sint. A, perspiciatis non.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Assumenda quas omnis dolores? Eos alias dolorum, commodi neque! Expedita harum eveniet, quisquam laboriosam!</p>\r\n<p>In dicta hic quidem, dolorem fugit eveniet. Inventore quam, sint fugit repudiandae cupiditate ducimus voluptate voluptatibus autem laborum labore veritatis officia ullam!</p>\r\n<p>Fugiat modi enim earum est saepe magnam eligendi at, asperiores cumque similique officia possimus adipisci nulla ullam alias reprehenderit, praesentium neque tempora!</p>\r\n<p>Placeat aut unde incidunt blanditiis dolorum, facilis id error, officiis velit ex. Est vel, aspernatur quis inventore autem id veniam vitae, recusandae.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Libero tempore facere ab animi eveniet sunt, consequuntur nisi non ducimus nostrum. Sit dolorum tempore assumenda ea ipsum, praesentium cumque cupiditate, impedit neque quasi culpa dolore. Nisi quasi, fuga enim aperiam aliquam dolorum architecto. Quo incidunt vel quos tenetur minima, quae, quam iusto numquam expedita, totam modi!</p>", "Blanditiis repellat, rerum.", "Eum deleniti nobis porro ea sapiente. Suscipit doloremque temporibus, sit commodi omnis.\r\n", "inherit", "closed", "closed", "", "229-revision-v1", "", "", "2018-07-28 18:48:47", "2018-07-28 18:48:47", "", "229", "http://localhost:8888/metonymic/2018/07/28/229-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("243", "1", "2018-07-28 18:48:55", "2018-07-28 18:48:55", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quae id possimus dolores harum! Cupiditate voluptate perferendis tempore ipsa, adipisci ea atque. Nostrum nihil non sint, doloribus magni est doloremque voluptatem nam laborum pariatur.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Dicta molestias, quis. Numquam ea ut, quibusdam, rerum nobis voluptatibus inventore sapiente at adipisci.</p>\r\n<p>Iure iusto asperiores temporibus molestias expedita minus optio soluta, cumque sequi provident blanditiis ex, in dolor unde necessitatibus, ad sint tenetur dolorum!</p>\r\n<p>Repellendus, eos nostrum quas vitae, blanditiis sed fugiat in, suscipit impedit exercitationem maiores necessitatibus voluptatem praesentium quidem pariatur quasi molestias dicta error.</p>\r\n<p>Neque error, iusto deserunt. Est, nulla deleniti minus fugit molestias. Libero vero cupiditate nam quisquam nesciunt tenetur, nihil. Voluptatum, ratione ex laboriosam?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Maxime eaque quis iste commodi. Fugit eveniet dolore maxime vel animi ea, fuga tempore excepturi fugiat vero, nesciunt assumenda. Officiis nobis ex corporis architecto mollitia accusantium! Quibusdam maxime ad, sed sapiente quae recusandae quasi repudiandae dignissimos dolor modi enim possimus dolorem, cupiditate odit, iste saepe incidunt aperiam.</p>\r\n", "Aliquid, porro provident.", "Perspiciatis neque repudiandae eligendi eos repellat atque similique magnam, aspernatur, dignissimos a.\r\n", "inherit", "closed", "closed", "", "207-revision-v1", "", "", "2018-07-28 18:48:55", "2018-07-28 18:48:55", "", "207", "http://localhost:8888/metonymic/2018/07/28/207-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("244", "1", "2018-07-28 18:49:12", "2018-07-28 18:49:12", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Dolorum omnis fuga quidem beatae eum quasi incidunt corporis nisi architecto aperiam illo soluta, non autem, sint vitae minus culpa voluptatum praesentium ullam cum doloremque.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quidem explicabo corporis at totam, quod sit iusto voluptatem aliquam, tenetur natus delectus eos.</p>\r\n<p>Reprehenderit, nesciunt quia, expedita, molestiae est architecto sed qui perferendis enim iure consectetur fuga facilis laboriosam? Esse modi inventore animi consequatur, iste.</p>\r\n<p>Consectetur soluta, voluptatem! Nemo odit nihil unde quaerat consectetur cupiditate sapiente, porro dolore pariatur explicabo voluptatum reprehenderit, aperiam soluta culpa veritatis quam.</p>\r\n<p>Minima illum itaque perferendis fugit dicta ad voluptatem a eaque optio obcaecati quos reprehenderit, quidem, eius provident enim, asperiores, praesentium dolor quisquam!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ipsa consequuntur recusandae aspernatur necessitatibus dignissimos neque pariatur tempore iusto, accusantium tempora quis obcaecati saepe nesciunt nam est a quo sunt fuga deleniti voluptates voluptas inventore. Officiis saepe dolorem enim veniam optio quae corporis, vel, nulla. Suscipit ipsa ratione explicabo magnam recusandae cum doloribus quidem neque necessitatibus.</p>\r\n", "Qui, deleniti alias.", "Tenetur eum cum nobis, error minima, odio at ipsum deserunt illum sunt.\r\n", "inherit", "closed", "closed", "", "218-revision-v1", "", "", "2018-07-28 18:49:12", "2018-07-28 18:49:12", "", "218", "http://localhost:8888/metonymic/2018/07/28/218-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("245", "1", "2018-07-28 18:49:21", "2018-07-28 18:49:21", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quae id possimus dolores harum! Cupiditate voluptate perferendis tempore ipsa, adipisci ea atque. Nostrum nihil non sint, doloribus magni est doloremque voluptatem nam laborum pariatur.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Dicta molestias, quis. Numquam ea ut, quibusdam, rerum nobis voluptatibus inventore sapiente at adipisci.</p>\r\n<p>Iure iusto asperiores temporibus molestias expedita minus optio soluta, cumque sequi provident blanditiis ex, in dolor unde necessitatibus, ad sint tenetur dolorum!</p>\r\n<p>Repellendus, eos nostrum quas vitae, blanditiis sed fugiat in, suscipit impedit exercitationem maiores necessitatibus voluptatem praesentium quidem pariatur quasi molestias dicta error.</p>\r\n<p>Neque error, iusto deserunt. Est, nulla deleniti minus fugit molestias. Libero vero cupiditate nam quisquam nesciunt tenetur, nihil. Voluptatum, ratione ex laboriosam?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Maxime eaque quis iste commodi. Fugit eveniet dolore maxime vel animi ea, fuga tempore excepturi fugiat vero, nesciunt assumenda. Officiis nobis ex corporis architecto mollitia accusantium! Quibusdam maxime ad, sed sapiente quae recusandae quasi repudiandae dignissimos dolor modi enim possimus dolorem, cupiditate odit, iste saepe incidunt aperiam.</p>\r\n", "Non, aspernatur, eligendi.", "Perspiciatis neque repudiandae eligendi eos repellat atque similique magnam, aspernatur, dignissimos a.\r\n", "inherit", "closed", "closed", "", "207-revision-v1", "", "", "2018-07-28 18:49:21", "2018-07-28 18:49:21", "", "207", "http://localhost:8888/metonymic/2018/07/28/207-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("246", "1", "2018-07-28 18:49:30", "2018-07-28 18:49:30", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Culpa itaque alias tempore omnis voluptatem, aperiam voluptas blanditiis! Voluptas doloremque, quaerat facere, eaque quos dolores laboriosam perspiciatis explicabo ducimus ex molestiae voluptatum veniam dolore.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Perferendis id accusamus, iusto esse iste quia omnis veritatis, vero nesciunt, explicabo molestiae, necessitatibus!</p>\r\n<p>Earum aliquam corporis libero voluptates quisquam magnam ducimus laudantium animi quidem, officiis quia optio ex, explicabo, accusamus nemo mollitia eligendi doloremque tempora!</p>\r\n<p>Quod eius ullam, nam et reiciendis, saepe recusandae dolor aliquam consectetur nemo molestiae magnam optio vel eum facilis animi culpa voluptatum delectus!</p>\r\n<p>Earum eveniet tempora consequuntur unde, repellendus dolorum iure pariatur blanditiis quasi animi. Obcaecati excepturi est fugit, molestias mollitia, eaque numquam similique asperiores.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Asperiores eos similique ipsam dolorum, repellat quibusdam quis doloremque id fugiat cumque assumenda, excepturi magni esse sapiente fugit nemo ipsa quia dolore aliquam. Impedit reiciendis, aperiam animi dolor sed, hic ut! Culpa vitae porro dolores, praesentium voluptates ratione repudiandae sequi dolorem nam veritatis id deserunt, sit quia.</p>\r\n", "Pariatur, ea, quis.", "A quas, fugit. Voluptatum corporis, debitis? Perspiciatis harum error placeat, porro quod!\r\n", "inherit", "closed", "closed", "", "206-revision-v1", "", "", "2018-07-28 18:49:30", "2018-07-28 18:49:30", "", "206", "http://localhost:8888/metonymic/2018/07/28/206-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("247", "1", "2018-07-28 18:49:41", "2018-07-28 18:49:41", "Neque error, iusto deserunt. Est, nulla deleniti minus fugit molestias. Libero vero cupiditate nam quisquam nesciunt tenetur, nihil deleniti minus fugit molestias. . Voluptatum, ratione ex laboriosam?\r\n<h3>Lorem ipsum dolor.</h3>\r\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Dicta molestias, quis. Numquam ea ut, quibusdam, rerum nobis voluptatibus inventore sapiente at adipisci.\r\n\r\nIure iusto asperiores temporibus molestias expedita minus optio soluta, cumque sequi provident blanditiis ex, in dolor unde necessitatibus, ad sint tenetur dolorum!\r\n\r\nRepellendus, eos nostrum quas vitae, blanditiis sed fugiat in, suscipit impedit exercitationem maiores necessitatibus voluptatem praesentium quidem pariatur quasi molestias dicta error.\r\n\r\n<h3>Lorem ipsum dolor sit.</h3>\r\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Maxime eaque quis iste commodi. Fugit eveniet dolore maxime vel animi ea, fuga tempore excepturi fugiat vero, nesciunt assumenda. Officiis nobis ex corporis architecto mollitia accusantium! Quibusdam maxime ad, sed sapiente quae recusandae quasi repudiandae dignissimos dolor modi enim possimus dolorem, cupiditate odit, iste saepe incidunt aperiam.", "Vel, eius facere.", "Lorem ipsum dolor sit amet, consectetur adipisicing elit. Fuga facilis accusamus molestias.\r\n", "inherit", "closed", "closed", "", "205-revision-v1", "", "", "2018-07-28 18:49:41", "2018-07-28 18:49:41", "", "205", "http://localhost:8888/metonymic/2018/07/28/205-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("248", "1", "2018-07-28 18:49:52", "2018-07-28 18:49:52", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quae id possimus dolores harum! Cupiditate voluptate perferendis tempore ipsa, adipisci ea atque. Nostrum nihil non sint, doloribus magni est doloremque voluptatem nam laborum pariatur.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Dicta molestias, quis. Numquam ea ut, quibusdam, rerum nobis voluptatibus inventore sapiente at adipisci.</p>\r\n<p>Iure iusto asperiores temporibus molestias expedita minus optio soluta, cumque sequi provident blanditiis ex, in dolor unde necessitatibus, ad sint tenetur dolorum!</p>\r\n<p>Repellendus, eos nostrum quas vitae, blanditiis sed fugiat in, suscipit impedit exercitationem maiores necessitatibus voluptatem praesentium quidem pariatur quasi molestias dicta error.</p>\r\n<p>Neque error, iusto deserunt. Est, nulla deleniti minus fugit molestias. Libero vero cupiditate nam quisquam nesciunt tenetur, nihil. Voluptatum, ratione ex laboriosam?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Maxime eaque quis iste commodi. Fugit eveniet dolore maxime vel animi ea, fuga tempore excepturi fugiat vero, nesciunt assumenda. Officiis nobis ex corporis architecto mollitia accusantium! Quibusdam maxime ad, sed sapiente quae recusandae quasi repudiandae dignissimos dolor modi enim possimus dolorem, cupiditate odit, iste saepe incidunt aperiam.</p>\r\n", "Obcaecati voluptatibus, porro?", "Perspiciatis neque repudiandae eligendi eos repellat atque similique magnam, aspernatur, dignissimos a.\r\n", "inherit", "closed", "closed", "", "207-revision-v1", "", "", "2018-07-28 18:49:52", "2018-07-28 18:49:52", "", "207", "http://localhost:8888/metonymic/2018/07/28/207-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("249", "1", "2018-07-28 18:50:10", "2018-07-28 18:50:10", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur eveniet ratione, sint quas aliquam earum? Vel excepturi, dolores itaque incidunt culpa odio dignissimos, atque consequatur iusto reprehenderit id, porro nam! Delectus, architecto, consectetur.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quam quo ducimus deleniti, reiciendis cum necessitatibus, voluptatibus. Recusandae quod labore soluta eligendi, hic!</p>\r\n<p>Est impedit repellat voluptatum veniam odit dolorem nesciunt aliquid recusandae consectetur in ea neque explicabo sequi quaerat itaque aut vel, beatae. Cum.</p>\r\n<p>Ea neque sit, corporis aut quasi in tenetur eum incidunt saepe! Odit, fugiat. Ab maxime, placeat totam quam nesciunt. Voluptatum, ipsam, odit.</p>\r\n<p>Delectus vel quidem saepe perferendis fuga, ex quam obcaecati corporis ipsum, sunt quia repellendus laboriosam error doloremque dolores amet fugiat. Ullam, eaque!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Dolore iure omnis adipisci nemo iste aspernatur alias labore commodi? Fuga impedit dicta, sequi voluptatibus sunt quas ratione velit! Doloribus alias beatae doloremque ad a est nulla consequatur optio veritatis natus sit sequi, iusto expedita, officiis ut temporibus delectus. Nostrum quis tempore porro illo. Nam quis, praesentium.</p>\r\n", "Ea, eveniet, saepe!", "Necessitatibus officiis aliquid incidunt molestias odit consequatur et. Dolore nesciunt sit sint.\r\n", "inherit", "closed", "closed", "", "208-revision-v1", "", "", "2018-07-28 18:50:10", "2018-07-28 18:50:10", "", "208", "http://localhost:8888/metonymic/2018/07/28/208-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("250", "1", "2018-07-28 18:50:21", "2018-07-28 18:50:21", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Tempore facilis minus beatae modi animi quisquam impedit quia repellat ipsam ipsum, aut et qui perspiciatis culpa voluptas inventore a necessitatibus eum tempora voluptatum vel!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ipsum nesciunt quae deleniti. Nulla voluptate ullam libero, corporis maiores at quae rerum quam!</p>\r\n<p>Totam sequi amet rem dolores quis, aliquam eveniet accusantium ipsam sunt quidem suscipit voluptate qui, consequuntur harum distinctio architecto incidunt illum beatae.</p>\r\n<p>Esse voluptatibus quas quasi tempore, odit at! Molestiae ab accusantium et, rem soluta reprehenderit sequi fugiat consequatur veniam, veritatis saepe voluptate cupiditate.</p>\r\n<p>Quisquam aliquid, fuga aspernatur soluta obcaecati? Laborum quos minus officia non est repellendus eum pariatur quasi nam ipsam id perferendis, earum, atque.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eius voluptas, laudantium cupiditate veritatis explicabo nemo excepturi similique, vel optio aperiam corporis pariatur, odio quia quis numquam in veniam. Saepe similique quo consequuntur unde harum, blanditiis fuga debitis sint laudantium ullam natus voluptas, ducimus a, libero praesentium! Id nam sed sint nostrum possimus nesciunt quis dignissimos?</p>\r\n", "Dignissimos odit, deleniti!", "Dolorem aut veritatis labore magnam blanditiis, maiores iure similique sint expedita illo.\r\n", "inherit", "closed", "closed", "", "209-revision-v1", "", "", "2018-07-28 18:50:21", "2018-07-28 18:50:21", "", "209", "http://localhost:8888/metonymic/2018/07/28/209-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("251", "1", "2018-07-28 18:50:30", "2018-07-28 18:50:30", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Qui magnam expedita ea assumenda nobis id quod odio accusamus dicta numquam, voluptate amet quaerat voluptas velit laudantium maxime vel ducimus aperiam perspiciatis soluta doloremque.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Veritatis quas beatae, officia nisi inventore deleniti natus earum quia. Dolores illum quas dolorem.</p>\r\n<p>Placeat fugit, laudantium inventore blanditiis eos debitis aperiam! Nisi blanditiis repudiandae autem. Dicta aspernatur obcaecati, dolorum ullam! Pariatur recusandae, ducimus hic harum.</p>\r\n<p>Hic sapiente sunt quam, consectetur delectus tempore iste saepe similique obcaecati, numquam illum vel impedit dolor eius, quod maiores architecto incidunt voluptate.</p>\r\n<p>Accusamus aperiam quaerat sequi, libero cum nesciunt distinctio vel eveniet deserunt dicta possimus blanditiis, perspiciatis atque officiis adipisci ad tenetur vero consequatur.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Minima quaerat alias harum, explicabo cupiditate non aperiam in aliquam. Quae quidem, iusto qui natus assumenda dolores, architecto magnam laudantium minima! Tempora voluptates qui placeat quo, amet, fugiat quis porro molestiae ipsa esse in pariatur, nesciunt maiores! Nemo voluptas voluptatem alias quidem voluptates aut pariatur! Eum, incidunt.</p>", "Cumque, provident, sint.", "Dolorem earum itaque repellendus maiores aperiam eaque deleniti nostrum adipisci nihil ut.\r\n", "inherit", "closed", "closed", "", "216-revision-v1", "", "", "2018-07-28 18:50:30", "2018-07-28 18:50:30", "", "216", "http://localhost:8888/metonymic/2018/07/28/216-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("252", "1", "2018-07-28 18:50:44", "2018-07-28 18:50:44", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eos similique aliquam rerum saepe ipsum! Earum culpa laudantium error quae? Soluta numquam magni, nobis incidunt doloremque recusandae pariatur, natus mollitia accusantium molestiae et iure!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Praesentium reprehenderit perspiciatis fuga placeat nesciunt illo accusamus aut quia facere culpa? Minima, quasi?</p>\r\n<p>Quam porro, voluptates eaque error tenetur dolore, reprehenderit maiores facilis soluta ad obcaecati ipsum odit impedit voluptate praesentium quos deserunt fuga placeat.</p>\r\n<p>Ducimus eius laboriosam corporis a ex itaque, facere exercitationem repudiandae qui est, in aliquam. Enim, possimus, dolorum necessitatibus nemo quae quos iusto.</p>\r\n<p>Excepturi nisi doloribus doloremque, enim veritatis itaque perferendis maxime corporis voluptas et eveniet repudiandae commodi modi ducimus adipisci, mollitia repellat ullam quod?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Placeat quam voluptates reprehenderit nemo ad maiores sit deleniti quia, magni in quas sed earum commodi possimus explicabo perspiciatis iure debitis eveniet natus quidem neque velit, facere, nulla. Accusantium aperiam optio quibusdam itaque ducimus, quidem ex voluptatibus tenetur laborum laudantium ipsa esse, dolorem deleniti facilis explicabo! Saepe.</p>", "Quisquam, vel placeat.", "Et iste recusandae illo. Dolores illo eum iure aut. Consequatur illo, repellendus?\r\n", "inherit", "closed", "closed", "", "212-revision-v1", "", "", "2018-07-28 18:50:44", "2018-07-28 18:50:44", "", "212", "http://localhost:8888/metonymic/2018/07/28/212-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("253", "1", "2018-07-28 18:50:56", "2018-07-28 18:50:56", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eos similique aliquam rerum saepe ipsum! Earum culpa laudantium error quae? Soluta numquam magni, nobis incidunt doloremque recusandae pariatur, natus mollitia accusantium molestiae et iure!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Praesentium reprehenderit perspiciatis fuga placeat nesciunt illo accusamus aut quia facere culpa? Minima, quasi?</p>\r\n<p>Quam porro, voluptates eaque error tenetur dolore, reprehenderit maiores facilis soluta ad obcaecati ipsum odit impedit voluptate praesentium quos deserunt fuga placeat.</p>\r\n<p>Ducimus eius laboriosam corporis a ex itaque, facere exercitationem repudiandae qui est, in aliquam. Enim, possimus, dolorum necessitatibus nemo quae quos iusto.</p>\r\n<p>Excepturi nisi doloribus doloremque, enim veritatis itaque perferendis maxime corporis voluptas et eveniet repudiandae commodi modi ducimus adipisci, mollitia repellat ullam quod?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Placeat quam voluptates reprehenderit nemo ad maiores sit deleniti quia, magni in quas sed earum commodi possimus explicabo perspiciatis iure debitis eveniet natus quidem neque velit, facere, nulla. Accusantium aperiam optio quibusdam itaque ducimus, quidem ex voluptatibus tenetur laborum laudantium ipsa esse, dolorem deleniti facilis explicabo! Saepe.</p>", "Rerum eum, maiores.", "Et iste recusandae illo. Dolores illo eum iure aut. Consequatur illo, repellendus?\r\n", "inherit", "closed", "closed", "", "212-revision-v1", "", "", "2018-07-28 18:50:56", "2018-07-28 18:50:56", "", "212", "http://localhost:8888/metonymic/2018/07/28/212-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("254", "1", "2018-07-28 18:51:36", "2018-07-28 18:51:36", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Placeat ratione quibusdam omnis explicabo amet inventore optio iusto veritatis mollitia perferendis quisquam ea deleniti earum ipsum nobis beatae quis quidem quod, excepturi, quasi accusantium.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Iste omnis, alias laudantium veniam atque modi, id suscipit rem consequatur voluptatum sunt nulla?</p>\r\n<p>Odit, veritatis, voluptate. Magnam enim placeat dolore amet culpa, perferendis iusto tenetur impedit! Cupiditate vel odit culpa, harum illo repellat nobis temporibus!</p>\r\n<p>Earum corporis, a beatae porro dicta fuga velit accusamus atque cupiditate nulla laudantium necessitatibus quaerat commodi! Atque itaque unde earum quae repellat!</p>\r\n<p>Deleniti, quasi, et voluptatibus, modi, voluptatum praesentium iste dolore aperiam molestiae temporibus necessitatibus! Sint soluta ex accusantium ducimus quis, fugit esse sed!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Incidunt quod eius ipsam officia debitis omnis, repellat, et sed distinctio voluptatem expedita, quisquam quae, sapiente vel illo ullam iure praesentium sequi culpa velit quo fugiat blanditiis quaerat! Quo vel similique sint quae perferendis nesciunt, magnam, eveniet rem suscipit nobis excepturi necessitatibus quis sapiente voluptates. Reprehenderit, repellendus.</p>\r\n", "Aspernatur ipsa, esse!", "Voluptas laboriosam, consequuntur. Odit sed voluptatem explicabo placeat quod harum minima, fugit.\r\n", "inherit", "closed", "closed", "", "215-revision-v1", "", "", "2018-07-28 18:51:36", "2018-07-28 18:51:36", "", "215", "http://localhost:8888/metonymic/2018/07/28/215-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("255", "1", "2018-07-28 18:51:45", "2018-07-28 18:51:45", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Assumenda incidunt, accusamus saepe. Consectetur molestias nulla hic adipisci eaque provident optio, odit magni ut sit quod ea suscipit, saepe eos dolor exercitationem neque quasi?</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Unde eum consequatur ea illum blanditiis impedit iste perferendis sapiente sed, quaerat inventore, ab.</p>\r\n<p>Necessitatibus, incidunt dolores neque distinctio amet ducimus, magni dolorem quam. Sunt quia inventore rerum neque reprehenderit sequi tenetur possimus molestias quam molestiae?</p>\r\n<p>Reiciendis officiis obcaecati, odit repellendus debitis eligendi vitae consequatur provident vel aliquid nemo ratione. Fugiat cumque et, adipisci, facilis similique unde perspiciatis.</p>\r\n<p>Quibusdam, in dolorum! Sequi quasi recusandae deleniti accusantium consequatur dolor quam aliquam, aliquid ipsum perferendis similique aut id minus nihil ex libero!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sint tempore suscipit labore veritatis, cumque delectus fugiat debitis in voluptate recusandae provident ipsum, ipsa aliquam, iusto numquam minus maxime quos culpa tempora mollitia neque dolorem quibusdam! Vitae libero nisi voluptatum rerum saepe nulla harum minima nam nesciunt! Ipsa veniam, cumque ratione reprehenderit totam quia et fugiat.</p>\r\n", "Laboriosam, ullam similique.", "Quaerat quia ab repudiandae suscipit accusamus expedita reiciendis officiis dolor inventore deserunt?\r\n", "inherit", "closed", "closed", "", "213-revision-v1", "", "", "2018-07-28 18:51:45", "2018-07-28 18:51:45", "", "213", "http://localhost:8888/metonymic/2018/07/28/213-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("256", "1", "2018-07-28 18:51:53", "2018-07-28 18:51:53", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eos similique aliquam rerum saepe ipsum! Earum culpa laudantium error quae? Soluta numquam magni, nobis incidunt doloremque recusandae pariatur, natus mollitia accusantium molestiae et iure!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Praesentium reprehenderit perspiciatis fuga placeat nesciunt illo accusamus aut quia facere culpa? Minima, quasi?</p>\r\n<p>Quam porro, voluptates eaque error tenetur dolore, reprehenderit maiores facilis soluta ad obcaecati ipsum odit impedit voluptate praesentium quos deserunt fuga placeat.</p>\r\n<p>Ducimus eius laboriosam corporis a ex itaque, facere exercitationem repudiandae qui est, in aliquam. Enim, possimus, dolorum necessitatibus nemo quae quos iusto.</p>\r\n<p>Excepturi nisi doloribus doloremque, enim veritatis itaque perferendis maxime corporis voluptas et eveniet repudiandae commodi modi ducimus adipisci, mollitia repellat ullam quod?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Placeat quam voluptates reprehenderit nemo ad maiores sit deleniti quia, magni in quas sed earum commodi possimus explicabo perspiciatis iure debitis eveniet natus quidem neque velit, facere, nulla. Accusantium aperiam optio quibusdam itaque ducimus, quidem ex voluptatibus tenetur laborum laudantium ipsa esse, dolorem deleniti facilis explicabo! Saepe.</p>", "Voluptatibus, delectus, pariatur.", "Et iste recusandae illo. Dolores illo eum iure aut. Consequatur illo, repellendus?\r\n", "inherit", "closed", "closed", "", "212-revision-v1", "", "", "2018-07-28 18:51:53", "2018-07-28 18:51:53", "", "212", "http://localhost:8888/metonymic/2018/07/28/212-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("257", "1", "2018-07-28 18:52:15", "2018-07-28 18:52:15", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eligendi error fuga quis vel ipsa praesentium iste architecto maxime rerum, culpa quidem, facere quia corporis dolores at optio facilis, voluptate molestias. A, odio aperiam!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Repellat nemo maiores odit obcaecati molestiae, voluptatibus laboriosam repellendus iusto! Incidunt ab reiciendis, ex.</p>\r\n<p>Nostrum a ducimus tempora at quos, iste modi vel, sint maxime consectetur recusandae. Vel voluptas tempora commodi laborum placeat, cumque? Quidem, tempora.</p>\r\n<p>Minima illum provident at voluptas sapiente praesentium ut ab fuga placeat, dolorum exercitationem libero. Deserunt tempore tempora dolorum repellendus maiores, cum ipsa.</p>\r\n<p>Explicabo, aut consectetur temporibus nostrum praesentium atque! A praesentium quod esse, vel facere, voluptates quas laudantium. Doloribus odio quia suscipit sit incidunt.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Optio voluptatibus error, dignissimos dolore illum pariatur nisi voluptatem reprehenderit quo. A nobis fuga magnam ab illum hic alias non autem dolores sint ipsam adipisci rem officiis eum molestiae laboriosam distinctio quisquam suscipit provident, nulla nostrum, tenetur unde voluptatibus doloremque. Eius in corrupti error perferendis modi ea!</p>", "Libero est, reprehenderit.", "Dolorem aut veritatis labore magnam blanditiis, maiores iure similique sint expedita illo.\r\n", "inherit", "closed", "closed", "", "210-revision-v1", "", "", "2018-07-28 18:52:15", "2018-07-28 18:52:15", "", "210", "http://localhost:8888/metonymic/2018/07/28/210-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("258", "1", "2018-07-28 18:52:27", "2018-07-28 18:52:27", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sit quo debitis assumenda, esse qui in architecto libero sunt totam consequatur, consectetur fugit tempora modi rerum earum optio fugiat quos cum vitae quasi sequi.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Veritatis nemo iure, totam adipisci quam repudiandae aperiam eius repellendus ducimus atque voluptatum molestias!</p>\r\n<p>Earum culpa non beatae, neque ex. Recusandae perferendis sit cum tempora nostrum vero odit excepturi, possimus saepe dolorum ipsam aperiam praesentium voluptates.</p>\r\n<p>Laborum mollitia, rem doloribus ipsa rerum possimus sed dolorum dolorem ad! Ut, eum suscipit. Maxime aperiam, voluptatibus eos minima distinctio commodi repellat!</p>\r\n<p>Explicabo, totam. Esse voluptate ab omnis dicta, eaque at nulla obcaecati praesentium enim, nesciunt. Blanditiis voluptatem officiis modi, consectetur, hic quia ullam!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Optio inventore accusantium officiis quisquam modi amet nulla, quis quasi, blanditiis, repudiandae ipsa culpa sed. Consectetur esse voluptates vel rerum dicta, perferendis nisi fugiat natus nihil velit nemo cupiditate sequi quaerat nostrum quod dolor at sapiente! Doloribus in sint debitis rerum, fugit quos impedit quia sunt, et!</p>", "Alias, neque dolores.", "Distinctio nam excepturi doloribus, unde, corporis atque saepe voluptatem repellendus omnis quia.\r\n", "inherit", "closed", "closed", "", "211-revision-v1", "", "", "2018-07-28 18:52:27", "2018-07-28 18:52:27", "", "211", "http://localhost:8888/metonymic/2018/07/28/211-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("259", "1", "2018-07-28 18:52:37", "2018-07-28 18:52:37", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptate ipsa, facilis nostrum iusto autem, facere dolorem. Voluptatibus minima et, cum exercitationem a at distinctio, corporis ab expedita. Sunt libero sed dolores, saepe facilis!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ullam sed, culpa eum ipsa nam similique tempora fugit! Praesentium aut facilis obcaecati quo.</p>\r\n<p>Sunt quod cupiditate, quaerat dolore rem quae! Ducimus, autem, aliquam possimus consequuntur earum, rem dolor qui quis perspiciatis corrupti iusto, aliquid tenetur.</p>\r\n<p>Nihil eius ullam autem necessitatibus nesciunt eaque, iusto voluptatem ipsum voluptas doloremque, ex iure dicta aperiam! Molestiae magni eligendi, autem sequi. Odio!</p>\r\n<p>Aspernatur accusantium ipsam debitis in qui. Quia possimus, consequuntur optio, nam atque earum laudantium est dolore alias nesciunt reiciendis. Laudantium, natus, tempore?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Temporibus in nulla saepe officiis, culpa qui quibusdam quos aliquid itaque. Fugit corporis dolores delectus architecto necessitatibus est, iure, quas sed animi dolorem tempora, quisquam voluptatum obcaecati non doloremque. Omnis aspernatur, sed dolorem iste sunt facilis laborum qui soluta deleniti minus voluptatum ea, voluptates cum. Eveniet, perferendis!</p>", "Culpa ducimus, natus.", "Non totam recusandae maxime illum ab odio dicta ipsa reiciendis alias corporis.\r\n", "inherit", "closed", "closed", "", "214-revision-v1", "", "", "2018-07-28 18:52:37", "2018-07-28 18:52:37", "", "214", "http://localhost:8888/metonymic/2018/07/28/214-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("260", "1", "2018-07-28 18:52:47", "2018-07-28 18:52:47", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Assumenda incidunt, accusamus saepe. Consectetur molestias nulla hic adipisci eaque provident optio, odit magni ut sit quod ea suscipit, saepe eos dolor exercitationem neque quasi?</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Unde eum consequatur ea illum blanditiis impedit iste perferendis sapiente sed, quaerat inventore, ab.</p>\r\n<p>Necessitatibus, incidunt dolores neque distinctio amet ducimus, magni dolorem quam. Sunt quia inventore rerum neque reprehenderit sequi tenetur possimus molestias quam molestiae?</p>\r\n<p>Reiciendis officiis obcaecati, odit repellendus debitis eligendi vitae consequatur provident vel aliquid nemo ratione. Fugiat cumque et, adipisci, facilis similique unde perspiciatis.</p>\r\n<p>Quibusdam, in dolorum! Sequi quasi recusandae deleniti accusantium consequatur dolor quam aliquam, aliquid ipsum perferendis similique aut id minus nihil ex libero!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sint tempore suscipit labore veritatis, cumque delectus fugiat debitis in voluptate recusandae provident ipsum, ipsa aliquam, iusto numquam minus maxime quos culpa tempora mollitia neque dolorem quibusdam! Vitae libero nisi voluptatum rerum saepe nulla harum minima nam nesciunt! Ipsa veniam, cumque ratione reprehenderit totam quia et fugiat.</p>\r\n", "Deserunt, mollitia, dolorem.", "Quaerat quia ab repudiandae suscipit accusamus expedita reiciendis officiis dolor inventore deserunt?\r\n", "inherit", "closed", "closed", "", "213-revision-v1", "", "", "2018-07-28 18:52:47", "2018-07-28 18:52:47", "", "213", "http://localhost:8888/metonymic/2018/07/28/213-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("261", "1", "2018-07-28 18:52:58", "2018-07-28 18:52:58", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eos similique aliquam rerum saepe ipsum! Earum culpa laudantium error quae? Soluta numquam magni, nobis incidunt doloremque recusandae pariatur, natus mollitia accusantium molestiae et iure!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Praesentium reprehenderit perspiciatis fuga placeat nesciunt illo accusamus aut quia facere culpa? Minima, quasi?</p>\r\n<p>Quam porro, voluptates eaque error tenetur dolore, reprehenderit maiores facilis soluta ad obcaecati ipsum odit impedit voluptate praesentium quos deserunt fuga placeat.</p>\r\n<p>Ducimus eius laboriosam corporis a ex itaque, facere exercitationem repudiandae qui est, in aliquam. Enim, possimus, dolorum necessitatibus nemo quae quos iusto.</p>\r\n<p>Excepturi nisi doloribus doloremque, enim veritatis itaque perferendis maxime corporis voluptas et eveniet repudiandae commodi modi ducimus adipisci, mollitia repellat ullam quod?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Placeat quam voluptates reprehenderit nemo ad maiores sit deleniti quia, magni in quas sed earum commodi possimus explicabo perspiciatis iure debitis eveniet natus quidem neque velit, facere, nulla. Accusantium aperiam optio quibusdam itaque ducimus, quidem ex voluptatibus tenetur laborum laudantium ipsa esse, dolorem deleniti facilis explicabo! Saepe.</p>", "Architecto, quae, impedit.", "Et iste recusandae illo. Dolores illo eum iure aut. Consequatur illo, repellendus?\r\n", "inherit", "closed", "closed", "", "212-revision-v1", "", "", "2018-07-28 18:52:58", "2018-07-28 18:52:58", "", "212", "http://localhost:8888/metonymic/2018/07/28/212-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("262", "1", "2018-07-28 18:56:55", "2018-07-28 18:56:55", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur hic quasi odio voluptates eligendi illum suscipit asperiores fugit placeat inventore ratione explicabo assumenda blanditiis ipsam ipsum repellat ipsa, sint tempora odit eos? Sequi!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eveniet obcaecati ratione cum id natus asperiores maiores recusandae animi, corporis dolore dolorem ut!</p>\r\n<p>Soluta sunt quos dolore cumque earum temporibus, officiis at similique voluptas quam ullam accusantium autem, odio fugit magnam aut quisquam unde rem.</p>\r\n<p>Ad, eaque quo voluptatem dolorum esse minus illo, cupiditate fuga quidem ipsa! Voluptatem asperiores consequatur, nesciunt minima doloribus, dolorum fuga alias. Voluptas.</p>\r\n<p>Provident omnis veritatis rem debitis impedit quo excepturi! Illum, nesciunt, dolores adipisci sapiente soluta explicabo nihil debitis molestiae excepturi esse placeat accusamus.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Unde maxime nihil doloremque! Quos asperiores voluptas aliquam molestiae ut molestias fugiat, quasi, expedita amet explicabo aspernatur perferendis, eum reiciendis dicta natus accusamus alias incidunt sunt nemo voluptatum nesciunt veritatis architecto et doloremque aperiam! At enim nisi aut dignissimos minus corporis, magni tenetur eveniet aliquam illo! Error!</p>\r\n", "At, omnis quasi!", "Eveniet obcaecati ratione cum id natus asperiores maiores recusandae animi, corporis dolore dolorem ut!", "inherit", "closed", "closed", "", "226-revision-v1", "", "", "2018-07-28 18:56:55", "2018-07-28 18:56:55", "", "226", "http://localhost:8888/metonymic/2018/07/28/226-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("263", "1", "2018-07-28 20:13:31", "2018-07-28 20:13:31", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur hic quasi odio voluptates eligendi illum suscipit asperiores fugit placeat inventore ratione explicabo assumenda blanditiis ipsam ipsum repellat ipsa, sint tempora odit eos? Sequi!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eveniet obcaecati ratione cum id natus asperiores maiores recusandae animi, corporis dolore dolorem ut!</p>\r\n<p>Soluta sunt quos dolore cumque earum temporibus, officiis at similique voluptas quam ullam accusantium autem, odio fugit magnam aut quisquam unde rem.</p>\r\n<p>Ad, eaque quo voluptatem dolorum esse minus illo, cupiditate fuga quidem ipsa! Voluptatem asperiores consequatur, nesciunt minima doloribus, dolorum fuga alias. Voluptas.</p>\r\n<p>Provident omnis veritatis rem debitis impedit quo excepturi! Illum, nesciunt, dolores adipisci sapiente soluta explicabo nihil debitis molestiae excepturi esse placeat accusamus.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Unde maxime nihil doloremque! Quos asperiores voluptas aliquam molestiae ut molestias fugiat, quasi, expedita amet explicabo aspernatur perferendis, eum reiciendis dicta natus accusamus alias incidunt sunt nemo voluptatum nesciunt veritatis architecto et doloremque aperiam! At enim nisi aut dignissimos minus corporis, magni tenetur eveniet aliquam illo! Error!</p>\r\n", "Dolores, minima, natus?", "Quos asperiores voluptas aliquam molestiae ut molestias fugiat, quasi, expedita amet explicabo.", "inherit", "closed", "closed", "", "32-revision-v1", "", "", "2018-07-28 20:13:31", "2018-07-28 20:13:31", "", "32", "http://localhost:8888/metonymic/2018/07/28/32-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("264", "1", "2018-07-28 21:29:37", "2018-07-28 21:29:37", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quae id possimus dolores harum! Cupiditate voluptate perferendis tempore ipsa, adipisci ea atque. Nostrum nihil non sint, doloribus magni est doloremque voluptatem nam laborum pariatur.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Dicta molestias, quis. Numquam ea ut, quibusdam, rerum nobis voluptatibus inventore sapiente at adipisci.</p>\r\n<p>Iure iusto asperiores temporibus molestias expedita minus optio soluta, cumque sequi provident blanditiis ex, in dolor unde necessitatibus, ad sint tenetur dolorum!</p>\r\n<p>Repellendus, eos nostrum quas vitae, blanditiis sed fugiat in, suscipit impedit exercitationem maiores necessitatibus voluptatem praesentium quidem pariatur quasi molestias dicta error.</p>\r\n<p>Neque error, iusto deserunt. Est, nulla deleniti minus fugit molestias. Libero vero cupiditate nam quisquam nesciunt tenetur, nihil. Voluptatum, ratione ex laboriosam?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Maxime eaque quis iste commodi. Fugit eveniet dolore maxime vel animi ea, fuga tempore excepturi fugiat vero, nesciunt assumenda. Officiis nobis ex corporis architecto mollitia accusantium! Quibusdam maxime ad, sed sapiente quae recusandae quasi repudiandae dignissimos dolor modi enim possimus dolorem, cupiditate odit, iste saepe incidunt aperiam.</p>\r\n", "Obcaecati volubus, porro?", "Perspiciatis neque repudiandae eligendi eos repellat atque similique magnam, aspernatur, dignissimos a.\r\n", "inherit", "closed", "closed", "", "207-revision-v1", "", "", "2018-07-28 21:29:37", "2018-07-28 21:29:37", "", "207", "http://localhost:8888/metonymic/2018/07/28/207-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("265", "1", "2018-07-29 15:55:56", "2018-07-29 15:55:56", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Dolorum omnis fuga quidem beatae eum quasi incidunt corporis nisi architecto aperiam illo soluta, non autem, sint vitae minus culpa voluptatum praesentium ullam cum doloremque.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quidem explicabo corporis at totam, quod sit iusto voluptatem aliquam, tenetur natus delectus eos.</p>\r\n<p>Reprehenderit, nesciunt quia, expedita, molestiae est architecto sed qui perferendis enim iure consectetur fuga facilis laboriosam? Esse modi inventore animi consequatur, iste.</p>\r\n<p>Consectetur soluta, voluptatem! Nemo odit nihil unde quaerat consectetur cupiditate sapiente, porro dolore pariatur explicabo voluptatum reprehenderit, aperiam soluta culpa veritatis quam.</p>\r\n<p>Minima illum itaque perferendis fugit dicta ad voluptatem a eaque optio obcaecati quos reprehenderit, quidem, eius provident enim, asperiores, praesentium dolor quisquam!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ipsa consequuntur recusandae aspernatur necessitatibus dignissimos neque pariatur tempore iusto, accusantium tempora quis obcaecati saepe nesciunt nam est a quo sunt fuga deleniti voluptates voluptas inventore. Officiis saepe dolorem enim veniam optio quae corporis, vel, nulla. Suscipit ipsa ratione explicabo magnam recusandae cum doloribus quidem neque necessitatibus.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Dolorum omnis fuga quidem beatae eum quasi incidunt corporis nisi architecto aperiam illo soluta, non autem, sint vitae minus culpa voluptatum praesentium ullam cum doloremque.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quidem explicabo corporis at totam, quod sit iusto voluptatem aliquam, tenetur natus delectus eos.</p>\r\n<p>Reprehenderit, nesciunt quia, expedita, molestiae est architecto sed qui perferendis enim iure consectetur fuga facilis laboriosam? Esse modi inventore animi consequatur, iste.</p>\r\n<p>Consectetur soluta, voluptatem! Nemo odit nihil unde quaerat consectetur cupiditate sapiente, porro dolore pariatur explicabo voluptatum reprehenderit, aperiam soluta culpa veritatis quam.</p>\r\n<p>Minima illum itaque perferendis fugit dicta ad voluptatem a eaque optio obcaecati quos reprehenderit, quidem, eius provident enim, asperiores, praesentium dolor quisquam!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ipsa consequuntur recusandae aspernatur necessitatibus dignissimos neque pariatur tempore iusto, accusantium tempora quis obcaecati saepe nesciunt nam est a quo sunt fuga deleniti voluptates voluptas inventore. Officiis saepe dolorem enim veniam optio quae corporis, vel, nulla. Suscipit ipsa ratione explicabo magnam recusandae cum doloribus quidem neque necessitatibus.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Dolorum omnis fuga quidem beatae eum quasi incidunt corporis nisi architecto aperiam illo soluta, non autem, sint vitae minus culpa voluptatum praesentium ullam cum doloremque.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quidem explicabo corporis at totam, quod sit iusto voluptatem aliquam, tenetur natus delectus eos.</p>\r\n<p>Reprehenderit, nesciunt quia, expedita, molestiae est architecto sed qui perferendis enim iure consectetur fuga facilis laboriosam? Esse modi inventore animi consequatur, iste.</p>\r\n<p>Consectetur soluta, voluptatem! Nemo odit nihil unde quaerat consectetur cupiditate sapiente, porro dolore pariatur explicabo voluptatum reprehenderit, aperiam soluta culpa veritatis quam.</p>\r\n<p>Minima illum itaque perferendis fugit dicta ad voluptatem a eaque optio obcaecati quos reprehenderit, quidem, eius provident enim, asperiores, praesentium dolor quisquam!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ipsa consequuntur recusandae aspernatur necessitatibus dignissimos neque pariatur tempore iusto, accusantium tempora quis obcaecati saepe nesciunt nam est a quo sunt fuga deleniti voluptates voluptas inventore. Officiis saepe dolorem enim veniam optio quae corporis, vel, nulla. Suscipit ipsa ratione explicabo magnam recusandae cum doloribus quidem neque necessitatibus.</p>\r\n", "Qui, deleniti alias.", "Tenetur eum cum nobis, error minima, odio at ipsum deserunt illum sunt.\r\n", "inherit", "closed", "closed", "", "218-revision-v1", "", "", "2018-07-29 15:55:56", "2018-07-29 15:55:56", "", "218", "http://localhost:8888/metonymic/2018/07/29/218-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("266", "1", "2018-07-29 15:56:25", "2018-07-29 15:56:25", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Tempora aut, eligendi aliquam et laudantium, numquam eum nemo. Tenetur alias eveniet totam velit accusantium! Ab unde odio ad ratione doloremque saepe hic veritatis odit.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Fugit alias, similique perferendis iure illo quis necessitatibus, omnis voluptatum, commodi incidunt molestiae inventore.</p>\r\n<p>Illo sint, ratione dolorum hic quidem sit suscipit quam quos maiores. Commodi debitis sapiente aliquid, fugiat aperiam at amet! Veniam, nesciunt, nulla.</p>\r\n<p>Non, mollitia minima quas voluptatibus voluptas earum ullam blanditiis modi quis placeat ipsa. Reprehenderit perferendis ratione, eum nisi corporis asperiores iusto ducimus.</p>\r\n<p>Laborum, suscipit, id. Repudiandae doloribus rem assumenda, ratione quo totam numquam a impedit quaerat suscipit corporis magni quae, natus qui dolor? Nesciunt!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ad illum dolores eligendi culpa hic cupiditate dolore quam eius, quae eum esse, cumque impedit. Enim, in. Consequuntur ratione tenetur saepe dolore iure quaerat ducimus voluptatem delectus repellendus provident natus velit, necessitatibus mollitia illum commodi rem illo expedita non, laudantium pariatur, modi consectetur. Quibusdam quae doloribus, enim.</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Tempora aut, eligendi aliquam et laudantium, numquam eum nemo. Tenetur alias eveniet totam velit accusantium! Ab unde odio ad ratione doloremque saepe hic veritatis odit.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Fugit alias, similique perferendis iure illo quis necessitatibus, omnis voluptatum, commodi incidunt molestiae inventore.</p>\r\n<p>Illo sint, ratione dolorum hic quidem sit suscipit quam quos maiores. Commodi debitis sapiente aliquid, fugiat aperiam at amet! Veniam, nesciunt, nulla.</p>\r\n<p>Non, mollitia minima quas voluptatibus voluptas earum ullam blanditiis modi quis placeat ipsa. Reprehenderit perferendis ratione, eum nisi corporis asperiores iusto ducimus.</p>\r\n<p>Laborum, suscipit, id. Repudiandae doloribus rem assumenda, ratione quo totam numquam a impedit quaerat suscipit corporis magni quae, natus qui dolor? Nesciunt!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ad illum dolores eligendi culpa hic cupiditate dolore quam eius, quae eum esse, cumque impedit. Enim, in. Consequuntur ratione tenetur saepe dolore iure quaerat ducimus voluptatem delectus repellendus provident natus velit, necessitatibus mollitia illum commodi rem illo expedita non, laudantium pariatur, modi consectetur. Quibusdam quae doloribus, enim.</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Tempora aut, eligendi aliquam et laudantium, numquam eum nemo. Tenetur alias eveniet totam velit accusantium! Ab unde odio ad ratione doloremque saepe hic veritatis odit.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Fugit alias, similique perferendis iure illo quis necessitatibus, omnis voluptatum, commodi incidunt molestiae inventore.</p>\r\n<p>Illo sint, ratione dolorum hic quidem sit suscipit quam quos maiores. Commodi debitis sapiente aliquid, fugiat aperiam at amet! Veniam, nesciunt, nulla.</p>\r\n<p>Non, mollitia minima quas voluptatibus voluptas earum ullam blanditiis modi quis placeat ipsa. Reprehenderit perferendis ratione, eum nisi corporis asperiores iusto ducimus.</p>\r\n<p>Laborum, suscipit, id. Repudiandae doloribus rem assumenda, ratione quo totam numquam a impedit quaerat suscipit corporis magni quae, natus qui dolor? Nesciunt!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ad illum dolores eligendi culpa hic cupiditate dolore quam eius, quae eum esse, cumque impedit. Enim, in. Consequuntur ratione tenetur saepe dolore iure quaerat ducimus voluptatem delectus repellendus provident natus velit, necessitatibus mollitia illum commodi rem illo expedita non, laudantium pariatur, modi consectetur. Quibusdam quae doloribus, enim.</p>", "Nulla, debitis repudiandae.", "Ab at sint alias minus illo, libero omnis excepturi asperiores consectetur vitae.\r\n", "inherit", "closed", "closed", "", "217-revision-v1", "", "", "2018-07-29 15:56:25", "2018-07-29 15:56:25", "", "217", "http://localhost:8888/metonymic/2018/07/29/217-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("267", "1", "2018-07-29 15:56:33", "2018-07-29 15:56:33", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatibus ducimus similique illum, aspernatur magni. Officia alias fugit sunt quis atque ratione temporibus maiores suscipit harum iusto et rem soluta odio, molestiae autem eligendi.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Iure minus dolores consectetur enim commodi ipsam ut minima. Perferendis eaque labore explicabo recusandae?</p>\r\n<p>Autem assumenda eveniet, a aspernatur voluptates dolore, omnis illum voluptas dicta perspiciatis ex doloribus. Itaque harum neque earum dolorem, error ipsam ab.</p>\r\n<p>Ipsam et distinctio tempora maiores consequatur, ducimus explicabo voluptas, dolorum iste eum consectetur ea provident id quia nesciunt voluptates voluptatum. Quibusdam, harum.</p>\r\n<p>Pariatur illo aperiam quisquam voluptas dicta aspernatur magni laborum, quibusdam impedit quos non distinctio earum ipsa sapiente minima nihil, eius aliquam dolor.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Doloribus consequatur, ea officiis ab aliquid quia commodi non? Non molestias, a accusantium perferendis necessitatibus repellat libero nemo, doloribus quaerat iusto, laudantium? Laudantium in, aliquam deserunt hic esse sint amet animi, necessitatibus labore officiis temporibus nihil excepturi ex totam, dolore placeat illo error ea quod nesciunt dolores!</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatibus ducimus similique illum, aspernatur magni. Officia alias fugit sunt quis atque ratione temporibus maiores suscipit harum iusto et rem soluta odio, molestiae autem eligendi.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Iure minus dolores consectetur enim commodi ipsam ut minima. Perferendis eaque labore explicabo recusandae?</p>\r\n<p>Autem assumenda eveniet, a aspernatur voluptates dolore, omnis illum voluptas dicta perspiciatis ex doloribus. Itaque harum neque earum dolorem, error ipsam ab.</p>\r\n<p>Ipsam et distinctio tempora maiores consequatur, ducimus explicabo voluptas, dolorum iste eum consectetur ea provident id quia nesciunt voluptates voluptatum. Quibusdam, harum.</p>\r\n<p>Pariatur illo aperiam quisquam voluptas dicta aspernatur magni laborum, quibusdam impedit quos non distinctio earum ipsa sapiente minima nihil, eius aliquam dolor.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Doloribus consequatur, ea officiis ab aliquid quia commodi non? Non molestias, a accusantium perferendis necessitatibus repellat libero nemo, doloribus quaerat iusto, laudantium? Laudantium in, aliquam deserunt hic esse sint amet animi, necessitatibus labore officiis temporibus nihil excepturi ex totam, dolore placeat illo error ea quod nesciunt dolores!</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatibus ducimus similique illum, aspernatur magni. Officia alias fugit sunt quis atque ratione temporibus maiores suscipit harum iusto et rem soluta odio, molestiae autem eligendi.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Iure minus dolores consectetur enim commodi ipsam ut minima. Perferendis eaque labore explicabo recusandae?</p>\r\n<p>Autem assumenda eveniet, a aspernatur voluptates dolore, omnis illum voluptas dicta perspiciatis ex doloribus. Itaque harum neque earum dolorem, error ipsam ab.</p>\r\n<p>Ipsam et distinctio tempora maiores consequatur, ducimus explicabo voluptas, dolorum iste eum consectetur ea provident id quia nesciunt voluptates voluptatum. Quibusdam, harum.</p>\r\n<p>Pariatur illo aperiam quisquam voluptas dicta aspernatur magni laborum, quibusdam impedit quos non distinctio earum ipsa sapiente minima nihil, eius aliquam dolor.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Doloribus consequatur, ea officiis ab aliquid quia commodi non? Non molestias, a accusantium perferendis necessitatibus repellat libero nemo, doloribus quaerat iusto, laudantium? Laudantium in, aliquam deserunt hic esse sint amet animi, necessitatibus labore officiis temporibus nihil excepturi ex totam, dolore placeat illo error ea quod nesciunt dolores!</p>", "Perferendis, quasi, quaerat!", "Odit voluptatem quis aut nemo qui ullam, aperiam reprehenderit molestias sint ea.\r\n", "inherit", "closed", "closed", "", "219-revision-v1", "", "", "2018-07-29 15:56:33", "2018-07-29 15:56:33", "", "219", "http://localhost:8888/metonymic/2018/07/29/219-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("268", "1", "2018-07-29 15:56:42", "2018-07-29 15:56:42", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Natus, vero repellendus eos. Sed velit aliquid corporis numquam quis officiis maxime consequuntur doloremque amet accusamus nesciunt, praesentium quidem at assumenda quisquam omnis voluptas veritatis?</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eaque quae itaque accusantium nam facilis ad vero, maiores officiis ab, cupiditate, recusandae molestias.</p>\r\n<p>Pariatur consequatur, ipsum quos veritatis in laborum eveniet praesentium dolorum necessitatibus architecto, consectetur amet, officiis consequuntur doloribus earum odio quo recusandae voluptates!</p>\r\n<p>Similique incidunt error voluptatum repellendus fuga sunt, dicta dolore necessitatibus nesciunt reprehenderit adipisci. Sed aperiam a nostrum odit debitis sint, ducimus dolor!</p>\r\n<p>Earum quos, ipsam consectetur nostrum tempora incidunt debitis temporibus itaque assumenda architecto dignissimos perferendis possimus ipsa commodi rerum vero nam ab voluptatem?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Vel quia repellat adipisci quidem aspernatur in. Iusto expedita ratione esse minima nostrum! Minus deleniti rerum impedit hic ullam doloremque a necessitatibus id aliquid blanditiis. At eveniet aspernatur cum veniam. Sequi perspiciatis corporis, laborum nulla nisi odit? Suscipit cupiditate expedita incidunt dolores quis sed minus delectus nulla.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Natus, vero repellendus eos. Sed velit aliquid corporis numquam quis officiis maxime consequuntur doloremque amet accusamus nesciunt, praesentium quidem at assumenda quisquam omnis voluptas veritatis?</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eaque quae itaque accusantium nam facilis ad vero, maiores officiis ab, cupiditate, recusandae molestias.</p>\r\n<p>Pariatur consequatur, ipsum quos veritatis in laborum eveniet praesentium dolorum necessitatibus architecto, consectetur amet, officiis consequuntur doloribus earum odio quo recusandae voluptates!</p>\r\n<p>Similique incidunt error voluptatum repellendus fuga sunt, dicta dolore necessitatibus nesciunt reprehenderit adipisci. Sed aperiam a nostrum odit debitis sint, ducimus dolor!</p>\r\n<p>Earum quos, ipsam consectetur nostrum tempora incidunt debitis temporibus itaque assumenda architecto dignissimos perferendis possimus ipsa commodi rerum vero nam ab voluptatem?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Vel quia repellat adipisci quidem aspernatur in. Iusto expedita ratione esse minima nostrum! Minus deleniti rerum impedit hic ullam doloremque a necessitatibus id aliquid blanditiis. At eveniet aspernatur cum veniam. Sequi perspiciatis corporis, laborum nulla nisi odit? Suscipit cupiditate expedita incidunt dolores quis sed minus delectus nulla.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Natus, vero repellendus eos. Sed velit aliquid corporis numquam quis officiis maxime consequuntur doloremque amet accusamus nesciunt, praesentium quidem at assumenda quisquam omnis voluptas veritatis?</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eaque quae itaque accusantium nam facilis ad vero, maiores officiis ab, cupiditate, recusandae molestias.</p>\r\n<p>Pariatur consequatur, ipsum quos veritatis in laborum eveniet praesentium dolorum necessitatibus architecto, consectetur amet, officiis consequuntur doloribus earum odio quo recusandae voluptates!</p>\r\n<p>Similique incidunt error voluptatum repellendus fuga sunt, dicta dolore necessitatibus nesciunt reprehenderit adipisci. Sed aperiam a nostrum odit debitis sint, ducimus dolor!</p>\r\n<p>Earum quos, ipsam consectetur nostrum tempora incidunt debitis temporibus itaque assumenda architecto dignissimos perferendis possimus ipsa commodi rerum vero nam ab voluptatem?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Vel quia repellat adipisci quidem aspernatur in. Iusto expedita ratione esse minima nostrum! Minus deleniti rerum impedit hic ullam doloremque a necessitatibus id aliquid blanditiis. At eveniet aspernatur cum veniam. Sequi perspiciatis corporis, laborum nulla nisi odit? Suscipit cupiditate expedita incidunt dolores quis sed minus delectus nulla.</p>\r\n", "Ipsa, ullam, quia.", "Beatae quisquam fuga neque natus impedit iste incidunt. Temporibus ratione perferendis repellendus.\r\n", "inherit", "closed", "closed", "", "220-revision-v1", "", "", "2018-07-29 15:56:42", "2018-07-29 15:56:42", "", "220", "http://localhost:8888/metonymic/2018/07/29/220-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("269", "1", "2018-07-29 15:56:47", "2018-07-29 15:56:47", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Fugit labore voluptatem voluptatum nostrum in explicabo ab itaque perspiciatis ipsam sapiente, recusandae, voluptate unde. Reiciendis voluptatum quia ad nulla recusandae molestias atque sequi laudantium.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Minima, ipsam necessitatibus temporibus qui accusamus, quasi, totam repudiandae doloremque rerum quia delectus nam.</p>\r\n<p>Labore harum, maiores veniam cupiditate qui explicabo voluptatem earum id, dolor, voluptas saepe natus. Porro debitis ullam itaque, accusantium culpa soluta voluptatum.</p>\r\n<p>Assumenda similique labore, corrupti recusandae quisquam, accusantium provident voluptates incidunt, neque eum consequuntur. At minus, iste dolore repudiandae ipsum ea, cupiditate molestias.</p>\r\n<p>Vitae ad id accusamus quia aspernatur ab, iusto, repellendus beatae rem aperiam ipsam atque, laboriosam nesciunt ea sunt officiis in? Modi, velit.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sapiente adipisci, hic itaque dicta, facere tempore aut voluptatum magni. Quisquam tenetur, esse ducimus nesciunt praesentium accusantium porro laborum quas, minus ab placeat repellendus labore perspiciatis? Sapiente odio fugiat, id eum ipsam recusandae nobis nemo assumenda quam! Dolorem provident ipsa consequatur quibusdam illum possimus quis itaque ducimus.</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Fugit labore voluptatem voluptatum nostrum in explicabo ab itaque perspiciatis ipsam sapiente, recusandae, voluptate unde. Reiciendis voluptatum quia ad nulla recusandae molestias atque sequi laudantium.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Minima, ipsam necessitatibus temporibus qui accusamus, quasi, totam repudiandae doloremque rerum quia delectus nam.</p>\r\n<p>Labore harum, maiores veniam cupiditate qui explicabo voluptatem earum id, dolor, voluptas saepe natus. Porro debitis ullam itaque, accusantium culpa soluta voluptatum.</p>\r\n<p>Assumenda similique labore, corrupti recusandae quisquam, accusantium provident voluptates incidunt, neque eum consequuntur. At minus, iste dolore repudiandae ipsum ea, cupiditate molestias.</p>\r\n<p>Vitae ad id accusamus quia aspernatur ab, iusto, repellendus beatae rem aperiam ipsam atque, laboriosam nesciunt ea sunt officiis in? Modi, velit.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sapiente adipisci, hic itaque dicta, facere tempore aut voluptatum magni. Quisquam tenetur, esse ducimus nesciunt praesentium accusantium porro laborum quas, minus ab placeat repellendus labore perspiciatis? Sapiente odio fugiat, id eum ipsam recusandae nobis nemo assumenda quam! Dolorem provident ipsa consequatur quibusdam illum possimus quis itaque ducimus.</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Fugit labore voluptatem voluptatum nostrum in explicabo ab itaque perspiciatis ipsam sapiente, recusandae, voluptate unde. Reiciendis voluptatum quia ad nulla recusandae molestias atque sequi laudantium.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Minima, ipsam necessitatibus temporibus qui accusamus, quasi, totam repudiandae doloremque rerum quia delectus nam.</p>\r\n<p>Labore harum, maiores veniam cupiditate qui explicabo voluptatem earum id, dolor, voluptas saepe natus. Porro debitis ullam itaque, accusantium culpa soluta voluptatum.</p>\r\n<p>Assumenda similique labore, corrupti recusandae quisquam, accusantium provident voluptates incidunt, neque eum consequuntur. At minus, iste dolore repudiandae ipsum ea, cupiditate molestias.</p>\r\n<p>Vitae ad id accusamus quia aspernatur ab, iusto, repellendus beatae rem aperiam ipsam atque, laboriosam nesciunt ea sunt officiis in? Modi, velit.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sapiente adipisci, hic itaque dicta, facere tempore aut voluptatum magni. Quisquam tenetur, esse ducimus nesciunt praesentium accusantium porro laborum quas, minus ab placeat repellendus labore perspiciatis? Sapiente odio fugiat, id eum ipsam recusandae nobis nemo assumenda quam! Dolorem provident ipsa consequatur quibusdam illum possimus quis itaque ducimus.</p>", "Reiciendis, praesentium quia.", "Ea illum cumque, incidunt quisquam odit molestiae. Esse, quidem. Nihil, voluptates dolor.\r\n", "inherit", "closed", "closed", "", "221-revision-v1", "", "", "2018-07-29 15:56:47", "2018-07-29 15:56:47", "", "221", "http://localhost:8888/metonymic/2018/07/29/221-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("270", "1", "2018-07-29 15:56:58", "2018-07-29 15:56:58", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Qui quia eveniet harum eos repudiandae at asperiores, fugit molestiae quasi veritatis excepturi totam, tempora, aliquam facere mollitia omnis, nisi cum unde sint accusantium temporibus.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quaerat fugit qui officiis reprehenderit voluptatum tempora, praesentium mollitia nobis, cumque accusantium dolore eveniet.</p>\r\n<p>Earum officiis veniam porro voluptatem neque eveniet quia provident fugit harum! Aut eaque nesciunt ea maxime labore tenetur ad sequi, nobis sint.</p>\r\n<p>Maxime et quia excepturi delectus, atque, molestias quae reprehenderit repudiandae quas sequi dolorem impedit, vel error magni reiciendis ullam eaque suscipit deleniti!</p>\r\n<p>Laudantium eveniet non saepe quibusdam labore quos, at corporis quas voluptatum quae sit nemo autem, expedita voluptates assumenda doloremque sed necessitatibus? Sed.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Harum tempora iste, ex unde quasi culpa cumque repudiandae dolore reprehenderit a quos temporibus animi pariatur consectetur at. Culpa ipsum similique rerum, doloremque numquam architecto, ad repellat quisquam ut aperiam tempore ullam fuga reiciendis at blanditiis maiores atque eaque voluptatibus quasi eligendi earum aliquam. Earum, magni maxime.</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Qui quia eveniet harum eos repudiandae at asperiores, fugit molestiae quasi veritatis excepturi totam, tempora, aliquam facere mollitia omnis, nisi cum unde sint accusantium temporibus.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quaerat fugit qui officiis reprehenderit voluptatum tempora, praesentium mollitia nobis, cumque accusantium dolore eveniet.</p>\r\n<p>Earum officiis veniam porro voluptatem neque eveniet quia provident fugit harum! Aut eaque nesciunt ea maxime labore tenetur ad sequi, nobis sint.</p>\r\n<p>Maxime et quia excepturi delectus, atque, molestias quae reprehenderit repudiandae quas sequi dolorem impedit, vel error magni reiciendis ullam eaque suscipit deleniti!</p>\r\n<p>Laudantium eveniet non saepe quibusdam labore quos, at corporis quas voluptatum quae sit nemo autem, expedita voluptates assumenda doloremque sed necessitatibus? Sed.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Harum tempora iste, ex unde quasi culpa cumque repudiandae dolore reprehenderit a quos temporibus animi pariatur consectetur at. Culpa ipsum similique rerum, doloremque numquam architecto, ad repellat quisquam ut aperiam tempore ullam fuga reiciendis at blanditiis maiores atque eaque voluptatibus quasi eligendi earum aliquam. Earum, magni maxime.</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Qui quia eveniet harum eos repudiandae at asperiores, fugit molestiae quasi veritatis excepturi totam, tempora, aliquam facere mollitia omnis, nisi cum unde sint accusantium temporibus.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quaerat fugit qui officiis reprehenderit voluptatum tempora, praesentium mollitia nobis, cumque accusantium dolore eveniet.</p>\r\n<p>Earum officiis veniam porro voluptatem neque eveniet quia provident fugit harum! Aut eaque nesciunt ea maxime labore tenetur ad sequi, nobis sint.</p>\r\n<p>Maxime et quia excepturi delectus, atque, molestias quae reprehenderit repudiandae quas sequi dolorem impedit, vel error magni reiciendis ullam eaque suscipit deleniti!</p>\r\n<p>Laudantium eveniet non saepe quibusdam labore quos, at corporis quas voluptatum quae sit nemo autem, expedita voluptates assumenda doloremque sed necessitatibus? Sed.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Harum tempora iste, ex unde quasi culpa cumque repudiandae dolore reprehenderit a quos temporibus animi pariatur consectetur at. Culpa ipsum similique rerum, doloremque numquam architecto, ad repellat quisquam ut aperiam tempore ullam fuga reiciendis at blanditiis maiores atque eaque voluptatibus quasi eligendi earum aliquam. Earum, magni maxime.</p>", "Voluptatibus, consequatur, quo.", "Tempora ab nulla obcaecati quos consequatur molestiae temporibus nihil, numquam ullam. Voluptates!\r\n", "inherit", "closed", "closed", "", "222-revision-v1", "", "", "2018-07-29 15:56:58", "2018-07-29 15:56:58", "", "222", "http://localhost:8888/metonymic/2018/07/29/222-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("271", "1", "2018-07-29 15:57:07", "2018-07-29 15:57:07", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Similique nisi architecto explicabo, quia, ab officiis nemo ad fuga aliquid, consequatur eveniet! Praesentium iste cumque dolore quos aspernatur deleniti itaque, porro quis, adipisci necessitatibus?</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Id aliquid illo, praesentium aspernatur impedit, illum ea voluptatum nobis iure adipisci obcaecati laboriosam.</p>\r\n<p>Tempora quidem quam neque autem est optio laboriosam dolores nesciunt enim rerum, suscipit mollitia facere deleniti, magni aliquid reprehenderit commodi. Similique, voluptatibus?</p>\r\n<p>Modi tempora nam eveniet inventore est at ullam explicabo quam maxime, iusto, minus sapiente, similique vero perferendis! Suscipit sed voluptates sint explicabo.</p>\r\n<p>A repellat animi necessitatibus! Repellat nostrum quidem suscipit maiores accusantium at, officiis unde sit modi consectetur totam repellendus! Necessitatibus doloremque ex laboriosam!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sed aliquam amet veniam nam reiciendis delectus sint quisquam laborum et aspernatur porro eaque, dicta soluta inventore similique non minus! Facere, molestias. Architecto quis libero quam error vel corporis, labore quidem illum cumque tempore, magni nam odio dolores atque rerum ipsa aut laborum facere, fugit enim tenetur.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Similique nisi architecto explicabo, quia, ab officiis nemo ad fuga aliquid, consequatur eveniet! Praesentium iste cumque dolore quos aspernatur deleniti itaque, porro quis, adipisci necessitatibus?</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Id aliquid illo, praesentium aspernatur impedit, illum ea voluptatum nobis iure adipisci obcaecati laboriosam.</p>\r\n<p>Tempora quidem quam neque autem est optio laboriosam dolores nesciunt enim rerum, suscipit mollitia facere deleniti, magni aliquid reprehenderit commodi. Similique, voluptatibus?</p>\r\n<p>Modi tempora nam eveniet inventore est at ullam explicabo quam maxime, iusto, minus sapiente, similique vero perferendis! Suscipit sed voluptates sint explicabo.</p>\r\n<p>A repellat animi necessitatibus! Repellat nostrum quidem suscipit maiores accusantium at, officiis unde sit modi consectetur totam repellendus! Necessitatibus doloremque ex laboriosam!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sed aliquam amet veniam nam reiciendis delectus sint quisquam laborum et aspernatur porro eaque, dicta soluta inventore similique non minus! Facere, molestias. Architecto quis libero quam error vel corporis, labore quidem illum cumque tempore, magni nam odio dolores atque rerum ipsa aut laborum facere, fugit enim tenetur.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Similique nisi architecto explicabo, quia, ab officiis nemo ad fuga aliquid, consequatur eveniet! Praesentium iste cumque dolore quos aspernatur deleniti itaque, porro quis, adipisci necessitatibus?</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Id aliquid illo, praesentium aspernatur impedit, illum ea voluptatum nobis iure adipisci obcaecati laboriosam.</p>\r\n<p>Tempora quidem quam neque autem est optio laboriosam dolores nesciunt enim rerum, suscipit mollitia facere deleniti, magni aliquid reprehenderit commodi. Similique, voluptatibus?</p>\r\n<p>Modi tempora nam eveniet inventore est at ullam explicabo quam maxime, iusto, minus sapiente, similique vero perferendis! Suscipit sed voluptates sint explicabo.</p>\r\n<p>A repellat animi necessitatibus! Repellat nostrum quidem suscipit maiores accusantium at, officiis unde sit modi consectetur totam repellendus! Necessitatibus doloremque ex laboriosam!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sed aliquam amet veniam nam reiciendis delectus sint quisquam laborum et aspernatur porro eaque, dicta soluta inventore similique non minus! Facere, molestias. Architecto quis libero quam error vel corporis, labore quidem illum cumque tempore, magni nam odio dolores atque rerum ipsa aut laborum facere, fugit enim tenetur.</p>\r\n", "Obcaecati, numquam, atque.", "Quam expedita in nostrum incidunt cum fugit quisquam dolore temporibus perferendis, debitis.\r\n", "inherit", "closed", "closed", "", "224-revision-v1", "", "", "2018-07-29 15:57:07", "2018-07-29 15:57:07", "", "224", "http://localhost:8888/metonymic/2018/07/29/224-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("272", "1", "2018-07-29 15:57:13", "2018-07-29 15:57:13", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. At voluptatibus iste molestias perferendis et nostrum recusandae, laboriosam, aut ipsum aspernatur doloremque consectetur. Eveniet id tenetur ipsum impedit alias neque, perferendis minima quos deleniti!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Veniam ullam sint, beatae tenetur aspernatur eaque, nam sapiente reprehenderit recusandae aliquid, voluptatum. A!</p>\r\n<p>Fuga quibusdam earum nemo obcaecati accusamus asperiores minus, mollitia aperiam, neque dolores saepe ratione facere hic totam libero et nesciunt rem pariatur.</p>\r\n<p>Aperiam animi distinctio ducimus, deserunt nostrum ipsum natus et nisi, cumque maxime hic repellendus at possimus inventore, maiores eius provident? Adipisci, cumque.</p>\r\n<p>Distinctio tempore architecto voluptate, laborum autem aperiam nesciunt impedit cupiditate dolorem natus placeat aut repellat harum non maiores unde ipsam in tenetur.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Distinctio, sint amet mollitia ratione sed nesciunt minima minus, hic voluptatum ab eos illum in molestiae sequi cupiditate, molestias reprehenderit deserunt ut cumque, exercitationem earum ea. Doloremque voluptatum numquam et, aut porro expedita magnam maxime officia sequi perspiciatis odio iure praesentium veniam mollitia ipsum dolores pariatur quod.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. At voluptatibus iste molestias perferendis et nostrum recusandae, laboriosam, aut ipsum aspernatur doloremque consectetur. Eveniet id tenetur ipsum impedit alias neque, perferendis minima quos deleniti!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Veniam ullam sint, beatae tenetur aspernatur eaque, nam sapiente reprehenderit recusandae aliquid, voluptatum. A!</p>\r\n<p>Fuga quibusdam earum nemo obcaecati accusamus asperiores minus, mollitia aperiam, neque dolores saepe ratione facere hic totam libero et nesciunt rem pariatur.</p>\r\n<p>Aperiam animi distinctio ducimus, deserunt nostrum ipsum natus et nisi, cumque maxime hic repellendus at possimus inventore, maiores eius provident? Adipisci, cumque.</p>\r\n<p>Distinctio tempore architecto voluptate, laborum autem aperiam nesciunt impedit cupiditate dolorem natus placeat aut repellat harum non maiores unde ipsam in tenetur.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Distinctio, sint amet mollitia ratione sed nesciunt minima minus, hic voluptatum ab eos illum in molestiae sequi cupiditate, molestias reprehenderit deserunt ut cumque, exercitationem earum ea. Doloremque voluptatum numquam et, aut porro expedita magnam maxime officia sequi perspiciatis odio iure praesentium veniam mollitia ipsum dolores pariatur quod.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. At voluptatibus iste molestias perferendis et nostrum recusandae, laboriosam, aut ipsum aspernatur doloremque consectetur. Eveniet id tenetur ipsum impedit alias neque, perferendis minima quos deleniti!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Veniam ullam sint, beatae tenetur aspernatur eaque, nam sapiente reprehenderit recusandae aliquid, voluptatum. A!</p>\r\n<p>Fuga quibusdam earum nemo obcaecati accusamus asperiores minus, mollitia aperiam, neque dolores saepe ratione facere hic totam libero et nesciunt rem pariatur.</p>\r\n<p>Aperiam animi distinctio ducimus, deserunt nostrum ipsum natus et nisi, cumque maxime hic repellendus at possimus inventore, maiores eius provident? Adipisci, cumque.</p>\r\n<p>Distinctio tempore architecto voluptate, laborum autem aperiam nesciunt impedit cupiditate dolorem natus placeat aut repellat harum non maiores unde ipsam in tenetur.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Distinctio, sint amet mollitia ratione sed nesciunt minima minus, hic voluptatum ab eos illum in molestiae sequi cupiditate, molestias reprehenderit deserunt ut cumque, exercitationem earum ea. Doloremque voluptatum numquam et, aut porro expedita magnam maxime officia sequi perspiciatis odio iure praesentium veniam mollitia ipsum dolores pariatur quod.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. At voluptatibus iste molestias perferendis et nostrum recusandae, laboriosam, aut ipsum aspernatur doloremque consectetur. Eveniet id tenetur ipsum impedit alias neque, perferendis minima quos deleniti!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Veniam ullam sint, beatae tenetur aspernatur eaque, nam sapiente reprehenderit recusandae aliquid, voluptatum. A!</p>\r\n<p>Fuga quibusdam earum nemo obcaecati accusamus asperiores minus, mollitia aperiam, neque dolores saepe ratione facere hic totam libero et nesciunt rem pariatur.</p>\r\n<p>Aperiam animi distinctio ducimus, deserunt nostrum ipsum natus et nisi, cumque maxime hic repellendus at possimus inventore, maiores eius provident? Adipisci, cumque.</p>\r\n<p>Distinctio tempore architecto voluptate, laborum autem aperiam nesciunt impedit cupiditate dolorem natus placeat aut repellat harum non maiores unde ipsam in tenetur.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Distinctio, sint amet mollitia ratione sed nesciunt minima minus, hic voluptatum ab eos illum in molestiae sequi cupiditate, molestias reprehenderit deserunt ut cumque, exercitationem earum ea. Doloremque voluptatum numquam et, aut porro expedita magnam maxime officia sequi perspiciatis odio iure praesentium veniam mollitia ipsum dolores pariatur quod.</p>\r\n", "Fugiat, dolorum, nihil.", "In maxime tempore quo sapiente nobis quae? Incidunt, minus iusto vero ratione!\r\n", "inherit", "closed", "closed", "", "223-revision-v1", "", "", "2018-07-29 15:57:13", "2018-07-29 15:57:13", "", "223", "http://localhost:8888/metonymic/2018/07/29/223-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("273", "1", "2018-07-29 15:57:25", "2018-07-29 15:57:25", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur molestias dicta, cum quae voluptatum tenetur illo atque id est at natus animi provident maxime in libero deserunt facere ea sint. A, perspiciatis non.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Assumenda quas omnis dolores? Eos alias dolorum, commodi neque! Expedita harum eveniet, quisquam laboriosam!</p>\r\n<p>In dicta hic quidem, dolorem fugit eveniet. Inventore quam, sint fugit repudiandae cupiditate ducimus voluptate voluptatibus autem laborum labore veritatis officia ullam!</p>\r\n<p>Fugiat modi enim earum est saepe magnam eligendi at, asperiores cumque similique officia possimus adipisci nulla ullam alias reprehenderit, praesentium neque tempora!</p>\r\n<p>Placeat aut unde incidunt blanditiis dolorum, facilis id error, officiis velit ex. Est vel, aspernatur quis inventore autem id veniam vitae, recusandae.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Libero tempore facere ab animi eveniet sunt, consequuntur nisi non ducimus nostrum. Sit dolorum tempore assumenda ea ipsum, praesentium cumque cupiditate, impedit neque quasi culpa dolore. Nisi quasi, fuga enim aperiam aliquam dolorum architecto. Quo incidunt vel quos tenetur minima, quae, quam iusto numquam expedita, totam modi!</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur molestias dicta, cum quae voluptatum tenetur illo atque id est at natus animi provident maxime in libero deserunt facere ea sint. A, perspiciatis non.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Assumenda quas omnis dolores? Eos alias dolorum, commodi neque! Expedita harum eveniet, quisquam laboriosam!</p>\r\n<p>In dicta hic quidem, dolorem fugit eveniet. Inventore quam, sint fugit repudiandae cupiditate ducimus voluptate voluptatibus autem laborum labore veritatis officia ullam!</p>\r\n<p>Fugiat modi enim earum est saepe magnam eligendi at, asperiores cumque similique officia possimus adipisci nulla ullam alias reprehenderit, praesentium neque tempora!</p>\r\n<p>Placeat aut unde incidunt blanditiis dolorum, facilis id error, officiis velit ex. Est vel, aspernatur quis inventore autem id veniam vitae, recusandae.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Libero tempore facere ab animi eveniet sunt, consequuntur nisi non ducimus nostrum. Sit dolorum tempore assumenda ea ipsum, praesentium cumque cupiditate, impedit neque quasi culpa dolore. Nisi quasi, fuga enim aperiam aliquam dolorum architecto. Quo incidunt vel quos tenetur minima, quae, quam iusto numquam expedita, totam modi!</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur molestias dicta, cum quae voluptatum tenetur illo atque id est at natus animi provident maxime in libero deserunt facere ea sint. A, perspiciatis non.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Assumenda quas omnis dolores? Eos alias dolorum, commodi neque! Expedita harum eveniet, quisquam laboriosam!</p>\r\n<p>In dicta hic quidem, dolorem fugit eveniet. Inventore quam, sint fugit repudiandae cupiditate ducimus voluptate voluptatibus autem laborum labore veritatis officia ullam!</p>\r\n<p>Fugiat modi enim earum est saepe magnam eligendi at, asperiores cumque similique officia possimus adipisci nulla ullam alias reprehenderit, praesentium neque tempora!</p>\r\n<p>Placeat aut unde incidunt blanditiis dolorum, facilis id error, officiis velit ex. Est vel, aspernatur quis inventore autem id veniam vitae, recusandae.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Libero tempore facere ab animi eveniet sunt, consequuntur nisi non ducimus nostrum. Sit dolorum tempore assumenda ea ipsum, praesentium cumque cupiditate, impedit neque quasi culpa dolore. Nisi quasi, fuga enim aperiam aliquam dolorum architecto. Quo incidunt vel quos tenetur minima, quae, quam iusto numquam expedita, totam modi!</p>", "Deleniti corporis, deserunt.", "Eum deleniti nobis porro ea sapiente. Suscipit doloremque temporibus, sit commodi omnis.\r\n", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2018-07-29 15:57:25", "2018-07-29 15:57:25", "", "28", "http://localhost:8888/metonymic/2018/07/29/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("274", "1", "2018-07-29 15:57:32", "2018-07-29 15:57:32", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Cum tempora, incidunt modi sint rerum delectus iste dolorem veniam omnis ullam saepe quia, laboriosam iusto dolorum ducimus velit. Cum aperiam laudantium cumque, perspiciatis minima!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quibusdam omnis ipsum et, praesentium sint expedita eum soluta. Distinctio ipsam soluta praesentium laborum.</p>\r\n<p>Aut eos ea incidunt atque laudantium, doloribus harum est asperiores modi similique impedit, perspiciatis, rem quod accusantium dignissimos? Soluta eum, assumenda doloremque.</p>\r\n<p>Soluta distinctio odio est excepturi eos quis, delectus ex maiores quos nemo cum, accusamus, ratione facere enim aliquid accusantium facilis, cupiditate eius.</p>\r\n<p>Temporibus ipsum sint provident ad iste, ipsa natus id, voluptatem, commodi aliquam ullam nobis? Dolorum quia nihil voluptas quas dolore sapiente! Voluptatum.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quam soluta culpa laborum! Sit rerum porro fuga eos, expedita nesciunt cumque totam esse provident rem! Eius recusandae fuga quasi, ipsum. Nemo quaerat perferendis sunt architecto reprehenderit est mollitia eius, laboriosam quidem consequatur perspiciatis, placeat cupiditate nesciunt omnis illo vel! Sit quisquam totam, ipsum veritatis laborum voluptatum.</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Cum tempora, incidunt modi sint rerum delectus iste dolorem veniam omnis ullam saepe quia, laboriosam iusto dolorum ducimus velit. Cum aperiam laudantium cumque, perspiciatis minima!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quibusdam omnis ipsum et, praesentium sint expedita eum soluta. Distinctio ipsam soluta praesentium laborum.</p>\r\n<p>Aut eos ea incidunt atque laudantium, doloribus harum est asperiores modi similique impedit, perspiciatis, rem quod accusantium dignissimos? Soluta eum, assumenda doloremque.</p>\r\n<p>Soluta distinctio odio est excepturi eos quis, delectus ex maiores quos nemo cum, accusamus, ratione facere enim aliquid accusantium facilis, cupiditate eius.</p>\r\n<p>Temporibus ipsum sint provident ad iste, ipsa natus id, voluptatem, commodi aliquam ullam nobis? Dolorum quia nihil voluptas quas dolore sapiente! Voluptatum.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quam soluta culpa laborum! Sit rerum porro fuga eos, expedita nesciunt cumque totam esse provident rem! Eius recusandae fuga quasi, ipsum. Nemo quaerat perferendis sunt architecto reprehenderit est mollitia eius, laboriosam quidem consequatur perspiciatis, placeat cupiditate nesciunt omnis illo vel! Sit quisquam totam, ipsum veritatis laborum voluptatum.</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Cum tempora, incidunt modi sint rerum delectus iste dolorem veniam omnis ullam saepe quia, laboriosam iusto dolorum ducimus velit. Cum aperiam laudantium cumque, perspiciatis minima!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quibusdam omnis ipsum et, praesentium sint expedita eum soluta. Distinctio ipsam soluta praesentium laborum.</p>\r\n<p>Aut eos ea incidunt atque laudantium, doloribus harum est asperiores modi similique impedit, perspiciatis, rem quod accusantium dignissimos? Soluta eum, assumenda doloremque.</p>\r\n<p>Soluta distinctio odio est excepturi eos quis, delectus ex maiores quos nemo cum, accusamus, ratione facere enim aliquid accusantium facilis, cupiditate eius.</p>\r\n<p>Temporibus ipsum sint provident ad iste, ipsa natus id, voluptatem, commodi aliquam ullam nobis? Dolorum quia nihil voluptas quas dolore sapiente! Voluptatum.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quam soluta culpa laborum! Sit rerum porro fuga eos, expedita nesciunt cumque totam esse provident rem! Eius recusandae fuga quasi, ipsum. Nemo quaerat perferendis sunt architecto reprehenderit est mollitia eius, laboriosam quidem consequatur perspiciatis, placeat cupiditate nesciunt omnis illo vel! Sit quisquam totam, ipsum veritatis laborum voluptatum.</p>", "Labore, quas nobis.", "Voluptates unde, sit officia. Dolores earum sapiente neque tempora, excepturi exercitationem distinctio!\r\n", "inherit", "closed", "closed", "", "30-revision-v1", "", "", "2018-07-29 15:57:32", "2018-07-29 15:57:32", "", "30", "http://localhost:8888/metonymic/2018/07/29/30-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("275", "1", "2018-07-29 15:57:37", "2018-07-29 15:57:37", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Magnam, reprehenderit at. Consequuntur facere consequatur sapiente ab ducimus labore quam quod modi cumque distinctio, nostrum, voluptates sint, a voluptatem fuga placeat quis aliquam eius.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatum, pariatur nam odit ad quas optio non, quasi sed officiis quaerat reiciendis consectetur.</p>\r\n<p>Iure in, officiis nam cum neque ducimus commodi consequuntur magni enim veniam nemo alias aliquid eveniet nihil repellat dolore omnis. Repellendus, atque.</p>\r\n<p>Voluptate aspernatur velit nam assumenda mollitia facilis explicabo, commodi, neque eaque consequuntur illo. Inventore adipisci nulla ullam suscipit vero odit, quaerat quia.</p>\r\n<p>Provident, consequuntur atque exercitationem corrupti laboriosam ipsam, reiciendis, praesentium totam delectus quas nobis doloribus. Voluptas ipsum explicabo eaque mollitia cupiditate ratione nam!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. In nesciunt ratione tempore quaerat, cum assumenda distinctio quod debitis, harum nulla expedita. Architecto odio quae esse commodi eveniet mollitia nihil, cupiditate corporis delectus ipsum. Fugiat perferendis nulla culpa tempora modi eius id dolor harum optio ea aliquam quaerat voluptatum similique, pariatur nisi deleniti, et animi itaque.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Magnam, reprehenderit at. Consequuntur facere consequatur sapiente ab ducimus labore quam quod modi cumque distinctio, nostrum, voluptates sint, a voluptatem fuga placeat quis aliquam eius.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatum, pariatur nam odit ad quas optio non, quasi sed officiis quaerat reiciendis consectetur.</p>\r\n<p>Iure in, officiis nam cum neque ducimus commodi consequuntur magni enim veniam nemo alias aliquid eveniet nihil repellat dolore omnis. Repellendus, atque.</p>\r\n<p>Voluptate aspernatur velit nam assumenda mollitia facilis explicabo, commodi, neque eaque consequuntur illo. Inventore adipisci nulla ullam suscipit vero odit, quaerat quia.</p>\r\n<p>Provident, consequuntur atque exercitationem corrupti laboriosam ipsam, reiciendis, praesentium totam delectus quas nobis doloribus. Voluptas ipsum explicabo eaque mollitia cupiditate ratione nam!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. In nesciunt ratione tempore quaerat, cum assumenda distinctio quod debitis, harum nulla expedita. Architecto odio quae esse commodi eveniet mollitia nihil, cupiditate corporis delectus ipsum. Fugiat perferendis nulla culpa tempora modi eius id dolor harum optio ea aliquam quaerat voluptatum similique, pariatur nisi deleniti, et animi itaque.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Magnam, reprehenderit at. Consequuntur facere consequatur sapiente ab ducimus labore quam quod modi cumque distinctio, nostrum, voluptates sint, a voluptatem fuga placeat quis aliquam eius.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatum, pariatur nam odit ad quas optio non, quasi sed officiis quaerat reiciendis consectetur.</p>\r\n<p>Iure in, officiis nam cum neque ducimus commodi consequuntur magni enim veniam nemo alias aliquid eveniet nihil repellat dolore omnis. Repellendus, atque.</p>\r\n<p>Voluptate aspernatur velit nam assumenda mollitia facilis explicabo, commodi, neque eaque consequuntur illo. Inventore adipisci nulla ullam suscipit vero odit, quaerat quia.</p>\r\n<p>Provident, consequuntur atque exercitationem corrupti laboriosam ipsam, reiciendis, praesentium totam delectus quas nobis doloribus. Voluptas ipsum explicabo eaque mollitia cupiditate ratione nam!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. In nesciunt ratione tempore quaerat, cum assumenda distinctio quod debitis, harum nulla expedita. Architecto odio quae esse commodi eveniet mollitia nihil, cupiditate corporis delectus ipsum. Fugiat perferendis nulla culpa tempora modi eius id dolor harum optio ea aliquam quaerat voluptatum similique, pariatur nisi deleniti, et animi itaque.</p>\r\n", "Veritatis, recusandae, iure.", "Porro consequuntur quisquam minus nemo placeat alias neque aliquam, provident iusto similique.\r\n", "inherit", "closed", "closed", "", "36-revision-v1", "", "", "2018-07-29 15:57:37", "2018-07-29 15:57:37", "", "36", "http://localhost:8888/metonymic/2018/07/29/36-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("276", "1", "2018-07-29 15:57:44", "2018-07-29 15:57:44", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur hic quasi odio voluptates eligendi illum suscipit asperiores fugit placeat inventore ratione explicabo assumenda blanditiis ipsam ipsum repellat ipsa, sint tempora odit eos? Sequi!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eveniet obcaecati ratione cum id natus asperiores maiores recusandae animi, corporis dolore dolorem ut!</p>\r\n<p>Soluta sunt quos dolore cumque earum temporibus, officiis at similique voluptas quam ullam accusantium autem, odio fugit magnam aut quisquam unde rem.</p>\r\n<p>Ad, eaque quo voluptatem dolorum esse minus illo, cupiditate fuga quidem ipsa! Voluptatem asperiores consequatur, nesciunt minima doloribus, dolorum fuga alias. Voluptas.</p>\r\n<p>Provident omnis veritatis rem debitis impedit quo excepturi! Illum, nesciunt, dolores adipisci sapiente soluta explicabo nihil debitis molestiae excepturi esse placeat accusamus.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Unde maxime nihil doloremque! Quos asperiores voluptas aliquam molestiae ut molestias fugiat, quasi, expedita amet explicabo aspernatur perferendis, eum reiciendis dicta natus accusamus alias incidunt sunt nemo voluptatum nesciunt veritatis architecto et doloremque aperiam! At enim nisi aut dignissimos minus corporis, magni tenetur eveniet aliquam illo! Error!</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur hic quasi odio voluptates eligendi illum suscipit asperiores fugit placeat inventore ratione explicabo assumenda blanditiis ipsam ipsum repellat ipsa, sint tempora odit eos? Sequi!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eveniet obcaecati ratione cum id natus asperiores maiores recusandae animi, corporis dolore dolorem ut!</p>\r\n<p>Soluta sunt quos dolore cumque earum temporibus, officiis at similique voluptas quam ullam accusantium autem, odio fugit magnam aut quisquam unde rem.</p>\r\n<p>Ad, eaque quo voluptatem dolorum esse minus illo, cupiditate fuga quidem ipsa! Voluptatem asperiores consequatur, nesciunt minima doloribus, dolorum fuga alias. Voluptas.</p>\r\n<p>Provident omnis veritatis rem debitis impedit quo excepturi! Illum, nesciunt, dolores adipisci sapiente soluta explicabo nihil debitis molestiae excepturi esse placeat accusamus.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Unde maxime nihil doloremque! Quos asperiores voluptas aliquam molestiae ut molestias fugiat, quasi, expedita amet explicabo aspernatur perferendis, eum reiciendis dicta natus accusamus alias incidunt sunt nemo voluptatum nesciunt veritatis architecto et doloremque aperiam! At enim nisi aut dignissimos minus corporis, magni tenetur eveniet aliquam illo! Error!</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur hic quasi odio voluptates eligendi illum suscipit asperiores fugit placeat inventore ratione explicabo assumenda blanditiis ipsam ipsum repellat ipsa, sint tempora odit eos? Sequi!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eveniet obcaecati ratione cum id natus asperiores maiores recusandae animi, corporis dolore dolorem ut!</p>\r\n<p>Soluta sunt quos dolore cumque earum temporibus, officiis at similique voluptas quam ullam accusantium autem, odio fugit magnam aut quisquam unde rem.</p>\r\n<p>Ad, eaque quo voluptatem dolorum esse minus illo, cupiditate fuga quidem ipsa! Voluptatem asperiores consequatur, nesciunt minima doloribus, dolorum fuga alias. Voluptas.</p>\r\n<p>Provident omnis veritatis rem debitis impedit quo excepturi! Illum, nesciunt, dolores adipisci sapiente soluta explicabo nihil debitis molestiae excepturi esse placeat accusamus.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Unde maxime nihil doloremque! Quos asperiores voluptas aliquam molestiae ut molestias fugiat, quasi, expedita amet explicabo aspernatur perferendis, eum reiciendis dicta natus accusamus alias incidunt sunt nemo voluptatum nesciunt veritatis architecto et doloremque aperiam! At enim nisi aut dignissimos minus corporis, magni tenetur eveniet aliquam illo! Error!</p>\r\n", "Dolores, minima, natus?", "Quos asperiores voluptas aliquam molestiae ut molestias fugiat, quasi, expedita amet explicabo.", "inherit", "closed", "closed", "", "32-revision-v1", "", "", "2018-07-29 15:57:44", "2018-07-29 15:57:44", "", "32", "http://localhost:8888/metonymic/2018/07/29/32-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("277", "1", "2018-07-29 15:57:49", "2018-07-29 15:57:49", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur hic quasi odio voluptates eligendi illum suscipit asperiores fugit placeat inventore ratione explicabo assumenda blanditiis ipsam ipsum repellat ipsa, sint tempora odit eos? Sequi!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eveniet obcaecati ratione cum id natus asperiores maiores recusandae animi, corporis dolore dolorem ut!</p>\r\n<p>Soluta sunt quos dolore cumque earum temporibus, officiis at similique voluptas quam ullam accusantium autem, odio fugit magnam aut quisquam unde rem.</p>\r\n<p>Ad, eaque quo voluptatem dolorum esse minus illo, cupiditate fuga quidem ipsa! Voluptatem asperiores consequatur, nesciunt minima doloribus, dolorum fuga alias. Voluptas.</p>\r\n<p>Provident omnis veritatis rem debitis impedit quo excepturi! Illum, nesciunt, dolores adipisci sapiente soluta explicabo nihil debitis molestiae excepturi esse placeat accusamus.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Unde maxime nihil doloremque! Quos asperiores voluptas aliquam molestiae ut molestias fugiat, quasi, expedita amet explicabo aspernatur perferendis, eum reiciendis dicta natus accusamus alias incidunt sunt nemo voluptatum nesciunt veritatis architecto et doloremque aperiam! At enim nisi aut dignissimos minus corporis, magni tenetur eveniet aliquam illo! Error!</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur hic quasi odio voluptates eligendi illum suscipit asperiores fugit placeat inventore ratione explicabo assumenda blanditiis ipsam ipsum repellat ipsa, sint tempora odit eos? Sequi!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eveniet obcaecati ratione cum id natus asperiores maiores recusandae animi, corporis dolore dolorem ut!</p>\r\n<p>Soluta sunt quos dolore cumque earum temporibus, officiis at similique voluptas quam ullam accusantium autem, odio fugit magnam aut quisquam unde rem.</p>\r\n<p>Ad, eaque quo voluptatem dolorum esse minus illo, cupiditate fuga quidem ipsa! Voluptatem asperiores consequatur, nesciunt minima doloribus, dolorum fuga alias. Voluptas.</p>\r\n<p>Provident omnis veritatis rem debitis impedit quo excepturi! Illum, nesciunt, dolores adipisci sapiente soluta explicabo nihil debitis molestiae excepturi esse placeat accusamus.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Unde maxime nihil doloremque! Quos asperiores voluptas aliquam molestiae ut molestias fugiat, quasi, expedita amet explicabo aspernatur perferendis, eum reiciendis dicta natus accusamus alias incidunt sunt nemo voluptatum nesciunt veritatis architecto et doloremque aperiam! At enim nisi aut dignissimos minus corporis, magni tenetur eveniet aliquam illo! Error!</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur hic quasi odio voluptates eligendi illum suscipit asperiores fugit placeat inventore ratione explicabo assumenda blanditiis ipsam ipsum repellat ipsa, sint tempora odit eos? Sequi!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eveniet obcaecati ratione cum id natus asperiores maiores recusandae animi, corporis dolore dolorem ut!</p>\r\n<p>Soluta sunt quos dolore cumque earum temporibus, officiis at similique voluptas quam ullam accusantium autem, odio fugit magnam aut quisquam unde rem.</p>\r\n<p>Ad, eaque quo voluptatem dolorum esse minus illo, cupiditate fuga quidem ipsa! Voluptatem asperiores consequatur, nesciunt minima doloribus, dolorum fuga alias. Voluptas.</p>\r\n<p>Provident omnis veritatis rem debitis impedit quo excepturi! Illum, nesciunt, dolores adipisci sapiente soluta explicabo nihil debitis molestiae excepturi esse placeat accusamus.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Unde maxime nihil doloremque! Quos asperiores voluptas aliquam molestiae ut molestias fugiat, quasi, expedita amet explicabo aspernatur perferendis, eum reiciendis dicta natus accusamus alias incidunt sunt nemo voluptatum nesciunt veritatis architecto et doloremque aperiam! At enim nisi aut dignissimos minus corporis, magni tenetur eveniet aliquam illo! Error!</p>\r\n", "Error, fugit, animi.", "Sapiente, ex, vel. Enim libero consequatur perferendis architecto harum, voluptatum maxime adipisci!\r\n", "inherit", "closed", "closed", "", "47-revision-v1", "", "", "2018-07-29 15:57:49", "2018-07-29 15:57:49", "", "47", "http://localhost:8888/metonymic/2018/07/29/47-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("278", "1", "2018-07-29 15:57:54", "2018-07-29 15:57:54", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Similique nisi architecto explicabo, quia, ab officiis nemo ad fuga aliquid, consequatur eveniet! Praesentium iste cumque dolore quos aspernatur deleniti itaque, porro quis, adipisci necessitatibus?</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Id aliquid illo, praesentium aspernatur impedit, illum ea voluptatum nobis iure adipisci obcaecati laboriosam.</p>\r\n<p>Tempora quidem quam neque autem est optio laboriosam dolores nesciunt enim rerum, suscipit mollitia facere deleniti, magni aliquid reprehenderit commodi. Similique, voluptatibus?</p>\r\n<p>Modi tempora nam eveniet inventore est at ullam explicabo quam maxime, iusto, minus sapiente, similique vero perferendis! Suscipit sed voluptates sint explicabo.</p>\r\n<p>A repellat animi necessitatibus! Repellat nostrum quidem suscipit maiores accusantium at, officiis unde sit modi consectetur totam repellendus! Necessitatibus doloremque ex laboriosam!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sed aliquam amet veniam nam reiciendis delectus sint quisquam laborum et aspernatur porro eaque, dicta soluta inventore similique non minus! Facere, molestias. Architecto quis libero quam error vel corporis, labore quidem illum cumque tempore, magni nam odio dolores atque rerum ipsa aut laborum facere, fugit enim tenetur.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Similique nisi architecto explicabo, quia, ab officiis nemo ad fuga aliquid, consequatur eveniet! Praesentium iste cumque dolore quos aspernatur deleniti itaque, porro quis, adipisci necessitatibus?</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Id aliquid illo, praesentium aspernatur impedit, illum ea voluptatum nobis iure adipisci obcaecati laboriosam.</p>\r\n<p>Tempora quidem quam neque autem est optio laboriosam dolores nesciunt enim rerum, suscipit mollitia facere deleniti, magni aliquid reprehenderit commodi. Similique, voluptatibus?</p>\r\n<p>Modi tempora nam eveniet inventore est at ullam explicabo quam maxime, iusto, minus sapiente, similique vero perferendis! Suscipit sed voluptates sint explicabo.</p>\r\n<p>A repellat animi necessitatibus! Repellat nostrum quidem suscipit maiores accusantium at, officiis unde sit modi consectetur totam repellendus! Necessitatibus doloremque ex laboriosam!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sed aliquam amet veniam nam reiciendis delectus sint quisquam laborum et aspernatur porro eaque, dicta soluta inventore similique non minus! Facere, molestias. Architecto quis libero quam error vel corporis, labore quidem illum cumque tempore, magni nam odio dolores atque rerum ipsa aut laborum facere, fugit enim tenetur.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Similique nisi architecto explicabo, quia, ab officiis nemo ad fuga aliquid, consequatur eveniet! Praesentium iste cumque dolore quos aspernatur deleniti itaque, porro quis, adipisci necessitatibus?</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Id aliquid illo, praesentium aspernatur impedit, illum ea voluptatum nobis iure adipisci obcaecati laboriosam.</p>\r\n<p>Tempora quidem quam neque autem est optio laboriosam dolores nesciunt enim rerum, suscipit mollitia facere deleniti, magni aliquid reprehenderit commodi. Similique, voluptatibus?</p>\r\n<p>Modi tempora nam eveniet inventore est at ullam explicabo quam maxime, iusto, minus sapiente, similique vero perferendis! Suscipit sed voluptates sint explicabo.</p>\r\n<p>A repellat animi necessitatibus! Repellat nostrum quidem suscipit maiores accusantium at, officiis unde sit modi consectetur totam repellendus! Necessitatibus doloremque ex laboriosam!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sed aliquam amet veniam nam reiciendis delectus sint quisquam laborum et aspernatur porro eaque, dicta soluta inventore similique non minus! Facere, molestias. Architecto quis libero quam error vel corporis, labore quidem illum cumque tempore, magni nam odio dolores atque rerum ipsa aut laborum facere, fugit enim tenetur.</p>\r\n", "Consectetur, quod, maiores!", "Quam expedita in nostrum incidunt cum fugit quisquam dolore temporibus perferendis, debitis.\r\n", "inherit", "closed", "closed", "", "49-revision-v1", "", "", "2018-07-29 15:57:54", "2018-07-29 15:57:54", "", "49", "http://localhost:8888/metonymic/2018/07/29/49-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("279", "1", "2018-07-29 15:58:07", "2018-07-29 15:58:07", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Similique nisi architecto explicabo, quia, ab officiis nemo ad fuga aliquid, consequatur eveniet! Praesentium iste cumque dolore quos aspernatur deleniti itaque, porro quis, adipisci necessitatibus?</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Id aliquid illo, praesentium aspernatur impedit, illum ea voluptatum nobis iure adipisci obcaecati laboriosam.</p>\r\n<p>Tempora quidem quam neque autem est optio laboriosam dolores nesciunt enim rerum, suscipit mollitia facere deleniti, magni aliquid reprehenderit commodi. Similique, voluptatibus?</p>\r\n<p>Modi tempora nam eveniet inventore est at ullam explicabo quam maxime, iusto, minus sapiente, similique vero perferendis! Suscipit sed voluptates sint explicabo.</p>\r\n<p>A repellat animi necessitatibus! Repellat nostrum quidem suscipit maiores accusantium at, officiis unde sit modi consectetur totam repellendus! Necessitatibus doloremque ex laboriosam!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sed aliquam amet veniam nam reiciendis delectus sint quisquam laborum et aspernatur porro eaque, dicta soluta inventore similique non minus! Facere, molestias. Architecto quis libero quam error vel corporis, labore quidem illum cumque tempore, magni nam odio dolores atque rerum ipsa aut laborum facere, fugit enim tenetur.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Similique nisi architecto explicabo, quia, ab officiis nemo ad fuga aliquid, consequatur eveniet! Praesentium iste cumque dolore quos aspernatur deleniti itaque, porro quis, adipisci necessitatibus?</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Id aliquid illo, praesentium aspernatur impedit, illum ea voluptatum nobis iure adipisci obcaecati laboriosam.</p>\r\n<p>Tempora quidem quam neque autem est optio laboriosam dolores nesciunt enim rerum, suscipit mollitia facere deleniti, magni aliquid reprehenderit commodi. Similique, voluptatibus?</p>\r\n<p>Modi tempora nam eveniet inventore est at ullam explicabo quam maxime, iusto, minus sapiente, similique vero perferendis! Suscipit sed voluptates sint explicabo.</p>\r\n<p>A repellat animi necessitatibus! Repellat nostrum quidem suscipit maiores accusantium at, officiis unde sit modi consectetur totam repellendus! Necessitatibus doloremque ex laboriosam!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sed aliquam amet veniam nam reiciendis delectus sint quisquam laborum et aspernatur porro eaque, dicta soluta inventore similique non minus! Facere, molestias. Architecto quis libero quam error vel corporis, labore quidem illum cumque tempore, magni nam odio dolores atque rerum ipsa aut laborum facere, fugit enim tenetur.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Similique nisi architecto explicabo, quia, ab officiis nemo ad fuga aliquid, consequatur eveniet! Praesentium iste cumque dolore quos aspernatur deleniti itaque, porro quis, adipisci necessitatibus?</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Id aliquid illo, praesentium aspernatur impedit, illum ea voluptatum nobis iure adipisci obcaecati laboriosam.</p>\r\n<p>Tempora quidem quam neque autem est optio laboriosam dolores nesciunt enim rerum, suscipit mollitia facere deleniti, magni aliquid reprehenderit commodi. Similique, voluptatibus?</p>\r\n<p>Modi tempora nam eveniet inventore est at ullam explicabo quam maxime, iusto, minus sapiente, similique vero perferendis! Suscipit sed voluptates sint explicabo.</p>\r\n<p>A repellat animi necessitatibus! Repellat nostrum quidem suscipit maiores accusantium at, officiis unde sit modi consectetur totam repellendus! Necessitatibus doloremque ex laboriosam!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sed aliquam amet veniam nam reiciendis delectus sint quisquam laborum et aspernatur porro eaque, dicta soluta inventore similique non minus! Facere, molestias. Architecto quis libero quam error vel corporis, labore quidem illum cumque tempore, magni nam odio dolores atque rerum ipsa aut laborum facere, fugit enim tenetur.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Similique nisi architecto explicabo, quia, ab officiis nemo ad fuga aliquid, consequatur eveniet! Praesentium iste cumque dolore quos aspernatur deleniti itaque, porro quis, adipisci necessitatibus?</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Id aliquid illo, praesentium aspernatur impedit, illum ea voluptatum nobis iure adipisci obcaecati laboriosam.</p>\r\n<p>Tempora quidem quam neque autem est optio laboriosam dolores nesciunt enim rerum, suscipit mollitia facere deleniti, magni aliquid reprehenderit commodi. Similique, voluptatibus?</p>\r\n<p>Modi tempora nam eveniet inventore est at ullam explicabo quam maxime, iusto, minus sapiente, similique vero perferendis! Suscipit sed voluptates sint explicabo.</p>\r\n<p>A repellat animi necessitatibus! Repellat nostrum quidem suscipit maiores accusantium at, officiis unde sit modi consectetur totam repellendus! Necessitatibus doloremque ex laboriosam!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sed aliquam amet veniam nam reiciendis delectus sint quisquam laborum et aspernatur porro eaque, dicta soluta inventore similique non minus! Facere, molestias. Architecto quis libero quam error vel corporis, labore quidem illum cumque tempore, magni nam odio dolores atque rerum ipsa aut laborum facere, fugit enim tenetur.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Similique nisi architecto explicabo, quia, ab officiis nemo ad fuga aliquid, consequatur eveniet! Praesentium iste cumque dolore quos aspernatur deleniti itaque, porro quis, adipisci necessitatibus?</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Id aliquid illo, praesentium aspernatur impedit, illum ea voluptatum nobis iure adipisci obcaecati laboriosam.</p>\r\n<p>Tempora quidem quam neque autem est optio laboriosam dolores nesciunt enim rerum, suscipit mollitia facere deleniti, magni aliquid reprehenderit commodi. Similique, voluptatibus?</p>\r\n<p>Modi tempora nam eveniet inventore est at ullam explicabo quam maxime, iusto, minus sapiente, similique vero perferendis! Suscipit sed voluptates sint explicabo.</p>\r\n<p>A repellat animi necessitatibus! Repellat nostrum quidem suscipit maiores accusantium at, officiis unde sit modi consectetur totam repellendus! Necessitatibus doloremque ex laboriosam!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sed aliquam amet veniam nam reiciendis delectus sint quisquam laborum et aspernatur porro eaque, dicta soluta inventore similique non minus! Facere, molestias. Architecto quis libero quam error vel corporis, labore quidem illum cumque tempore, magni nam odio dolores atque rerum ipsa aut laborum facere, fugit enim tenetur.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Similique nisi architecto explicabo, quia, ab officiis nemo ad fuga aliquid, consequatur eveniet! Praesentium iste cumque dolore quos aspernatur deleniti itaque, porro quis, adipisci necessitatibus?</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Id aliquid illo, praesentium aspernatur impedit, illum ea voluptatum nobis iure adipisci obcaecati laboriosam.</p>\r\n<p>Tempora quidem quam neque autem est optio laboriosam dolores nesciunt enim rerum, suscipit mollitia facere deleniti, magni aliquid reprehenderit commodi. Similique, voluptatibus?</p>\r\n<p>Modi tempora nam eveniet inventore est at ullam explicabo quam maxime, iusto, minus sapiente, similique vero perferendis! Suscipit sed voluptates sint explicabo.</p>\r\n<p>A repellat animi necessitatibus! Repellat nostrum quidem suscipit maiores accusantium at, officiis unde sit modi consectetur totam repellendus! Necessitatibus doloremque ex laboriosam!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sed aliquam amet veniam nam reiciendis delectus sint quisquam laborum et aspernatur porro eaque, dicta soluta inventore similique non minus! Facere, molestias. Architecto quis libero quam error vel corporis, labore quidem illum cumque tempore, magni nam odio dolores atque rerum ipsa aut laborum facere, fugit enim tenetur.</p>\r\n", "Consectetur, quod, maiores!", "Quam expedita in nostrum incidunt cum fugit quisquam dolore temporibus perferendis, debitis.\r\n", "inherit", "closed", "closed", "", "49-revision-v1", "", "", "2018-07-29 15:58:07", "2018-07-29 15:58:07", "", "49", "http://localhost:8888/metonymic/2018/07/29/49-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("280", "1", "2018-07-29 15:58:15", "2018-07-29 15:58:15", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. At voluptatibus iste molestias perferendis et nostrum recusandae, laboriosam, aut ipsum aspernatur doloremque consectetur. Eveniet id tenetur ipsum impedit alias neque, perferendis minima quos deleniti!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Veniam ullam sint, beatae tenetur aspernatur eaque, nam sapiente reprehenderit recusandae aliquid, voluptatum. A!</p>\r\n<p>Fuga quibusdam earum nemo obcaecati accusamus asperiores minus, mollitia aperiam, neque dolores saepe ratione facere hic totam libero et nesciunt rem pariatur.</p>\r\n<p>Aperiam animi distinctio ducimus, deserunt nostrum ipsum natus et nisi, cumque maxime hic repellendus at possimus inventore, maiores eius provident? Adipisci, cumque.</p>\r\n<p>Distinctio tempore architecto voluptate, laborum autem aperiam nesciunt impedit cupiditate dolorem natus placeat aut repellat harum non maiores unde ipsam in tenetur.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Distinctio, sint amet mollitia ratione sed nesciunt minima minus, hic voluptatum ab eos illum in molestiae sequi cupiditate, molestias reprehenderit deserunt ut cumque, exercitationem earum ea. Doloremque voluptatum numquam et, aut porro expedita magnam maxime officia sequi perspiciatis odio iure praesentium veniam mollitia ipsum dolores pariatur quod.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. At voluptatibus iste molestias perferendis et nostrum recusandae, laboriosam, aut ipsum aspernatur doloremque consectetur. Eveniet id tenetur ipsum impedit alias neque, perferendis minima quos deleniti!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Veniam ullam sint, beatae tenetur aspernatur eaque, nam sapiente reprehenderit recusandae aliquid, voluptatum. A!</p>\r\n<p>Fuga quibusdam earum nemo obcaecati accusamus asperiores minus, mollitia aperiam, neque dolores saepe ratione facere hic totam libero et nesciunt rem pariatur.</p>\r\n<p>Aperiam animi distinctio ducimus, deserunt nostrum ipsum natus et nisi, cumque maxime hic repellendus at possimus inventore, maiores eius provident? Adipisci, cumque.</p>\r\n<p>Distinctio tempore architecto voluptate, laborum autem aperiam nesciunt impedit cupiditate dolorem natus placeat aut repellat harum non maiores unde ipsam in tenetur.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Distinctio, sint amet mollitia ratione sed nesciunt minima minus, hic voluptatum ab eos illum in molestiae sequi cupiditate, molestias reprehenderit deserunt ut cumque, exercitationem earum ea. Doloremque voluptatum numquam et, aut porro expedita magnam maxime officia sequi perspiciatis odio iure praesentium veniam mollitia ipsum dolores pariatur quod.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. At voluptatibus iste molestias perferendis et nostrum recusandae, laboriosam, aut ipsum aspernatur doloremque consectetur. Eveniet id tenetur ipsum impedit alias neque, perferendis minima quos deleniti!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Veniam ullam sint, beatae tenetur aspernatur eaque, nam sapiente reprehenderit recusandae aliquid, voluptatum. A!</p>\r\n<p>Fuga quibusdam earum nemo obcaecati accusamus asperiores minus, mollitia aperiam, neque dolores saepe ratione facere hic totam libero et nesciunt rem pariatur.</p>\r\n<p>Aperiam animi distinctio ducimus, deserunt nostrum ipsum natus et nisi, cumque maxime hic repellendus at possimus inventore, maiores eius provident? Adipisci, cumque.</p>\r\n<p>Distinctio tempore architecto voluptate, laborum autem aperiam nesciunt impedit cupiditate dolorem natus placeat aut repellat harum non maiores unde ipsam in tenetur.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Distinctio, sint amet mollitia ratione sed nesciunt minima minus, hic voluptatum ab eos illum in molestiae sequi cupiditate, molestias reprehenderit deserunt ut cumque, exercitationem earum ea. Doloremque voluptatum numquam et, aut porro expedita magnam maxime officia sequi perspiciatis odio iure praesentium veniam mollitia ipsum dolores pariatur quod.</p>\r\n", "Obcaecati, dicta, impedit!", "In maxime tempore quo sapiente nobis quae? Incidunt, minus iusto vero ratione!\r\n", "inherit", "closed", "closed", "", "51-revision-v1", "", "", "2018-07-29 15:58:15", "2018-07-29 15:58:15", "", "51", "http://localhost:8888/metonymic/2018/07/29/51-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("281", "1", "2018-07-29 15:58:22", "2018-07-29 15:58:22", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Qui quia eveniet harum eos repudiandae at asperiores, fugit molestiae quasi veritatis excepturi totam, tempora, aliquam facere mollitia omnis, nisi cum unde sint accusantium temporibus.</p>\n<h3>Lorem ipsum dolor.</h3>\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quaerat fugit qui officiis reprehenderit voluptatum tempora, praesentium mollitia nobis, cumque accusantium dolore eveniet.</p>\n<p>Earum officiis veniam porro voluptatem neque eveniet quia provident fugit harum! Aut eaque nesciunt ea maxime labore tenetur ad sequi, nobis sint.</p>\n<p>Maxime et quia excepturi delectus, atque, molestias quae reprehenderit repudiandae quas sequi dolorem impedit, vel error magni reiciendis ullam eaque suscipit deleniti!</p>\n<p>Laudantium eveniet non saepe quibusdam labore quos, at corporis quas voluptatum quae sit nemo autem, expedita voluptates assumenda doloremque sed necessitatibus? Sed.</p>\n<h3>Lorem ipsum dolor sit.</h3>\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Harum tempora iste, ex unde quasi culpa cumque repudiandae dolore reprehenderit a quos temporibus animi pariatur consectetur at. Culpa ipsum similique rerum, doloremque numquam architecto, ad repellat quisquam ut aperiam tempore ullam fuga reiciendis at blanditiis maiores atque eaque voluptatibus quasi eligendi earum aliquam. Earum, magni maxime.</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Qui quia eveniet harum eos repudiandae at asperiores, fugit molestiae quasi veritatis excepturi totam, tempora, aliquam facere mollitia omnis, nisi cum unde sint accusantium temporibus.</p>\n<h3>Lorem ipsum dolor.</h3>\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quaerat fugit qui officiis reprehenderit voluptatum tempora, praesentium mollitia nobis, cumque accusantium dolore eveniet.</p>\n<p>Earum officiis veniam porro voluptatem neque eveniet quia provident fugit harum! Aut eaque nesciunt ea maxime labore tenetur ad sequi, nobis sint.</p>\n<p>Maxime et quia excepturi delectus, atque, molestias quae reprehenderit repudiandae quas sequi dolorem impedit, vel error magni reiciendis ullam eaque suscipit deleniti!</p>\n<p>Laudantium eveniet non saepe quibusdam labore quos, at corporis quas voluptatum quae sit nemo autem, expedita voluptates assumenda doloremque sed necessitatibus? Sed.</p>\n<h3>Lorem ipsum dolor sit.</h3>\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Harum tempora iste, ex unde quasi culpa cumque repudiandae dolore reprehenderit a quos temporibus animi pariatur consectetur at. Culpa ipsum similique rerum, doloremque numquam architecto, ad repellat quisquam ut aperiam tempore ullam fuga reiciendis at blanditiis maiores atque eaque voluptatibus quasi eligendi earum aliquam. Earum, magni maxime.</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Qui quia eveniet harum eos repudiandae at asperiores, fugit molestiae quasi veritatis excepturi totam, tempora, aliquam facere mollitia omnis, nisi cum unde sint accusantium temporibus.</p>\n<h3>Lorem ipsum dolor.</h3>\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quaerat fugit qui officiis reprehenderit voluptatum tempora, praesentium mollitia nobis, cumque accusantium dolore eveniet.</p>\n<p>Earum officiis veniam porro voluptatem neque eveniet quia provident fugit harum! Aut eaque nesciunt ea maxime labore tenetur ad sequi, nobis sint.</p>\n<p>Maxime et quia excepturi delectus, atque, molestias quae reprehenderit repudiandae quas sequi dolorem impedit, vel error magni reiciendis ullam eaque suscipit deleniti!</p>\n<p>Laudantium eveniet non saepe quibusdam labore quos, at corporis quas voluptatum quae sit nemo autem, expedita voluptates assumenda doloremque sed necessitatibus? Sed.</p>\n<h3>Lorem ipsum dolor sit.</h3>\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Harum tempora iste, ex unde quasi culpa cumque repudiandae dolore reprehenderit a quos temporibus animi pariatur consectetur at. Culpa ipsum similique rerum, doloremque numquam architecto, ad repellat quisquam ut aperiam tempore ullam fuga reiciendis at blanditiis maiores atque eaque voluptatibus quasi eligendi earum aliquam. Earum, magni maxime.</p>", "Quod, magni, laboriosam.", "Tempora ab nulla obcaecati quos consequatur molestiae temporibus nihil, numquam ullam. Voluptates!\n", "inherit", "closed", "closed", "", "52-autosave-v1", "", "", "2018-07-29 15:58:22", "2018-07-29 15:58:22", "", "52", "http://localhost:8888/metonymic/2018/07/29/52-autosave-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("282", "1", "2018-07-29 15:58:26", "2018-07-29 15:58:26", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Qui quia eveniet harum eos repudiandae at asperiores, fugit molestiae quasi veritatis excepturi totam, tempora, aliquam facere mollitia omnis, nisi cum unde sint accusantium temporibus.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quaerat fugit qui officiis reprehenderit voluptatum tempora, praesentium mollitia nobis, cumque accusantium dolore eveniet.</p>\r\n<p>Earum officiis veniam porro voluptatem neque eveniet quia provident fugit harum! Aut eaque nesciunt ea maxime labore tenetur ad sequi, nobis sint.</p>\r\n<p>Maxime et quia excepturi delectus, atque, molestias quae reprehenderit repudiandae quas sequi dolorem impedit, vel error magni reiciendis ullam eaque suscipit deleniti!</p>\r\n<p>Laudantium eveniet non saepe quibusdam labore quos, at corporis quas voluptatum quae sit nemo autem, expedita voluptates assumenda doloremque sed necessitatibus? Sed.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Harum tempora iste, ex unde quasi culpa cumque repudiandae dolore reprehenderit a quos temporibus animi pariatur consectetur at. Culpa ipsum similique rerum, doloremque numquam architecto, ad repellat quisquam ut aperiam tempore ullam fuga reiciendis at blanditiis maiores atque eaque voluptatibus quasi eligendi earum aliquam. Earum, magni maxime.</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Qui quia eveniet harum eos repudiandae at asperiores, fugit molestiae quasi veritatis excepturi totam, tempora, aliquam facere mollitia omnis, nisi cum unde sint accusantium temporibus.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quaerat fugit qui officiis reprehenderit voluptatum tempora, praesentium mollitia nobis, cumque accusantium dolore eveniet.</p>\r\n<p>Earum officiis veniam porro voluptatem neque eveniet quia provident fugit harum! Aut eaque nesciunt ea maxime labore tenetur ad sequi, nobis sint.</p>\r\n<p>Maxime et quia excepturi delectus, atque, molestias quae reprehenderit repudiandae quas sequi dolorem impedit, vel error magni reiciendis ullam eaque suscipit deleniti!</p>\r\n<p>Laudantium eveniet non saepe quibusdam labore quos, at corporis quas voluptatum quae sit nemo autem, expedita voluptates assumenda doloremque sed necessitatibus? Sed.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Harum tempora iste, ex unde quasi culpa cumque repudiandae dolore reprehenderit a quos temporibus animi pariatur consectetur at. Culpa ipsum similique rerum, doloremque numquam architecto, ad repellat quisquam ut aperiam tempore ullam fuga reiciendis at blanditiis maiores atque eaque voluptatibus quasi eligendi earum aliquam. Earum, magni maxime.</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Qui quia eveniet harum eos repudiandae at asperiores, fugit molestiae quasi veritatis excepturi totam, tempora, aliquam facere mollitia omnis, nisi cum unde sint accusantium temporibus.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quaerat fugit qui officiis reprehenderit voluptatum tempora, praesentium mollitia nobis, cumque accusantium dolore eveniet.</p>\r\n<p>Earum officiis veniam porro voluptatem neque eveniet quia provident fugit harum! Aut eaque nesciunt ea maxime labore tenetur ad sequi, nobis sint.</p>\r\n<p>Maxime et quia excepturi delectus, atque, molestias quae reprehenderit repudiandae quas sequi dolorem impedit, vel error magni reiciendis ullam eaque suscipit deleniti!</p>\r\n<p>Laudantium eveniet non saepe quibusdam labore quos, at corporis quas voluptatum quae sit nemo autem, expedita voluptates assumenda doloremque sed necessitatibus? Sed.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Harum tempora iste, ex unde quasi culpa cumque repudiandae dolore reprehenderit a quos temporibus animi pariatur consectetur at. Culpa ipsum similique rerum, doloremque numquam architecto, ad repellat quisquam ut aperiam tempore ullam fuga reiciendis at blanditiis maiores atque eaque voluptatibus quasi eligendi earum aliquam. Earum, magni maxime.</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Qui quia eveniet harum eos repudiandae at asperiores, fugit molestiae quasi veritatis excepturi totam, tempora, aliquam facere mollitia omnis, nisi cum unde sint accusantium temporibus.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quaerat fugit qui officiis reprehenderit voluptatum tempora, praesentium mollitia nobis, cumque accusantium dolore eveniet.</p>\r\n<p>Earum officiis veniam porro voluptatem neque eveniet quia provident fugit harum! Aut eaque nesciunt ea maxime labore tenetur ad sequi, nobis sint.</p>\r\n<p>Maxime et quia excepturi delectus, atque, molestias quae reprehenderit repudiandae quas sequi dolorem impedit, vel error magni reiciendis ullam eaque suscipit deleniti!</p>\r\n<p>Laudantium eveniet non saepe quibusdam labore quos, at corporis quas voluptatum quae sit nemo autem, expedita voluptates assumenda doloremque sed necessitatibus? Sed.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Harum tempora iste, ex unde quasi culpa cumque repudiandae dolore reprehenderit a quos temporibus animi pariatur consectetur at. Culpa ipsum similique rerum, doloremque numquam architecto, ad repellat quisquam ut aperiam tempore ullam fuga reiciendis at blanditiis maiores atque eaque voluptatibus quasi eligendi earum aliquam. Earum, magni maxime.</p>", "Quod, magni, laboriosam.", "Tempora ab nulla obcaecati quos consequatur molestiae temporibus nihil, numquam ullam. Voluptates!\r\n", "inherit", "closed", "closed", "", "52-revision-v1", "", "", "2018-07-29 15:58:26", "2018-07-29 15:58:26", "", "52", "http://localhost:8888/metonymic/2018/07/29/52-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("283", "1", "2018-07-29 15:58:33", "2018-07-29 15:58:33", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Fugit labore voluptatem voluptatum nostrum in explicabo ab itaque perspiciatis ipsam sapiente, recusandae, voluptate unde. Reiciendis voluptatum quia ad nulla recusandae molestias atque sequi laudantium.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Minima, ipsam necessitatibus temporibus qui accusamus, quasi, totam repudiandae doloremque rerum quia delectus nam.</p>\r\n<p>Labore harum, maiores veniam cupiditate qui explicabo voluptatem earum id, dolor, voluptas saepe natus. Porro debitis ullam itaque, accusantium culpa soluta voluptatum.</p>\r\n<p>Assumenda similique labore, corrupti recusandae quisquam, accusantium provident voluptates incidunt, neque eum consequuntur. At minus, iste dolore repudiandae ipsum ea, cupiditate molestias.</p>\r\n<p>Vitae ad id accusamus quia aspernatur ab, iusto, repellendus beatae rem aperiam ipsam atque, laboriosam nesciunt ea sunt officiis in? Modi, velit.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sapiente adipisci, hic itaque dicta, facere tempore aut voluptatum magni. Quisquam tenetur, esse ducimus nesciunt praesentium accusantium porro laborum quas, minus ab placeat repellendus labore perspiciatis? Sapiente odio fugiat, id eum ipsam recusandae nobis nemo assumenda quam! Dolorem provident ipsa consequatur quibusdam illum possimus quis itaque ducimus.</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Fugit labore voluptatem voluptatum nostrum in explicabo ab itaque perspiciatis ipsam sapiente, recusandae, voluptate unde. Reiciendis voluptatum quia ad nulla recusandae molestias atque sequi laudantium.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Minima, ipsam necessitatibus temporibus qui accusamus, quasi, totam repudiandae doloremque rerum quia delectus nam.</p>\r\n<p>Labore harum, maiores veniam cupiditate qui explicabo voluptatem earum id, dolor, voluptas saepe natus. Porro debitis ullam itaque, accusantium culpa soluta voluptatum.</p>\r\n<p>Assumenda similique labore, corrupti recusandae quisquam, accusantium provident voluptates incidunt, neque eum consequuntur. At minus, iste dolore repudiandae ipsum ea, cupiditate molestias.</p>\r\n<p>Vitae ad id accusamus quia aspernatur ab, iusto, repellendus beatae rem aperiam ipsam atque, laboriosam nesciunt ea sunt officiis in? Modi, velit.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sapiente adipisci, hic itaque dicta, facere tempore aut voluptatum magni. Quisquam tenetur, esse ducimus nesciunt praesentium accusantium porro laborum quas, minus ab placeat repellendus labore perspiciatis? Sapiente odio fugiat, id eum ipsam recusandae nobis nemo assumenda quam! Dolorem provident ipsa consequatur quibusdam illum possimus quis itaque ducimus.</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Fugit labore voluptatem voluptatum nostrum in explicabo ab itaque perspiciatis ipsam sapiente, recusandae, voluptate unde. Reiciendis voluptatum quia ad nulla recusandae molestias atque sequi laudantium.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Minima, ipsam necessitatibus temporibus qui accusamus, quasi, totam repudiandae doloremque rerum quia delectus nam.</p>\r\n<p>Labore harum, maiores veniam cupiditate qui explicabo voluptatem earum id, dolor, voluptas saepe natus. Porro debitis ullam itaque, accusantium culpa soluta voluptatum.</p>\r\n<p>Assumenda similique labore, corrupti recusandae quisquam, accusantium provident voluptates incidunt, neque eum consequuntur. At minus, iste dolore repudiandae ipsum ea, cupiditate molestias.</p>\r\n<p>Vitae ad id accusamus quia aspernatur ab, iusto, repellendus beatae rem aperiam ipsam atque, laboriosam nesciunt ea sunt officiis in? Modi, velit.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sapiente adipisci, hic itaque dicta, facere tempore aut voluptatum magni. Quisquam tenetur, esse ducimus nesciunt praesentium accusantium porro laborum quas, minus ab placeat repellendus labore perspiciatis? Sapiente odio fugiat, id eum ipsam recusandae nobis nemo assumenda quam! Dolorem provident ipsa consequatur quibusdam illum possimus quis itaque ducimus.</p>", "Iusto, ipsam, autem.", "Ea illum cumque, incidunt quisquam odit molestiae. Esse, quidem. Nihil, voluptates dolor.\r\n", "inherit", "closed", "closed", "", "57-revision-v1", "", "", "2018-07-29 15:58:33", "2018-07-29 15:58:33", "", "57", "http://localhost:8888/metonymic/2018/07/29/57-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("284", "1", "2018-07-29 15:58:39", "2018-07-29 15:58:39", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Natus, vero repellendus eos. Sed velit aliquid corporis numquam quis officiis maxime consequuntur doloremque amet accusamus nesciunt, praesentium quidem at assumenda quisquam omnis voluptas veritatis?</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eaque quae itaque accusantium nam facilis ad vero, maiores officiis ab, cupiditate, recusandae molestias.</p>\r\n<p>Pariatur consequatur, ipsum quos veritatis in laborum eveniet praesentium dolorum necessitatibus architecto, consectetur amet, officiis consequuntur doloribus earum odio quo recusandae voluptates!</p>\r\n<p>Similique incidunt error voluptatum repellendus fuga sunt, dicta dolore necessitatibus nesciunt reprehenderit adipisci. Sed aperiam a nostrum odit debitis sint, ducimus dolor!</p>\r\n<p>Earum quos, ipsam consectetur nostrum tempora incidunt debitis temporibus itaque assumenda architecto dignissimos perferendis possimus ipsa commodi rerum vero nam ab voluptatem?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Vel quia repellat adipisci quidem aspernatur in. Iusto expedita ratione esse minima nostrum! Minus deleniti rerum impedit hic ullam doloremque a necessitatibus id aliquid blanditiis. At eveniet aspernatur cum veniam. Sequi perspiciatis corporis, laborum nulla nisi odit? Suscipit cupiditate expedita incidunt dolores quis sed minus delectus nulla.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Natus, vero repellendus eos. Sed velit aliquid corporis numquam quis officiis maxime consequuntur doloremque amet accusamus nesciunt, praesentium quidem at assumenda quisquam omnis voluptas veritatis?</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eaque quae itaque accusantium nam facilis ad vero, maiores officiis ab, cupiditate, recusandae molestias.</p>\r\n<p>Pariatur consequatur, ipsum quos veritatis in laborum eveniet praesentium dolorum necessitatibus architecto, consectetur amet, officiis consequuntur doloribus earum odio quo recusandae voluptates!</p>\r\n<p>Similique incidunt error voluptatum repellendus fuga sunt, dicta dolore necessitatibus nesciunt reprehenderit adipisci. Sed aperiam a nostrum odit debitis sint, ducimus dolor!</p>\r\n<p>Earum quos, ipsam consectetur nostrum tempora incidunt debitis temporibus itaque assumenda architecto dignissimos perferendis possimus ipsa commodi rerum vero nam ab voluptatem?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Vel quia repellat adipisci quidem aspernatur in. Iusto expedita ratione esse minima nostrum! Minus deleniti rerum impedit hic ullam doloremque a necessitatibus id aliquid blanditiis. At eveniet aspernatur cum veniam. Sequi perspiciatis corporis, laborum nulla nisi odit? Suscipit cupiditate expedita incidunt dolores quis sed minus delectus nulla.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Natus, vero repellendus eos. Sed velit aliquid corporis numquam quis officiis maxime consequuntur doloremque amet accusamus nesciunt, praesentium quidem at assumenda quisquam omnis voluptas veritatis?</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eaque quae itaque accusantium nam facilis ad vero, maiores officiis ab, cupiditate, recusandae molestias.</p>\r\n<p>Pariatur consequatur, ipsum quos veritatis in laborum eveniet praesentium dolorum necessitatibus architecto, consectetur amet, officiis consequuntur doloribus earum odio quo recusandae voluptates!</p>\r\n<p>Similique incidunt error voluptatum repellendus fuga sunt, dicta dolore necessitatibus nesciunt reprehenderit adipisci. Sed aperiam a nostrum odit debitis sint, ducimus dolor!</p>\r\n<p>Earum quos, ipsam consectetur nostrum tempora incidunt debitis temporibus itaque assumenda architecto dignissimos perferendis possimus ipsa commodi rerum vero nam ab voluptatem?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Vel quia repellat adipisci quidem aspernatur in. Iusto expedita ratione esse minima nostrum! Minus deleniti rerum impedit hic ullam doloremque a necessitatibus id aliquid blanditiis. At eveniet aspernatur cum veniam. Sequi perspiciatis corporis, laborum nulla nisi odit? Suscipit cupiditate expedita incidunt dolores quis sed minus delectus nulla.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Natus, vero repellendus eos. Sed velit aliquid corporis numquam quis officiis maxime consequuntur doloremque amet accusamus nesciunt, praesentium quidem at assumenda quisquam omnis voluptas veritatis?</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eaque quae itaque accusantium nam facilis ad vero, maiores officiis ab, cupiditate, recusandae molestias.</p>\r\n<p>Pariatur consequatur, ipsum quos veritatis in laborum eveniet praesentium dolorum necessitatibus architecto, consectetur amet, officiis consequuntur doloribus earum odio quo recusandae voluptates!</p>\r\n<p>Similique incidunt error voluptatum repellendus fuga sunt, dicta dolore necessitatibus nesciunt reprehenderit adipisci. Sed aperiam a nostrum odit debitis sint, ducimus dolor!</p>\r\n<p>Earum quos, ipsam consectetur nostrum tempora incidunt debitis temporibus itaque assumenda architecto dignissimos perferendis possimus ipsa commodi rerum vero nam ab voluptatem?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Vel quia repellat adipisci quidem aspernatur in. Iusto expedita ratione esse minima nostrum! Minus deleniti rerum impedit hic ullam doloremque a necessitatibus id aliquid blanditiis. At eveniet aspernatur cum veniam. Sequi perspiciatis corporis, laborum nulla nisi odit? Suscipit cupiditate expedita incidunt dolores quis sed minus delectus nulla.</p>\r\n", "Quos, quis inventore.", "Beatae quisquam fuga neque natus impedit iste incidunt. Temporibus ratione perferendis repellendus.\r\n", "inherit", "closed", "closed", "", "60-revision-v1", "", "", "2018-07-29 15:58:39", "2018-07-29 15:58:39", "", "60", "http://localhost:8888/metonymic/2018/07/29/60-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("285", "1", "2018-07-29 15:58:48", "2018-07-29 15:58:48", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Natus, vero repellendus eos. Sed velit aliquid corporis numquam quis officiis maxime consequuntur doloremque amet accusamus nesciunt, praesentium quidem at assumenda quisquam omnis voluptas veritatis?</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eaque quae itaque accusantium nam facilis ad vero, maiores officiis ab, cupiditate, recusandae molestias.</p>\r\n<p>Pariatur consequatur, ipsum quos veritatis in laborum eveniet praesentium dolorum necessitatibus architecto, consectetur amet, officiis consequuntur doloribus earum odio quo recusandae voluptates!</p>\r\n<p>Similique incidunt error voluptatum repellendus fuga sunt, dicta dolore necessitatibus nesciunt reprehenderit adipisci. Sed aperiam a nostrum odit debitis sint, ducimus dolor!</p>\r\n<p>Earum quos, ipsam consectetur nostrum tempora incidunt debitis temporibus itaque assumenda architecto dignissimos perferendis possimus ipsa commodi rerum vero nam ab voluptatem?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Vel quia repellat adipisci quidem aspernatur in. Iusto expedita ratione esse minima nostrum! Minus deleniti rerum impedit hic ullam doloremque a necessitatibus id aliquid blanditiis. At eveniet aspernatur cum veniam. Sequi perspiciatis corporis, laborum nulla nisi odit? Suscipit cupiditate expedita incidunt dolores quis sed minus delectus nulla.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Natus, vero repellendus eos. Sed velit aliquid corporis numquam quis officiis maxime consequuntur doloremque amet accusamus nesciunt, praesentium quidem at assumenda quisquam omnis voluptas veritatis?</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eaque quae itaque accusantium nam facilis ad vero, maiores officiis ab, cupiditate, recusandae molestias.</p>\r\n<p>Pariatur consequatur, ipsum quos veritatis in laborum eveniet praesentium dolorum necessitatibus architecto, consectetur amet, officiis consequuntur doloribus earum odio quo recusandae voluptates!</p>\r\n<p>Similique incidunt error voluptatum repellendus fuga sunt, dicta dolore necessitatibus nesciunt reprehenderit adipisci. Sed aperiam a nostrum odit debitis sint, ducimus dolor!</p>\r\n<p>Earum quos, ipsam consectetur nostrum tempora incidunt debitis temporibus itaque assumenda architecto dignissimos perferendis possimus ipsa commodi rerum vero nam ab voluptatem?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Vel quia repellat adipisci quidem aspernatur in. Iusto expedita ratione esse minima nostrum! Minus deleniti rerum impedit hic ullam doloremque a necessitatibus id aliquid blanditiis. At eveniet aspernatur cum veniam. Sequi perspiciatis corporis, laborum nulla nisi odit? Suscipit cupiditate expedita incidunt dolores quis sed minus delectus nulla.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Natus, vero repellendus eos. Sed velit aliquid corporis numquam quis officiis maxime consequuntur doloremque amet accusamus nesciunt, praesentium quidem at assumenda quisquam omnis voluptas veritatis?</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eaque quae itaque accusantium nam facilis ad vero, maiores officiis ab, cupiditate, recusandae molestias.</p>\r\n<p>Pariatur consequatur, ipsum quos veritatis in laborum eveniet praesentium dolorum necessitatibus architecto, consectetur amet, officiis consequuntur doloribus earum odio quo recusandae voluptates!</p>\r\n<p>Similique incidunt error voluptatum repellendus fuga sunt, dicta dolore necessitatibus nesciunt reprehenderit adipisci. Sed aperiam a nostrum odit debitis sint, ducimus dolor!</p>\r\n<p>Earum quos, ipsam consectetur nostrum tempora incidunt debitis temporibus itaque assumenda architecto dignissimos perferendis possimus ipsa commodi rerum vero nam ab voluptatem?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Vel quia repellat adipisci quidem aspernatur in. Iusto expedita ratione esse minima nostrum! Minus deleniti rerum impedit hic ullam doloremque a necessitatibus id aliquid blanditiis. At eveniet aspernatur cum veniam. Sequi perspiciatis corporis, laborum nulla nisi odit? Suscipit cupiditate expedita incidunt dolores quis sed minus delectus nulla.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Natus, vero repellendus eos. Sed velit aliquid corporis numquam quis officiis maxime consequuntur doloremque amet accusamus nesciunt, praesentium quidem at assumenda quisquam omnis voluptas veritatis?</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eaque quae itaque accusantium nam facilis ad vero, maiores officiis ab, cupiditate, recusandae molestias.</p>\r\n<p>Pariatur consequatur, ipsum quos veritatis in laborum eveniet praesentium dolorum necessitatibus architecto, consectetur amet, officiis consequuntur doloribus earum odio quo recusandae voluptates!</p>\r\n<p>Similique incidunt error voluptatum repellendus fuga sunt, dicta dolore necessitatibus nesciunt reprehenderit adipisci. Sed aperiam a nostrum odit debitis sint, ducimus dolor!</p>\r\n<p>Earum quos, ipsam consectetur nostrum tempora incidunt debitis temporibus itaque assumenda architecto dignissimos perferendis possimus ipsa commodi rerum vero nam ab voluptatem?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Vel quia repellat adipisci quidem aspernatur in. Iusto expedita ratione esse minima nostrum! Minus deleniti rerum impedit hic ullam doloremque a necessitatibus id aliquid blanditiis. At eveniet aspernatur cum veniam. Sequi perspiciatis corporis, laborum nulla nisi odit? Suscipit cupiditate expedita incidunt dolores quis sed minus delectus nulla.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Natus, vero repellendus eos. Sed velit aliquid corporis numquam quis officiis maxime consequuntur doloremque amet accusamus nesciunt, praesentium quidem at assumenda quisquam omnis voluptas veritatis?</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eaque quae itaque accusantium nam facilis ad vero, maiores officiis ab, cupiditate, recusandae molestias.</p>\r\n<p>Pariatur consequatur, ipsum quos veritatis in laborum eveniet praesentium dolorum necessitatibus architecto, consectetur amet, officiis consequuntur doloribus earum odio quo recusandae voluptates!</p>\r\n<p>Similique incidunt error voluptatum repellendus fuga sunt, dicta dolore necessitatibus nesciunt reprehenderit adipisci. Sed aperiam a nostrum odit debitis sint, ducimus dolor!</p>\r\n<p>Earum quos, ipsam consectetur nostrum tempora incidunt debitis temporibus itaque assumenda architecto dignissimos perferendis possimus ipsa commodi rerum vero nam ab voluptatem?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Vel quia repellat adipisci quidem aspernatur in. Iusto expedita ratione esse minima nostrum! Minus deleniti rerum impedit hic ullam doloremque a necessitatibus id aliquid blanditiis. At eveniet aspernatur cum veniam. Sequi perspiciatis corporis, laborum nulla nisi odit? Suscipit cupiditate expedita incidunt dolores quis sed minus delectus nulla.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Natus, vero repellendus eos. Sed velit aliquid corporis numquam quis officiis maxime consequuntur doloremque amet accusamus nesciunt, praesentium quidem at assumenda quisquam omnis voluptas veritatis?</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eaque quae itaque accusantium nam facilis ad vero, maiores officiis ab, cupiditate, recusandae molestias.</p>\r\n<p>Pariatur consequatur, ipsum quos veritatis in laborum eveniet praesentium dolorum necessitatibus architecto, consectetur amet, officiis consequuntur doloribus earum odio quo recusandae voluptates!</p>\r\n<p>Similique incidunt error voluptatum repellendus fuga sunt, dicta dolore necessitatibus nesciunt reprehenderit adipisci. Sed aperiam a nostrum odit debitis sint, ducimus dolor!</p>\r\n<p>Earum quos, ipsam consectetur nostrum tempora incidunt debitis temporibus itaque assumenda architecto dignissimos perferendis possimus ipsa commodi rerum vero nam ab voluptatem?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Vel quia repellat adipisci quidem aspernatur in. Iusto expedita ratione esse minima nostrum! Minus deleniti rerum impedit hic ullam doloremque a necessitatibus id aliquid blanditiis. At eveniet aspernatur cum veniam. Sequi perspiciatis corporis, laborum nulla nisi odit? Suscipit cupiditate expedita incidunt dolores quis sed minus delectus nulla.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Natus, vero repellendus eos. Sed velit aliquid corporis numquam quis officiis maxime consequuntur doloremque amet accusamus nesciunt, praesentium quidem at assumenda quisquam omnis voluptas veritatis?</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eaque quae itaque accusantium nam facilis ad vero, maiores officiis ab, cupiditate, recusandae molestias.</p>\r\n<p>Pariatur consequatur, ipsum quos veritatis in laborum eveniet praesentium dolorum necessitatibus architecto, consectetur amet, officiis consequuntur doloribus earum odio quo recusandae voluptates!</p>\r\n<p>Similique incidunt error voluptatum repellendus fuga sunt, dicta dolore necessitatibus nesciunt reprehenderit adipisci. Sed aperiam a nostrum odit debitis sint, ducimus dolor!</p>\r\n<p>Earum quos, ipsam consectetur nostrum tempora incidunt debitis temporibus itaque assumenda architecto dignissimos perferendis possimus ipsa commodi rerum vero nam ab voluptatem?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Vel quia repellat adipisci quidem aspernatur in. Iusto expedita ratione esse minima nostrum! Minus deleniti rerum impedit hic ullam doloremque a necessitatibus id aliquid blanditiis. At eveniet aspernatur cum veniam. Sequi perspiciatis corporis, laborum nulla nisi odit? Suscipit cupiditate expedita incidunt dolores quis sed minus delectus nulla.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Natus, vero repellendus eos. Sed velit aliquid corporis numquam quis officiis maxime consequuntur doloremque amet accusamus nesciunt, praesentium quidem at assumenda quisquam omnis voluptas veritatis?</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eaque quae itaque accusantium nam facilis ad vero, maiores officiis ab, cupiditate, recusandae molestias.</p>\r\n<p>Pariatur consequatur, ipsum quos veritatis in laborum eveniet praesentium dolorum necessitatibus architecto, consectetur amet, officiis consequuntur doloribus earum odio quo recusandae voluptates!</p>\r\n<p>Similique incidunt error voluptatum repellendus fuga sunt, dicta dolore necessitatibus nesciunt reprehenderit adipisci. Sed aperiam a nostrum odit debitis sint, ducimus dolor!</p>\r\n<p>Earum quos, ipsam consectetur nostrum tempora incidunt debitis temporibus itaque assumenda architecto dignissimos perferendis possimus ipsa commodi rerum vero nam ab voluptatem?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Vel quia repellat adipisci quidem aspernatur in. Iusto expedita ratione esse minima nostrum! Minus deleniti rerum impedit hic ullam doloremque a necessitatibus id aliquid blanditiis. At eveniet aspernatur cum veniam. Sequi perspiciatis corporis, laborum nulla nisi odit? Suscipit cupiditate expedita incidunt dolores quis sed minus delectus nulla.</p>\r\n", "Quos, quis inventore.", "Beatae quisquam fuga neque natus impedit iste incidunt. Temporibus ratione perferendis repellendus.\r\n", "inherit", "closed", "closed", "", "60-revision-v1", "", "", "2018-07-29 15:58:48", "2018-07-29 15:58:48", "", "60", "http://localhost:8888/metonymic/2018/07/29/60-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("286", "1", "2018-07-29 16:00:21", "2018-07-29 16:00:21", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatibus ducimus similique illum, aspernatur magni. Officia alias fugit sunt quis atque ratione temporibus maiores suscipit harum iusto et rem soluta odio, molestiae autem eligendi.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Iure minus dolores consectetur enim commodi ipsam ut minima. Perferendis eaque labore explicabo recusandae?</p>\r\n<p>Autem assumenda eveniet, a aspernatur voluptates dolore, omnis illum voluptas dicta perspiciatis ex doloribus. Itaque harum neque earum dolorem, error ipsam ab.</p>\r\n<p>Ipsam et distinctio tempora maiores consequatur, ducimus explicabo voluptas, dolorum iste eum consectetur ea provident id quia nesciunt voluptates voluptatum. Quibusdam, harum.</p>\r\n<p>Pariatur illo aperiam quisquam voluptas dicta aspernatur magni laborum, quibusdam impedit quos non distinctio earum ipsa sapiente minima nihil, eius aliquam dolor.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Doloribus consequatur, ea officiis ab aliquid quia commodi non? Non molestias, a accusantium perferendis necessitatibus repellat libero nemo, doloribus quaerat iusto, laudantium? Laudantium in, aliquam deserunt hic esse sint amet animi, necessitatibus labore officiis temporibus nihil excepturi ex totam, dolore placeat illo error ea quod nesciunt dolores!</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatibus ducimus similique illum, aspernatur magni. Officia alias fugit sunt quis atque ratione temporibus maiores suscipit harum iusto et rem soluta odio, molestiae autem eligendi.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Iure minus dolores consectetur enim commodi ipsam ut minima. Perferendis eaque labore explicabo recusandae?</p>\r\n<p>Autem assumenda eveniet, a aspernatur voluptates dolore, omnis illum voluptas dicta perspiciatis ex doloribus. Itaque harum neque earum dolorem, error ipsam ab.</p>\r\n<p>Ipsam et distinctio tempora maiores consequatur, ducimus explicabo voluptas, dolorum iste eum consectetur ea provident id quia nesciunt voluptates voluptatum. Quibusdam, harum.</p>\r\n<p>Pariatur illo aperiam quisquam voluptas dicta aspernatur magni laborum, quibusdam impedit quos non distinctio earum ipsa sapiente minima nihil, eius aliquam dolor.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Doloribus consequatur, ea officiis ab aliquid quia commodi non? Non molestias, a accusantium perferendis necessitatibus repellat libero nemo, doloribus quaerat iusto, laudantium? Laudantium in, aliquam deserunt hic esse sint amet animi, necessitatibus labore officiis temporibus nihil excepturi ex totam, dolore placeat illo error ea quod nesciunt dolores!</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatibus ducimus similique illum, aspernatur magni. Officia alias fugit sunt quis atque ratione temporibus maiores suscipit harum iusto et rem soluta odio, molestiae autem eligendi.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Iure minus dolores consectetur enim commodi ipsam ut minima. Perferendis eaque labore explicabo recusandae?</p>\r\n<p>Autem assumenda eveniet, a aspernatur voluptates dolore, omnis illum voluptas dicta perspiciatis ex doloribus. Itaque harum neque earum dolorem, error ipsam ab.</p>\r\n<p>Ipsam et distinctio tempora maiores consequatur, ducimus explicabo voluptas, dolorum iste eum consectetur ea provident id quia nesciunt voluptates voluptatum. Quibusdam, harum.</p>\r\n<p>Pariatur illo aperiam quisquam voluptas dicta aspernatur magni laborum, quibusdam impedit quos non distinctio earum ipsa sapiente minima nihil, eius aliquam dolor.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Doloribus consequatur, ea officiis ab aliquid quia commodi non? Non molestias, a accusantium perferendis necessitatibus repellat libero nemo, doloribus quaerat iusto, laudantium? Laudantium in, aliquam deserunt hic esse sint amet animi, necessitatibus labore officiis temporibus nihil excepturi ex totam, dolore placeat illo error ea quod nesciunt dolores!</p>", "Amet, tempore, excepturi?", "Odit voluptatem quis aut nemo qui ullam, aperiam reprehenderit molestias sint ea.\r\n", "inherit", "closed", "closed", "", "63-revision-v1", "", "", "2018-07-29 16:00:21", "2018-07-29 16:00:21", "", "63", "http://localhost:8888/metonymic/2018/07/29/63-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("287", "1", "2018-07-29 16:00:27", "2018-07-29 16:00:27", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatibus ducimus similique illum, aspernatur magni. Officia alias fugit sunt quis atque ratione temporibus maiores suscipit harum iusto et rem soluta odio, molestiae autem eligendi.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Iure minus dolores consectetur enim commodi ipsam ut minima. Perferendis eaque labore explicabo recusandae?</p>\r\n<p>Autem assumenda eveniet, a aspernatur voluptates dolore, omnis illum voluptas dicta perspiciatis ex doloribus. Itaque harum neque earum dolorem, error ipsam ab.</p>\r\n<p>Ipsam et distinctio tempora maiores consequatur, ducimus explicabo voluptas, dolorum iste eum consectetur ea provident id quia nesciunt voluptates voluptatum. Quibusdam, harum.</p>\r\n<p>Pariatur illo aperiam quisquam voluptas dicta aspernatur magni laborum, quibusdam impedit quos non distinctio earum ipsa sapiente minima nihil, eius aliquam dolor.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Doloribus consequatur, ea officiis ab aliquid quia commodi non? Non molestias, a accusantium perferendis necessitatibus repellat libero nemo, doloribus quaerat iusto, laudantium? Laudantium in, aliquam deserunt hic esse sint amet animi, necessitatibus labore officiis temporibus nihil excepturi ex totam, dolore placeat illo error ea quod nesciunt dolores!</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatibus ducimus similique illum, aspernatur magni. Officia alias fugit sunt quis atque ratione temporibus maiores suscipit harum iusto et rem soluta odio, molestiae autem eligendi.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Iure minus dolores consectetur enim commodi ipsam ut minima. Perferendis eaque labore explicabo recusandae?</p>\r\n<p>Autem assumenda eveniet, a aspernatur voluptates dolore, omnis illum voluptas dicta perspiciatis ex doloribus. Itaque harum neque earum dolorem, error ipsam ab.</p>\r\n<p>Ipsam et distinctio tempora maiores consequatur, ducimus explicabo voluptas, dolorum iste eum consectetur ea provident id quia nesciunt voluptates voluptatum. Quibusdam, harum.</p>\r\n<p>Pariatur illo aperiam quisquam voluptas dicta aspernatur magni laborum, quibusdam impedit quos non distinctio earum ipsa sapiente minima nihil, eius aliquam dolor.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Doloribus consequatur, ea officiis ab aliquid quia commodi non? Non molestias, a accusantium perferendis necessitatibus repellat libero nemo, doloribus quaerat iusto, laudantium? Laudantium in, aliquam deserunt hic esse sint amet animi, necessitatibus labore officiis temporibus nihil excepturi ex totam, dolore placeat illo error ea quod nesciunt dolores!</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatibus ducimus similique illum, aspernatur magni. Officia alias fugit sunt quis atque ratione temporibus maiores suscipit harum iusto et rem soluta odio, molestiae autem eligendi.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Iure minus dolores consectetur enim commodi ipsam ut minima. Perferendis eaque labore explicabo recusandae?</p>\r\n<p>Autem assumenda eveniet, a aspernatur voluptates dolore, omnis illum voluptas dicta perspiciatis ex doloribus. Itaque harum neque earum dolorem, error ipsam ab.</p>\r\n<p>Ipsam et distinctio tempora maiores consequatur, ducimus explicabo voluptas, dolorum iste eum consectetur ea provident id quia nesciunt voluptates voluptatum. Quibusdam, harum.</p>\r\n<p>Pariatur illo aperiam quisquam voluptas dicta aspernatur magni laborum, quibusdam impedit quos non distinctio earum ipsa sapiente minima nihil, eius aliquam dolor.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Doloribus consequatur, ea officiis ab aliquid quia commodi non? Non molestias, a accusantium perferendis necessitatibus repellat libero nemo, doloribus quaerat iusto, laudantium? Laudantium in, aliquam deserunt hic esse sint amet animi, necessitatibus labore officiis temporibus nihil excepturi ex totam, dolore placeat illo error ea quod nesciunt dolores!</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatibus ducimus similique illum, aspernatur magni. Officia alias fugit sunt quis atque ratione temporibus maiores suscipit harum iusto et rem soluta odio, molestiae autem eligendi.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Iure minus dolores consectetur enim commodi ipsam ut minima. Perferendis eaque labore explicabo recusandae?</p>\r\n<p>Autem assumenda eveniet, a aspernatur voluptates dolore, omnis illum voluptas dicta perspiciatis ex doloribus. Itaque harum neque earum dolorem, error ipsam ab.</p>\r\n<p>Ipsam et distinctio tempora maiores consequatur, ducimus explicabo voluptas, dolorum iste eum consectetur ea provident id quia nesciunt voluptates voluptatum. Quibusdam, harum.</p>\r\n<p>Pariatur illo aperiam quisquam voluptas dicta aspernatur magni laborum, quibusdam impedit quos non distinctio earum ipsa sapiente minima nihil, eius aliquam dolor.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Doloribus consequatur, ea officiis ab aliquid quia commodi non? Non molestias, a accusantium perferendis necessitatibus repellat libero nemo, doloribus quaerat iusto, laudantium? Laudantium in, aliquam deserunt hic esse sint amet animi, necessitatibus labore officiis temporibus nihil excepturi ex totam, dolore placeat illo error ea quod nesciunt dolores!</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatibus ducimus similique illum, aspernatur magni. Officia alias fugit sunt quis atque ratione temporibus maiores suscipit harum iusto et rem soluta odio, molestiae autem eligendi.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Iure minus dolores consectetur enim commodi ipsam ut minima. Perferendis eaque labore explicabo recusandae?</p>\r\n<p>Autem assumenda eveniet, a aspernatur voluptates dolore, omnis illum voluptas dicta perspiciatis ex doloribus. Itaque harum neque earum dolorem, error ipsam ab.</p>\r\n<p>Ipsam et distinctio tempora maiores consequatur, ducimus explicabo voluptas, dolorum iste eum consectetur ea provident id quia nesciunt voluptates voluptatum. Quibusdam, harum.</p>\r\n<p>Pariatur illo aperiam quisquam voluptas dicta aspernatur magni laborum, quibusdam impedit quos non distinctio earum ipsa sapiente minima nihil, eius aliquam dolor.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Doloribus consequatur, ea officiis ab aliquid quia commodi non? Non molestias, a accusantium perferendis necessitatibus repellat libero nemo, doloribus quaerat iusto, laudantium? Laudantium in, aliquam deserunt hic esse sint amet animi, necessitatibus labore officiis temporibus nihil excepturi ex totam, dolore placeat illo error ea quod nesciunt dolores!</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatibus ducimus similique illum, aspernatur magni. Officia alias fugit sunt quis atque ratione temporibus maiores suscipit harum iusto et rem soluta odio, molestiae autem eligendi.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Iure minus dolores consectetur enim commodi ipsam ut minima. Perferendis eaque labore explicabo recusandae?</p>\r\n<p>Autem assumenda eveniet, a aspernatur voluptates dolore, omnis illum voluptas dicta perspiciatis ex doloribus. Itaque harum neque earum dolorem, error ipsam ab.</p>\r\n<p>Ipsam et distinctio tempora maiores consequatur, ducimus explicabo voluptas, dolorum iste eum consectetur ea provident id quia nesciunt voluptates voluptatum. Quibusdam, harum.</p>\r\n<p>Pariatur illo aperiam quisquam voluptas dicta aspernatur magni laborum, quibusdam impedit quos non distinctio earum ipsa sapiente minima nihil, eius aliquam dolor.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Doloribus consequatur, ea officiis ab aliquid quia commodi non? Non molestias, a accusantium perferendis necessitatibus repellat libero nemo, doloribus quaerat iusto, laudantium? Laudantium in, aliquam deserunt hic esse sint amet animi, necessitatibus labore officiis temporibus nihil excepturi ex totam, dolore placeat illo error ea quod nesciunt dolores!</p>", "Amet, tempore, excepturi?", "Odit voluptatem quis aut nemo qui ullam, aperiam reprehenderit molestias sint ea.\r\n", "inherit", "closed", "closed", "", "63-revision-v1", "", "", "2018-07-29 16:00:27", "2018-07-29 16:00:27", "", "63", "http://localhost:8888/metonymic/2018/07/29/63-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("288", "1", "2018-07-29 16:00:33", "2018-07-29 16:00:33", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Dolorum omnis fuga quidem beatae eum quasi incidunt corporis nisi architecto aperiam illo soluta, non autem, sint vitae minus culpa voluptatum praesentium ullam cum doloremque.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quidem explicabo corporis at totam, quod sit iusto voluptatem aliquam, tenetur natus delectus eos.</p>\r\n<p>Reprehenderit, nesciunt quia, expedita, molestiae est architecto sed qui perferendis enim iure consectetur fuga facilis laboriosam? Esse modi inventore animi consequatur, iste.</p>\r\n<p>Consectetur soluta, voluptatem! Nemo odit nihil unde quaerat consectetur cupiditate sapiente, porro dolore pariatur explicabo voluptatum reprehenderit, aperiam soluta culpa veritatis quam.</p>\r\n<p>Minima illum itaque perferendis fugit dicta ad voluptatem a eaque optio obcaecati quos reprehenderit, quidem, eius provident enim, asperiores, praesentium dolor quisquam!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ipsa consequuntur recusandae aspernatur necessitatibus dignissimos neque pariatur tempore iusto, accusantium tempora quis obcaecati saepe nesciunt nam est a quo sunt fuga deleniti voluptates voluptas inventore. Officiis saepe dolorem enim veniam optio quae corporis, vel, nulla. Suscipit ipsa ratione explicabo magnam recusandae cum doloribus quidem neque necessitatibus.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Dolorum omnis fuga quidem beatae eum quasi incidunt corporis nisi architecto aperiam illo soluta, non autem, sint vitae minus culpa voluptatum praesentium ullam cum doloremque.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quidem explicabo corporis at totam, quod sit iusto voluptatem aliquam, tenetur natus delectus eos.</p>\r\n<p>Reprehenderit, nesciunt quia, expedita, molestiae est architecto sed qui perferendis enim iure consectetur fuga facilis laboriosam? Esse modi inventore animi consequatur, iste.</p>\r\n<p>Consectetur soluta, voluptatem! Nemo odit nihil unde quaerat consectetur cupiditate sapiente, porro dolore pariatur explicabo voluptatum reprehenderit, aperiam soluta culpa veritatis quam.</p>\r\n<p>Minima illum itaque perferendis fugit dicta ad voluptatem a eaque optio obcaecati quos reprehenderit, quidem, eius provident enim, asperiores, praesentium dolor quisquam!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ipsa consequuntur recusandae aspernatur necessitatibus dignissimos neque pariatur tempore iusto, accusantium tempora quis obcaecati saepe nesciunt nam est a quo sunt fuga deleniti voluptates voluptas inventore. Officiis saepe dolorem enim veniam optio quae corporis, vel, nulla. Suscipit ipsa ratione explicabo magnam recusandae cum doloribus quidem neque necessitatibus.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Dolorum omnis fuga quidem beatae eum quasi incidunt corporis nisi architecto aperiam illo soluta, non autem, sint vitae minus culpa voluptatum praesentium ullam cum doloremque.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quidem explicabo corporis at totam, quod sit iusto voluptatem aliquam, tenetur natus delectus eos.</p>\r\n<p>Reprehenderit, nesciunt quia, expedita, molestiae est architecto sed qui perferendis enim iure consectetur fuga facilis laboriosam? Esse modi inventore animi consequatur, iste.</p>\r\n<p>Consectetur soluta, voluptatem! Nemo odit nihil unde quaerat consectetur cupiditate sapiente, porro dolore pariatur explicabo voluptatum reprehenderit, aperiam soluta culpa veritatis quam.</p>\r\n<p>Minima illum itaque perferendis fugit dicta ad voluptatem a eaque optio obcaecati quos reprehenderit, quidem, eius provident enim, asperiores, praesentium dolor quisquam!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ipsa consequuntur recusandae aspernatur necessitatibus dignissimos neque pariatur tempore iusto, accusantium tempora quis obcaecati saepe nesciunt nam est a quo sunt fuga deleniti voluptates voluptas inventore. Officiis saepe dolorem enim veniam optio quae corporis, vel, nulla. Suscipit ipsa ratione explicabo magnam recusandae cum doloribus quidem neque necessitatibus.</p>\r\n", "Voluptatibus ipsam, cumque.", "Tenetur eum cum nobis, error minima, odio at ipsum deserunt illum sunt.\r\n", "inherit", "closed", "closed", "", "64-revision-v1", "", "", "2018-07-29 16:00:33", "2018-07-29 16:00:33", "", "64", "http://localhost:8888/metonymic/2018/07/29/64-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("289", "1", "2018-07-29 16:00:41", "2018-07-29 16:00:41", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Dolorum omnis fuga quidem beatae eum quasi incidunt corporis nisi architecto aperiam illo soluta, non autem, sint vitae minus culpa voluptatum praesentium ullam cum doloremque.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quidem explicabo corporis at totam, quod sit iusto voluptatem aliquam, tenetur natus delectus eos.</p>\r\n<p>Reprehenderit, nesciunt quia, expedita, molestiae est architecto sed qui perferendis enim iure consectetur fuga facilis laboriosam? Esse modi inventore animi consequatur, iste.</p>\r\n<p>Consectetur soluta, voluptatem! Nemo odit nihil unde quaerat consectetur cupiditate sapiente, porro dolore pariatur explicabo voluptatum reprehenderit, aperiam soluta culpa veritatis quam.</p>\r\n<p>Minima illum itaque perferendis fugit dicta ad voluptatem a eaque optio obcaecati quos reprehenderit, quidem, eius provident enim, asperiores, praesentium dolor quisquam!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ipsa consequuntur recusandae aspernatur necessitatibus dignissimos neque pariatur tempore iusto, accusantium tempora quis obcaecati saepe nesciunt nam est a quo sunt fuga deleniti voluptates voluptas inventore. Officiis saepe dolorem enim veniam optio quae corporis, vel, nulla. Suscipit ipsa ratione explicabo magnam recusandae cum doloribus quidem neque necessitatibus.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Dolorum omnis fuga quidem beatae eum quasi incidunt corporis nisi architecto aperiam illo soluta, non autem, sint vitae minus culpa voluptatum praesentium ullam cum doloremque.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quidem explicabo corporis at totam, quod sit iusto voluptatem aliquam, tenetur natus delectus eos.</p>\r\n<p>Reprehenderit, nesciunt quia, expedita, molestiae est architecto sed qui perferendis enim iure consectetur fuga facilis laboriosam? Esse modi inventore animi consequatur, iste.</p>\r\n<p>Consectetur soluta, voluptatem! Nemo odit nihil unde quaerat consectetur cupiditate sapiente, porro dolore pariatur explicabo voluptatum reprehenderit, aperiam soluta culpa veritatis quam.</p>\r\n<p>Minima illum itaque perferendis fugit dicta ad voluptatem a eaque optio obcaecati quos reprehenderit, quidem, eius provident enim, asperiores, praesentium dolor quisquam!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ipsa consequuntur recusandae aspernatur necessitatibus dignissimos neque pariatur tempore iusto, accusantium tempora quis obcaecati saepe nesciunt nam est a quo sunt fuga deleniti voluptates voluptas inventore. Officiis saepe dolorem enim veniam optio quae corporis, vel, nulla. Suscipit ipsa ratione explicabo magnam recusandae cum doloribus quidem neque necessitatibus.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Dolorum omnis fuga quidem beatae eum quasi incidunt corporis nisi architecto aperiam illo soluta, non autem, sint vitae minus culpa voluptatum praesentium ullam cum doloremque.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quidem explicabo corporis at totam, quod sit iusto voluptatem aliquam, tenetur natus delectus eos.</p>\r\n<p>Reprehenderit, nesciunt quia, expedita, molestiae est architecto sed qui perferendis enim iure consectetur fuga facilis laboriosam? Esse modi inventore animi consequatur, iste.</p>\r\n<p>Consectetur soluta, voluptatem! Nemo odit nihil unde quaerat consectetur cupiditate sapiente, porro dolore pariatur explicabo voluptatum reprehenderit, aperiam soluta culpa veritatis quam.</p>\r\n<p>Minima illum itaque perferendis fugit dicta ad voluptatem a eaque optio obcaecati quos reprehenderit, quidem, eius provident enim, asperiores, praesentium dolor quisquam!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ipsa consequuntur recusandae aspernatur necessitatibus dignissimos neque pariatur tempore iusto, accusantium tempora quis obcaecati saepe nesciunt nam est a quo sunt fuga deleniti voluptates voluptas inventore. Officiis saepe dolorem enim veniam optio quae corporis, vel, nulla. Suscipit ipsa ratione explicabo magnam recusandae cum doloribus quidem neque necessitatibus.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Dolorum omnis fuga quidem beatae eum quasi incidunt corporis nisi architecto aperiam illo soluta, non autem, sint vitae minus culpa voluptatum praesentium ullam cum doloremque.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quidem explicabo corporis at totam, quod sit iusto voluptatem aliquam, tenetur natus delectus eos.</p>\r\n<p>Reprehenderit, nesciunt quia, expedita, molestiae est architecto sed qui perferendis enim iure consectetur fuga facilis laboriosam? Esse modi inventore animi consequatur, iste.</p>\r\n<p>Consectetur soluta, voluptatem! Nemo odit nihil unde quaerat consectetur cupiditate sapiente, porro dolore pariatur explicabo voluptatum reprehenderit, aperiam soluta culpa veritatis quam.</p>\r\n<p>Minima illum itaque perferendis fugit dicta ad voluptatem a eaque optio obcaecati quos reprehenderit, quidem, eius provident enim, asperiores, praesentium dolor quisquam!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ipsa consequuntur recusandae aspernatur necessitatibus dignissimos neque pariatur tempore iusto, accusantium tempora quis obcaecati saepe nesciunt nam est a quo sunt fuga deleniti voluptates voluptas inventore. Officiis saepe dolorem enim veniam optio quae corporis, vel, nulla. Suscipit ipsa ratione explicabo magnam recusandae cum doloribus quidem neque necessitatibus.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Dolorum omnis fuga quidem beatae eum quasi incidunt corporis nisi architecto aperiam illo soluta, non autem, sint vitae minus culpa voluptatum praesentium ullam cum doloremque.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quidem explicabo corporis at totam, quod sit iusto voluptatem aliquam, tenetur natus delectus eos.</p>\r\n<p>Reprehenderit, nesciunt quia, expedita, molestiae est architecto sed qui perferendis enim iure consectetur fuga facilis laboriosam? Esse modi inventore animi consequatur, iste.</p>\r\n<p>Consectetur soluta, voluptatem! Nemo odit nihil unde quaerat consectetur cupiditate sapiente, porro dolore pariatur explicabo voluptatum reprehenderit, aperiam soluta culpa veritatis quam.</p>\r\n<p>Minima illum itaque perferendis fugit dicta ad voluptatem a eaque optio obcaecati quos reprehenderit, quidem, eius provident enim, asperiores, praesentium dolor quisquam!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ipsa consequuntur recusandae aspernatur necessitatibus dignissimos neque pariatur tempore iusto, accusantium tempora quis obcaecati saepe nesciunt nam est a quo sunt fuga deleniti voluptates voluptas inventore. Officiis saepe dolorem enim veniam optio quae corporis, vel, nulla. Suscipit ipsa ratione explicabo magnam recusandae cum doloribus quidem neque necessitatibus.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Dolorum omnis fuga quidem beatae eum quasi incidunt corporis nisi architecto aperiam illo soluta, non autem, sint vitae minus culpa voluptatum praesentium ullam cum doloremque.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quidem explicabo corporis at totam, quod sit iusto voluptatem aliquam, tenetur natus delectus eos.</p>\r\n<p>Reprehenderit, nesciunt quia, expedita, molestiae est architecto sed qui perferendis enim iure consectetur fuga facilis laboriosam? Esse modi inventore animi consequatur, iste.</p>\r\n<p>Consectetur soluta, voluptatem! Nemo odit nihil unde quaerat consectetur cupiditate sapiente, porro dolore pariatur explicabo voluptatum reprehenderit, aperiam soluta culpa veritatis quam.</p>\r\n<p>Minima illum itaque perferendis fugit dicta ad voluptatem a eaque optio obcaecati quos reprehenderit, quidem, eius provident enim, asperiores, praesentium dolor quisquam!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ipsa consequuntur recusandae aspernatur necessitatibus dignissimos neque pariatur tempore iusto, accusantium tempora quis obcaecati saepe nesciunt nam est a quo sunt fuga deleniti voluptates voluptas inventore. Officiis saepe dolorem enim veniam optio quae corporis, vel, nulla. Suscipit ipsa ratione explicabo magnam recusandae cum doloribus quidem neque necessitatibus.</p>\r\n", "Voluptatibus ipsam, cumque.", "Tenetur eum cum nobis, error minima, odio at ipsum deserunt illum sunt.\r\n", "inherit", "closed", "closed", "", "64-revision-v1", "", "", "2018-07-29 16:00:41", "2018-07-29 16:00:41", "", "64", "http://localhost:8888/metonymic/2018/07/29/64-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("290", "1", "2018-07-29 16:00:47", "2018-07-29 16:00:47", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Tempora aut, eligendi aliquam et laudantium, numquam eum nemo. Tenetur alias eveniet totam velit accusantium! Ab unde odio ad ratione doloremque saepe hic veritatis odit.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Fugit alias, similique perferendis iure illo quis necessitatibus, omnis voluptatum, commodi incidunt molestiae inventore.</p>\r\n<p>Illo sint, ratione dolorum hic quidem sit suscipit quam quos maiores. Commodi debitis sapiente aliquid, fugiat aperiam at amet! Veniam, nesciunt, nulla.</p>\r\n<p>Non, mollitia minima quas voluptatibus voluptas earum ullam blanditiis modi quis placeat ipsa. Reprehenderit perferendis ratione, eum nisi corporis asperiores iusto ducimus.</p>\r\n<p>Laborum, suscipit, id. Repudiandae doloribus rem assumenda, ratione quo totam numquam a impedit quaerat suscipit corporis magni quae, natus qui dolor? Nesciunt!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ad illum dolores eligendi culpa hic cupiditate dolore quam eius, quae eum esse, cumque impedit. Enim, in. Consequuntur ratione tenetur saepe dolore iure quaerat ducimus voluptatem delectus repellendus provident natus velit, necessitatibus mollitia illum commodi rem illo expedita non, laudantium pariatur, modi consectetur. Quibusdam quae doloribus, enim.</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Tempora aut, eligendi aliquam et laudantium, numquam eum nemo. Tenetur alias eveniet totam velit accusantium! Ab unde odio ad ratione doloremque saepe hic veritatis odit.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Fugit alias, similique perferendis iure illo quis necessitatibus, omnis voluptatum, commodi incidunt molestiae inventore.</p>\r\n<p>Illo sint, ratione dolorum hic quidem sit suscipit quam quos maiores. Commodi debitis sapiente aliquid, fugiat aperiam at amet! Veniam, nesciunt, nulla.</p>\r\n<p>Non, mollitia minima quas voluptatibus voluptas earum ullam blanditiis modi quis placeat ipsa. Reprehenderit perferendis ratione, eum nisi corporis asperiores iusto ducimus.</p>\r\n<p>Laborum, suscipit, id. Repudiandae doloribus rem assumenda, ratione quo totam numquam a impedit quaerat suscipit corporis magni quae, natus qui dolor? Nesciunt!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ad illum dolores eligendi culpa hic cupiditate dolore quam eius, quae eum esse, cumque impedit. Enim, in. Consequuntur ratione tenetur saepe dolore iure quaerat ducimus voluptatem delectus repellendus provident natus velit, necessitatibus mollitia illum commodi rem illo expedita non, laudantium pariatur, modi consectetur. Quibusdam quae doloribus, enim.</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Tempora aut, eligendi aliquam et laudantium, numquam eum nemo. Tenetur alias eveniet totam velit accusantium! Ab unde odio ad ratione doloremque saepe hic veritatis odit.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Fugit alias, similique perferendis iure illo quis necessitatibus, omnis voluptatum, commodi incidunt molestiae inventore.</p>\r\n<p>Illo sint, ratione dolorum hic quidem sit suscipit quam quos maiores. Commodi debitis sapiente aliquid, fugiat aperiam at amet! Veniam, nesciunt, nulla.</p>\r\n<p>Non, mollitia minima quas voluptatibus voluptas earum ullam blanditiis modi quis placeat ipsa. Reprehenderit perferendis ratione, eum nisi corporis asperiores iusto ducimus.</p>\r\n<p>Laborum, suscipit, id. Repudiandae doloribus rem assumenda, ratione quo totam numquam a impedit quaerat suscipit corporis magni quae, natus qui dolor? Nesciunt!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ad illum dolores eligendi culpa hic cupiditate dolore quam eius, quae eum esse, cumque impedit. Enim, in. Consequuntur ratione tenetur saepe dolore iure quaerat ducimus voluptatem delectus repellendus provident natus velit, necessitatibus mollitia illum commodi rem illo expedita non, laudantium pariatur, modi consectetur. Quibusdam quae doloribus, enim.</p>", "Quibusdam, iure inventore!", "Ab at sint alias minus illo, libero omnis excepturi asperiores consectetur vitae.\r\n", "inherit", "closed", "closed", "", "31-revision-v1", "", "", "2018-07-29 16:00:47", "2018-07-29 16:00:47", "", "31", "http://localhost:8888/metonymic/2018/07/29/31-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("291", "1", "2018-07-29 16:00:52", "2018-07-29 16:00:52", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Qui magnam expedita ea assumenda nobis id quod odio accusamus dicta numquam, voluptate amet quaerat voluptas velit laudantium maxime vel ducimus aperiam perspiciatis soluta doloremque.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Veritatis quas beatae, officia nisi inventore deleniti natus earum quia. Dolores illum quas dolorem.</p>\r\n<p>Placeat fugit, laudantium inventore blanditiis eos debitis aperiam! Nisi blanditiis repudiandae autem. Dicta aspernatur obcaecati, dolorum ullam! Pariatur recusandae, ducimus hic harum.</p>\r\n<p>Hic sapiente sunt quam, consectetur delectus tempore iste saepe similique obcaecati, numquam illum vel impedit dolor eius, quod maiores architecto incidunt voluptate.</p>\r\n<p>Accusamus aperiam quaerat sequi, libero cum nesciunt distinctio vel eveniet deserunt dicta possimus blanditiis, perspiciatis atque officiis adipisci ad tenetur vero consequatur.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Minima quaerat alias harum, explicabo cupiditate non aperiam in aliquam. Quae quidem, iusto qui natus assumenda dolores, architecto magnam laudantium minima! Tempora voluptates qui placeat quo, amet, fugiat quis porro molestiae ipsa esse in pariatur, nesciunt maiores! Nemo voluptas voluptatem alias quidem voluptates aut pariatur! Eum, incidunt.</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Qui magnam expedita ea assumenda nobis id quod odio accusamus dicta numquam, voluptate amet quaerat voluptas velit laudantium maxime vel ducimus aperiam perspiciatis soluta doloremque.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Veritatis quas beatae, officia nisi inventore deleniti natus earum quia. Dolores illum quas dolorem.</p>\r\n<p>Placeat fugit, laudantium inventore blanditiis eos debitis aperiam! Nisi blanditiis repudiandae autem. Dicta aspernatur obcaecati, dolorum ullam! Pariatur recusandae, ducimus hic harum.</p>\r\n<p>Hic sapiente sunt quam, consectetur delectus tempore iste saepe similique obcaecati, numquam illum vel impedit dolor eius, quod maiores architecto incidunt voluptate.</p>\r\n<p>Accusamus aperiam quaerat sequi, libero cum nesciunt distinctio vel eveniet deserunt dicta possimus blanditiis, perspiciatis atque officiis adipisci ad tenetur vero consequatur.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Minima quaerat alias harum, explicabo cupiditate non aperiam in aliquam. Quae quidem, iusto qui natus assumenda dolores, architecto magnam laudantium minima! Tempora voluptates qui placeat quo, amet, fugiat quis porro molestiae ipsa esse in pariatur, nesciunt maiores! Nemo voluptas voluptatem alias quidem voluptates aut pariatur! Eum, incidunt.</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Qui magnam expedita ea assumenda nobis id quod odio accusamus dicta numquam, voluptate amet quaerat voluptas velit laudantium maxime vel ducimus aperiam perspiciatis soluta doloremque.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Veritatis quas beatae, officia nisi inventore deleniti natus earum quia. Dolores illum quas dolorem.</p>\r\n<p>Placeat fugit, laudantium inventore blanditiis eos debitis aperiam! Nisi blanditiis repudiandae autem. Dicta aspernatur obcaecati, dolorum ullam! Pariatur recusandae, ducimus hic harum.</p>\r\n<p>Hic sapiente sunt quam, consectetur delectus tempore iste saepe similique obcaecati, numquam illum vel impedit dolor eius, quod maiores architecto incidunt voluptate.</p>\r\n<p>Accusamus aperiam quaerat sequi, libero cum nesciunt distinctio vel eveniet deserunt dicta possimus blanditiis, perspiciatis atque officiis adipisci ad tenetur vero consequatur.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Minima quaerat alias harum, explicabo cupiditate non aperiam in aliquam. Quae quidem, iusto qui natus assumenda dolores, architecto magnam laudantium minima! Tempora voluptates qui placeat quo, amet, fugiat quis porro molestiae ipsa esse in pariatur, nesciunt maiores! Nemo voluptas voluptatem alias quidem voluptates aut pariatur! Eum, incidunt.</p>", "Vero, reprehenderit, beatae.", "Dolorem earum itaque repellendus maiores aperiam eaque deleniti nostrum adipisci nihil ut.\r\n", "inherit", "closed", "closed", "", "29-revision-v1", "", "", "2018-07-29 16:00:52", "2018-07-29 16:00:52", "", "29", "http://localhost:8888/metonymic/2018/07/29/29-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("292", "1", "2018-07-29 16:01:07", "2018-07-29 16:01:07", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Placeat ratione quibusdam omnis explicabo amet inventore optio iusto veritatis mollitia perferendis quisquam ea deleniti earum ipsum nobis beatae quis quidem quod, excepturi, quasi accusantium.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Iste omnis, alias laudantium veniam atque modi, id suscipit rem consequatur voluptatum sunt nulla?</p>\r\n<p>Odit, veritatis, voluptate. Magnam enim placeat dolore amet culpa, perferendis iusto tenetur impedit! Cupiditate vel odit culpa, harum illo repellat nobis temporibus!</p>\r\n<p>Earum corporis, a beatae porro dicta fuga velit accusamus atque cupiditate nulla laudantium necessitatibus quaerat commodi! Atque itaque unde earum quae repellat!</p>\r\n<p>Deleniti, quasi, et voluptatibus, modi, voluptatum praesentium iste dolore aperiam molestiae temporibus necessitatibus! Sint soluta ex accusantium ducimus quis, fugit esse sed!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Incidunt quod eius ipsam officia debitis omnis, repellat, et sed distinctio voluptatem expedita, quisquam quae, sapiente vel illo ullam iure praesentium sequi culpa velit quo fugiat blanditiis quaerat! Quo vel similique sint quae perferendis nesciunt, magnam, eveniet rem suscipit nobis excepturi necessitatibus quis sapiente voluptates. Reprehenderit, repellendus.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Placeat ratione quibusdam omnis explicabo amet inventore optio iusto veritatis mollitia perferendis quisquam ea deleniti earum ipsum nobis beatae quis quidem quod, excepturi, quasi accusantium.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Iste omnis, alias laudantium veniam atque modi, id suscipit rem consequatur voluptatum sunt nulla?</p>\r\n<p>Odit, veritatis, voluptate. Magnam enim placeat dolore amet culpa, perferendis iusto tenetur impedit! Cupiditate vel odit culpa, harum illo repellat nobis temporibus!</p>\r\n<p>Earum corporis, a beatae porro dicta fuga velit accusamus atque cupiditate nulla laudantium necessitatibus quaerat commodi! Atque itaque unde earum quae repellat!</p>\r\n<p>Deleniti, quasi, et voluptatibus, modi, voluptatum praesentium iste dolore aperiam molestiae temporibus necessitatibus! Sint soluta ex accusantium ducimus quis, fugit esse sed!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Incidunt quod eius ipsam officia debitis omnis, repellat, et sed distinctio voluptatem expedita, quisquam quae, sapiente vel illo ullam iure praesentium sequi culpa velit quo fugiat blanditiis quaerat! Quo vel similique sint quae perferendis nesciunt, magnam, eveniet rem suscipit nobis excepturi necessitatibus quis sapiente voluptates. Reprehenderit, repellendus.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Placeat ratione quibusdam omnis explicabo amet inventore optio iusto veritatis mollitia perferendis quisquam ea deleniti earum ipsum nobis beatae quis quidem quod, excepturi, quasi accusantium.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Iste omnis, alias laudantium veniam atque modi, id suscipit rem consequatur voluptatum sunt nulla?</p>\r\n<p>Odit, veritatis, voluptate. Magnam enim placeat dolore amet culpa, perferendis iusto tenetur impedit! Cupiditate vel odit culpa, harum illo repellat nobis temporibus!</p>\r\n<p>Earum corporis, a beatae porro dicta fuga velit accusamus atque cupiditate nulla laudantium necessitatibus quaerat commodi! Atque itaque unde earum quae repellat!</p>\r\n<p>Deleniti, quasi, et voluptatibus, modi, voluptatum praesentium iste dolore aperiam molestiae temporibus necessitatibus! Sint soluta ex accusantium ducimus quis, fugit esse sed!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Incidunt quod eius ipsam officia debitis omnis, repellat, et sed distinctio voluptatem expedita, quisquam quae, sapiente vel illo ullam iure praesentium sequi culpa velit quo fugiat blanditiis quaerat! Quo vel similique sint quae perferendis nesciunt, magnam, eveniet rem suscipit nobis excepturi necessitatibus quis sapiente voluptates. Reprehenderit, repellendus.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Placeat ratione quibusdam omnis explicabo amet inventore optio iusto veritatis mollitia perferendis quisquam ea deleniti earum ipsum nobis beatae quis quidem quod, excepturi, quasi accusantium.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Iste omnis, alias laudantium veniam atque modi, id suscipit rem consequatur voluptatum sunt nulla?</p>\r\n<p>Odit, veritatis, voluptate. Magnam enim placeat dolore amet culpa, perferendis iusto tenetur impedit! Cupiditate vel odit culpa, harum illo repellat nobis temporibus!</p>\r\n<p>Earum corporis, a beatae porro dicta fuga velit accusamus atque cupiditate nulla laudantium necessitatibus quaerat commodi! Atque itaque unde earum quae repellat!</p>\r\n<p>Deleniti, quasi, et voluptatibus, modi, voluptatum praesentium iste dolore aperiam molestiae temporibus necessitatibus! Sint soluta ex accusantium ducimus quis, fugit esse sed!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Incidunt quod eius ipsam officia debitis omnis, repellat, et sed distinctio voluptatem expedita, quisquam quae, sapiente vel illo ullam iure praesentium sequi culpa velit quo fugiat blanditiis quaerat! Quo vel similique sint quae perferendis nesciunt, magnam, eveniet rem suscipit nobis excepturi necessitatibus quis sapiente voluptates. Reprehenderit, repellendus.</p>\r\n", "Aspernatur ipsa, esse!", "Voluptas laboriosam, consequuntur. Odit sed voluptatem explicabo placeat quod harum minima, fugit.\r\n", "inherit", "closed", "closed", "", "67-revision-v1", "", "", "2018-07-29 16:01:07", "2018-07-29 16:01:07", "", "67", "http://localhost:8888/metonymic/2018/07/29/67-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("293", "1", "2018-07-29 16:01:16", "2018-07-29 16:01:16", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptate ipsa, facilis nostrum iusto autem, facere dolorem. Voluptatibus minima et, cum exercitationem a at distinctio, corporis ab expedita. Sunt libero sed dolores, saepe facilis!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ullam sed, culpa eum ipsa nam similique tempora fugit! Praesentium aut facilis obcaecati quo.</p>\r\n<p>Sunt quod cupiditate, quaerat dolore rem quae! Ducimus, autem, aliquam possimus consequuntur earum, rem dolor qui quis perspiciatis corrupti iusto, aliquid tenetur.</p>\r\n<p>Nihil eius ullam autem necessitatibus nesciunt eaque, iusto voluptatem ipsum voluptas doloremque, ex iure dicta aperiam! Molestiae magni eligendi, autem sequi. Odio!</p>\r\n<p>Aspernatur accusantium ipsam debitis in qui. Quia possimus, consequuntur optio, nam atque earum laudantium est dolore alias nesciunt reiciendis. Laudantium, natus, tempore?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Temporibus in nulla saepe officiis, culpa qui quibusdam quos aliquid itaque. Fugit corporis dolores delectus architecto necessitatibus est, iure, quas sed animi dolorem tempora, quisquam voluptatum obcaecati non doloremque. Omnis aspernatur, sed dolorem iste sunt facilis laborum qui soluta deleniti minus voluptatum ea, voluptates cum. Eveniet, perferendis!</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptate ipsa, facilis nostrum iusto autem, facere dolorem. Voluptatibus minima et, cum exercitationem a at distinctio, corporis ab expedita. Sunt libero sed dolores, saepe facilis!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ullam sed, culpa eum ipsa nam similique tempora fugit! Praesentium aut facilis obcaecati quo.</p>\r\n<p>Sunt quod cupiditate, quaerat dolore rem quae! Ducimus, autem, aliquam possimus consequuntur earum, rem dolor qui quis perspiciatis corrupti iusto, aliquid tenetur.</p>\r\n<p>Nihil eius ullam autem necessitatibus nesciunt eaque, iusto voluptatem ipsum voluptas doloremque, ex iure dicta aperiam! Molestiae magni eligendi, autem sequi. Odio!</p>\r\n<p>Aspernatur accusantium ipsam debitis in qui. Quia possimus, consequuntur optio, nam atque earum laudantium est dolore alias nesciunt reiciendis. Laudantium, natus, tempore?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Temporibus in nulla saepe officiis, culpa qui quibusdam quos aliquid itaque. Fugit corporis dolores delectus architecto necessitatibus est, iure, quas sed animi dolorem tempora, quisquam voluptatum obcaecati non doloremque. Omnis aspernatur, sed dolorem iste sunt facilis laborum qui soluta deleniti minus voluptatum ea, voluptates cum. Eveniet, perferendis!</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptate ipsa, facilis nostrum iusto autem, facere dolorem. Voluptatibus minima et, cum exercitationem a at distinctio, corporis ab expedita. Sunt libero sed dolores, saepe facilis!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ullam sed, culpa eum ipsa nam similique tempora fugit! Praesentium aut facilis obcaecati quo.</p>\r\n<p>Sunt quod cupiditate, quaerat dolore rem quae! Ducimus, autem, aliquam possimus consequuntur earum, rem dolor qui quis perspiciatis corrupti iusto, aliquid tenetur.</p>\r\n<p>Nihil eius ullam autem necessitatibus nesciunt eaque, iusto voluptatem ipsum voluptas doloremque, ex iure dicta aperiam! Molestiae magni eligendi, autem sequi. Odio!</p>\r\n<p>Aspernatur accusantium ipsam debitis in qui. Quia possimus, consequuntur optio, nam atque earum laudantium est dolore alias nesciunt reiciendis. Laudantium, natus, tempore?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Temporibus in nulla saepe officiis, culpa qui quibusdam quos aliquid itaque. Fugit corporis dolores delectus architecto necessitatibus est, iure, quas sed animi dolorem tempora, quisquam voluptatum obcaecati non doloremque. Omnis aspernatur, sed dolorem iste sunt facilis laborum qui soluta deleniti minus voluptatum ea, voluptates cum. Eveniet, perferendis!</p>", "Dolore, quam, doloremque!", "Non totam recusandae maxime illum ab odio dicta ipsa reiciendis alias corporis.\r\n", "inherit", "closed", "closed", "", "68-revision-v1", "", "", "2018-07-29 16:01:16", "2018-07-29 16:01:16", "", "68", "http://localhost:8888/metonymic/2018/07/29/68-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("294", "1", "2018-07-29 16:01:22", "2018-07-29 16:01:22", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptate ipsa, facilis nostrum iusto autem, facere dolorem. Voluptatibus minima et, cum exercitationem a at distinctio, corporis ab expedita. Sunt libero sed dolores, saepe facilis!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ullam sed, culpa eum ipsa nam similique tempora fugit! Praesentium aut facilis obcaecati quo.</p>\r\n<p>Sunt quod cupiditate, quaerat dolore rem quae! Ducimus, autem, aliquam possimus consequuntur earum, rem dolor qui quis perspiciatis corrupti iusto, aliquid tenetur.</p>\r\n<p>Nihil eius ullam autem necessitatibus nesciunt eaque, iusto voluptatem ipsum voluptas doloremque, ex iure dicta aperiam! Molestiae magni eligendi, autem sequi. Odio!</p>\r\n<p>Aspernatur accusantium ipsam debitis in qui. Quia possimus, consequuntur optio, nam atque earum laudantium est dolore alias nesciunt reiciendis. Laudantium, natus, tempore?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Temporibus in nulla saepe officiis, culpa qui quibusdam quos aliquid itaque. Fugit corporis dolores delectus architecto necessitatibus est, iure, quas sed animi dolorem tempora, quisquam voluptatum obcaecati non doloremque. Omnis aspernatur, sed dolorem iste sunt facilis laborum qui soluta deleniti minus voluptatum ea, voluptates cum. Eveniet, perferendis!</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptate ipsa, facilis nostrum iusto autem, facere dolorem. Voluptatibus minima et, cum exercitationem a at distinctio, corporis ab expedita. Sunt libero sed dolores, saepe facilis!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ullam sed, culpa eum ipsa nam similique tempora fugit! Praesentium aut facilis obcaecati quo.</p>\r\n<p>Sunt quod cupiditate, quaerat dolore rem quae! Ducimus, autem, aliquam possimus consequuntur earum, rem dolor qui quis perspiciatis corrupti iusto, aliquid tenetur.</p>\r\n<p>Nihil eius ullam autem necessitatibus nesciunt eaque, iusto voluptatem ipsum voluptas doloremque, ex iure dicta aperiam! Molestiae magni eligendi, autem sequi. Odio!</p>\r\n<p>Aspernatur accusantium ipsam debitis in qui. Quia possimus, consequuntur optio, nam atque earum laudantium est dolore alias nesciunt reiciendis. Laudantium, natus, tempore?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Temporibus in nulla saepe officiis, culpa qui quibusdam quos aliquid itaque. Fugit corporis dolores delectus architecto necessitatibus est, iure, quas sed animi dolorem tempora, quisquam voluptatum obcaecati non doloremque. Omnis aspernatur, sed dolorem iste sunt facilis laborum qui soluta deleniti minus voluptatum ea, voluptates cum. Eveniet, perferendis!</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptate ipsa, facilis nostrum iusto autem, facere dolorem. Voluptatibus minima et, cum exercitationem a at distinctio, corporis ab expedita. Sunt libero sed dolores, saepe facilis!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ullam sed, culpa eum ipsa nam similique tempora fugit! Praesentium aut facilis obcaecati quo.</p>\r\n<p>Sunt quod cupiditate, quaerat dolore rem quae! Ducimus, autem, aliquam possimus consequuntur earum, rem dolor qui quis perspiciatis corrupti iusto, aliquid tenetur.</p>\r\n<p>Nihil eius ullam autem necessitatibus nesciunt eaque, iusto voluptatem ipsum voluptas doloremque, ex iure dicta aperiam! Molestiae magni eligendi, autem sequi. Odio!</p>\r\n<p>Aspernatur accusantium ipsam debitis in qui. Quia possimus, consequuntur optio, nam atque earum laudantium est dolore alias nesciunt reiciendis. Laudantium, natus, tempore?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Temporibus in nulla saepe officiis, culpa qui quibusdam quos aliquid itaque. Fugit corporis dolores delectus architecto necessitatibus est, iure, quas sed animi dolorem tempora, quisquam voluptatum obcaecati non doloremque. Omnis aspernatur, sed dolorem iste sunt facilis laborum qui soluta deleniti minus voluptatum ea, voluptates cum. Eveniet, perferendis!</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptate ipsa, facilis nostrum iusto autem, facere dolorem. Voluptatibus minima et, cum exercitationem a at distinctio, corporis ab expedita. Sunt libero sed dolores, saepe facilis!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ullam sed, culpa eum ipsa nam similique tempora fugit! Praesentium aut facilis obcaecati quo.</p>\r\n<p>Sunt quod cupiditate, quaerat dolore rem quae! Ducimus, autem, aliquam possimus consequuntur earum, rem dolor qui quis perspiciatis corrupti iusto, aliquid tenetur.</p>\r\n<p>Nihil eius ullam autem necessitatibus nesciunt eaque, iusto voluptatem ipsum voluptas doloremque, ex iure dicta aperiam! Molestiae magni eligendi, autem sequi. Odio!</p>\r\n<p>Aspernatur accusantium ipsam debitis in qui. Quia possimus, consequuntur optio, nam atque earum laudantium est dolore alias nesciunt reiciendis. Laudantium, natus, tempore?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Temporibus in nulla saepe officiis, culpa qui quibusdam quos aliquid itaque. Fugit corporis dolores delectus architecto necessitatibus est, iure, quas sed animi dolorem tempora, quisquam voluptatum obcaecati non doloremque. Omnis aspernatur, sed dolorem iste sunt facilis laborum qui soluta deleniti minus voluptatum ea, voluptates cum. Eveniet, perferendis!</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptate ipsa, facilis nostrum iusto autem, facere dolorem. Voluptatibus minima et, cum exercitationem a at distinctio, corporis ab expedita. Sunt libero sed dolores, saepe facilis!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ullam sed, culpa eum ipsa nam similique tempora fugit! Praesentium aut facilis obcaecati quo.</p>\r\n<p>Sunt quod cupiditate, quaerat dolore rem quae! Ducimus, autem, aliquam possimus consequuntur earum, rem dolor qui quis perspiciatis corrupti iusto, aliquid tenetur.</p>\r\n<p>Nihil eius ullam autem necessitatibus nesciunt eaque, iusto voluptatem ipsum voluptas doloremque, ex iure dicta aperiam! Molestiae magni eligendi, autem sequi. Odio!</p>\r\n<p>Aspernatur accusantium ipsam debitis in qui. Quia possimus, consequuntur optio, nam atque earum laudantium est dolore alias nesciunt reiciendis. Laudantium, natus, tempore?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Temporibus in nulla saepe officiis, culpa qui quibusdam quos aliquid itaque. Fugit corporis dolores delectus architecto necessitatibus est, iure, quas sed animi dolorem tempora, quisquam voluptatum obcaecati non doloremque. Omnis aspernatur, sed dolorem iste sunt facilis laborum qui soluta deleniti minus voluptatum ea, voluptates cum. Eveniet, perferendis!</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptate ipsa, facilis nostrum iusto autem, facere dolorem. Voluptatibus minima et, cum exercitationem a at distinctio, corporis ab expedita. Sunt libero sed dolores, saepe facilis!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ullam sed, culpa eum ipsa nam similique tempora fugit! Praesentium aut facilis obcaecati quo.</p>\r\n<p>Sunt quod cupiditate, quaerat dolore rem quae! Ducimus, autem, aliquam possimus consequuntur earum, rem dolor qui quis perspiciatis corrupti iusto, aliquid tenetur.</p>\r\n<p>Nihil eius ullam autem necessitatibus nesciunt eaque, iusto voluptatem ipsum voluptas doloremque, ex iure dicta aperiam! Molestiae magni eligendi, autem sequi. Odio!</p>\r\n<p>Aspernatur accusantium ipsam debitis in qui. Quia possimus, consequuntur optio, nam atque earum laudantium est dolore alias nesciunt reiciendis. Laudantium, natus, tempore?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Temporibus in nulla saepe officiis, culpa qui quibusdam quos aliquid itaque. Fugit corporis dolores delectus architecto necessitatibus est, iure, quas sed animi dolorem tempora, quisquam voluptatum obcaecati non doloremque. Omnis aspernatur, sed dolorem iste sunt facilis laborum qui soluta deleniti minus voluptatum ea, voluptates cum. Eveniet, perferendis!</p>", "Dolore, quam, doloremque!", "Non totam recusandae maxime illum ab odio dicta ipsa reiciendis alias corporis.\r\n", "inherit", "closed", "closed", "", "68-revision-v1", "", "", "2018-07-29 16:01:22", "2018-07-29 16:01:22", "", "68", "http://localhost:8888/metonymic/2018/07/29/68-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("295", "1", "2018-07-29 16:01:29", "2018-07-29 16:01:29", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Assumenda incidunt, accusamus saepe. Consectetur molestias nulla hic adipisci eaque provident optio, odit magni ut sit quod ea suscipit, saepe eos dolor exercitationem neque quasi?</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Unde eum consequatur ea illum blanditiis impedit iste perferendis sapiente sed, quaerat inventore, ab.</p>\r\n<p>Necessitatibus, incidunt dolores neque distinctio amet ducimus, magni dolorem quam. Sunt quia inventore rerum neque reprehenderit sequi tenetur possimus molestias quam molestiae?</p>\r\n<p>Reiciendis officiis obcaecati, odit repellendus debitis eligendi vitae consequatur provident vel aliquid nemo ratione. Fugiat cumque et, adipisci, facilis similique unde perspiciatis.</p>\r\n<p>Quibusdam, in dolorum! Sequi quasi recusandae deleniti accusantium consequatur dolor quam aliquam, aliquid ipsum perferendis similique aut id minus nihil ex libero!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sint tempore suscipit labore veritatis, cumque delectus fugiat debitis in voluptate recusandae provident ipsum, ipsa aliquam, iusto numquam minus maxime quos culpa tempora mollitia neque dolorem quibusdam! Vitae libero nisi voluptatum rerum saepe nulla harum minima nam nesciunt! Ipsa veniam, cumque ratione reprehenderit totam quia et fugiat.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Assumenda incidunt, accusamus saepe. Consectetur molestias nulla hic adipisci eaque provident optio, odit magni ut sit quod ea suscipit, saepe eos dolor exercitationem neque quasi?</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Unde eum consequatur ea illum blanditiis impedit iste perferendis sapiente sed, quaerat inventore, ab.</p>\r\n<p>Necessitatibus, incidunt dolores neque distinctio amet ducimus, magni dolorem quam. Sunt quia inventore rerum neque reprehenderit sequi tenetur possimus molestias quam molestiae?</p>\r\n<p>Reiciendis officiis obcaecati, odit repellendus debitis eligendi vitae consequatur provident vel aliquid nemo ratione. Fugiat cumque et, adipisci, facilis similique unde perspiciatis.</p>\r\n<p>Quibusdam, in dolorum! Sequi quasi recusandae deleniti accusantium consequatur dolor quam aliquam, aliquid ipsum perferendis similique aut id minus nihil ex libero!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sint tempore suscipit labore veritatis, cumque delectus fugiat debitis in voluptate recusandae provident ipsum, ipsa aliquam, iusto numquam minus maxime quos culpa tempora mollitia neque dolorem quibusdam! Vitae libero nisi voluptatum rerum saepe nulla harum minima nam nesciunt! Ipsa veniam, cumque ratione reprehenderit totam quia et fugiat.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Assumenda incidunt, accusamus saepe. Consectetur molestias nulla hic adipisci eaque provident optio, odit magni ut sit quod ea suscipit, saepe eos dolor exercitationem neque quasi?</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Unde eum consequatur ea illum blanditiis impedit iste perferendis sapiente sed, quaerat inventore, ab.</p>\r\n<p>Necessitatibus, incidunt dolores neque distinctio amet ducimus, magni dolorem quam. Sunt quia inventore rerum neque reprehenderit sequi tenetur possimus molestias quam molestiae?</p>\r\n<p>Reiciendis officiis obcaecati, odit repellendus debitis eligendi vitae consequatur provident vel aliquid nemo ratione. Fugiat cumque et, adipisci, facilis similique unde perspiciatis.</p>\r\n<p>Quibusdam, in dolorum! Sequi quasi recusandae deleniti accusantium consequatur dolor quam aliquam, aliquid ipsum perferendis similique aut id minus nihil ex libero!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sint tempore suscipit labore veritatis, cumque delectus fugiat debitis in voluptate recusandae provident ipsum, ipsa aliquam, iusto numquam minus maxime quos culpa tempora mollitia neque dolorem quibusdam! Vitae libero nisi voluptatum rerum saepe nulla harum minima nam nesciunt! Ipsa veniam, cumque ratione reprehenderit totam quia et fugiat.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Assumenda incidunt, accusamus saepe. Consectetur molestias nulla hic adipisci eaque provident optio, odit magni ut sit quod ea suscipit, saepe eos dolor exercitationem neque quasi?</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Unde eum consequatur ea illum blanditiis impedit iste perferendis sapiente sed, quaerat inventore, ab.</p>\r\n<p>Necessitatibus, incidunt dolores neque distinctio amet ducimus, magni dolorem quam. Sunt quia inventore rerum neque reprehenderit sequi tenetur possimus molestias quam molestiae?</p>\r\n<p>Reiciendis officiis obcaecati, odit repellendus debitis eligendi vitae consequatur provident vel aliquid nemo ratione. Fugiat cumque et, adipisci, facilis similique unde perspiciatis.</p>\r\n<p>Quibusdam, in dolorum! Sequi quasi recusandae deleniti accusantium consequatur dolor quam aliquam, aliquid ipsum perferendis similique aut id minus nihil ex libero!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sint tempore suscipit labore veritatis, cumque delectus fugiat debitis in voluptate recusandae provident ipsum, ipsa aliquam, iusto numquam minus maxime quos culpa tempora mollitia neque dolorem quibusdam! Vitae libero nisi voluptatum rerum saepe nulla harum minima nam nesciunt! Ipsa veniam, cumque ratione reprehenderit totam quia et fugiat.</p>\r\n", "Voluptates, minus, eum.", "Quaerat quia ab repudiandae suscipit accusamus expedita reiciendis officiis dolor inventore deserunt?\r\n", "inherit", "closed", "closed", "", "69-revision-v1", "", "", "2018-07-29 16:01:29", "2018-07-29 16:01:29", "", "69", "http://localhost:8888/metonymic/2018/07/29/69-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("296", "1", "2018-07-29 16:01:34", "2018-07-29 16:01:34", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eos similique aliquam rerum saepe ipsum! Earum culpa laudantium error quae? Soluta numquam magni, nobis incidunt doloremque recusandae pariatur, natus mollitia accusantium molestiae et iure!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Praesentium reprehenderit perspiciatis fuga placeat nesciunt illo accusamus aut quia facere culpa? Minima, quasi?</p>\r\n<p>Quam porro, voluptates eaque error tenetur dolore, reprehenderit maiores facilis soluta ad obcaecati ipsum odit impedit voluptate praesentium quos deserunt fuga placeat.</p>\r\n<p>Ducimus eius laboriosam corporis a ex itaque, facere exercitationem repudiandae qui est, in aliquam. Enim, possimus, dolorum necessitatibus nemo quae quos iusto.</p>\r\n<p>Excepturi nisi doloribus doloremque, enim veritatis itaque perferendis maxime corporis voluptas et eveniet repudiandae commodi modi ducimus adipisci, mollitia repellat ullam quod?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Placeat quam voluptates reprehenderit nemo ad maiores sit deleniti quia, magni in quas sed earum commodi possimus explicabo perspiciatis iure debitis eveniet natus quidem neque velit, facere, nulla. Accusantium aperiam optio quibusdam itaque ducimus, quidem ex voluptatibus tenetur laborum laudantium ipsa esse, dolorem deleniti facilis explicabo! Saepe.</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eos similique aliquam rerum saepe ipsum! Earum culpa laudantium error quae? Soluta numquam magni, nobis incidunt doloremque recusandae pariatur, natus mollitia accusantium molestiae et iure!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Praesentium reprehenderit perspiciatis fuga placeat nesciunt illo accusamus aut quia facere culpa? Minima, quasi?</p>\r\n<p>Quam porro, voluptates eaque error tenetur dolore, reprehenderit maiores facilis soluta ad obcaecati ipsum odit impedit voluptate praesentium quos deserunt fuga placeat.</p>\r\n<p>Ducimus eius laboriosam corporis a ex itaque, facere exercitationem repudiandae qui est, in aliquam. Enim, possimus, dolorum necessitatibus nemo quae quos iusto.</p>\r\n<p>Excepturi nisi doloribus doloremque, enim veritatis itaque perferendis maxime corporis voluptas et eveniet repudiandae commodi modi ducimus adipisci, mollitia repellat ullam quod?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Placeat quam voluptates reprehenderit nemo ad maiores sit deleniti quia, magni in quas sed earum commodi possimus explicabo perspiciatis iure debitis eveniet natus quidem neque velit, facere, nulla. Accusantium aperiam optio quibusdam itaque ducimus, quidem ex voluptatibus tenetur laborum laudantium ipsa esse, dolorem deleniti facilis explicabo! Saepe.</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eos similique aliquam rerum saepe ipsum! Earum culpa laudantium error quae? Soluta numquam magni, nobis incidunt doloremque recusandae pariatur, natus mollitia accusantium molestiae et iure!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Praesentium reprehenderit perspiciatis fuga placeat nesciunt illo accusamus aut quia facere culpa? Minima, quasi?</p>\r\n<p>Quam porro, voluptates eaque error tenetur dolore, reprehenderit maiores facilis soluta ad obcaecati ipsum odit impedit voluptate praesentium quos deserunt fuga placeat.</p>\r\n<p>Ducimus eius laboriosam corporis a ex itaque, facere exercitationem repudiandae qui est, in aliquam. Enim, possimus, dolorum necessitatibus nemo quae quos iusto.</p>\r\n<p>Excepturi nisi doloribus doloremque, enim veritatis itaque perferendis maxime corporis voluptas et eveniet repudiandae commodi modi ducimus adipisci, mollitia repellat ullam quod?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Placeat quam voluptates reprehenderit nemo ad maiores sit deleniti quia, magni in quas sed earum commodi possimus explicabo perspiciatis iure debitis eveniet natus quidem neque velit, facere, nulla. Accusantium aperiam optio quibusdam itaque ducimus, quidem ex voluptatibus tenetur laborum laudantium ipsa esse, dolorem deleniti facilis explicabo! Saepe.</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eos similique aliquam rerum saepe ipsum! Earum culpa laudantium error quae? Soluta numquam magni, nobis incidunt doloremque recusandae pariatur, natus mollitia accusantium molestiae et iure!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Praesentium reprehenderit perspiciatis fuga placeat nesciunt illo accusamus aut quia facere culpa? Minima, quasi?</p>\r\n<p>Quam porro, voluptates eaque error tenetur dolore, reprehenderit maiores facilis soluta ad obcaecati ipsum odit impedit voluptate praesentium quos deserunt fuga placeat.</p>\r\n<p>Ducimus eius laboriosam corporis a ex itaque, facere exercitationem repudiandae qui est, in aliquam. Enim, possimus, dolorum necessitatibus nemo quae quos iusto.</p>\r\n<p>Excepturi nisi doloribus doloremque, enim veritatis itaque perferendis maxime corporis voluptas et eveniet repudiandae commodi modi ducimus adipisci, mollitia repellat ullam quod?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Placeat quam voluptates reprehenderit nemo ad maiores sit deleniti quia, magni in quas sed earum commodi possimus explicabo perspiciatis iure debitis eveniet natus quidem neque velit, facere, nulla. Accusantium aperiam optio quibusdam itaque ducimus, quidem ex voluptatibus tenetur laborum laudantium ipsa esse, dolorem deleniti facilis explicabo! Saepe.</p>", "Lusto, assumenda porro.", "Et iste recusandae illo. Dolores illo eum iure aut. Consequatur illo, repellendus?\r\n", "inherit", "closed", "closed", "", "73-revision-v1", "", "", "2018-07-29 16:01:34", "2018-07-29 16:01:34", "", "73", "http://localhost:8888/metonymic/2018/07/29/73-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("297", "1", "2018-07-29 16:01:43", "2018-07-29 16:01:43", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eos similique aliquam rerum saepe ipsum! Earum culpa laudantium error quae? Soluta numquam magni, nobis incidunt doloremque recusandae pariatur, natus mollitia accusantium molestiae et iure!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Praesentium reprehenderit perspiciatis fuga placeat nesciunt illo accusamus aut quia facere culpa? Minima, quasi?</p>\r\n<p>Quam porro, voluptates eaque error tenetur dolore, reprehenderit maiores facilis soluta ad obcaecati ipsum odit impedit voluptate praesentium quos deserunt fuga placeat.</p>\r\n<p>Ducimus eius laboriosam corporis a ex itaque, facere exercitationem repudiandae qui est, in aliquam. Enim, possimus, dolorum necessitatibus nemo quae quos iusto.</p>\r\n<p>Excepturi nisi doloribus doloremque, enim veritatis itaque perferendis maxime corporis voluptas et eveniet repudiandae commodi modi ducimus adipisci, mollitia repellat ullam quod?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Placeat quam voluptates reprehenderit nemo ad maiores sit deleniti quia, magni in quas sed earum commodi possimus explicabo perspiciatis iure debitis eveniet natus quidem neque velit, facere, nulla. Accusantium aperiam optio quibusdam itaque ducimus, quidem ex voluptatibus tenetur laborum laudantium ipsa esse, dolorem deleniti facilis explicabo! Saepe.</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eos similique aliquam rerum saepe ipsum! Earum culpa laudantium error quae? Soluta numquam magni, nobis incidunt doloremque recusandae pariatur, natus mollitia accusantium molestiae et iure!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Praesentium reprehenderit perspiciatis fuga placeat nesciunt illo accusamus aut quia facere culpa? Minima, quasi?</p>\r\n<p>Quam porro, voluptates eaque error tenetur dolore, reprehenderit maiores facilis soluta ad obcaecati ipsum odit impedit voluptate praesentium quos deserunt fuga placeat.</p>\r\n<p>Ducimus eius laboriosam corporis a ex itaque, facere exercitationem repudiandae qui est, in aliquam. Enim, possimus, dolorum necessitatibus nemo quae quos iusto.</p>\r\n<p>Excepturi nisi doloribus doloremque, enim veritatis itaque perferendis maxime corporis voluptas et eveniet repudiandae commodi modi ducimus adipisci, mollitia repellat ullam quod?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Placeat quam voluptates reprehenderit nemo ad maiores sit deleniti quia, magni in quas sed earum commodi possimus explicabo perspiciatis iure debitis eveniet natus quidem neque velit, facere, nulla. Accusantium aperiam optio quibusdam itaque ducimus, quidem ex voluptatibus tenetur laborum laudantium ipsa esse, dolorem deleniti facilis explicabo! Saepe.</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eos similique aliquam rerum saepe ipsum! Earum culpa laudantium error quae? Soluta numquam magni, nobis incidunt doloremque recusandae pariatur, natus mollitia accusantium molestiae et iure!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Praesentium reprehenderit perspiciatis fuga placeat nesciunt illo accusamus aut quia facere culpa? Minima, quasi?</p>\r\n<p>Quam porro, voluptates eaque error tenetur dolore, reprehenderit maiores facilis soluta ad obcaecati ipsum odit impedit voluptate praesentium quos deserunt fuga placeat.</p>\r\n<p>Ducimus eius laboriosam corporis a ex itaque, facere exercitationem repudiandae qui est, in aliquam. Enim, possimus, dolorum necessitatibus nemo quae quos iusto.</p>\r\n<p>Excepturi nisi doloribus doloremque, enim veritatis itaque perferendis maxime corporis voluptas et eveniet repudiandae commodi modi ducimus adipisci, mollitia repellat ullam quod?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Placeat quam voluptates reprehenderit nemo ad maiores sit deleniti quia, magni in quas sed earum commodi possimus explicabo perspiciatis iure debitis eveniet natus quidem neque velit, facere, nulla. Accusantium aperiam optio quibusdam itaque ducimus, quidem ex voluptatibus tenetur laborum laudantium ipsa esse, dolorem deleniti facilis explicabo! Saepe.</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eos similique aliquam rerum saepe ipsum! Earum culpa laudantium error quae? Soluta numquam magni, nobis incidunt doloremque recusandae pariatur, natus mollitia accusantium molestiae et iure!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Praesentium reprehenderit perspiciatis fuga placeat nesciunt illo accusamus aut quia facere culpa? Minima, quasi?</p>\r\n<p>Quam porro, voluptates eaque error tenetur dolore, reprehenderit maiores facilis soluta ad obcaecati ipsum odit impedit voluptate praesentium quos deserunt fuga placeat.</p>\r\n<p>Ducimus eius laboriosam corporis a ex itaque, facere exercitationem repudiandae qui est, in aliquam. Enim, possimus, dolorum necessitatibus nemo quae quos iusto.</p>\r\n<p>Excepturi nisi doloribus doloremque, enim veritatis itaque perferendis maxime corporis voluptas et eveniet repudiandae commodi modi ducimus adipisci, mollitia repellat ullam quod?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Placeat quam voluptates reprehenderit nemo ad maiores sit deleniti quia, magni in quas sed earum commodi possimus explicabo perspiciatis iure debitis eveniet natus quidem neque velit, facere, nulla. Accusantium aperiam optio quibusdam itaque ducimus, quidem ex voluptatibus tenetur laborum laudantium ipsa esse, dolorem deleniti facilis explicabo! Saepe.</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eos similique aliquam rerum saepe ipsum! Earum culpa laudantium error quae? Soluta numquam magni, nobis incidunt doloremque recusandae pariatur, natus mollitia accusantium molestiae et iure!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Praesentium reprehenderit perspiciatis fuga placeat nesciunt illo accusamus aut quia facere culpa? Minima, quasi?</p>\r\n<p>Quam porro, voluptates eaque error tenetur dolore, reprehenderit maiores facilis soluta ad obcaecati ipsum odit impedit voluptate praesentium quos deserunt fuga placeat.</p>\r\n<p>Ducimus eius laboriosam corporis a ex itaque, facere exercitationem repudiandae qui est, in aliquam. Enim, possimus, dolorum necessitatibus nemo quae quos iusto.</p>\r\n<p>Excepturi nisi doloribus doloremque, enim veritatis itaque perferendis maxime corporis voluptas et eveniet repudiandae commodi modi ducimus adipisci, mollitia repellat ullam quod?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Placeat quam voluptates reprehenderit nemo ad maiores sit deleniti quia, magni in quas sed earum commodi possimus explicabo perspiciatis iure debitis eveniet natus quidem neque velit, facere, nulla. Accusantium aperiam optio quibusdam itaque ducimus, quidem ex voluptatibus tenetur laborum laudantium ipsa esse, dolorem deleniti facilis explicabo! Saepe.</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eos similique aliquam rerum saepe ipsum! Earum culpa laudantium error quae? Soluta numquam magni, nobis incidunt doloremque recusandae pariatur, natus mollitia accusantium molestiae et iure!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Praesentium reprehenderit perspiciatis fuga placeat nesciunt illo accusamus aut quia facere culpa? Minima, quasi?</p>\r\n<p>Quam porro, voluptates eaque error tenetur dolore, reprehenderit maiores facilis soluta ad obcaecati ipsum odit impedit voluptate praesentium quos deserunt fuga placeat.</p>\r\n<p>Ducimus eius laboriosam corporis a ex itaque, facere exercitationem repudiandae qui est, in aliquam. Enim, possimus, dolorum necessitatibus nemo quae quos iusto.</p>\r\n<p>Excepturi nisi doloribus doloremque, enim veritatis itaque perferendis maxime corporis voluptas et eveniet repudiandae commodi modi ducimus adipisci, mollitia repellat ullam quod?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Placeat quam voluptates reprehenderit nemo ad maiores sit deleniti quia, magni in quas sed earum commodi possimus explicabo perspiciatis iure debitis eveniet natus quidem neque velit, facere, nulla. Accusantium aperiam optio quibusdam itaque ducimus, quidem ex voluptatibus tenetur laborum laudantium ipsa esse, dolorem deleniti facilis explicabo! Saepe.</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eos similique aliquam rerum saepe ipsum! Earum culpa laudantium error quae? Soluta numquam magni, nobis incidunt doloremque recusandae pariatur, natus mollitia accusantium molestiae et iure!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Praesentium reprehenderit perspiciatis fuga placeat nesciunt illo accusamus aut quia facere culpa? Minima, quasi?</p>\r\n<p>Quam porro, voluptates eaque error tenetur dolore, reprehenderit maiores facilis soluta ad obcaecati ipsum odit impedit voluptate praesentium quos deserunt fuga placeat.</p>\r\n<p>Ducimus eius laboriosam corporis a ex itaque, facere exercitationem repudiandae qui est, in aliquam. Enim, possimus, dolorum necessitatibus nemo quae quos iusto.</p>\r\n<p>Excepturi nisi doloribus doloremque, enim veritatis itaque perferendis maxime corporis voluptas et eveniet repudiandae commodi modi ducimus adipisci, mollitia repellat ullam quod?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Placeat quam voluptates reprehenderit nemo ad maiores sit deleniti quia, magni in quas sed earum commodi possimus explicabo perspiciatis iure debitis eveniet natus quidem neque velit, facere, nulla. Accusantium aperiam optio quibusdam itaque ducimus, quidem ex voluptatibus tenetur laborum laudantium ipsa esse, dolorem deleniti facilis explicabo! Saepe.</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eos similique aliquam rerum saepe ipsum! Earum culpa laudantium error quae? Soluta numquam magni, nobis incidunt doloremque recusandae pariatur, natus mollitia accusantium molestiae et iure!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Praesentium reprehenderit perspiciatis fuga placeat nesciunt illo accusamus aut quia facere culpa? Minima, quasi?</p>\r\n<p>Quam porro, voluptates eaque error tenetur dolore, reprehenderit maiores facilis soluta ad obcaecati ipsum odit impedit voluptate praesentium quos deserunt fuga placeat.</p>\r\n<p>Ducimus eius laboriosam corporis a ex itaque, facere exercitationem repudiandae qui est, in aliquam. Enim, possimus, dolorum necessitatibus nemo quae quos iusto.</p>\r\n<p>Excepturi nisi doloribus doloremque, enim veritatis itaque perferendis maxime corporis voluptas et eveniet repudiandae commodi modi ducimus adipisci, mollitia repellat ullam quod?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Placeat quam voluptates reprehenderit nemo ad maiores sit deleniti quia, magni in quas sed earum commodi possimus explicabo perspiciatis iure debitis eveniet natus quidem neque velit, facere, nulla. Accusantium aperiam optio quibusdam itaque ducimus, quidem ex voluptatibus tenetur laborum laudantium ipsa esse, dolorem deleniti facilis explicabo! Saepe.</p>", "Lusto, assumenda porro.", "Et iste recusandae illo. Dolores illo eum iure aut. Consequatur illo, repellendus?\r\n", "inherit", "closed", "closed", "", "73-revision-v1", "", "", "2018-07-29 16:01:43", "2018-07-29 16:01:43", "", "73", "http://localhost:8888/metonymic/2018/07/29/73-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("298", "1", "2018-07-29 16:01:52", "2018-07-29 16:01:52", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sit quo debitis assumenda, esse qui in architecto libero sunt totam consequatur, consectetur fugit tempora modi rerum earum optio fugiat quos cum vitae quasi sequi.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Veritatis nemo iure, totam adipisci quam repudiandae aperiam eius repellendus ducimus atque voluptatum molestias!</p>\r\n<p>Earum culpa non beatae, neque ex. Recusandae perferendis sit cum tempora nostrum vero odit excepturi, possimus saepe dolorum ipsam aperiam praesentium voluptates.</p>\r\n<p>Laborum mollitia, rem doloribus ipsa rerum possimus sed dolorum dolorem ad! Ut, eum suscipit. Maxime aperiam, voluptatibus eos minima distinctio commodi repellat!</p>\r\n<p>Explicabo, totam. Esse voluptate ab omnis dicta, eaque at nulla obcaecati praesentium enim, nesciunt. Blanditiis voluptatem officiis modi, consectetur, hic quia ullam!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Optio inventore accusantium officiis quisquam modi amet nulla, quis quasi, blanditiis, repudiandae ipsa culpa sed. Consectetur esse voluptates vel rerum dicta, perferendis nisi fugiat natus nihil velit nemo cupiditate sequi quaerat nostrum quod dolor at sapiente! Doloribus in sint debitis rerum, fugit quos impedit quia sunt, et!</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sit quo debitis assumenda, esse qui in architecto libero sunt totam consequatur, consectetur fugit tempora modi rerum earum optio fugiat quos cum vitae quasi sequi.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Veritatis nemo iure, totam adipisci quam repudiandae aperiam eius repellendus ducimus atque voluptatum molestias!</p>\r\n<p>Earum culpa non beatae, neque ex. Recusandae perferendis sit cum tempora nostrum vero odit excepturi, possimus saepe dolorum ipsam aperiam praesentium voluptates.</p>\r\n<p>Laborum mollitia, rem doloribus ipsa rerum possimus sed dolorum dolorem ad! Ut, eum suscipit. Maxime aperiam, voluptatibus eos minima distinctio commodi repellat!</p>\r\n<p>Explicabo, totam. Esse voluptate ab omnis dicta, eaque at nulla obcaecati praesentium enim, nesciunt. Blanditiis voluptatem officiis modi, consectetur, hic quia ullam!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Optio inventore accusantium officiis quisquam modi amet nulla, quis quasi, blanditiis, repudiandae ipsa culpa sed. Consectetur esse voluptates vel rerum dicta, perferendis nisi fugiat natus nihil velit nemo cupiditate sequi quaerat nostrum quod dolor at sapiente! Doloribus in sint debitis rerum, fugit quos impedit quia sunt, et!</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sit quo debitis assumenda, esse qui in architecto libero sunt totam consequatur, consectetur fugit tempora modi rerum earum optio fugiat quos cum vitae quasi sequi.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Veritatis nemo iure, totam adipisci quam repudiandae aperiam eius repellendus ducimus atque voluptatum molestias!</p>\r\n<p>Earum culpa non beatae, neque ex. Recusandae perferendis sit cum tempora nostrum vero odit excepturi, possimus saepe dolorum ipsam aperiam praesentium voluptates.</p>\r\n<p>Laborum mollitia, rem doloribus ipsa rerum possimus sed dolorum dolorem ad! Ut, eum suscipit. Maxime aperiam, voluptatibus eos minima distinctio commodi repellat!</p>\r\n<p>Explicabo, totam. Esse voluptate ab omnis dicta, eaque at nulla obcaecati praesentium enim, nesciunt. Blanditiis voluptatem officiis modi, consectetur, hic quia ullam!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Optio inventore accusantium officiis quisquam modi amet nulla, quis quasi, blanditiis, repudiandae ipsa culpa sed. Consectetur esse voluptates vel rerum dicta, perferendis nisi fugiat natus nihil velit nemo cupiditate sequi quaerat nostrum quod dolor at sapiente! Doloribus in sint debitis rerum, fugit quos impedit quia sunt, et!</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sit quo debitis assumenda, esse qui in architecto libero sunt totam consequatur, consectetur fugit tempora modi rerum earum optio fugiat quos cum vitae quasi sequi.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Veritatis nemo iure, totam adipisci quam repudiandae aperiam eius repellendus ducimus atque voluptatum molestias!</p>\r\n<p>Earum culpa non beatae, neque ex. Recusandae perferendis sit cum tempora nostrum vero odit excepturi, possimus saepe dolorum ipsam aperiam praesentium voluptates.</p>\r\n<p>Laborum mollitia, rem doloribus ipsa rerum possimus sed dolorum dolorem ad! Ut, eum suscipit. Maxime aperiam, voluptatibus eos minima distinctio commodi repellat!</p>\r\n<p>Explicabo, totam. Esse voluptate ab omnis dicta, eaque at nulla obcaecati praesentium enim, nesciunt. Blanditiis voluptatem officiis modi, consectetur, hic quia ullam!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Optio inventore accusantium officiis quisquam modi amet nulla, quis quasi, blanditiis, repudiandae ipsa culpa sed. Consectetur esse voluptates vel rerum dicta, perferendis nisi fugiat natus nihil velit nemo cupiditate sequi quaerat nostrum quod dolor at sapiente! Doloribus in sint debitis rerum, fugit quos impedit quia sunt, et!</p>", "Veritatis, quaerat, error.", "Distinctio nam excepturi doloribus, unde, corporis atque saepe voluptatem repellendus omnis quia.\r\n", "inherit", "closed", "closed", "", "74-revision-v1", "", "", "2018-07-29 16:01:52", "2018-07-29 16:01:52", "", "74", "http://localhost:8888/metonymic/2018/07/29/74-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("299", "1", "2018-07-29 16:01:58", "2018-07-29 16:01:58", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eligendi error fuga quis vel ipsa praesentium iste architecto maxime rerum, culpa quidem, facere quia corporis dolores at optio facilis, voluptate molestias. A, odio aperiam!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Repellat nemo maiores odit obcaecati molestiae, voluptatibus laboriosam repellendus iusto! Incidunt ab reiciendis, ex.</p>\r\n<p>Nostrum a ducimus tempora at quos, iste modi vel, sint maxime consectetur recusandae. Vel voluptas tempora commodi laborum placeat, cumque? Quidem, tempora.</p>\r\n<p>Minima illum provident at voluptas sapiente praesentium ut ab fuga placeat, dolorum exercitationem libero. Deserunt tempore tempora dolorum repellendus maiores, cum ipsa.</p>\r\n<p>Explicabo, aut consectetur temporibus nostrum praesentium atque! A praesentium quod esse, vel facere, voluptates quas laudantium. Doloribus odio quia suscipit sit incidunt.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Optio voluptatibus error, dignissimos dolore illum pariatur nisi voluptatem reprehenderit quo. A nobis fuga magnam ab illum hic alias non autem dolores sint ipsam adipisci rem officiis eum molestiae laboriosam distinctio quisquam suscipit provident, nulla nostrum, tenetur unde voluptatibus doloremque. Eius in corrupti error perferendis modi ea!</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eligendi error fuga quis vel ipsa praesentium iste architecto maxime rerum, culpa quidem, facere quia corporis dolores at optio facilis, voluptate molestias. A, odio aperiam!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Repellat nemo maiores odit obcaecati molestiae, voluptatibus laboriosam repellendus iusto! Incidunt ab reiciendis, ex.</p>\r\n<p>Nostrum a ducimus tempora at quos, iste modi vel, sint maxime consectetur recusandae. Vel voluptas tempora commodi laborum placeat, cumque? Quidem, tempora.</p>\r\n<p>Minima illum provident at voluptas sapiente praesentium ut ab fuga placeat, dolorum exercitationem libero. Deserunt tempore tempora dolorum repellendus maiores, cum ipsa.</p>\r\n<p>Explicabo, aut consectetur temporibus nostrum praesentium atque! A praesentium quod esse, vel facere, voluptates quas laudantium. Doloribus odio quia suscipit sit incidunt.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Optio voluptatibus error, dignissimos dolore illum pariatur nisi voluptatem reprehenderit quo. A nobis fuga magnam ab illum hic alias non autem dolores sint ipsam adipisci rem officiis eum molestiae laboriosam distinctio quisquam suscipit provident, nulla nostrum, tenetur unde voluptatibus doloremque. Eius in corrupti error perferendis modi ea!</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eligendi error fuga quis vel ipsa praesentium iste architecto maxime rerum, culpa quidem, facere quia corporis dolores at optio facilis, voluptate molestias. A, odio aperiam!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Repellat nemo maiores odit obcaecati molestiae, voluptatibus laboriosam repellendus iusto! Incidunt ab reiciendis, ex.</p>\r\n<p>Nostrum a ducimus tempora at quos, iste modi vel, sint maxime consectetur recusandae. Vel voluptas tempora commodi laborum placeat, cumque? Quidem, tempora.</p>\r\n<p>Minima illum provident at voluptas sapiente praesentium ut ab fuga placeat, dolorum exercitationem libero. Deserunt tempore tempora dolorum repellendus maiores, cum ipsa.</p>\r\n<p>Explicabo, aut consectetur temporibus nostrum praesentium atque! A praesentium quod esse, vel facere, voluptates quas laudantium. Doloribus odio quia suscipit sit incidunt.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Optio voluptatibus error, dignissimos dolore illum pariatur nisi voluptatem reprehenderit quo. A nobis fuga magnam ab illum hic alias non autem dolores sint ipsam adipisci rem officiis eum molestiae laboriosam distinctio quisquam suscipit provident, nulla nostrum, tenetur unde voluptatibus doloremque. Eius in corrupti error perferendis modi ea!</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eligendi error fuga quis vel ipsa praesentium iste architecto maxime rerum, culpa quidem, facere quia corporis dolores at optio facilis, voluptate molestias. A, odio aperiam!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Repellat nemo maiores odit obcaecati molestiae, voluptatibus laboriosam repellendus iusto! Incidunt ab reiciendis, ex.</p>\r\n<p>Nostrum a ducimus tempora at quos, iste modi vel, sint maxime consectetur recusandae. Vel voluptas tempora commodi laborum placeat, cumque? Quidem, tempora.</p>\r\n<p>Minima illum provident at voluptas sapiente praesentium ut ab fuga placeat, dolorum exercitationem libero. Deserunt tempore tempora dolorum repellendus maiores, cum ipsa.</p>\r\n<p>Explicabo, aut consectetur temporibus nostrum praesentium atque! A praesentium quod esse, vel facere, voluptates quas laudantium. Doloribus odio quia suscipit sit incidunt.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Optio voluptatibus error, dignissimos dolore illum pariatur nisi voluptatem reprehenderit quo. A nobis fuga magnam ab illum hic alias non autem dolores sint ipsam adipisci rem officiis eum molestiae laboriosam distinctio quisquam suscipit provident, nulla nostrum, tenetur unde voluptatibus doloremque. Eius in corrupti error perferendis modi ea!</p>", "Dicta, expedita quo", "Dolorem aut veritatis labore magnam blanditiis, maiores iure similique sint expedita illo.\r\n", "inherit", "closed", "closed", "", "59-revision-v1", "", "", "2018-07-29 16:01:58", "2018-07-29 16:01:58", "", "59", "http://localhost:8888/metonymic/2018/07/29/59-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("300", "1", "2018-07-29 16:02:07", "2018-07-29 16:02:07", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eligendi error fuga quis vel ipsa praesentium iste architecto maxime rerum, culpa quidem, facere quia corporis dolores at optio facilis, voluptate molestias. A, odio aperiam!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Repellat nemo maiores odit obcaecati molestiae, voluptatibus laboriosam repellendus iusto! Incidunt ab reiciendis, ex.</p>\r\n<p>Nostrum a ducimus tempora at quos, iste modi vel, sint maxime consectetur recusandae. Vel voluptas tempora commodi laborum placeat, cumque? Quidem, tempora.</p>\r\n<p>Minima illum provident at voluptas sapiente praesentium ut ab fuga placeat, dolorum exercitationem libero. Deserunt tempore tempora dolorum repellendus maiores, cum ipsa.</p>\r\n<p>Explicabo, aut consectetur temporibus nostrum praesentium atque! A praesentium quod esse, vel facere, voluptates quas laudantium. Doloribus odio quia suscipit sit incidunt.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Optio voluptatibus error, dignissimos dolore illum pariatur nisi voluptatem reprehenderit quo. A nobis fuga magnam ab illum hic alias non autem dolores sint ipsam adipisci rem officiis eum molestiae laboriosam distinctio quisquam suscipit provident, nulla nostrum, tenetur unde voluptatibus doloremque. Eius in corrupti error perferendis modi ea!</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eligendi error fuga quis vel ipsa praesentium iste architecto maxime rerum, culpa quidem, facere quia corporis dolores at optio facilis, voluptate molestias. A, odio aperiam!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Repellat nemo maiores odit obcaecati molestiae, voluptatibus laboriosam repellendus iusto! Incidunt ab reiciendis, ex.</p>\r\n<p>Nostrum a ducimus tempora at quos, iste modi vel, sint maxime consectetur recusandae. Vel voluptas tempora commodi laborum placeat, cumque? Quidem, tempora.</p>\r\n<p>Minima illum provident at voluptas sapiente praesentium ut ab fuga placeat, dolorum exercitationem libero. Deserunt tempore tempora dolorum repellendus maiores, cum ipsa.</p>\r\n<p>Explicabo, aut consectetur temporibus nostrum praesentium atque! A praesentium quod esse, vel facere, voluptates quas laudantium. Doloribus odio quia suscipit sit incidunt.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Optio voluptatibus error, dignissimos dolore illum pariatur nisi voluptatem reprehenderit quo. A nobis fuga magnam ab illum hic alias non autem dolores sint ipsam adipisci rem officiis eum molestiae laboriosam distinctio quisquam suscipit provident, nulla nostrum, tenetur unde voluptatibus doloremque. Eius in corrupti error perferendis modi ea!</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eligendi error fuga quis vel ipsa praesentium iste architecto maxime rerum, culpa quidem, facere quia corporis dolores at optio facilis, voluptate molestias. A, odio aperiam!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Repellat nemo maiores odit obcaecati molestiae, voluptatibus laboriosam repellendus iusto! Incidunt ab reiciendis, ex.</p>\r\n<p>Nostrum a ducimus tempora at quos, iste modi vel, sint maxime consectetur recusandae. Vel voluptas tempora commodi laborum placeat, cumque? Quidem, tempora.</p>\r\n<p>Minima illum provident at voluptas sapiente praesentium ut ab fuga placeat, dolorum exercitationem libero. Deserunt tempore tempora dolorum repellendus maiores, cum ipsa.</p>\r\n<p>Explicabo, aut consectetur temporibus nostrum praesentium atque! A praesentium quod esse, vel facere, voluptates quas laudantium. Doloribus odio quia suscipit sit incidunt.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Optio voluptatibus error, dignissimos dolore illum pariatur nisi voluptatem reprehenderit quo. A nobis fuga magnam ab illum hic alias non autem dolores sint ipsam adipisci rem officiis eum molestiae laboriosam distinctio quisquam suscipit provident, nulla nostrum, tenetur unde voluptatibus doloremque. Eius in corrupti error perferendis modi ea!</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eligendi error fuga quis vel ipsa praesentium iste architecto maxime rerum, culpa quidem, facere quia corporis dolores at optio facilis, voluptate molestias. A, odio aperiam!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Repellat nemo maiores odit obcaecati molestiae, voluptatibus laboriosam repellendus iusto! Incidunt ab reiciendis, ex.</p>\r\n<p>Nostrum a ducimus tempora at quos, iste modi vel, sint maxime consectetur recusandae. Vel voluptas tempora commodi laborum placeat, cumque? Quidem, tempora.</p>\r\n<p>Minima illum provident at voluptas sapiente praesentium ut ab fuga placeat, dolorum exercitationem libero. Deserunt tempore tempora dolorum repellendus maiores, cum ipsa.</p>\r\n<p>Explicabo, aut consectetur temporibus nostrum praesentium atque! A praesentium quod esse, vel facere, voluptates quas laudantium. Doloribus odio quia suscipit sit incidunt.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Optio voluptatibus error, dignissimos dolore illum pariatur nisi voluptatem reprehenderit quo. A nobis fuga magnam ab illum hic alias non autem dolores sint ipsam adipisci rem officiis eum molestiae laboriosam distinctio quisquam suscipit provident, nulla nostrum, tenetur unde voluptatibus doloremque. Eius in corrupti error perferendis modi ea!</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eligendi error fuga quis vel ipsa praesentium iste architecto maxime rerum, culpa quidem, facere quia corporis dolores at optio facilis, voluptate molestias. A, odio aperiam!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Repellat nemo maiores odit obcaecati molestiae, voluptatibus laboriosam repellendus iusto! Incidunt ab reiciendis, ex.</p>\r\n<p>Nostrum a ducimus tempora at quos, iste modi vel, sint maxime consectetur recusandae. Vel voluptas tempora commodi laborum placeat, cumque? Quidem, tempora.</p>\r\n<p>Minima illum provident at voluptas sapiente praesentium ut ab fuga placeat, dolorum exercitationem libero. Deserunt tempore tempora dolorum repellendus maiores, cum ipsa.</p>\r\n<p>Explicabo, aut consectetur temporibus nostrum praesentium atque! A praesentium quod esse, vel facere, voluptates quas laudantium. Doloribus odio quia suscipit sit incidunt.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Optio voluptatibus error, dignissimos dolore illum pariatur nisi voluptatem reprehenderit quo. A nobis fuga magnam ab illum hic alias non autem dolores sint ipsam adipisci rem officiis eum molestiae laboriosam distinctio quisquam suscipit provident, nulla nostrum, tenetur unde voluptatibus doloremque. Eius in corrupti error perferendis modi ea!</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eligendi error fuga quis vel ipsa praesentium iste architecto maxime rerum, culpa quidem, facere quia corporis dolores at optio facilis, voluptate molestias. A, odio aperiam!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Repellat nemo maiores odit obcaecati molestiae, voluptatibus laboriosam repellendus iusto! Incidunt ab reiciendis, ex.</p>\r\n<p>Nostrum a ducimus tempora at quos, iste modi vel, sint maxime consectetur recusandae. Vel voluptas tempora commodi laborum placeat, cumque? Quidem, tempora.</p>\r\n<p>Minima illum provident at voluptas sapiente praesentium ut ab fuga placeat, dolorum exercitationem libero. Deserunt tempore tempora dolorum repellendus maiores, cum ipsa.</p>\r\n<p>Explicabo, aut consectetur temporibus nostrum praesentium atque! A praesentium quod esse, vel facere, voluptates quas laudantium. Doloribus odio quia suscipit sit incidunt.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Optio voluptatibus error, dignissimos dolore illum pariatur nisi voluptatem reprehenderit quo. A nobis fuga magnam ab illum hic alias non autem dolores sint ipsam adipisci rem officiis eum molestiae laboriosam distinctio quisquam suscipit provident, nulla nostrum, tenetur unde voluptatibus doloremque. Eius in corrupti error perferendis modi ea!</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eligendi error fuga quis vel ipsa praesentium iste architecto maxime rerum, culpa quidem, facere quia corporis dolores at optio facilis, voluptate molestias. A, odio aperiam!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Repellat nemo maiores odit obcaecati molestiae, voluptatibus laboriosam repellendus iusto! Incidunt ab reiciendis, ex.</p>\r\n<p>Nostrum a ducimus tempora at quos, iste modi vel, sint maxime consectetur recusandae. Vel voluptas tempora commodi laborum placeat, cumque? Quidem, tempora.</p>\r\n<p>Minima illum provident at voluptas sapiente praesentium ut ab fuga placeat, dolorum exercitationem libero. Deserunt tempore tempora dolorum repellendus maiores, cum ipsa.</p>\r\n<p>Explicabo, aut consectetur temporibus nostrum praesentium atque! A praesentium quod esse, vel facere, voluptates quas laudantium. Doloribus odio quia suscipit sit incidunt.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Optio voluptatibus error, dignissimos dolore illum pariatur nisi voluptatem reprehenderit quo. A nobis fuga magnam ab illum hic alias non autem dolores sint ipsam adipisci rem officiis eum molestiae laboriosam distinctio quisquam suscipit provident, nulla nostrum, tenetur unde voluptatibus doloremque. Eius in corrupti error perferendis modi ea!</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eligendi error fuga quis vel ipsa praesentium iste architecto maxime rerum, culpa quidem, facere quia corporis dolores at optio facilis, voluptate molestias. A, odio aperiam!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Repellat nemo maiores odit obcaecati molestiae, voluptatibus laboriosam repellendus iusto! Incidunt ab reiciendis, ex.</p>\r\n<p>Nostrum a ducimus tempora at quos, iste modi vel, sint maxime consectetur recusandae. Vel voluptas tempora commodi laborum placeat, cumque? Quidem, tempora.</p>\r\n<p>Minima illum provident at voluptas sapiente praesentium ut ab fuga placeat, dolorum exercitationem libero. Deserunt tempore tempora dolorum repellendus maiores, cum ipsa.</p>\r\n<p>Explicabo, aut consectetur temporibus nostrum praesentium atque! A praesentium quod esse, vel facere, voluptates quas laudantium. Doloribus odio quia suscipit sit incidunt.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Optio voluptatibus error, dignissimos dolore illum pariatur nisi voluptatem reprehenderit quo. A nobis fuga magnam ab illum hic alias non autem dolores sint ipsam adipisci rem officiis eum molestiae laboriosam distinctio quisquam suscipit provident, nulla nostrum, tenetur unde voluptatibus doloremque. Eius in corrupti error perferendis modi ea!</p>", "Dicta, expedita quo", "Dolorem aut veritatis labore magnam blanditiis, maiores iure similique sint expedita illo.\r\n", "inherit", "closed", "closed", "", "59-revision-v1", "", "", "2018-07-29 16:02:07", "2018-07-29 16:02:07", "", "59", "http://localhost:8888/metonymic/2018/07/29/59-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("301", "1", "2018-07-29 16:02:14", "2018-07-29 16:02:14", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Tempore facilis minus beatae modi animi quisquam impedit quia repellat ipsam ipsum, aut et qui perspiciatis culpa voluptas inventore a necessitatibus eum tempora voluptatum vel!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ipsum nesciunt quae deleniti. Nulla voluptate ullam libero, corporis maiores at quae rerum quam!</p>\r\n<p>Totam sequi amet rem dolores quis, aliquam eveniet accusantium ipsam sunt quidem suscipit voluptate qui, consequuntur harum distinctio architecto incidunt illum beatae.</p>\r\n<p>Esse voluptatibus quas quasi tempore, odit at! Molestiae ab accusantium et, rem soluta reprehenderit sequi fugiat consequatur veniam, veritatis saepe voluptate cupiditate.</p>\r\n<p>Quisquam aliquid, fuga aspernatur soluta obcaecati? Laborum quos minus officia non est repellendus eum pariatur quasi nam ipsam id perferendis, earum, atque.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eius voluptas, laudantium cupiditate veritatis explicabo nemo excepturi similique, vel optio aperiam corporis pariatur, odio quia quis numquam in veniam. Saepe similique quo consequuntur unde harum, blanditiis fuga debitis sint laudantium ullam natus voluptas, ducimus a, libero praesentium! Id nam sed sint nostrum possimus nesciunt quis dignissimos?</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Tempore facilis minus beatae modi animi quisquam impedit quia repellat ipsam ipsum, aut et qui perspiciatis culpa voluptas inventore a necessitatibus eum tempora voluptatum vel!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ipsum nesciunt quae deleniti. Nulla voluptate ullam libero, corporis maiores at quae rerum quam!</p>\r\n<p>Totam sequi amet rem dolores quis, aliquam eveniet accusantium ipsam sunt quidem suscipit voluptate qui, consequuntur harum distinctio architecto incidunt illum beatae.</p>\r\n<p>Esse voluptatibus quas quasi tempore, odit at! Molestiae ab accusantium et, rem soluta reprehenderit sequi fugiat consequatur veniam, veritatis saepe voluptate cupiditate.</p>\r\n<p>Quisquam aliquid, fuga aspernatur soluta obcaecati? Laborum quos minus officia non est repellendus eum pariatur quasi nam ipsam id perferendis, earum, atque.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eius voluptas, laudantium cupiditate veritatis explicabo nemo excepturi similique, vel optio aperiam corporis pariatur, odio quia quis numquam in veniam. Saepe similique quo consequuntur unde harum, blanditiis fuga debitis sint laudantium ullam natus voluptas, ducimus a, libero praesentium! Id nam sed sint nostrum possimus nesciunt quis dignissimos?</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Tempore facilis minus beatae modi animi quisquam impedit quia repellat ipsam ipsum, aut et qui perspiciatis culpa voluptas inventore a necessitatibus eum tempora voluptatum vel!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ipsum nesciunt quae deleniti. Nulla voluptate ullam libero, corporis maiores at quae rerum quam!</p>\r\n<p>Totam sequi amet rem dolores quis, aliquam eveniet accusantium ipsam sunt quidem suscipit voluptate qui, consequuntur harum distinctio architecto incidunt illum beatae.</p>\r\n<p>Esse voluptatibus quas quasi tempore, odit at! Molestiae ab accusantium et, rem soluta reprehenderit sequi fugiat consequatur veniam, veritatis saepe voluptate cupiditate.</p>\r\n<p>Quisquam aliquid, fuga aspernatur soluta obcaecati? Laborum quos minus officia non est repellendus eum pariatur quasi nam ipsam id perferendis, earum, atque.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eius voluptas, laudantium cupiditate veritatis explicabo nemo excepturi similique, vel optio aperiam corporis pariatur, odio quia quis numquam in veniam. Saepe similique quo consequuntur unde harum, blanditiis fuga debitis sint laudantium ullam natus voluptas, ducimus a, libero praesentium! Id nam sed sint nostrum possimus nesciunt quis dignissimos?</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Tempore facilis minus beatae modi animi quisquam impedit quia repellat ipsam ipsum, aut et qui perspiciatis culpa voluptas inventore a necessitatibus eum tempora voluptatum vel!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ipsum nesciunt quae deleniti. Nulla voluptate ullam libero, corporis maiores at quae rerum quam!</p>\r\n<p>Totam sequi amet rem dolores quis, aliquam eveniet accusantium ipsam sunt quidem suscipit voluptate qui, consequuntur harum distinctio architecto incidunt illum beatae.</p>\r\n<p>Esse voluptatibus quas quasi tempore, odit at! Molestiae ab accusantium et, rem soluta reprehenderit sequi fugiat consequatur veniam, veritatis saepe voluptate cupiditate.</p>\r\n<p>Quisquam aliquid, fuga aspernatur soluta obcaecati? Laborum quos minus officia non est repellendus eum pariatur quasi nam ipsam id perferendis, earum, atque.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eius voluptas, laudantium cupiditate veritatis explicabo nemo excepturi similique, vel optio aperiam corporis pariatur, odio quia quis numquam in veniam. Saepe similique quo consequuntur unde harum, blanditiis fuga debitis sint laudantium ullam natus voluptas, ducimus a, libero praesentium! Id nam sed sint nostrum possimus nesciunt quis dignissimos?</p>\r\n", "Non, quaerat, voluptas.", "Dolorem aut veritatis labore magnam blanditiis, maiores iure similique sint expedita illo.\r\n", "inherit", "closed", "closed", "", "33-revision-v1", "", "", "2018-07-29 16:02:14", "2018-07-29 16:02:14", "", "33", "http://localhost:8888/metonymic/2018/07/29/33-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("302", "1", "2018-07-29 16:02:20", "2018-07-29 16:02:20", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Tempore facilis minus beatae modi animi quisquam impedit quia repellat ipsam ipsum, aut et qui perspiciatis culpa voluptas inventore a necessitatibus eum tempora voluptatum vel!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ipsum nesciunt quae deleniti. Nulla voluptate ullam libero, corporis maiores at quae rerum quam!</p>\r\n<p>Totam sequi amet rem dolores quis, aliquam eveniet accusantium ipsam sunt quidem suscipit voluptate qui, consequuntur harum distinctio architecto incidunt illum beatae.</p>\r\n<p>Esse voluptatibus quas quasi tempore, odit at! Molestiae ab accusantium et, rem soluta reprehenderit sequi fugiat consequatur veniam, veritatis saepe voluptate cupiditate.</p>\r\n<p>Quisquam aliquid, fuga aspernatur soluta obcaecati? Laborum quos minus officia non est repellendus eum pariatur quasi nam ipsam id perferendis, earum, atque.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eius voluptas, laudantium cupiditate veritatis explicabo nemo excepturi similique, vel optio aperiam corporis pariatur, odio quia quis numquam in veniam. Saepe similique quo consequuntur unde harum, blanditiis fuga debitis sint laudantium ullam natus voluptas, ducimus a, libero praesentium! Id nam sed sint nostrum possimus nesciunt quis dignissimos?</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Tempore facilis minus beatae modi animi quisquam impedit quia repellat ipsam ipsum, aut et qui perspiciatis culpa voluptas inventore a necessitatibus eum tempora voluptatum vel!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ipsum nesciunt quae deleniti. Nulla voluptate ullam libero, corporis maiores at quae rerum quam!</p>\r\n<p>Totam sequi amet rem dolores quis, aliquam eveniet accusantium ipsam sunt quidem suscipit voluptate qui, consequuntur harum distinctio architecto incidunt illum beatae.</p>\r\n<p>Esse voluptatibus quas quasi tempore, odit at! Molestiae ab accusantium et, rem soluta reprehenderit sequi fugiat consequatur veniam, veritatis saepe voluptate cupiditate.</p>\r\n<p>Quisquam aliquid, fuga aspernatur soluta obcaecati? Laborum quos minus officia non est repellendus eum pariatur quasi nam ipsam id perferendis, earum, atque.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eius voluptas, laudantium cupiditate veritatis explicabo nemo excepturi similique, vel optio aperiam corporis pariatur, odio quia quis numquam in veniam. Saepe similique quo consequuntur unde harum, blanditiis fuga debitis sint laudantium ullam natus voluptas, ducimus a, libero praesentium! Id nam sed sint nostrum possimus nesciunt quis dignissimos?</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Tempore facilis minus beatae modi animi quisquam impedit quia repellat ipsam ipsum, aut et qui perspiciatis culpa voluptas inventore a necessitatibus eum tempora voluptatum vel!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ipsum nesciunt quae deleniti. Nulla voluptate ullam libero, corporis maiores at quae rerum quam!</p>\r\n<p>Totam sequi amet rem dolores quis, aliquam eveniet accusantium ipsam sunt quidem suscipit voluptate qui, consequuntur harum distinctio architecto incidunt illum beatae.</p>\r\n<p>Esse voluptatibus quas quasi tempore, odit at! Molestiae ab accusantium et, rem soluta reprehenderit sequi fugiat consequatur veniam, veritatis saepe voluptate cupiditate.</p>\r\n<p>Quisquam aliquid, fuga aspernatur soluta obcaecati? Laborum quos minus officia non est repellendus eum pariatur quasi nam ipsam id perferendis, earum, atque.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eius voluptas, laudantium cupiditate veritatis explicabo nemo excepturi similique, vel optio aperiam corporis pariatur, odio quia quis numquam in veniam. Saepe similique quo consequuntur unde harum, blanditiis fuga debitis sint laudantium ullam natus voluptas, ducimus a, libero praesentium! Id nam sed sint nostrum possimus nesciunt quis dignissimos?</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Tempore facilis minus beatae modi animi quisquam impedit quia repellat ipsam ipsum, aut et qui perspiciatis culpa voluptas inventore a necessitatibus eum tempora voluptatum vel!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ipsum nesciunt quae deleniti. Nulla voluptate ullam libero, corporis maiores at quae rerum quam!</p>\r\n<p>Totam sequi amet rem dolores quis, aliquam eveniet accusantium ipsam sunt quidem suscipit voluptate qui, consequuntur harum distinctio architecto incidunt illum beatae.</p>\r\n<p>Esse voluptatibus quas quasi tempore, odit at! Molestiae ab accusantium et, rem soluta reprehenderit sequi fugiat consequatur veniam, veritatis saepe voluptate cupiditate.</p>\r\n<p>Quisquam aliquid, fuga aspernatur soluta obcaecati? Laborum quos minus officia non est repellendus eum pariatur quasi nam ipsam id perferendis, earum, atque.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eius voluptas, laudantium cupiditate veritatis explicabo nemo excepturi similique, vel optio aperiam corporis pariatur, odio quia quis numquam in veniam. Saepe similique quo consequuntur unde harum, blanditiis fuga debitis sint laudantium ullam natus voluptas, ducimus a, libero praesentium! Id nam sed sint nostrum possimus nesciunt quis dignissimos?</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Tempore facilis minus beatae modi animi quisquam impedit quia repellat ipsam ipsum, aut et qui perspiciatis culpa voluptas inventore a necessitatibus eum tempora voluptatum vel!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ipsum nesciunt quae deleniti. Nulla voluptate ullam libero, corporis maiores at quae rerum quam!</p>\r\n<p>Totam sequi amet rem dolores quis, aliquam eveniet accusantium ipsam sunt quidem suscipit voluptate qui, consequuntur harum distinctio architecto incidunt illum beatae.</p>\r\n<p>Esse voluptatibus quas quasi tempore, odit at! Molestiae ab accusantium et, rem soluta reprehenderit sequi fugiat consequatur veniam, veritatis saepe voluptate cupiditate.</p>\r\n<p>Quisquam aliquid, fuga aspernatur soluta obcaecati? Laborum quos minus officia non est repellendus eum pariatur quasi nam ipsam id perferendis, earum, atque.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eius voluptas, laudantium cupiditate veritatis explicabo nemo excepturi similique, vel optio aperiam corporis pariatur, odio quia quis numquam in veniam. Saepe similique quo consequuntur unde harum, blanditiis fuga debitis sint laudantium ullam natus voluptas, ducimus a, libero praesentium! Id nam sed sint nostrum possimus nesciunt quis dignissimos?</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Tempore facilis minus beatae modi animi quisquam impedit quia repellat ipsam ipsum, aut et qui perspiciatis culpa voluptas inventore a necessitatibus eum tempora voluptatum vel!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ipsum nesciunt quae deleniti. Nulla voluptate ullam libero, corporis maiores at quae rerum quam!</p>\r\n<p>Totam sequi amet rem dolores quis, aliquam eveniet accusantium ipsam sunt quidem suscipit voluptate qui, consequuntur harum distinctio architecto incidunt illum beatae.</p>\r\n<p>Esse voluptatibus quas quasi tempore, odit at! Molestiae ab accusantium et, rem soluta reprehenderit sequi fugiat consequatur veniam, veritatis saepe voluptate cupiditate.</p>\r\n<p>Quisquam aliquid, fuga aspernatur soluta obcaecati? Laborum quos minus officia non est repellendus eum pariatur quasi nam ipsam id perferendis, earum, atque.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eius voluptas, laudantium cupiditate veritatis explicabo nemo excepturi similique, vel optio aperiam corporis pariatur, odio quia quis numquam in veniam. Saepe similique quo consequuntur unde harum, blanditiis fuga debitis sint laudantium ullam natus voluptas, ducimus a, libero praesentium! Id nam sed sint nostrum possimus nesciunt quis dignissimos?</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Tempore facilis minus beatae modi animi quisquam impedit quia repellat ipsam ipsum, aut et qui perspiciatis culpa voluptas inventore a necessitatibus eum tempora voluptatum vel!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ipsum nesciunt quae deleniti. Nulla voluptate ullam libero, corporis maiores at quae rerum quam!</p>\r\n<p>Totam sequi amet rem dolores quis, aliquam eveniet accusantium ipsam sunt quidem suscipit voluptate qui, consequuntur harum distinctio architecto incidunt illum beatae.</p>\r\n<p>Esse voluptatibus quas quasi tempore, odit at! Molestiae ab accusantium et, rem soluta reprehenderit sequi fugiat consequatur veniam, veritatis saepe voluptate cupiditate.</p>\r\n<p>Quisquam aliquid, fuga aspernatur soluta obcaecati? Laborum quos minus officia non est repellendus eum pariatur quasi nam ipsam id perferendis, earum, atque.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eius voluptas, laudantium cupiditate veritatis explicabo nemo excepturi similique, vel optio aperiam corporis pariatur, odio quia quis numquam in veniam. Saepe similique quo consequuntur unde harum, blanditiis fuga debitis sint laudantium ullam natus voluptas, ducimus a, libero praesentium! Id nam sed sint nostrum possimus nesciunt quis dignissimos?</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Tempore facilis minus beatae modi animi quisquam impedit quia repellat ipsam ipsum, aut et qui perspiciatis culpa voluptas inventore a necessitatibus eum tempora voluptatum vel!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ipsum nesciunt quae deleniti. Nulla voluptate ullam libero, corporis maiores at quae rerum quam!</p>\r\n<p>Totam sequi amet rem dolores quis, aliquam eveniet accusantium ipsam sunt quidem suscipit voluptate qui, consequuntur harum distinctio architecto incidunt illum beatae.</p>\r\n<p>Esse voluptatibus quas quasi tempore, odit at! Molestiae ab accusantium et, rem soluta reprehenderit sequi fugiat consequatur veniam, veritatis saepe voluptate cupiditate.</p>\r\n<p>Quisquam aliquid, fuga aspernatur soluta obcaecati? Laborum quos minus officia non est repellendus eum pariatur quasi nam ipsam id perferendis, earum, atque.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eius voluptas, laudantium cupiditate veritatis explicabo nemo excepturi similique, vel optio aperiam corporis pariatur, odio quia quis numquam in veniam. Saepe similique quo consequuntur unde harum, blanditiis fuga debitis sint laudantium ullam natus voluptas, ducimus a, libero praesentium! Id nam sed sint nostrum possimus nesciunt quis dignissimos?</p>\r\n", "Non, quaerat, voluptas.", "Dolorem aut veritatis labore magnam blanditiis, maiores iure similique sint expedita illo.\r\n", "inherit", "closed", "closed", "", "33-revision-v1", "", "", "2018-07-29 16:02:20", "2018-07-29 16:02:20", "", "33", "http://localhost:8888/metonymic/2018/07/29/33-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("303", "1", "2018-07-29 16:02:40", "2018-07-29 16:02:40", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur eveniet ratione, sint quas aliquam earum? Vel excepturi, dolores itaque incidunt culpa odio dignissimos, atque consequatur iusto reprehenderit id, porro nam! Delectus, architecto, consectetur.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quam quo ducimus deleniti, reiciendis cum necessitatibus, voluptatibus. Recusandae quod labore soluta eligendi, hic!</p>\r\n<p>Est impedit repellat voluptatum veniam odit dolorem nesciunt aliquid recusandae consectetur in ea neque explicabo sequi quaerat itaque aut vel, beatae. Cum.</p>\r\n<p>Ea neque sit, corporis aut quasi in tenetur eum incidunt saepe! Odit, fugiat. Ab maxime, placeat totam quam nesciunt. Voluptatum, ipsam, odit.</p>\r\n<p>Delectus vel quidem saepe perferendis fuga, ex quam obcaecati corporis ipsum, sunt quia repellendus laboriosam error doloremque dolores amet fugiat. Ullam, eaque!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Dolore iure omnis adipisci nemo iste aspernatur alias labore commodi? Fuga impedit dicta, sequi voluptatibus sunt quas ratione velit! Doloribus alias beatae doloremque ad a est nulla consequatur optio veritatis natus sit sequi, iusto expedita, officiis ut temporibus delectus. Nostrum quis tempore porro illo. Nam quis, praesentium.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur eveniet ratione, sint quas aliquam earum? Vel excepturi, dolores itaque incidunt culpa odio dignissimos, atque consequatur iusto reprehenderit id, porro nam! Delectus, architecto, consectetur.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quam quo ducimus deleniti, reiciendis cum necessitatibus, voluptatibus. Recusandae quod labore soluta eligendi, hic!</p>\r\n<p>Est impedit repellat voluptatum veniam odit dolorem nesciunt aliquid recusandae consectetur in ea neque explicabo sequi quaerat itaque aut vel, beatae. Cum.</p>\r\n<p>Ea neque sit, corporis aut quasi in tenetur eum incidunt saepe! Odit, fugiat. Ab maxime, placeat totam quam nesciunt. Voluptatum, ipsam, odit.</p>\r\n<p>Delectus vel quidem saepe perferendis fuga, ex quam obcaecati corporis ipsum, sunt quia repellendus laboriosam error doloremque dolores amet fugiat. Ullam, eaque!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Dolore iure omnis adipisci nemo iste aspernatur alias labore commodi? Fuga impedit dicta, sequi voluptatibus sunt quas ratione velit! Doloribus alias beatae doloremque ad a est nulla consequatur optio veritatis natus sit sequi, iusto expedita, officiis ut temporibus delectus. Nostrum quis tempore porro illo. Nam quis, praesentium.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur eveniet ratione, sint quas aliquam earum? Vel excepturi, dolores itaque incidunt culpa odio dignissimos, atque consequatur iusto reprehenderit id, porro nam! Delectus, architecto, consectetur.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quam quo ducimus deleniti, reiciendis cum necessitatibus, voluptatibus. Recusandae quod labore soluta eligendi, hic!</p>\r\n<p>Est impedit repellat voluptatum veniam odit dolorem nesciunt aliquid recusandae consectetur in ea neque explicabo sequi quaerat itaque aut vel, beatae. Cum.</p>\r\n<p>Ea neque sit, corporis aut quasi in tenetur eum incidunt saepe! Odit, fugiat. Ab maxime, placeat totam quam nesciunt. Voluptatum, ipsam, odit.</p>\r\n<p>Delectus vel quidem saepe perferendis fuga, ex quam obcaecati corporis ipsum, sunt quia repellendus laboriosam error doloremque dolores amet fugiat. Ullam, eaque!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Dolore iure omnis adipisci nemo iste aspernatur alias labore commodi? Fuga impedit dicta, sequi voluptatibus sunt quas ratione velit! Doloribus alias beatae doloremque ad a est nulla consequatur optio veritatis natus sit sequi, iusto expedita, officiis ut temporibus delectus. Nostrum quis tempore porro illo. Nam quis, praesentium.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur eveniet ratione, sint quas aliquam earum? Vel excepturi, dolores itaque incidunt culpa odio dignissimos, atque consequatur iusto reprehenderit id, porro nam! Delectus, architecto, consectetur.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quam quo ducimus deleniti, reiciendis cum necessitatibus, voluptatibus. Recusandae quod labore soluta eligendi, hic!</p>\r\n<p>Est impedit repellat voluptatum veniam odit dolorem nesciunt aliquid recusandae consectetur in ea neque explicabo sequi quaerat itaque aut vel, beatae. Cum.</p>\r\n<p>Ea neque sit, corporis aut quasi in tenetur eum incidunt saepe! Odit, fugiat. Ab maxime, placeat totam quam nesciunt. Voluptatum, ipsam, odit.</p>\r\n<p>Delectus vel quidem saepe perferendis fuga, ex quam obcaecati corporis ipsum, sunt quia repellendus laboriosam error doloremque dolores amet fugiat. Ullam, eaque!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Dolore iure omnis adipisci nemo iste aspernatur alias labore commodi? Fuga impedit dicta, sequi voluptatibus sunt quas ratione velit! Doloribus alias beatae doloremque ad a est nulla consequatur optio veritatis natus sit sequi, iusto expedita, officiis ut temporibus delectus. Nostrum quis tempore porro illo. Nam quis, praesentium.</p>\r\n", "Molestiae, quasi, culpa.", "Necessitatibus officiis aliquid incidunt molestias odit consequatur et. Dolore nesciunt sit sint.\r\n", "inherit", "closed", "closed", "", "53-revision-v1", "", "", "2018-07-29 16:02:40", "2018-07-29 16:02:40", "", "53", "http://localhost:8888/metonymic/2018/07/29/53-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("304", "1", "2018-07-29 16:02:47", "2018-07-29 16:02:47", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quae id possimus dolores harum! Cupiditate voluptate perferendis tempore ipsa, adipisci ea atque. Nostrum nihil non sint, doloribus magni est doloremque voluptatem nam laborum pariatur.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Dicta molestias, quis. Numquam ea ut, quibusdam, rerum nobis voluptatibus inventore sapiente at adipisci.</p>\r\n<p>Iure iusto asperiores temporibus molestias expedita minus optio soluta, cumque sequi provident blanditiis ex, in dolor unde necessitatibus, ad sint tenetur dolorum!</p>\r\n<p>Repellendus, eos nostrum quas vitae, blanditiis sed fugiat in, suscipit impedit exercitationem maiores necessitatibus voluptatem praesentium quidem pariatur quasi molestias dicta error.</p>\r\n<p>Neque error, iusto deserunt. Est, nulla deleniti minus fugit molestias. Libero vero cupiditate nam quisquam nesciunt tenetur, nihil. Voluptatum, ratione ex laboriosam?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Maxime eaque quis iste commodi. Fugit eveniet dolore maxime vel animi ea, fuga tempore excepturi fugiat vero, nesciunt assumenda. Officiis nobis ex corporis architecto mollitia accusantium! Quibusdam maxime ad, sed sapiente quae recusandae quasi repudiandae dignissimos dolor modi enim possimus dolorem, cupiditate odit, iste saepe incidunt aperiam.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quae id possimus dolores harum! Cupiditate voluptate perferendis tempore ipsa, adipisci ea atque. Nostrum nihil non sint, doloribus magni est doloremque voluptatem nam laborum pariatur.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Dicta molestias, quis. Numquam ea ut, quibusdam, rerum nobis voluptatibus inventore sapiente at adipisci.</p>\r\n<p>Iure iusto asperiores temporibus molestias expedita minus optio soluta, cumque sequi provident blanditiis ex, in dolor unde necessitatibus, ad sint tenetur dolorum!</p>\r\n<p>Repellendus, eos nostrum quas vitae, blanditiis sed fugiat in, suscipit impedit exercitationem maiores necessitatibus voluptatem praesentium quidem pariatur quasi molestias dicta error.</p>\r\n<p>Neque error, iusto deserunt. Est, nulla deleniti minus fugit molestias. Libero vero cupiditate nam quisquam nesciunt tenetur, nihil. Voluptatum, ratione ex laboriosam?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Maxime eaque quis iste commodi. Fugit eveniet dolore maxime vel animi ea, fuga tempore excepturi fugiat vero, nesciunt assumenda. Officiis nobis ex corporis architecto mollitia accusantium! Quibusdam maxime ad, sed sapiente quae recusandae quasi repudiandae dignissimos dolor modi enim possimus dolorem, cupiditate odit, iste saepe incidunt aperiam.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quae id possimus dolores harum! Cupiditate voluptate perferendis tempore ipsa, adipisci ea atque. Nostrum nihil non sint, doloribus magni est doloremque voluptatem nam laborum pariatur.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Dicta molestias, quis. Numquam ea ut, quibusdam, rerum nobis voluptatibus inventore sapiente at adipisci.</p>\r\n<p>Iure iusto asperiores temporibus molestias expedita minus optio soluta, cumque sequi provident blanditiis ex, in dolor unde necessitatibus, ad sint tenetur dolorum!</p>\r\n<p>Repellendus, eos nostrum quas vitae, blanditiis sed fugiat in, suscipit impedit exercitationem maiores necessitatibus voluptatem praesentium quidem pariatur quasi molestias dicta error.</p>\r\n<p>Neque error, iusto deserunt. Est, nulla deleniti minus fugit molestias. Libero vero cupiditate nam quisquam nesciunt tenetur, nihil. Voluptatum, ratione ex laboriosam?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Maxime eaque quis iste commodi. Fugit eveniet dolore maxime vel animi ea, fuga tempore excepturi fugiat vero, nesciunt assumenda. Officiis nobis ex corporis architecto mollitia accusantium! Quibusdam maxime ad, sed sapiente quae recusandae quasi repudiandae dignissimos dolor modi enim possimus dolorem, cupiditate odit, iste saepe incidunt aperiam.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quae id possimus dolores harum! Cupiditate voluptate perferendis tempore ipsa, adipisci ea atque. Nostrum nihil non sint, doloribus magni est doloremque voluptatem nam laborum pariatur.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Dicta molestias, quis. Numquam ea ut, quibusdam, rerum nobis voluptatibus inventore sapiente at adipisci.</p>\r\n<p>Iure iusto asperiores temporibus molestias expedita minus optio soluta, cumque sequi provident blanditiis ex, in dolor unde necessitatibus, ad sint tenetur dolorum!</p>\r\n<p>Repellendus, eos nostrum quas vitae, blanditiis sed fugiat in, suscipit impedit exercitationem maiores necessitatibus voluptatem praesentium quidem pariatur quasi molestias dicta error.</p>\r\n<p>Neque error, iusto deserunt. Est, nulla deleniti minus fugit molestias. Libero vero cupiditate nam quisquam nesciunt tenetur, nihil. Voluptatum, ratione ex laboriosam?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Maxime eaque quis iste commodi. Fugit eveniet dolore maxime vel animi ea, fuga tempore excepturi fugiat vero, nesciunt assumenda. Officiis nobis ex corporis architecto mollitia accusantium! Quibusdam maxime ad, sed sapiente quae recusandae quasi repudiandae dignissimos dolor modi enim possimus dolorem, cupiditate odit, iste saepe incidunt aperiam.</p>\r\n", "Quos, laborum, commodi.", "Perspiciatis neque repudiandae eligendi eos repellat atque similique magnam, aspernatur, dignissimos a.\r\n", "inherit", "closed", "closed", "", "35-revision-v1", "", "", "2018-07-29 16:02:47", "2018-07-29 16:02:47", "", "35", "http://localhost:8888/metonymic/2018/07/29/35-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("305", "1", "2018-07-29 16:02:55", "2018-07-29 16:02:55", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Culpa itaque alias tempore omnis voluptatem, aperiam voluptas blanditiis! Voluptas doloremque, quaerat facere, eaque quos dolores laboriosam perspiciatis explicabo ducimus ex molestiae voluptatum veniam dolore.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Perferendis id accusamus, iusto esse iste quia omnis veritatis, vero nesciunt, explicabo molestiae, necessitatibus!</p>\r\n<p>Earum aliquam corporis libero voluptates quisquam magnam ducimus laudantium animi quidem, officiis quia optio ex, explicabo, accusamus nemo mollitia eligendi doloremque tempora!</p>\r\n<p>Quod eius ullam, nam et reiciendis, saepe recusandae dolor aliquam consectetur nemo molestiae magnam optio vel eum facilis animi culpa voluptatum delectus!</p>\r\n<p>Earum eveniet tempora consequuntur unde, repellendus dolorum iure pariatur blanditiis quasi animi. Obcaecati excepturi est fugit, molestias mollitia, eaque numquam similique asperiores.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Asperiores eos similique ipsam dolorum, repellat quibusdam quis doloremque id fugiat cumque assumenda, excepturi magni esse sapiente fugit nemo ipsa quia dolore aliquam. Impedit reiciendis, aperiam animi dolor sed, hic ut! Culpa vitae porro dolores, praesentium voluptates ratione repudiandae sequi dolorem nam veritatis id deserunt, sit quia.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Culpa itaque alias tempore omnis voluptatem, aperiam voluptas blanditiis! Voluptas doloremque, quaerat facere, eaque quos dolores laboriosam perspiciatis explicabo ducimus ex molestiae voluptatum veniam dolore.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Perferendis id accusamus, iusto esse iste quia omnis veritatis, vero nesciunt, explicabo molestiae, necessitatibus!</p>\r\n<p>Earum aliquam corporis libero voluptates quisquam magnam ducimus laudantium animi quidem, officiis quia optio ex, explicabo, accusamus nemo mollitia eligendi doloremque tempora!</p>\r\n<p>Quod eius ullam, nam et reiciendis, saepe recusandae dolor aliquam consectetur nemo molestiae magnam optio vel eum facilis animi culpa voluptatum delectus!</p>\r\n<p>Earum eveniet tempora consequuntur unde, repellendus dolorum iure pariatur blanditiis quasi animi. Obcaecati excepturi est fugit, molestias mollitia, eaque numquam similique asperiores.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Asperiores eos similique ipsam dolorum, repellat quibusdam quis doloremque id fugiat cumque assumenda, excepturi magni esse sapiente fugit nemo ipsa quia dolore aliquam. Impedit reiciendis, aperiam animi dolor sed, hic ut! Culpa vitae porro dolores, praesentium voluptates ratione repudiandae sequi dolorem nam veritatis id deserunt, sit quia.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Culpa itaque alias tempore omnis voluptatem, aperiam voluptas blanditiis! Voluptas doloremque, quaerat facere, eaque quos dolores laboriosam perspiciatis explicabo ducimus ex molestiae voluptatum veniam dolore.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Perferendis id accusamus, iusto esse iste quia omnis veritatis, vero nesciunt, explicabo molestiae, necessitatibus!</p>\r\n<p>Earum aliquam corporis libero voluptates quisquam magnam ducimus laudantium animi quidem, officiis quia optio ex, explicabo, accusamus nemo mollitia eligendi doloremque tempora!</p>\r\n<p>Quod eius ullam, nam et reiciendis, saepe recusandae dolor aliquam consectetur nemo molestiae magnam optio vel eum facilis animi culpa voluptatum delectus!</p>\r\n<p>Earum eveniet tempora consequuntur unde, repellendus dolorum iure pariatur blanditiis quasi animi. Obcaecati excepturi est fugit, molestias mollitia, eaque numquam similique asperiores.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Asperiores eos similique ipsam dolorum, repellat quibusdam quis doloremque id fugiat cumque assumenda, excepturi magni esse sapiente fugit nemo ipsa quia dolore aliquam. Impedit reiciendis, aperiam animi dolor sed, hic ut! Culpa vitae porro dolores, praesentium voluptates ratione repudiandae sequi dolorem nam veritatis id deserunt, sit quia.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Culpa itaque alias tempore omnis voluptatem, aperiam voluptas blanditiis! Voluptas doloremque, quaerat facere, eaque quos dolores laboriosam perspiciatis explicabo ducimus ex molestiae voluptatum veniam dolore.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Perferendis id accusamus, iusto esse iste quia omnis veritatis, vero nesciunt, explicabo molestiae, necessitatibus!</p>\r\n<p>Earum aliquam corporis libero voluptates quisquam magnam ducimus laudantium animi quidem, officiis quia optio ex, explicabo, accusamus nemo mollitia eligendi doloremque tempora!</p>\r\n<p>Quod eius ullam, nam et reiciendis, saepe recusandae dolor aliquam consectetur nemo molestiae magnam optio vel eum facilis animi culpa voluptatum delectus!</p>\r\n<p>Earum eveniet tempora consequuntur unde, repellendus dolorum iure pariatur blanditiis quasi animi. Obcaecati excepturi est fugit, molestias mollitia, eaque numquam similique asperiores.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Asperiores eos similique ipsam dolorum, repellat quibusdam quis doloremque id fugiat cumque assumenda, excepturi magni esse sapiente fugit nemo ipsa quia dolore aliquam. Impedit reiciendis, aperiam animi dolor sed, hic ut! Culpa vitae porro dolores, praesentium voluptates ratione repudiandae sequi dolorem nam veritatis id deserunt, sit quia.</p>\r\n", "Ullam, sit, amet.", "A quas, fugit. Voluptatum corporis, debitis? Perspiciatis harum error placeat, porro quod!\r\n", "inherit", "closed", "closed", "", "34-revision-v1", "", "", "2018-07-29 16:02:55", "2018-07-29 16:02:55", "", "34", "http://localhost:8888/metonymic/2018/07/29/34-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("306", "1", "2018-07-29 16:03:02", "2018-07-29 16:03:02", "Neque error, iusto deserunt. Est, nulla deleniti minus fugit molestias. Libero vero cupiditate nam quisquam nesciunt tenetur, nihil deleniti minus fugit molestias. . Voluptatum, ratione ex laboriosam?\r\n<h3>Lorem ipsum dolor.</h3>\r\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Dicta molestias, quis. Numquam ea ut, quibusdam, rerum nobis voluptatibus inventore sapiente at adipisci.\r\n\r\nIure iusto asperiores temporibus molestias expedita minus optio soluta, cumque sequi provident blanditiis ex, in dolor unde necessitatibus, ad sint tenetur dolorum!\r\n\r\nRepellendus, eos nostrum quas vitae, blanditiis sed fugiat in, suscipit impedit exercitationem maiores necessitatibus voluptatem praesentium quidem pariatur quasi molestias dicta error.\r\n\r\n<h3>Lorem ipsum dolor sit.</h3>\r\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Maxime eaque quis iste commodi. Fugit eveniet dolore maxime vel animi ea, fuga tempore excepturi fugiat vero, nesciunt assumenda. Officiis nobis ex corporis architecto mollitia accusantium! Quibusdam maxime ad, sed sapiente quae recusandae quasi repudiandae dignissimos dolor modi enim possimus dolorem, cupiditate odit, iste saepe incidunt aperiam.Neque error, iusto deserunt. Est, nulla deleniti minus fugit molestias. Libero vero cupiditate nam quisquam nesciunt tenetur, nihil deleniti minus fugit molestias. . Voluptatum, ratione ex laboriosam?\r\n<h3>Lorem ipsum dolor.</h3>\r\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Dicta molestias, quis. Numquam ea ut, quibusdam, rerum nobis voluptatibus inventore sapiente at adipisci.\r\n\r\nIure iusto asperiores temporibus molestias expedita minus optio soluta, cumque sequi provident blanditiis ex, in dolor unde necessitatibus, ad sint tenetur dolorum!\r\n\r\nRepellendus, eos nostrum quas vitae, blanditiis sed fugiat in, suscipit impedit exercitationem maiores necessitatibus voluptatem praesentium quidem pariatur quasi molestias dicta error.\r\n\r\n<h3>Lorem ipsum dolor sit.</h3>\r\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Maxime eaque quis iste commodi. Fugit eveniet dolore maxime vel animi ea, fuga tempore excepturi fugiat vero, nesciunt assumenda. Officiis nobis ex corporis architecto mollitia accusantium! Quibusdam maxime ad, sed sapiente quae recusandae quasi repudiandae dignissimos dolor modi enim possimus dolorem, cupiditate odit, iste saepe incidunt aperiam.Neque error, iusto deserunt. Est, nulla deleniti minus fugit molestias. Libero vero cupiditate nam quisquam nesciunt tenetur, nihil deleniti minus fugit molestias. . Voluptatum, ratione ex laboriosam?\r\n<h3>Lorem ipsum dolor.</h3>\r\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Dicta molestias, quis. Numquam ea ut, quibusdam, rerum nobis voluptatibus inventore sapiente at adipisci.\r\n\r\nIure iusto asperiores temporibus molestias expedita minus optio soluta, cumque sequi provident blanditiis ex, in dolor unde necessitatibus, ad sint tenetur dolorum!\r\n\r\nRepellendus, eos nostrum quas vitae, blanditiis sed fugiat in, suscipit impedit exercitationem maiores necessitatibus voluptatem praesentium quidem pariatur quasi molestias dicta error.\r\n\r\n<h3>Lorem ipsum dolor sit.</h3>\r\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Maxime eaque quis iste commodi. Fugit eveniet dolore maxime vel animi ea, fuga tempore excepturi fugiat vero, nesciunt assumenda. Officiis nobis ex corporis architecto mollitia accusantium! Quibusdam maxime ad, sed sapiente quae recusandae quasi repudiandae dignissimos dolor modi enim possimus dolorem, cupiditate odit, iste saepe incidunt aperiam.Neque error, iusto deserunt. Est, nulla deleniti minus fugit molestias. Libero vero cupiditate nam quisquam nesciunt tenetur, nihil deleniti minus fugit molestias. . Voluptatum, ratione ex laboriosam?\r\n<h3>Lorem ipsum dolor.</h3>\r\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Dicta molestias, quis. Numquam ea ut, quibusdam, rerum nobis voluptatibus inventore sapiente at adipisci.\r\n\r\nIure iusto asperiores temporibus molestias expedita minus optio soluta, cumque sequi provident blanditiis ex, in dolor unde necessitatibus, ad sint tenetur dolorum!\r\n\r\nRepellendus, eos nostrum quas vitae, blanditiis sed fugiat in, suscipit impedit exercitationem maiores necessitatibus voluptatem praesentium quidem pariatur quasi molestias dicta error.\r\n\r\n<h3>Lorem ipsum dolor sit.</h3>\r\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Maxime eaque quis iste commodi. Fugit eveniet dolore maxime vel animi ea, fuga tempore excepturi fugiat vero, nesciunt assumenda. Officiis nobis ex corporis architecto mollitia accusantium! Quibusdam maxime ad, sed sapiente quae recusandae quasi repudiandae dignissimos dolor modi enim possimus dolorem, cupiditate odit, iste saepe incidunt aperiam.", "Lorem ipsum dolor.", "Lorem ipsum dolor sit amet, consectetur adipisicing elit. Fuga facilis accusamus molestias.\r\n", "inherit", "closed", "closed", "", "148-revision-v1", "", "", "2018-07-29 16:03:02", "2018-07-29 16:03:02", "", "148", "http://localhost:8888/metonymic/2018/07/29/148-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("307", "1", "2018-07-29 16:03:08", "2018-07-29 16:03:08", "Neque error, iusto deserunt. Est, nulla deleniti minus fugit molestias. Libero vero cupiditate nam quisquam nesciunt tenetur, nihil deleniti minus fugit molestias. . Voluptatum, ratione ex laboriosam?\r\n<h3>Lorem ipsum dolor.</h3>\r\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Dicta molestias, quis. Numquam ea ut, quibusdam, rerum nobis voluptatibus inventore sapiente at adipisci.\r\n\r\nIure iusto asperiores temporibus molestias expedita minus optio soluta, cumque sequi provident blanditiis ex, in dolor unde necessitatibus, ad sint tenetur dolorum!\r\n\r\nRepellendus, eos nostrum quas vitae, blanditiis sed fugiat in, suscipit impedit exercitationem maiores necessitatibus voluptatem praesentium quidem pariatur quasi molestias dicta error.\r\n\r\n<h3>Lorem ipsum dolor sit.</h3>\r\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Maxime eaque quis iste commodi. Fugit eveniet dolore maxime vel animi ea, fuga tempore excepturi fugiat vero, nesciunt assumenda. Officiis nobis ex corporis architecto mollitia accusantium! Quibusdam maxime ad, sed sapiente quae recusandae quasi repudiandae dignissimos dolor modi enim possimus dolorem, cupiditate odit, iste saepe incidunt aperiam.Neque error, iusto deserunt. Est, nulla deleniti minus fugit molestias. Libero vero cupiditate nam quisquam nesciunt tenetur, nihil deleniti minus fugit molestias. . Voluptatum, ratione ex laboriosam?\r\n<h3>Lorem ipsum dolor.</h3>\r\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Dicta molestias, quis. Numquam ea ut, quibusdam, rerum nobis voluptatibus inventore sapiente at adipisci.\r\n\r\nIure iusto asperiores temporibus molestias expedita minus optio soluta, cumque sequi provident blanditiis ex, in dolor unde necessitatibus, ad sint tenetur dolorum!\r\n\r\nRepellendus, eos nostrum quas vitae, blanditiis sed fugiat in, suscipit impedit exercitationem maiores necessitatibus voluptatem praesentium quidem pariatur quasi molestias dicta error.\r\n\r\n<h3>Lorem ipsum dolor sit.</h3>\r\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Maxime eaque quis iste commodi. Fugit eveniet dolore maxime vel animi ea, fuga tempore excepturi fugiat vero, nesciunt assumenda. Officiis nobis ex corporis architecto mollitia accusantium! Quibusdam maxime ad, sed sapiente quae recusandae quasi repudiandae dignissimos dolor modi enim possimus dolorem, cupiditate odit, iste saepe incidunt aperiam.Neque error, iusto deserunt. Est, nulla deleniti minus fugit molestias. Libero vero cupiditate nam quisquam nesciunt tenetur, nihil deleniti minus fugit molestias. . Voluptatum, ratione ex laboriosam?\r\n<h3>Lorem ipsum dolor.</h3>\r\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Dicta molestias, quis. Numquam ea ut, quibusdam, rerum nobis voluptatibus inventore sapiente at adipisci.\r\n\r\nIure iusto asperiores temporibus molestias expedita minus optio soluta, cumque sequi provident blanditiis ex, in dolor unde necessitatibus, ad sint tenetur dolorum!\r\n\r\nRepellendus, eos nostrum quas vitae, blanditiis sed fugiat in, suscipit impedit exercitationem maiores necessitatibus voluptatem praesentium quidem pariatur quasi molestias dicta error.\r\n\r\n<h3>Lorem ipsum dolor sit.</h3>\r\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Maxime eaque quis iste commodi. Fugit eveniet dolore maxime vel animi ea, fuga tempore excepturi fugiat vero, nesciunt assumenda. Officiis nobis ex corporis architecto mollitia accusantium! Quibusdam maxime ad, sed sapiente quae recusandae quasi repudiandae dignissimos dolor modi enim possimus dolorem, cupiditate odit, iste saepe incidunt aperiam.Neque error, iusto deserunt. Est, nulla deleniti minus fugit molestias. Libero vero cupiditate nam quisquam nesciunt tenetur, nihil deleniti minus fugit molestias. . Voluptatum, ratione ex laboriosam?\r\n<h3>Lorem ipsum dolor.</h3>\r\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Dicta molestias, quis. Numquam ea ut, quibusdam, rerum nobis voluptatibus inventore sapiente at adipisci.\r\n\r\nIure iusto asperiores temporibus molestias expedita minus optio soluta, cumque sequi provident blanditiis ex, in dolor unde necessitatibus, ad sint tenetur dolorum!\r\n\r\nRepellendus, eos nostrum quas vitae, blanditiis sed fugiat in, suscipit impedit exercitationem maiores necessitatibus voluptatem praesentium quidem pariatur quasi molestias dicta error.\r\n\r\n<h3>Lorem ipsum dolor sit.</h3>\r\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Maxime eaque quis iste commodi. Fugit eveniet dolore maxime vel animi ea, fuga tempore excepturi fugiat vero, nesciunt assumenda. Officiis nobis ex corporis architecto mollitia accusantium! Quibusdam maxime ad, sed sapiente quae recusandae quasi repudiandae dignissimos dolor modi enim possimus dolorem, cupiditate odit, iste saepe incidunt aperiam.", "Vel, eius facere.", "Lorem ipsum dolor sit amet, consectetur adipisicing elit. Fuga facilis accusamus molestias.\r\n", "inherit", "closed", "closed", "", "205-revision-v1", "", "", "2018-07-29 16:03:08", "2018-07-29 16:03:08", "", "205", "http://localhost:8888/metonymic/2018/07/29/205-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("308", "1", "2018-07-29 16:03:20", "2018-07-29 16:03:20", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Placeat ratione quibusdam omnis explicabo amet inventore optio iusto veritatis mollitia perferendis quisquam ea deleniti earum ipsum nobis beatae quis quidem quod, excepturi, quasi accusantium.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Iste omnis, alias laudantium veniam atque modi, id suscipit rem consequatur voluptatum sunt nulla?</p>\r\n<p>Odit, veritatis, voluptate. Magnam enim placeat dolore amet culpa, perferendis iusto tenetur impedit! Cupiditate vel odit culpa, harum illo repellat nobis temporibus!</p>\r\n<p>Earum corporis, a beatae porro dicta fuga velit accusamus atque cupiditate nulla laudantium necessitatibus quaerat commodi! Atque itaque unde earum quae repellat!</p>\r\n<p>Deleniti, quasi, et voluptatibus, modi, voluptatum praesentium iste dolore aperiam molestiae temporibus necessitatibus! Sint soluta ex accusantium ducimus quis, fugit esse sed!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Incidunt quod eius ipsam officia debitis omnis, repellat, et sed distinctio voluptatem expedita, quisquam quae, sapiente vel illo ullam iure praesentium sequi culpa velit quo fugiat blanditiis quaerat! Quo vel similique sint quae perferendis nesciunt, magnam, eveniet rem suscipit nobis excepturi necessitatibus quis sapiente voluptates. Reprehenderit, repellendus.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Placeat ratione quibusdam omnis explicabo amet inventore optio iusto veritatis mollitia perferendis quisquam ea deleniti earum ipsum nobis beatae quis quidem quod, excepturi, quasi accusantium.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Iste omnis, alias laudantium veniam atque modi, id suscipit rem consequatur voluptatum sunt nulla?</p>\r\n<p>Odit, veritatis, voluptate. Magnam enim placeat dolore amet culpa, perferendis iusto tenetur impedit! Cupiditate vel odit culpa, harum illo repellat nobis temporibus!</p>\r\n<p>Earum corporis, a beatae porro dicta fuga velit accusamus atque cupiditate nulla laudantium necessitatibus quaerat commodi! Atque itaque unde earum quae repellat!</p>\r\n<p>Deleniti, quasi, et voluptatibus, modi, voluptatum praesentium iste dolore aperiam molestiae temporibus necessitatibus! Sint soluta ex accusantium ducimus quis, fugit esse sed!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Incidunt quod eius ipsam officia debitis omnis, repellat, et sed distinctio voluptatem expedita, quisquam quae, sapiente vel illo ullam iure praesentium sequi culpa velit quo fugiat blanditiis quaerat! Quo vel similique sint quae perferendis nesciunt, magnam, eveniet rem suscipit nobis excepturi necessitatibus quis sapiente voluptates. Reprehenderit, repellendus.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Placeat ratione quibusdam omnis explicabo amet inventore optio iusto veritatis mollitia perferendis quisquam ea deleniti earum ipsum nobis beatae quis quidem quod, excepturi, quasi accusantium.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Iste omnis, alias laudantium veniam atque modi, id suscipit rem consequatur voluptatum sunt nulla?</p>\r\n<p>Odit, veritatis, voluptate. Magnam enim placeat dolore amet culpa, perferendis iusto tenetur impedit! Cupiditate vel odit culpa, harum illo repellat nobis temporibus!</p>\r\n<p>Earum corporis, a beatae porro dicta fuga velit accusamus atque cupiditate nulla laudantium necessitatibus quaerat commodi! Atque itaque unde earum quae repellat!</p>\r\n<p>Deleniti, quasi, et voluptatibus, modi, voluptatum praesentium iste dolore aperiam molestiae temporibus necessitatibus! Sint soluta ex accusantium ducimus quis, fugit esse sed!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Incidunt quod eius ipsam officia debitis omnis, repellat, et sed distinctio voluptatem expedita, quisquam quae, sapiente vel illo ullam iure praesentium sequi culpa velit quo fugiat blanditiis quaerat! Quo vel similique sint quae perferendis nesciunt, magnam, eveniet rem suscipit nobis excepturi necessitatibus quis sapiente voluptates. Reprehenderit, repellendus.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Placeat ratione quibusdam omnis explicabo amet inventore optio iusto veritatis mollitia perferendis quisquam ea deleniti earum ipsum nobis beatae quis quidem quod, excepturi, quasi accusantium.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Iste omnis, alias laudantium veniam atque modi, id suscipit rem consequatur voluptatum sunt nulla?</p>\r\n<p>Odit, veritatis, voluptate. Magnam enim placeat dolore amet culpa, perferendis iusto tenetur impedit! Cupiditate vel odit culpa, harum illo repellat nobis temporibus!</p>\r\n<p>Earum corporis, a beatae porro dicta fuga velit accusamus atque cupiditate nulla laudantium necessitatibus quaerat commodi! Atque itaque unde earum quae repellat!</p>\r\n<p>Deleniti, quasi, et voluptatibus, modi, voluptatum praesentium iste dolore aperiam molestiae temporibus necessitatibus! Sint soluta ex accusantium ducimus quis, fugit esse sed!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Incidunt quod eius ipsam officia debitis omnis, repellat, et sed distinctio voluptatem expedita, quisquam quae, sapiente vel illo ullam iure praesentium sequi culpa velit quo fugiat blanditiis quaerat! Quo vel similique sint quae perferendis nesciunt, magnam, eveniet rem suscipit nobis excepturi necessitatibus quis sapiente voluptates. Reprehenderit, repellendus.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Placeat ratione quibusdam omnis explicabo amet inventore optio iusto veritatis mollitia perferendis quisquam ea deleniti earum ipsum nobis beatae quis quidem quod, excepturi, quasi accusantium.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Iste omnis, alias laudantium veniam atque modi, id suscipit rem consequatur voluptatum sunt nulla?</p>\r\n<p>Odit, veritatis, voluptate. Magnam enim placeat dolore amet culpa, perferendis iusto tenetur impedit! Cupiditate vel odit culpa, harum illo repellat nobis temporibus!</p>\r\n<p>Earum corporis, a beatae porro dicta fuga velit accusamus atque cupiditate nulla laudantium necessitatibus quaerat commodi! Atque itaque unde earum quae repellat!</p>\r\n<p>Deleniti, quasi, et voluptatibus, modi, voluptatum praesentium iste dolore aperiam molestiae temporibus necessitatibus! Sint soluta ex accusantium ducimus quis, fugit esse sed!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Incidunt quod eius ipsam officia debitis omnis, repellat, et sed distinctio voluptatem expedita, quisquam quae, sapiente vel illo ullam iure praesentium sequi culpa velit quo fugiat blanditiis quaerat! Quo vel similique sint quae perferendis nesciunt, magnam, eveniet rem suscipit nobis excepturi necessitatibus quis sapiente voluptates. Reprehenderit, repellendus.</p>\r\n", "Aspernatur ipsa, esse!", "Voluptas laboriosam, consequuntur. Odit sed voluptatem explicabo placeat quod harum minima, fugit.\r\n", "inherit", "closed", "closed", "", "215-revision-v1", "", "", "2018-07-29 16:03:20", "2018-07-29 16:03:20", "", "215", "http://localhost:8888/metonymic/2018/07/29/215-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("309", "1", "2018-07-29 16:03:30", "2018-07-29 16:03:30", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Qui magnam expedita ea assumenda nobis id quod odio accusamus dicta numquam, voluptate amet quaerat voluptas velit laudantium maxime vel ducimus aperiam perspiciatis soluta doloremque.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Veritatis quas beatae, officia nisi inventore deleniti natus earum quia. Dolores illum quas dolorem.</p>\r\n<p>Placeat fugit, laudantium inventore blanditiis eos debitis aperiam! Nisi blanditiis repudiandae autem. Dicta aspernatur obcaecati, dolorum ullam! Pariatur recusandae, ducimus hic harum.</p>\r\n<p>Hic sapiente sunt quam, consectetur delectus tempore iste saepe similique obcaecati, numquam illum vel impedit dolor eius, quod maiores architecto incidunt voluptate.</p>\r\n<p>Accusamus aperiam quaerat sequi, libero cum nesciunt distinctio vel eveniet deserunt dicta possimus blanditiis, perspiciatis atque officiis adipisci ad tenetur vero consequatur.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Minima quaerat alias harum, explicabo cupiditate non aperiam in aliquam. Quae quidem, iusto qui natus assumenda dolores, architecto magnam laudantium minima! Tempora voluptates qui placeat quo, amet, fugiat quis porro molestiae ipsa esse in pariatur, nesciunt maiores! Nemo voluptas voluptatem alias quidem voluptates aut pariatur! Eum, incidunt.</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Qui magnam expedita ea assumenda nobis id quod odio accusamus dicta numquam, voluptate amet quaerat voluptas velit laudantium maxime vel ducimus aperiam perspiciatis soluta doloremque.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Veritatis quas beatae, officia nisi inventore deleniti natus earum quia. Dolores illum quas dolorem.</p>\r\n<p>Placeat fugit, laudantium inventore blanditiis eos debitis aperiam! Nisi blanditiis repudiandae autem. Dicta aspernatur obcaecati, dolorum ullam! Pariatur recusandae, ducimus hic harum.</p>\r\n<p>Hic sapiente sunt quam, consectetur delectus tempore iste saepe similique obcaecati, numquam illum vel impedit dolor eius, quod maiores architecto incidunt voluptate.</p>\r\n<p>Accusamus aperiam quaerat sequi, libero cum nesciunt distinctio vel eveniet deserunt dicta possimus blanditiis, perspiciatis atque officiis adipisci ad tenetur vero consequatur.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Minima quaerat alias harum, explicabo cupiditate non aperiam in aliquam. Quae quidem, iusto qui natus assumenda dolores, architecto magnam laudantium minima! Tempora voluptates qui placeat quo, amet, fugiat quis porro molestiae ipsa esse in pariatur, nesciunt maiores! Nemo voluptas voluptatem alias quidem voluptates aut pariatur! Eum, incidunt.</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Qui magnam expedita ea assumenda nobis id quod odio accusamus dicta numquam, voluptate amet quaerat voluptas velit laudantium maxime vel ducimus aperiam perspiciatis soluta doloremque.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Veritatis quas beatae, officia nisi inventore deleniti natus earum quia. Dolores illum quas dolorem.</p>\r\n<p>Placeat fugit, laudantium inventore blanditiis eos debitis aperiam! Nisi blanditiis repudiandae autem. Dicta aspernatur obcaecati, dolorum ullam! Pariatur recusandae, ducimus hic harum.</p>\r\n<p>Hic sapiente sunt quam, consectetur delectus tempore iste saepe similique obcaecati, numquam illum vel impedit dolor eius, quod maiores architecto incidunt voluptate.</p>\r\n<p>Accusamus aperiam quaerat sequi, libero cum nesciunt distinctio vel eveniet deserunt dicta possimus blanditiis, perspiciatis atque officiis adipisci ad tenetur vero consequatur.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Minima quaerat alias harum, explicabo cupiditate non aperiam in aliquam. Quae quidem, iusto qui natus assumenda dolores, architecto magnam laudantium minima! Tempora voluptates qui placeat quo, amet, fugiat quis porro molestiae ipsa esse in pariatur, nesciunt maiores! Nemo voluptas voluptatem alias quidem voluptates aut pariatur! Eum, incidunt.</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Qui magnam expedita ea assumenda nobis id quod odio accusamus dicta numquam, voluptate amet quaerat voluptas velit laudantium maxime vel ducimus aperiam perspiciatis soluta doloremque.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Veritatis quas beatae, officia nisi inventore deleniti natus earum quia. Dolores illum quas dolorem.</p>\r\n<p>Placeat fugit, laudantium inventore blanditiis eos debitis aperiam! Nisi blanditiis repudiandae autem. Dicta aspernatur obcaecati, dolorum ullam! Pariatur recusandae, ducimus hic harum.</p>\r\n<p>Hic sapiente sunt quam, consectetur delectus tempore iste saepe similique obcaecati, numquam illum vel impedit dolor eius, quod maiores architecto incidunt voluptate.</p>\r\n<p>Accusamus aperiam quaerat sequi, libero cum nesciunt distinctio vel eveniet deserunt dicta possimus blanditiis, perspiciatis atque officiis adipisci ad tenetur vero consequatur.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Minima quaerat alias harum, explicabo cupiditate non aperiam in aliquam. Quae quidem, iusto qui natus assumenda dolores, architecto magnam laudantium minima! Tempora voluptates qui placeat quo, amet, fugiat quis porro molestiae ipsa esse in pariatur, nesciunt maiores! Nemo voluptas voluptatem alias quidem voluptates aut pariatur! Eum, incidunt.</p>", "Cumque, provident, sint.", "Dolorem earum itaque repellendus maiores aperiam eaque deleniti nostrum adipisci nihil ut.\r\n", "inherit", "closed", "closed", "", "216-revision-v1", "", "", "2018-07-29 16:03:30", "2018-07-29 16:03:30", "", "216", "http://localhost:8888/metonymic/2018/07/29/216-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("310", "1", "2018-07-29 16:03:35", "2018-07-29 16:03:35", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptate ipsa, facilis nostrum iusto autem, facere dolorem. Voluptatibus minima et, cum exercitationem a at distinctio, corporis ab expedita. Sunt libero sed dolores, saepe facilis!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ullam sed, culpa eum ipsa nam similique tempora fugit! Praesentium aut facilis obcaecati quo.</p>\r\n<p>Sunt quod cupiditate, quaerat dolore rem quae! Ducimus, autem, aliquam possimus consequuntur earum, rem dolor qui quis perspiciatis corrupti iusto, aliquid tenetur.</p>\r\n<p>Nihil eius ullam autem necessitatibus nesciunt eaque, iusto voluptatem ipsum voluptas doloremque, ex iure dicta aperiam! Molestiae magni eligendi, autem sequi. Odio!</p>\r\n<p>Aspernatur accusantium ipsam debitis in qui. Quia possimus, consequuntur optio, nam atque earum laudantium est dolore alias nesciunt reiciendis. Laudantium, natus, tempore?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Temporibus in nulla saepe officiis, culpa qui quibusdam quos aliquid itaque. Fugit corporis dolores delectus architecto necessitatibus est, iure, quas sed animi dolorem tempora, quisquam voluptatum obcaecati non doloremque. Omnis aspernatur, sed dolorem iste sunt facilis laborum qui soluta deleniti minus voluptatum ea, voluptates cum. Eveniet, perferendis!</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptate ipsa, facilis nostrum iusto autem, facere dolorem. Voluptatibus minima et, cum exercitationem a at distinctio, corporis ab expedita. Sunt libero sed dolores, saepe facilis!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ullam sed, culpa eum ipsa nam similique tempora fugit! Praesentium aut facilis obcaecati quo.</p>\r\n<p>Sunt quod cupiditate, quaerat dolore rem quae! Ducimus, autem, aliquam possimus consequuntur earum, rem dolor qui quis perspiciatis corrupti iusto, aliquid tenetur.</p>\r\n<p>Nihil eius ullam autem necessitatibus nesciunt eaque, iusto voluptatem ipsum voluptas doloremque, ex iure dicta aperiam! Molestiae magni eligendi, autem sequi. Odio!</p>\r\n<p>Aspernatur accusantium ipsam debitis in qui. Quia possimus, consequuntur optio, nam atque earum laudantium est dolore alias nesciunt reiciendis. Laudantium, natus, tempore?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Temporibus in nulla saepe officiis, culpa qui quibusdam quos aliquid itaque. Fugit corporis dolores delectus architecto necessitatibus est, iure, quas sed animi dolorem tempora, quisquam voluptatum obcaecati non doloremque. Omnis aspernatur, sed dolorem iste sunt facilis laborum qui soluta deleniti minus voluptatum ea, voluptates cum. Eveniet, perferendis!</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptate ipsa, facilis nostrum iusto autem, facere dolorem. Voluptatibus minima et, cum exercitationem a at distinctio, corporis ab expedita. Sunt libero sed dolores, saepe facilis!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ullam sed, culpa eum ipsa nam similique tempora fugit! Praesentium aut facilis obcaecati quo.</p>\r\n<p>Sunt quod cupiditate, quaerat dolore rem quae! Ducimus, autem, aliquam possimus consequuntur earum, rem dolor qui quis perspiciatis corrupti iusto, aliquid tenetur.</p>\r\n<p>Nihil eius ullam autem necessitatibus nesciunt eaque, iusto voluptatem ipsum voluptas doloremque, ex iure dicta aperiam! Molestiae magni eligendi, autem sequi. Odio!</p>\r\n<p>Aspernatur accusantium ipsam debitis in qui. Quia possimus, consequuntur optio, nam atque earum laudantium est dolore alias nesciunt reiciendis. Laudantium, natus, tempore?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Temporibus in nulla saepe officiis, culpa qui quibusdam quos aliquid itaque. Fugit corporis dolores delectus architecto necessitatibus est, iure, quas sed animi dolorem tempora, quisquam voluptatum obcaecati non doloremque. Omnis aspernatur, sed dolorem iste sunt facilis laborum qui soluta deleniti minus voluptatum ea, voluptates cum. Eveniet, perferendis!</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptate ipsa, facilis nostrum iusto autem, facere dolorem. Voluptatibus minima et, cum exercitationem a at distinctio, corporis ab expedita. Sunt libero sed dolores, saepe facilis!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ullam sed, culpa eum ipsa nam similique tempora fugit! Praesentium aut facilis obcaecati quo.</p>\r\n<p>Sunt quod cupiditate, quaerat dolore rem quae! Ducimus, autem, aliquam possimus consequuntur earum, rem dolor qui quis perspiciatis corrupti iusto, aliquid tenetur.</p>\r\n<p>Nihil eius ullam autem necessitatibus nesciunt eaque, iusto voluptatem ipsum voluptas doloremque, ex iure dicta aperiam! Molestiae magni eligendi, autem sequi. Odio!</p>\r\n<p>Aspernatur accusantium ipsam debitis in qui. Quia possimus, consequuntur optio, nam atque earum laudantium est dolore alias nesciunt reiciendis. Laudantium, natus, tempore?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Temporibus in nulla saepe officiis, culpa qui quibusdam quos aliquid itaque. Fugit corporis dolores delectus architecto necessitatibus est, iure, quas sed animi dolorem tempora, quisquam voluptatum obcaecati non doloremque. Omnis aspernatur, sed dolorem iste sunt facilis laborum qui soluta deleniti minus voluptatum ea, voluptates cum. Eveniet, perferendis!</p>", "Culpa ducimus, natus.", "Non totam recusandae maxime illum ab odio dicta ipsa reiciendis alias corporis.\r\n", "inherit", "closed", "closed", "", "214-revision-v1", "", "", "2018-07-29 16:03:35", "2018-07-29 16:03:35", "", "214", "http://localhost:8888/metonymic/2018/07/29/214-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("311", "1", "2018-07-29 16:03:42", "2018-07-29 16:03:42", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Assumenda incidunt, accusamus saepe. Consectetur molestias nulla hic adipisci eaque provident optio, odit magni ut sit quod ea suscipit, saepe eos dolor exercitationem neque quasi?</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Unde eum consequatur ea illum blanditiis impedit iste perferendis sapiente sed, quaerat inventore, ab.</p>\r\n<p>Necessitatibus, incidunt dolores neque distinctio amet ducimus, magni dolorem quam. Sunt quia inventore rerum neque reprehenderit sequi tenetur possimus molestias quam molestiae?</p>\r\n<p>Reiciendis officiis obcaecati, odit repellendus debitis eligendi vitae consequatur provident vel aliquid nemo ratione. Fugiat cumque et, adipisci, facilis similique unde perspiciatis.</p>\r\n<p>Quibusdam, in dolorum! Sequi quasi recusandae deleniti accusantium consequatur dolor quam aliquam, aliquid ipsum perferendis similique aut id minus nihil ex libero!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sint tempore suscipit labore veritatis, cumque delectus fugiat debitis in voluptate recusandae provident ipsum, ipsa aliquam, iusto numquam minus maxime quos culpa tempora mollitia neque dolorem quibusdam! Vitae libero nisi voluptatum rerum saepe nulla harum minima nam nesciunt! Ipsa veniam, cumque ratione reprehenderit totam quia et fugiat.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Assumenda incidunt, accusamus saepe. Consectetur molestias nulla hic adipisci eaque provident optio, odit magni ut sit quod ea suscipit, saepe eos dolor exercitationem neque quasi?</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Unde eum consequatur ea illum blanditiis impedit iste perferendis sapiente sed, quaerat inventore, ab.</p>\r\n<p>Necessitatibus, incidunt dolores neque distinctio amet ducimus, magni dolorem quam. Sunt quia inventore rerum neque reprehenderit sequi tenetur possimus molestias quam molestiae?</p>\r\n<p>Reiciendis officiis obcaecati, odit repellendus debitis eligendi vitae consequatur provident vel aliquid nemo ratione. Fugiat cumque et, adipisci, facilis similique unde perspiciatis.</p>\r\n<p>Quibusdam, in dolorum! Sequi quasi recusandae deleniti accusantium consequatur dolor quam aliquam, aliquid ipsum perferendis similique aut id minus nihil ex libero!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sint tempore suscipit labore veritatis, cumque delectus fugiat debitis in voluptate recusandae provident ipsum, ipsa aliquam, iusto numquam minus maxime quos culpa tempora mollitia neque dolorem quibusdam! Vitae libero nisi voluptatum rerum saepe nulla harum minima nam nesciunt! Ipsa veniam, cumque ratione reprehenderit totam quia et fugiat.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Assumenda incidunt, accusamus saepe. Consectetur molestias nulla hic adipisci eaque provident optio, odit magni ut sit quod ea suscipit, saepe eos dolor exercitationem neque quasi?</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Unde eum consequatur ea illum blanditiis impedit iste perferendis sapiente sed, quaerat inventore, ab.</p>\r\n<p>Necessitatibus, incidunt dolores neque distinctio amet ducimus, magni dolorem quam. Sunt quia inventore rerum neque reprehenderit sequi tenetur possimus molestias quam molestiae?</p>\r\n<p>Reiciendis officiis obcaecati, odit repellendus debitis eligendi vitae consequatur provident vel aliquid nemo ratione. Fugiat cumque et, adipisci, facilis similique unde perspiciatis.</p>\r\n<p>Quibusdam, in dolorum! Sequi quasi recusandae deleniti accusantium consequatur dolor quam aliquam, aliquid ipsum perferendis similique aut id minus nihil ex libero!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sint tempore suscipit labore veritatis, cumque delectus fugiat debitis in voluptate recusandae provident ipsum, ipsa aliquam, iusto numquam minus maxime quos culpa tempora mollitia neque dolorem quibusdam! Vitae libero nisi voluptatum rerum saepe nulla harum minima nam nesciunt! Ipsa veniam, cumque ratione reprehenderit totam quia et fugiat.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Assumenda incidunt, accusamus saepe. Consectetur molestias nulla hic adipisci eaque provident optio, odit magni ut sit quod ea suscipit, saepe eos dolor exercitationem neque quasi?</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Unde eum consequatur ea illum blanditiis impedit iste perferendis sapiente sed, quaerat inventore, ab.</p>\r\n<p>Necessitatibus, incidunt dolores neque distinctio amet ducimus, magni dolorem quam. Sunt quia inventore rerum neque reprehenderit sequi tenetur possimus molestias quam molestiae?</p>\r\n<p>Reiciendis officiis obcaecati, odit repellendus debitis eligendi vitae consequatur provident vel aliquid nemo ratione. Fugiat cumque et, adipisci, facilis similique unde perspiciatis.</p>\r\n<p>Quibusdam, in dolorum! Sequi quasi recusandae deleniti accusantium consequatur dolor quam aliquam, aliquid ipsum perferendis similique aut id minus nihil ex libero!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sint tempore suscipit labore veritatis, cumque delectus fugiat debitis in voluptate recusandae provident ipsum, ipsa aliquam, iusto numquam minus maxime quos culpa tempora mollitia neque dolorem quibusdam! Vitae libero nisi voluptatum rerum saepe nulla harum minima nam nesciunt! Ipsa veniam, cumque ratione reprehenderit totam quia et fugiat.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Assumenda incidunt, accusamus saepe. Consectetur molestias nulla hic adipisci eaque provident optio, odit magni ut sit quod ea suscipit, saepe eos dolor exercitationem neque quasi?</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Unde eum consequatur ea illum blanditiis impedit iste perferendis sapiente sed, quaerat inventore, ab.</p>\r\n<p>Necessitatibus, incidunt dolores neque distinctio amet ducimus, magni dolorem quam. Sunt quia inventore rerum neque reprehenderit sequi tenetur possimus molestias quam molestiae?</p>\r\n<p>Reiciendis officiis obcaecati, odit repellendus debitis eligendi vitae consequatur provident vel aliquid nemo ratione. Fugiat cumque et, adipisci, facilis similique unde perspiciatis.</p>\r\n<p>Quibusdam, in dolorum! Sequi quasi recusandae deleniti accusantium consequatur dolor quam aliquam, aliquid ipsum perferendis similique aut id minus nihil ex libero!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sint tempore suscipit labore veritatis, cumque delectus fugiat debitis in voluptate recusandae provident ipsum, ipsa aliquam, iusto numquam minus maxime quos culpa tempora mollitia neque dolorem quibusdam! Vitae libero nisi voluptatum rerum saepe nulla harum minima nam nesciunt! Ipsa veniam, cumque ratione reprehenderit totam quia et fugiat.</p>\r\n", "Deserunt, mollitia, dolorem.", "Quaerat quia ab repudiandae suscipit accusamus expedita reiciendis officiis dolor inventore deserunt?\r\n", "inherit", "closed", "closed", "", "213-revision-v1", "", "", "2018-07-29 16:03:42", "2018-07-29 16:03:42", "", "213", "http://localhost:8888/metonymic/2018/07/29/213-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("312", "1", "2018-07-29 16:03:49", "2018-07-29 16:03:49", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sit quo debitis assumenda, esse qui in architecto libero sunt totam consequatur, consectetur fugit tempora modi rerum earum optio fugiat quos cum vitae quasi sequi.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Veritatis nemo iure, totam adipisci quam repudiandae aperiam eius repellendus ducimus atque voluptatum molestias!</p>\r\n<p>Earum culpa non beatae, neque ex. Recusandae perferendis sit cum tempora nostrum vero odit excepturi, possimus saepe dolorum ipsam aperiam praesentium voluptates.</p>\r\n<p>Laborum mollitia, rem doloribus ipsa rerum possimus sed dolorum dolorem ad! Ut, eum suscipit. Maxime aperiam, voluptatibus eos minima distinctio commodi repellat!</p>\r\n<p>Explicabo, totam. Esse voluptate ab omnis dicta, eaque at nulla obcaecati praesentium enim, nesciunt. Blanditiis voluptatem officiis modi, consectetur, hic quia ullam!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Optio inventore accusantium officiis quisquam modi amet nulla, quis quasi, blanditiis, repudiandae ipsa culpa sed. Consectetur esse voluptates vel rerum dicta, perferendis nisi fugiat natus nihil velit nemo cupiditate sequi quaerat nostrum quod dolor at sapiente! Doloribus in sint debitis rerum, fugit quos impedit quia sunt, et!</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sit quo debitis assumenda, esse qui in architecto libero sunt totam consequatur, consectetur fugit tempora modi rerum earum optio fugiat quos cum vitae quasi sequi.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Veritatis nemo iure, totam adipisci quam repudiandae aperiam eius repellendus ducimus atque voluptatum molestias!</p>\r\n<p>Earum culpa non beatae, neque ex. Recusandae perferendis sit cum tempora nostrum vero odit excepturi, possimus saepe dolorum ipsam aperiam praesentium voluptates.</p>\r\n<p>Laborum mollitia, rem doloribus ipsa rerum possimus sed dolorum dolorem ad! Ut, eum suscipit. Maxime aperiam, voluptatibus eos minima distinctio commodi repellat!</p>\r\n<p>Explicabo, totam. Esse voluptate ab omnis dicta, eaque at nulla obcaecati praesentium enim, nesciunt. Blanditiis voluptatem officiis modi, consectetur, hic quia ullam!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Optio inventore accusantium officiis quisquam modi amet nulla, quis quasi, blanditiis, repudiandae ipsa culpa sed. Consectetur esse voluptates vel rerum dicta, perferendis nisi fugiat natus nihil velit nemo cupiditate sequi quaerat nostrum quod dolor at sapiente! Doloribus in sint debitis rerum, fugit quos impedit quia sunt, et!</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sit quo debitis assumenda, esse qui in architecto libero sunt totam consequatur, consectetur fugit tempora modi rerum earum optio fugiat quos cum vitae quasi sequi.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Veritatis nemo iure, totam adipisci quam repudiandae aperiam eius repellendus ducimus atque voluptatum molestias!</p>\r\n<p>Earum culpa non beatae, neque ex. Recusandae perferendis sit cum tempora nostrum vero odit excepturi, possimus saepe dolorum ipsam aperiam praesentium voluptates.</p>\r\n<p>Laborum mollitia, rem doloribus ipsa rerum possimus sed dolorum dolorem ad! Ut, eum suscipit. Maxime aperiam, voluptatibus eos minima distinctio commodi repellat!</p>\r\n<p>Explicabo, totam. Esse voluptate ab omnis dicta, eaque at nulla obcaecati praesentium enim, nesciunt. Blanditiis voluptatem officiis modi, consectetur, hic quia ullam!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Optio inventore accusantium officiis quisquam modi amet nulla, quis quasi, blanditiis, repudiandae ipsa culpa sed. Consectetur esse voluptates vel rerum dicta, perferendis nisi fugiat natus nihil velit nemo cupiditate sequi quaerat nostrum quod dolor at sapiente! Doloribus in sint debitis rerum, fugit quos impedit quia sunt, et!</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sit quo debitis assumenda, esse qui in architecto libero sunt totam consequatur, consectetur fugit tempora modi rerum earum optio fugiat quos cum vitae quasi sequi.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Veritatis nemo iure, totam adipisci quam repudiandae aperiam eius repellendus ducimus atque voluptatum molestias!</p>\r\n<p>Earum culpa non beatae, neque ex. Recusandae perferendis sit cum tempora nostrum vero odit excepturi, possimus saepe dolorum ipsam aperiam praesentium voluptates.</p>\r\n<p>Laborum mollitia, rem doloribus ipsa rerum possimus sed dolorum dolorem ad! Ut, eum suscipit. Maxime aperiam, voluptatibus eos minima distinctio commodi repellat!</p>\r\n<p>Explicabo, totam. Esse voluptate ab omnis dicta, eaque at nulla obcaecati praesentium enim, nesciunt. Blanditiis voluptatem officiis modi, consectetur, hic quia ullam!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Optio inventore accusantium officiis quisquam modi amet nulla, quis quasi, blanditiis, repudiandae ipsa culpa sed. Consectetur esse voluptates vel rerum dicta, perferendis nisi fugiat natus nihil velit nemo cupiditate sequi quaerat nostrum quod dolor at sapiente! Doloribus in sint debitis rerum, fugit quos impedit quia sunt, et!</p>", "Alias, neque dolores.", "Distinctio nam excepturi doloribus, unde, corporis atque saepe voluptatem repellendus omnis quia.\r\n", "inherit", "closed", "closed", "", "211-revision-v1", "", "", "2018-07-29 16:03:49", "2018-07-29 16:03:49", "", "211", "http://localhost:8888/metonymic/2018/07/29/211-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("313", "1", "2018-07-29 16:03:55", "2018-07-29 16:03:55", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eligendi error fuga quis vel ipsa praesentium iste architecto maxime rerum, culpa quidem, facere quia corporis dolores at optio facilis, voluptate molestias. A, odio aperiam!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Repellat nemo maiores odit obcaecati molestiae, voluptatibus laboriosam repellendus iusto! Incidunt ab reiciendis, ex.</p>\r\n<p>Nostrum a ducimus tempora at quos, iste modi vel, sint maxime consectetur recusandae. Vel voluptas tempora commodi laborum placeat, cumque? Quidem, tempora.</p>\r\n<p>Minima illum provident at voluptas sapiente praesentium ut ab fuga placeat, dolorum exercitationem libero. Deserunt tempore tempora dolorum repellendus maiores, cum ipsa.</p>\r\n<p>Explicabo, aut consectetur temporibus nostrum praesentium atque! A praesentium quod esse, vel facere, voluptates quas laudantium. Doloribus odio quia suscipit sit incidunt.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Optio voluptatibus error, dignissimos dolore illum pariatur nisi voluptatem reprehenderit quo. A nobis fuga magnam ab illum hic alias non autem dolores sint ipsam adipisci rem officiis eum molestiae laboriosam distinctio quisquam suscipit provident, nulla nostrum, tenetur unde voluptatibus doloremque. Eius in corrupti error perferendis modi ea!</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eligendi error fuga quis vel ipsa praesentium iste architecto maxime rerum, culpa quidem, facere quia corporis dolores at optio facilis, voluptate molestias. A, odio aperiam!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Repellat nemo maiores odit obcaecati molestiae, voluptatibus laboriosam repellendus iusto! Incidunt ab reiciendis, ex.</p>\r\n<p>Nostrum a ducimus tempora at quos, iste modi vel, sint maxime consectetur recusandae. Vel voluptas tempora commodi laborum placeat, cumque? Quidem, tempora.</p>\r\n<p>Minima illum provident at voluptas sapiente praesentium ut ab fuga placeat, dolorum exercitationem libero. Deserunt tempore tempora dolorum repellendus maiores, cum ipsa.</p>\r\n<p>Explicabo, aut consectetur temporibus nostrum praesentium atque! A praesentium quod esse, vel facere, voluptates quas laudantium. Doloribus odio quia suscipit sit incidunt.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Optio voluptatibus error, dignissimos dolore illum pariatur nisi voluptatem reprehenderit quo. A nobis fuga magnam ab illum hic alias non autem dolores sint ipsam adipisci rem officiis eum molestiae laboriosam distinctio quisquam suscipit provident, nulla nostrum, tenetur unde voluptatibus doloremque. Eius in corrupti error perferendis modi ea!</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eligendi error fuga quis vel ipsa praesentium iste architecto maxime rerum, culpa quidem, facere quia corporis dolores at optio facilis, voluptate molestias. A, odio aperiam!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Repellat nemo maiores odit obcaecati molestiae, voluptatibus laboriosam repellendus iusto! Incidunt ab reiciendis, ex.</p>\r\n<p>Nostrum a ducimus tempora at quos, iste modi vel, sint maxime consectetur recusandae. Vel voluptas tempora commodi laborum placeat, cumque? Quidem, tempora.</p>\r\n<p>Minima illum provident at voluptas sapiente praesentium ut ab fuga placeat, dolorum exercitationem libero. Deserunt tempore tempora dolorum repellendus maiores, cum ipsa.</p>\r\n<p>Explicabo, aut consectetur temporibus nostrum praesentium atque! A praesentium quod esse, vel facere, voluptates quas laudantium. Doloribus odio quia suscipit sit incidunt.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Optio voluptatibus error, dignissimos dolore illum pariatur nisi voluptatem reprehenderit quo. A nobis fuga magnam ab illum hic alias non autem dolores sint ipsam adipisci rem officiis eum molestiae laboriosam distinctio quisquam suscipit provident, nulla nostrum, tenetur unde voluptatibus doloremque. Eius in corrupti error perferendis modi ea!</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eligendi error fuga quis vel ipsa praesentium iste architecto maxime rerum, culpa quidem, facere quia corporis dolores at optio facilis, voluptate molestias. A, odio aperiam!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Repellat nemo maiores odit obcaecati molestiae, voluptatibus laboriosam repellendus iusto! Incidunt ab reiciendis, ex.</p>\r\n<p>Nostrum a ducimus tempora at quos, iste modi vel, sint maxime consectetur recusandae. Vel voluptas tempora commodi laborum placeat, cumque? Quidem, tempora.</p>\r\n<p>Minima illum provident at voluptas sapiente praesentium ut ab fuga placeat, dolorum exercitationem libero. Deserunt tempore tempora dolorum repellendus maiores, cum ipsa.</p>\r\n<p>Explicabo, aut consectetur temporibus nostrum praesentium atque! A praesentium quod esse, vel facere, voluptates quas laudantium. Doloribus odio quia suscipit sit incidunt.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Optio voluptatibus error, dignissimos dolore illum pariatur nisi voluptatem reprehenderit quo. A nobis fuga magnam ab illum hic alias non autem dolores sint ipsam adipisci rem officiis eum molestiae laboriosam distinctio quisquam suscipit provident, nulla nostrum, tenetur unde voluptatibus doloremque. Eius in corrupti error perferendis modi ea!</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eligendi error fuga quis vel ipsa praesentium iste architecto maxime rerum, culpa quidem, facere quia corporis dolores at optio facilis, voluptate molestias. A, odio aperiam!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Repellat nemo maiores odit obcaecati molestiae, voluptatibus laboriosam repellendus iusto! Incidunt ab reiciendis, ex.</p>\r\n<p>Nostrum a ducimus tempora at quos, iste modi vel, sint maxime consectetur recusandae. Vel voluptas tempora commodi laborum placeat, cumque? Quidem, tempora.</p>\r\n<p>Minima illum provident at voluptas sapiente praesentium ut ab fuga placeat, dolorum exercitationem libero. Deserunt tempore tempora dolorum repellendus maiores, cum ipsa.</p>\r\n<p>Explicabo, aut consectetur temporibus nostrum praesentium atque! A praesentium quod esse, vel facere, voluptates quas laudantium. Doloribus odio quia suscipit sit incidunt.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Optio voluptatibus error, dignissimos dolore illum pariatur nisi voluptatem reprehenderit quo. A nobis fuga magnam ab illum hic alias non autem dolores sint ipsam adipisci rem officiis eum molestiae laboriosam distinctio quisquam suscipit provident, nulla nostrum, tenetur unde voluptatibus doloremque. Eius in corrupti error perferendis modi ea!</p>", "Libero est, reprehenderit.", "Dolorem aut veritatis labore magnam blanditiis, maiores iure similique sint expedita illo.\r\n", "inherit", "closed", "closed", "", "210-revision-v1", "", "", "2018-07-29 16:03:55", "2018-07-29 16:03:55", "", "210", "http://localhost:8888/metonymic/2018/07/29/210-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("314", "1", "2018-07-29 16:04:03", "2018-07-29 16:04:03", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Culpa itaque alias tempore omnis voluptatem, aperiam voluptas blanditiis! Voluptas doloremque, quaerat facere, eaque quos dolores laboriosam perspiciatis explicabo ducimus ex molestiae voluptatum veniam dolore.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Perferendis id accusamus, iusto esse iste quia omnis veritatis, vero nesciunt, explicabo molestiae, necessitatibus!</p>\r\n<p>Earum aliquam corporis libero voluptates quisquam magnam ducimus laudantium animi quidem, officiis quia optio ex, explicabo, accusamus nemo mollitia eligendi doloremque tempora!</p>\r\n<p>Quod eius ullam, nam et reiciendis, saepe recusandae dolor aliquam consectetur nemo molestiae magnam optio vel eum facilis animi culpa voluptatum delectus!</p>\r\n<p>Earum eveniet tempora consequuntur unde, repellendus dolorum iure pariatur blanditiis quasi animi. Obcaecati excepturi est fugit, molestias mollitia, eaque numquam similique asperiores.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Asperiores eos similique ipsam dolorum, repellat quibusdam quis doloremque id fugiat cumque assumenda, excepturi magni esse sapiente fugit nemo ipsa quia dolore aliquam. Impedit reiciendis, aperiam animi dolor sed, hic ut! Culpa vitae porro dolores, praesentium voluptates ratione repudiandae sequi dolorem nam veritatis id deserunt, sit quia.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Culpa itaque alias tempore omnis voluptatem, aperiam voluptas blanditiis! Voluptas doloremque, quaerat facere, eaque quos dolores laboriosam perspiciatis explicabo ducimus ex molestiae voluptatum veniam dolore.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Perferendis id accusamus, iusto esse iste quia omnis veritatis, vero nesciunt, explicabo molestiae, necessitatibus!</p>\r\n<p>Earum aliquam corporis libero voluptates quisquam magnam ducimus laudantium animi quidem, officiis quia optio ex, explicabo, accusamus nemo mollitia eligendi doloremque tempora!</p>\r\n<p>Quod eius ullam, nam et reiciendis, saepe recusandae dolor aliquam consectetur nemo molestiae magnam optio vel eum facilis animi culpa voluptatum delectus!</p>\r\n<p>Earum eveniet tempora consequuntur unde, repellendus dolorum iure pariatur blanditiis quasi animi. Obcaecati excepturi est fugit, molestias mollitia, eaque numquam similique asperiores.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Asperiores eos similique ipsam dolorum, repellat quibusdam quis doloremque id fugiat cumque assumenda, excepturi magni esse sapiente fugit nemo ipsa quia dolore aliquam. Impedit reiciendis, aperiam animi dolor sed, hic ut! Culpa vitae porro dolores, praesentium voluptates ratione repudiandae sequi dolorem nam veritatis id deserunt, sit quia.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Culpa itaque alias tempore omnis voluptatem, aperiam voluptas blanditiis! Voluptas doloremque, quaerat facere, eaque quos dolores laboriosam perspiciatis explicabo ducimus ex molestiae voluptatum veniam dolore.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Perferendis id accusamus, iusto esse iste quia omnis veritatis, vero nesciunt, explicabo molestiae, necessitatibus!</p>\r\n<p>Earum aliquam corporis libero voluptates quisquam magnam ducimus laudantium animi quidem, officiis quia optio ex, explicabo, accusamus nemo mollitia eligendi doloremque tempora!</p>\r\n<p>Quod eius ullam, nam et reiciendis, saepe recusandae dolor aliquam consectetur nemo molestiae magnam optio vel eum facilis animi culpa voluptatum delectus!</p>\r\n<p>Earum eveniet tempora consequuntur unde, repellendus dolorum iure pariatur blanditiis quasi animi. Obcaecati excepturi est fugit, molestias mollitia, eaque numquam similique asperiores.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Asperiores eos similique ipsam dolorum, repellat quibusdam quis doloremque id fugiat cumque assumenda, excepturi magni esse sapiente fugit nemo ipsa quia dolore aliquam. Impedit reiciendis, aperiam animi dolor sed, hic ut! Culpa vitae porro dolores, praesentium voluptates ratione repudiandae sequi dolorem nam veritatis id deserunt, sit quia.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Culpa itaque alias tempore omnis voluptatem, aperiam voluptas blanditiis! Voluptas doloremque, quaerat facere, eaque quos dolores laboriosam perspiciatis explicabo ducimus ex molestiae voluptatum veniam dolore.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Perferendis id accusamus, iusto esse iste quia omnis veritatis, vero nesciunt, explicabo molestiae, necessitatibus!</p>\r\n<p>Earum aliquam corporis libero voluptates quisquam magnam ducimus laudantium animi quidem, officiis quia optio ex, explicabo, accusamus nemo mollitia eligendi doloremque tempora!</p>\r\n<p>Quod eius ullam, nam et reiciendis, saepe recusandae dolor aliquam consectetur nemo molestiae magnam optio vel eum facilis animi culpa voluptatum delectus!</p>\r\n<p>Earum eveniet tempora consequuntur unde, repellendus dolorum iure pariatur blanditiis quasi animi. Obcaecati excepturi est fugit, molestias mollitia, eaque numquam similique asperiores.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Asperiores eos similique ipsam dolorum, repellat quibusdam quis doloremque id fugiat cumque assumenda, excepturi magni esse sapiente fugit nemo ipsa quia dolore aliquam. Impedit reiciendis, aperiam animi dolor sed, hic ut! Culpa vitae porro dolores, praesentium voluptates ratione repudiandae sequi dolorem nam veritatis id deserunt, sit quia.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Culpa itaque alias tempore omnis voluptatem, aperiam voluptas blanditiis! Voluptas doloremque, quaerat facere, eaque quos dolores laboriosam perspiciatis explicabo ducimus ex molestiae voluptatum veniam dolore.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Perferendis id accusamus, iusto esse iste quia omnis veritatis, vero nesciunt, explicabo molestiae, necessitatibus!</p>\r\n<p>Earum aliquam corporis libero voluptates quisquam magnam ducimus laudantium animi quidem, officiis quia optio ex, explicabo, accusamus nemo mollitia eligendi doloremque tempora!</p>\r\n<p>Quod eius ullam, nam et reiciendis, saepe recusandae dolor aliquam consectetur nemo molestiae magnam optio vel eum facilis animi culpa voluptatum delectus!</p>\r\n<p>Earum eveniet tempora consequuntur unde, repellendus dolorum iure pariatur blanditiis quasi animi. Obcaecati excepturi est fugit, molestias mollitia, eaque numquam similique asperiores.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Asperiores eos similique ipsam dolorum, repellat quibusdam quis doloremque id fugiat cumque assumenda, excepturi magni esse sapiente fugit nemo ipsa quia dolore aliquam. Impedit reiciendis, aperiam animi dolor sed, hic ut! Culpa vitae porro dolores, praesentium voluptates ratione repudiandae sequi dolorem nam veritatis id deserunt, sit quia.</p>\r\n", "Pariatur, ea, quis.", "A quas, fugit. Voluptatum corporis, debitis? Perspiciatis harum error placeat, porro quod!\r\n", "inherit", "closed", "closed", "", "206-revision-v1", "", "", "2018-07-29 16:04:03", "2018-07-29 16:04:03", "", "206", "http://localhost:8888/metonymic/2018/07/29/206-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("315", "1", "2018-07-29 16:04:10", "2018-07-29 16:04:10", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quae id possimus dolores harum! Cupiditate voluptate perferendis tempore ipsa, adipisci ea atque. Nostrum nihil non sint, doloribus magni est doloremque voluptatem nam laborum pariatur.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Dicta molestias, quis. Numquam ea ut, quibusdam, rerum nobis voluptatibus inventore sapiente at adipisci.</p>\r\n<p>Iure iusto asperiores temporibus molestias expedita minus optio soluta, cumque sequi provident blanditiis ex, in dolor unde necessitatibus, ad sint tenetur dolorum!</p>\r\n<p>Repellendus, eos nostrum quas vitae, blanditiis sed fugiat in, suscipit impedit exercitationem maiores necessitatibus voluptatem praesentium quidem pariatur quasi molestias dicta error.</p>\r\n<p>Neque error, iusto deserunt. Est, nulla deleniti minus fugit molestias. Libero vero cupiditate nam quisquam nesciunt tenetur, nihil. Voluptatum, ratione ex laboriosam?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Maxime eaque quis iste commodi. Fugit eveniet dolore maxime vel animi ea, fuga tempore excepturi fugiat vero, nesciunt assumenda. Officiis nobis ex corporis architecto mollitia accusantium! Quibusdam maxime ad, sed sapiente quae recusandae quasi repudiandae dignissimos dolor modi enim possimus dolorem, cupiditate odit, iste saepe incidunt aperiam.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quae id possimus dolores harum! Cupiditate voluptate perferendis tempore ipsa, adipisci ea atque. Nostrum nihil non sint, doloribus magni est doloremque voluptatem nam laborum pariatur.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Dicta molestias, quis. Numquam ea ut, quibusdam, rerum nobis voluptatibus inventore sapiente at adipisci.</p>\r\n<p>Iure iusto asperiores temporibus molestias expedita minus optio soluta, cumque sequi provident blanditiis ex, in dolor unde necessitatibus, ad sint tenetur dolorum!</p>\r\n<p>Repellendus, eos nostrum quas vitae, blanditiis sed fugiat in, suscipit impedit exercitationem maiores necessitatibus voluptatem praesentium quidem pariatur quasi molestias dicta error.</p>\r\n<p>Neque error, iusto deserunt. Est, nulla deleniti minus fugit molestias. Libero vero cupiditate nam quisquam nesciunt tenetur, nihil. Voluptatum, ratione ex laboriosam?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Maxime eaque quis iste commodi. Fugit eveniet dolore maxime vel animi ea, fuga tempore excepturi fugiat vero, nesciunt assumenda. Officiis nobis ex corporis architecto mollitia accusantium! Quibusdam maxime ad, sed sapiente quae recusandae quasi repudiandae dignissimos dolor modi enim possimus dolorem, cupiditate odit, iste saepe incidunt aperiam.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quae id possimus dolores harum! Cupiditate voluptate perferendis tempore ipsa, adipisci ea atque. Nostrum nihil non sint, doloribus magni est doloremque voluptatem nam laborum pariatur.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Dicta molestias, quis. Numquam ea ut, quibusdam, rerum nobis voluptatibus inventore sapiente at adipisci.</p>\r\n<p>Iure iusto asperiores temporibus molestias expedita minus optio soluta, cumque sequi provident blanditiis ex, in dolor unde necessitatibus, ad sint tenetur dolorum!</p>\r\n<p>Repellendus, eos nostrum quas vitae, blanditiis sed fugiat in, suscipit impedit exercitationem maiores necessitatibus voluptatem praesentium quidem pariatur quasi molestias dicta error.</p>\r\n<p>Neque error, iusto deserunt. Est, nulla deleniti minus fugit molestias. Libero vero cupiditate nam quisquam nesciunt tenetur, nihil. Voluptatum, ratione ex laboriosam?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Maxime eaque quis iste commodi. Fugit eveniet dolore maxime vel animi ea, fuga tempore excepturi fugiat vero, nesciunt assumenda. Officiis nobis ex corporis architecto mollitia accusantium! Quibusdam maxime ad, sed sapiente quae recusandae quasi repudiandae dignissimos dolor modi enim possimus dolorem, cupiditate odit, iste saepe incidunt aperiam.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quae id possimus dolores harum! Cupiditate voluptate perferendis tempore ipsa, adipisci ea atque. Nostrum nihil non sint, doloribus magni est doloremque voluptatem nam laborum pariatur.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Dicta molestias, quis. Numquam ea ut, quibusdam, rerum nobis voluptatibus inventore sapiente at adipisci.</p>\r\n<p>Iure iusto asperiores temporibus molestias expedita minus optio soluta, cumque sequi provident blanditiis ex, in dolor unde necessitatibus, ad sint tenetur dolorum!</p>\r\n<p>Repellendus, eos nostrum quas vitae, blanditiis sed fugiat in, suscipit impedit exercitationem maiores necessitatibus voluptatem praesentium quidem pariatur quasi molestias dicta error.</p>\r\n<p>Neque error, iusto deserunt. Est, nulla deleniti minus fugit molestias. Libero vero cupiditate nam quisquam nesciunt tenetur, nihil. Voluptatum, ratione ex laboriosam?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Maxime eaque quis iste commodi. Fugit eveniet dolore maxime vel animi ea, fuga tempore excepturi fugiat vero, nesciunt assumenda. Officiis nobis ex corporis architecto mollitia accusantium! Quibusdam maxime ad, sed sapiente quae recusandae quasi repudiandae dignissimos dolor modi enim possimus dolorem, cupiditate odit, iste saepe incidunt aperiam.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quae id possimus dolores harum! Cupiditate voluptate perferendis tempore ipsa, adipisci ea atque. Nostrum nihil non sint, doloribus magni est doloremque voluptatem nam laborum pariatur.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Dicta molestias, quis. Numquam ea ut, quibusdam, rerum nobis voluptatibus inventore sapiente at adipisci.</p>\r\n<p>Iure iusto asperiores temporibus molestias expedita minus optio soluta, cumque sequi provident blanditiis ex, in dolor unde necessitatibus, ad sint tenetur dolorum!</p>\r\n<p>Repellendus, eos nostrum quas vitae, blanditiis sed fugiat in, suscipit impedit exercitationem maiores necessitatibus voluptatem praesentium quidem pariatur quasi molestias dicta error.</p>\r\n<p>Neque error, iusto deserunt. Est, nulla deleniti minus fugit molestias. Libero vero cupiditate nam quisquam nesciunt tenetur, nihil. Voluptatum, ratione ex laboriosam?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Maxime eaque quis iste commodi. Fugit eveniet dolore maxime vel animi ea, fuga tempore excepturi fugiat vero, nesciunt assumenda. Officiis nobis ex corporis architecto mollitia accusantium! Quibusdam maxime ad, sed sapiente quae recusandae quasi repudiandae dignissimos dolor modi enim possimus dolorem, cupiditate odit, iste saepe incidunt aperiam.</p>\r\n", "Obcaecati volubus, porro?", "Perspiciatis neque repudiandae eligendi eos repellat atque similique magnam, aspernatur, dignissimos a.\r\n", "inherit", "closed", "closed", "", "207-revision-v1", "", "", "2018-07-29 16:04:10", "2018-07-29 16:04:10", "", "207", "http://localhost:8888/metonymic/2018/07/29/207-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("316", "1", "2018-07-29 16:04:18", "2018-07-29 16:04:18", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur eveniet ratione, sint quas aliquam earum? Vel excepturi, dolores itaque incidunt culpa odio dignissimos, atque consequatur iusto reprehenderit id, porro nam! Delectus, architecto, consectetur.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quam quo ducimus deleniti, reiciendis cum necessitatibus, voluptatibus. Recusandae quod labore soluta eligendi, hic!</p>\r\n<p>Est impedit repellat voluptatum veniam odit dolorem nesciunt aliquid recusandae consectetur in ea neque explicabo sequi quaerat itaque aut vel, beatae. Cum.</p>\r\n<p>Ea neque sit, corporis aut quasi in tenetur eum incidunt saepe! Odit, fugiat. Ab maxime, placeat totam quam nesciunt. Voluptatum, ipsam, odit.</p>\r\n<p>Delectus vel quidem saepe perferendis fuga, ex quam obcaecati corporis ipsum, sunt quia repellendus laboriosam error doloremque dolores amet fugiat. Ullam, eaque!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Dolore iure omnis adipisci nemo iste aspernatur alias labore commodi? Fuga impedit dicta, sequi voluptatibus sunt quas ratione velit! Doloribus alias beatae doloremque ad a est nulla consequatur optio veritatis natus sit sequi, iusto expedita, officiis ut temporibus delectus. Nostrum quis tempore porro illo. Nam quis, praesentium.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur eveniet ratione, sint quas aliquam earum? Vel excepturi, dolores itaque incidunt culpa odio dignissimos, atque consequatur iusto reprehenderit id, porro nam! Delectus, architecto, consectetur.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quam quo ducimus deleniti, reiciendis cum necessitatibus, voluptatibus. Recusandae quod labore soluta eligendi, hic!</p>\r\n<p>Est impedit repellat voluptatum veniam odit dolorem nesciunt aliquid recusandae consectetur in ea neque explicabo sequi quaerat itaque aut vel, beatae. Cum.</p>\r\n<p>Ea neque sit, corporis aut quasi in tenetur eum incidunt saepe! Odit, fugiat. Ab maxime, placeat totam quam nesciunt. Voluptatum, ipsam, odit.</p>\r\n<p>Delectus vel quidem saepe perferendis fuga, ex quam obcaecati corporis ipsum, sunt quia repellendus laboriosam error doloremque dolores amet fugiat. Ullam, eaque!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Dolore iure omnis adipisci nemo iste aspernatur alias labore commodi? Fuga impedit dicta, sequi voluptatibus sunt quas ratione velit! Doloribus alias beatae doloremque ad a est nulla consequatur optio veritatis natus sit sequi, iusto expedita, officiis ut temporibus delectus. Nostrum quis tempore porro illo. Nam quis, praesentium.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur eveniet ratione, sint quas aliquam earum? Vel excepturi, dolores itaque incidunt culpa odio dignissimos, atque consequatur iusto reprehenderit id, porro nam! Delectus, architecto, consectetur.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quam quo ducimus deleniti, reiciendis cum necessitatibus, voluptatibus. Recusandae quod labore soluta eligendi, hic!</p>\r\n<p>Est impedit repellat voluptatum veniam odit dolorem nesciunt aliquid recusandae consectetur in ea neque explicabo sequi quaerat itaque aut vel, beatae. Cum.</p>\r\n<p>Ea neque sit, corporis aut quasi in tenetur eum incidunt saepe! Odit, fugiat. Ab maxime, placeat totam quam nesciunt. Voluptatum, ipsam, odit.</p>\r\n<p>Delectus vel quidem saepe perferendis fuga, ex quam obcaecati corporis ipsum, sunt quia repellendus laboriosam error doloremque dolores amet fugiat. Ullam, eaque!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Dolore iure omnis adipisci nemo iste aspernatur alias labore commodi? Fuga impedit dicta, sequi voluptatibus sunt quas ratione velit! Doloribus alias beatae doloremque ad a est nulla consequatur optio veritatis natus sit sequi, iusto expedita, officiis ut temporibus delectus. Nostrum quis tempore porro illo. Nam quis, praesentium.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur eveniet ratione, sint quas aliquam earum? Vel excepturi, dolores itaque incidunt culpa odio dignissimos, atque consequatur iusto reprehenderit id, porro nam! Delectus, architecto, consectetur.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quam quo ducimus deleniti, reiciendis cum necessitatibus, voluptatibus. Recusandae quod labore soluta eligendi, hic!</p>\r\n<p>Est impedit repellat voluptatum veniam odit dolorem nesciunt aliquid recusandae consectetur in ea neque explicabo sequi quaerat itaque aut vel, beatae. Cum.</p>\r\n<p>Ea neque sit, corporis aut quasi in tenetur eum incidunt saepe! Odit, fugiat. Ab maxime, placeat totam quam nesciunt. Voluptatum, ipsam, odit.</p>\r\n<p>Delectus vel quidem saepe perferendis fuga, ex quam obcaecati corporis ipsum, sunt quia repellendus laboriosam error doloremque dolores amet fugiat. Ullam, eaque!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Dolore iure omnis adipisci nemo iste aspernatur alias labore commodi? Fuga impedit dicta, sequi voluptatibus sunt quas ratione velit! Doloribus alias beatae doloremque ad a est nulla consequatur optio veritatis natus sit sequi, iusto expedita, officiis ut temporibus delectus. Nostrum quis tempore porro illo. Nam quis, praesentium.</p>\r\n", "Ea, eveniet, saepe!", "Necessitatibus officiis aliquid incidunt molestias odit consequatur et. Dolore nesciunt sit sint.\r\n", "inherit", "closed", "closed", "", "208-revision-v1", "", "", "2018-07-29 16:04:18", "2018-07-29 16:04:18", "", "208", "http://localhost:8888/metonymic/2018/07/29/208-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("317", "1", "2018-07-29 16:04:28", "2018-07-29 16:04:28", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Tempore facilis minus beatae modi animi quisquam impedit quia repellat ipsam ipsum, aut et qui perspiciatis culpa voluptas inventore a necessitatibus eum tempora voluptatum vel!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ipsum nesciunt quae deleniti. Nulla voluptate ullam libero, corporis maiores at quae rerum quam!</p>\r\n<p>Totam sequi amet rem dolores quis, aliquam eveniet accusantium ipsam sunt quidem suscipit voluptate qui, consequuntur harum distinctio architecto incidunt illum beatae.</p>\r\n<p>Esse voluptatibus quas quasi tempore, odit at! Molestiae ab accusantium et, rem soluta reprehenderit sequi fugiat consequatur veniam, veritatis saepe voluptate cupiditate.</p>\r\n<p>Quisquam aliquid, fuga aspernatur soluta obcaecati? Laborum quos minus officia non est repellendus eum pariatur quasi nam ipsam id perferendis, earum, atque.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eius voluptas, laudantium cupiditate veritatis explicabo nemo excepturi similique, vel optio aperiam corporis pariatur, odio quia quis numquam in veniam. Saepe similique quo consequuntur unde harum, blanditiis fuga debitis sint laudantium ullam natus voluptas, ducimus a, libero praesentium! Id nam sed sint nostrum possimus nesciunt quis dignissimos?</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Tempore facilis minus beatae modi animi quisquam impedit quia repellat ipsam ipsum, aut et qui perspiciatis culpa voluptas inventore a necessitatibus eum tempora voluptatum vel!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ipsum nesciunt quae deleniti. Nulla voluptate ullam libero, corporis maiores at quae rerum quam!</p>\r\n<p>Totam sequi amet rem dolores quis, aliquam eveniet accusantium ipsam sunt quidem suscipit voluptate qui, consequuntur harum distinctio architecto incidunt illum beatae.</p>\r\n<p>Esse voluptatibus quas quasi tempore, odit at! Molestiae ab accusantium et, rem soluta reprehenderit sequi fugiat consequatur veniam, veritatis saepe voluptate cupiditate.</p>\r\n<p>Quisquam aliquid, fuga aspernatur soluta obcaecati? Laborum quos minus officia non est repellendus eum pariatur quasi nam ipsam id perferendis, earum, atque.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eius voluptas, laudantium cupiditate veritatis explicabo nemo excepturi similique, vel optio aperiam corporis pariatur, odio quia quis numquam in veniam. Saepe similique quo consequuntur unde harum, blanditiis fuga debitis sint laudantium ullam natus voluptas, ducimus a, libero praesentium! Id nam sed sint nostrum possimus nesciunt quis dignissimos?</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Tempore facilis minus beatae modi animi quisquam impedit quia repellat ipsam ipsum, aut et qui perspiciatis culpa voluptas inventore a necessitatibus eum tempora voluptatum vel!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ipsum nesciunt quae deleniti. Nulla voluptate ullam libero, corporis maiores at quae rerum quam!</p>\r\n<p>Totam sequi amet rem dolores quis, aliquam eveniet accusantium ipsam sunt quidem suscipit voluptate qui, consequuntur harum distinctio architecto incidunt illum beatae.</p>\r\n<p>Esse voluptatibus quas quasi tempore, odit at! Molestiae ab accusantium et, rem soluta reprehenderit sequi fugiat consequatur veniam, veritatis saepe voluptate cupiditate.</p>\r\n<p>Quisquam aliquid, fuga aspernatur soluta obcaecati? Laborum quos minus officia non est repellendus eum pariatur quasi nam ipsam id perferendis, earum, atque.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eius voluptas, laudantium cupiditate veritatis explicabo nemo excepturi similique, vel optio aperiam corporis pariatur, odio quia quis numquam in veniam. Saepe similique quo consequuntur unde harum, blanditiis fuga debitis sint laudantium ullam natus voluptas, ducimus a, libero praesentium! Id nam sed sint nostrum possimus nesciunt quis dignissimos?</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Tempore facilis minus beatae modi animi quisquam impedit quia repellat ipsam ipsum, aut et qui perspiciatis culpa voluptas inventore a necessitatibus eum tempora voluptatum vel!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ipsum nesciunt quae deleniti. Nulla voluptate ullam libero, corporis maiores at quae rerum quam!</p>\r\n<p>Totam sequi amet rem dolores quis, aliquam eveniet accusantium ipsam sunt quidem suscipit voluptate qui, consequuntur harum distinctio architecto incidunt illum beatae.</p>\r\n<p>Esse voluptatibus quas quasi tempore, odit at! Molestiae ab accusantium et, rem soluta reprehenderit sequi fugiat consequatur veniam, veritatis saepe voluptate cupiditate.</p>\r\n<p>Quisquam aliquid, fuga aspernatur soluta obcaecati? Laborum quos minus officia non est repellendus eum pariatur quasi nam ipsam id perferendis, earum, atque.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eius voluptas, laudantium cupiditate veritatis explicabo nemo excepturi similique, vel optio aperiam corporis pariatur, odio quia quis numquam in veniam. Saepe similique quo consequuntur unde harum, blanditiis fuga debitis sint laudantium ullam natus voluptas, ducimus a, libero praesentium! Id nam sed sint nostrum possimus nesciunt quis dignissimos?</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Tempore facilis minus beatae modi animi quisquam impedit quia repellat ipsam ipsum, aut et qui perspiciatis culpa voluptas inventore a necessitatibus eum tempora voluptatum vel!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ipsum nesciunt quae deleniti. Nulla voluptate ullam libero, corporis maiores at quae rerum quam!</p>\r\n<p>Totam sequi amet rem dolores quis, aliquam eveniet accusantium ipsam sunt quidem suscipit voluptate qui, consequuntur harum distinctio architecto incidunt illum beatae.</p>\r\n<p>Esse voluptatibus quas quasi tempore, odit at! Molestiae ab accusantium et, rem soluta reprehenderit sequi fugiat consequatur veniam, veritatis saepe voluptate cupiditate.</p>\r\n<p>Quisquam aliquid, fuga aspernatur soluta obcaecati? Laborum quos minus officia non est repellendus eum pariatur quasi nam ipsam id perferendis, earum, atque.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eius voluptas, laudantium cupiditate veritatis explicabo nemo excepturi similique, vel optio aperiam corporis pariatur, odio quia quis numquam in veniam. Saepe similique quo consequuntur unde harum, blanditiis fuga debitis sint laudantium ullam natus voluptas, ducimus a, libero praesentium! Id nam sed sint nostrum possimus nesciunt quis dignissimos?</p>\r\n", "Dignissimos odit, deleniti!", "Dolorem aut veritatis labore magnam blanditiis, maiores iure similique sint expedita illo.\r\n", "inherit", "closed", "closed", "", "209-revision-v1", "", "", "2018-07-29 16:04:28", "2018-07-29 16:04:28", "", "209", "http://localhost:8888/metonymic/2018/07/29/209-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("318", "1", "2018-07-29 16:04:35", "2018-07-29 16:04:35", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur molestias dicta, cum quae voluptatum tenetur illo atque id est at natus animi provident maxime in libero deserunt facere ea sint. A, perspiciatis non.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Assumenda quas omnis dolores? Eos alias dolorum, commodi neque! Expedita harum eveniet, quisquam laboriosam!</p>\r\n<p>In dicta hic quidem, dolorem fugit eveniet. Inventore quam, sint fugit repudiandae cupiditate ducimus voluptate voluptatibus autem laborum labore veritatis officia ullam!</p>\r\n<p>Fugiat modi enim earum est saepe magnam eligendi at, asperiores cumque similique officia possimus adipisci nulla ullam alias reprehenderit, praesentium neque tempora!</p>\r\n<p>Placeat aut unde incidunt blanditiis dolorum, facilis id error, officiis velit ex. Est vel, aspernatur quis inventore autem id veniam vitae, recusandae.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Libero tempore facere ab animi eveniet sunt, consequuntur nisi non ducimus nostrum. Sit dolorum tempore assumenda ea ipsum, praesentium cumque cupiditate, impedit neque quasi culpa dolore. Nisi quasi, fuga enim aperiam aliquam dolorum architecto. Quo incidunt vel quos tenetur minima, quae, quam iusto numquam expedita, totam modi!</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur molestias dicta, cum quae voluptatum tenetur illo atque id est at natus animi provident maxime in libero deserunt facere ea sint. A, perspiciatis non.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Assumenda quas omnis dolores? Eos alias dolorum, commodi neque! Expedita harum eveniet, quisquam laboriosam!</p>\r\n<p>In dicta hic quidem, dolorem fugit eveniet. Inventore quam, sint fugit repudiandae cupiditate ducimus voluptate voluptatibus autem laborum labore veritatis officia ullam!</p>\r\n<p>Fugiat modi enim earum est saepe magnam eligendi at, asperiores cumque similique officia possimus adipisci nulla ullam alias reprehenderit, praesentium neque tempora!</p>\r\n<p>Placeat aut unde incidunt blanditiis dolorum, facilis id error, officiis velit ex. Est vel, aspernatur quis inventore autem id veniam vitae, recusandae.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Libero tempore facere ab animi eveniet sunt, consequuntur nisi non ducimus nostrum. Sit dolorum tempore assumenda ea ipsum, praesentium cumque cupiditate, impedit neque quasi culpa dolore. Nisi quasi, fuga enim aperiam aliquam dolorum architecto. Quo incidunt vel quos tenetur minima, quae, quam iusto numquam expedita, totam modi!</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur molestias dicta, cum quae voluptatum tenetur illo atque id est at natus animi provident maxime in libero deserunt facere ea sint. A, perspiciatis non.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Assumenda quas omnis dolores? Eos alias dolorum, commodi neque! Expedita harum eveniet, quisquam laboriosam!</p>\r\n<p>In dicta hic quidem, dolorem fugit eveniet. Inventore quam, sint fugit repudiandae cupiditate ducimus voluptate voluptatibus autem laborum labore veritatis officia ullam!</p>\r\n<p>Fugiat modi enim earum est saepe magnam eligendi at, asperiores cumque similique officia possimus adipisci nulla ullam alias reprehenderit, praesentium neque tempora!</p>\r\n<p>Placeat aut unde incidunt blanditiis dolorum, facilis id error, officiis velit ex. Est vel, aspernatur quis inventore autem id veniam vitae, recusandae.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Libero tempore facere ab animi eveniet sunt, consequuntur nisi non ducimus nostrum. Sit dolorum tempore assumenda ea ipsum, praesentium cumque cupiditate, impedit neque quasi culpa dolore. Nisi quasi, fuga enim aperiam aliquam dolorum architecto. Quo incidunt vel quos tenetur minima, quae, quam iusto numquam expedita, totam modi!</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur molestias dicta, cum quae voluptatum tenetur illo atque id est at natus animi provident maxime in libero deserunt facere ea sint. A, perspiciatis non.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Assumenda quas omnis dolores? Eos alias dolorum, commodi neque! Expedita harum eveniet, quisquam laboriosam!</p>\r\n<p>In dicta hic quidem, dolorem fugit eveniet. Inventore quam, sint fugit repudiandae cupiditate ducimus voluptate voluptatibus autem laborum labore veritatis officia ullam!</p>\r\n<p>Fugiat modi enim earum est saepe magnam eligendi at, asperiores cumque similique officia possimus adipisci nulla ullam alias reprehenderit, praesentium neque tempora!</p>\r\n<p>Placeat aut unde incidunt blanditiis dolorum, facilis id error, officiis velit ex. Est vel, aspernatur quis inventore autem id veniam vitae, recusandae.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Libero tempore facere ab animi eveniet sunt, consequuntur nisi non ducimus nostrum. Sit dolorum tempore assumenda ea ipsum, praesentium cumque cupiditate, impedit neque quasi culpa dolore. Nisi quasi, fuga enim aperiam aliquam dolorum architecto. Quo incidunt vel quos tenetur minima, quae, quam iusto numquam expedita, totam modi!</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur molestias dicta, cum quae voluptatum tenetur illo atque id est at natus animi provident maxime in libero deserunt facere ea sint. A, perspiciatis non.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Assumenda quas omnis dolores? Eos alias dolorum, commodi neque! Expedita harum eveniet, quisquam laboriosam!</p>\r\n<p>In dicta hic quidem, dolorem fugit eveniet. Inventore quam, sint fugit repudiandae cupiditate ducimus voluptate voluptatibus autem laborum labore veritatis officia ullam!</p>\r\n<p>Fugiat modi enim earum est saepe magnam eligendi at, asperiores cumque similique officia possimus adipisci nulla ullam alias reprehenderit, praesentium neque tempora!</p>\r\n<p>Placeat aut unde incidunt blanditiis dolorum, facilis id error, officiis velit ex. Est vel, aspernatur quis inventore autem id veniam vitae, recusandae.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Libero tempore facere ab animi eveniet sunt, consequuntur nisi non ducimus nostrum. Sit dolorum tempore assumenda ea ipsum, praesentium cumque cupiditate, impedit neque quasi culpa dolore. Nisi quasi, fuga enim aperiam aliquam dolorum architecto. Quo incidunt vel quos tenetur minima, quae, quam iusto numquam expedita, totam modi!</p>", "Blanditiis repellat, rerum.", "Eum deleniti nobis porro ea sapiente. Suscipit doloremque temporibus, sit commodi omnis.\r\n", "inherit", "closed", "closed", "", "229-revision-v1", "", "", "2018-07-29 16:04:35", "2018-07-29 16:04:35", "", "229", "http://localhost:8888/metonymic/2018/07/29/229-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("319", "1", "2018-07-29 16:04:42", "2018-07-29 16:04:42", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Cum tempora, incidunt modi sint rerum delectus iste dolorem veniam omnis ullam saepe quia, laboriosam iusto dolorum ducimus velit. Cum aperiam laudantium cumque, perspiciatis minima!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quibusdam omnis ipsum et, praesentium sint expedita eum soluta. Distinctio ipsam soluta praesentium laborum.</p>\r\n<p>Aut eos ea incidunt atque laudantium, doloribus harum est asperiores modi similique impedit, perspiciatis, rem quod accusantium dignissimos? Soluta eum, assumenda doloremque.</p>\r\n<p>Soluta distinctio odio est excepturi eos quis, delectus ex maiores quos nemo cum, accusamus, ratione facere enim aliquid accusantium facilis, cupiditate eius.</p>\r\n<p>Temporibus ipsum sint provident ad iste, ipsa natus id, voluptatem, commodi aliquam ullam nobis? Dolorum quia nihil voluptas quas dolore sapiente! Voluptatum.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quam soluta culpa laborum! Sit rerum porro fuga eos, expedita nesciunt cumque totam esse provident rem! Eius recusandae fuga quasi, ipsum. Nemo quaerat perferendis sunt architecto reprehenderit est mollitia eius, laboriosam quidem consequatur perspiciatis, placeat cupiditate nesciunt omnis illo vel! Sit quisquam totam, ipsum veritatis laborum voluptatum.</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Cum tempora, incidunt modi sint rerum delectus iste dolorem veniam omnis ullam saepe quia, laboriosam iusto dolorum ducimus velit. Cum aperiam laudantium cumque, perspiciatis minima!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quibusdam omnis ipsum et, praesentium sint expedita eum soluta. Distinctio ipsam soluta praesentium laborum.</p>\r\n<p>Aut eos ea incidunt atque laudantium, doloribus harum est asperiores modi similique impedit, perspiciatis, rem quod accusantium dignissimos? Soluta eum, assumenda doloremque.</p>\r\n<p>Soluta distinctio odio est excepturi eos quis, delectus ex maiores quos nemo cum, accusamus, ratione facere enim aliquid accusantium facilis, cupiditate eius.</p>\r\n<p>Temporibus ipsum sint provident ad iste, ipsa natus id, voluptatem, commodi aliquam ullam nobis? Dolorum quia nihil voluptas quas dolore sapiente! Voluptatum.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quam soluta culpa laborum! Sit rerum porro fuga eos, expedita nesciunt cumque totam esse provident rem! Eius recusandae fuga quasi, ipsum. Nemo quaerat perferendis sunt architecto reprehenderit est mollitia eius, laboriosam quidem consequatur perspiciatis, placeat cupiditate nesciunt omnis illo vel! Sit quisquam totam, ipsum veritatis laborum voluptatum.</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Cum tempora, incidunt modi sint rerum delectus iste dolorem veniam omnis ullam saepe quia, laboriosam iusto dolorum ducimus velit. Cum aperiam laudantium cumque, perspiciatis minima!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quibusdam omnis ipsum et, praesentium sint expedita eum soluta. Distinctio ipsam soluta praesentium laborum.</p>\r\n<p>Aut eos ea incidunt atque laudantium, doloribus harum est asperiores modi similique impedit, perspiciatis, rem quod accusantium dignissimos? Soluta eum, assumenda doloremque.</p>\r\n<p>Soluta distinctio odio est excepturi eos quis, delectus ex maiores quos nemo cum, accusamus, ratione facere enim aliquid accusantium facilis, cupiditate eius.</p>\r\n<p>Temporibus ipsum sint provident ad iste, ipsa natus id, voluptatem, commodi aliquam ullam nobis? Dolorum quia nihil voluptas quas dolore sapiente! Voluptatum.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quam soluta culpa laborum! Sit rerum porro fuga eos, expedita nesciunt cumque totam esse provident rem! Eius recusandae fuga quasi, ipsum. Nemo quaerat perferendis sunt architecto reprehenderit est mollitia eius, laboriosam quidem consequatur perspiciatis, placeat cupiditate nesciunt omnis illo vel! Sit quisquam totam, ipsum veritatis laborum voluptatum.</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Cum tempora, incidunt modi sint rerum delectus iste dolorem veniam omnis ullam saepe quia, laboriosam iusto dolorum ducimus velit. Cum aperiam laudantium cumque, perspiciatis minima!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quibusdam omnis ipsum et, praesentium sint expedita eum soluta. Distinctio ipsam soluta praesentium laborum.</p>\r\n<p>Aut eos ea incidunt atque laudantium, doloribus harum est asperiores modi similique impedit, perspiciatis, rem quod accusantium dignissimos? Soluta eum, assumenda doloremque.</p>\r\n<p>Soluta distinctio odio est excepturi eos quis, delectus ex maiores quos nemo cum, accusamus, ratione facere enim aliquid accusantium facilis, cupiditate eius.</p>\r\n<p>Temporibus ipsum sint provident ad iste, ipsa natus id, voluptatem, commodi aliquam ullam nobis? Dolorum quia nihil voluptas quas dolore sapiente! Voluptatum.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quam soluta culpa laborum! Sit rerum porro fuga eos, expedita nesciunt cumque totam esse provident rem! Eius recusandae fuga quasi, ipsum. Nemo quaerat perferendis sunt architecto reprehenderit est mollitia eius, laboriosam quidem consequatur perspiciatis, placeat cupiditate nesciunt omnis illo vel! Sit quisquam totam, ipsum veritatis laborum voluptatum.</p>", "Porro, ratione, expedita.", "Voluptates unde, sit officia. Dolores earum sapiente neque tempora, excepturi exercitationem distinctio!\r\n", "inherit", "closed", "closed", "", "228-revision-v1", "", "", "2018-07-29 16:04:42", "2018-07-29 16:04:42", "", "228", "http://localhost:8888/metonymic/2018/07/29/228-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("320", "1", "2018-07-29 16:04:50", "2018-07-29 16:04:50", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Magnam, reprehenderit at. Consequuntur facere consequatur sapiente ab ducimus labore quam quod modi cumque distinctio, nostrum, voluptates sint, a voluptatem fuga placeat quis aliquam eius.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatum, pariatur nam odit ad quas optio non, quasi sed officiis quaerat reiciendis consectetur.</p>\r\n<p>Iure in, officiis nam cum neque ducimus commodi consequuntur magni enim veniam nemo alias aliquid eveniet nihil repellat dolore omnis. Repellendus, atque.</p>\r\n<p>Voluptate aspernatur velit nam assumenda mollitia facilis explicabo, commodi, neque eaque consequuntur illo. Inventore adipisci nulla ullam suscipit vero odit, quaerat quia.</p>\r\n<p>Provident, consequuntur atque exercitationem corrupti laboriosam ipsam, reiciendis, praesentium totam delectus quas nobis doloribus. Voluptas ipsum explicabo eaque mollitia cupiditate ratione nam!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. In nesciunt ratione tempore quaerat, cum assumenda distinctio quod debitis, harum nulla expedita. Architecto odio quae esse commodi eveniet mollitia nihil, cupiditate corporis delectus ipsum. Fugiat perferendis nulla culpa tempora modi eius id dolor harum optio ea aliquam quaerat voluptatum similique, pariatur nisi deleniti, et animi itaque.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Magnam, reprehenderit at. Consequuntur facere consequatur sapiente ab ducimus labore quam quod modi cumque distinctio, nostrum, voluptates sint, a voluptatem fuga placeat quis aliquam eius.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatum, pariatur nam odit ad quas optio non, quasi sed officiis quaerat reiciendis consectetur.</p>\r\n<p>Iure in, officiis nam cum neque ducimus commodi consequuntur magni enim veniam nemo alias aliquid eveniet nihil repellat dolore omnis. Repellendus, atque.</p>\r\n<p>Voluptate aspernatur velit nam assumenda mollitia facilis explicabo, commodi, neque eaque consequuntur illo. Inventore adipisci nulla ullam suscipit vero odit, quaerat quia.</p>\r\n<p>Provident, consequuntur atque exercitationem corrupti laboriosam ipsam, reiciendis, praesentium totam delectus quas nobis doloribus. Voluptas ipsum explicabo eaque mollitia cupiditate ratione nam!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. In nesciunt ratione tempore quaerat, cum assumenda distinctio quod debitis, harum nulla expedita. Architecto odio quae esse commodi eveniet mollitia nihil, cupiditate corporis delectus ipsum. Fugiat perferendis nulla culpa tempora modi eius id dolor harum optio ea aliquam quaerat voluptatum similique, pariatur nisi deleniti, et animi itaque.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Magnam, reprehenderit at. Consequuntur facere consequatur sapiente ab ducimus labore quam quod modi cumque distinctio, nostrum, voluptates sint, a voluptatem fuga placeat quis aliquam eius.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatum, pariatur nam odit ad quas optio non, quasi sed officiis quaerat reiciendis consectetur.</p>\r\n<p>Iure in, officiis nam cum neque ducimus commodi consequuntur magni enim veniam nemo alias aliquid eveniet nihil repellat dolore omnis. Repellendus, atque.</p>\r\n<p>Voluptate aspernatur velit nam assumenda mollitia facilis explicabo, commodi, neque eaque consequuntur illo. Inventore adipisci nulla ullam suscipit vero odit, quaerat quia.</p>\r\n<p>Provident, consequuntur atque exercitationem corrupti laboriosam ipsam, reiciendis, praesentium totam delectus quas nobis doloribus. Voluptas ipsum explicabo eaque mollitia cupiditate ratione nam!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. In nesciunt ratione tempore quaerat, cum assumenda distinctio quod debitis, harum nulla expedita. Architecto odio quae esse commodi eveniet mollitia nihil, cupiditate corporis delectus ipsum. Fugiat perferendis nulla culpa tempora modi eius id dolor harum optio ea aliquam quaerat voluptatum similique, pariatur nisi deleniti, et animi itaque.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Magnam, reprehenderit at. Consequuntur facere consequatur sapiente ab ducimus labore quam quod modi cumque distinctio, nostrum, voluptates sint, a voluptatem fuga placeat quis aliquam eius.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatum, pariatur nam odit ad quas optio non, quasi sed officiis quaerat reiciendis consectetur.</p>\r\n<p>Iure in, officiis nam cum neque ducimus commodi consequuntur magni enim veniam nemo alias aliquid eveniet nihil repellat dolore omnis. Repellendus, atque.</p>\r\n<p>Voluptate aspernatur velit nam assumenda mollitia facilis explicabo, commodi, neque eaque consequuntur illo. Inventore adipisci nulla ullam suscipit vero odit, quaerat quia.</p>\r\n<p>Provident, consequuntur atque exercitationem corrupti laboriosam ipsam, reiciendis, praesentium totam delectus quas nobis doloribus. Voluptas ipsum explicabo eaque mollitia cupiditate ratione nam!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. In nesciunt ratione tempore quaerat, cum assumenda distinctio quod debitis, harum nulla expedita. Architecto odio quae esse commodi eveniet mollitia nihil, cupiditate corporis delectus ipsum. Fugiat perferendis nulla culpa tempora modi eius id dolor harum optio ea aliquam quaerat voluptatum similique, pariatur nisi deleniti, et animi itaque.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Magnam, reprehenderit at. Consequuntur facere consequatur sapiente ab ducimus labore quam quod modi cumque distinctio, nostrum, voluptates sint, a voluptatem fuga placeat quis aliquam eius.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatum, pariatur nam odit ad quas optio non, quasi sed officiis quaerat reiciendis consectetur.</p>\r\n<p>Iure in, officiis nam cum neque ducimus commodi consequuntur magni enim veniam nemo alias aliquid eveniet nihil repellat dolore omnis. Repellendus, atque.</p>\r\n<p>Voluptate aspernatur velit nam assumenda mollitia facilis explicabo, commodi, neque eaque consequuntur illo. Inventore adipisci nulla ullam suscipit vero odit, quaerat quia.</p>\r\n<p>Provident, consequuntur atque exercitationem corrupti laboriosam ipsam, reiciendis, praesentium totam delectus quas nobis doloribus. Voluptas ipsum explicabo eaque mollitia cupiditate ratione nam!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. In nesciunt ratione tempore quaerat, cum assumenda distinctio quod debitis, harum nulla expedita. Architecto odio quae esse commodi eveniet mollitia nihil, cupiditate corporis delectus ipsum. Fugiat perferendis nulla culpa tempora modi eius id dolor harum optio ea aliquam quaerat voluptatum similique, pariatur nisi deleniti, et animi itaque.</p>\r\n", "Fugiat illum, ratione.", "Porro consequuntur quisquam minus nemo placeat alias neque aliquam, provident iusto similique.\r\n", "inherit", "closed", "closed", "", "227-revision-v1", "", "", "2018-07-29 16:04:50", "2018-07-29 16:04:50", "", "227", "http://localhost:8888/metonymic/2018/07/29/227-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("321", "1", "2018-07-29 16:04:57", "2018-07-29 16:04:57", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur hic quasi odio voluptates eligendi illum suscipit asperiores fugit placeat inventore ratione explicabo assumenda blanditiis ipsam ipsum repellat ipsa, sint tempora odit eos? Sequi!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eveniet obcaecati ratione cum id natus asperiores maiores recusandae animi, corporis dolore dolorem ut!</p>\r\n<p>Soluta sunt quos dolore cumque earum temporibus, officiis at similique voluptas quam ullam accusantium autem, odio fugit magnam aut quisquam unde rem.</p>\r\n<p>Ad, eaque quo voluptatem dolorum esse minus illo, cupiditate fuga quidem ipsa! Voluptatem asperiores consequatur, nesciunt minima doloribus, dolorum fuga alias. Voluptas.</p>\r\n<p>Provident omnis veritatis rem debitis impedit quo excepturi! Illum, nesciunt, dolores adipisci sapiente soluta explicabo nihil debitis molestiae excepturi esse placeat accusamus.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Unde maxime nihil doloremque! Quos asperiores voluptas aliquam molestiae ut molestias fugiat, quasi, expedita amet explicabo aspernatur perferendis, eum reiciendis dicta natus accusamus alias incidunt sunt nemo voluptatum nesciunt veritatis architecto et doloremque aperiam! At enim nisi aut dignissimos minus corporis, magni tenetur eveniet aliquam illo! Error!</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur hic quasi odio voluptates eligendi illum suscipit asperiores fugit placeat inventore ratione explicabo assumenda blanditiis ipsam ipsum repellat ipsa, sint tempora odit eos? Sequi!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eveniet obcaecati ratione cum id natus asperiores maiores recusandae animi, corporis dolore dolorem ut!</p>\r\n<p>Soluta sunt quos dolore cumque earum temporibus, officiis at similique voluptas quam ullam accusantium autem, odio fugit magnam aut quisquam unde rem.</p>\r\n<p>Ad, eaque quo voluptatem dolorum esse minus illo, cupiditate fuga quidem ipsa! Voluptatem asperiores consequatur, nesciunt minima doloribus, dolorum fuga alias. Voluptas.</p>\r\n<p>Provident omnis veritatis rem debitis impedit quo excepturi! Illum, nesciunt, dolores adipisci sapiente soluta explicabo nihil debitis molestiae excepturi esse placeat accusamus.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Unde maxime nihil doloremque! Quos asperiores voluptas aliquam molestiae ut molestias fugiat, quasi, expedita amet explicabo aspernatur perferendis, eum reiciendis dicta natus accusamus alias incidunt sunt nemo voluptatum nesciunt veritatis architecto et doloremque aperiam! At enim nisi aut dignissimos minus corporis, magni tenetur eveniet aliquam illo! Error!</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur hic quasi odio voluptates eligendi illum suscipit asperiores fugit placeat inventore ratione explicabo assumenda blanditiis ipsam ipsum repellat ipsa, sint tempora odit eos? Sequi!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eveniet obcaecati ratione cum id natus asperiores maiores recusandae animi, corporis dolore dolorem ut!</p>\r\n<p>Soluta sunt quos dolore cumque earum temporibus, officiis at similique voluptas quam ullam accusantium autem, odio fugit magnam aut quisquam unde rem.</p>\r\n<p>Ad, eaque quo voluptatem dolorum esse minus illo, cupiditate fuga quidem ipsa! Voluptatem asperiores consequatur, nesciunt minima doloribus, dolorum fuga alias. Voluptas.</p>\r\n<p>Provident omnis veritatis rem debitis impedit quo excepturi! Illum, nesciunt, dolores adipisci sapiente soluta explicabo nihil debitis molestiae excepturi esse placeat accusamus.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Unde maxime nihil doloremque! Quos asperiores voluptas aliquam molestiae ut molestias fugiat, quasi, expedita amet explicabo aspernatur perferendis, eum reiciendis dicta natus accusamus alias incidunt sunt nemo voluptatum nesciunt veritatis architecto et doloremque aperiam! At enim nisi aut dignissimos minus corporis, magni tenetur eveniet aliquam illo! Error!</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur hic quasi odio voluptates eligendi illum suscipit asperiores fugit placeat inventore ratione explicabo assumenda blanditiis ipsam ipsum repellat ipsa, sint tempora odit eos? Sequi!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eveniet obcaecati ratione cum id natus asperiores maiores recusandae animi, corporis dolore dolorem ut!</p>\r\n<p>Soluta sunt quos dolore cumque earum temporibus, officiis at similique voluptas quam ullam accusantium autem, odio fugit magnam aut quisquam unde rem.</p>\r\n<p>Ad, eaque quo voluptatem dolorum esse minus illo, cupiditate fuga quidem ipsa! Voluptatem asperiores consequatur, nesciunt minima doloribus, dolorum fuga alias. Voluptas.</p>\r\n<p>Provident omnis veritatis rem debitis impedit quo excepturi! Illum, nesciunt, dolores adipisci sapiente soluta explicabo nihil debitis molestiae excepturi esse placeat accusamus.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Unde maxime nihil doloremque! Quos asperiores voluptas aliquam molestiae ut molestias fugiat, quasi, expedita amet explicabo aspernatur perferendis, eum reiciendis dicta natus accusamus alias incidunt sunt nemo voluptatum nesciunt veritatis architecto et doloremque aperiam! At enim nisi aut dignissimos minus corporis, magni tenetur eveniet aliquam illo! Error!</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur hic quasi odio voluptates eligendi illum suscipit asperiores fugit placeat inventore ratione explicabo assumenda blanditiis ipsam ipsum repellat ipsa, sint tempora odit eos? Sequi!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eveniet obcaecati ratione cum id natus asperiores maiores recusandae animi, corporis dolore dolorem ut!</p>\r\n<p>Soluta sunt quos dolore cumque earum temporibus, officiis at similique voluptas quam ullam accusantium autem, odio fugit magnam aut quisquam unde rem.</p>\r\n<p>Ad, eaque quo voluptatem dolorum esse minus illo, cupiditate fuga quidem ipsa! Voluptatem asperiores consequatur, nesciunt minima doloribus, dolorum fuga alias. Voluptas.</p>\r\n<p>Provident omnis veritatis rem debitis impedit quo excepturi! Illum, nesciunt, dolores adipisci sapiente soluta explicabo nihil debitis molestiae excepturi esse placeat accusamus.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Unde maxime nihil doloremque! Quos asperiores voluptas aliquam molestiae ut molestias fugiat, quasi, expedita amet explicabo aspernatur perferendis, eum reiciendis dicta natus accusamus alias incidunt sunt nemo voluptatum nesciunt veritatis architecto et doloremque aperiam! At enim nisi aut dignissimos minus corporis, magni tenetur eveniet aliquam illo! Error!</p>\r\n", "At, omnis quasi!", "Eveniet obcaecati ratione cum id natus asperiores maiores recusandae animi, corporis dolore dolorem ut!", "inherit", "closed", "closed", "", "226-revision-v1", "", "", "2018-07-29 16:04:57", "2018-07-29 16:04:57", "", "226", "http://localhost:8888/metonymic/2018/07/29/226-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("322", "1", "2018-07-29 16:05:05", "2018-07-29 16:05:05", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur hic quasi odio voluptates eligendi illum suscipit asperiores fugit placeat inventore ratione explicabo assumenda blanditiis ipsam ipsum repellat ipsa, sint tempora odit eos? Sequi!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eveniet obcaecati ratione cum id natus asperiores maiores recusandae animi, corporis dolore dolorem ut!</p>\r\n<p>Soluta sunt quos dolore cumque earum temporibus, officiis at similique voluptas quam ullam accusantium autem, odio fugit magnam aut quisquam unde rem.</p>\r\n<p>Ad, eaque quo voluptatem dolorum esse minus illo, cupiditate fuga quidem ipsa! Voluptatem asperiores consequatur, nesciunt minima doloribus, dolorum fuga alias. Voluptas.</p>\r\n<p>Provident omnis veritatis rem debitis impedit quo excepturi! Illum, nesciunt, dolores adipisci sapiente soluta explicabo nihil debitis molestiae excepturi esse placeat accusamus.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Unde maxime nihil doloremque! Quos asperiores voluptas aliquam molestiae ut molestias fugiat, quasi, expedita amet explicabo aspernatur perferendis, eum reiciendis dicta natus accusamus alias incidunt sunt nemo voluptatum nesciunt veritatis architecto et doloremque aperiam! At enim nisi aut dignissimos minus corporis, magni tenetur eveniet aliquam illo! Error!</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur hic quasi odio voluptates eligendi illum suscipit asperiores fugit placeat inventore ratione explicabo assumenda blanditiis ipsam ipsum repellat ipsa, sint tempora odit eos? Sequi!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eveniet obcaecati ratione cum id natus asperiores maiores recusandae animi, corporis dolore dolorem ut!</p>\r\n<p>Soluta sunt quos dolore cumque earum temporibus, officiis at similique voluptas quam ullam accusantium autem, odio fugit magnam aut quisquam unde rem.</p>\r\n<p>Ad, eaque quo voluptatem dolorum esse minus illo, cupiditate fuga quidem ipsa! Voluptatem asperiores consequatur, nesciunt minima doloribus, dolorum fuga alias. Voluptas.</p>\r\n<p>Provident omnis veritatis rem debitis impedit quo excepturi! Illum, nesciunt, dolores adipisci sapiente soluta explicabo nihil debitis molestiae excepturi esse placeat accusamus.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Unde maxime nihil doloremque! Quos asperiores voluptas aliquam molestiae ut molestias fugiat, quasi, expedita amet explicabo aspernatur perferendis, eum reiciendis dicta natus accusamus alias incidunt sunt nemo voluptatum nesciunt veritatis architecto et doloremque aperiam! At enim nisi aut dignissimos minus corporis, magni tenetur eveniet aliquam illo! Error!</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur hic quasi odio voluptates eligendi illum suscipit asperiores fugit placeat inventore ratione explicabo assumenda blanditiis ipsam ipsum repellat ipsa, sint tempora odit eos? Sequi!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eveniet obcaecati ratione cum id natus asperiores maiores recusandae animi, corporis dolore dolorem ut!</p>\r\n<p>Soluta sunt quos dolore cumque earum temporibus, officiis at similique voluptas quam ullam accusantium autem, odio fugit magnam aut quisquam unde rem.</p>\r\n<p>Ad, eaque quo voluptatem dolorum esse minus illo, cupiditate fuga quidem ipsa! Voluptatem asperiores consequatur, nesciunt minima doloribus, dolorum fuga alias. Voluptas.</p>\r\n<p>Provident omnis veritatis rem debitis impedit quo excepturi! Illum, nesciunt, dolores adipisci sapiente soluta explicabo nihil debitis molestiae excepturi esse placeat accusamus.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Unde maxime nihil doloremque! Quos asperiores voluptas aliquam molestiae ut molestias fugiat, quasi, expedita amet explicabo aspernatur perferendis, eum reiciendis dicta natus accusamus alias incidunt sunt nemo voluptatum nesciunt veritatis architecto et doloremque aperiam! At enim nisi aut dignissimos minus corporis, magni tenetur eveniet aliquam illo! Error!</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur hic quasi odio voluptates eligendi illum suscipit asperiores fugit placeat inventore ratione explicabo assumenda blanditiis ipsam ipsum repellat ipsa, sint tempora odit eos? Sequi!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eveniet obcaecati ratione cum id natus asperiores maiores recusandae animi, corporis dolore dolorem ut!</p>\r\n<p>Soluta sunt quos dolore cumque earum temporibus, officiis at similique voluptas quam ullam accusantium autem, odio fugit magnam aut quisquam unde rem.</p>\r\n<p>Ad, eaque quo voluptatem dolorum esse minus illo, cupiditate fuga quidem ipsa! Voluptatem asperiores consequatur, nesciunt minima doloribus, dolorum fuga alias. Voluptas.</p>\r\n<p>Provident omnis veritatis rem debitis impedit quo excepturi! Illum, nesciunt, dolores adipisci sapiente soluta explicabo nihil debitis molestiae excepturi esse placeat accusamus.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Unde maxime nihil doloremque! Quos asperiores voluptas aliquam molestiae ut molestias fugiat, quasi, expedita amet explicabo aspernatur perferendis, eum reiciendis dicta natus accusamus alias incidunt sunt nemo voluptatum nesciunt veritatis architecto et doloremque aperiam! At enim nisi aut dignissimos minus corporis, magni tenetur eveniet aliquam illo! Error!</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur hic quasi odio voluptates eligendi illum suscipit asperiores fugit placeat inventore ratione explicabo assumenda blanditiis ipsam ipsum repellat ipsa, sint tempora odit eos? Sequi!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eveniet obcaecati ratione cum id natus asperiores maiores recusandae animi, corporis dolore dolorem ut!</p>\r\n<p>Soluta sunt quos dolore cumque earum temporibus, officiis at similique voluptas quam ullam accusantium autem, odio fugit magnam aut quisquam unde rem.</p>\r\n<p>Ad, eaque quo voluptatem dolorum esse minus illo, cupiditate fuga quidem ipsa! Voluptatem asperiores consequatur, nesciunt minima doloribus, dolorum fuga alias. Voluptas.</p>\r\n<p>Provident omnis veritatis rem debitis impedit quo excepturi! Illum, nesciunt, dolores adipisci sapiente soluta explicabo nihil debitis molestiae excepturi esse placeat accusamus.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Unde maxime nihil doloremque! Quos asperiores voluptas aliquam molestiae ut molestias fugiat, quasi, expedita amet explicabo aspernatur perferendis, eum reiciendis dicta natus accusamus alias incidunt sunt nemo voluptatum nesciunt veritatis architecto et doloremque aperiam! At enim nisi aut dignissimos minus corporis, magni tenetur eveniet aliquam illo! Error!</p>\r\n", "Veniam, cupiditate, eligendi!", "Sapiente, ex, vel. Enim libero consequatur perferendis architecto harum, voluptatum maxime adipisci!\r\n", "inherit", "closed", "closed", "", "225-revision-v1", "", "", "2018-07-29 16:05:05", "2018-07-29 16:05:05", "", "225", "http://localhost:8888/metonymic/2018/07/29/225-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("323", "1", "2018-07-29 22:36:18", "2018-07-29 22:36:18", "", "unsplash-berlin-25060-1400-8", "", "inherit", "open", "closed", "", "unsplash-berlin-25060-1400-8", "", "", "2018-07-29 22:36:18", "2018-07-29 22:36:18", "", "227", "http://localhost:8888/metonymic/wp-content/uploads/2018/07/unsplash-berlin-25060-1400-8.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("324", "1", "2018-07-29 22:36:19", "2018-07-29 22:36:19", "", "unsplash-berlin-25060-1400-9", "", "inherit", "open", "closed", "", "unsplash-berlin-25060-1400-9", "", "", "2018-07-29 22:36:19", "2018-07-29 22:36:19", "", "227", "http://localhost:8888/metonymic/wp-content/uploads/2018/07/unsplash-berlin-25060-1400-9.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("325", "1", "2018-07-29 22:36:20", "2018-07-29 22:36:20", "", "unsplash-berlin-25060-1400-7", "", "inherit", "open", "closed", "", "unsplash-berlin-25060-1400-7", "", "", "2018-07-29 22:36:20", "2018-07-29 22:36:20", "", "227", "http://localhost:8888/metonymic/wp-content/uploads/2018/07/unsplash-berlin-25060-1400-7.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("326", "1", "2018-07-29 22:36:21", "2018-07-29 22:36:21", "", "unsplash-berlin-25060-1400-6", "", "inherit", "open", "closed", "", "unsplash-berlin-25060-1400-6", "", "", "2018-07-29 22:36:21", "2018-07-29 22:36:21", "", "227", "http://localhost:8888/metonymic/wp-content/uploads/2018/07/unsplash-berlin-25060-1400-6.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("327", "1", "2018-07-29 22:36:22", "2018-07-29 22:36:22", "", "unsplash-berlin-25060-1400-5", "", "inherit", "open", "closed", "", "unsplash-berlin-25060-1400-5", "", "", "2018-07-29 22:36:22", "2018-07-29 22:36:22", "", "227", "http://localhost:8888/metonymic/wp-content/uploads/2018/07/unsplash-berlin-25060-1400-5.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("328", "1", "2018-07-29 22:36:23", "2018-07-29 22:36:23", "", "unsplash-berlin-25060-1400-4", "", "inherit", "open", "closed", "", "unsplash-berlin-25060-1400-4", "", "", "2018-07-29 22:36:23", "2018-07-29 22:36:23", "", "227", "http://localhost:8888/metonymic/wp-content/uploads/2018/07/unsplash-berlin-25060-1400-4.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("329", "1", "2018-07-29 22:36:24", "2018-07-29 22:36:24", "", "unsplash-berlin-25060-1400-3", "", "inherit", "open", "closed", "", "unsplash-berlin-25060-1400-3", "", "", "2018-07-29 22:36:24", "2018-07-29 22:36:24", "", "227", "http://localhost:8888/metonymic/wp-content/uploads/2018/07/unsplash-berlin-25060-1400-3.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("330", "1", "2018-07-29 22:36:25", "2018-07-29 22:36:25", "", "unsplash-berlin-25060-1400-2", "", "inherit", "open", "closed", "", "unsplash-berlin-25060-1400-2", "", "", "2018-07-29 22:36:25", "2018-07-29 22:36:25", "", "227", "http://localhost:8888/metonymic/wp-content/uploads/2018/07/unsplash-berlin-25060-1400-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("331", "1", "2018-07-29 22:36:25", "2018-07-29 22:36:25", "", "unsplash-berlin-25060-1400-1", "", "inherit", "open", "closed", "", "unsplash-berlin-25060-1400-1", "", "", "2018-07-29 22:36:25", "2018-07-29 22:36:25", "", "227", "http://localhost:8888/metonymic/wp-content/uploads/2018/07/unsplash-berlin-25060-1400-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("332", "1", "2018-07-29 23:09:02", "2018-07-29 23:09:02", "", "unsplash-miscellaneous-25060-1400-10", "", "inherit", "open", "closed", "", "unsplash-miscellaneous-25060-1400-10", "", "", "2018-07-29 23:09:02", "2018-07-29 23:09:02", "", "0", "http://localhost:8888/metonymic/wp-content/uploads/2018/07/unsplash-miscellaneous-25060-1400-10.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("333", "1", "2018-07-29 23:09:03", "2018-07-29 23:09:03", "", "unsplash-miscellaneous-25060-1400-9", "", "inherit", "open", "closed", "", "unsplash-miscellaneous-25060-1400-9", "", "", "2018-07-29 23:09:03", "2018-07-29 23:09:03", "", "0", "http://localhost:8888/metonymic/wp-content/uploads/2018/07/unsplash-miscellaneous-25060-1400-9.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("334", "1", "2018-07-29 23:09:04", "2018-07-29 23:09:04", "", "unsplash-miscellaneous-25060-1400-8", "", "inherit", "open", "closed", "", "unsplash-miscellaneous-25060-1400-8", "", "", "2018-07-29 23:09:04", "2018-07-29 23:09:04", "", "0", "http://localhost:8888/metonymic/wp-content/uploads/2018/07/unsplash-miscellaneous-25060-1400-8.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("335", "1", "2018-07-29 23:09:05", "2018-07-29 23:09:05", "", "unsplash-miscellaneous-25060-1400-7", "", "inherit", "open", "closed", "", "unsplash-miscellaneous-25060-1400-7", "", "", "2018-07-29 23:09:05", "2018-07-29 23:09:05", "", "0", "http://localhost:8888/metonymic/wp-content/uploads/2018/07/unsplash-miscellaneous-25060-1400-7.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("336", "1", "2018-07-29 23:09:06", "2018-07-29 23:09:06", "", "unsplash-miscellaneous-25060-1400-6", "", "inherit", "open", "closed", "", "unsplash-miscellaneous-25060-1400-6", "", "", "2018-07-29 23:09:06", "2018-07-29 23:09:06", "", "0", "http://localhost:8888/metonymic/wp-content/uploads/2018/07/unsplash-miscellaneous-25060-1400-6.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("337", "1", "2018-07-29 23:09:07", "2018-07-29 23:09:07", "", "unsplash-miscellaneous-25060-1400-5", "", "inherit", "open", "closed", "", "unsplash-miscellaneous-25060-1400-5", "", "", "2018-07-29 23:09:07", "2018-07-29 23:09:07", "", "0", "http://localhost:8888/metonymic/wp-content/uploads/2018/07/unsplash-miscellaneous-25060-1400-5.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("338", "1", "2018-07-29 23:09:07", "2018-07-29 23:09:07", "", "unsplash-miscellaneous-25060-1400-4", "", "inherit", "open", "closed", "", "unsplash-miscellaneous-25060-1400-4", "", "", "2018-07-29 23:09:07", "2018-07-29 23:09:07", "", "0", "http://localhost:8888/metonymic/wp-content/uploads/2018/07/unsplash-miscellaneous-25060-1400-4.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("339", "1", "2018-07-29 23:09:08", "2018-07-29 23:09:08", "", "unsplash-miscellaneous-25060-1400-3", "", "inherit", "open", "closed", "", "unsplash-miscellaneous-25060-1400-3", "", "", "2018-07-29 23:09:08", "2018-07-29 23:09:08", "", "0", "http://localhost:8888/metonymic/wp-content/uploads/2018/07/unsplash-miscellaneous-25060-1400-3.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("340", "1", "2018-07-29 23:09:09", "2018-07-29 23:09:09", "", "unsplash-miscellaneous-25060-1400-2", "", "inherit", "open", "closed", "", "unsplash-miscellaneous-25060-1400-2", "", "", "2018-07-29 23:09:09", "2018-07-29 23:09:09", "", "0", "http://localhost:8888/metonymic/wp-content/uploads/2018/07/unsplash-miscellaneous-25060-1400-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("341", "1", "2018-07-29 23:09:10", "2018-07-29 23:09:10", "", "unsplash-miscellaneous-25060-1400-1", "", "inherit", "open", "closed", "", "unsplash-miscellaneous-25060-1400-1", "", "", "2018-07-29 23:09:10", "2018-07-29 23:09:10", "", "0", "http://localhost:8888/metonymic/wp-content/uploads/2018/07/unsplash-miscellaneous-25060-1400-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("342", "1", "2018-07-29 23:14:31", "2018-07-29 23:14:31", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Qui magnam expedita ea assumenda nobis id quod odio accusamus dicta numquam, voluptate amet quaerat voluptas velit laudantium maxime vel ducimus aperiam perspiciatis soluta doloremque.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Veritatis quas beatae, officia nisi inventore deleniti natus earum quia. Dolores illum quas dolorem.</p>\r\n<p>Placeat fugit, laudantium inventore blanditiis eos debitis aperiam! Nisi blanditiis repudiandae autem. Dicta aspernatur obcaecati, dolorum ullam! Pariatur recusandae, ducimus hic harum.</p>\r\n<p>Hic sapiente sunt quam, consectetur delectus tempore iste saepe similique obcaecati, numquam illum vel impedit dolor eius, quod maiores architecto incidunt voluptate.</p>\r\n<p>Accusamus aperiam quaerat sequi, libero cum nesciunt distinctio vel eveniet deserunt dicta possimus blanditiis, perspiciatis atque officiis adipisci ad tenetur vero consequatur.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Minima quaerat alias harum, explicabo cupiditate non aperiam in aliquam. Quae quidem, iusto qui natus assumenda dolores, architecto magnam laudantium minima! Tempora voluptates qui placeat quo, amet, fugiat quis porro molestiae ipsa esse in pariatur, nesciunt maiores! Nemo voluptas voluptatem alias quidem voluptates aut pariatur! Eum, incidunt.</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Qui magnam expedita ea assumenda nobis id quod odio accusamus dicta numquam, voluptate amet quaerat voluptas velit laudantium maxime vel ducimus aperiam perspiciatis soluta doloremque.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Veritatis quas beatae, officia nisi inventore deleniti natus earum quia. Dolores illum quas dolorem.</p>\r\n<p>Placeat fugit, laudantium inventore blanditiis eos debitis aperiam! Nisi blanditiis repudiandae autem. Dicta aspernatur obcaecati, dolorum ullam! Pariatur recusandae, ducimus hic harum.</p>\r\n<p>Hic sapiente sunt quam, consectetur delectus tempore iste saepe similique obcaecati, numquam illum vel impedit dolor eius, quod maiores architecto incidunt voluptate.</p>\r\n<p>Accusamus aperiam quaerat sequi, libero cum nesciunt distinctio vel eveniet deserunt dicta possimus blanditiis, perspiciatis atque officiis adipisci ad tenetur vero consequatur.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Minima quaerat alias harum, explicabo cupiditate non aperiam in aliquam. Quae quidem, iusto qui natus assumenda dolores, architecto magnam laudantium minima! Tempora voluptates qui placeat quo, amet, fugiat quis porro molestiae ipsa esse in pariatur, nesciunt maiores! Nemo voluptas voluptatem alias quidem voluptates aut pariatur! Eum, incidunt.</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Qui magnam expedita ea assumenda nobis id quod odio accusamus dicta numquam, voluptate amet quaerat voluptas velit laudantium maxime vel ducimus aperiam perspiciatis soluta doloremque.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Veritatis quas beatae, officia nisi inventore deleniti natus earum quia. Dolores illum quas dolorem.</p>\r\n<p>Placeat fugit, laudantium inventore blanditiis eos debitis aperiam! Nisi blanditiis repudiandae autem. Dicta aspernatur obcaecati, dolorum ullam! Pariatur recusandae, ducimus hic harum.</p>\r\n<p>Hic sapiente sunt quam, consectetur delectus tempore iste saepe similique obcaecati, numquam illum vel impedit dolor eius, quod maiores architecto incidunt voluptate.</p>\r\n<p>Accusamus aperiam quaerat sequi, libero cum nesciunt distinctio vel eveniet deserunt dicta possimus blanditiis, perspiciatis atque officiis adipisci ad tenetur vero consequatur.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Minima quaerat alias harum, explicabo cupiditate non aperiam in aliquam. Quae quidem, iusto qui natus assumenda dolores, architecto magnam laudantium minima! Tempora voluptates qui placeat quo, amet, fugiat quis porro molestiae ipsa esse in pariatur, nesciunt maiores! Nemo voluptas voluptatem alias quidem voluptates aut pariatur! Eum, incidunt.</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Qui magnam expedita ea assumenda nobis id quod odio accusamus dicta numquam, voluptate amet quaerat voluptas velit laudantium maxime vel ducimus aperiam perspiciatis soluta doloremque.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Veritatis quas beatae, officia nisi inventore deleniti natus earum quia. Dolores illum quas dolorem.</p>\r\n<p>Placeat fugit, laudantium inventore blanditiis eos debitis aperiam! Nisi blanditiis repudiandae autem. Dicta aspernatur obcaecati, dolorum ullam! Pariatur recusandae, ducimus hic harum.</p>\r\n<p>Hic sapiente sunt quam, consectetur delectus tempore iste saepe similique obcaecati, numquam illum vel impedit dolor eius, quod maiores architecto incidunt voluptate.</p>\r\n<p>Accusamus aperiam quaerat sequi, libero cum nesciunt distinctio vel eveniet deserunt dicta possimus blanditiis, perspiciatis atque officiis adipisci ad tenetur vero consequatur.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Minima quaerat alias harum, explicabo cupiditate non aperiam in aliquam. Quae quidem, iusto qui natus assumenda dolores, architecto magnam laudantium minima! Tempora voluptates qui placeat quo, amet, fugiat quis porro molestiae ipsa esse in pariatur, nesciunt maiores! Nemo voluptas voluptatem alias quidem voluptates aut pariatur! Eum, incidunt.</p>", "Casimir E. Pulaski Day", "Dolorem earum itaque repellendus maiores aperiam eaque deleniti nostrum adipisci nihil ut.\r\n", "publish", "open", "open", "", "casimir-pulaski-day", "", "", "2018-07-29 23:14:55", "2018-07-29 23:14:55", "", "0", "http://localhost:8888/metonymic/?p=342", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("343", "1", "2018-07-29 23:14:31", "2018-07-29 23:14:31", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Qui magnam expedita ea assumenda nobis id quod odio accusamus dicta numquam, voluptate amet quaerat voluptas velit laudantium maxime vel ducimus aperiam perspiciatis soluta doloremque.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Veritatis quas beatae, officia nisi inventore deleniti natus earum quia. Dolores illum quas dolorem.</p>\r\n<p>Placeat fugit, laudantium inventore blanditiis eos debitis aperiam! Nisi blanditiis repudiandae autem. Dicta aspernatur obcaecati, dolorum ullam! Pariatur recusandae, ducimus hic harum.</p>\r\n<p>Hic sapiente sunt quam, consectetur delectus tempore iste saepe similique obcaecati, numquam illum vel impedit dolor eius, quod maiores architecto incidunt voluptate.</p>\r\n<p>Accusamus aperiam quaerat sequi, libero cum nesciunt distinctio vel eveniet deserunt dicta possimus blanditiis, perspiciatis atque officiis adipisci ad tenetur vero consequatur.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Minima quaerat alias harum, explicabo cupiditate non aperiam in aliquam. Quae quidem, iusto qui natus assumenda dolores, architecto magnam laudantium minima! Tempora voluptates qui placeat quo, amet, fugiat quis porro molestiae ipsa esse in pariatur, nesciunt maiores! Nemo voluptas voluptatem alias quidem voluptates aut pariatur! Eum, incidunt.</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Qui magnam expedita ea assumenda nobis id quod odio accusamus dicta numquam, voluptate amet quaerat voluptas velit laudantium maxime vel ducimus aperiam perspiciatis soluta doloremque.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Veritatis quas beatae, officia nisi inventore deleniti natus earum quia. Dolores illum quas dolorem.</p>\r\n<p>Placeat fugit, laudantium inventore blanditiis eos debitis aperiam! Nisi blanditiis repudiandae autem. Dicta aspernatur obcaecati, dolorum ullam! Pariatur recusandae, ducimus hic harum.</p>\r\n<p>Hic sapiente sunt quam, consectetur delectus tempore iste saepe similique obcaecati, numquam illum vel impedit dolor eius, quod maiores architecto incidunt voluptate.</p>\r\n<p>Accusamus aperiam quaerat sequi, libero cum nesciunt distinctio vel eveniet deserunt dicta possimus blanditiis, perspiciatis atque officiis adipisci ad tenetur vero consequatur.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Minima quaerat alias harum, explicabo cupiditate non aperiam in aliquam. Quae quidem, iusto qui natus assumenda dolores, architecto magnam laudantium minima! Tempora voluptates qui placeat quo, amet, fugiat quis porro molestiae ipsa esse in pariatur, nesciunt maiores! Nemo voluptas voluptatem alias quidem voluptates aut pariatur! Eum, incidunt.</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Qui magnam expedita ea assumenda nobis id quod odio accusamus dicta numquam, voluptate amet quaerat voluptas velit laudantium maxime vel ducimus aperiam perspiciatis soluta doloremque.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Veritatis quas beatae, officia nisi inventore deleniti natus earum quia. Dolores illum quas dolorem.</p>\r\n<p>Placeat fugit, laudantium inventore blanditiis eos debitis aperiam! Nisi blanditiis repudiandae autem. Dicta aspernatur obcaecati, dolorum ullam! Pariatur recusandae, ducimus hic harum.</p>\r\n<p>Hic sapiente sunt quam, consectetur delectus tempore iste saepe similique obcaecati, numquam illum vel impedit dolor eius, quod maiores architecto incidunt voluptate.</p>\r\n<p>Accusamus aperiam quaerat sequi, libero cum nesciunt distinctio vel eveniet deserunt dicta possimus blanditiis, perspiciatis atque officiis adipisci ad tenetur vero consequatur.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Minima quaerat alias harum, explicabo cupiditate non aperiam in aliquam. Quae quidem, iusto qui natus assumenda dolores, architecto magnam laudantium minima! Tempora voluptates qui placeat quo, amet, fugiat quis porro molestiae ipsa esse in pariatur, nesciunt maiores! Nemo voluptas voluptatem alias quidem voluptates aut pariatur! Eum, incidunt.</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Qui magnam expedita ea assumenda nobis id quod odio accusamus dicta numquam, voluptate amet quaerat voluptas velit laudantium maxime vel ducimus aperiam perspiciatis soluta doloremque.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Veritatis quas beatae, officia nisi inventore deleniti natus earum quia. Dolores illum quas dolorem.</p>\r\n<p>Placeat fugit, laudantium inventore blanditiis eos debitis aperiam! Nisi blanditiis repudiandae autem. Dicta aspernatur obcaecati, dolorum ullam! Pariatur recusandae, ducimus hic harum.</p>\r\n<p>Hic sapiente sunt quam, consectetur delectus tempore iste saepe similique obcaecati, numquam illum vel impedit dolor eius, quod maiores architecto incidunt voluptate.</p>\r\n<p>Accusamus aperiam quaerat sequi, libero cum nesciunt distinctio vel eveniet deserunt dicta possimus blanditiis, perspiciatis atque officiis adipisci ad tenetur vero consequatur.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Minima quaerat alias harum, explicabo cupiditate non aperiam in aliquam. Quae quidem, iusto qui natus assumenda dolores, architecto magnam laudantium minima! Tempora voluptates qui placeat quo, amet, fugiat quis porro molestiae ipsa esse in pariatur, nesciunt maiores! Nemo voluptas voluptatem alias quidem voluptates aut pariatur! Eum, incidunt.</p>", "Casimir Pulaski Day", "Dolorem earum itaque repellendus maiores aperiam eaque deleniti nostrum adipisci nihil ut.\r\n", "inherit", "closed", "closed", "", "342-revision-v1", "", "", "2018-07-29 23:14:31", "2018-07-29 23:14:31", "", "342", "http://localhost:8888/metonymic/2018/07/29/342-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("344", "1", "2018-07-29 23:14:55", "2018-07-29 23:14:55", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Qui magnam expedita ea assumenda nobis id quod odio accusamus dicta numquam, voluptate amet quaerat voluptas velit laudantium maxime vel ducimus aperiam perspiciatis soluta doloremque.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Veritatis quas beatae, officia nisi inventore deleniti natus earum quia. Dolores illum quas dolorem.</p>\r\n<p>Placeat fugit, laudantium inventore blanditiis eos debitis aperiam! Nisi blanditiis repudiandae autem. Dicta aspernatur obcaecati, dolorum ullam! Pariatur recusandae, ducimus hic harum.</p>\r\n<p>Hic sapiente sunt quam, consectetur delectus tempore iste saepe similique obcaecati, numquam illum vel impedit dolor eius, quod maiores architecto incidunt voluptate.</p>\r\n<p>Accusamus aperiam quaerat sequi, libero cum nesciunt distinctio vel eveniet deserunt dicta possimus blanditiis, perspiciatis atque officiis adipisci ad tenetur vero consequatur.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Minima quaerat alias harum, explicabo cupiditate non aperiam in aliquam. Quae quidem, iusto qui natus assumenda dolores, architecto magnam laudantium minima! Tempora voluptates qui placeat quo, amet, fugiat quis porro molestiae ipsa esse in pariatur, nesciunt maiores! Nemo voluptas voluptatem alias quidem voluptates aut pariatur! Eum, incidunt.</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Qui magnam expedita ea assumenda nobis id quod odio accusamus dicta numquam, voluptate amet quaerat voluptas velit laudantium maxime vel ducimus aperiam perspiciatis soluta doloremque.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Veritatis quas beatae, officia nisi inventore deleniti natus earum quia. Dolores illum quas dolorem.</p>\r\n<p>Placeat fugit, laudantium inventore blanditiis eos debitis aperiam! Nisi blanditiis repudiandae autem. Dicta aspernatur obcaecati, dolorum ullam! Pariatur recusandae, ducimus hic harum.</p>\r\n<p>Hic sapiente sunt quam, consectetur delectus tempore iste saepe similique obcaecati, numquam illum vel impedit dolor eius, quod maiores architecto incidunt voluptate.</p>\r\n<p>Accusamus aperiam quaerat sequi, libero cum nesciunt distinctio vel eveniet deserunt dicta possimus blanditiis, perspiciatis atque officiis adipisci ad tenetur vero consequatur.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Minima quaerat alias harum, explicabo cupiditate non aperiam in aliquam. Quae quidem, iusto qui natus assumenda dolores, architecto magnam laudantium minima! Tempora voluptates qui placeat quo, amet, fugiat quis porro molestiae ipsa esse in pariatur, nesciunt maiores! Nemo voluptas voluptatem alias quidem voluptates aut pariatur! Eum, incidunt.</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Qui magnam expedita ea assumenda nobis id quod odio accusamus dicta numquam, voluptate amet quaerat voluptas velit laudantium maxime vel ducimus aperiam perspiciatis soluta doloremque.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Veritatis quas beatae, officia nisi inventore deleniti natus earum quia. Dolores illum quas dolorem.</p>\r\n<p>Placeat fugit, laudantium inventore blanditiis eos debitis aperiam! Nisi blanditiis repudiandae autem. Dicta aspernatur obcaecati, dolorum ullam! Pariatur recusandae, ducimus hic harum.</p>\r\n<p>Hic sapiente sunt quam, consectetur delectus tempore iste saepe similique obcaecati, numquam illum vel impedit dolor eius, quod maiores architecto incidunt voluptate.</p>\r\n<p>Accusamus aperiam quaerat sequi, libero cum nesciunt distinctio vel eveniet deserunt dicta possimus blanditiis, perspiciatis atque officiis adipisci ad tenetur vero consequatur.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Minima quaerat alias harum, explicabo cupiditate non aperiam in aliquam. Quae quidem, iusto qui natus assumenda dolores, architecto magnam laudantium minima! Tempora voluptates qui placeat quo, amet, fugiat quis porro molestiae ipsa esse in pariatur, nesciunt maiores! Nemo voluptas voluptatem alias quidem voluptates aut pariatur! Eum, incidunt.</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Qui magnam expedita ea assumenda nobis id quod odio accusamus dicta numquam, voluptate amet quaerat voluptas velit laudantium maxime vel ducimus aperiam perspiciatis soluta doloremque.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Veritatis quas beatae, officia nisi inventore deleniti natus earum quia. Dolores illum quas dolorem.</p>\r\n<p>Placeat fugit, laudantium inventore blanditiis eos debitis aperiam! Nisi blanditiis repudiandae autem. Dicta aspernatur obcaecati, dolorum ullam! Pariatur recusandae, ducimus hic harum.</p>\r\n<p>Hic sapiente sunt quam, consectetur delectus tempore iste saepe similique obcaecati, numquam illum vel impedit dolor eius, quod maiores architecto incidunt voluptate.</p>\r\n<p>Accusamus aperiam quaerat sequi, libero cum nesciunt distinctio vel eveniet deserunt dicta possimus blanditiis, perspiciatis atque officiis adipisci ad tenetur vero consequatur.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Minima quaerat alias harum, explicabo cupiditate non aperiam in aliquam. Quae quidem, iusto qui natus assumenda dolores, architecto magnam laudantium minima! Tempora voluptates qui placeat quo, amet, fugiat quis porro molestiae ipsa esse in pariatur, nesciunt maiores! Nemo voluptas voluptatem alias quidem voluptates aut pariatur! Eum, incidunt.</p>", "Casimir E. Pulaski Day", "Dolorem earum itaque repellendus maiores aperiam eaque deleniti nostrum adipisci nihil ut.\r\n", "inherit", "closed", "closed", "", "342-revision-v1", "", "", "2018-07-29 23:14:55", "2018-07-29 23:14:55", "", "342", "http://localhost:8888/metonymic/2018/07/29/342-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("345", "1", "2018-07-29 23:29:49", "2018-07-29 23:29:49", "", "unsplash-india-25060-1400-12", "", "inherit", "open", "closed", "", "unsplash-india-25060-1400-12", "", "", "2018-07-29 23:29:49", "2018-07-29 23:29:49", "", "0", "http://localhost:8888/metonymic/wp-content/uploads/2018/07/unsplash-india-25060-1400-12.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("347", "1", "2018-07-29 23:29:50", "2018-07-29 23:29:50", "", "unsplash-india-25060-1400-10", "", "inherit", "open", "closed", "", "unsplash-india-25060-1400-10", "", "", "2018-07-29 23:29:50", "2018-07-29 23:29:50", "", "0", "http://localhost:8888/metonymic/wp-content/uploads/2018/07/unsplash-india-25060-1400-10.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("348", "1", "2018-07-29 23:29:51", "2018-07-29 23:29:51", "", "unsplash-india-25060-1400-9", "", "inherit", "open", "closed", "", "unsplash-india-25060-1400-9", "", "", "2018-07-29 23:29:51", "2018-07-29 23:29:51", "", "0", "http://localhost:8888/metonymic/wp-content/uploads/2018/07/unsplash-india-25060-1400-9.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("349", "1", "2018-07-29 23:29:52", "2018-07-29 23:29:52", "", "unsplash-india-25060-1400-8", "", "inherit", "open", "closed", "", "unsplash-india-25060-1400-8", "", "", "2018-07-29 23:29:52", "2018-07-29 23:29:52", "", "0", "http://localhost:8888/metonymic/wp-content/uploads/2018/07/unsplash-india-25060-1400-8.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("350", "1", "2018-07-29 23:29:53", "2018-07-29 23:29:53", "", "unsplash-india-25060-1400-7", "", "inherit", "open", "closed", "", "unsplash-india-25060-1400-7", "", "", "2018-07-29 23:29:53", "2018-07-29 23:29:53", "", "0", "http://localhost:8888/metonymic/wp-content/uploads/2018/07/unsplash-india-25060-1400-7.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("351", "1", "2018-07-29 23:29:54", "2018-07-29 23:29:54", "", "unsplash-india-25060-1400-6", "", "inherit", "open", "closed", "", "unsplash-india-25060-1400-6", "", "", "2018-07-29 23:29:54", "2018-07-29 23:29:54", "", "0", "http://localhost:8888/metonymic/wp-content/uploads/2018/07/unsplash-india-25060-1400-6.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("354", "1", "2018-07-29 23:29:56", "2018-07-29 23:29:56", "", "unsplash-india-25060-1400-3", "", "inherit", "open", "closed", "", "unsplash-india-25060-1400-3", "", "", "2018-07-29 23:29:56", "2018-07-29 23:29:56", "", "0", "http://localhost:8888/metonymic/wp-content/uploads/2018/07/unsplash-india-25060-1400-3.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("355", "1", "2018-07-29 23:29:57", "2018-07-29 23:29:57", "", "unsplash-india-25060-1400-2", "", "inherit", "open", "closed", "", "unsplash-india-25060-1400-2", "", "", "2018-07-29 23:29:57", "2018-07-29 23:29:57", "", "0", "http://localhost:8888/metonymic/wp-content/uploads/2018/07/unsplash-india-25060-1400-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("356", "1", "2018-07-29 23:29:58", "2018-07-29 23:29:58", "", "unsplash-india-25060-1400-1", "", "inherit", "open", "closed", "", "unsplash-india-25060-1400-1", "", "", "2018-07-29 23:29:58", "2018-07-29 23:29:58", "", "0", "http://localhost:8888/metonymic/wp-content/uploads/2018/07/unsplash-india-25060-1400-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("357", "1", "2018-07-29 23:31:16", "2018-07-29 23:31:16", "", "unsplash-lab-25060-1400-11", "", "inherit", "open", "closed", "", "unsplash-lab-25060-1400-11", "", "", "2018-07-29 23:31:16", "2018-07-29 23:31:16", "", "0", "http://localhost:8888/metonymic/wp-content/uploads/2018/07/unsplash-lab-25060-1400-11.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("358", "1", "2018-07-29 23:31:17", "2018-07-29 23:31:17", "", "unsplash-lab-25060-1400-5", "", "inherit", "open", "closed", "", "unsplash-lab-25060-1400-5", "", "", "2018-07-29 23:31:17", "2018-07-29 23:31:17", "", "0", "http://localhost:8888/metonymic/wp-content/uploads/2018/07/unsplash-lab-25060-1400-5.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("359", "1", "2018-07-29 23:31:18", "2018-07-29 23:31:18", "", "unsplash-lab-25060-1400-4", "", "inherit", "open", "closed", "", "unsplash-lab-25060-1400-4", "", "", "2018-07-29 23:31:18", "2018-07-29 23:31:18", "", "0", "http://localhost:8888/metonymic/wp-content/uploads/2018/07/unsplash-lab-25060-1400-4.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("360", "1", "2018-07-29 23:37:05", "2018-07-29 23:37:05", "", "unsplash-landscape-2018-31", "", "inherit", "open", "closed", "", "unsplash-landscape-2018-31-2", "", "", "2018-07-29 23:37:05", "2018-07-29 23:37:05", "", "59", "http://localhost:8888/metonymic/wp-content/uploads/2018/07/unsplash-landscape-2018-31-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("361", "1", "2017-07-29 23:37:51", "2017-07-29 23:37:51", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur molestias dicta, cum quae voluptatum tenetur illo atque id est at natus animi provident maxime in libero deserunt facere ea sint. A, perspiciatis non.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Assumenda quas omnis dolores? Eos alias dolorum, commodi neque! Expedita harum eveniet, quisquam laboriosam!</p>\r\n<p>In dicta hic quidem, dolorem fugit eveniet. Inventore quam, sint fugit repudiandae cupiditate ducimus voluptate voluptatibus autem laborum labore veritatis officia ullam!</p>\r\n<p>Fugiat modi enim earum est saepe magnam eligendi at, asperiores cumque similique officia possimus adipisci nulla ullam alias reprehenderit, praesentium neque tempora!</p>\r\n<p>Placeat aut unde incidunt blanditiis dolorum, facilis id error, officiis velit ex. Est vel, aspernatur quis inventore autem id veniam vitae, recusandae.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Libero tempore facere ab animi eveniet sunt, consequuntur nisi non ducimus nostrum. Sit dolorum tempore assumenda ea ipsum, praesentium cumque cupiditate, impedit neque quasi culpa dolore. Nisi quasi, fuga enim aperiam aliquam dolorum architecto. Quo incidunt vel quos tenetur minima, quae, quam iusto numquam expedita, totam modi!</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur molestias dicta, cum quae voluptatum tenetur illo atque id est at natus animi provident maxime in libero deserunt facere ea sint. A, perspiciatis non.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Assumenda quas omnis dolores? Eos alias dolorum, commodi neque! Expedita harum eveniet, quisquam laboriosam!</p>\r\n<p>In dicta hic quidem, dolorem fugit eveniet. Inventore quam, sint fugit repudiandae cupiditate ducimus voluptate voluptatibus autem laborum labore veritatis officia ullam!</p>\r\n<p>Fugiat modi enim earum est saepe magnam eligendi at, asperiores cumque similique officia possimus adipisci nulla ullam alias reprehenderit, praesentium neque tempora!</p>\r\n<p>Placeat aut unde incidunt blanditiis dolorum, facilis id error, officiis velit ex. Est vel, aspernatur quis inventore autem id veniam vitae, recusandae.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Libero tempore facere ab animi eveniet sunt, consequuntur nisi non ducimus nostrum. Sit dolorum tempore assumenda ea ipsum, praesentium cumque cupiditate, impedit neque quasi culpa dolore. Nisi quasi, fuga enim aperiam aliquam dolorum architecto. Quo incidunt vel quos tenetur minima, quae, quam iusto numquam expedita, totam modi!</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur molestias dicta, cum quae voluptatum tenetur illo atque id est at natus animi provident maxime in libero deserunt facere ea sint. A, perspiciatis non.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Assumenda quas omnis dolores? Eos alias dolorum, commodi neque! Expedita harum eveniet, quisquam laboriosam!</p>\r\n<p>In dicta hic quidem, dolorem fugit eveniet. Inventore quam, sint fugit repudiandae cupiditate ducimus voluptate voluptatibus autem laborum labore veritatis officia ullam!</p>\r\n<p>Fugiat modi enim earum est saepe magnam eligendi at, asperiores cumque similique officia possimus adipisci nulla ullam alias reprehenderit, praesentium neque tempora!</p>\r\n<p>Placeat aut unde incidunt blanditiis dolorum, facilis id error, officiis velit ex. Est vel, aspernatur quis inventore autem id veniam vitae, recusandae.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Libero tempore facere ab animi eveniet sunt, consequuntur nisi non ducimus nostrum. Sit dolorum tempore assumenda ea ipsum, praesentium cumque cupiditate, impedit neque quasi culpa dolore. Nisi quasi, fuga enim aperiam aliquam dolorum architecto. Quo incidunt vel quos tenetur minima, quae, quam iusto numquam expedita, totam modi!</p>", "Deleniti corporis, deserunt.", "Eum deleniti nobis porro ea sapiente. Suscipit doloremque temporibus, sit commodi omnis.\r\n", "publish", "open", "open", "", "deleniti-corporis-deserunt-2", "", "", "2018-07-29 23:38:27", "2018-07-29 23:38:27", "", "0", "http://localhost:8888/metonymic/?p=361", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("362", "1", "2018-07-29 23:38:27", "2018-07-29 23:38:27", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur molestias dicta, cum quae voluptatum tenetur illo atque id est at natus animi provident maxime in libero deserunt facere ea sint. A, perspiciatis non.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Assumenda quas omnis dolores? Eos alias dolorum, commodi neque! Expedita harum eveniet, quisquam laboriosam!</p>\r\n<p>In dicta hic quidem, dolorem fugit eveniet. Inventore quam, sint fugit repudiandae cupiditate ducimus voluptate voluptatibus autem laborum labore veritatis officia ullam!</p>\r\n<p>Fugiat modi enim earum est saepe magnam eligendi at, asperiores cumque similique officia possimus adipisci nulla ullam alias reprehenderit, praesentium neque tempora!</p>\r\n<p>Placeat aut unde incidunt blanditiis dolorum, facilis id error, officiis velit ex. Est vel, aspernatur quis inventore autem id veniam vitae, recusandae.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Libero tempore facere ab animi eveniet sunt, consequuntur nisi non ducimus nostrum. Sit dolorum tempore assumenda ea ipsum, praesentium cumque cupiditate, impedit neque quasi culpa dolore. Nisi quasi, fuga enim aperiam aliquam dolorum architecto. Quo incidunt vel quos tenetur minima, quae, quam iusto numquam expedita, totam modi!</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur molestias dicta, cum quae voluptatum tenetur illo atque id est at natus animi provident maxime in libero deserunt facere ea sint. A, perspiciatis non.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Assumenda quas omnis dolores? Eos alias dolorum, commodi neque! Expedita harum eveniet, quisquam laboriosam!</p>\r\n<p>In dicta hic quidem, dolorem fugit eveniet. Inventore quam, sint fugit repudiandae cupiditate ducimus voluptate voluptatibus autem laborum labore veritatis officia ullam!</p>\r\n<p>Fugiat modi enim earum est saepe magnam eligendi at, asperiores cumque similique officia possimus adipisci nulla ullam alias reprehenderit, praesentium neque tempora!</p>\r\n<p>Placeat aut unde incidunt blanditiis dolorum, facilis id error, officiis velit ex. Est vel, aspernatur quis inventore autem id veniam vitae, recusandae.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Libero tempore facere ab animi eveniet sunt, consequuntur nisi non ducimus nostrum. Sit dolorum tempore assumenda ea ipsum, praesentium cumque cupiditate, impedit neque quasi culpa dolore. Nisi quasi, fuga enim aperiam aliquam dolorum architecto. Quo incidunt vel quos tenetur minima, quae, quam iusto numquam expedita, totam modi!</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur molestias dicta, cum quae voluptatum tenetur illo atque id est at natus animi provident maxime in libero deserunt facere ea sint. A, perspiciatis non.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Assumenda quas omnis dolores? Eos alias dolorum, commodi neque! Expedita harum eveniet, quisquam laboriosam!</p>\r\n<p>In dicta hic quidem, dolorem fugit eveniet. Inventore quam, sint fugit repudiandae cupiditate ducimus voluptate voluptatibus autem laborum labore veritatis officia ullam!</p>\r\n<p>Fugiat modi enim earum est saepe magnam eligendi at, asperiores cumque similique officia possimus adipisci nulla ullam alias reprehenderit, praesentium neque tempora!</p>\r\n<p>Placeat aut unde incidunt blanditiis dolorum, facilis id error, officiis velit ex. Est vel, aspernatur quis inventore autem id veniam vitae, recusandae.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Libero tempore facere ab animi eveniet sunt, consequuntur nisi non ducimus nostrum. Sit dolorum tempore assumenda ea ipsum, praesentium cumque cupiditate, impedit neque quasi culpa dolore. Nisi quasi, fuga enim aperiam aliquam dolorum architecto. Quo incidunt vel quos tenetur minima, quae, quam iusto numquam expedita, totam modi!</p>", "Deleniti corporis, deserunt.", "Eum deleniti nobis porro ea sapiente. Suscipit doloremque temporibus, sit commodi omnis.\r\n", "inherit", "closed", "closed", "", "361-revision-v1", "", "", "2018-07-29 23:38:27", "2018-07-29 23:38:27", "", "361", "http://localhost:8888/metonymic/2018/07/29/361-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("369", "1", "2016-07-31 18:38:37", "2016-07-31 18:38:37", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Cum tempora, incidunt modi sint rerum delectus iste dolorem veniam omnis ullam saepe quia, laboriosam iusto dolorum ducimus velit. Cum aperiam laudantium cumque, perspiciatis minima!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quibusdam omnis ipsum et, praesentium sint expedita eum soluta. Distinctio ipsam soluta praesentium laborum.</p>\r\n<p>Aut eos ea incidunt atque laudantium, doloribus harum est asperiores modi similique impedit, perspiciatis, rem quod accusantium dignissimos? Soluta eum, assumenda doloremque.</p>\r\n<p>Soluta distinctio odio est excepturi eos quis, delectus ex maiores quos nemo cum, accusamus, ratione facere enim aliquid accusantium facilis, cupiditate eius.</p>\r\n<p>Temporibus ipsum sint provident ad iste, ipsa natus id, voluptatem, commodi aliquam ullam nobis? Dolorum quia nihil voluptas quas dolore sapiente! Voluptatum.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quam soluta culpa laborum! Sit rerum porro fuga eos, expedita nesciunt cumque totam esse provident rem! Eius recusandae fuga quasi, ipsum. Nemo quaerat perferendis sunt architecto reprehenderit est mollitia eius, laboriosam quidem consequatur perspiciatis, placeat cupiditate nesciunt omnis illo vel! Sit quisquam totam, ipsum veritatis laborum voluptatum.</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Cum tempora, incidunt modi sint rerum delectus iste dolorem veniam omnis ullam saepe quia, laboriosam iusto dolorum ducimus velit. Cum aperiam laudantium cumque, perspiciatis minima!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quibusdam omnis ipsum et, praesentium sint expedita eum soluta. Distinctio ipsam soluta praesentium laborum.</p>\r\n<p>Aut eos ea incidunt atque laudantium, doloribus harum est asperiores modi similique impedit, perspiciatis, rem quod accusantium dignissimos? Soluta eum, assumenda doloremque.</p>\r\n<p>Soluta distinctio odio est excepturi eos quis, delectus ex maiores quos nemo cum, accusamus, ratione facere enim aliquid accusantium facilis, cupiditate eius.</p>\r\n<p>Temporibus ipsum sint provident ad iste, ipsa natus id, voluptatem, commodi aliquam ullam nobis? Dolorum quia nihil voluptas quas dolore sapiente! Voluptatum.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quam soluta culpa laborum! Sit rerum porro fuga eos, expedita nesciunt cumque totam esse provident rem! Eius recusandae fuga quasi, ipsum. Nemo quaerat perferendis sunt architecto reprehenderit est mollitia eius, laboriosam quidem consequatur perspiciatis, placeat cupiditate nesciunt omnis illo vel! Sit quisquam totam, ipsum veritatis laborum voluptatum.</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Cum tempora, incidunt modi sint rerum delectus iste dolorem veniam omnis ullam saepe quia, laboriosam iusto dolorum ducimus velit. Cum aperiam laudantium cumque, perspiciatis minima!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quibusdam omnis ipsum et, praesentium sint expedita eum soluta. Distinctio ipsam soluta praesentium laborum.</p>\r\n<p>Aut eos ea incidunt atque laudantium, doloribus harum est asperiores modi similique impedit, perspiciatis, rem quod accusantium dignissimos? Soluta eum, assumenda doloremque.</p>\r\n<p>Soluta distinctio odio est excepturi eos quis, delectus ex maiores quos nemo cum, accusamus, ratione facere enim aliquid accusantium facilis, cupiditate eius.</p>\r\n<p>Temporibus ipsum sint provident ad iste, ipsa natus id, voluptatem, commodi aliquam ullam nobis? Dolorum quia nihil voluptas quas dolore sapiente! Voluptatum.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quam soluta culpa laborum! Sit rerum porro fuga eos, expedita nesciunt cumque totam esse provident rem! Eius recusandae fuga quasi, ipsum. Nemo quaerat perferendis sunt architecto reprehenderit est mollitia eius, laboriosam quidem consequatur perspiciatis, placeat cupiditate nesciunt omnis illo vel! Sit quisquam totam, ipsum veritatis laborum voluptatum.</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Cum tempora, incidunt modi sint rerum delectus iste dolorem veniam omnis ullam saepe quia, laboriosam iusto dolorum ducimus velit. Cum aperiam laudantium cumque, perspiciatis minima!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quibusdam omnis ipsum et, praesentium sint expedita eum soluta. Distinctio ipsam soluta praesentium laborum.</p>\r\n<p>Aut eos ea incidunt atque laudantium, doloribus harum est asperiores modi similique impedit, perspiciatis, rem quod accusantium dignissimos? Soluta eum, assumenda doloremque.</p>\r\n<p>Soluta distinctio odio est excepturi eos quis, delectus ex maiores quos nemo cum, accusamus, ratione facere enim aliquid accusantium facilis, cupiditate eius.</p>\r\n<p>Temporibus ipsum sint provident ad iste, ipsa natus id, voluptatem, commodi aliquam ullam nobis? Dolorum quia nihil voluptas quas dolore sapiente! Voluptatum.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quam soluta culpa laborum! Sit rerum porro fuga eos, expedita nesciunt cumque totam esse provident rem! Eius recusandae fuga quasi, ipsum. Nemo quaerat perferendis sunt architecto reprehenderit est mollitia eius, laboriosam quidem consequatur perspiciatis, placeat cupiditate nesciunt omnis illo vel! Sit quisquam totam, ipsum veritatis laborum voluptatum.</p>", "Waka Jawaka.", "Voluptates unde, sit officia. Dolores earum sapiente neque tempora, excepturi exercitationem distinctio!\r\n", "publish", "open", "open", "", "porro-ratione-expedita-2", "", "", "2018-07-31 18:40:38", "2018-07-31 18:40:38", "", "0", "http://localhost:8888/metonymic-final-with-theme/?p=369", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("370", "1", "2018-07-31 18:38:37", "2018-07-31 18:38:37", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Cum tempora, incidunt modi sint rerum delectus iste dolorem veniam omnis ullam saepe quia, laboriosam iusto dolorum ducimus velit. Cum aperiam laudantium cumque, perspiciatis minima!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quibusdam omnis ipsum et, praesentium sint expedita eum soluta. Distinctio ipsam soluta praesentium laborum.</p>\r\n<p>Aut eos ea incidunt atque laudantium, doloribus harum est asperiores modi similique impedit, perspiciatis, rem quod accusantium dignissimos? Soluta eum, assumenda doloremque.</p>\r\n<p>Soluta distinctio odio est excepturi eos quis, delectus ex maiores quos nemo cum, accusamus, ratione facere enim aliquid accusantium facilis, cupiditate eius.</p>\r\n<p>Temporibus ipsum sint provident ad iste, ipsa natus id, voluptatem, commodi aliquam ullam nobis? Dolorum quia nihil voluptas quas dolore sapiente! Voluptatum.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quam soluta culpa laborum! Sit rerum porro fuga eos, expedita nesciunt cumque totam esse provident rem! Eius recusandae fuga quasi, ipsum. Nemo quaerat perferendis sunt architecto reprehenderit est mollitia eius, laboriosam quidem consequatur perspiciatis, placeat cupiditate nesciunt omnis illo vel! Sit quisquam totam, ipsum veritatis laborum voluptatum.</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Cum tempora, incidunt modi sint rerum delectus iste dolorem veniam omnis ullam saepe quia, laboriosam iusto dolorum ducimus velit. Cum aperiam laudantium cumque, perspiciatis minima!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quibusdam omnis ipsum et, praesentium sint expedita eum soluta. Distinctio ipsam soluta praesentium laborum.</p>\r\n<p>Aut eos ea incidunt atque laudantium, doloribus harum est asperiores modi similique impedit, perspiciatis, rem quod accusantium dignissimos? Soluta eum, assumenda doloremque.</p>\r\n<p>Soluta distinctio odio est excepturi eos quis, delectus ex maiores quos nemo cum, accusamus, ratione facere enim aliquid accusantium facilis, cupiditate eius.</p>\r\n<p>Temporibus ipsum sint provident ad iste, ipsa natus id, voluptatem, commodi aliquam ullam nobis? Dolorum quia nihil voluptas quas dolore sapiente! Voluptatum.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quam soluta culpa laborum! Sit rerum porro fuga eos, expedita nesciunt cumque totam esse provident rem! Eius recusandae fuga quasi, ipsum. Nemo quaerat perferendis sunt architecto reprehenderit est mollitia eius, laboriosam quidem consequatur perspiciatis, placeat cupiditate nesciunt omnis illo vel! Sit quisquam totam, ipsum veritatis laborum voluptatum.</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Cum tempora, incidunt modi sint rerum delectus iste dolorem veniam omnis ullam saepe quia, laboriosam iusto dolorum ducimus velit. Cum aperiam laudantium cumque, perspiciatis minima!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quibusdam omnis ipsum et, praesentium sint expedita eum soluta. Distinctio ipsam soluta praesentium laborum.</p>\r\n<p>Aut eos ea incidunt atque laudantium, doloribus harum est asperiores modi similique impedit, perspiciatis, rem quod accusantium dignissimos? Soluta eum, assumenda doloremque.</p>\r\n<p>Soluta distinctio odio est excepturi eos quis, delectus ex maiores quos nemo cum, accusamus, ratione facere enim aliquid accusantium facilis, cupiditate eius.</p>\r\n<p>Temporibus ipsum sint provident ad iste, ipsa natus id, voluptatem, commodi aliquam ullam nobis? Dolorum quia nihil voluptas quas dolore sapiente! Voluptatum.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quam soluta culpa laborum! Sit rerum porro fuga eos, expedita nesciunt cumque totam esse provident rem! Eius recusandae fuga quasi, ipsum. Nemo quaerat perferendis sunt architecto reprehenderit est mollitia eius, laboriosam quidem consequatur perspiciatis, placeat cupiditate nesciunt omnis illo vel! Sit quisquam totam, ipsum veritatis laborum voluptatum.</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Cum tempora, incidunt modi sint rerum delectus iste dolorem veniam omnis ullam saepe quia, laboriosam iusto dolorum ducimus velit. Cum aperiam laudantium cumque, perspiciatis minima!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quibusdam omnis ipsum et, praesentium sint expedita eum soluta. Distinctio ipsam soluta praesentium laborum.</p>\r\n<p>Aut eos ea incidunt atque laudantium, doloribus harum est asperiores modi similique impedit, perspiciatis, rem quod accusantium dignissimos? Soluta eum, assumenda doloremque.</p>\r\n<p>Soluta distinctio odio est excepturi eos quis, delectus ex maiores quos nemo cum, accusamus, ratione facere enim aliquid accusantium facilis, cupiditate eius.</p>\r\n<p>Temporibus ipsum sint provident ad iste, ipsa natus id, voluptatem, commodi aliquam ullam nobis? Dolorum quia nihil voluptas quas dolore sapiente! Voluptatum.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quam soluta culpa laborum! Sit rerum porro fuga eos, expedita nesciunt cumque totam esse provident rem! Eius recusandae fuga quasi, ipsum. Nemo quaerat perferendis sunt architecto reprehenderit est mollitia eius, laboriosam quidem consequatur perspiciatis, placeat cupiditate nesciunt omnis illo vel! Sit quisquam totam, ipsum veritatis laborum voluptatum.</p>", "Porro, ratione, expedita.", "Voluptates unde, sit officia. Dolores earum sapiente neque tempora, excepturi exercitationem distinctio!\r\n", "inherit", "closed", "closed", "", "369-revision-v1", "", "", "2018-07-31 18:38:37", "2018-07-31 18:38:37", "", "369", "http://localhost:8888/metonymic-final-with-theme/headlines/369-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("371", "1", "2018-07-31 18:38:50", "2018-07-31 18:38:50", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Cum tempora, incidunt modi sint rerum delectus iste dolorem veniam omnis ullam saepe quia, laboriosam iusto dolorum ducimus velit. Cum aperiam laudantium cumque, perspiciatis minima!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quibusdam omnis ipsum et, praesentium sint expedita eum soluta. Distinctio ipsam soluta praesentium laborum.</p>\r\n<p>Aut eos ea incidunt atque laudantium, doloribus harum est asperiores modi similique impedit, perspiciatis, rem quod accusantium dignissimos? Soluta eum, assumenda doloremque.</p>\r\n<p>Soluta distinctio odio est excepturi eos quis, delectus ex maiores quos nemo cum, accusamus, ratione facere enim aliquid accusantium facilis, cupiditate eius.</p>\r\n<p>Temporibus ipsum sint provident ad iste, ipsa natus id, voluptatem, commodi aliquam ullam nobis? Dolorum quia nihil voluptas quas dolore sapiente! Voluptatum.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quam soluta culpa laborum! Sit rerum porro fuga eos, expedita nesciunt cumque totam esse provident rem! Eius recusandae fuga quasi, ipsum. Nemo quaerat perferendis sunt architecto reprehenderit est mollitia eius, laboriosam quidem consequatur perspiciatis, placeat cupiditate nesciunt omnis illo vel! Sit quisquam totam, ipsum veritatis laborum voluptatum.</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Cum tempora, incidunt modi sint rerum delectus iste dolorem veniam omnis ullam saepe quia, laboriosam iusto dolorum ducimus velit. Cum aperiam laudantium cumque, perspiciatis minima!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quibusdam omnis ipsum et, praesentium sint expedita eum soluta. Distinctio ipsam soluta praesentium laborum.</p>\r\n<p>Aut eos ea incidunt atque laudantium, doloribus harum est asperiores modi similique impedit, perspiciatis, rem quod accusantium dignissimos? Soluta eum, assumenda doloremque.</p>\r\n<p>Soluta distinctio odio est excepturi eos quis, delectus ex maiores quos nemo cum, accusamus, ratione facere enim aliquid accusantium facilis, cupiditate eius.</p>\r\n<p>Temporibus ipsum sint provident ad iste, ipsa natus id, voluptatem, commodi aliquam ullam nobis? Dolorum quia nihil voluptas quas dolore sapiente! Voluptatum.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quam soluta culpa laborum! Sit rerum porro fuga eos, expedita nesciunt cumque totam esse provident rem! Eius recusandae fuga quasi, ipsum. Nemo quaerat perferendis sunt architecto reprehenderit est mollitia eius, laboriosam quidem consequatur perspiciatis, placeat cupiditate nesciunt omnis illo vel! Sit quisquam totam, ipsum veritatis laborum voluptatum.</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Cum tempora, incidunt modi sint rerum delectus iste dolorem veniam omnis ullam saepe quia, laboriosam iusto dolorum ducimus velit. Cum aperiam laudantium cumque, perspiciatis minima!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quibusdam omnis ipsum et, praesentium sint expedita eum soluta. Distinctio ipsam soluta praesentium laborum.</p>\r\n<p>Aut eos ea incidunt atque laudantium, doloribus harum est asperiores modi similique impedit, perspiciatis, rem quod accusantium dignissimos? Soluta eum, assumenda doloremque.</p>\r\n<p>Soluta distinctio odio est excepturi eos quis, delectus ex maiores quos nemo cum, accusamus, ratione facere enim aliquid accusantium facilis, cupiditate eius.</p>\r\n<p>Temporibus ipsum sint provident ad iste, ipsa natus id, voluptatem, commodi aliquam ullam nobis? Dolorum quia nihil voluptas quas dolore sapiente! Voluptatum.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quam soluta culpa laborum! Sit rerum porro fuga eos, expedita nesciunt cumque totam esse provident rem! Eius recusandae fuga quasi, ipsum. Nemo quaerat perferendis sunt architecto reprehenderit est mollitia eius, laboriosam quidem consequatur perspiciatis, placeat cupiditate nesciunt omnis illo vel! Sit quisquam totam, ipsum veritatis laborum voluptatum.</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Cum tempora, incidunt modi sint rerum delectus iste dolorem veniam omnis ullam saepe quia, laboriosam iusto dolorum ducimus velit. Cum aperiam laudantium cumque, perspiciatis minima!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quibusdam omnis ipsum et, praesentium sint expedita eum soluta. Distinctio ipsam soluta praesentium laborum.</p>\r\n<p>Aut eos ea incidunt atque laudantium, doloribus harum est asperiores modi similique impedit, perspiciatis, rem quod accusantium dignissimos? Soluta eum, assumenda doloremque.</p>\r\n<p>Soluta distinctio odio est excepturi eos quis, delectus ex maiores quos nemo cum, accusamus, ratione facere enim aliquid accusantium facilis, cupiditate eius.</p>\r\n<p>Temporibus ipsum sint provident ad iste, ipsa natus id, voluptatem, commodi aliquam ullam nobis? Dolorum quia nihil voluptas quas dolore sapiente! Voluptatum.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quam soluta culpa laborum! Sit rerum porro fuga eos, expedita nesciunt cumque totam esse provident rem! Eius recusandae fuga quasi, ipsum. Nemo quaerat perferendis sunt architecto reprehenderit est mollitia eius, laboriosam quidem consequatur perspiciatis, placeat cupiditate nesciunt omnis illo vel! Sit quisquam totam, ipsum veritatis laborum voluptatum.</p>", "Waka Jawaka.", "Voluptates unde, sit officia. Dolores earum sapiente neque tempora, excepturi exercitationem distinctio!\r\n", "inherit", "closed", "closed", "", "369-revision-v1", "", "", "2018-07-31 18:38:50", "2018-07-31 18:38:50", "", "369", "http://localhost:8888/metonymic-final-with-theme/headlines/369-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("372", "1", "2017-07-31 18:39:09", "2017-07-31 18:39:09", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Cum tempora, incidunt modi sint rerum delectus iste dolorem veniam omnis ullam saepe quia, laboriosam iusto dolorum ducimus velit. Cum aperiam laudantium cumque, perspiciatis minima!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quibusdam omnis ipsum et, praesentium sint expedita eum soluta. Distinctio ipsam soluta praesentium laborum.</p>\r\n<p>Aut eos ea incidunt atque laudantium, doloribus harum est asperiores modi similique impedit, perspiciatis, rem quod accusantium dignissimos? Soluta eum, assumenda doloremque.</p>\r\n<p>Soluta distinctio odio est excepturi eos quis, delectus ex maiores quos nemo cum, accusamus, ratione facere enim aliquid accusantium facilis, cupiditate eius.</p>\r\n<p>Temporibus ipsum sint provident ad iste, ipsa natus id, voluptatem, commodi aliquam ullam nobis? Dolorum quia nihil voluptas quas dolore sapiente! Voluptatum.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quam soluta culpa laborum! Sit rerum porro fuga eos, expedita nesciunt cumque totam esse provident rem! Eius recusandae fuga quasi, ipsum. Nemo quaerat perferendis sunt architecto reprehenderit est mollitia eius, laboriosam quidem consequatur perspiciatis, placeat cupiditate nesciunt omnis illo vel! Sit quisquam totam, ipsum veritatis laborum voluptatum.</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Cum tempora, incidunt modi sint rerum delectus iste dolorem veniam omnis ullam saepe quia, laboriosam iusto dolorum ducimus velit. Cum aperiam laudantium cumque, perspiciatis minima!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quibusdam omnis ipsum et, praesentium sint expedita eum soluta. Distinctio ipsam soluta praesentium laborum.</p>\r\n<p>Aut eos ea incidunt atque laudantium, doloribus harum est asperiores modi similique impedit, perspiciatis, rem quod accusantium dignissimos? Soluta eum, assumenda doloremque.</p>\r\n<p>Soluta distinctio odio est excepturi eos quis, delectus ex maiores quos nemo cum, accusamus, ratione facere enim aliquid accusantium facilis, cupiditate eius.</p>\r\n<p>Temporibus ipsum sint provident ad iste, ipsa natus id, voluptatem, commodi aliquam ullam nobis? Dolorum quia nihil voluptas quas dolore sapiente! Voluptatum.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quam soluta culpa laborum! Sit rerum porro fuga eos, expedita nesciunt cumque totam esse provident rem! Eius recusandae fuga quasi, ipsum. Nemo quaerat perferendis sunt architecto reprehenderit est mollitia eius, laboriosam quidem consequatur perspiciatis, placeat cupiditate nesciunt omnis illo vel! Sit quisquam totam, ipsum veritatis laborum voluptatum.</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Cum tempora, incidunt modi sint rerum delectus iste dolorem veniam omnis ullam saepe quia, laboriosam iusto dolorum ducimus velit. Cum aperiam laudantium cumque, perspiciatis minima!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quibusdam omnis ipsum et, praesentium sint expedita eum soluta. Distinctio ipsam soluta praesentium laborum.</p>\r\n<p>Aut eos ea incidunt atque laudantium, doloribus harum est asperiores modi similique impedit, perspiciatis, rem quod accusantium dignissimos? Soluta eum, assumenda doloremque.</p>\r\n<p>Soluta distinctio odio est excepturi eos quis, delectus ex maiores quos nemo cum, accusamus, ratione facere enim aliquid accusantium facilis, cupiditate eius.</p>\r\n<p>Temporibus ipsum sint provident ad iste, ipsa natus id, voluptatem, commodi aliquam ullam nobis? Dolorum quia nihil voluptas quas dolore sapiente! Voluptatum.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quam soluta culpa laborum! Sit rerum porro fuga eos, expedita nesciunt cumque totam esse provident rem! Eius recusandae fuga quasi, ipsum. Nemo quaerat perferendis sunt architecto reprehenderit est mollitia eius, laboriosam quidem consequatur perspiciatis, placeat cupiditate nesciunt omnis illo vel! Sit quisquam totam, ipsum veritatis laborum voluptatum.</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Cum tempora, incidunt modi sint rerum delectus iste dolorem veniam omnis ullam saepe quia, laboriosam iusto dolorum ducimus velit. Cum aperiam laudantium cumque, perspiciatis minima!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quibusdam omnis ipsum et, praesentium sint expedita eum soluta. Distinctio ipsam soluta praesentium laborum.</p>\r\n<p>Aut eos ea incidunt atque laudantium, doloribus harum est asperiores modi similique impedit, perspiciatis, rem quod accusantium dignissimos? Soluta eum, assumenda doloremque.</p>\r\n<p>Soluta distinctio odio est excepturi eos quis, delectus ex maiores quos nemo cum, accusamus, ratione facere enim aliquid accusantium facilis, cupiditate eius.</p>\r\n<p>Temporibus ipsum sint provident ad iste, ipsa natus id, voluptatem, commodi aliquam ullam nobis? Dolorum quia nihil voluptas quas dolore sapiente! Voluptatum.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quam soluta culpa laborum! Sit rerum porro fuga eos, expedita nesciunt cumque totam esse provident rem! Eius recusandae fuga quasi, ipsum. Nemo quaerat perferendis sunt architecto reprehenderit est mollitia eius, laboriosam quidem consequatur perspiciatis, placeat cupiditate nesciunt omnis illo vel! Sit quisquam totam, ipsum veritatis laborum voluptatum.</p>", "Utility Muffin Research Kitchen.", "Voluptates unde, sit officia. Dolores earum sapiente neque tempora, excepturi exercitationem distinctio!\r\n", "publish", "open", "open", "", "utility-muffin-research-kitchen", "", "", "2018-07-31 18:39:44", "2018-07-31 18:39:44", "", "0", "http://localhost:8888/metonymic-final-with-theme/?p=372", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("373", "1", "2018-07-31 18:39:44", "2018-07-31 18:39:44", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Cum tempora, incidunt modi sint rerum delectus iste dolorem veniam omnis ullam saepe quia, laboriosam iusto dolorum ducimus velit. Cum aperiam laudantium cumque, perspiciatis minima!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quibusdam omnis ipsum et, praesentium sint expedita eum soluta. Distinctio ipsam soluta praesentium laborum.</p>\r\n<p>Aut eos ea incidunt atque laudantium, doloribus harum est asperiores modi similique impedit, perspiciatis, rem quod accusantium dignissimos? Soluta eum, assumenda doloremque.</p>\r\n<p>Soluta distinctio odio est excepturi eos quis, delectus ex maiores quos nemo cum, accusamus, ratione facere enim aliquid accusantium facilis, cupiditate eius.</p>\r\n<p>Temporibus ipsum sint provident ad iste, ipsa natus id, voluptatem, commodi aliquam ullam nobis? Dolorum quia nihil voluptas quas dolore sapiente! Voluptatum.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quam soluta culpa laborum! Sit rerum porro fuga eos, expedita nesciunt cumque totam esse provident rem! Eius recusandae fuga quasi, ipsum. Nemo quaerat perferendis sunt architecto reprehenderit est mollitia eius, laboriosam quidem consequatur perspiciatis, placeat cupiditate nesciunt omnis illo vel! Sit quisquam totam, ipsum veritatis laborum voluptatum.</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Cum tempora, incidunt modi sint rerum delectus iste dolorem veniam omnis ullam saepe quia, laboriosam iusto dolorum ducimus velit. Cum aperiam laudantium cumque, perspiciatis minima!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quibusdam omnis ipsum et, praesentium sint expedita eum soluta. Distinctio ipsam soluta praesentium laborum.</p>\r\n<p>Aut eos ea incidunt atque laudantium, doloribus harum est asperiores modi similique impedit, perspiciatis, rem quod accusantium dignissimos? Soluta eum, assumenda doloremque.</p>\r\n<p>Soluta distinctio odio est excepturi eos quis, delectus ex maiores quos nemo cum, accusamus, ratione facere enim aliquid accusantium facilis, cupiditate eius.</p>\r\n<p>Temporibus ipsum sint provident ad iste, ipsa natus id, voluptatem, commodi aliquam ullam nobis? Dolorum quia nihil voluptas quas dolore sapiente! Voluptatum.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quam soluta culpa laborum! Sit rerum porro fuga eos, expedita nesciunt cumque totam esse provident rem! Eius recusandae fuga quasi, ipsum. Nemo quaerat perferendis sunt architecto reprehenderit est mollitia eius, laboriosam quidem consequatur perspiciatis, placeat cupiditate nesciunt omnis illo vel! Sit quisquam totam, ipsum veritatis laborum voluptatum.</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Cum tempora, incidunt modi sint rerum delectus iste dolorem veniam omnis ullam saepe quia, laboriosam iusto dolorum ducimus velit. Cum aperiam laudantium cumque, perspiciatis minima!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quibusdam omnis ipsum et, praesentium sint expedita eum soluta. Distinctio ipsam soluta praesentium laborum.</p>\r\n<p>Aut eos ea incidunt atque laudantium, doloribus harum est asperiores modi similique impedit, perspiciatis, rem quod accusantium dignissimos? Soluta eum, assumenda doloremque.</p>\r\n<p>Soluta distinctio odio est excepturi eos quis, delectus ex maiores quos nemo cum, accusamus, ratione facere enim aliquid accusantium facilis, cupiditate eius.</p>\r\n<p>Temporibus ipsum sint provident ad iste, ipsa natus id, voluptatem, commodi aliquam ullam nobis? Dolorum quia nihil voluptas quas dolore sapiente! Voluptatum.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quam soluta culpa laborum! Sit rerum porro fuga eos, expedita nesciunt cumque totam esse provident rem! Eius recusandae fuga quasi, ipsum. Nemo quaerat perferendis sunt architecto reprehenderit est mollitia eius, laboriosam quidem consequatur perspiciatis, placeat cupiditate nesciunt omnis illo vel! Sit quisquam totam, ipsum veritatis laborum voluptatum.</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Cum tempora, incidunt modi sint rerum delectus iste dolorem veniam omnis ullam saepe quia, laboriosam iusto dolorum ducimus velit. Cum aperiam laudantium cumque, perspiciatis minima!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quibusdam omnis ipsum et, praesentium sint expedita eum soluta. Distinctio ipsam soluta praesentium laborum.</p>\r\n<p>Aut eos ea incidunt atque laudantium, doloribus harum est asperiores modi similique impedit, perspiciatis, rem quod accusantium dignissimos? Soluta eum, assumenda doloremque.</p>\r\n<p>Soluta distinctio odio est excepturi eos quis, delectus ex maiores quos nemo cum, accusamus, ratione facere enim aliquid accusantium facilis, cupiditate eius.</p>\r\n<p>Temporibus ipsum sint provident ad iste, ipsa natus id, voluptatem, commodi aliquam ullam nobis? Dolorum quia nihil voluptas quas dolore sapiente! Voluptatum.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quam soluta culpa laborum! Sit rerum porro fuga eos, expedita nesciunt cumque totam esse provident rem! Eius recusandae fuga quasi, ipsum. Nemo quaerat perferendis sunt architecto reprehenderit est mollitia eius, laboriosam quidem consequatur perspiciatis, placeat cupiditate nesciunt omnis illo vel! Sit quisquam totam, ipsum veritatis laborum voluptatum.</p>", "Utility Muffin Research Kitchen.", "Voluptates unde, sit officia. Dolores earum sapiente neque tempora, excepturi exercitationem distinctio!\r\n", "inherit", "closed", "closed", "", "372-revision-v1", "", "", "2018-07-31 18:39:44", "2018-07-31 18:39:44", "", "372", "http://localhost:8888/metonymic-final-with-theme/headlines/372-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("374", "1", "2018-06-03 00:23:46", "2018-06-03 00:23:46", "<!-- wp:paragraph -->\n<p>Teko is an Open Source typeface that currently supports the Devanagari and Latin scripts. This font family has been created for use in headlines and other display-sized text on screen. Five font styles make up the initial release.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Display families with extensive character sets are rare for any script. With Indian typefaces, however, large character sets are even less common. ITF’s designs are an exception. The Teko typeface features letterforms with low stroke contrast, square proportions and a structure that appears visually simple.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The Regular, Medium and Semibold fonts are recommended for use in long headlines, while Bold is intended primarily for setting just one or two words. The Light is a beautiful variant that may be put to exceptionally good use in large headlines on websites. At display sizes, Teko works equally well on screen or in print. Each font contains 1090 glyphs, offering full support for the conjuncts and ligatures required by languages written with the Devanagari script. Teko is an excellent choice for use in advertising or for news tickers on television screens (breaking news, etc.)</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Manushi Parikh designed the Teko typeface for the Indian Type Foundry, who published it in 2014.<br></p>\n<!-- /wp:paragraph -->", "Google Fonts: Teko", "Teko is an Open Source typeface that currently supports the Devanagari and Latin scripts. This font family has been created for use in headlines and other display-sized text on screen. \n", "publish", "open", "open", "", "google-fonts-teko", "", "", "2019-02-03 00:45:49", "2019-02-03 00:45:49", "", "0", "http://localhost:8888/wp-2019/miyzaki-exercise/?p=374", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("375", "1", "2019-02-03 00:23:46", "2019-02-03 00:23:46", "<!-- wp:paragraph -->\n<p>Teko is an Open Source typeface that currently supports the Devanagari and Latin scripts. This font family has been created for use in headlines and other display-sized text on screen. Five font styles make up the initial release.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Display families with extensive character sets are rare for any script. With Indian typefaces, however, large character sets are even less common. ITF’s designs are an exception. The Teko typeface features letterforms with low stroke contrast, square proportions and a structure that appears visually simple.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The Regular, Medium and Semibold fonts are recommended for use in long headlines, while Bold is intended primarily for setting just one or two words. The Light is a beautiful variant that may be put to exceptionally good use in large headlines on websites. At display sizes, Teko works equally well on screen or in print. Each font contains 1090 glyphs, offering full support for the conjuncts and ligatures required by languages written with the Devanagari script. Teko is an excellent choice for use in advertising or for news tickers on television screens (breaking news, etc.)</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Manushi Parikh designed the Teko typeface for the Indian Type Foundry, who published it in 2014.<br></p>\n<!-- /wp:paragraph -->", "Google Fonts: Teko", "Teko is an Open Source typeface that currently supports the Devanagari and Latin scripts. This font family has been created for use in headlines and other display-sized text on screen. \n", "inherit", "closed", "closed", "", "374-revision-v1", "", "", "2019-02-03 00:23:46", "2019-02-03 00:23:46", "", "374", "http://localhost:8888/wp-2019/miyzaki-exercise/headlines/374-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("377", "1", "2017-02-03 00:35:49", "2017-02-03 00:35:49", "Lorem ipsum dolor sit amet, consectetur adipisicing elit. Similique nisi architecto explicabo, quia, ab officiis nemo ad fuga aliquid, consequatur eveniet! Praesentium iste cumque dolore quos aspernatur deleniti itaque, porro quis, adipisci necessitatibus?\n<h3>Lorem ipsum dolor.</h3>\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Id aliquid illo, praesentium aspernatur impedit, illum ea voluptatum nobis iure adipisci obcaecati laboriosam.\n\nTempora quidem quam neque autem est optio laboriosam dolores nesciunt enim rerum, suscipit mollitia facere deleniti, magni aliquid reprehenderit commodi. Similique, voluptatibus?\n\nModi tempora nam eveniet inventore est at ullam explicabo quam maxime, iusto, minus sapiente, similique vero perferendis! Suscipit sed voluptates sint explicabo.\n\nA repellat animi necessitatibus! Repellat nostrum quidem suscipit maiores accusantium at, officiis unde sit modi consectetur totam repellendus! Necessitatibus doloremque ex laboriosam!\n<h3>Lorem ipsum dolor sit.</h3>\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Sed aliquam amet veniam nam reiciendis delectus sint quisquam laborum et aspernatur porro eaque, dicta soluta inventore similique non minus! Facere, molestias. Architecto quis libero quam error vel corporis, labore quidem illum cumque tempore, magni nam odio dolores atque rerum ipsa aut laborum facere, fugit enim tenetur.\n\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Similique nisi architecto explicabo, quia, ab officiis nemo ad fuga aliquid, consequatur eveniet! Praesentium iste cumque dolore quos aspernatur deleniti itaque, porro quis, adipisci necessitatibus?\n<h3>Lorem ipsum dolor.</h3>\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Id aliquid illo, praesentium aspernatur impedit, illum ea voluptatum nobis iure adipisci obcaecati laboriosam.\n\nTempora quidem quam neque autem est optio laboriosam dolores nesciunt enim rerum, suscipit mollitia facere deleniti, magni aliquid reprehenderit commodi. Similique, voluptatibus?\n\nModi tempora nam eveniet inventore est at ullam explicabo quam maxime, iusto, minus sapiente, similique vero perferendis! Suscipit sed voluptates sint explicabo.\n\nA repellat animi necessitatibus! Repellat nostrum quidem suscipit maiores accusantium at, officiis unde sit modi consectetur totam repellendus! Necessitatibus doloremque ex laboriosam!\n<h3>Lorem ipsum dolor sit.</h3>\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Sed aliquam amet veniam nam reiciendis delectus sint quisquam laborum et aspernatur porro eaque, dicta soluta inventore similique non minus! Facere, molestias. Architecto quis libero quam error vel corporis, labore quidem illum cumque tempore, magni nam odio dolores atque rerum ipsa aut laborum facere, fugit enim tenetur.\n\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Similique nisi architecto explicabo, quia, ab officiis nemo ad fuga aliquid, consequatur eveniet! Praesentium iste cumque dolore quos aspernatur deleniti itaque, porro quis, adipisci necessitatibus?\n<h3>Lorem ipsum dolor.</h3>\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Id aliquid illo, praesentium aspernatur impedit, illum ea voluptatum nobis iure adipisci obcaecati laboriosam.\n\nTempora quidem quam neque autem est optio laboriosam dolores nesciunt enim rerum, suscipit mollitia facere deleniti, magni aliquid reprehenderit commodi. Similique, voluptatibus?\n\nModi tempora nam eveniet inventore est at ullam explicabo quam maxime, iusto, minus sapiente, similique vero perferendis! Suscipit sed voluptates sint explicabo.\n\nA repellat animi necessitatibus! Repellat nostrum quidem suscipit maiores accusantium at, officiis unde sit modi consectetur totam repellendus! Necessitatibus doloremque ex laboriosam!\n<h3>Lorem ipsum dolor sit.</h3>\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Sed aliquam amet veniam nam reiciendis delectus sint quisquam laborum et aspernatur porro eaque, dicta soluta inventore similique non minus! Facere, molestias. Architecto quis libero quam error vel corporis, labore quidem illum cumque tempore, magni nam odio dolores atque rerum ipsa aut laborum facere, fugit enim tenetur.", "CP Obcaecati, numquam", "Quam expedita in nostrum incidunt cum fugit quisquam dolore temporibus perferendis, debitis.\r\n", "publish", "open", "open", "", "cp-obcaecati-numquam", "", "", "2019-02-04 02:07:48", "2019-02-04 02:07:48", "", "0", "http://localhost:8888/wp-2019/miyzaki-exercise/?p=377", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("378", "1", "2018-10-03 00:35:49", "2018-10-03 00:35:49", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Natus, vero repellendus eos. Sed velit aliquid corporis numquam quis officiis maxime consequuntur doloremque amet accusamus nesciunt, praesentium quidem at assumenda quisquam omnis voluptas veritatis?</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eaque quae itaque accusantium nam facilis ad vero, maiores officiis ab, cupiditate, recusandae molestias.</p>\r\n<p>Pariatur consequatur, ipsum quos veritatis in laborum eveniet praesentium dolorum necessitatibus architecto, consectetur amet, officiis consequuntur doloribus earum odio quo recusandae voluptates!</p>\r\n<p>Similique incidunt error voluptatum repellendus fuga sunt, dicta dolore necessitatibus nesciunt reprehenderit adipisci. Sed aperiam a nostrum odit debitis sint, ducimus dolor!</p>\r\n<p>Earum quos, ipsam consectetur nostrum tempora incidunt debitis temporibus itaque assumenda architecto dignissimos perferendis possimus ipsa commodi rerum vero nam ab voluptatem?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Vel quia repellat adipisci quidem aspernatur in. Iusto expedita ratione esse minima nostrum! Minus deleniti rerum impedit hic ullam doloremque a necessitatibus id aliquid blanditiis. At eveniet aspernatur cum veniam. Sequi perspiciatis corporis, laborum nulla nisi odit? Suscipit cupiditate expedita incidunt dolores quis sed minus delectus nulla.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Natus, vero repellendus eos. Sed velit aliquid corporis numquam quis officiis maxime consequuntur doloremque amet accusamus nesciunt, praesentium quidem at assumenda quisquam omnis voluptas veritatis?</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eaque quae itaque accusantium nam facilis ad vero, maiores officiis ab, cupiditate, recusandae molestias.</p>\r\n<p>Pariatur consequatur, ipsum quos veritatis in laborum eveniet praesentium dolorum necessitatibus architecto, consectetur amet, officiis consequuntur doloribus earum odio quo recusandae voluptates!</p>\r\n<p>Similique incidunt error voluptatum repellendus fuga sunt, dicta dolore necessitatibus nesciunt reprehenderit adipisci. Sed aperiam a nostrum odit debitis sint, ducimus dolor!</p>\r\n<p>Earum quos, ipsam consectetur nostrum tempora incidunt debitis temporibus itaque assumenda architecto dignissimos perferendis possimus ipsa commodi rerum vero nam ab voluptatem?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Vel quia repellat adipisci quidem aspernatur in. Iusto expedita ratione esse minima nostrum! Minus deleniti rerum impedit hic ullam doloremque a necessitatibus id aliquid blanditiis. At eveniet aspernatur cum veniam. Sequi perspiciatis corporis, laborum nulla nisi odit? Suscipit cupiditate expedita incidunt dolores quis sed minus delectus nulla.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Natus, vero repellendus eos. Sed velit aliquid corporis numquam quis officiis maxime consequuntur doloremque amet accusamus nesciunt, praesentium quidem at assumenda quisquam omnis voluptas veritatis?</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eaque quae itaque accusantium nam facilis ad vero, maiores officiis ab, cupiditate, recusandae molestias.</p>\r\n<p>Pariatur consequatur, ipsum quos veritatis in laborum eveniet praesentium dolorum necessitatibus architecto, consectetur amet, officiis consequuntur doloribus earum odio quo recusandae voluptates!</p>\r\n<p>Similique incidunt error voluptatum repellendus fuga sunt, dicta dolore necessitatibus nesciunt reprehenderit adipisci. Sed aperiam a nostrum odit debitis sint, ducimus dolor!</p>\r\n<p>Earum quos, ipsam consectetur nostrum tempora incidunt debitis temporibus itaque assumenda architecto dignissimos perferendis possimus ipsa commodi rerum vero nam ab voluptatem?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Vel quia repellat adipisci quidem aspernatur in. Iusto expedita ratione esse minima nostrum! Minus deleniti rerum impedit hic ullam doloremque a necessitatibus id aliquid blanditiis. At eveniet aspernatur cum veniam. Sequi perspiciatis corporis, laborum nulla nisi odit? Suscipit cupiditate expedita incidunt dolores quis sed minus delectus nulla.</p>\r\n", "CP Ipsa, ullam, quia.", "Beatae quisquam fuga neque natus impedit iste incidunt. Temporibus ratione perferendis repellendus.\r\n", "publish", "open", "open", "", "cp-ipsa-ullam-quia", "", "", "2019-02-03 00:45:23", "2019-02-03 00:45:23", "", "0", "http://localhost:8888/wp-2019/miyzaki-exercise/?p=378", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("379", "1", "2018-09-03 00:35:49", "2018-09-03 00:35:49", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Natus, vero repellendus eos. Sed velit aliquid corporis numquam quis officiis maxime consequuntur doloremque amet accusamus nesciunt, praesentium quidem at assumenda quisquam omnis voluptas veritatis?</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eaque quae itaque accusantium nam facilis ad vero, maiores officiis ab, cupiditate, recusandae molestias.</p>\r\n<p>Pariatur consequatur, ipsum quos veritatis in laborum eveniet praesentium dolorum necessitatibus architecto, consectetur amet, officiis consequuntur doloribus earum odio quo recusandae voluptates!</p>\r\n<p>Similique incidunt error voluptatum repellendus fuga sunt, dicta dolore necessitatibus nesciunt reprehenderit adipisci. Sed aperiam a nostrum odit debitis sint, ducimus dolor!</p>\r\n<p>Earum quos, ipsam consectetur nostrum tempora incidunt debitis temporibus itaque assumenda architecto dignissimos perferendis possimus ipsa commodi rerum vero nam ab voluptatem?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Vel quia repellat adipisci quidem aspernatur in. Iusto expedita ratione esse minima nostrum! Minus deleniti rerum impedit hic ullam doloremque a necessitatibus id aliquid blanditiis. At eveniet aspernatur cum veniam. Sequi perspiciatis corporis, laborum nulla nisi odit? Suscipit cupiditate expedita incidunt dolores quis sed minus delectus nulla.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Natus, vero repellendus eos. Sed velit aliquid corporis numquam quis officiis maxime consequuntur doloremque amet accusamus nesciunt, praesentium quidem at assumenda quisquam omnis voluptas veritatis?</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eaque quae itaque accusantium nam facilis ad vero, maiores officiis ab, cupiditate, recusandae molestias.</p>\r\n<p>Pariatur consequatur, ipsum quos veritatis in laborum eveniet praesentium dolorum necessitatibus architecto, consectetur amet, officiis consequuntur doloribus earum odio quo recusandae voluptates!</p>\r\n<p>Similique incidunt error voluptatum repellendus fuga sunt, dicta dolore necessitatibus nesciunt reprehenderit adipisci. Sed aperiam a nostrum odit debitis sint, ducimus dolor!</p>\r\n<p>Earum quos, ipsam consectetur nostrum tempora incidunt debitis temporibus itaque assumenda architecto dignissimos perferendis possimus ipsa commodi rerum vero nam ab voluptatem?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Vel quia repellat adipisci quidem aspernatur in. Iusto expedita ratione esse minima nostrum! Minus deleniti rerum impedit hic ullam doloremque a necessitatibus id aliquid blanditiis. At eveniet aspernatur cum veniam. Sequi perspiciatis corporis, laborum nulla nisi odit? Suscipit cupiditate expedita incidunt dolores quis sed minus delectus nulla.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Natus, vero repellendus eos. Sed velit aliquid corporis numquam quis officiis maxime consequuntur doloremque amet accusamus nesciunt, praesentium quidem at assumenda quisquam omnis voluptas veritatis?</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eaque quae itaque accusantium nam facilis ad vero, maiores officiis ab, cupiditate, recusandae molestias.</p>\r\n<p>Pariatur consequatur, ipsum quos veritatis in laborum eveniet praesentium dolorum necessitatibus architecto, consectetur amet, officiis consequuntur doloribus earum odio quo recusandae voluptates!</p>\r\n<p>Similique incidunt error voluptatum repellendus fuga sunt, dicta dolore necessitatibus nesciunt reprehenderit adipisci. Sed aperiam a nostrum odit debitis sint, ducimus dolor!</p>\r\n<p>Earum quos, ipsam consectetur nostrum tempora incidunt debitis temporibus itaque assumenda architecto dignissimos perferendis possimus ipsa commodi rerum vero nam ab voluptatem?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Vel quia repellat adipisci quidem aspernatur in. Iusto expedita ratione esse minima nostrum! Minus deleniti rerum impedit hic ullam doloremque a necessitatibus id aliquid blanditiis. At eveniet aspernatur cum veniam. Sequi perspiciatis corporis, laborum nulla nisi odit? Suscipit cupiditate expedita incidunt dolores quis sed minus delectus nulla.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Natus, vero repellendus eos. Sed velit aliquid corporis numquam quis officiis maxime consequuntur doloremque amet accusamus nesciunt, praesentium quidem at assumenda quisquam omnis voluptas veritatis?</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eaque quae itaque accusantium nam facilis ad vero, maiores officiis ab, cupiditate, recusandae molestias.</p>\r\n<p>Pariatur consequatur, ipsum quos veritatis in laborum eveniet praesentium dolorum necessitatibus architecto, consectetur amet, officiis consequuntur doloribus earum odio quo recusandae voluptates!</p>\r\n<p>Similique incidunt error voluptatum repellendus fuga sunt, dicta dolore necessitatibus nesciunt reprehenderit adipisci. Sed aperiam a nostrum odit debitis sint, ducimus dolor!</p>\r\n<p>Earum quos, ipsam consectetur nostrum tempora incidunt debitis temporibus itaque assumenda architecto dignissimos perferendis possimus ipsa commodi rerum vero nam ab voluptatem?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Vel quia repellat adipisci quidem aspernatur in. Iusto expedita ratione esse minima nostrum! Minus deleniti rerum impedit hic ullam doloremque a necessitatibus id aliquid blanditiis. At eveniet aspernatur cum veniam. Sequi perspiciatis corporis, laborum nulla nisi odit? Suscipit cupiditate expedita incidunt dolores quis sed minus delectus nulla.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Natus, vero repellendus eos. Sed velit aliquid corporis numquam quis officiis maxime consequuntur doloremque amet accusamus nesciunt, praesentium quidem at assumenda quisquam omnis voluptas veritatis?</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eaque quae itaque accusantium nam facilis ad vero, maiores officiis ab, cupiditate, recusandae molestias.</p>\r\n<p>Pariatur consequatur, ipsum quos veritatis in laborum eveniet praesentium dolorum necessitatibus architecto, consectetur amet, officiis consequuntur doloribus earum odio quo recusandae voluptates!</p>\r\n<p>Similique incidunt error voluptatum repellendus fuga sunt, dicta dolore necessitatibus nesciunt reprehenderit adipisci. Sed aperiam a nostrum odit debitis sint, ducimus dolor!</p>\r\n<p>Earum quos, ipsam consectetur nostrum tempora incidunt debitis temporibus itaque assumenda architecto dignissimos perferendis possimus ipsa commodi rerum vero nam ab voluptatem?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Vel quia repellat adipisci quidem aspernatur in. Iusto expedita ratione esse minima nostrum! Minus deleniti rerum impedit hic ullam doloremque a necessitatibus id aliquid blanditiis. At eveniet aspernatur cum veniam. Sequi perspiciatis corporis, laborum nulla nisi odit? Suscipit cupiditate expedita incidunt dolores quis sed minus delectus nulla.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Natus, vero repellendus eos. Sed velit aliquid corporis numquam quis officiis maxime consequuntur doloremque amet accusamus nesciunt, praesentium quidem at assumenda quisquam omnis voluptas veritatis?</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eaque quae itaque accusantium nam facilis ad vero, maiores officiis ab, cupiditate, recusandae molestias.</p>\r\n<p>Pariatur consequatur, ipsum quos veritatis in laborum eveniet praesentium dolorum necessitatibus architecto, consectetur amet, officiis consequuntur doloribus earum odio quo recusandae voluptates!</p>\r\n<p>Similique incidunt error voluptatum repellendus fuga sunt, dicta dolore necessitatibus nesciunt reprehenderit adipisci. Sed aperiam a nostrum odit debitis sint, ducimus dolor!</p>\r\n<p>Earum quos, ipsam consectetur nostrum tempora incidunt debitis temporibus itaque assumenda architecto dignissimos perferendis possimus ipsa commodi rerum vero nam ab voluptatem?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Vel quia repellat adipisci quidem aspernatur in. Iusto expedita ratione esse minima nostrum! Minus deleniti rerum impedit hic ullam doloremque a necessitatibus id aliquid blanditiis. At eveniet aspernatur cum veniam. Sequi perspiciatis corporis, laborum nulla nisi odit? Suscipit cupiditate expedita incidunt dolores quis sed minus delectus nulla.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Natus, vero repellendus eos. Sed velit aliquid corporis numquam quis officiis maxime consequuntur doloremque amet accusamus nesciunt, praesentium quidem at assumenda quisquam omnis voluptas veritatis?</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eaque quae itaque accusantium nam facilis ad vero, maiores officiis ab, cupiditate, recusandae molestias.</p>\r\n<p>Pariatur consequatur, ipsum quos veritatis in laborum eveniet praesentium dolorum necessitatibus architecto, consectetur amet, officiis consequuntur doloribus earum odio quo recusandae voluptates!</p>\r\n<p>Similique incidunt error voluptatum repellendus fuga sunt, dicta dolore necessitatibus nesciunt reprehenderit adipisci. Sed aperiam a nostrum odit debitis sint, ducimus dolor!</p>\r\n<p>Earum quos, ipsam consectetur nostrum tempora incidunt debitis temporibus itaque assumenda architecto dignissimos perferendis possimus ipsa commodi rerum vero nam ab voluptatem?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Vel quia repellat adipisci quidem aspernatur in. Iusto expedita ratione esse minima nostrum! Minus deleniti rerum impedit hic ullam doloremque a necessitatibus id aliquid blanditiis. At eveniet aspernatur cum veniam. Sequi perspiciatis corporis, laborum nulla nisi odit? Suscipit cupiditate expedita incidunt dolores quis sed minus delectus nulla.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Natus, vero repellendus eos. Sed velit aliquid corporis numquam quis officiis maxime consequuntur doloremque amet accusamus nesciunt, praesentium quidem at assumenda quisquam omnis voluptas veritatis?</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eaque quae itaque accusantium nam facilis ad vero, maiores officiis ab, cupiditate, recusandae molestias.</p>\r\n<p>Pariatur consequatur, ipsum quos veritatis in laborum eveniet praesentium dolorum necessitatibus architecto, consectetur amet, officiis consequuntur doloribus earum odio quo recusandae voluptates!</p>\r\n<p>Similique incidunt error voluptatum repellendus fuga sunt, dicta dolore necessitatibus nesciunt reprehenderit adipisci. Sed aperiam a nostrum odit debitis sint, ducimus dolor!</p>\r\n<p>Earum quos, ipsam consectetur nostrum tempora incidunt debitis temporibus itaque assumenda architecto dignissimos perferendis possimus ipsa commodi rerum vero nam ab voluptatem?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Vel quia repellat adipisci quidem aspernatur in. Iusto expedita ratione esse minima nostrum! Minus deleniti rerum impedit hic ullam doloremque a necessitatibus id aliquid blanditiis. At eveniet aspernatur cum veniam. Sequi perspiciatis corporis, laborum nulla nisi odit? Suscipit cupiditate expedita incidunt dolores quis sed minus delectus nulla.</p>\r\n", "CP Quos, inventore.", "Beatae quisquam fuga neque natus impedit iste incidunt. Temporibus ratione perferendis repellendus.\r\n", "publish", "open", "open", "", "cp-quos-inventore", "", "", "2019-02-03 00:45:35", "2019-02-03 00:45:35", "", "0", "http://localhost:8888/wp-2019/miyzaki-exercise/?p=379", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("380", "1", "2018-04-03 00:35:49", "2018-04-03 00:35:49", "Lorem ipsum dolor sit amet, consectetur adipisicing elit. Fugit labore voluptatem voluptatum nostrum in explicabo ab itaque perspiciatis ipsam sapiente, recusandae, voluptate unde. Reiciendis voluptatum quia ad nulla recusandae molestias atque sequi laudantium.\n<h3>Lorem ipsum dolor.</h3>\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Minima, ipsam necessitatibus temporibus qui accusamus, quasi, totam repudiandae doloremque rerum quia delectus nam.\n\nLabore harum, maiores veniam cupiditate qui explicabo voluptatem earum id, dolor, voluptas saepe natus. Porro debitis ullam itaque, accusantium culpa soluta voluptatum.\n\nAssumenda similique labore, corrupti recusandae quisquam, accusantium provident voluptates incidunt, neque eum consequuntur. At minus, iste dolore repudiandae ipsum ea, cupiditate molestias.\n\nVitae ad id accusamus quia aspernatur ab, iusto, repellendus beatae rem aperiam ipsam atque, laboriosam nesciunt ea sunt officiis in? Modi, velit.\n<h3>Lorem ipsum dolor sit.</h3>\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Sapiente adipisci, hic itaque dicta, facere tempore aut voluptatum magni. Quisquam tenetur, esse ducimus nesciunt praesentium accusantium porro laborum quas, minus ab placeat repellendus labore perspiciatis? Sapiente odio fugiat, id eum ipsam recusandae nobis nemo assumenda quam! Dolorem provident ipsa consequatur quibusdam illum possimus quis itaque ducimus.\n\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Fugit labore voluptatem voluptatum nostrum in explicabo ab itaque perspiciatis ipsam sapiente, recusandae, voluptate unde. Reiciendis voluptatum quia ad nulla recusandae molestias atque sequi laudantium.\n<h3>Lorem ipsum dolor.</h3>\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Minima, ipsam necessitatibus temporibus qui accusamus, quasi, totam repudiandae doloremque rerum quia delectus nam.\n\nLabore harum, maiores veniam cupiditate qui explicabo voluptatem earum id, dolor, voluptas saepe natus. Porro debitis ullam itaque, accusantium culpa soluta voluptatum.\n\nAssumenda similique labore, corrupti recusandae quisquam, accusantium provident voluptates incidunt, neque eum consequuntur. At minus, iste dolore repudiandae ipsum ea, cupiditate molestias.\n\nVitae ad id accusamus quia aspernatur ab, iusto, repellendus beatae rem aperiam ipsam atque, laboriosam nesciunt ea sunt officiis in? Modi, velit.\n<h3>Lorem ipsum dolor sit.</h3>\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Sapiente adipisci, hic itaque dicta, facere tempore aut voluptatum magni. Quisquam tenetur, esse ducimus nesciunt praesentium accusantium porro laborum quas, minus ab placeat repellendus labore perspiciatis? Sapiente odio fugiat, id eum ipsam recusandae nobis nemo assumenda quam! Dolorem provident ipsa consequatur quibusdam illum possimus quis itaque ducimus.\n\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Fugit labore voluptatem voluptatum nostrum in explicabo ab itaque perspiciatis ipsam sapiente, recusandae, voluptate unde. Reiciendis voluptatum quia ad nulla recusandae molestias atque sequi laudantium.\n<h3>Lorem ipsum dolor.</h3>\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Minima, ipsam necessitatibus temporibus qui accusamus, quasi, totam repudiandae doloremque rerum quia delectus nam.\n\nLabore harum, maiores veniam cupiditate qui explicabo voluptatem earum id, dolor, voluptas saepe natus. Porro debitis ullam itaque, accusantium culpa soluta voluptatum.\n\nAssumenda similique labore, corrupti recusandae quisquam, accusantium provident voluptates incidunt, neque eum consequuntur. At minus, iste dolore repudiandae ipsum ea, cupiditate molestias.\n\nVitae ad id accusamus quia aspernatur ab, iusto, repellendus beatae rem aperiam ipsam atque, laboriosam nesciunt ea sunt officiis in? Modi, velit.\n<h3>Lorem ipsum dolor sit.</h3>\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Sapiente adipisci, hic itaque dicta, facere tempore aut voluptatum magni. Quisquam tenetur, esse ducimus nesciunt praesentium accusantium porro laborum quas, minus ab placeat repellendus labore perspiciatis? Sapiente odio fugiat, id eum ipsam recusandae nobis nemo assumenda quam! Dolorem provident ipsa consequatur quibusdam illum possimus quis itaque ducimus.", "CP Iusto, autem.", "Ea illum cumque, incidunt quisquam odit molestiae. Esse, quidem. Nihil, voluptates dolor.\r\n", "publish", "open", "open", "", "cp-iusto-autem", "", "", "2019-02-04 02:07:52", "2019-02-04 02:07:52", "", "0", "http://localhost:8888/wp-2019/miyzaki-exercise/?p=380", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("381", "1", "2018-09-03 00:35:49", "2018-09-03 00:35:49", "Lorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur hic quasi odio voluptates eligendi illum suscipit asperiores fugit placeat inventore ratione explicabo assumenda blanditiis ipsam ipsum repellat ipsa, sint tempora odit eos? Sequi!\n<h3>Lorem ipsum dolor.</h3>\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Eveniet obcaecati ratione cum id natus asperiores maiores recusandae animi, corporis dolore dolorem ut!\n\nSoluta sunt quos dolore cumque earum temporibus, officiis at similique voluptas quam ullam accusantium autem, odio fugit magnam aut quisquam unde rem.\n\nAd, eaque quo voluptatem dolorum esse minus illo, cupiditate fuga quidem ipsa! Voluptatem asperiores consequatur, nesciunt minima doloribus, dolorum fuga alias. Voluptas.\n\nProvident omnis veritatis rem debitis impedit quo excepturi! Illum, nesciunt, dolores adipisci sapiente soluta explicabo nihil debitis molestiae excepturi esse placeat accusamus.\n<h3>Lorem ipsum dolor sit.</h3>\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Unde maxime nihil doloremque! Quos asperiores voluptas aliquam molestiae ut molestias fugiat, quasi, expedita amet explicabo aspernatur perferendis, eum reiciendis dicta natus accusamus alias incidunt sunt nemo voluptatum nesciunt veritatis architecto et doloremque aperiam! At enim nisi aut dignissimos minus corporis, magni tenetur eveniet aliquam illo! Error!\n\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur hic quasi odio voluptates eligendi illum suscipit asperiores fugit placeat inventore ratione explicabo assumenda blanditiis ipsam ipsum repellat ipsa, sint tempora odit eos? Sequi!\n<h3>Lorem ipsum dolor.</h3>\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Eveniet obcaecati ratione cum id natus asperiores maiores recusandae animi, corporis dolore dolorem ut!\n\nSoluta sunt quos dolore cumque earum temporibus, officiis at similique voluptas quam ullam accusantium autem, odio fugit magnam aut quisquam unde rem.\n\nAd, eaque quo voluptatem dolorum esse minus illo, cupiditate fuga quidem ipsa! Voluptatem asperiores consequatur, nesciunt minima doloribus, dolorum fuga alias. Voluptas.\n\nProvident omnis veritatis rem debitis impedit quo excepturi! Illum, nesciunt, dolores adipisci sapiente soluta explicabo nihil debitis molestiae excepturi esse placeat accusamus.\n<h3>Lorem ipsum dolor sit.</h3>\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Unde maxime nihil doloremque! Quos asperiores voluptas aliquam molestiae ut molestias fugiat, quasi, expedita amet explicabo aspernatur perferendis, eum reiciendis dicta natus accusamus alias incidunt sunt nemo voluptatum nesciunt veritatis architecto et doloremque aperiam! At enim nisi aut dignissimos minus corporis, magni tenetur eveniet aliquam illo! Error!\n\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur hic quasi odio voluptates eligendi illum suscipit asperiores fugit placeat inventore ratione explicabo assumenda blanditiis ipsam ipsum repellat ipsa, sint tempora odit eos? Sequi!\n<h3>Lorem ipsum dolor.</h3>\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Eveniet obcaecati ratione cum id natus asperiores maiores recusandae animi, corporis dolore dolorem ut!\n\nSoluta sunt quos dolore cumque earum temporibus, officiis at similique voluptas quam ullam accusantium autem, odio fugit magnam aut quisquam unde rem.\n\nAd, eaque quo voluptatem dolorum esse minus illo, cupiditate fuga quidem ipsa! Voluptatem asperiores consequatur, nesciunt minima doloribus, dolorum fuga alias. Voluptas.\n\nProvident omnis veritatis rem debitis impedit quo excepturi! Illum, nesciunt, dolores adipisci sapiente soluta explicabo nihil debitis molestiae excepturi esse placeat accusamus.\n<h3>Lorem ipsum dolor sit.</h3>\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Unde maxime nihil doloremque! Quos asperiores voluptas aliquam molestiae ut molestias fugiat, quasi, expedita amet explicabo aspernatur perferendis, eum reiciendis dicta natus accusamus alias incidunt sunt nemo voluptatum nesciunt veritatis architecto et doloremque aperiam! At enim nisi aut dignissimos minus corporis, magni tenetur eveniet aliquam illo! Error!", "CP Error, fugit, animi.", "Sapiente, ex, vel. Enim libero consequatur perferendis architecto harum, voluptatum maxime adipisci!\r\n", "publish", "open", "open", "", "cp-error-fugit-animi", "", "", "2019-02-04 02:07:59", "2019-02-04 02:07:59", "", "0", "http://localhost:8888/wp-2019/miyzaki-exercise/?p=381", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("382", "1", "2016-02-03 00:35:49", "2016-02-03 00:35:49", "Lorem ipsum dolor sit amet, consectetur adipisicing elit. Magnam, reprehenderit at. Consequuntur facere consequatur sapiente ab ducimus labore quam quod modi cumque distinctio, nostrum, voluptates sint, a voluptatem fuga placeat quis aliquam eius.\n<h3>Lorem ipsum dolor.</h3>\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatum, pariatur nam odit ad quas optio non, quasi sed officiis quaerat reiciendis consectetur.\n\nIure in, officiis nam cum neque ducimus commodi consequuntur magni enim veniam nemo alias aliquid eveniet nihil repellat dolore omnis. Repellendus, atque.\n\nVoluptate aspernatur velit nam assumenda mollitia facilis explicabo, commodi, neque eaque consequuntur illo. Inventore adipisci nulla ullam suscipit vero odit, quaerat quia.\n\nProvident, consequuntur atque exercitationem corrupti laboriosam ipsam, reiciendis, praesentium totam delectus quas nobis doloribus. Voluptas ipsum explicabo eaque mollitia cupiditate ratione nam!\n<h3>Lorem ipsum dolor sit.</h3>\nLorem ipsum dolor sit amet, consectetur adipisicing elit. In nesciunt ratione tempore quaerat, cum assumenda distinctio quod debitis, harum nulla expedita. Architecto odio quae esse commodi eveniet mollitia nihil, cupiditate corporis delectus ipsum. Fugiat perferendis nulla culpa tempora modi eius id dolor harum optio ea aliquam quaerat voluptatum similique, pariatur nisi deleniti, et animi itaque.\n\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Magnam, reprehenderit at. Consequuntur facere consequatur sapiente ab ducimus labore quam quod modi cumque distinctio, nostrum, voluptates sint, a voluptatem fuga placeat quis aliquam eius.\n<h3>Lorem ipsum dolor.</h3>\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatum, pariatur nam odit ad quas optio non, quasi sed officiis quaerat reiciendis consectetur.\n\nIure in, officiis nam cum neque ducimus commodi consequuntur magni enim veniam nemo alias aliquid eveniet nihil repellat dolore omnis. Repellendus, atque.\n\nVoluptate aspernatur velit nam assumenda mollitia facilis explicabo, commodi, neque eaque consequuntur illo. Inventore adipisci nulla ullam suscipit vero odit, quaerat quia.\n\nProvident, consequuntur atque exercitationem corrupti laboriosam ipsam, reiciendis, praesentium totam delectus quas nobis doloribus. Voluptas ipsum explicabo eaque mollitia cupiditate ratione nam!\n<h3>Lorem ipsum dolor sit.</h3>\nLorem ipsum dolor sit amet, consectetur adipisicing elit. In nesciunt ratione tempore quaerat, cum assumenda distinctio quod debitis, harum nulla expedita. Architecto odio quae esse commodi eveniet mollitia nihil, cupiditate corporis delectus ipsum. Fugiat perferendis nulla culpa tempora modi eius id dolor harum optio ea aliquam quaerat voluptatum similique, pariatur nisi deleniti, et animi itaque.\n\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Magnam, reprehenderit at. Consequuntur facere consequatur sapiente ab ducimus labore quam quod modi cumque distinctio, nostrum, voluptates sint, a voluptatem fuga placeat quis aliquam eius.\n<h3>Lorem ipsum dolor.</h3>\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatum, pariatur nam odit ad quas optio non, quasi sed officiis quaerat reiciendis consectetur.\n\nIure in, officiis nam cum neque ducimus commodi consequuntur magni enim veniam nemo alias aliquid eveniet nihil repellat dolore omnis. Repellendus, atque.\n\nVoluptate aspernatur velit nam assumenda mollitia facilis explicabo, commodi, neque eaque consequuntur illo. Inventore adipisci nulla ullam suscipit vero odit, quaerat quia.\n\nProvident, consequuntur atque exercitationem corrupti laboriosam ipsam, reiciendis, praesentium totam delectus quas nobis doloribus. Voluptas ipsum explicabo eaque mollitia cupiditate ratione nam!\n<h3>Lorem ipsum dolor sit.</h3>\nLorem ipsum dolor sit amet, consectetur adipisicing elit. In nesciunt ratione tempore quaerat, cum assumenda distinctio quod debitis, harum nulla expedita. Architecto odio quae esse commodi eveniet mollitia nihil, cupiditate corporis delectus ipsum. Fugiat perferendis nulla culpa tempora modi eius id dolor harum optio ea aliquam quaerat voluptatum similique, pariatur nisi deleniti, et animi itaque.", "CP Veritatis, recudae, iure.", "Porro consequuntur quisquam minus nemo placeat alias neque aliquam, provident iusto similique.\r\n", "publish", "open", "open", "", "cp-veritatis-recudae-iure", "", "", "2019-02-04 02:07:46", "2019-02-04 02:07:46", "", "0", "http://localhost:8888/wp-2019/miyzaki-exercise/?p=382", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("383", "1", "2017-11-29 00:35:49", "2017-11-29 00:35:49", "Lorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur molestias dicta, cum quae voluptatum tenetur illo atque id est at natus animi provident maxime in libero deserunt facere ea sint. A, perspiciatis non.\n<h3>Lorem ipsum dolor.</h3>\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Assumenda quas omnis dolores? Eos alias dolorum, commodi neque! Expedita harum eveniet, quisquam laboriosam!\n\nIn dicta hic quidem, dolorem fugit eveniet. Inventore quam, sint fugit repudiandae cupiditate ducimus voluptate voluptatibus autem laborum labore veritatis officia ullam!\n\nFugiat modi enim earum est saepe magnam eligendi at, asperiores cumque similique officia possimus adipisci nulla ullam alias reprehenderit, praesentium neque tempora!\n\nPlaceat aut unde incidunt blanditiis dolorum, facilis id error, officiis velit ex. Est vel, aspernatur quis inventore autem id veniam vitae, recusandae.\n<h3>Lorem ipsum dolor sit.</h3>\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Libero tempore facere ab animi eveniet sunt, consequuntur nisi non ducimus nostrum. Sit dolorum tempore assumenda ea ipsum, praesentium cumque cupiditate, impedit neque quasi culpa dolore. Nisi quasi, fuga enim aperiam aliquam dolorum architecto. Quo incidunt vel quos tenetur minima, quae, quam iusto numquam expedita, totam modi!\n\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur molestias dicta, cum quae voluptatum tenetur illo atque id est at natus animi provident maxime in libero deserunt facere ea sint. A, perspiciatis non.\n<h3>Lorem ipsum dolor.</h3>\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Assumenda quas omnis dolores? Eos alias dolorum, commodi neque! Expedita harum eveniet, quisquam laboriosam!\n\nIn dicta hic quidem, dolorem fugit eveniet. Inventore quam, sint fugit repudiandae cupiditate ducimus voluptate voluptatibus autem laborum labore veritatis officia ullam!\n\nFugiat modi enim earum est saepe magnam eligendi at, asperiores cumque similique officia possimus adipisci nulla ullam alias reprehenderit, praesentium neque tempora!\n\nPlaceat aut unde incidunt blanditiis dolorum, facilis id error, officiis velit ex. Est vel, aspernatur quis inventore autem id veniam vitae, recusandae.\n<h3>Lorem ipsum dolor sit.</h3>\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Libero tempore facere ab animi eveniet sunt, consequuntur nisi non ducimus nostrum. Sit dolorum tempore assumenda ea ipsum, praesentium cumque cupiditate, impedit neque quasi culpa dolore. Nisi quasi, fuga enim aperiam aliquam dolorum architecto. Quo incidunt vel quos tenetur minima, quae, quam iusto numquam expedita, totam modi!\n\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur molestias dicta, cum quae voluptatum tenetur illo atque id est at natus animi provident maxime in libero deserunt facere ea sint. A, perspiciatis non.\n<h3>Lorem ipsum dolor.</h3>\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Assumenda quas omnis dolores? Eos alias dolorum, commodi neque! Expedita harum eveniet, quisquam laboriosam!\n\nIn dicta hic quidem, dolorem fugit eveniet. Inventore quam, sint fugit repudiandae cupiditate ducimus voluptate voluptatibus autem laborum labore veritatis officia ullam!\n\nFugiat modi enim earum est saepe magnam eligendi at, asperiores cumque similique officia possimus adipisci nulla ullam alias reprehenderit, praesentium neque tempora!\n\nPlaceat aut unde incidunt blanditiis dolorum, facilis id error, officiis velit ex. Est vel, aspernatur quis inventore autem id veniam vitae, recusandae.\n<h3>Lorem ipsum dolor sit.</h3>\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Libero tempore facere ab animi eveniet sunt, consequuntur nisi non ducimus nostrum. Sit dolorum tempore assumenda ea ipsum, praesentium cumque cupiditate, impedit neque quasi culpa dolore. Nisi quasi, fuga enim aperiam aliquam dolorum architecto. Quo incidunt vel quos tenetur minima, quae, quam iusto numquam expedita, totam modi!", "CP Deleniti corporis, drunt.", "Eum deleniti nobis porro ea sapiente. Suscipit doloremque temporibus, sit commodi omnis.\r\n", "publish", "open", "open", "", "cp-deleniti-corporis-drunt", "", "", "2019-02-04 02:07:49", "2019-02-04 02:07:49", "", "0", "http://localhost:8888/wp-2019/miyzaki-exercise/?p=383", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("384", "1", "2018-03-01 00:35:49", "2018-03-01 00:35:49", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Cum tempora, incidunt modi sint rerum delectus iste dolorem veniam omnis ullam saepe quia, laboriosam iusto dolorum ducimus velit. Cum aperiam laudantium cumque, perspiciatis minima!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quibusdam omnis ipsum et, praesentium sint expedita eum soluta. Distinctio ipsam soluta praesentium laborum.</p>\r\n<p>Aut eos ea incidunt atque laudantium, doloribus harum est asperiores modi similique impedit, perspiciatis, rem quod accusantium dignissimos? Soluta eum, assumenda doloremque.</p>\r\n<p>Soluta distinctio odio est excepturi eos quis, delectus ex maiores quos nemo cum, accusamus, ratione facere enim aliquid accusantium facilis, cupiditate eius.</p>\r\n<p>Temporibus ipsum sint provident ad iste, ipsa natus id, voluptatem, commodi aliquam ullam nobis? Dolorum quia nihil voluptas quas dolore sapiente! Voluptatum.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quam soluta culpa laborum! Sit rerum porro fuga eos, expedita nesciunt cumque totam esse provident rem! Eius recusandae fuga quasi, ipsum. Nemo quaerat perferendis sunt architecto reprehenderit est mollitia eius, laboriosam quidem consequatur perspiciatis, placeat cupiditate nesciunt omnis illo vel! Sit quisquam totam, ipsum veritatis laborum voluptatum.</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Cum tempora, incidunt modi sint rerum delectus iste dolorem veniam omnis ullam saepe quia, laboriosam iusto dolorum ducimus velit. Cum aperiam laudantium cumque, perspiciatis minima!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quibusdam omnis ipsum et, praesentium sint expedita eum soluta. Distinctio ipsam soluta praesentium laborum.</p>\r\n<p>Aut eos ea incidunt atque laudantium, doloribus harum est asperiores modi similique impedit, perspiciatis, rem quod accusantium dignissimos? Soluta eum, assumenda doloremque.</p>\r\n<p>Soluta distinctio odio est excepturi eos quis, delectus ex maiores quos nemo cum, accusamus, ratione facere enim aliquid accusantium facilis, cupiditate eius.</p>\r\n<p>Temporibus ipsum sint provident ad iste, ipsa natus id, voluptatem, commodi aliquam ullam nobis? Dolorum quia nihil voluptas quas dolore sapiente! Voluptatum.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quam soluta culpa laborum! Sit rerum porro fuga eos, expedita nesciunt cumque totam esse provident rem! Eius recusandae fuga quasi, ipsum. Nemo quaerat perferendis sunt architecto reprehenderit est mollitia eius, laboriosam quidem consequatur perspiciatis, placeat cupiditate nesciunt omnis illo vel! Sit quisquam totam, ipsum veritatis laborum voluptatum.</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Cum tempora, incidunt modi sint rerum delectus iste dolorem veniam omnis ullam saepe quia, laboriosam iusto dolorum ducimus velit. Cum aperiam laudantium cumque, perspiciatis minima!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quibusdam omnis ipsum et, praesentium sint expedita eum soluta. Distinctio ipsam soluta praesentium laborum.</p>\r\n<p>Aut eos ea incidunt atque laudantium, doloribus harum est asperiores modi similique impedit, perspiciatis, rem quod accusantium dignissimos? Soluta eum, assumenda doloremque.</p>\r\n<p>Soluta distinctio odio est excepturi eos quis, delectus ex maiores quos nemo cum, accusamus, ratione facere enim aliquid accusantium facilis, cupiditate eius.</p>\r\n<p>Temporibus ipsum sint provident ad iste, ipsa natus id, voluptatem, commodi aliquam ullam nobis? Dolorum quia nihil voluptas quas dolore sapiente! Voluptatum.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quam soluta culpa laborum! Sit rerum porro fuga eos, expedita nesciunt cumque totam esse provident rem! Eius recusandae fuga quasi, ipsum. Nemo quaerat perferendis sunt architecto reprehenderit est mollitia eius, laboriosam quidem consequatur perspiciatis, placeat cupiditate nesciunt omnis illo vel! Sit quisquam totam, ipsum veritatis laborum voluptatum.</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Cum tempora, incidunt modi sint rerum delectus iste dolorem veniam omnis ullam saepe quia, laboriosam iusto dolorum ducimus velit. Cum aperiam laudantium cumque, perspiciatis minima!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quibusdam omnis ipsum et, praesentium sint expedita eum soluta. Distinctio ipsam soluta praesentium laborum.</p>\r\n<p>Aut eos ea incidunt atque laudantium, doloribus harum est asperiores modi similique impedit, perspiciatis, rem quod accusantium dignissimos? Soluta eum, assumenda doloremque.</p>\r\n<p>Soluta distinctio odio est excepturi eos quis, delectus ex maiores quos nemo cum, accusamus, ratione facere enim aliquid accusantium facilis, cupiditate eius.</p>\r\n<p>Temporibus ipsum sint provident ad iste, ipsa natus id, voluptatem, commodi aliquam ullam nobis? Dolorum quia nihil voluptas quas dolore sapiente! Voluptatum.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quam soluta culpa laborum! Sit rerum porro fuga eos, expedita nesciunt cumque totam esse provident rem! Eius recusandae fuga quasi, ipsum. Nemo quaerat perferendis sunt architecto reprehenderit est mollitia eius, laboriosam quidem consequatur perspiciatis, placeat cupiditate nesciunt omnis illo vel! Sit quisquam totam, ipsum veritatis laborum voluptatum.</p>", "Utility Cupcake Research Kitchen", "Voluptates unde, sit officia. Dolores earum sapiente neque tempora, excepturi exercitationem distinctio!\r\n", "publish", "open", "open", "", "utility-cupcake-research-kitchen", "", "", "2019-02-03 00:44:49", "2019-02-03 00:44:49", "", "0", "http://localhost:8888/wp-2019/miyzaki-exercise/?p=384", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("385", "1", "2019-02-03 00:36:15", "2019-02-03 00:36:15", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Similique nisi architecto explicabo, quia, ab officiis nemo ad fuga aliquid, consequatur eveniet! Praesentium iste cumque dolore quos aspernatur deleniti itaque, porro quis, adipisci necessitatibus?</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Id aliquid illo, praesentium aspernatur impedit, illum ea voluptatum nobis iure adipisci obcaecati laboriosam.</p>\r\n<p>Tempora quidem quam neque autem est optio laboriosam dolores nesciunt enim rerum, suscipit mollitia facere deleniti, magni aliquid reprehenderit commodi. Similique, voluptatibus?</p>\r\n<p>Modi tempora nam eveniet inventore est at ullam explicabo quam maxime, iusto, minus sapiente, similique vero perferendis! Suscipit sed voluptates sint explicabo.</p>\r\n<p>A repellat animi necessitatibus! Repellat nostrum quidem suscipit maiores accusantium at, officiis unde sit modi consectetur totam repellendus! Necessitatibus doloremque ex laboriosam!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sed aliquam amet veniam nam reiciendis delectus sint quisquam laborum et aspernatur porro eaque, dicta soluta inventore similique non minus! Facere, molestias. Architecto quis libero quam error vel corporis, labore quidem illum cumque tempore, magni nam odio dolores atque rerum ipsa aut laborum facere, fugit enim tenetur.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Similique nisi architecto explicabo, quia, ab officiis nemo ad fuga aliquid, consequatur eveniet! Praesentium iste cumque dolore quos aspernatur deleniti itaque, porro quis, adipisci necessitatibus?</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Id aliquid illo, praesentium aspernatur impedit, illum ea voluptatum nobis iure adipisci obcaecati laboriosam.</p>\r\n<p>Tempora quidem quam neque autem est optio laboriosam dolores nesciunt enim rerum, suscipit mollitia facere deleniti, magni aliquid reprehenderit commodi. Similique, voluptatibus?</p>\r\n<p>Modi tempora nam eveniet inventore est at ullam explicabo quam maxime, iusto, minus sapiente, similique vero perferendis! Suscipit sed voluptates sint explicabo.</p>\r\n<p>A repellat animi necessitatibus! Repellat nostrum quidem suscipit maiores accusantium at, officiis unde sit modi consectetur totam repellendus! Necessitatibus doloremque ex laboriosam!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sed aliquam amet veniam nam reiciendis delectus sint quisquam laborum et aspernatur porro eaque, dicta soluta inventore similique non minus! Facere, molestias. Architecto quis libero quam error vel corporis, labore quidem illum cumque tempore, magni nam odio dolores atque rerum ipsa aut laborum facere, fugit enim tenetur.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Similique nisi architecto explicabo, quia, ab officiis nemo ad fuga aliquid, consequatur eveniet! Praesentium iste cumque dolore quos aspernatur deleniti itaque, porro quis, adipisci necessitatibus?</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Id aliquid illo, praesentium aspernatur impedit, illum ea voluptatum nobis iure adipisci obcaecati laboriosam.</p>\r\n<p>Tempora quidem quam neque autem est optio laboriosam dolores nesciunt enim rerum, suscipit mollitia facere deleniti, magni aliquid reprehenderit commodi. Similique, voluptatibus?</p>\r\n<p>Modi tempora nam eveniet inventore est at ullam explicabo quam maxime, iusto, minus sapiente, similique vero perferendis! Suscipit sed voluptates sint explicabo.</p>\r\n<p>A repellat animi necessitatibus! Repellat nostrum quidem suscipit maiores accusantium at, officiis unde sit modi consectetur totam repellendus! Necessitatibus doloremque ex laboriosam!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sed aliquam amet veniam nam reiciendis delectus sint quisquam laborum et aspernatur porro eaque, dicta soluta inventore similique non minus! Facere, molestias. Architecto quis libero quam error vel corporis, labore quidem illum cumque tempore, magni nam odio dolores atque rerum ipsa aut laborum facere, fugit enim tenetur.</p>\r\n", "CP Obcaecati, numquam", "Quam expedita in nostrum incidunt cum fugit quisquam dolore temporibus perferendis, debitis.\r\n", "inherit", "closed", "closed", "", "377-revision-v1", "", "", "2019-02-03 00:36:15", "2019-02-03 00:36:15", "", "377", "http://localhost:8888/wp-2019/miyzaki-exercise/headlines/377-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("386", "1", "2019-02-03 00:36:26", "2019-02-03 00:36:26", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Natus, vero repellendus eos. Sed velit aliquid corporis numquam quis officiis maxime consequuntur doloremque amet accusamus nesciunt, praesentium quidem at assumenda quisquam omnis voluptas veritatis?</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eaque quae itaque accusantium nam facilis ad vero, maiores officiis ab, cupiditate, recusandae molestias.</p>\r\n<p>Pariatur consequatur, ipsum quos veritatis in laborum eveniet praesentium dolorum necessitatibus architecto, consectetur amet, officiis consequuntur doloribus earum odio quo recusandae voluptates!</p>\r\n<p>Similique incidunt error voluptatum repellendus fuga sunt, dicta dolore necessitatibus nesciunt reprehenderit adipisci. Sed aperiam a nostrum odit debitis sint, ducimus dolor!</p>\r\n<p>Earum quos, ipsam consectetur nostrum tempora incidunt debitis temporibus itaque assumenda architecto dignissimos perferendis possimus ipsa commodi rerum vero nam ab voluptatem?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Vel quia repellat adipisci quidem aspernatur in. Iusto expedita ratione esse minima nostrum! Minus deleniti rerum impedit hic ullam doloremque a necessitatibus id aliquid blanditiis. At eveniet aspernatur cum veniam. Sequi perspiciatis corporis, laborum nulla nisi odit? Suscipit cupiditate expedita incidunt dolores quis sed minus delectus nulla.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Natus, vero repellendus eos. Sed velit aliquid corporis numquam quis officiis maxime consequuntur doloremque amet accusamus nesciunt, praesentium quidem at assumenda quisquam omnis voluptas veritatis?</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eaque quae itaque accusantium nam facilis ad vero, maiores officiis ab, cupiditate, recusandae molestias.</p>\r\n<p>Pariatur consequatur, ipsum quos veritatis in laborum eveniet praesentium dolorum necessitatibus architecto, consectetur amet, officiis consequuntur doloribus earum odio quo recusandae voluptates!</p>\r\n<p>Similique incidunt error voluptatum repellendus fuga sunt, dicta dolore necessitatibus nesciunt reprehenderit adipisci. Sed aperiam a nostrum odit debitis sint, ducimus dolor!</p>\r\n<p>Earum quos, ipsam consectetur nostrum tempora incidunt debitis temporibus itaque assumenda architecto dignissimos perferendis possimus ipsa commodi rerum vero nam ab voluptatem?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Vel quia repellat adipisci quidem aspernatur in. Iusto expedita ratione esse minima nostrum! Minus deleniti rerum impedit hic ullam doloremque a necessitatibus id aliquid blanditiis. At eveniet aspernatur cum veniam. Sequi perspiciatis corporis, laborum nulla nisi odit? Suscipit cupiditate expedita incidunt dolores quis sed minus delectus nulla.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Natus, vero repellendus eos. Sed velit aliquid corporis numquam quis officiis maxime consequuntur doloremque amet accusamus nesciunt, praesentium quidem at assumenda quisquam omnis voluptas veritatis?</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eaque quae itaque accusantium nam facilis ad vero, maiores officiis ab, cupiditate, recusandae molestias.</p>\r\n<p>Pariatur consequatur, ipsum quos veritatis in laborum eveniet praesentium dolorum necessitatibus architecto, consectetur amet, officiis consequuntur doloribus earum odio quo recusandae voluptates!</p>\r\n<p>Similique incidunt error voluptatum repellendus fuga sunt, dicta dolore necessitatibus nesciunt reprehenderit adipisci. Sed aperiam a nostrum odit debitis sint, ducimus dolor!</p>\r\n<p>Earum quos, ipsam consectetur nostrum tempora incidunt debitis temporibus itaque assumenda architecto dignissimos perferendis possimus ipsa commodi rerum vero nam ab voluptatem?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Vel quia repellat adipisci quidem aspernatur in. Iusto expedita ratione esse minima nostrum! Minus deleniti rerum impedit hic ullam doloremque a necessitatibus id aliquid blanditiis. At eveniet aspernatur cum veniam. Sequi perspiciatis corporis, laborum nulla nisi odit? Suscipit cupiditate expedita incidunt dolores quis sed minus delectus nulla.</p>\r\n", "CP Ipsa, ullam, quia.", "Beatae quisquam fuga neque natus impedit iste incidunt. Temporibus ratione perferendis repellendus.\r\n", "inherit", "closed", "closed", "", "378-revision-v1", "", "", "2019-02-03 00:36:26", "2019-02-03 00:36:26", "", "378", "http://localhost:8888/wp-2019/miyzaki-exercise/headlines/378-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("387", "1", "2019-02-03 00:36:37", "2019-02-03 00:36:37", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Natus, vero repellendus eos. Sed velit aliquid corporis numquam quis officiis maxime consequuntur doloremque amet accusamus nesciunt, praesentium quidem at assumenda quisquam omnis voluptas veritatis?</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eaque quae itaque accusantium nam facilis ad vero, maiores officiis ab, cupiditate, recusandae molestias.</p>\r\n<p>Pariatur consequatur, ipsum quos veritatis in laborum eveniet praesentium dolorum necessitatibus architecto, consectetur amet, officiis consequuntur doloribus earum odio quo recusandae voluptates!</p>\r\n<p>Similique incidunt error voluptatum repellendus fuga sunt, dicta dolore necessitatibus nesciunt reprehenderit adipisci. Sed aperiam a nostrum odit debitis sint, ducimus dolor!</p>\r\n<p>Earum quos, ipsam consectetur nostrum tempora incidunt debitis temporibus itaque assumenda architecto dignissimos perferendis possimus ipsa commodi rerum vero nam ab voluptatem?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Vel quia repellat adipisci quidem aspernatur in. Iusto expedita ratione esse minima nostrum! Minus deleniti rerum impedit hic ullam doloremque a necessitatibus id aliquid blanditiis. At eveniet aspernatur cum veniam. Sequi perspiciatis corporis, laborum nulla nisi odit? Suscipit cupiditate expedita incidunt dolores quis sed minus delectus nulla.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Natus, vero repellendus eos. Sed velit aliquid corporis numquam quis officiis maxime consequuntur doloremque amet accusamus nesciunt, praesentium quidem at assumenda quisquam omnis voluptas veritatis?</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eaque quae itaque accusantium nam facilis ad vero, maiores officiis ab, cupiditate, recusandae molestias.</p>\r\n<p>Pariatur consequatur, ipsum quos veritatis in laborum eveniet praesentium dolorum necessitatibus architecto, consectetur amet, officiis consequuntur doloribus earum odio quo recusandae voluptates!</p>\r\n<p>Similique incidunt error voluptatum repellendus fuga sunt, dicta dolore necessitatibus nesciunt reprehenderit adipisci. Sed aperiam a nostrum odit debitis sint, ducimus dolor!</p>\r\n<p>Earum quos, ipsam consectetur nostrum tempora incidunt debitis temporibus itaque assumenda architecto dignissimos perferendis possimus ipsa commodi rerum vero nam ab voluptatem?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Vel quia repellat adipisci quidem aspernatur in. Iusto expedita ratione esse minima nostrum! Minus deleniti rerum impedit hic ullam doloremque a necessitatibus id aliquid blanditiis. At eveniet aspernatur cum veniam. Sequi perspiciatis corporis, laborum nulla nisi odit? Suscipit cupiditate expedita incidunt dolores quis sed minus delectus nulla.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Natus, vero repellendus eos. Sed velit aliquid corporis numquam quis officiis maxime consequuntur doloremque amet accusamus nesciunt, praesentium quidem at assumenda quisquam omnis voluptas veritatis?</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eaque quae itaque accusantium nam facilis ad vero, maiores officiis ab, cupiditate, recusandae molestias.</p>\r\n<p>Pariatur consequatur, ipsum quos veritatis in laborum eveniet praesentium dolorum necessitatibus architecto, consectetur amet, officiis consequuntur doloribus earum odio quo recusandae voluptates!</p>\r\n<p>Similique incidunt error voluptatum repellendus fuga sunt, dicta dolore necessitatibus nesciunt reprehenderit adipisci. Sed aperiam a nostrum odit debitis sint, ducimus dolor!</p>\r\n<p>Earum quos, ipsam consectetur nostrum tempora incidunt debitis temporibus itaque assumenda architecto dignissimos perferendis possimus ipsa commodi rerum vero nam ab voluptatem?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Vel quia repellat adipisci quidem aspernatur in. Iusto expedita ratione esse minima nostrum! Minus deleniti rerum impedit hic ullam doloremque a necessitatibus id aliquid blanditiis. At eveniet aspernatur cum veniam. Sequi perspiciatis corporis, laborum nulla nisi odit? Suscipit cupiditate expedita incidunt dolores quis sed minus delectus nulla.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Natus, vero repellendus eos. Sed velit aliquid corporis numquam quis officiis maxime consequuntur doloremque amet accusamus nesciunt, praesentium quidem at assumenda quisquam omnis voluptas veritatis?</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eaque quae itaque accusantium nam facilis ad vero, maiores officiis ab, cupiditate, recusandae molestias.</p>\r\n<p>Pariatur consequatur, ipsum quos veritatis in laborum eveniet praesentium dolorum necessitatibus architecto, consectetur amet, officiis consequuntur doloribus earum odio quo recusandae voluptates!</p>\r\n<p>Similique incidunt error voluptatum repellendus fuga sunt, dicta dolore necessitatibus nesciunt reprehenderit adipisci. Sed aperiam a nostrum odit debitis sint, ducimus dolor!</p>\r\n<p>Earum quos, ipsam consectetur nostrum tempora incidunt debitis temporibus itaque assumenda architecto dignissimos perferendis possimus ipsa commodi rerum vero nam ab voluptatem?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Vel quia repellat adipisci quidem aspernatur in. Iusto expedita ratione esse minima nostrum! Minus deleniti rerum impedit hic ullam doloremque a necessitatibus id aliquid blanditiis. At eveniet aspernatur cum veniam. Sequi perspiciatis corporis, laborum nulla nisi odit? Suscipit cupiditate expedita incidunt dolores quis sed minus delectus nulla.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Natus, vero repellendus eos. Sed velit aliquid corporis numquam quis officiis maxime consequuntur doloremque amet accusamus nesciunt, praesentium quidem at assumenda quisquam omnis voluptas veritatis?</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eaque quae itaque accusantium nam facilis ad vero, maiores officiis ab, cupiditate, recusandae molestias.</p>\r\n<p>Pariatur consequatur, ipsum quos veritatis in laborum eveniet praesentium dolorum necessitatibus architecto, consectetur amet, officiis consequuntur doloribus earum odio quo recusandae voluptates!</p>\r\n<p>Similique incidunt error voluptatum repellendus fuga sunt, dicta dolore necessitatibus nesciunt reprehenderit adipisci. Sed aperiam a nostrum odit debitis sint, ducimus dolor!</p>\r\n<p>Earum quos, ipsam consectetur nostrum tempora incidunt debitis temporibus itaque assumenda architecto dignissimos perferendis possimus ipsa commodi rerum vero nam ab voluptatem?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Vel quia repellat adipisci quidem aspernatur in. Iusto expedita ratione esse minima nostrum! Minus deleniti rerum impedit hic ullam doloremque a necessitatibus id aliquid blanditiis. At eveniet aspernatur cum veniam. Sequi perspiciatis corporis, laborum nulla nisi odit? Suscipit cupiditate expedita incidunt dolores quis sed minus delectus nulla.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Natus, vero repellendus eos. Sed velit aliquid corporis numquam quis officiis maxime consequuntur doloremque amet accusamus nesciunt, praesentium quidem at assumenda quisquam omnis voluptas veritatis?</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eaque quae itaque accusantium nam facilis ad vero, maiores officiis ab, cupiditate, recusandae molestias.</p>\r\n<p>Pariatur consequatur, ipsum quos veritatis in laborum eveniet praesentium dolorum necessitatibus architecto, consectetur amet, officiis consequuntur doloribus earum odio quo recusandae voluptates!</p>\r\n<p>Similique incidunt error voluptatum repellendus fuga sunt, dicta dolore necessitatibus nesciunt reprehenderit adipisci. Sed aperiam a nostrum odit debitis sint, ducimus dolor!</p>\r\n<p>Earum quos, ipsam consectetur nostrum tempora incidunt debitis temporibus itaque assumenda architecto dignissimos perferendis possimus ipsa commodi rerum vero nam ab voluptatem?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Vel quia repellat adipisci quidem aspernatur in. Iusto expedita ratione esse minima nostrum! Minus deleniti rerum impedit hic ullam doloremque a necessitatibus id aliquid blanditiis. At eveniet aspernatur cum veniam. Sequi perspiciatis corporis, laborum nulla nisi odit? Suscipit cupiditate expedita incidunt dolores quis sed minus delectus nulla.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Natus, vero repellendus eos. Sed velit aliquid corporis numquam quis officiis maxime consequuntur doloremque amet accusamus nesciunt, praesentium quidem at assumenda quisquam omnis voluptas veritatis?</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eaque quae itaque accusantium nam facilis ad vero, maiores officiis ab, cupiditate, recusandae molestias.</p>\r\n<p>Pariatur consequatur, ipsum quos veritatis in laborum eveniet praesentium dolorum necessitatibus architecto, consectetur amet, officiis consequuntur doloribus earum odio quo recusandae voluptates!</p>\r\n<p>Similique incidunt error voluptatum repellendus fuga sunt, dicta dolore necessitatibus nesciunt reprehenderit adipisci. Sed aperiam a nostrum odit debitis sint, ducimus dolor!</p>\r\n<p>Earum quos, ipsam consectetur nostrum tempora incidunt debitis temporibus itaque assumenda architecto dignissimos perferendis possimus ipsa commodi rerum vero nam ab voluptatem?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Vel quia repellat adipisci quidem aspernatur in. Iusto expedita ratione esse minima nostrum! Minus deleniti rerum impedit hic ullam doloremque a necessitatibus id aliquid blanditiis. At eveniet aspernatur cum veniam. Sequi perspiciatis corporis, laborum nulla nisi odit? Suscipit cupiditate expedita incidunt dolores quis sed minus delectus nulla.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Natus, vero repellendus eos. Sed velit aliquid corporis numquam quis officiis maxime consequuntur doloremque amet accusamus nesciunt, praesentium quidem at assumenda quisquam omnis voluptas veritatis?</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eaque quae itaque accusantium nam facilis ad vero, maiores officiis ab, cupiditate, recusandae molestias.</p>\r\n<p>Pariatur consequatur, ipsum quos veritatis in laborum eveniet praesentium dolorum necessitatibus architecto, consectetur amet, officiis consequuntur doloribus earum odio quo recusandae voluptates!</p>\r\n<p>Similique incidunt error voluptatum repellendus fuga sunt, dicta dolore necessitatibus nesciunt reprehenderit adipisci. Sed aperiam a nostrum odit debitis sint, ducimus dolor!</p>\r\n<p>Earum quos, ipsam consectetur nostrum tempora incidunt debitis temporibus itaque assumenda architecto dignissimos perferendis possimus ipsa commodi rerum vero nam ab voluptatem?</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Vel quia repellat adipisci quidem aspernatur in. Iusto expedita ratione esse minima nostrum! Minus deleniti rerum impedit hic ullam doloremque a necessitatibus id aliquid blanditiis. At eveniet aspernatur cum veniam. Sequi perspiciatis corporis, laborum nulla nisi odit? Suscipit cupiditate expedita incidunt dolores quis sed minus delectus nulla.</p>\r\n", "CP Quos, inventore.", "Beatae quisquam fuga neque natus impedit iste incidunt. Temporibus ratione perferendis repellendus.\r\n", "inherit", "closed", "closed", "", "379-revision-v1", "", "", "2019-02-03 00:36:37", "2019-02-03 00:36:37", "", "379", "http://localhost:8888/wp-2019/miyzaki-exercise/headlines/379-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("388", "1", "2019-02-03 00:36:49", "2019-02-03 00:36:49", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Fugit labore voluptatem voluptatum nostrum in explicabo ab itaque perspiciatis ipsam sapiente, recusandae, voluptate unde. Reiciendis voluptatum quia ad nulla recusandae molestias atque sequi laudantium.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Minima, ipsam necessitatibus temporibus qui accusamus, quasi, totam repudiandae doloremque rerum quia delectus nam.</p>\r\n<p>Labore harum, maiores veniam cupiditate qui explicabo voluptatem earum id, dolor, voluptas saepe natus. Porro debitis ullam itaque, accusantium culpa soluta voluptatum.</p>\r\n<p>Assumenda similique labore, corrupti recusandae quisquam, accusantium provident voluptates incidunt, neque eum consequuntur. At minus, iste dolore repudiandae ipsum ea, cupiditate molestias.</p>\r\n<p>Vitae ad id accusamus quia aspernatur ab, iusto, repellendus beatae rem aperiam ipsam atque, laboriosam nesciunt ea sunt officiis in? Modi, velit.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sapiente adipisci, hic itaque dicta, facere tempore aut voluptatum magni. Quisquam tenetur, esse ducimus nesciunt praesentium accusantium porro laborum quas, minus ab placeat repellendus labore perspiciatis? Sapiente odio fugiat, id eum ipsam recusandae nobis nemo assumenda quam! Dolorem provident ipsa consequatur quibusdam illum possimus quis itaque ducimus.</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Fugit labore voluptatem voluptatum nostrum in explicabo ab itaque perspiciatis ipsam sapiente, recusandae, voluptate unde. Reiciendis voluptatum quia ad nulla recusandae molestias atque sequi laudantium.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Minima, ipsam necessitatibus temporibus qui accusamus, quasi, totam repudiandae doloremque rerum quia delectus nam.</p>\r\n<p>Labore harum, maiores veniam cupiditate qui explicabo voluptatem earum id, dolor, voluptas saepe natus. Porro debitis ullam itaque, accusantium culpa soluta voluptatum.</p>\r\n<p>Assumenda similique labore, corrupti recusandae quisquam, accusantium provident voluptates incidunt, neque eum consequuntur. At minus, iste dolore repudiandae ipsum ea, cupiditate molestias.</p>\r\n<p>Vitae ad id accusamus quia aspernatur ab, iusto, repellendus beatae rem aperiam ipsam atque, laboriosam nesciunt ea sunt officiis in? Modi, velit.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sapiente adipisci, hic itaque dicta, facere tempore aut voluptatum magni. Quisquam tenetur, esse ducimus nesciunt praesentium accusantium porro laborum quas, minus ab placeat repellendus labore perspiciatis? Sapiente odio fugiat, id eum ipsam recusandae nobis nemo assumenda quam! Dolorem provident ipsa consequatur quibusdam illum possimus quis itaque ducimus.</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Fugit labore voluptatem voluptatum nostrum in explicabo ab itaque perspiciatis ipsam sapiente, recusandae, voluptate unde. Reiciendis voluptatum quia ad nulla recusandae molestias atque sequi laudantium.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Minima, ipsam necessitatibus temporibus qui accusamus, quasi, totam repudiandae doloremque rerum quia delectus nam.</p>\r\n<p>Labore harum, maiores veniam cupiditate qui explicabo voluptatem earum id, dolor, voluptas saepe natus. Porro debitis ullam itaque, accusantium culpa soluta voluptatum.</p>\r\n<p>Assumenda similique labore, corrupti recusandae quisquam, accusantium provident voluptates incidunt, neque eum consequuntur. At minus, iste dolore repudiandae ipsum ea, cupiditate molestias.</p>\r\n<p>Vitae ad id accusamus quia aspernatur ab, iusto, repellendus beatae rem aperiam ipsam atque, laboriosam nesciunt ea sunt officiis in? Modi, velit.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sapiente adipisci, hic itaque dicta, facere tempore aut voluptatum magni. Quisquam tenetur, esse ducimus nesciunt praesentium accusantium porro laborum quas, minus ab placeat repellendus labore perspiciatis? Sapiente odio fugiat, id eum ipsam recusandae nobis nemo assumenda quam! Dolorem provident ipsa consequatur quibusdam illum possimus quis itaque ducimus.</p>", "CP Iusto, autem.", "Ea illum cumque, incidunt quisquam odit molestiae. Esse, quidem. Nihil, voluptates dolor.\r\n", "inherit", "closed", "closed", "", "380-revision-v1", "", "", "2019-02-03 00:36:49", "2019-02-03 00:36:49", "", "380", "http://localhost:8888/wp-2019/miyzaki-exercise/headlines/380-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("389", "1", "2019-02-03 00:37:02", "2019-02-03 00:37:02", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur hic quasi odio voluptates eligendi illum suscipit asperiores fugit placeat inventore ratione explicabo assumenda blanditiis ipsam ipsum repellat ipsa, sint tempora odit eos? Sequi!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eveniet obcaecati ratione cum id natus asperiores maiores recusandae animi, corporis dolore dolorem ut!</p>\r\n<p>Soluta sunt quos dolore cumque earum temporibus, officiis at similique voluptas quam ullam accusantium autem, odio fugit magnam aut quisquam unde rem.</p>\r\n<p>Ad, eaque quo voluptatem dolorum esse minus illo, cupiditate fuga quidem ipsa! Voluptatem asperiores consequatur, nesciunt minima doloribus, dolorum fuga alias. Voluptas.</p>\r\n<p>Provident omnis veritatis rem debitis impedit quo excepturi! Illum, nesciunt, dolores adipisci sapiente soluta explicabo nihil debitis molestiae excepturi esse placeat accusamus.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Unde maxime nihil doloremque! Quos asperiores voluptas aliquam molestiae ut molestias fugiat, quasi, expedita amet explicabo aspernatur perferendis, eum reiciendis dicta natus accusamus alias incidunt sunt nemo voluptatum nesciunt veritatis architecto et doloremque aperiam! At enim nisi aut dignissimos minus corporis, magni tenetur eveniet aliquam illo! Error!</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur hic quasi odio voluptates eligendi illum suscipit asperiores fugit placeat inventore ratione explicabo assumenda blanditiis ipsam ipsum repellat ipsa, sint tempora odit eos? Sequi!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eveniet obcaecati ratione cum id natus asperiores maiores recusandae animi, corporis dolore dolorem ut!</p>\r\n<p>Soluta sunt quos dolore cumque earum temporibus, officiis at similique voluptas quam ullam accusantium autem, odio fugit magnam aut quisquam unde rem.</p>\r\n<p>Ad, eaque quo voluptatem dolorum esse minus illo, cupiditate fuga quidem ipsa! Voluptatem asperiores consequatur, nesciunt minima doloribus, dolorum fuga alias. Voluptas.</p>\r\n<p>Provident omnis veritatis rem debitis impedit quo excepturi! Illum, nesciunt, dolores adipisci sapiente soluta explicabo nihil debitis molestiae excepturi esse placeat accusamus.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Unde maxime nihil doloremque! Quos asperiores voluptas aliquam molestiae ut molestias fugiat, quasi, expedita amet explicabo aspernatur perferendis, eum reiciendis dicta natus accusamus alias incidunt sunt nemo voluptatum nesciunt veritatis architecto et doloremque aperiam! At enim nisi aut dignissimos minus corporis, magni tenetur eveniet aliquam illo! Error!</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur hic quasi odio voluptates eligendi illum suscipit asperiores fugit placeat inventore ratione explicabo assumenda blanditiis ipsam ipsum repellat ipsa, sint tempora odit eos? Sequi!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eveniet obcaecati ratione cum id natus asperiores maiores recusandae animi, corporis dolore dolorem ut!</p>\r\n<p>Soluta sunt quos dolore cumque earum temporibus, officiis at similique voluptas quam ullam accusantium autem, odio fugit magnam aut quisquam unde rem.</p>\r\n<p>Ad, eaque quo voluptatem dolorum esse minus illo, cupiditate fuga quidem ipsa! Voluptatem asperiores consequatur, nesciunt minima doloribus, dolorum fuga alias. Voluptas.</p>\r\n<p>Provident omnis veritatis rem debitis impedit quo excepturi! Illum, nesciunt, dolores adipisci sapiente soluta explicabo nihil debitis molestiae excepturi esse placeat accusamus.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Unde maxime nihil doloremque! Quos asperiores voluptas aliquam molestiae ut molestias fugiat, quasi, expedita amet explicabo aspernatur perferendis, eum reiciendis dicta natus accusamus alias incidunt sunt nemo voluptatum nesciunt veritatis architecto et doloremque aperiam! At enim nisi aut dignissimos minus corporis, magni tenetur eveniet aliquam illo! Error!</p>\r\n", "CP Error, fugit, animi.", "Sapiente, ex, vel. Enim libero consequatur perferendis architecto harum, voluptatum maxime adipisci!\r\n", "inherit", "closed", "closed", "", "381-revision-v1", "", "", "2019-02-03 00:37:02", "2019-02-03 00:37:02", "", "381", "http://localhost:8888/wp-2019/miyzaki-exercise/headlines/381-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("390", "1", "2019-02-03 00:37:14", "2019-02-03 00:37:14", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Magnam, reprehenderit at. Consequuntur facere consequatur sapiente ab ducimus labore quam quod modi cumque distinctio, nostrum, voluptates sint, a voluptatem fuga placeat quis aliquam eius.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatum, pariatur nam odit ad quas optio non, quasi sed officiis quaerat reiciendis consectetur.</p>\r\n<p>Iure in, officiis nam cum neque ducimus commodi consequuntur magni enim veniam nemo alias aliquid eveniet nihil repellat dolore omnis. Repellendus, atque.</p>\r\n<p>Voluptate aspernatur velit nam assumenda mollitia facilis explicabo, commodi, neque eaque consequuntur illo. Inventore adipisci nulla ullam suscipit vero odit, quaerat quia.</p>\r\n<p>Provident, consequuntur atque exercitationem corrupti laboriosam ipsam, reiciendis, praesentium totam delectus quas nobis doloribus. Voluptas ipsum explicabo eaque mollitia cupiditate ratione nam!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. In nesciunt ratione tempore quaerat, cum assumenda distinctio quod debitis, harum nulla expedita. Architecto odio quae esse commodi eveniet mollitia nihil, cupiditate corporis delectus ipsum. Fugiat perferendis nulla culpa tempora modi eius id dolor harum optio ea aliquam quaerat voluptatum similique, pariatur nisi deleniti, et animi itaque.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Magnam, reprehenderit at. Consequuntur facere consequatur sapiente ab ducimus labore quam quod modi cumque distinctio, nostrum, voluptates sint, a voluptatem fuga placeat quis aliquam eius.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatum, pariatur nam odit ad quas optio non, quasi sed officiis quaerat reiciendis consectetur.</p>\r\n<p>Iure in, officiis nam cum neque ducimus commodi consequuntur magni enim veniam nemo alias aliquid eveniet nihil repellat dolore omnis. Repellendus, atque.</p>\r\n<p>Voluptate aspernatur velit nam assumenda mollitia facilis explicabo, commodi, neque eaque consequuntur illo. Inventore adipisci nulla ullam suscipit vero odit, quaerat quia.</p>\r\n<p>Provident, consequuntur atque exercitationem corrupti laboriosam ipsam, reiciendis, praesentium totam delectus quas nobis doloribus. Voluptas ipsum explicabo eaque mollitia cupiditate ratione nam!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. In nesciunt ratione tempore quaerat, cum assumenda distinctio quod debitis, harum nulla expedita. Architecto odio quae esse commodi eveniet mollitia nihil, cupiditate corporis delectus ipsum. Fugiat perferendis nulla culpa tempora modi eius id dolor harum optio ea aliquam quaerat voluptatum similique, pariatur nisi deleniti, et animi itaque.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Magnam, reprehenderit at. Consequuntur facere consequatur sapiente ab ducimus labore quam quod modi cumque distinctio, nostrum, voluptates sint, a voluptatem fuga placeat quis aliquam eius.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatum, pariatur nam odit ad quas optio non, quasi sed officiis quaerat reiciendis consectetur.</p>\r\n<p>Iure in, officiis nam cum neque ducimus commodi consequuntur magni enim veniam nemo alias aliquid eveniet nihil repellat dolore omnis. Repellendus, atque.</p>\r\n<p>Voluptate aspernatur velit nam assumenda mollitia facilis explicabo, commodi, neque eaque consequuntur illo. Inventore adipisci nulla ullam suscipit vero odit, quaerat quia.</p>\r\n<p>Provident, consequuntur atque exercitationem corrupti laboriosam ipsam, reiciendis, praesentium totam delectus quas nobis doloribus. Voluptas ipsum explicabo eaque mollitia cupiditate ratione nam!</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. In nesciunt ratione tempore quaerat, cum assumenda distinctio quod debitis, harum nulla expedita. Architecto odio quae esse commodi eveniet mollitia nihil, cupiditate corporis delectus ipsum. Fugiat perferendis nulla culpa tempora modi eius id dolor harum optio ea aliquam quaerat voluptatum similique, pariatur nisi deleniti, et animi itaque.</p>\r\n", "CP Veritatis, recudae, iure.", "Porro consequuntur quisquam minus nemo placeat alias neque aliquam, provident iusto similique.\r\n", "inherit", "closed", "closed", "", "382-revision-v1", "", "", "2019-02-03 00:37:14", "2019-02-03 00:37:14", "", "382", "http://localhost:8888/wp-2019/miyzaki-exercise/headlines/382-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("391", "1", "2019-02-03 00:37:29", "2019-02-03 00:37:29", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Cum tempora, incidunt modi sint rerum delectus iste dolorem veniam omnis ullam saepe quia, laboriosam iusto dolorum ducimus velit. Cum aperiam laudantium cumque, perspiciatis minima!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quibusdam omnis ipsum et, praesentium sint expedita eum soluta. Distinctio ipsam soluta praesentium laborum.</p>\r\n<p>Aut eos ea incidunt atque laudantium, doloribus harum est asperiores modi similique impedit, perspiciatis, rem quod accusantium dignissimos? Soluta eum, assumenda doloremque.</p>\r\n<p>Soluta distinctio odio est excepturi eos quis, delectus ex maiores quos nemo cum, accusamus, ratione facere enim aliquid accusantium facilis, cupiditate eius.</p>\r\n<p>Temporibus ipsum sint provident ad iste, ipsa natus id, voluptatem, commodi aliquam ullam nobis? Dolorum quia nihil voluptas quas dolore sapiente! Voluptatum.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quam soluta culpa laborum! Sit rerum porro fuga eos, expedita nesciunt cumque totam esse provident rem! Eius recusandae fuga quasi, ipsum. Nemo quaerat perferendis sunt architecto reprehenderit est mollitia eius, laboriosam quidem consequatur perspiciatis, placeat cupiditate nesciunt omnis illo vel! Sit quisquam totam, ipsum veritatis laborum voluptatum.</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Cum tempora, incidunt modi sint rerum delectus iste dolorem veniam omnis ullam saepe quia, laboriosam iusto dolorum ducimus velit. Cum aperiam laudantium cumque, perspiciatis minima!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quibusdam omnis ipsum et, praesentium sint expedita eum soluta. Distinctio ipsam soluta praesentium laborum.</p>\r\n<p>Aut eos ea incidunt atque laudantium, doloribus harum est asperiores modi similique impedit, perspiciatis, rem quod accusantium dignissimos? Soluta eum, assumenda doloremque.</p>\r\n<p>Soluta distinctio odio est excepturi eos quis, delectus ex maiores quos nemo cum, accusamus, ratione facere enim aliquid accusantium facilis, cupiditate eius.</p>\r\n<p>Temporibus ipsum sint provident ad iste, ipsa natus id, voluptatem, commodi aliquam ullam nobis? Dolorum quia nihil voluptas quas dolore sapiente! Voluptatum.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quam soluta culpa laborum! Sit rerum porro fuga eos, expedita nesciunt cumque totam esse provident rem! Eius recusandae fuga quasi, ipsum. Nemo quaerat perferendis sunt architecto reprehenderit est mollitia eius, laboriosam quidem consequatur perspiciatis, placeat cupiditate nesciunt omnis illo vel! Sit quisquam totam, ipsum veritatis laborum voluptatum.</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Cum tempora, incidunt modi sint rerum delectus iste dolorem veniam omnis ullam saepe quia, laboriosam iusto dolorum ducimus velit. Cum aperiam laudantium cumque, perspiciatis minima!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quibusdam omnis ipsum et, praesentium sint expedita eum soluta. Distinctio ipsam soluta praesentium laborum.</p>\r\n<p>Aut eos ea incidunt atque laudantium, doloribus harum est asperiores modi similique impedit, perspiciatis, rem quod accusantium dignissimos? Soluta eum, assumenda doloremque.</p>\r\n<p>Soluta distinctio odio est excepturi eos quis, delectus ex maiores quos nemo cum, accusamus, ratione facere enim aliquid accusantium facilis, cupiditate eius.</p>\r\n<p>Temporibus ipsum sint provident ad iste, ipsa natus id, voluptatem, commodi aliquam ullam nobis? Dolorum quia nihil voluptas quas dolore sapiente! Voluptatum.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quam soluta culpa laborum! Sit rerum porro fuga eos, expedita nesciunt cumque totam esse provident rem! Eius recusandae fuga quasi, ipsum. Nemo quaerat perferendis sunt architecto reprehenderit est mollitia eius, laboriosam quidem consequatur perspiciatis, placeat cupiditate nesciunt omnis illo vel! Sit quisquam totam, ipsum veritatis laborum voluptatum.</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Cum tempora, incidunt modi sint rerum delectus iste dolorem veniam omnis ullam saepe quia, laboriosam iusto dolorum ducimus velit. Cum aperiam laudantium cumque, perspiciatis minima!</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quibusdam omnis ipsum et, praesentium sint expedita eum soluta. Distinctio ipsam soluta praesentium laborum.</p>\r\n<p>Aut eos ea incidunt atque laudantium, doloribus harum est asperiores modi similique impedit, perspiciatis, rem quod accusantium dignissimos? Soluta eum, assumenda doloremque.</p>\r\n<p>Soluta distinctio odio est excepturi eos quis, delectus ex maiores quos nemo cum, accusamus, ratione facere enim aliquid accusantium facilis, cupiditate eius.</p>\r\n<p>Temporibus ipsum sint provident ad iste, ipsa natus id, voluptatem, commodi aliquam ullam nobis? Dolorum quia nihil voluptas quas dolore sapiente! Voluptatum.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quam soluta culpa laborum! Sit rerum porro fuga eos, expedita nesciunt cumque totam esse provident rem! Eius recusandae fuga quasi, ipsum. Nemo quaerat perferendis sunt architecto reprehenderit est mollitia eius, laboriosam quidem consequatur perspiciatis, placeat cupiditate nesciunt omnis illo vel! Sit quisquam totam, ipsum veritatis laborum voluptatum.</p>", "Utility Cupcake Research Kitchen", "Voluptates unde, sit officia. Dolores earum sapiente neque tempora, excepturi exercitationem distinctio!\r\n", "inherit", "closed", "closed", "", "384-revision-v1", "", "", "2019-02-03 00:37:29", "2019-02-03 00:37:29", "", "384", "http://localhost:8888/wp-2019/miyzaki-exercise/headlines/384-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("392", "1", "2019-02-03 00:37:44", "2019-02-03 00:37:44", "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur molestias dicta, cum quae voluptatum tenetur illo atque id est at natus animi provident maxime in libero deserunt facere ea sint. A, perspiciatis non.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Assumenda quas omnis dolores? Eos alias dolorum, commodi neque! Expedita harum eveniet, quisquam laboriosam!</p>\r\n<p>In dicta hic quidem, dolorem fugit eveniet. Inventore quam, sint fugit repudiandae cupiditate ducimus voluptate voluptatibus autem laborum labore veritatis officia ullam!</p>\r\n<p>Fugiat modi enim earum est saepe magnam eligendi at, asperiores cumque similique officia possimus adipisci nulla ullam alias reprehenderit, praesentium neque tempora!</p>\r\n<p>Placeat aut unde incidunt blanditiis dolorum, facilis id error, officiis velit ex. Est vel, aspernatur quis inventore autem id veniam vitae, recusandae.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Libero tempore facere ab animi eveniet sunt, consequuntur nisi non ducimus nostrum. Sit dolorum tempore assumenda ea ipsum, praesentium cumque cupiditate, impedit neque quasi culpa dolore. Nisi quasi, fuga enim aperiam aliquam dolorum architecto. Quo incidunt vel quos tenetur minima, quae, quam iusto numquam expedita, totam modi!</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur molestias dicta, cum quae voluptatum tenetur illo atque id est at natus animi provident maxime in libero deserunt facere ea sint. A, perspiciatis non.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Assumenda quas omnis dolores? Eos alias dolorum, commodi neque! Expedita harum eveniet, quisquam laboriosam!</p>\r\n<p>In dicta hic quidem, dolorem fugit eveniet. Inventore quam, sint fugit repudiandae cupiditate ducimus voluptate voluptatibus autem laborum labore veritatis officia ullam!</p>\r\n<p>Fugiat modi enim earum est saepe magnam eligendi at, asperiores cumque similique officia possimus adipisci nulla ullam alias reprehenderit, praesentium neque tempora!</p>\r\n<p>Placeat aut unde incidunt blanditiis dolorum, facilis id error, officiis velit ex. Est vel, aspernatur quis inventore autem id veniam vitae, recusandae.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Libero tempore facere ab animi eveniet sunt, consequuntur nisi non ducimus nostrum. Sit dolorum tempore assumenda ea ipsum, praesentium cumque cupiditate, impedit neque quasi culpa dolore. Nisi quasi, fuga enim aperiam aliquam dolorum architecto. Quo incidunt vel quos tenetur minima, quae, quam iusto numquam expedita, totam modi!</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur molestias dicta, cum quae voluptatum tenetur illo atque id est at natus animi provident maxime in libero deserunt facere ea sint. A, perspiciatis non.</p>\r\n<h3>Lorem ipsum dolor.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Assumenda quas omnis dolores? Eos alias dolorum, commodi neque! Expedita harum eveniet, quisquam laboriosam!</p>\r\n<p>In dicta hic quidem, dolorem fugit eveniet. Inventore quam, sint fugit repudiandae cupiditate ducimus voluptate voluptatibus autem laborum labore veritatis officia ullam!</p>\r\n<p>Fugiat modi enim earum est saepe magnam eligendi at, asperiores cumque similique officia possimus adipisci nulla ullam alias reprehenderit, praesentium neque tempora!</p>\r\n<p>Placeat aut unde incidunt blanditiis dolorum, facilis id error, officiis velit ex. Est vel, aspernatur quis inventore autem id veniam vitae, recusandae.</p>\r\n<h3>Lorem ipsum dolor sit.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Libero tempore facere ab animi eveniet sunt, consequuntur nisi non ducimus nostrum. Sit dolorum tempore assumenda ea ipsum, praesentium cumque cupiditate, impedit neque quasi culpa dolore. Nisi quasi, fuga enim aperiam aliquam dolorum architecto. Quo incidunt vel quos tenetur minima, quae, quam iusto numquam expedita, totam modi!</p>", "CP Deleniti corporis, drunt.", "Eum deleniti nobis porro ea sapiente. Suscipit doloremque temporibus, sit commodi omnis.\r\n", "inherit", "closed", "closed", "", "383-revision-v1", "", "", "2019-02-03 00:37:44", "2019-02-03 00:37:44", "", "383", "http://localhost:8888/wp-2019/miyzaki-exercise/headlines/383-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("393", "1", "2019-02-04 02:07:19", "2019-02-04 02:07:19", "Lorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur hic quasi odio voluptates eligendi illum suscipit asperiores fugit placeat inventore ratione explicabo assumenda blanditiis ipsam ipsum repellat ipsa, sint tempora odit eos? Sequi!\n<h3>Lorem ipsum dolor.</h3>\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Eveniet obcaecati ratione cum id natus asperiores maiores recusandae animi, corporis dolore dolorem ut!\n\nSoluta sunt quos dolore cumque earum temporibus, officiis at similique voluptas quam ullam accusantium autem, odio fugit magnam aut quisquam unde rem.\n\nAd, eaque quo voluptatem dolorum esse minus illo, cupiditate fuga quidem ipsa! Voluptatem asperiores consequatur, nesciunt minima doloribus, dolorum fuga alias. Voluptas.\n\nProvident omnis veritatis rem debitis impedit quo excepturi! Illum, nesciunt, dolores adipisci sapiente soluta explicabo nihil debitis molestiae excepturi esse placeat accusamus.\n<h3>Lorem ipsum dolor sit.</h3>\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Unde maxime nihil doloremque! Quos asperiores voluptas aliquam molestiae ut molestias fugiat, quasi, expedita amet explicabo aspernatur perferendis, eum reiciendis dicta natus accusamus alias incidunt sunt nemo voluptatum nesciunt veritatis architecto et doloremque aperiam! At enim nisi aut dignissimos minus corporis, magni tenetur eveniet aliquam illo! Error!\n\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur hic quasi odio voluptates eligendi illum suscipit asperiores fugit placeat inventore ratione explicabo assumenda blanditiis ipsam ipsum repellat ipsa, sint tempora odit eos? Sequi!\n<h3>Lorem ipsum dolor.</h3>\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Eveniet obcaecati ratione cum id natus asperiores maiores recusandae animi, corporis dolore dolorem ut!\n\nSoluta sunt quos dolore cumque earum temporibus, officiis at similique voluptas quam ullam accusantium autem, odio fugit magnam aut quisquam unde rem.\n\nAd, eaque quo voluptatem dolorum esse minus illo, cupiditate fuga quidem ipsa! Voluptatem asperiores consequatur, nesciunt minima doloribus, dolorum fuga alias. Voluptas.\n\nProvident omnis veritatis rem debitis impedit quo excepturi! Illum, nesciunt, dolores adipisci sapiente soluta explicabo nihil debitis molestiae excepturi esse placeat accusamus.\n<h3>Lorem ipsum dolor sit.</h3>\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Unde maxime nihil doloremque! Quos asperiores voluptas aliquam molestiae ut molestias fugiat, quasi, expedita amet explicabo aspernatur perferendis, eum reiciendis dicta natus accusamus alias incidunt sunt nemo voluptatum nesciunt veritatis architecto et doloremque aperiam! At enim nisi aut dignissimos minus corporis, magni tenetur eveniet aliquam illo! Error!\n\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur hic quasi odio voluptates eligendi illum suscipit asperiores fugit placeat inventore ratione explicabo assumenda blanditiis ipsam ipsum repellat ipsa, sint tempora odit eos? Sequi!\n<h3>Lorem ipsum dolor.</h3>\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Eveniet obcaecati ratione cum id natus asperiores maiores recusandae animi, corporis dolore dolorem ut!\n\nSoluta sunt quos dolore cumque earum temporibus, officiis at similique voluptas quam ullam accusantium autem, odio fugit magnam aut quisquam unde rem.\n\nAd, eaque quo voluptatem dolorum esse minus illo, cupiditate fuga quidem ipsa! Voluptatem asperiores consequatur, nesciunt minima doloribus, dolorum fuga alias. Voluptas.\n\nProvident omnis veritatis rem debitis impedit quo excepturi! Illum, nesciunt, dolores adipisci sapiente soluta explicabo nihil debitis molestiae excepturi esse placeat accusamus.\n<h3>Lorem ipsum dolor sit.</h3>\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Unde maxime nihil doloremque! Quos asperiores voluptas aliquam molestiae ut molestias fugiat, quasi, expedita amet explicabo aspernatur perferendis, eum reiciendis dicta natus accusamus alias incidunt sunt nemo voluptatum nesciunt veritatis architecto et doloremque aperiam! At enim nisi aut dignissimos minus corporis, magni tenetur eveniet aliquam illo! Error!", "CP Error, fugit, animi.", "Sapiente, ex, vel. Enim libero consequatur perferendis architecto harum, voluptatum maxime adipisci!\r\n", "inherit", "closed", "closed", "", "381-autosave-v1", "", "", "2019-02-04 02:07:19", "2019-02-04 02:07:19", "", "381", "http://localhost:8888/UpdatingDuplicatorVersions/miyazaki-wp-php82/headlines/381-autosave-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("394", "1", "2019-02-04 02:07:27", "2019-02-04 02:07:27", "Lorem ipsum dolor sit amet, consectetur adipisicing elit. Fugit labore voluptatem voluptatum nostrum in explicabo ab itaque perspiciatis ipsam sapiente, recusandae, voluptate unde. Reiciendis voluptatum quia ad nulla recusandae molestias atque sequi laudantium.\n<h3>Lorem ipsum dolor.</h3>\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Minima, ipsam necessitatibus temporibus qui accusamus, quasi, totam repudiandae doloremque rerum quia delectus nam.\n\nLabore harum, maiores veniam cupiditate qui explicabo voluptatem earum id, dolor, voluptas saepe natus. Porro debitis ullam itaque, accusantium culpa soluta voluptatum.\n\nAssumenda similique labore, corrupti recusandae quisquam, accusantium provident voluptates incidunt, neque eum consequuntur. At minus, iste dolore repudiandae ipsum ea, cupiditate molestias.\n\nVitae ad id accusamus quia aspernatur ab, iusto, repellendus beatae rem aperiam ipsam atque, laboriosam nesciunt ea sunt officiis in? Modi, velit.\n<h3>Lorem ipsum dolor sit.</h3>\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Sapiente adipisci, hic itaque dicta, facere tempore aut voluptatum magni. Quisquam tenetur, esse ducimus nesciunt praesentium accusantium porro laborum quas, minus ab placeat repellendus labore perspiciatis? Sapiente odio fugiat, id eum ipsam recusandae nobis nemo assumenda quam! Dolorem provident ipsa consequatur quibusdam illum possimus quis itaque ducimus.\n\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Fugit labore voluptatem voluptatum nostrum in explicabo ab itaque perspiciatis ipsam sapiente, recusandae, voluptate unde. Reiciendis voluptatum quia ad nulla recusandae molestias atque sequi laudantium.\n<h3>Lorem ipsum dolor.</h3>\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Minima, ipsam necessitatibus temporibus qui accusamus, quasi, totam repudiandae doloremque rerum quia delectus nam.\n\nLabore harum, maiores veniam cupiditate qui explicabo voluptatem earum id, dolor, voluptas saepe natus. Porro debitis ullam itaque, accusantium culpa soluta voluptatum.\n\nAssumenda similique labore, corrupti recusandae quisquam, accusantium provident voluptates incidunt, neque eum consequuntur. At minus, iste dolore repudiandae ipsum ea, cupiditate molestias.\n\nVitae ad id accusamus quia aspernatur ab, iusto, repellendus beatae rem aperiam ipsam atque, laboriosam nesciunt ea sunt officiis in? Modi, velit.\n<h3>Lorem ipsum dolor sit.</h3>\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Sapiente adipisci, hic itaque dicta, facere tempore aut voluptatum magni. Quisquam tenetur, esse ducimus nesciunt praesentium accusantium porro laborum quas, minus ab placeat repellendus labore perspiciatis? Sapiente odio fugiat, id eum ipsam recusandae nobis nemo assumenda quam! Dolorem provident ipsa consequatur quibusdam illum possimus quis itaque ducimus.\n\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Fugit labore voluptatem voluptatum nostrum in explicabo ab itaque perspiciatis ipsam sapiente, recusandae, voluptate unde. Reiciendis voluptatum quia ad nulla recusandae molestias atque sequi laudantium.\n<h3>Lorem ipsum dolor.</h3>\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Minima, ipsam necessitatibus temporibus qui accusamus, quasi, totam repudiandae doloremque rerum quia delectus nam.\n\nLabore harum, maiores veniam cupiditate qui explicabo voluptatem earum id, dolor, voluptas saepe natus. Porro debitis ullam itaque, accusantium culpa soluta voluptatum.\n\nAssumenda similique labore, corrupti recusandae quisquam, accusantium provident voluptates incidunt, neque eum consequuntur. At minus, iste dolore repudiandae ipsum ea, cupiditate molestias.\n\nVitae ad id accusamus quia aspernatur ab, iusto, repellendus beatae rem aperiam ipsam atque, laboriosam nesciunt ea sunt officiis in? Modi, velit.\n<h3>Lorem ipsum dolor sit.</h3>\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Sapiente adipisci, hic itaque dicta, facere tempore aut voluptatum magni. Quisquam tenetur, esse ducimus nesciunt praesentium accusantium porro laborum quas, minus ab placeat repellendus labore perspiciatis? Sapiente odio fugiat, id eum ipsam recusandae nobis nemo assumenda quam! Dolorem provident ipsa consequatur quibusdam illum possimus quis itaque ducimus.", "CP Iusto, autem.", "Ea illum cumque, incidunt quisquam odit molestiae. Esse, quidem. Nihil, voluptates dolor.\r\n", "inherit", "closed", "closed", "", "380-autosave-v1", "", "", "2019-02-04 02:07:27", "2019-02-04 02:07:27", "", "380", "http://localhost:8888/UpdatingDuplicatorVersions/miyazaki-wp-php82/headlines/380-autosave-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("395", "1", "2019-02-04 02:07:32", "2019-02-04 02:07:32", "Lorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur molestias dicta, cum quae voluptatum tenetur illo atque id est at natus animi provident maxime in libero deserunt facere ea sint. A, perspiciatis non.\n<h3>Lorem ipsum dolor.</h3>\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Assumenda quas omnis dolores? Eos alias dolorum, commodi neque! Expedita harum eveniet, quisquam laboriosam!\n\nIn dicta hic quidem, dolorem fugit eveniet. Inventore quam, sint fugit repudiandae cupiditate ducimus voluptate voluptatibus autem laborum labore veritatis officia ullam!\n\nFugiat modi enim earum est saepe magnam eligendi at, asperiores cumque similique officia possimus adipisci nulla ullam alias reprehenderit, praesentium neque tempora!\n\nPlaceat aut unde incidunt blanditiis dolorum, facilis id error, officiis velit ex. Est vel, aspernatur quis inventore autem id veniam vitae, recusandae.\n<h3>Lorem ipsum dolor sit.</h3>\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Libero tempore facere ab animi eveniet sunt, consequuntur nisi non ducimus nostrum. Sit dolorum tempore assumenda ea ipsum, praesentium cumque cupiditate, impedit neque quasi culpa dolore. Nisi quasi, fuga enim aperiam aliquam dolorum architecto. Quo incidunt vel quos tenetur minima, quae, quam iusto numquam expedita, totam modi!\n\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur molestias dicta, cum quae voluptatum tenetur illo atque id est at natus animi provident maxime in libero deserunt facere ea sint. A, perspiciatis non.\n<h3>Lorem ipsum dolor.</h3>\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Assumenda quas omnis dolores? Eos alias dolorum, commodi neque! Expedita harum eveniet, quisquam laboriosam!\n\nIn dicta hic quidem, dolorem fugit eveniet. Inventore quam, sint fugit repudiandae cupiditate ducimus voluptate voluptatibus autem laborum labore veritatis officia ullam!\n\nFugiat modi enim earum est saepe magnam eligendi at, asperiores cumque similique officia possimus adipisci nulla ullam alias reprehenderit, praesentium neque tempora!\n\nPlaceat aut unde incidunt blanditiis dolorum, facilis id error, officiis velit ex. Est vel, aspernatur quis inventore autem id veniam vitae, recusandae.\n<h3>Lorem ipsum dolor sit.</h3>\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Libero tempore facere ab animi eveniet sunt, consequuntur nisi non ducimus nostrum. Sit dolorum tempore assumenda ea ipsum, praesentium cumque cupiditate, impedit neque quasi culpa dolore. Nisi quasi, fuga enim aperiam aliquam dolorum architecto. Quo incidunt vel quos tenetur minima, quae, quam iusto numquam expedita, totam modi!\n\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur molestias dicta, cum quae voluptatum tenetur illo atque id est at natus animi provident maxime in libero deserunt facere ea sint. A, perspiciatis non.\n<h3>Lorem ipsum dolor.</h3>\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Assumenda quas omnis dolores? Eos alias dolorum, commodi neque! Expedita harum eveniet, quisquam laboriosam!\n\nIn dicta hic quidem, dolorem fugit eveniet. Inventore quam, sint fugit repudiandae cupiditate ducimus voluptate voluptatibus autem laborum labore veritatis officia ullam!\n\nFugiat modi enim earum est saepe magnam eligendi at, asperiores cumque similique officia possimus adipisci nulla ullam alias reprehenderit, praesentium neque tempora!\n\nPlaceat aut unde incidunt blanditiis dolorum, facilis id error, officiis velit ex. Est vel, aspernatur quis inventore autem id veniam vitae, recusandae.\n<h3>Lorem ipsum dolor sit.</h3>\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Libero tempore facere ab animi eveniet sunt, consequuntur nisi non ducimus nostrum. Sit dolorum tempore assumenda ea ipsum, praesentium cumque cupiditate, impedit neque quasi culpa dolore. Nisi quasi, fuga enim aperiam aliquam dolorum architecto. Quo incidunt vel quos tenetur minima, quae, quam iusto numquam expedita, totam modi!", "CP Deleniti corporis, drunt.", "Eum deleniti nobis porro ea sapiente. Suscipit doloremque temporibus, sit commodi omnis.\r\n", "inherit", "closed", "closed", "", "383-autosave-v1", "", "", "2019-02-04 02:07:32", "2019-02-04 02:07:32", "", "383", "http://localhost:8888/UpdatingDuplicatorVersions/miyazaki-wp-php82/headlines/383-autosave-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("396", "1", "2019-02-04 02:07:37", "2019-02-04 02:07:37", "Lorem ipsum dolor sit amet, consectetur adipisicing elit. Similique nisi architecto explicabo, quia, ab officiis nemo ad fuga aliquid, consequatur eveniet! Praesentium iste cumque dolore quos aspernatur deleniti itaque, porro quis, adipisci necessitatibus?\n<h3>Lorem ipsum dolor.</h3>\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Id aliquid illo, praesentium aspernatur impedit, illum ea voluptatum nobis iure adipisci obcaecati laboriosam.\n\nTempora quidem quam neque autem est optio laboriosam dolores nesciunt enim rerum, suscipit mollitia facere deleniti, magni aliquid reprehenderit commodi. Similique, voluptatibus?\n\nModi tempora nam eveniet inventore est at ullam explicabo quam maxime, iusto, minus sapiente, similique vero perferendis! Suscipit sed voluptates sint explicabo.\n\nA repellat animi necessitatibus! Repellat nostrum quidem suscipit maiores accusantium at, officiis unde sit modi consectetur totam repellendus! Necessitatibus doloremque ex laboriosam!\n<h3>Lorem ipsum dolor sit.</h3>\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Sed aliquam amet veniam nam reiciendis delectus sint quisquam laborum et aspernatur porro eaque, dicta soluta inventore similique non minus! Facere, molestias. Architecto quis libero quam error vel corporis, labore quidem illum cumque tempore, magni nam odio dolores atque rerum ipsa aut laborum facere, fugit enim tenetur.\n\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Similique nisi architecto explicabo, quia, ab officiis nemo ad fuga aliquid, consequatur eveniet! Praesentium iste cumque dolore quos aspernatur deleniti itaque, porro quis, adipisci necessitatibus?\n<h3>Lorem ipsum dolor.</h3>\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Id aliquid illo, praesentium aspernatur impedit, illum ea voluptatum nobis iure adipisci obcaecati laboriosam.\n\nTempora quidem quam neque autem est optio laboriosam dolores nesciunt enim rerum, suscipit mollitia facere deleniti, magni aliquid reprehenderit commodi. Similique, voluptatibus?\n\nModi tempora nam eveniet inventore est at ullam explicabo quam maxime, iusto, minus sapiente, similique vero perferendis! Suscipit sed voluptates sint explicabo.\n\nA repellat animi necessitatibus! Repellat nostrum quidem suscipit maiores accusantium at, officiis unde sit modi consectetur totam repellendus! Necessitatibus doloremque ex laboriosam!\n<h3>Lorem ipsum dolor sit.</h3>\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Sed aliquam amet veniam nam reiciendis delectus sint quisquam laborum et aspernatur porro eaque, dicta soluta inventore similique non minus! Facere, molestias. Architecto quis libero quam error vel corporis, labore quidem illum cumque tempore, magni nam odio dolores atque rerum ipsa aut laborum facere, fugit enim tenetur.\n\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Similique nisi architecto explicabo, quia, ab officiis nemo ad fuga aliquid, consequatur eveniet! Praesentium iste cumque dolore quos aspernatur deleniti itaque, porro quis, adipisci necessitatibus?\n<h3>Lorem ipsum dolor.</h3>\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Id aliquid illo, praesentium aspernatur impedit, illum ea voluptatum nobis iure adipisci obcaecati laboriosam.\n\nTempora quidem quam neque autem est optio laboriosam dolores nesciunt enim rerum, suscipit mollitia facere deleniti, magni aliquid reprehenderit commodi. Similique, voluptatibus?\n\nModi tempora nam eveniet inventore est at ullam explicabo quam maxime, iusto, minus sapiente, similique vero perferendis! Suscipit sed voluptates sint explicabo.\n\nA repellat animi necessitatibus! Repellat nostrum quidem suscipit maiores accusantium at, officiis unde sit modi consectetur totam repellendus! Necessitatibus doloremque ex laboriosam!\n<h3>Lorem ipsum dolor sit.</h3>\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Sed aliquam amet veniam nam reiciendis delectus sint quisquam laborum et aspernatur porro eaque, dicta soluta inventore similique non minus! Facere, molestias. Architecto quis libero quam error vel corporis, labore quidem illum cumque tempore, magni nam odio dolores atque rerum ipsa aut laborum facere, fugit enim tenetur.", "CP Obcaecati, numquam", "Quam expedita in nostrum incidunt cum fugit quisquam dolore temporibus perferendis, debitis.\r\n", "inherit", "closed", "closed", "", "377-autosave-v1", "", "", "2019-02-04 02:07:37", "2019-02-04 02:07:37", "", "377", "http://localhost:8888/UpdatingDuplicatorVersions/miyazaki-wp-php82/headlines/377-autosave-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("397", "1", "2019-02-04 02:07:43", "2019-02-04 02:07:43", "Lorem ipsum dolor sit amet, consectetur adipisicing elit. Fugit labore voluptatem voluptatum nostrum in explicabo ab itaque perspiciatis ipsam sapiente, recusandae, voluptate unde. Reiciendis voluptatum quia ad nulla recusandae molestias atque sequi laudantium.\n<h3>Lorem ipsum dolor.</h3>\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Minima, ipsam necessitatibus temporibus qui accusamus, quasi, totam repudiandae doloremque rerum quia delectus nam.\n\nLabore harum, maiores veniam cupiditate qui explicabo voluptatem earum id, dolor, voluptas saepe natus. Porro debitis ullam itaque, accusantium culpa soluta voluptatum.\n\nAssumenda similique labore, corrupti recusandae quisquam, accusantium provident voluptates incidunt, neque eum consequuntur. At minus, iste dolore repudiandae ipsum ea, cupiditate molestias.\n\nVitae ad id accusamus quia aspernatur ab, iusto, repellendus beatae rem aperiam ipsam atque, laboriosam nesciunt ea sunt officiis in? Modi, velit.\n<h3>Lorem ipsum dolor sit.</h3>\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Sapiente adipisci, hic itaque dicta, facere tempore aut voluptatum magni. Quisquam tenetur, esse ducimus nesciunt praesentium accusantium porro laborum quas, minus ab placeat repellendus labore perspiciatis? Sapiente odio fugiat, id eum ipsam recusandae nobis nemo assumenda quam! Dolorem provident ipsa consequatur quibusdam illum possimus quis itaque ducimus.\n\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Fugit labore voluptatem voluptatum nostrum in explicabo ab itaque perspiciatis ipsam sapiente, recusandae, voluptate unde. Reiciendis voluptatum quia ad nulla recusandae molestias atque sequi laudantium.\n<h3>Lorem ipsum dolor.</h3>\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Minima, ipsam necessitatibus temporibus qui accusamus, quasi, totam repudiandae doloremque rerum quia delectus nam.\n\nLabore harum, maiores veniam cupiditate qui explicabo voluptatem earum id, dolor, voluptas saepe natus. Porro debitis ullam itaque, accusantium culpa soluta voluptatum.\n\nAssumenda similique labore, corrupti recusandae quisquam, accusantium provident voluptates incidunt, neque eum consequuntur. At minus, iste dolore repudiandae ipsum ea, cupiditate molestias.\n\nVitae ad id accusamus quia aspernatur ab, iusto, repellendus beatae rem aperiam ipsam atque, laboriosam nesciunt ea sunt officiis in? Modi, velit.\n<h3>Lorem ipsum dolor sit.</h3>\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Sapiente adipisci, hic itaque dicta, facere tempore aut voluptatum magni. Quisquam tenetur, esse ducimus nesciunt praesentium accusantium porro laborum quas, minus ab placeat repellendus labore perspiciatis? Sapiente odio fugiat, id eum ipsam recusandae nobis nemo assumenda quam! Dolorem provident ipsa consequatur quibusdam illum possimus quis itaque ducimus.\n\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Fugit labore voluptatem voluptatum nostrum in explicabo ab itaque perspiciatis ipsam sapiente, recusandae, voluptate unde. Reiciendis voluptatum quia ad nulla recusandae molestias atque sequi laudantium.\n<h3>Lorem ipsum dolor.</h3>\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Minima, ipsam necessitatibus temporibus qui accusamus, quasi, totam repudiandae doloremque rerum quia delectus nam.\n\nLabore harum, maiores veniam cupiditate qui explicabo voluptatem earum id, dolor, voluptas saepe natus. Porro debitis ullam itaque, accusantium culpa soluta voluptatum.\n\nAssumenda similique labore, corrupti recusandae quisquam, accusantium provident voluptates incidunt, neque eum consequuntur. At minus, iste dolore repudiandae ipsum ea, cupiditate molestias.\n\nVitae ad id accusamus quia aspernatur ab, iusto, repellendus beatae rem aperiam ipsam atque, laboriosam nesciunt ea sunt officiis in? Modi, velit.\n<h3>Lorem ipsum dolor sit.</h3>\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Sapiente adipisci, hic itaque dicta, facere tempore aut voluptatum magni. Quisquam tenetur, esse ducimus nesciunt praesentium accusantium porro laborum quas, minus ab placeat repellendus labore perspiciatis? Sapiente odio fugiat, id eum ipsam recusandae nobis nemo assumenda quam! Dolorem provident ipsa consequatur quibusdam illum possimus quis itaque ducimus.", "CP Iusto, autem.", "Ea illum cumque, incidunt quisquam odit molestiae. Esse, quidem. Nihil, voluptates dolor.\r\n", "inherit", "closed", "closed", "", "380-revision-v1", "", "", "2019-02-04 02:07:43", "2019-02-04 02:07:43", "", "380", "http://localhost:8888/UpdatingDuplicatorVersions/miyazaki-wp-php82/headlines/380-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("398", "1", "2019-02-04 02:07:44", "2019-02-04 02:07:44", "Lorem ipsum dolor sit amet, consectetur adipisicing elit. Magnam, reprehenderit at. Consequuntur facere consequatur sapiente ab ducimus labore quam quod modi cumque distinctio, nostrum, voluptates sint, a voluptatem fuga placeat quis aliquam eius.\n<h3>Lorem ipsum dolor.</h3>\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatum, pariatur nam odit ad quas optio non, quasi sed officiis quaerat reiciendis consectetur.\n\nIure in, officiis nam cum neque ducimus commodi consequuntur magni enim veniam nemo alias aliquid eveniet nihil repellat dolore omnis. Repellendus, atque.\n\nVoluptate aspernatur velit nam assumenda mollitia facilis explicabo, commodi, neque eaque consequuntur illo. Inventore adipisci nulla ullam suscipit vero odit, quaerat quia.\n\nProvident, consequuntur atque exercitationem corrupti laboriosam ipsam, reiciendis, praesentium totam delectus quas nobis doloribus. Voluptas ipsum explicabo eaque mollitia cupiditate ratione nam!\n<h3>Lorem ipsum dolor sit.</h3>\nLorem ipsum dolor sit amet, consectetur adipisicing elit. In nesciunt ratione tempore quaerat, cum assumenda distinctio quod debitis, harum nulla expedita. Architecto odio quae esse commodi eveniet mollitia nihil, cupiditate corporis delectus ipsum. Fugiat perferendis nulla culpa tempora modi eius id dolor harum optio ea aliquam quaerat voluptatum similique, pariatur nisi deleniti, et animi itaque.\n\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Magnam, reprehenderit at. Consequuntur facere consequatur sapiente ab ducimus labore quam quod modi cumque distinctio, nostrum, voluptates sint, a voluptatem fuga placeat quis aliquam eius.\n<h3>Lorem ipsum dolor.</h3>\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatum, pariatur nam odit ad quas optio non, quasi sed officiis quaerat reiciendis consectetur.\n\nIure in, officiis nam cum neque ducimus commodi consequuntur magni enim veniam nemo alias aliquid eveniet nihil repellat dolore omnis. Repellendus, atque.\n\nVoluptate aspernatur velit nam assumenda mollitia facilis explicabo, commodi, neque eaque consequuntur illo. Inventore adipisci nulla ullam suscipit vero odit, quaerat quia.\n\nProvident, consequuntur atque exercitationem corrupti laboriosam ipsam, reiciendis, praesentium totam delectus quas nobis doloribus. Voluptas ipsum explicabo eaque mollitia cupiditate ratione nam!\n<h3>Lorem ipsum dolor sit.</h3>\nLorem ipsum dolor sit amet, consectetur adipisicing elit. In nesciunt ratione tempore quaerat, cum assumenda distinctio quod debitis, harum nulla expedita. Architecto odio quae esse commodi eveniet mollitia nihil, cupiditate corporis delectus ipsum. Fugiat perferendis nulla culpa tempora modi eius id dolor harum optio ea aliquam quaerat voluptatum similique, pariatur nisi deleniti, et animi itaque.\n\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Magnam, reprehenderit at. Consequuntur facere consequatur sapiente ab ducimus labore quam quod modi cumque distinctio, nostrum, voluptates sint, a voluptatem fuga placeat quis aliquam eius.\n<h3>Lorem ipsum dolor.</h3>\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatum, pariatur nam odit ad quas optio non, quasi sed officiis quaerat reiciendis consectetur.\n\nIure in, officiis nam cum neque ducimus commodi consequuntur magni enim veniam nemo alias aliquid eveniet nihil repellat dolore omnis. Repellendus, atque.\n\nVoluptate aspernatur velit nam assumenda mollitia facilis explicabo, commodi, neque eaque consequuntur illo. Inventore adipisci nulla ullam suscipit vero odit, quaerat quia.\n\nProvident, consequuntur atque exercitationem corrupti laboriosam ipsam, reiciendis, praesentium totam delectus quas nobis doloribus. Voluptas ipsum explicabo eaque mollitia cupiditate ratione nam!\n<h3>Lorem ipsum dolor sit.</h3>\nLorem ipsum dolor sit amet, consectetur adipisicing elit. In nesciunt ratione tempore quaerat, cum assumenda distinctio quod debitis, harum nulla expedita. Architecto odio quae esse commodi eveniet mollitia nihil, cupiditate corporis delectus ipsum. Fugiat perferendis nulla culpa tempora modi eius id dolor harum optio ea aliquam quaerat voluptatum similique, pariatur nisi deleniti, et animi itaque.", "CP Veritatis, recudae, iure.", "Porro consequuntur quisquam minus nemo placeat alias neque aliquam, provident iusto similique.\r\n", "inherit", "closed", "closed", "", "382-autosave-v1", "", "", "2019-02-04 02:07:44", "2019-02-04 02:07:44", "", "382", "http://localhost:8888/UpdatingDuplicatorVersions/miyazaki-wp-php82/headlines/382-autosave-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("399", "1", "2019-02-04 02:07:46", "2019-02-04 02:07:46", "Lorem ipsum dolor sit amet, consectetur adipisicing elit. Magnam, reprehenderit at. Consequuntur facere consequatur sapiente ab ducimus labore quam quod modi cumque distinctio, nostrum, voluptates sint, a voluptatem fuga placeat quis aliquam eius.\n<h3>Lorem ipsum dolor.</h3>\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatum, pariatur nam odit ad quas optio non, quasi sed officiis quaerat reiciendis consectetur.\n\nIure in, officiis nam cum neque ducimus commodi consequuntur magni enim veniam nemo alias aliquid eveniet nihil repellat dolore omnis. Repellendus, atque.\n\nVoluptate aspernatur velit nam assumenda mollitia facilis explicabo, commodi, neque eaque consequuntur illo. Inventore adipisci nulla ullam suscipit vero odit, quaerat quia.\n\nProvident, consequuntur atque exercitationem corrupti laboriosam ipsam, reiciendis, praesentium totam delectus quas nobis doloribus. Voluptas ipsum explicabo eaque mollitia cupiditate ratione nam!\n<h3>Lorem ipsum dolor sit.</h3>\nLorem ipsum dolor sit amet, consectetur adipisicing elit. In nesciunt ratione tempore quaerat, cum assumenda distinctio quod debitis, harum nulla expedita. Architecto odio quae esse commodi eveniet mollitia nihil, cupiditate corporis delectus ipsum. Fugiat perferendis nulla culpa tempora modi eius id dolor harum optio ea aliquam quaerat voluptatum similique, pariatur nisi deleniti, et animi itaque.\n\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Magnam, reprehenderit at. Consequuntur facere consequatur sapiente ab ducimus labore quam quod modi cumque distinctio, nostrum, voluptates sint, a voluptatem fuga placeat quis aliquam eius.\n<h3>Lorem ipsum dolor.</h3>\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatum, pariatur nam odit ad quas optio non, quasi sed officiis quaerat reiciendis consectetur.\n\nIure in, officiis nam cum neque ducimus commodi consequuntur magni enim veniam nemo alias aliquid eveniet nihil repellat dolore omnis. Repellendus, atque.\n\nVoluptate aspernatur velit nam assumenda mollitia facilis explicabo, commodi, neque eaque consequuntur illo. Inventore adipisci nulla ullam suscipit vero odit, quaerat quia.\n\nProvident, consequuntur atque exercitationem corrupti laboriosam ipsam, reiciendis, praesentium totam delectus quas nobis doloribus. Voluptas ipsum explicabo eaque mollitia cupiditate ratione nam!\n<h3>Lorem ipsum dolor sit.</h3>\nLorem ipsum dolor sit amet, consectetur adipisicing elit. In nesciunt ratione tempore quaerat, cum assumenda distinctio quod debitis, harum nulla expedita. Architecto odio quae esse commodi eveniet mollitia nihil, cupiditate corporis delectus ipsum. Fugiat perferendis nulla culpa tempora modi eius id dolor harum optio ea aliquam quaerat voluptatum similique, pariatur nisi deleniti, et animi itaque.\n\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Magnam, reprehenderit at. Consequuntur facere consequatur sapiente ab ducimus labore quam quod modi cumque distinctio, nostrum, voluptates sint, a voluptatem fuga placeat quis aliquam eius.\n<h3>Lorem ipsum dolor.</h3>\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatum, pariatur nam odit ad quas optio non, quasi sed officiis quaerat reiciendis consectetur.\n\nIure in, officiis nam cum neque ducimus commodi consequuntur magni enim veniam nemo alias aliquid eveniet nihil repellat dolore omnis. Repellendus, atque.\n\nVoluptate aspernatur velit nam assumenda mollitia facilis explicabo, commodi, neque eaque consequuntur illo. Inventore adipisci nulla ullam suscipit vero odit, quaerat quia.\n\nProvident, consequuntur atque exercitationem corrupti laboriosam ipsam, reiciendis, praesentium totam delectus quas nobis doloribus. Voluptas ipsum explicabo eaque mollitia cupiditate ratione nam!\n<h3>Lorem ipsum dolor sit.</h3>\nLorem ipsum dolor sit amet, consectetur adipisicing elit. In nesciunt ratione tempore quaerat, cum assumenda distinctio quod debitis, harum nulla expedita. Architecto odio quae esse commodi eveniet mollitia nihil, cupiditate corporis delectus ipsum. Fugiat perferendis nulla culpa tempora modi eius id dolor harum optio ea aliquam quaerat voluptatum similique, pariatur nisi deleniti, et animi itaque.", "CP Veritatis, recudae, iure.", "Porro consequuntur quisquam minus nemo placeat alias neque aliquam, provident iusto similique.\r\n", "inherit", "closed", "closed", "", "382-revision-v1", "", "", "2019-02-04 02:07:46", "2019-02-04 02:07:46", "", "382", "http://localhost:8888/UpdatingDuplicatorVersions/miyazaki-wp-php82/headlines/382-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("400", "1", "2019-02-04 02:07:48", "2019-02-04 02:07:48", "Lorem ipsum dolor sit amet, consectetur adipisicing elit. Similique nisi architecto explicabo, quia, ab officiis nemo ad fuga aliquid, consequatur eveniet! Praesentium iste cumque dolore quos aspernatur deleniti itaque, porro quis, adipisci necessitatibus?\n<h3>Lorem ipsum dolor.</h3>\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Id aliquid illo, praesentium aspernatur impedit, illum ea voluptatum nobis iure adipisci obcaecati laboriosam.\n\nTempora quidem quam neque autem est optio laboriosam dolores nesciunt enim rerum, suscipit mollitia facere deleniti, magni aliquid reprehenderit commodi. Similique, voluptatibus?\n\nModi tempora nam eveniet inventore est at ullam explicabo quam maxime, iusto, minus sapiente, similique vero perferendis! Suscipit sed voluptates sint explicabo.\n\nA repellat animi necessitatibus! Repellat nostrum quidem suscipit maiores accusantium at, officiis unde sit modi consectetur totam repellendus! Necessitatibus doloremque ex laboriosam!\n<h3>Lorem ipsum dolor sit.</h3>\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Sed aliquam amet veniam nam reiciendis delectus sint quisquam laborum et aspernatur porro eaque, dicta soluta inventore similique non minus! Facere, molestias. Architecto quis libero quam error vel corporis, labore quidem illum cumque tempore, magni nam odio dolores atque rerum ipsa aut laborum facere, fugit enim tenetur.\n\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Similique nisi architecto explicabo, quia, ab officiis nemo ad fuga aliquid, consequatur eveniet! Praesentium iste cumque dolore quos aspernatur deleniti itaque, porro quis, adipisci necessitatibus?\n<h3>Lorem ipsum dolor.</h3>\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Id aliquid illo, praesentium aspernatur impedit, illum ea voluptatum nobis iure adipisci obcaecati laboriosam.\n\nTempora quidem quam neque autem est optio laboriosam dolores nesciunt enim rerum, suscipit mollitia facere deleniti, magni aliquid reprehenderit commodi. Similique, voluptatibus?\n\nModi tempora nam eveniet inventore est at ullam explicabo quam maxime, iusto, minus sapiente, similique vero perferendis! Suscipit sed voluptates sint explicabo.\n\nA repellat animi necessitatibus! Repellat nostrum quidem suscipit maiores accusantium at, officiis unde sit modi consectetur totam repellendus! Necessitatibus doloremque ex laboriosam!\n<h3>Lorem ipsum dolor sit.</h3>\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Sed aliquam amet veniam nam reiciendis delectus sint quisquam laborum et aspernatur porro eaque, dicta soluta inventore similique non minus! Facere, molestias. Architecto quis libero quam error vel corporis, labore quidem illum cumque tempore, magni nam odio dolores atque rerum ipsa aut laborum facere, fugit enim tenetur.\n\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Similique nisi architecto explicabo, quia, ab officiis nemo ad fuga aliquid, consequatur eveniet! Praesentium iste cumque dolore quos aspernatur deleniti itaque, porro quis, adipisci necessitatibus?\n<h3>Lorem ipsum dolor.</h3>\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Id aliquid illo, praesentium aspernatur impedit, illum ea voluptatum nobis iure adipisci obcaecati laboriosam.\n\nTempora quidem quam neque autem est optio laboriosam dolores nesciunt enim rerum, suscipit mollitia facere deleniti, magni aliquid reprehenderit commodi. Similique, voluptatibus?\n\nModi tempora nam eveniet inventore est at ullam explicabo quam maxime, iusto, minus sapiente, similique vero perferendis! Suscipit sed voluptates sint explicabo.\n\nA repellat animi necessitatibus! Repellat nostrum quidem suscipit maiores accusantium at, officiis unde sit modi consectetur totam repellendus! Necessitatibus doloremque ex laboriosam!\n<h3>Lorem ipsum dolor sit.</h3>\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Sed aliquam amet veniam nam reiciendis delectus sint quisquam laborum et aspernatur porro eaque, dicta soluta inventore similique non minus! Facere, molestias. Architecto quis libero quam error vel corporis, labore quidem illum cumque tempore, magni nam odio dolores atque rerum ipsa aut laborum facere, fugit enim tenetur.", "CP Obcaecati, numquam", "Quam expedita in nostrum incidunt cum fugit quisquam dolore temporibus perferendis, debitis.\r\n", "inherit", "closed", "closed", "", "377-revision-v1", "", "", "2019-02-04 02:07:48", "2019-02-04 02:07:48", "", "377", "http://localhost:8888/UpdatingDuplicatorVersions/miyazaki-wp-php82/headlines/377-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("401", "1", "2019-02-04 02:07:49", "2019-02-04 02:07:49", "Lorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur molestias dicta, cum quae voluptatum tenetur illo atque id est at natus animi provident maxime in libero deserunt facere ea sint. A, perspiciatis non.\n<h3>Lorem ipsum dolor.</h3>\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Assumenda quas omnis dolores? Eos alias dolorum, commodi neque! Expedita harum eveniet, quisquam laboriosam!\n\nIn dicta hic quidem, dolorem fugit eveniet. Inventore quam, sint fugit repudiandae cupiditate ducimus voluptate voluptatibus autem laborum labore veritatis officia ullam!\n\nFugiat modi enim earum est saepe magnam eligendi at, asperiores cumque similique officia possimus adipisci nulla ullam alias reprehenderit, praesentium neque tempora!\n\nPlaceat aut unde incidunt blanditiis dolorum, facilis id error, officiis velit ex. Est vel, aspernatur quis inventore autem id veniam vitae, recusandae.\n<h3>Lorem ipsum dolor sit.</h3>\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Libero tempore facere ab animi eveniet sunt, consequuntur nisi non ducimus nostrum. Sit dolorum tempore assumenda ea ipsum, praesentium cumque cupiditate, impedit neque quasi culpa dolore. Nisi quasi, fuga enim aperiam aliquam dolorum architecto. Quo incidunt vel quos tenetur minima, quae, quam iusto numquam expedita, totam modi!\n\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur molestias dicta, cum quae voluptatum tenetur illo atque id est at natus animi provident maxime in libero deserunt facere ea sint. A, perspiciatis non.\n<h3>Lorem ipsum dolor.</h3>\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Assumenda quas omnis dolores? Eos alias dolorum, commodi neque! Expedita harum eveniet, quisquam laboriosam!\n\nIn dicta hic quidem, dolorem fugit eveniet. Inventore quam, sint fugit repudiandae cupiditate ducimus voluptate voluptatibus autem laborum labore veritatis officia ullam!\n\nFugiat modi enim earum est saepe magnam eligendi at, asperiores cumque similique officia possimus adipisci nulla ullam alias reprehenderit, praesentium neque tempora!\n\nPlaceat aut unde incidunt blanditiis dolorum, facilis id error, officiis velit ex. Est vel, aspernatur quis inventore autem id veniam vitae, recusandae.\n<h3>Lorem ipsum dolor sit.</h3>\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Libero tempore facere ab animi eveniet sunt, consequuntur nisi non ducimus nostrum. Sit dolorum tempore assumenda ea ipsum, praesentium cumque cupiditate, impedit neque quasi culpa dolore. Nisi quasi, fuga enim aperiam aliquam dolorum architecto. Quo incidunt vel quos tenetur minima, quae, quam iusto numquam expedita, totam modi!\n\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur molestias dicta, cum quae voluptatum tenetur illo atque id est at natus animi provident maxime in libero deserunt facere ea sint. A, perspiciatis non.\n<h3>Lorem ipsum dolor.</h3>\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Assumenda quas omnis dolores? Eos alias dolorum, commodi neque! Expedita harum eveniet, quisquam laboriosam!\n\nIn dicta hic quidem, dolorem fugit eveniet. Inventore quam, sint fugit repudiandae cupiditate ducimus voluptate voluptatibus autem laborum labore veritatis officia ullam!\n\nFugiat modi enim earum est saepe magnam eligendi at, asperiores cumque similique officia possimus adipisci nulla ullam alias reprehenderit, praesentium neque tempora!\n\nPlaceat aut unde incidunt blanditiis dolorum, facilis id error, officiis velit ex. Est vel, aspernatur quis inventore autem id veniam vitae, recusandae.\n<h3>Lorem ipsum dolor sit.</h3>\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Libero tempore facere ab animi eveniet sunt, consequuntur nisi non ducimus nostrum. Sit dolorum tempore assumenda ea ipsum, praesentium cumque cupiditate, impedit neque quasi culpa dolore. Nisi quasi, fuga enim aperiam aliquam dolorum architecto. Quo incidunt vel quos tenetur minima, quae, quam iusto numquam expedita, totam modi!", "CP Deleniti corporis, drunt.", "Eum deleniti nobis porro ea sapiente. Suscipit doloremque temporibus, sit commodi omnis.\r\n", "inherit", "closed", "closed", "", "383-revision-v1", "", "", "2019-02-04 02:07:49", "2019-02-04 02:07:49", "", "383", "http://localhost:8888/UpdatingDuplicatorVersions/miyazaki-wp-php82/headlines/383-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("402", "1", "2019-02-04 02:07:59", "2019-02-04 02:07:59", "Lorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur hic quasi odio voluptates eligendi illum suscipit asperiores fugit placeat inventore ratione explicabo assumenda blanditiis ipsam ipsum repellat ipsa, sint tempora odit eos? Sequi!\n<h3>Lorem ipsum dolor.</h3>\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Eveniet obcaecati ratione cum id natus asperiores maiores recusandae animi, corporis dolore dolorem ut!\n\nSoluta sunt quos dolore cumque earum temporibus, officiis at similique voluptas quam ullam accusantium autem, odio fugit magnam aut quisquam unde rem.\n\nAd, eaque quo voluptatem dolorum esse minus illo, cupiditate fuga quidem ipsa! Voluptatem asperiores consequatur, nesciunt minima doloribus, dolorum fuga alias. Voluptas.\n\nProvident omnis veritatis rem debitis impedit quo excepturi! Illum, nesciunt, dolores adipisci sapiente soluta explicabo nihil debitis molestiae excepturi esse placeat accusamus.\n<h3>Lorem ipsum dolor sit.</h3>\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Unde maxime nihil doloremque! Quos asperiores voluptas aliquam molestiae ut molestias fugiat, quasi, expedita amet explicabo aspernatur perferendis, eum reiciendis dicta natus accusamus alias incidunt sunt nemo voluptatum nesciunt veritatis architecto et doloremque aperiam! At enim nisi aut dignissimos minus corporis, magni tenetur eveniet aliquam illo! Error!\n\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur hic quasi odio voluptates eligendi illum suscipit asperiores fugit placeat inventore ratione explicabo assumenda blanditiis ipsam ipsum repellat ipsa, sint tempora odit eos? Sequi!\n<h3>Lorem ipsum dolor.</h3>\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Eveniet obcaecati ratione cum id natus asperiores maiores recusandae animi, corporis dolore dolorem ut!\n\nSoluta sunt quos dolore cumque earum temporibus, officiis at similique voluptas quam ullam accusantium autem, odio fugit magnam aut quisquam unde rem.\n\nAd, eaque quo voluptatem dolorum esse minus illo, cupiditate fuga quidem ipsa! Voluptatem asperiores consequatur, nesciunt minima doloribus, dolorum fuga alias. Voluptas.\n\nProvident omnis veritatis rem debitis impedit quo excepturi! Illum, nesciunt, dolores adipisci sapiente soluta explicabo nihil debitis molestiae excepturi esse placeat accusamus.\n<h3>Lorem ipsum dolor sit.</h3>\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Unde maxime nihil doloremque! Quos asperiores voluptas aliquam molestiae ut molestias fugiat, quasi, expedita amet explicabo aspernatur perferendis, eum reiciendis dicta natus accusamus alias incidunt sunt nemo voluptatum nesciunt veritatis architecto et doloremque aperiam! At enim nisi aut dignissimos minus corporis, magni tenetur eveniet aliquam illo! Error!\n\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Consequatur hic quasi odio voluptates eligendi illum suscipit asperiores fugit placeat inventore ratione explicabo assumenda blanditiis ipsam ipsum repellat ipsa, sint tempora odit eos? Sequi!\n<h3>Lorem ipsum dolor.</h3>\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Eveniet obcaecati ratione cum id natus asperiores maiores recusandae animi, corporis dolore dolorem ut!\n\nSoluta sunt quos dolore cumque earum temporibus, officiis at similique voluptas quam ullam accusantium autem, odio fugit magnam aut quisquam unde rem.\n\nAd, eaque quo voluptatem dolorum esse minus illo, cupiditate fuga quidem ipsa! Voluptatem asperiores consequatur, nesciunt minima doloribus, dolorum fuga alias. Voluptas.\n\nProvident omnis veritatis rem debitis impedit quo excepturi! Illum, nesciunt, dolores adipisci sapiente soluta explicabo nihil debitis molestiae excepturi esse placeat accusamus.\n<h3>Lorem ipsum dolor sit.</h3>\nLorem ipsum dolor sit amet, consectetur adipisicing elit. Unde maxime nihil doloremque! Quos asperiores voluptas aliquam molestiae ut molestias fugiat, quasi, expedita amet explicabo aspernatur perferendis, eum reiciendis dicta natus accusamus alias incidunt sunt nemo voluptatum nesciunt veritatis architecto et doloremque aperiam! At enim nisi aut dignissimos minus corporis, magni tenetur eveniet aliquam illo! Error!", "CP Error, fugit, animi.", "Sapiente, ex, vel. Enim libero consequatur perferendis architecto harum, voluptatum maxime adipisci!\r\n", "inherit", "closed", "closed", "", "381-revision-v1", "", "", "2019-02-04 02:07:59", "2019-02-04 02:07:59", "", "381", "http://localhost:8888/UpdatingDuplicatorVersions/miyazaki-wp-php82/headlines/381-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("406", "1", "2024-01-19 03:28:42", "0000-00-00 00:00:00", "", "Auto Draft", "", "auto-draft", "open", "open", "", "", "", "", "2024-01-19 03:28:42", "0000-00-00 00:00:00", "", "0", "http://localhost:8888/UpdatingDuplicatorVersions/miyazaki-wp-php82/?p=406", "0", "post", "", "0");

/* INSERT TABLE DATA: wp_term_relationships */
INSERT INTO `wp_term_relationships` VALUES("28", "18", "0");
INSERT INTO `wp_term_relationships` VALUES("29", "17", "0");
INSERT INTO `wp_term_relationships` VALUES("30", "18", "0");
INSERT INTO `wp_term_relationships` VALUES("31", "16", "0");
INSERT INTO `wp_term_relationships` VALUES("31", "17", "0");
INSERT INTO `wp_term_relationships` VALUES("32", "18", "0");
INSERT INTO `wp_term_relationships` VALUES("33", "16", "0");
INSERT INTO `wp_term_relationships` VALUES("33", "19", "0");
INSERT INTO `wp_term_relationships` VALUES("34", "19", "0");
INSERT INTO `wp_term_relationships` VALUES("35", "19", "0");
INSERT INTO `wp_term_relationships` VALUES("36", "18", "0");
INSERT INTO `wp_term_relationships` VALUES("47", "16", "0");
INSERT INTO `wp_term_relationships` VALUES("47", "17", "0");
INSERT INTO `wp_term_relationships` VALUES("49", "17", "0");
INSERT INTO `wp_term_relationships` VALUES("51", "16", "0");
INSERT INTO `wp_term_relationships` VALUES("51", "17", "0");
INSERT INTO `wp_term_relationships` VALUES("52", "17", "0");
INSERT INTO `wp_term_relationships` VALUES("53", "19", "0");
INSERT INTO `wp_term_relationships` VALUES("57", "17", "0");
INSERT INTO `wp_term_relationships` VALUES("59", "19", "0");
INSERT INTO `wp_term_relationships` VALUES("60", "16", "0");
INSERT INTO `wp_term_relationships` VALUES("60", "17", "0");
INSERT INTO `wp_term_relationships` VALUES("63", "17", "0");
INSERT INTO `wp_term_relationships` VALUES("64", "17", "0");
INSERT INTO `wp_term_relationships` VALUES("67", "17", "0");
INSERT INTO `wp_term_relationships` VALUES("68", "16", "0");
INSERT INTO `wp_term_relationships` VALUES("68", "17", "0");
INSERT INTO `wp_term_relationships` VALUES("69", "17", "0");
INSERT INTO `wp_term_relationships` VALUES("73", "19", "0");
INSERT INTO `wp_term_relationships` VALUES("74", "16", "0");
INSERT INTO `wp_term_relationships` VALUES("74", "19", "0");
INSERT INTO `wp_term_relationships` VALUES("148", "16", "0");
INSERT INTO `wp_term_relationships` VALUES("148", "19", "0");
INSERT INTO `wp_term_relationships` VALUES("205", "16", "0");
INSERT INTO `wp_term_relationships` VALUES("205", "19", "0");
INSERT INTO `wp_term_relationships` VALUES("206", "20", "0");
INSERT INTO `wp_term_relationships` VALUES("207", "20", "0");
INSERT INTO `wp_term_relationships` VALUES("208", "20", "0");
INSERT INTO `wp_term_relationships` VALUES("209", "16", "0");
INSERT INTO `wp_term_relationships` VALUES("209", "21", "0");
INSERT INTO `wp_term_relationships` VALUES("210", "20", "0");
INSERT INTO `wp_term_relationships` VALUES("211", "16", "0");
INSERT INTO `wp_term_relationships` VALUES("211", "20", "0");
INSERT INTO `wp_term_relationships` VALUES("212", "20", "0");
INSERT INTO `wp_term_relationships` VALUES("213", "20", "0");
INSERT INTO `wp_term_relationships` VALUES("214", "16", "0");
INSERT INTO `wp_term_relationships` VALUES("214", "20", "0");
INSERT INTO `wp_term_relationships` VALUES("215", "19", "0");
INSERT INTO `wp_term_relationships` VALUES("216", "20", "0");
INSERT INTO `wp_term_relationships` VALUES("217", "16", "0");
INSERT INTO `wp_term_relationships` VALUES("217", "17", "0");
INSERT INTO `wp_term_relationships` VALUES("218", "17", "0");
INSERT INTO `wp_term_relationships` VALUES("219", "17", "0");
INSERT INTO `wp_term_relationships` VALUES("220", "16", "0");
INSERT INTO `wp_term_relationships` VALUES("220", "17", "0");
INSERT INTO `wp_term_relationships` VALUES("221", "17", "0");
INSERT INTO `wp_term_relationships` VALUES("222", "17", "0");
INSERT INTO `wp_term_relationships` VALUES("223", "16", "0");
INSERT INTO `wp_term_relationships` VALUES("223", "17", "0");
INSERT INTO `wp_term_relationships` VALUES("224", "17", "0");
INSERT INTO `wp_term_relationships` VALUES("225", "16", "0");
INSERT INTO `wp_term_relationships` VALUES("225", "17", "0");
INSERT INTO `wp_term_relationships` VALUES("226", "17", "0");
INSERT INTO `wp_term_relationships` VALUES("227", "21", "0");
INSERT INTO `wp_term_relationships` VALUES("228", "21", "0");
INSERT INTO `wp_term_relationships` VALUES("229", "16", "0");
INSERT INTO `wp_term_relationships` VALUES("229", "21", "0");
INSERT INTO `wp_term_relationships` VALUES("342", "20", "0");
INSERT INTO `wp_term_relationships` VALUES("361", "18", "0");
INSERT INTO `wp_term_relationships` VALUES("369", "21", "0");
INSERT INTO `wp_term_relationships` VALUES("372", "21", "0");
INSERT INTO `wp_term_relationships` VALUES("374", "17", "0");
INSERT INTO `wp_term_relationships` VALUES("377", "17", "0");
INSERT INTO `wp_term_relationships` VALUES("378", "16", "0");
INSERT INTO `wp_term_relationships` VALUES("378", "20", "0");
INSERT INTO `wp_term_relationships` VALUES("379", "16", "0");
INSERT INTO `wp_term_relationships` VALUES("379", "19", "0");
INSERT INTO `wp_term_relationships` VALUES("380", "17", "0");
INSERT INTO `wp_term_relationships` VALUES("381", "16", "0");
INSERT INTO `wp_term_relationships` VALUES("381", "21", "0");
INSERT INTO `wp_term_relationships` VALUES("382", "18", "0");
INSERT INTO `wp_term_relationships` VALUES("383", "18", "0");
INSERT INTO `wp_term_relationships` VALUES("384", "21", "0");

/* INSERT TABLE DATA: wp_term_taxonomy */
INSERT INTO `wp_term_taxonomy` VALUES("16", "16", "post_tag", "", "0", "20");
INSERT INTO `wp_term_taxonomy` VALUES("17", "17", "category", "Latest news. But no Trump.", "0", "26");
INSERT INTO `wp_term_taxonomy` VALUES("18", "18", "category", "Left and right and neither.", "0", "7");
INSERT INTO `wp_term_taxonomy` VALUES("19", "19", "category", "Style. Life. Lifestyle.", "0", "11");
INSERT INTO `wp_term_taxonomy` VALUES("20", "20", "category", "Art, politics, sports, food, music, fashion, comics, movies, books.", "0", "11");
INSERT INTO `wp_term_taxonomy` VALUES("21", "21", "category", "The long reads about the things most worth thinking about.", "0", "8");

/* INSERT TABLE DATA: wp_terms */
INSERT INTO `wp_terms` VALUES("16", "special", "special", "0");
INSERT INTO `wp_terms` VALUES("17", "Headlines", "headlines", "0");
INSERT INTO `wp_terms` VALUES("18", "Opinions", "opinions", "0");
INSERT INTO `wp_terms` VALUES("19", "Lifestyle", "lifestyle", "0");
INSERT INTO `wp_terms` VALUES("20", "Culture", "culture", "0");
INSERT INTO `wp_terms` VALUES("21", "Features", "features", "0");

/* INSERT TABLE DATA: wp_usermeta */
INSERT INTO `wp_usermeta` VALUES("1", "1", "nickname", "kevinmcmillan");
INSERT INTO `wp_usermeta` VALUES("2", "1", "first_name", "");
INSERT INTO `wp_usermeta` VALUES("3", "1", "last_name", "");
INSERT INTO `wp_usermeta` VALUES("4", "1", "description", "");
INSERT INTO `wp_usermeta` VALUES("5", "1", "rich_editing", "true");
INSERT INTO `wp_usermeta` VALUES("6", "1", "syntax_highlighting", "true");
INSERT INTO `wp_usermeta` VALUES("7", "1", "comment_shortcuts", "false");
INSERT INTO `wp_usermeta` VALUES("8", "1", "admin_color", "fresh");
INSERT INTO `wp_usermeta` VALUES("9", "1", "use_ssl", "0");
INSERT INTO `wp_usermeta` VALUES("10", "1", "show_admin_bar_front", "true");
INSERT INTO `wp_usermeta` VALUES("11", "1", "locale", "");
INSERT INTO `wp_usermeta` VALUES("12", "1", "wp_capabilities", "a:1:{s:13:\"administrator\";b:1;}");
INSERT INTO `wp_usermeta` VALUES("13", "1", "wp_user_level", "10");
INSERT INTO `wp_usermeta` VALUES("14", "1", "dismissed_wp_pointers", "wp496_privacy,theme_editor_notice");
INSERT INTO `wp_usermeta` VALUES("15", "1", "show_welcome_panel", "1");
INSERT INTO `wp_usermeta` VALUES("16", "1", "session_tokens", "a:1:{s:64:\"e1fb5fe410fbc4c2ed46caa22479b9b7b6b4710f5ae7a54d72ca4004bc930b52\";a:4:{s:10:\"expiration\";i:1705807640;s:2:\"ip\";s:3:\"::1\";s:2:\"ua\";s:117:\"Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/120.0.0.0 Safari/537.36\";s:5:\"login\";i:1705634840;}}");
INSERT INTO `wp_usermeta` VALUES("17", "1", "wp_dashboard_quick_press_last_post_id", "406");
INSERT INTO `wp_usermeta` VALUES("18", "1", "managenav-menuscolumnshidden", "a:5:{i:0;s:11:\"link-target\";i:1;s:11:\"css-classes\";i:2;s:3:\"xfn\";i:3;s:11:\"description\";i:4;s:15:\"title-attribute\";}");
INSERT INTO `wp_usermeta` VALUES("19", "1", "metaboxhidden_nav-menus", "a:1:{i:0;s:12:\"add-post_tag\";}");
INSERT INTO `wp_usermeta` VALUES("20", "1", "nav_menu_recently_edited", "15");
INSERT INTO `wp_usermeta` VALUES("21", "1", "edit_post_per_page", "100");
INSERT INTO `wp_usermeta` VALUES("22", "1", "wp_user-settings", "posts_list_mode=list&editor=html&libraryContent=browse");
INSERT INTO `wp_usermeta` VALUES("23", "1", "wp_user-settings-time", "1531713609");
INSERT INTO `wp_usermeta` VALUES("24", "1", "closedpostboxes_post", "a:1:{i:0;s:16:\"tagsdiv-post_tag\";}");
INSERT INTO `wp_usermeta` VALUES("25", "1", "metaboxhidden_post", "a:5:{i:0;s:13:\"trackbacksdiv\";i:1;s:10:\"postcustom\";i:2;s:16:\"commentstatusdiv\";i:3;s:7:\"slugdiv\";i:4;s:9:\"authordiv\";}");
INSERT INTO `wp_usermeta` VALUES("26", "2", "nickname", "Walter White");
INSERT INTO `wp_usermeta` VALUES("27", "2", "first_name", "Walter");
INSERT INTO `wp_usermeta` VALUES("28", "2", "last_name", "White");
INSERT INTO `wp_usermeta` VALUES("29", "2", "description", "");
INSERT INTO `wp_usermeta` VALUES("30", "2", "rich_editing", "true");
INSERT INTO `wp_usermeta` VALUES("31", "2", "syntax_highlighting", "true");
INSERT INTO `wp_usermeta` VALUES("32", "2", "comment_shortcuts", "false");
INSERT INTO `wp_usermeta` VALUES("33", "2", "admin_color", "fresh");
INSERT INTO `wp_usermeta` VALUES("34", "2", "use_ssl", "0");
INSERT INTO `wp_usermeta` VALUES("35", "2", "show_admin_bar_front", "true");
INSERT INTO `wp_usermeta` VALUES("36", "2", "locale", "");
INSERT INTO `wp_usermeta` VALUES("37", "2", "wp_capabilities", "a:1:{s:6:\"editor\";b:1;}");
INSERT INTO `wp_usermeta` VALUES("38", "2", "wp_user_level", "7");
INSERT INTO `wp_usermeta` VALUES("39", "2", "dismissed_wp_pointers", "wp496_privacy");
INSERT INTO `wp_usermeta` VALUES("40", "3", "nickname", "Jessie Pinkman");
INSERT INTO `wp_usermeta` VALUES("41", "3", "first_name", "Jessie");
INSERT INTO `wp_usermeta` VALUES("42", "3", "last_name", "Pinkman");
INSERT INTO `wp_usermeta` VALUES("43", "3", "description", "");
INSERT INTO `wp_usermeta` VALUES("44", "3", "rich_editing", "true");
INSERT INTO `wp_usermeta` VALUES("45", "3", "syntax_highlighting", "true");
INSERT INTO `wp_usermeta` VALUES("46", "3", "comment_shortcuts", "false");
INSERT INTO `wp_usermeta` VALUES("47", "3", "admin_color", "fresh");
INSERT INTO `wp_usermeta` VALUES("48", "3", "use_ssl", "0");
INSERT INTO `wp_usermeta` VALUES("49", "3", "show_admin_bar_front", "true");
INSERT INTO `wp_usermeta` VALUES("50", "3", "locale", "");
INSERT INTO `wp_usermeta` VALUES("51", "3", "wp_capabilities", "a:1:{s:6:\"editor\";b:1;}");
INSERT INTO `wp_usermeta` VALUES("52", "3", "wp_user_level", "7");
INSERT INTO `wp_usermeta` VALUES("53", "3", "dismissed_wp_pointers", "wp496_privacy");
INSERT INTO `wp_usermeta` VALUES("54", "4", "nickname", "Saul Goodman");
INSERT INTO `wp_usermeta` VALUES("55", "4", "first_name", "Saul");
INSERT INTO `wp_usermeta` VALUES("56", "4", "last_name", "Goodman");
INSERT INTO `wp_usermeta` VALUES("57", "4", "description", "");
INSERT INTO `wp_usermeta` VALUES("58", "4", "rich_editing", "true");
INSERT INTO `wp_usermeta` VALUES("59", "4", "syntax_highlighting", "true");
INSERT INTO `wp_usermeta` VALUES("60", "4", "comment_shortcuts", "false");
INSERT INTO `wp_usermeta` VALUES("61", "4", "admin_color", "fresh");
INSERT INTO `wp_usermeta` VALUES("62", "4", "use_ssl", "0");
INSERT INTO `wp_usermeta` VALUES("63", "4", "show_admin_bar_front", "true");
INSERT INTO `wp_usermeta` VALUES("64", "4", "locale", "");
INSERT INTO `wp_usermeta` VALUES("65", "4", "wp_capabilities", "a:1:{s:6:\"editor\";b:1;}");
INSERT INTO `wp_usermeta` VALUES("66", "4", "wp_user_level", "7");
INSERT INTO `wp_usermeta` VALUES("67", "4", "dismissed_wp_pointers", "wp496_privacy");
INSERT INTO `wp_usermeta` VALUES("68", "5", "nickname", "Mike Ehrmantraut");
INSERT INTO `wp_usermeta` VALUES("69", "5", "first_name", "Mike");
INSERT INTO `wp_usermeta` VALUES("70", "5", "last_name", "Ehrmantraut");
INSERT INTO `wp_usermeta` VALUES("71", "5", "description", "");
INSERT INTO `wp_usermeta` VALUES("72", "5", "rich_editing", "true");
INSERT INTO `wp_usermeta` VALUES("73", "5", "syntax_highlighting", "true");
INSERT INTO `wp_usermeta` VALUES("74", "5", "comment_shortcuts", "false");
INSERT INTO `wp_usermeta` VALUES("75", "5", "admin_color", "fresh");
INSERT INTO `wp_usermeta` VALUES("76", "5", "use_ssl", "0");
INSERT INTO `wp_usermeta` VALUES("77", "5", "show_admin_bar_front", "true");
INSERT INTO `wp_usermeta` VALUES("78", "5", "locale", "");
INSERT INTO `wp_usermeta` VALUES("79", "5", "wp_capabilities", "a:1:{s:6:\"editor\";b:1;}");
INSERT INTO `wp_usermeta` VALUES("80", "5", "wp_user_level", "7");
INSERT INTO `wp_usermeta` VALUES("81", "5", "dismissed_wp_pointers", "wp496_privacy");
INSERT INTO `wp_usermeta` VALUES("82", "6", "wp_capabilities", "a:1:{s:13:\"administrator\";b:1;}");
INSERT INTO `wp_usermeta` VALUES("83", "6", "wp_user_level", "10");
INSERT INTO `wp_usermeta` VALUES("84", "6", "rich_editing", "true");
INSERT INTO `wp_usermeta` VALUES("85", "6", "admin_color", "fresh");
INSERT INTO `wp_usermeta` VALUES("86", "6", "nickname", "aaaaaa");
INSERT INTO `wp_usermeta` VALUES("87", "6", "first_name", "");
INSERT INTO `wp_usermeta` VALUES("88", "6", "last_name", "");

/* INSERT TABLE DATA: wp_users */
INSERT INTO `wp_users` VALUES("1", "kevinmcmillan", "$P$BkUQ67fvPo4q2YfGSjlZb/KgBduA1C0", "kevinmcmillan", "kevinmc@shaw.ca", "", "2018-07-15 00:46:12", "", "0", "kevinmcmillan");
INSERT INTO `wp_users` VALUES("2", "Walter White", "$P$BKyhnnboUTVfxhHuVM.bOquBGu49.i0", "walter-white", "walterwhite@kevinmc.ca", "", "2018-07-28 07:38:33", "1532763513:$P$BLq3B1fTlUF8VaTI40KyfCeAkBygqT1", "0", "Walter White");
INSERT INTO `wp_users` VALUES("3", "Jessie Pinkman", "$P$Bxnks.9B/6dADqvqNbv8CVVUipIf851", "jessie-pinkman", "km1@kevinmc.ca", "", "2018-07-28 07:39:36", "", "0", "Jessie Pinkman");
INSERT INTO `wp_users` VALUES("4", "Saul Goodman", "$P$BQKnHSvEFDvWVEJ5rvLtx.mGTfkZ3l.", "saul-goodman", "saulgoodman@kevinmc.ca", "", "2018-07-28 07:40:56", "1532763656:$P$BwIdGZAgLt7Qok7eHpPcIWeayFLy3D0", "0", "Saul Goodman");
INSERT INTO `wp_users` VALUES("5", "Mike Ehrmantraut", "$P$BfQzKyrdpyJ2X7UdmjS3JEyZzkKPun1", "mike-ehrmantraut", "mikeehrmantraut@kevinmc.ca", "", "2018-07-28 07:41:44", "", "0", "Mike Ehrmantraut");
INSERT INTO `wp_users` VALUES("6", "aaaaaa", "0b4e7a0e5fe84ad35fb5f95b9ceeac79", "aaaaaa", "mcmillan@ecuad.ca", "", "2022-01-30 17:10:39", "", "0", "aaaaaa");

SET FOREIGN_KEY_CHECKS = 1; 

/* Duplicator WordPress Timestamp: 2024-01-19 03:31:22*/
/* DUPLICATOR_MYSQLDUMP_EOF */
